--
-- PostgreSQL database dump
--

SET statement_timeout = 0;
SET lock_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- Name: plpgsql; Type: EXTENSION; Schema: -; Owner: 
--

CREATE EXTENSION IF NOT EXISTS plpgsql WITH SCHEMA pg_catalog;


--
-- Name: EXTENSION plpgsql; Type: COMMENT; Schema: -; Owner: 
--

COMMENT ON EXTENSION plpgsql IS 'PL/pgSQL procedural language';


SET search_path = public, pg_catalog;

--
-- Name: action_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE action_type AS ENUM (
    'http_request',
    'nailgun_task'
);


ALTER TYPE public.action_type OWNER TO nailgun;

--
-- Name: bond_mode; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE bond_mode AS ENUM (
    'active-backup',
    'balance-slb',
    'balance-tcp',
    'lacp-balance-tcp',
    'balance-rr',
    'balance-xor',
    'broadcast',
    '802.3ad',
    'balance-tlb',
    'balance-alb'
);


ALTER TYPE public.bond_mode OWNER TO nailgun;

--
-- Name: cluster_grouping; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_grouping AS ENUM (
    'roles',
    'hardware',
    'both'
);


ALTER TYPE public.cluster_grouping OWNER TO nailgun;

--
-- Name: cluster_mode; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_mode AS ENUM (
    'multinode',
    'ha_full',
    'ha_compact'
);


ALTER TYPE public.cluster_mode OWNER TO nailgun;

--
-- Name: cluster_net_manager; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_net_manager AS ENUM (
    'FlatDHCPManager',
    'VlanManager'
);


ALTER TYPE public.cluster_net_manager OWNER TO nailgun;

--
-- Name: cluster_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_status AS ENUM (
    'new',
    'deployment',
    'stopped',
    'operational',
    'error',
    'remove',
    'partially_deployed'
);


ALTER TYPE public.cluster_status OWNER TO nailgun;

--
-- Name: deployment_graph_tasks_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE deployment_graph_tasks_type AS ENUM (
    'puppet',
    'shell',
    'sync',
    'upload_file',
    'group',
    'stage',
    'skipped',
    'reboot',
    'copy_files',
    'role'
);


ALTER TYPE public.deployment_graph_tasks_type OWNER TO nailgun;

--
-- Name: history_task_statuses; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE history_task_statuses AS ENUM (
    'pending',
    'ready',
    'running',
    'error',
    'skipped'
);


ALTER TYPE public.history_task_statuses OWNER TO nailgun;

--
-- Name: net_l23_provider; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE net_l23_provider AS ENUM (
    'ovs',
    'nsx',
    'dpdkovs'
);


ALTER TYPE public.net_l23_provider OWNER TO nailgun;

--
-- Name: net_provider; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE net_provider AS ENUM (
    'nova_network',
    'neutron'
);


ALTER TYPE public.net_provider OWNER TO nailgun;

--
-- Name: node_error_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE node_error_type AS ENUM (
    'deploy',
    'provision',
    'deletion',
    'discover',
    'stop_deployment'
);


ALTER TYPE public.node_error_type OWNER TO nailgun;

--
-- Name: node_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE node_status AS ENUM (
    'ready',
    'discover',
    'provisioning',
    'provisioned',
    'deploying',
    'error',
    'removing',
    'stopped'
);


ALTER TYPE public.node_status OWNER TO nailgun;

--
-- Name: notif_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE notif_status AS ENUM (
    'read',
    'unread'
);


ALTER TYPE public.notif_status OWNER TO nailgun;

--
-- Name: notif_topic; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE notif_topic AS ENUM (
    'discover',
    'done',
    'error',
    'warning',
    'release'
);


ALTER TYPE public.notif_topic OWNER TO nailgun;

--
-- Name: openstack_config_types; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE openstack_config_types AS ENUM (
    'cluster',
    'role',
    'node'
);


ALTER TYPE public.openstack_config_types OWNER TO nailgun;

--
-- Name: oswl_resource_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE oswl_resource_type AS ENUM (
    'vm',
    'tenant',
    'volume',
    'security_group',
    'keystone_user',
    'flavor',
    'cluster_stats',
    'image'
);


ALTER TYPE public.oswl_resource_type OWNER TO nailgun;

--
-- Name: possible_changes; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE possible_changes AS ENUM (
    'networks',
    'attributes',
    'disks',
    'interfaces',
    'vmware_attributes'
);


ALTER TYPE public.possible_changes OWNER TO nailgun;

--
-- Name: release_state; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE release_state AS ENUM (
    'available',
    'unavailable',
    'manageonly'
);


ALTER TYPE public.release_state OWNER TO nailgun;

--
-- Name: segmentation_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE segmentation_type AS ENUM (
    'vlan',
    'gre',
    'tun'
);


ALTER TYPE public.segmentation_type OWNER TO nailgun;

--
-- Name: task_name; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE task_name AS ENUM (
    'super',
    'deploy',
    'deployment',
    'provision',
    'stop_deployment',
    'reset_environment',
    'update',
    'spawn_vms',
    'node_deletion',
    'cluster_deletion',
    'remove_images',
    'check_before_deployment',
    'check_networks',
    'verify_networks',
    'check_dhcp',
    'verify_network_connectivity',
    'multicast_verification',
    'check_repo_availability',
    'check_repo_availability_with_setup',
    'dump',
    'capacity_log',
    'create_stats_user',
    'remove_stats_user',
    'update_dnsmasq',
    'dry_run_deployment'
);


ALTER TYPE public.task_name OWNER TO nailgun;

--
-- Name: task_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE task_status AS ENUM (
    'ready',
    'running',
    'error',
    'pending'
);


ALTER TYPE public.task_status OWNER TO nailgun;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: action_logs; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE action_logs (
    id integer NOT NULL,
    actor_id character varying(64),
    action_group character varying(64) NOT NULL,
    action_name character varying(64) NOT NULL,
    action_type action_type NOT NULL,
    start_timestamp timestamp without time zone NOT NULL,
    end_timestamp timestamp without time zone,
    is_sent boolean,
    additional_info text NOT NULL,
    cluster_id integer,
    task_uuid character varying(36)
);


ALTER TABLE public.action_logs OWNER TO nailgun;

--
-- Name: action_logs_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE action_logs_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.action_logs_id_seq OWNER TO nailgun;

--
-- Name: action_logs_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE action_logs_id_seq OWNED BY action_logs.id;


--
-- Name: alembic_version; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE alembic_version (
    version_num character varying(32) NOT NULL
);


ALTER TABLE public.alembic_version OWNER TO nailgun;

--
-- Name: attributes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE attributes (
    id integer NOT NULL,
    cluster_id integer,
    editable text,
    generated text
);


ALTER TABLE public.attributes OWNER TO nailgun;

--
-- Name: attributes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE attributes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.attributes_id_seq OWNER TO nailgun;

--
-- Name: attributes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE attributes_id_seq OWNED BY attributes.id;


--
-- Name: capacity_log; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE capacity_log (
    id integer NOT NULL,
    report text,
    datetime timestamp without time zone
);


ALTER TABLE public.capacity_log OWNER TO nailgun;

--
-- Name: capacity_log_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE capacity_log_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.capacity_log_id_seq OWNER TO nailgun;

--
-- Name: capacity_log_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE capacity_log_id_seq OWNED BY capacity_log.id;


--
-- Name: cluster_changes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE cluster_changes (
    id integer NOT NULL,
    cluster_id integer,
    node_id integer,
    name possible_changes NOT NULL
);


ALTER TABLE public.cluster_changes OWNER TO nailgun;

--
-- Name: cluster_changes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE cluster_changes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.cluster_changes_id_seq OWNER TO nailgun;

--
-- Name: cluster_changes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE cluster_changes_id_seq OWNED BY cluster_changes.id;


--
-- Name: cluster_deployment_graphs; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE cluster_deployment_graphs (
    id integer NOT NULL,
    type character varying(255) NOT NULL,
    deployment_graph_id integer NOT NULL,
    cluster_id integer NOT NULL
);


ALTER TABLE public.cluster_deployment_graphs OWNER TO nailgun;

--
-- Name: cluster_deployment_graphs_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE cluster_deployment_graphs_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.cluster_deployment_graphs_id_seq OWNER TO nailgun;

--
-- Name: cluster_deployment_graphs_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE cluster_deployment_graphs_id_seq OWNED BY cluster_deployment_graphs.id;


--
-- Name: cluster_plugin_links; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE cluster_plugin_links (
    id integer NOT NULL,
    cluster_id integer NOT NULL,
    title text NOT NULL,
    url text NOT NULL,
    description text,
    hidden boolean DEFAULT false NOT NULL
);


ALTER TABLE public.cluster_plugin_links OWNER TO nailgun;

--
-- Name: cluster_plugin_links_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE cluster_plugin_links_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.cluster_plugin_links_id_seq OWNER TO nailgun;

--
-- Name: cluster_plugin_links_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE cluster_plugin_links_id_seq OWNED BY cluster_plugin_links.id;


--
-- Name: cluster_plugins; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE cluster_plugins (
    id integer NOT NULL,
    plugin_id integer NOT NULL,
    cluster_id integer NOT NULL,
    enabled boolean DEFAULT false NOT NULL,
    attributes text DEFAULT '{}'::text NOT NULL
);


ALTER TABLE public.cluster_plugins OWNER TO nailgun;

--
-- Name: cluster_plugins_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE cluster_plugins_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.cluster_plugins_id_seq OWNER TO nailgun;

--
-- Name: cluster_plugins_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE cluster_plugins_id_seq OWNED BY cluster_plugins.id;


--
-- Name: cluster_upgrade_alembic_version; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE cluster_upgrade_alembic_version (
    version_num character varying(32) NOT NULL
);


ALTER TABLE public.cluster_upgrade_alembic_version OWNER TO nailgun;

--
-- Name: cluster_upgrade_relations; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE cluster_upgrade_relations (
    id integer NOT NULL,
    orig_cluster_id integer NOT NULL,
    seed_cluster_id integer NOT NULL
);


ALTER TABLE public.cluster_upgrade_relations OWNER TO nailgun;

--
-- Name: cluster_upgrade_relations_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE cluster_upgrade_relations_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.cluster_upgrade_relations_id_seq OWNER TO nailgun;

--
-- Name: cluster_upgrade_relations_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE cluster_upgrade_relations_id_seq OWNED BY cluster_upgrade_relations.id;


--
-- Name: clusters; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE clusters (
    id integer NOT NULL,
    mode cluster_mode NOT NULL,
    status cluster_status NOT NULL,
    net_provider net_provider NOT NULL,
    name text NOT NULL,
    release_id integer NOT NULL,
    replaced_deployment_info text,
    replaced_provisioning_info text,
    is_customized boolean,
    fuel_version text NOT NULL,
    ui_settings text DEFAULT '{"sort": [{"roles": "asc"}], "sort_by_labels": [], "search": "", "filter_by_labels": {}, "filter": {}, "view_mode": "standard"}'::text NOT NULL,
    extensions character varying(64)[] DEFAULT '{}'::character varying[] NOT NULL,
    components text DEFAULT '[]'::text NOT NULL
);


ALTER TABLE public.clusters OWNER TO nailgun;

--
-- Name: clusters_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE clusters_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.clusters_id_seq OWNER TO nailgun;

--
-- Name: clusters_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE clusters_id_seq OWNED BY clusters.id;


--
-- Name: deployment_graph_tasks; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE deployment_graph_tasks (
    id integer NOT NULL,
    deployment_graph_id integer NOT NULL,
    task_name character varying(255) NOT NULL,
    version character varying(255) DEFAULT '1.0.0'::character varying NOT NULL,
    condition text,
    type deployment_graph_tasks_type NOT NULL,
    groups character varying(255)[] DEFAULT '{}'::character varying[] NOT NULL,
    tasks character varying(255)[] DEFAULT '{}'::character varying[] NOT NULL,
    roles character varying(255)[] DEFAULT '{}'::character varying[] NOT NULL,
    reexecute_on character varying(255)[] DEFAULT '{}'::character varying[] NOT NULL,
    refresh_on character varying(255)[] DEFAULT '{}'::character varying[] NOT NULL,
    required_for character varying(255)[] DEFAULT '{}'::character varying[] NOT NULL,
    requires character varying(255)[] DEFAULT '{}'::character varying[] NOT NULL,
    cross_depended_by text DEFAULT '[]'::text NOT NULL,
    cross_depends text DEFAULT '[]'::text NOT NULL,
    parameters text DEFAULT '{}'::text,
    _custom text DEFAULT '{}'::text
);


ALTER TABLE public.deployment_graph_tasks OWNER TO nailgun;

--
-- Name: deployment_graph_tasks_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE deployment_graph_tasks_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.deployment_graph_tasks_id_seq OWNER TO nailgun;

--
-- Name: deployment_graph_tasks_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE deployment_graph_tasks_id_seq OWNED BY deployment_graph_tasks.id;


--
-- Name: deployment_graphs; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE deployment_graphs (
    id integer NOT NULL,
    name character varying(255)
);


ALTER TABLE public.deployment_graphs OWNER TO nailgun;

--
-- Name: deployment_graphs_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE deployment_graphs_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.deployment_graphs_id_seq OWNER TO nailgun;

--
-- Name: deployment_graphs_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE deployment_graphs_id_seq OWNED BY deployment_graphs.id;


--
-- Name: deployment_history; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE deployment_history (
    id integer NOT NULL,
    task_id integer NOT NULL,
    node_id character varying,
    deployment_graph_task_name character varying NOT NULL,
    time_start timestamp without time zone,
    time_end timestamp without time zone,
    status history_task_statuses NOT NULL,
    custom text DEFAULT '{}'::text NOT NULL
);


ALTER TABLE public.deployment_history OWNER TO nailgun;

--
-- Name: deployment_history_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE deployment_history_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.deployment_history_id_seq OWNER TO nailgun;

--
-- Name: deployment_history_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE deployment_history_id_seq OWNED BY deployment_history.id;


--
-- Name: extensions_migration_buffer; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE extensions_migration_buffer (
    id integer NOT NULL,
    extension_name text NOT NULL,
    data text
);


ALTER TABLE public.extensions_migration_buffer OWNER TO nailgun;

--
-- Name: extensions_migration_buffer_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE extensions_migration_buffer_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.extensions_migration_buffer_id_seq OWNER TO nailgun;

--
-- Name: extensions_migration_buffer_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE extensions_migration_buffer_id_seq OWNED BY extensions_migration_buffer.id;


--
-- Name: ip_addr_ranges; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE ip_addr_ranges (
    id integer NOT NULL,
    network_group_id integer,
    first inet NOT NULL,
    last inet NOT NULL
);


ALTER TABLE public.ip_addr_ranges OWNER TO nailgun;

--
-- Name: ip_addr_ranges_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE ip_addr_ranges_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ip_addr_ranges_id_seq OWNER TO nailgun;

--
-- Name: ip_addr_ranges_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE ip_addr_ranges_id_seq OWNED BY ip_addr_ranges.id;


--
-- Name: ip_addrs; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE ip_addrs (
    id integer NOT NULL,
    network integer,
    node integer,
    ip_addr inet NOT NULL,
    vip_name character varying(50),
    is_user_defined boolean DEFAULT false NOT NULL,
    vip_namespace character varying(50)
);


ALTER TABLE public.ip_addrs OWNER TO nailgun;

--
-- Name: ip_addrs_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE ip_addrs_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ip_addrs_id_seq OWNER TO nailgun;

--
-- Name: ip_addrs_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE ip_addrs_id_seq OWNED BY ip_addrs.id;


--
-- Name: master_node_settings; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE master_node_settings (
    id integer NOT NULL,
    master_node_uid character varying(36) NOT NULL,
    settings json DEFAULT '{}'::json
);


ALTER TABLE public.master_node_settings OWNER TO nailgun;

--
-- Name: master_node_settings_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE master_node_settings_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.master_node_settings_id_seq OWNER TO nailgun;

--
-- Name: master_node_settings_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE master_node_settings_id_seq OWNED BY master_node_settings.id;


--
-- Name: net_bond_assignments; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE net_bond_assignments (
    id integer NOT NULL,
    network_id integer NOT NULL,
    bond_id integer NOT NULL
);


ALTER TABLE public.net_bond_assignments OWNER TO nailgun;

--
-- Name: net_bond_assignments_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE net_bond_assignments_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.net_bond_assignments_id_seq OWNER TO nailgun;

--
-- Name: net_bond_assignments_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE net_bond_assignments_id_seq OWNED BY net_bond_assignments.id;


--
-- Name: net_nic_assignments; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE net_nic_assignments (
    id integer NOT NULL,
    network_id integer NOT NULL,
    interface_id integer NOT NULL
);


ALTER TABLE public.net_nic_assignments OWNER TO nailgun;

--
-- Name: net_nic_assignments_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE net_nic_assignments_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.net_nic_assignments_id_seq OWNER TO nailgun;

--
-- Name: net_nic_assignments_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE net_nic_assignments_id_seq OWNED BY net_nic_assignments.id;


--
-- Name: network_groups; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE network_groups (
    id integer NOT NULL,
    name character varying(50) NOT NULL,
    release integer,
    vlan_start integer,
    cidr cidr,
    gateway inet,
    meta text,
    group_id integer
);


ALTER TABLE public.network_groups OWNER TO nailgun;

--
-- Name: network_groups_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE network_groups_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.network_groups_id_seq OWNER TO nailgun;

--
-- Name: network_groups_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE network_groups_id_seq OWNED BY network_groups.id;


--
-- Name: networking_configs; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE networking_configs (
    id integer NOT NULL,
    discriminator character varying(50),
    cluster_id integer,
    dns_nameservers text,
    floating_ranges text,
    configuration_template text
);


ALTER TABLE public.networking_configs OWNER TO nailgun;

--
-- Name: networking_configs_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE networking_configs_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.networking_configs_id_seq OWNER TO nailgun;

--
-- Name: networking_configs_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE networking_configs_id_seq OWNED BY networking_configs.id;


--
-- Name: neutron_config; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE neutron_config (
    id integer NOT NULL,
    vlan_range text,
    gre_id_range text,
    base_mac macaddr NOT NULL,
    internal_cidr cidr,
    internal_gateway inet,
    segmentation_type segmentation_type NOT NULL,
    net_l23_provider net_l23_provider NOT NULL,
    internal_name character varying(50) NOT NULL,
    floating_name character varying(50) NOT NULL,
    baremetal_gateway inet,
    baremetal_range text DEFAULT '[]'::text
);


ALTER TABLE public.neutron_config OWNER TO nailgun;

--
-- Name: node_bond_interfaces; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE node_bond_interfaces (
    id integer NOT NULL,
    node_id integer NOT NULL,
    name character varying(32) NOT NULL,
    mac macaddr,
    state character varying(25),
    mode bond_mode NOT NULL,
    bond_properties text DEFAULT '{}'::text NOT NULL,
    interface_properties text DEFAULT '{}'::text NOT NULL,
    offloading_modes text DEFAULT '[]'::text NOT NULL
);


ALTER TABLE public.node_bond_interfaces OWNER TO nailgun;

--
-- Name: node_bond_interfaces_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE node_bond_interfaces_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.node_bond_interfaces_id_seq OWNER TO nailgun;

--
-- Name: node_bond_interfaces_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE node_bond_interfaces_id_seq OWNED BY node_bond_interfaces.id;


--
-- Name: node_nic_interfaces; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE node_nic_interfaces (
    id integer NOT NULL,
    node_id integer NOT NULL,
    name character varying(128) NOT NULL,
    mac macaddr NOT NULL,
    max_speed integer,
    current_speed integer,
    ip_addr inet,
    netmask inet,
    state character varying(25),
    parent_id integer,
    driver text,
    bus_info text,
    interface_properties text DEFAULT '{}'::text NOT NULL,
    offloading_modes text DEFAULT '[]'::text NOT NULL,
    pxe boolean DEFAULT false NOT NULL
);


ALTER TABLE public.node_nic_interfaces OWNER TO nailgun;

--
-- Name: node_nic_interfaces_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE node_nic_interfaces_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.node_nic_interfaces_id_seq OWNER TO nailgun;

--
-- Name: node_nic_interfaces_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE node_nic_interfaces_id_seq OWNED BY node_nic_interfaces.id;


--
-- Name: nodegroups; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE nodegroups (
    id integer NOT NULL,
    cluster_id integer,
    name character varying(50) NOT NULL,
    is_default boolean DEFAULT false NOT NULL
);


ALTER TABLE public.nodegroups OWNER TO nailgun;

--
-- Name: nodegroups_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE nodegroups_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.nodegroups_id_seq OWNER TO nailgun;

--
-- Name: nodegroups_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE nodegroups_id_seq OWNED BY nodegroups.id;


--
-- Name: nodes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE nodes (
    id integer NOT NULL,
    uuid character varying(36) NOT NULL,
    cluster_id integer,
    name character varying(100),
    status node_status NOT NULL,
    meta text,
    mac macaddr NOT NULL,
    ip inet,
    manufacturer character varying(50),
    platform_name character varying(150),
    kernel_params text,
    progress integer,
    os_platform character varying(150),
    pending_addition boolean,
    pending_deletion boolean,
    error_type node_error_type,
    error_msg text,
    "timestamp" timestamp without time zone NOT NULL,
    online boolean,
    agent_checksum character varying(40),
    replaced_deployment_info text,
    replaced_provisioning_info text,
    group_id integer,
    hostname character varying(255) DEFAULT ''::character varying NOT NULL,
    roles character varying(64)[] DEFAULT '{}'::character varying[] NOT NULL,
    pending_roles character varying(64)[] DEFAULT '{}'::character varying[] NOT NULL,
    primary_roles character varying(64)[] DEFAULT '{}'::character varying[] NOT NULL,
    network_template text,
    extensions character varying(64)[] DEFAULT '{}'::character varying[] NOT NULL,
    labels text DEFAULT '{}'::text NOT NULL,
    vms_conf text DEFAULT '[]'::text NOT NULL,
    attributes text DEFAULT '{}'::text NOT NULL
);


ALTER TABLE public.nodes OWNER TO nailgun;

--
-- Name: nodes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE nodes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.nodes_id_seq OWNER TO nailgun;

--
-- Name: nodes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE nodes_id_seq OWNED BY nodes.id;


--
-- Name: notifications; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE notifications (
    id integer NOT NULL,
    cluster_id integer,
    node_id integer,
    task_id integer,
    topic notif_topic NOT NULL,
    message text,
    status notif_status NOT NULL,
    datetime timestamp without time zone NOT NULL
);


ALTER TABLE public.notifications OWNER TO nailgun;

--
-- Name: notifications_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE notifications_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.notifications_id_seq OWNER TO nailgun;

--
-- Name: notifications_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE notifications_id_seq OWNED BY notifications.id;


--
-- Name: nova_network_config; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE nova_network_config (
    id integer NOT NULL,
    fixed_networks_cidr cidr,
    fixed_networks_vlan_start integer,
    fixed_network_size integer NOT NULL,
    fixed_networks_amount integer NOT NULL,
    net_manager cluster_net_manager NOT NULL
);


ALTER TABLE public.nova_network_config OWNER TO nailgun;

--
-- Name: openstack_configs; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE openstack_configs (
    id integer NOT NULL,
    is_active boolean NOT NULL,
    config_type openstack_config_types NOT NULL,
    cluster_id integer NOT NULL,
    node_id integer,
    node_role character varying(64),
    created_at timestamp without time zone NOT NULL,
    configuration text DEFAULT '{}'::text NOT NULL
);


ALTER TABLE public.openstack_configs OWNER TO nailgun;

--
-- Name: openstack_configs_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE openstack_configs_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.openstack_configs_id_seq OWNER TO nailgun;

--
-- Name: openstack_configs_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE openstack_configs_id_seq OWNED BY openstack_configs.id;


--
-- Name: oswl_stats; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE oswl_stats (
    id integer NOT NULL,
    cluster_id integer NOT NULL,
    created_date date NOT NULL,
    updated_time time without time zone NOT NULL,
    resource_type oswl_resource_type NOT NULL,
    resource_data text,
    resource_checksum text NOT NULL,
    is_sent boolean NOT NULL,
    version_info json DEFAULT '{}'::json
);


ALTER TABLE public.oswl_stats OWNER TO nailgun;

--
-- Name: oswl_stats_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE oswl_stats_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.oswl_stats_id_seq OWNER TO nailgun;

--
-- Name: oswl_stats_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE oswl_stats_id_seq OWNED BY oswl_stats.id;


--
-- Name: plugin_deployment_graphs; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE plugin_deployment_graphs (
    id integer NOT NULL,
    type character varying(255) NOT NULL,
    deployment_graph_id integer NOT NULL,
    plugin_id integer NOT NULL
);


ALTER TABLE public.plugin_deployment_graphs OWNER TO nailgun;

--
-- Name: plugin_deployment_graphs_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE plugin_deployment_graphs_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.plugin_deployment_graphs_id_seq OWNER TO nailgun;

--
-- Name: plugin_deployment_graphs_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE plugin_deployment_graphs_id_seq OWNED BY plugin_deployment_graphs.id;


--
-- Name: plugin_links; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE plugin_links (
    id integer NOT NULL,
    plugin_id integer NOT NULL,
    title text NOT NULL,
    url text NOT NULL,
    description text,
    hidden boolean DEFAULT false NOT NULL
);


ALTER TABLE public.plugin_links OWNER TO nailgun;

--
-- Name: plugin_links_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE plugin_links_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.plugin_links_id_seq OWNER TO nailgun;

--
-- Name: plugin_links_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE plugin_links_id_seq OWNED BY plugin_links.id;


--
-- Name: plugins; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE plugins (
    id integer NOT NULL,
    name character varying(100) NOT NULL,
    title character varying(100) NOT NULL,
    version character varying(32) NOT NULL,
    description character varying(400),
    releases text,
    fuel_version text,
    package_version character varying(32) NOT NULL,
    groups text DEFAULT '[]'::text NOT NULL,
    authors text DEFAULT '[]'::text NOT NULL,
    licenses text DEFAULT '[]'::text NOT NULL,
    homepage text,
    network_roles_metadata text DEFAULT '[]'::text NOT NULL,
    attributes_metadata text DEFAULT '{}'::text NOT NULL,
    volumes_metadata text DEFAULT '{}'::text NOT NULL,
    roles_metadata text DEFAULT '{}'::text NOT NULL,
    tasks text DEFAULT '[]'::text NOT NULL,
    components_metadata text DEFAULT '[]'::text,
    is_hotpluggable boolean
);


ALTER TABLE public.plugins OWNER TO nailgun;

--
-- Name: plugins_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE plugins_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.plugins_id_seq OWNER TO nailgun;

--
-- Name: plugins_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE plugins_id_seq OWNED BY plugins.id;


--
-- Name: release_deployment_graphs; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE release_deployment_graphs (
    id integer NOT NULL,
    type character varying(255) NOT NULL,
    deployment_graph_id integer NOT NULL,
    release_id integer NOT NULL
);


ALTER TABLE public.release_deployment_graphs OWNER TO nailgun;

--
-- Name: release_deployment_graphs_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE release_deployment_graphs_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.release_deployment_graphs_id_seq OWNER TO nailgun;

--
-- Name: release_deployment_graphs_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE release_deployment_graphs_id_seq OWNED BY release_deployment_graphs.id;


--
-- Name: releases; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE releases (
    id integer NOT NULL,
    name character varying(100) NOT NULL,
    version character varying(30) NOT NULL,
    description character varying,
    operating_system character varying(50) NOT NULL,
    state release_state NOT NULL,
    networks_metadata text,
    attributes_metadata text,
    volumes_metadata text,
    modes_metadata text,
    roles_metadata text,
    vmware_attributes_metadata text,
    modes text,
    network_roles_metadata text DEFAULT '[]'::text,
    extensions character varying(64)[] DEFAULT '{}'::character varying[] NOT NULL,
    components_metadata text DEFAULT '[]'::text,
    node_attributes text DEFAULT '{}'::text NOT NULL
);


ALTER TABLE public.releases OWNER TO nailgun;

--
-- Name: releases_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE releases_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.releases_id_seq OWNER TO nailgun;

--
-- Name: releases_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE releases_id_seq OWNED BY releases.id;


--
-- Name: tasks; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE tasks (
    id integer NOT NULL,
    cluster_id integer,
    uuid character varying(36) NOT NULL,
    name task_name NOT NULL,
    message text,
    status task_status NOT NULL,
    progress integer,
    cache text,
    result text,
    parent_id integer,
    weight double precision,
    deleted_at timestamp without time zone,
    deployment_info text,
    cluster_settings text,
    network_settings text,
    tasks_snapshot text
);


ALTER TABLE public.tasks OWNER TO nailgun;

--
-- Name: tasks_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE tasks_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.tasks_id_seq OWNER TO nailgun;

--
-- Name: tasks_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE tasks_id_seq OWNED BY tasks.id;


--
-- Name: vmware_attributes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE vmware_attributes (
    id integer NOT NULL,
    cluster_id integer,
    editable text
);


ALTER TABLE public.vmware_attributes OWNER TO nailgun;

--
-- Name: vmware_attributes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE vmware_attributes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.vmware_attributes_id_seq OWNER TO nailgun;

--
-- Name: vmware_attributes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE vmware_attributes_id_seq OWNED BY vmware_attributes.id;


--
-- Name: volume_manager_alembic_version; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE volume_manager_alembic_version (
    version_num character varying(32) NOT NULL
);


ALTER TABLE public.volume_manager_alembic_version OWNER TO nailgun;

--
-- Name: volume_manager_node_volumes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE volume_manager_node_volumes (
    id integer NOT NULL,
    node_id integer NOT NULL,
    volumes text DEFAULT '[]'::text NOT NULL
);


ALTER TABLE public.volume_manager_node_volumes OWNER TO nailgun;

--
-- Name: volume_manager_node_volumes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE volume_manager_node_volumes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.volume_manager_node_volumes_id_seq OWNER TO nailgun;

--
-- Name: volume_manager_node_volumes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE volume_manager_node_volumes_id_seq OWNED BY volume_manager_node_volumes.id;


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY action_logs ALTER COLUMN id SET DEFAULT nextval('action_logs_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY attributes ALTER COLUMN id SET DEFAULT nextval('attributes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY capacity_log ALTER COLUMN id SET DEFAULT nextval('capacity_log_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_changes ALTER COLUMN id SET DEFAULT nextval('cluster_changes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_deployment_graphs ALTER COLUMN id SET DEFAULT nextval('cluster_deployment_graphs_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_plugin_links ALTER COLUMN id SET DEFAULT nextval('cluster_plugin_links_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_plugins ALTER COLUMN id SET DEFAULT nextval('cluster_plugins_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_upgrade_relations ALTER COLUMN id SET DEFAULT nextval('cluster_upgrade_relations_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY clusters ALTER COLUMN id SET DEFAULT nextval('clusters_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY deployment_graph_tasks ALTER COLUMN id SET DEFAULT nextval('deployment_graph_tasks_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY deployment_graphs ALTER COLUMN id SET DEFAULT nextval('deployment_graphs_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY deployment_history ALTER COLUMN id SET DEFAULT nextval('deployment_history_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY extensions_migration_buffer ALTER COLUMN id SET DEFAULT nextval('extensions_migration_buffer_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addr_ranges ALTER COLUMN id SET DEFAULT nextval('ip_addr_ranges_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addrs ALTER COLUMN id SET DEFAULT nextval('ip_addrs_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY master_node_settings ALTER COLUMN id SET DEFAULT nextval('master_node_settings_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_bond_assignments ALTER COLUMN id SET DEFAULT nextval('net_bond_assignments_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_nic_assignments ALTER COLUMN id SET DEFAULT nextval('net_nic_assignments_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY network_groups ALTER COLUMN id SET DEFAULT nextval('network_groups_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY networking_configs ALTER COLUMN id SET DEFAULT nextval('networking_configs_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_bond_interfaces ALTER COLUMN id SET DEFAULT nextval('node_bond_interfaces_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_nic_interfaces ALTER COLUMN id SET DEFAULT nextval('node_nic_interfaces_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY nodegroups ALTER COLUMN id SET DEFAULT nextval('nodegroups_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY nodes ALTER COLUMN id SET DEFAULT nextval('nodes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications ALTER COLUMN id SET DEFAULT nextval('notifications_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY openstack_configs ALTER COLUMN id SET DEFAULT nextval('openstack_configs_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY oswl_stats ALTER COLUMN id SET DEFAULT nextval('oswl_stats_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY plugin_deployment_graphs ALTER COLUMN id SET DEFAULT nextval('plugin_deployment_graphs_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY plugin_links ALTER COLUMN id SET DEFAULT nextval('plugin_links_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY plugins ALTER COLUMN id SET DEFAULT nextval('plugins_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY release_deployment_graphs ALTER COLUMN id SET DEFAULT nextval('release_deployment_graphs_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY releases ALTER COLUMN id SET DEFAULT nextval('releases_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY tasks ALTER COLUMN id SET DEFAULT nextval('tasks_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY vmware_attributes ALTER COLUMN id SET DEFAULT nextval('vmware_attributes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY volume_manager_node_volumes ALTER COLUMN id SET DEFAULT nextval('volume_manager_node_volumes_id_seq'::regclass);


--
-- Data for Name: action_logs; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY action_logs (id, actor_id, action_group, action_name, action_type, start_timestamp, end_timestamp, is_sent, additional_info, cluster_id, task_uuid) FROM stdin;
1	64e95c01d9ad73f3aeff99d657dfc75b263590ef541e88b276ef726d898d4b22	master_node_settings	master_node_settings	http_request	2016-11-17 20:18:27.055872	2016-11-17 20:18:27.075707	f	{"request_data": {"url": "/api/v1/settings/", "http_method": "PUT", "data": {}}, "response_data": {"status": "200 OK", "data": {}}}	\N	\N
2	35083c6bc80239c09e2669f701b7377cbf467d082a760bbf1a54a9068db50f0d	master_node_settings	master_node_settings	http_request	2016-11-17 20:24:14.786306	2016-11-17 20:24:14.805832	f	{"request_data": {"url": "/api/v1/settings/", "http_method": "PUT", "data": {}}, "response_data": {"status": "200 OK", "data": {}}}	\N	\N
3	c3f63b96b12e533d9b36e94b7b886623694efc2f657ab8caa4b38f0ec273adae	cluster_changes	cluster_collection	http_request	2016-11-17 20:28:19.943648	2016-11-17 20:28:20.092785	f	{"request_data": {"url": "/api/v1/clusters/", "http_method": "POST", "data": {}}, "response_data": {"status": "201 Created", "data": {}}}	\N	\N
4	2eb680412b50cb30344154a46edec8f43b645bed81a08f586db78a188bf691be	cluster_attributes	attributes	http_request	2016-11-17 20:28:22.216388	2016-11-17 20:28:22.507218	f	{"request_data": {"url": "/api/v1/clusters/1/attributes", "http_method": "PUT", "data": {}}, "response_data": {"status": "200 OK", "data": {}}}	1	\N
5	243cd6122abd41d400840a618e823423d77bbc021f9d4578230b605ad357aa9f	cluster_checking	check_networks	nailgun_task	2016-11-17 20:28:23.763041	2016-11-17 20:28:23.788026	f	{"parent_task_id": null, "output": null, "ended_with_status": "ready", "operation": "check_networks", "subtasks_ids": [], "message": ""}	1	a54c2f0f-6f70-499d-8049-8f538011f1bc
6	243cd6122abd41d400840a618e823423d77bbc021f9d4578230b605ad357aa9f	network_configuration	neutron	http_request	2016-11-17 20:28:23.682236	2016-11-17 20:28:23.853063	f	{"request_data": {"url": "/api/v1/clusters/1/network_configuration/neutron", "http_method": "PUT", "data": {}}, "response_data": {"status": "200 OK", "data": {}}}	1	\N
19	\N	operations	dump	nailgun_task	2016-11-17 20:34:46.220481	2016-11-17 20:34:46.260185	f	{"parent_task_id": null, "output": {"respond_to": "dump_environment_resp", "method": "dump_environment", "args": {"task_uuid": "3c1f7d8b-3837-42b4-bf37-518b12e6028b", "settings": {"timestamp": true, "lastdump": "/var/www/nailgun/dump/last", "target": "/var/dump/fuel-snapshot", "dump": {"local": {"objects": [{"type": "postgres"}, {"type": "xmlrpc"}], "hosts": []}, "controller": {"objects": [{"type": "command", "command": "pcs status"}, {"path": "/var/log/pacemaker.log", "type": "file"}, {"type": "command", "command": "rabbitmqctl report"}, {"path": "/var/log/neutron/neutron-ns-metadata-proxy*.log", "type": "file"}, {"type": "command", "command": "for ns in $(ip netns list); do echo Namespace: ${ns}; ip netns exec ${ns} ip a; done"}, {"type": "command", "command": "for ns in $(ip netns list); do echo Namespace: ${ns}; ip netns exec ${ns} ip r; done"}, {"type": "command", "command": "for ns in $(ip netns list); do echo Namespace: ${ns}; ip netns exec ${ns} netstat -anp; done"}, {"path": "/etc/mysql", "type": "dir"}, {"path": "/var/log/mysql", "type": "dir"}, {"type": "command", "command": "ls -la /var/lib/mysql/ /var/run/mysqld/"}], "hosts": []}, "master": {"objects": [{"path": "/etc/nailgun", "type": "dir"}, {"path": "/etc/astute", "type": "dir"}, {"path": "/etc/fuel", "type": "dir"}, {"path": "/etc/fuel_build_id", "type": "file"}, {"path": "/etc/fuel_build_number", "type": "file"}, {"type": "command", "command": "shotgun2 report"}, {"type": "command", "command": "df -h"}, {"type": "command", "command": "mount"}, {"type": "command", "command": "iptables -t nat -S"}, {"type": "command", "command": "iptables -t filter -S"}, {"type": "command", "command": "dmidecode"}, {"type": "command", "command": "uptime"}, {"type": "command", "command": "ps auxwwf"}, {"type": "command", "command": "pvdisplay"}, {"type": "command", "command": "docker images"}, {"type": "command", "command": "docker ps"}, {"type": "command", "command": "vgdisplay"}, {"type": "command", "command": "lvdisplay"}, {"type": "command", "command": "ip a"}, {"type": "command", "command": "ip r"}, {"type": "command", "command": "netstat -anp"}, {"type": "command", "command": "brctl show"}, {"type": "command", "command": "rpm -qa"}, {"type": "command", "command": "yum repolist"}, {"type": "command", "command": "fuel-bootstrap list"}, {"path": "/etc/sysconfig/network-scripts", "type": "dir"}, {"path": "/etc/dnsmasq.conf", "type": "file"}, {"path": "/root/*.log", "type": "file"}, {"path": "/etc/cobbler*", "type": "file"}, {"path": "/var/www/nailgun/bootstraps/active_bootstrap/metadata.yaml", "type": "file"}, {"path": "/var/log", "type": "dir"}, {"path": "/var/log/atop/atop_current", "type": "file"}, {"type": "command", "command": "uname -a"}, {"type": "command", "command": "lsmod"}, {"path": "/etc/*-release", "type": "file"}], "hosts": [{}]}, "slave": {"objects": [{"path": "/etc/astute.yaml", "type": "file"}, {"path": "/etc/hiera", "type": "dir"}, {"path": "/var/log/puppet.log", "type": "file"}, {"path": "/root/ceph*", "type": "file"}, {"path": "/root/anaconda*", "type": "file"}, {"path": "/root/*.log", "type": "file"}, {"path": "/root/*.ks", "type": "file"}, {"path": "/etc/apache2*", "type": "file"}, {"path": "/etc/httpd*", "type": "file"}, {"path": "/etc/ceph*", "type": "file"}, {"path": "/etc/keystone*", "type": "file"}, {"path": "/etc/nova*", "type": "file"}, {"path": "/etc/neutron*", "type": "file"}, {"path": "/etc/horizon*", "type": "file"}, {"path": "/etc/cinder*", "type": "file"}, {"path": "/etc/glance*", "type": "file"}, {"path": "/etc/swift*", "type": "file"}, {"path": "/etc/haproxy*", "type": "file"}, {"path": "/var/log/ceph", "type": "file"}, {"path": "/var/lib/puppet/state/last_run_summary.yaml", "type": "file"}, {"path": "/etc/resolv.conf", "type": "file"}, {"path": "/etc/mcollective/server.cfg", "type": "file"}, {"path": "/var/run/pcap_dir", "type": "dir"}, {"path": "/var/log/atop/atop_current", "type": "file"}, {"path": "/var/log/cron.log", "type": "file"}, {"type": "command", "command": "df -h"}, {"type": "command", "command": "mount"}, {"type": "command", "command": "iptables -t nat -S"}, {"type": "command", "command": "iptables -t filter -S"}, {"type": "command", "command": "dmidecode"}, {"type": "command", "command": "uptime"}, {"type": "command", "command": "ps auxwwf"}, {"type": "command", "command": "pvdisplay"}, {"type": "command", "command": "vgdisplay"}, {"type": "command", "command": "lvdisplay"}, {"type": "command", "command": "ip a"}, {"type": "command", "command": "ip r"}, {"type": "command", "command": "arp -an"}, {"type": "command", "command": "netstat -anp"}, {"type": "command", "command": "brctl show"}, {"type": "command", "command": "rpm -qa"}, {"type": "command", "command": "yum repolist"}, {"type": "command", "command": "env COLUMNS=500 dpkg -l|cat"}, {"type": "command", "command": "apt-cache policy"}, {"type": "command", "command": "sysctl -a"}, {"type": "command", "command": "dmsetup info -c --nameprefixes --noheadings -o blkdevname,subsystem,blkdevs_used,name,uuid"}, {"path": "/var/lib/cloud", "type": "dir"}, {"path": "/var/log/cloud-init*.log", "type": "file"}, {"path": "/etc/sysconfig/network-scripts", "type": "dir"}, {"path": "/etc/network/interfaces.d", "type": "dir"}, {"path": "/etc/network/interfaces", "type": "file"}, {"path": "/root/post-partition.log", "type": "file"}, {"type": "command", "command": "blkid -o list"}, {"type": "command", "command": "ceph health"}, {"type": "command", "command": "ceph -s"}, {"type": "command", "command": "ceph osd tree"}, {"type": "command", "command": "cat /proc/interrupts"}, {"type": "command", "command": "uname -a"}, {"type": "command", "command": "lsmod"}, {"path": "/etc/*-release", "type": "file"}, {"type": "command", "command": "dmesg"}, {"path": "/var/log/libvirt/qemu/instance*.log", "type": "file"}, {"path": "/var/log/libvirt/libvirtd.log", "type": "file"}, {"path": "/var/log/neutron", "type": "dir"}, {"path": "/var/log/nova", "type": "dir"}, {"path": "/var/log/*-all.log", "type": "file"}, {"path": "/var/log/syslog", "type": "file"}, {"path": "/var/lib/nova/instances/*-*", "type": "dir"}], "hosts": []}}}}, "api_version": "1"}, "ended_with_status": "running", "operation": "dump", "subtasks_ids": [], "message": ""}	\N	3c1f7d8b-3837-42b4-bf37-518b12e6028b
8	81d2f9183ee566e7906f271be5ec8a4351da314aa7e61c1492e38bbd307fa6cd	cluster_checking	check_networks	nailgun_task	2016-11-17 20:28:40.427935	2016-11-17 20:28:40.467915	f	{"parent_task_id": 2, "output": null, "ended_with_status": "ready", "message": "", "subtasks_ids": [], "operation": "check_networks"}	1	b159ce36-1079-4e84-b3d1-ee691832b17a
7	81d2f9183ee566e7906f271be5ec8a4351da314aa7e61c1492e38bbd307fa6cd	cluster_changes	deploy	nailgun_task	2016-11-17 20:28:40.278568	2016-11-17 20:28:40.519968	f	{"parent_task_id": null, "output": null, "ended_with_status": "error", "operation": "deploy", "subtasks_ids": [], "message": ""}	1	f46ba423-35a9-47d1-b51d-b9725297eb89
9	81d2f9183ee566e7906f271be5ec8a4351da314aa7e61c1492e38bbd307fa6cd	cluster_checking	check_before_deployment	nailgun_task	2016-11-17 20:28:40.479555	2016-11-17 20:28:40.520533	f	{"parent_task_id": 2, "output": null, "ended_with_status": "error", "operation": "check_before_deployment", "subtasks_ids": [], "message": ""}	1	a02b49b5-4436-473b-ba43-5479a3c18b52
10	81d2f9183ee566e7906f271be5ec8a4351da314aa7e61c1492e38bbd307fa6cd	cluster_changes	deploy_changes	http_request	2016-11-17 20:28:40.195324	2016-11-17 20:28:40.529594	f	{"request_data": {"url": "/api/v1/clusters/1/changes", "http_method": "PUT", "data": {}}, "response_data": {"status": "200 OK", "data": {}}}	1	\N
16	6c9d292b739e3911dbc36aeb28ee95948dece99046e1fb63bab07c8ee0c734a0	cluster_checking	check_networks	nailgun_task	2016-11-17 20:31:43.98181	2016-11-17 20:31:44.012048	f	{"parent_task_id": 8, "output": null, "ended_with_status": "ready", "message": "", "subtasks_ids": [], "operation": "check_networks"}	1	916ff4ee-00c5-4021-85d9-be0b2c26630d
12	c2648512a2740a47f12166c8e52e7224320409facd37f7924b11842684a9eddb	cluster_checking	check_networks	nailgun_task	2016-11-17 20:29:42.189219	2016-11-17 20:29:42.228273	f	{"parent_task_id": 5, "output": null, "ended_with_status": "ready", "message": "", "subtasks_ids": [], "operation": "check_networks"}	1	dbf07819-bb08-4974-8bcd-586b3bafdde1
11	c2648512a2740a47f12166c8e52e7224320409facd37f7924b11842684a9eddb	cluster_changes	deploy	nailgun_task	2016-11-17 20:29:42.090051	2016-11-17 20:29:42.304476	f	{"parent_task_id": null, "output": null, "ended_with_status": "error", "operation": "deploy", "subtasks_ids": [], "message": ""}	1	f285cfd8-eb2f-4b37-9289-59fb2843c2fb
13	c2648512a2740a47f12166c8e52e7224320409facd37f7924b11842684a9eddb	cluster_checking	check_before_deployment	nailgun_task	2016-11-17 20:29:42.243541	2016-11-17 20:29:42.305857	f	{"parent_task_id": 5, "output": null, "ended_with_status": "error", "operation": "check_before_deployment", "subtasks_ids": [], "message": ""}	1	51bc72ba-fc61-4450-9a29-34f036b60cff
14	c2648512a2740a47f12166c8e52e7224320409facd37f7924b11842684a9eddb	cluster_changes	deploy_changes	http_request	2016-11-17 20:29:41.914885	2016-11-17 20:29:42.317866	f	{"request_data": {"url": "/api/v1/clusters/1/changes", "http_method": "PUT", "data": {}}, "response_data": {"status": "200 OK", "data": {}}}	1	\N
15	6c9d292b739e3911dbc36aeb28ee95948dece99046e1fb63bab07c8ee0c734a0	cluster_changes	deploy	nailgun_task	2016-11-17 20:31:43.886674	2016-11-17 20:31:44.079614	f	{"parent_task_id": null, "output": null, "ended_with_status": "error", "operation": "deploy", "subtasks_ids": [], "message": ""}	1	b21cfca7-47b3-48c9-b96a-82cfc59637c5
17	6c9d292b739e3911dbc36aeb28ee95948dece99046e1fb63bab07c8ee0c734a0	cluster_checking	check_before_deployment	nailgun_task	2016-11-17 20:31:44.024426	2016-11-17 20:31:44.080344	f	{"parent_task_id": 8, "output": null, "ended_with_status": "error", "operation": "check_before_deployment", "subtasks_ids": [], "message": ""}	1	18e54745-3be2-4a5a-b3e2-f8fca37cea4d
18	6c9d292b739e3911dbc36aeb28ee95948dece99046e1fb63bab07c8ee0c734a0	cluster_changes	deploy_changes	http_request	2016-11-17 20:31:43.796984	2016-11-17 20:31:44.091613	f	{"request_data": {"url": "/api/v1/clusters/1/changes", "http_method": "PUT", "data": {}}, "response_data": {"status": "200 OK", "data": {}}}	1	\N
\.


--
-- Name: action_logs_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('action_logs_id_seq', 19, true);


--
-- Data for Name: alembic_version; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY alembic_version (version_num) FROM stdin;
675105097a69
\.


--
-- Data for Name: attributes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY attributes (id, cluster_id, editable, generated) FROM stdin;
1	1	{"repo_setup": {"repos": {"type": "custom_repo_configuration", "description": "Please note: the first repository will be considered the operating system mirror that will be used during node provisioning.\\nTo create a local repository mirror on the Fuel master node, please follow the instructions provided by running \\"fuel-createmirror --help\\" on the Fuel master node.\\nPlease make sure your Fuel master node has Internet access to the repository before attempting to create a mirror.\\n", "value": [{"name": "ubuntu", "section": "main universe multiverse", "uri": "http://10.20.0.2:8080/mirrors/ubuntu/", "priority": null, "suite": "trusty", "type": "deb"}, {"name": "ubuntu-updates", "section": "main universe multiverse", "uri": "http://10.20.0.2:8080/mirrors/ubuntu/", "priority": null, "suite": "trusty-updates", "type": "deb"}, {"name": "ubuntu-security", "section": "main universe multiverse", "uri": "http://10.20.0.2:8080/mirrors/ubuntu/", "priority": null, "suite": "trusty-security", "type": "deb"}, {"name": "mos", "section": "main restricted", "uri": "http://10.20.0.2:8080/mitaka-9.0/ubuntu/x86_64", "priority": 1050, "suite": "mos9.0", "type": "deb"}, {"name": "Auxiliary", "section": "main restricted", "uri": "http://10.20.0.2:8080/mitaka-9.0/ubuntu/auxiliary", "priority": 1150, "suite": "auxiliary", "type": "deb"}], "extra_priority": null}, "metadata": {"group": "general", "always_editable": true, "weight": 50, "label": "Repositories"}}, "syslog": {"syslog_port": {"regex": {"source": "^([1-9][0-9]{0,3}|[1-5][0-9]{4}|6[0-4][0-9]{3}|65[0-4][0-9]{2}|655[0-2][0-9]|6553[0-5])$", "error": "Invalid syslog port"}, "description": "Remote syslog port", "weight": 20, "value": "514", "label": "Port", "type": "text"}, "syslog_transport": {"type": "radio", "values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "weight": 30, "value": "tcp", "label": "Syslog transport protocol"}, "syslog_server": {"regex": {"source": "^[a-zA-Z\\\\d]+[-\\\\.\\\\da-zA-Z]*$", "error": "Invalid hostname"}, "description": "Remote syslog hostname", "weight": 10, "value": "", "label": "Hostname", "type": "text"}, "metadata": {"enabled": false, "group": "logging", "toggleable": true, "weight": 50, "label": "Syslog"}}, "additional_components": {"ceilometer": {"weight": 60, "type": "checkbox", "description": "If selected, Ceilometer and Aodh components will be installed", "value": true, "label": "Install Ceilometer and Aodh"}, "mongo": {"restrictions": [{"settings:additional_components.ceilometer.value == false": "External Mongo aims to be an external backend for Ceilometer. Without Ceilometer enabled, External Mongo is useless and should not be installed."}], "description": "If selected, You can use external Mongo DB as ceilometer backend", "weight": 70, "value": false, "label": "Use external Mongo DB", "type": "checkbox"}, "murano": {"weight": 20, "type": "checkbox", "description": "If selected, Murano component will be installed", "value": false, "label": "Install Murano"}, "murano-cfapi": {"restrictions": [{"message": "Murano should be enabled", "condition": "settings:additional_components.murano.value == false"}, {"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "description": "If selected, Murano service broker will be installed", "weight": 30, "value": false, "label": "Install Murano service broker for Cloud Foundry", "type": "checkbox"}, "heat": {"weight": 50, "type": "hidden", "description": "", "value": true, "label": ""}, "sahara": {"weight": 10, "type": "checkbox", "description": "If selected, Sahara component will be installed", "value": false, "label": "Install Sahara"}, "ironic": {"restrictions": [{"cluster:net_provider != 'neutron' or networking_parameters:segmentation_type != 'vlan'": "Ironic requires Neutron with VLAN segmentation."}, {"settings:storage.images_ceph.value == true and settings:storage.objects_ceph.value == false": "Ironic requires Swift or RadosGW for Glance images."}], "description": "If selected, Ironic component will be installed", "weight": 80, "value": false, "label": "Install Ironic", "type": "checkbox"}, "metadata": {"group": "openstack_services", "weight": 10, "label": "Additional Components"}}, "workloads_collector": {"password": {"type": "password", "value": "J0JU6OIDEDswoyU1vyWvJEeM"}, "enabled": {"type": "hidden", "value": true}, "user": {"type": "text", "value": "fuel_stats_user"}, "tenant": {"type": "text", "value": "services"}, "metadata": {"restrictions": [{"action": "hide", "condition": "true"}], "group": "general", "weight": 10, "label": "Workloads Collector User"}}, "provision": {"packages": {"type": "textarea", "value": "acl\\nanacron\\nbash-completion\\nbridge-utils\\nbsdmainutils\\nbuild-essential\\ncloud-init\\ncurl\\ndaemonize\\ndebconf-utils\\ngdisk\\ngrub-pc\\nhpsa-dkms\\nhwloc\\ni40e-dkms\\nlinux-firmware\\nlinux-firmware-nonfree\\nlinux-headers-generic-lts-trusty\\nlinux-image-generic-lts-trusty\\nlvm2\\nmcollective\\nmdadm\\nmultipath-tools\\nmultipath-tools-boot\\nnailgun-agent\\nnailgun-mcagents\\nnetwork-checker\\nntp\\nopenssh-client\\nopenssh-server\\npuppet\\npython-amqp\\nruby-augeas\\nruby-ipaddress\\nruby-json\\nruby-netaddr\\nruby-openstack\\nruby-shadow\\nruby-stomp\\ntelnet\\nubuntu-minimal\\nubuntu-standard\\nuuid-runtime\\nvim\\nvirt-what\\nvlan\\n", "weight": 10, "label": "Initial packages"}, "method": {"type": "hidden", "value": "image"}, "metadata": {"restrictions": [{"action": "hide", "condition": "false"}], "group": "general", "weight": 80, "label": "Provision"}}, "neutron_advanced_configuration": {"neutron_qos": {"weight": 40, "type": "checkbox", "description": "Enable Neutron QoS advanced service plug-in", "value": false, "label": "Neutron QoS"}, "neutron_l3_ha": {"restrictions": [{"message": "Neutron DVR must be disabled in order to use Neutron L3 HA", "condition": "settings:neutron_advanced_configuration.neutron_dvr.value == true"}], "description": "Enable High Availability features for Virtual Routers in Neutron\\nRequires at least 2 Controller nodes to function properly\\n", "weight": 30, "value": false, "label": "Neutron L3 HA", "type": "checkbox"}, "neutron_dvr": {"restrictions": [{"networking_parameters:segmentation_type != 'vlan' and settings:neutron_advanced_configuration.neutron_l2_pop.value == false": "DVR requires L2 population to be enabled."}], "description": "Enable Distributed Virtual Routers in Neutron", "weight": 20, "value": false, "label": "Neutron DVR", "type": "checkbox"}, "neutron_l2_pop": {"restrictions": [{"action": "hide", "condition": "networking_parameters:segmentation_type == 'vlan'"}], "description": "Enable L2 population mechanism in Neutron", "weight": 10, "value": false, "label": "Neutron L2 population", "type": "checkbox"}, "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron'"}], "group": "network", "weight": 20, "label": "Neutron Advanced Configuration"}}, "service_user": {"name": {"type": "hidden", "value": "fuel"}, "sudo": {"type": "hidden", "value": "ALL=(ALL) NOPASSWD: ALL"}, "homedir": {"type": "hidden", "value": "/var/lib/fuel"}, "root_password": {"type": "hidden", "value": "r00tme"}, "password": {"type": "hidden", "value": "sCTOC4CkNSTLuNKUQDNUV1Bp"}, "metadata": {"restrictions": [{"action": "hide", "condition": "true"}], "group": "general", "weight": 10, "label": "Service user account"}}, "operator_user": {"name": {"regex": {"source": "\\\\S", "error": "Empty username"}, "description": "Username for operator user", "weight": 50, "value": "fueladmin", "label": "Username", "type": "text"}, "sudo": {"value": "ALL=(ALL) NOPASSWD: ALL", "type": "textarea", "description": "Sudoers configuration directives for operator user, one per line.", "weight": 90, "label": "Sudoers configuration"}, "homedir": {"regex": {"source": "^/\\\\S", "error": "Invalid path"}, "description": "Home directory for operator user", "weight": 70, "value": "/home/fueladmin", "label": "Home directory", "type": "text"}, "password": {"regex": {"source": "\\\\S", "error": "Empty password"}, "description": "Password for operator user", "weight": 60, "value": "mCKyMCwhzrt7d6E8WQzxg5WS", "label": "Password", "type": "password"}, "authkeys": {"value": "", "type": "textarea", "description": "Public SSH keys to include to operator user's authorized keys, one per line.", "weight": 80, "label": "Authorized SSH keys"}, "metadata": {"group": "general", "weight": 15, "label": "Operating System Access"}}, "cgroups": {"metadata": {"restrictions": [{"action": "hide", "condition": "true"}], "group": "general", "always_editable": true, "weight": 90, "label": "Cgroups conguration for services"}}, "kernel_params": {"kernel": {"type": "text", "description": "Default kernel parameters", "value": "console=tty0 net.ifnames=0 biosdevname=0 rootdelay=90 nomodeset", "label": "Initial parameters"}, "metadata": {"group": "general", "weight": 60, "label": "Kernel parameters"}}, "storage": {"volumes_ceph": {"restrictions": ["settings:storage.volumes_lvm.value == true or settings:storage.volumes_block_device.value == true"], "description": "Configures Cinder to store volumes in Ceph RBD images.", "weight": 20, "value": true, "label": "Ceph RBD for volumes (Cinder)", "type": "checkbox"}, "objects_ceph": {"weight": 80, "type": "checkbox", "description": "Configures RadosGW front end for Ceph RBD. This exposes S3 and Swift API Interfaces. If enabled, this option will prevent Swift from installing.", "value": false, "label": "Ceph RadosGW for objects (Swift API)"}, "bootstrap_osd_key": {"type": "hidden", "value": "AQDir1pXAAAAABAAK5E2MNhWdIpOBzjXJTVqcg=="}, "volumes_block_device": {"restrictions": ["settings:storage.volumes_ceph.value == true"], "description": "High performance block device storage. It is recommended to have at least one Cinder Block Device", "weight": 15, "value": false, "label": "Cinder Block device driver", "type": "checkbox"}, "ephemeral_ceph": {"weight": 75, "type": "checkbox", "description": "Configures Nova to store ephemeral volumes in RBD. This works best if Ceph is enabled for volumes and images, too. Enables live migration of all types of Ceph backed VMs (without this option, live migration will only work with VMs launched from Cinder volumes).", "value": false, "label": "Ceph RBD for ephemeral volumes (Nova)"}, "volumes_lvm": {"restrictions": ["settings:storage.volumes_ceph.value == true"], "description": "It is recommended to have at least one Cinder node.", "weight": 10, "value": false, "label": "Cinder LVM over iSCSI for volumes", "type": "checkbox"}, "mon_key": {"type": "hidden", "value": "AQDir1pXAAAAABAAp92Dw8/kmDdhMvpgaPMKiQ=="}, "images_vcenter": {"restrictions": [{"action": "hide", "condition": "settings:common.use_vcenter.value != true"}, {"message": "Only one Glance backend could be selected.", "condition": "settings:storage.images_ceph.value == true"}], "description": "Configures Glance to use the vCenter/ESXi backend to store images. If enabled, this option will prevent Swift from installing.", "weight": 35, "value": false, "label": "VMware vCenter/ESXi datastore for images (Glance)", "type": "checkbox"}, "osd_pool_size": {"regex": {"source": "^[1-9]\\\\d*$", "error": "Invalid number"}, "description": "Configures the default number of object replicas in Ceph. This number must be equal to or lower than the number of deployed 'Ceph OSD' nodes.", "weight": 85, "value": "3", "label": "Ceph object replication factor", "type": "text"}, "admin_key": {"type": "hidden", "value": "AQDir1pXAAAAABAAm8r2rR0FuVsV8LRo6u9GgQ=="}, "images_ceph": {"restrictions": [{"settings:storage.images_vcenter.value == true": "Only one Glance backend could be selected."}], "description": "Configures Glance to use the Ceph RBD backend to store images. If enabled, this option will prevent Swift from installing.", "weight": 30, "value": false, "label": "Ceph RBD for images (Glance)", "type": "checkbox"}, "radosgw_key": {"type": "hidden", "value": "AQDir1pXAAAAABAAUH+qP9FohG5wGr/+oQ2rFw=="}, "fsid": {"type": "hidden", "value": "7a5db523-ae79-489d-b5d1-7a31fdaba6ef"}, "metadata": {"group": "storage", "weight": 60, "label": "Storage Backends"}}, "public_ssl": {"hostname": {"restrictions": [{"action": "hide", "condition": "settings:public_ssl.horizon.value == false and settings:public_ssl.services.value == false"}], "description": "Your DNS entries should point to this name. Self-signed certificates also will use this hostname", "weight": 50, "value": "public.fuel.local", "label": "DNS hostname for public TLS endpoints", "type": "text"}, "horizon": {"restrictions": [{"settings:public_ssl.services.value == false": "TLS for OpenStack public endpoints should be enabled"}], "description": "Secure access to Horizon enabling HTTPS instead of HTTP", "weight": 20, "value": false, "label": "HTTPS for Horizon", "type": "checkbox"}, "services": {"weight": 10, "type": "checkbox", "description": "Enable TLS termination on HAProxy for OpenStack services", "value": false, "label": "TLS for OpenStack public endpoints"}, "cert_data": {"restrictions": [{"action": "hide", "condition": "(settings:public_ssl.cert_source.value != 'user_uploaded') or (settings:public_ssl.horizon.value == false and settings:public_ssl.services.value == false)"}], "description": "Certificate and private key data, concatenated into a single file", "weight": 40, "value": "", "label": "Certificate", "type": "file"}, "cert_source": {"restrictions": [{"action": "hide", "condition": "settings:public_ssl.horizon.value == false and settings:public_ssl.services.value == false"}], "description": "From where we'll get certificate and private key", "weight": 30, "value": "self_signed", "label": "Select source for certificate", "values": [{"data": "self_signed", "description": "Generate private key and certificate that will be signed by this key", "label": "Self-signed"}, {"data": "user_uploaded", "description": "Use pre-generated key and certificate", "label": "I have my own keypair with certificate"}], "type": "radio"}, "metadata": {"group": "security", "weight": 110, "label": "Public TLS"}}, "access": {"metadata": {"group": "general", "weight": 10, "label": "OpenStack Access"}, "password": {"regex": {"source": "\\\\S", "error": "Empty password"}, "description": "Password for Administrator", "weight": 20, "value": "admin", "label": "Password", "type": "password"}, "user": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?!ironic$)(?![Gg]uest$)(?!.* +.*$).+", "error": "Invalid username"}, "description": "Username for Administrator", "weight": 10, "value": "admin", "label": "Username", "type": "text"}, "tenant": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?!ironic$)(?![Gg]uest$)(?!.* +.*$).+", "error": "Invalid tenant name"}, "description": "Tenant (project) name for Administrator", "weight": 30, "value": "admin", "label": "Tenant", "type": "text"}, "email": {"regex": {"source": "^\\\\S+@\\\\S+$", "error": "Invalid email"}, "description": "Email address for Administrator", "weight": 40, "value": "admin@localhost", "label": "Email", "type": "text"}}, "external_dns": {"dns_list": {"regex": {"source": "^(([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\\\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])$", "error": "Invalid IP address"}, "description": "List of upstream DNS servers", "weight": 10, "max": 3, "value": ["8.8.8.8"], "label": "DNS list", "type": "text_list"}, "metadata": {"group": "network", "weight": 30, "label": "Host OS DNS Servers"}}, "murano_settings": {"murano_glance_artifacts_plugin": {"weight": 40, "type": "checkbox", "description": "If selected glance artifact repository will be enabled", "value": true, "label": "Enable glance artifact repository"}, "murano_repo_url": {"weight": 10, "type": "text", "description": "", "value": "http://storage.apps.openstack.org/", "label": "Murano Repository URL"}, "metadata": {"restrictions": [{"action": "hide", "message": "Murano is not enabled on the Additional Components section", "condition": "settings:additional_components.murano.value == false"}], "group": "openstack_services", "weight": 20, "label": "Murano Settings"}}, "common": {"propagate_task_deploy": {"type": "hidden", "weight": 12, "value": false}, "auto_assign_floating_ip": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider == 'neutron'"}], "group": "network", "description": "If selected, OpenStack will automatically assign a floating IP to a new instance", "weight": 40, "value": false, "label": "Auto assign floating IP", "type": "checkbox"}, "use_cow_images": {"group": "storage", "description": "For most cases you will want qcow format. If it's disabled, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "weight": 60, "value": true, "label": "Use qcow format for images", "type": "checkbox"}, "auth_key": {"type": "hidden", "group": "security", "weight": 70, "value": ""}, "puppet_debug": {"group": "logging", "description": "Debug puppet logging mode provides more information, but requires more disk space.", "weight": 20, "value": true, "label": "Puppet debug logging", "type": "checkbox"}, "use_vcenter": {"type": "hidden", "weight": 30, "value": false}, "libvirt_type": {"group": "compute", "weight": 30, "value": "kvm", "label": "Hypervisor type", "values": [{"data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}], "type": "radio"}, "resume_guests_state_on_host_boot": {"group": "compute", "description": "Whether to resume previous guests state when the host reboots. If enabled, this option causes guests assigned to the host to resume their previous state. If the guest was running a restart will be attempted when nova-compute starts. If the guest was not running previously, a restart will not be attempted.", "weight": 50, "value": true, "label": "Resume guests state on host boot", "type": "checkbox"}, "debug": {"group": "logging", "description": "Debug logging mode provides more information, but requires more disk space.", "weight": 20, "value": false, "label": "OpenStack debug logging", "type": "checkbox"}, "task_deploy": {"type": "hidden", "weight": 11, "value": true}, "nova_quota": {"group": "compute", "description": "Quotas are used to limit CPU and memory usage for tenants. Enabling quotas will increase load on the Nova database.", "weight": 30, "value": false, "label": "Nova quotas", "type": "checkbox"}, "metadata": {"weight": 10, "label": "Common"}}, "external_mongo": {"mongo_db_name": {"regex": {"source": "^\\\\w+$", "error": "Invalid database name"}, "description": "Mongo database name", "weight": 30, "value": "ceilometer", "label": "Database name", "type": "text"}, "mongo_replset": {"weight": 30, "type": "text", "description": "Name for Mongo replication set", "value": "", "label": "Replset"}, "mongo_user": {"regex": {"source": "^\\\\w+$", "error": "Empty username"}, "description": "Mongo database username", "weight": 30, "value": "ceilometer", "label": "Username", "type": "text"}, "hosts_ip": {"regex": {"source": "^(((25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\\\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?),)*((25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\\\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)$", "error": "Invalid hosts ip sequence"}, "description": "IP Addresses of MongoDB. Use comma to split IPs", "weight": 30, "value": "", "label": "MongoDB hosts IP", "type": "text"}, "mongo_password": {"regex": {"source": "^\\\\S*$", "error": "Password contains spaces"}, "description": "Mongo database password", "weight": 30, "value": "ceilometer", "label": "Password", "type": "password"}, "metadata": {"restrictions": [{"action": "hide", "message": "Ceilometer and MongoDB are not enabled on the Additional Components section", "condition": "settings:additional_components.mongo.value == false"}], "group": "openstack_services", "weight": 30, "label": "External MongoDB"}}, "public_network_assignment": {"assign_to_all_nodes": {"weight": 10, "type": "checkbox", "description": "When disabled, public network will be assigned to controllers only", "value": true, "label": "Assign public network to all nodes"}, "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron'"}], "group": "network", "weight": 10, "label": "Public network assignment"}}, "external_ntp": {"ntp_list": {"regex": {"source": "^[a-zA-Z\\\\d]+[-\\\\.\\\\da-zA-Z]*$", "error": "Invalid NTP server"}, "description": "List of upstream NTP servers", "weight": 10, "value": ["0.se.pool.ntp.org", "1.se.pool.ntp.org", "2.se.pool.ntp.org"], "label": "NTP server list", "type": "text_list"}, "metadata": {"group": "network", "weight": 40, "label": "Host OS NTP Servers"}}, "corosync": {"group": {"weight": 10, "type": "text", "description": "", "value": "226.94.1.1", "label": "Group"}, "verified": {"weight": 10, "type": "checkbox", "description": "Set True only if multicast is configured correctly on router.", "value": false, "label": "Need to pass network verification."}, "port": {"weight": 20, "type": "text", "description": "", "value": "12000", "label": "Port"}, "metadata": {"restrictions": [{"action": "hide", "condition": "true"}], "group": "general", "weight": 50, "label": "Corosync"}}}	{"glance_glare": {"user_password": "6aBzGT5psNseSf146GruuAXg"}, "repo_setup": {"installer_kernel": {"local": "/var/www/nailgun/ubuntu/x86_64/images/linux", "remote_relative": "dists/trusty/main/installer-amd64/current/images/netboot/ubuntu-installer/amd64/linux"}, "installer_initrd": {"local": "/var/www/nailgun/ubuntu/x86_64/images/initrd.gz", "remote_relative": "dists/trusty/main/installer-amd64/current/images/netboot/ubuntu-installer/amd64/initrd.gz"}}, "murano-cfapi": {"db_password": "AwxJkQghiHlTXBjI6W3eHfA5", "user_password": "1ZYcZkRv5H3HNIGUdpQoaDIg", "rabbit_password": "oXAlJpjqnt3u9xzewC4rfDKs"}, "heat": {"db_password": "rY6yvuGPi3arKMLLqGbupvcP", "user_password": "AeQGQM1wBEMQ3uyaVz6WRRUp", "auth_encryption_key": "1f830ba4177b8ca96193817a1674694d", "rabbit_password": "5k53i1DCDrcnFLsvEOHCuYix"}, "puppet": {"modules": "rsync://10.20.0.2:/puppet/mitaka-9.0/modules/", "manifests": "rsync://10.20.0.2:/puppet/mitaka-9.0/manifests/"}, "rabbit": {"password": "whMRDuTdajoGtokb491C2BUj"}, "mysql": {"root_password": "aOqmesiiEuRU1yrUK60ljAVt", "wsrep_password": "F5xt1zh2NoGD0u4WydDo9K8V"}, "ironic": {"swift_tempurl_key": "THQYFcoFs32TyAffAuxsgA3c", "db_password": "eWtQOcenDgnchPrvNhFTcDom", "user_password": "G6sWGter51AiRxam5fajh5xV"}, "glance": {"db_password": "S4e34HEtm0OtiphClzczuHxE", "user_password": "5pkO4KxyPdg8Tyqy5a0tMwMP"}, "cinder": {"db_password": "62FwjPabONWjkKj2sT1NLEMC", "user_password": "enU0o4q73XxyMBC2PwyGuzlI", "fixed_key": "a093965b32887c11f190e816d0e634c87b49de7ef9988fab6b4ce130f21194d1"}, "provision": {"image_data": {"/boot": {"container": "gzip", "uri": "http://10.20.0.2:8080/targetimages/env_1_ubuntu_1404_amd64-boot.img.gz", "format": "ext2"}, "/": {"container": "gzip", "uri": "http://10.20.0.2:8080/targetimages/env_1_ubuntu_1404_amd64.img.gz", "format": "ext4"}}, "codename": "trusty"}, "quantum_settings": {"metadata": {"metadata_proxy_shared_secret": "nWIHBcFrXSLeSXwup0dOsjYt"}, "keystone": {"admin_password": "3c5DIbyNrTt1IwGXO5FQxDk4"}, "database": {"passwd": "fgXXFCa8qP1QwrZDvxNEcsyC"}}, "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "ceilometer": {"db_password": "KeUEVLaxjCTRSjSzPeL3ahCS", "user_password": "YgTJNuVCx4bCMplVq6qlMxgi", "metering_secret": "nqfmRxWPepx6pwzP9hY5RQOS"}, "swift": {"user_password": "g6Uj5aawDvst9F6B0ixpbS6H"}, "aodh": {"db_password": "jIwhskF0sPwjP4pak3lHDNPw", "user_password": "J3pWxuXt54dbvfH5IrCsv46U"}, "cobbler": {"profile": "ubuntu_1404_x86_64"}, "nova": {"db_password": "Qlmb5l72dnBxLZW5j3u8liGz", "user_password": "9M2lGP7rgbLEbPYrWWe9XL3R", "state_path": "/var/lib/nova"}, "deployed_before": {"value": false}, "murano": {"db_password": "H4ZwGXOYXJJk2lX5w4yLC5B7", "user_password": "4AUN8tBJJmc6YS7yKR0ZykZS", "rabbit_password": "rBmdJ1xxyBpq06wb2yOuogqz"}, "keystone": {"db_password": "WoKV6eL7ZsoFCHJQ84cltTcf", "admin_token": "drVOCWnciA6BKjrHl2TT6eqM"}, "horizon": {"secret_key": "3014cbe6c6dd261b6937451749d2b104b1338eca70ddc102fb7e55b577224c44"}, "sahara": {"db_password": "2gfUZyoufAcc6jzenyNr1qwy", "user_password": "HX9uDoZzIRUkxTqcFc8UlByx"}}
\.


--
-- Name: attributes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('attributes_id_seq', 1, true);


--
-- Data for Name: capacity_log; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY capacity_log (id, report, datetime) FROM stdin;
\.


--
-- Name: capacity_log_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('capacity_log_id_seq', 1, false);


--
-- Data for Name: cluster_changes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY cluster_changes (id, cluster_id, node_id, name) FROM stdin;
1	1	\N	attributes
2	1	\N	networks
3	1	\N	vmware_attributes
4	1	1	interfaces
5	1	1	disks
6	1	2	interfaces
7	1	2	disks
8	1	3	interfaces
9	1	3	disks
10	1	4	interfaces
11	1	4	disks
12	1	5	interfaces
13	1	5	disks
\.


--
-- Name: cluster_changes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('cluster_changes_id_seq', 13, true);


--
-- Data for Name: cluster_deployment_graphs; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY cluster_deployment_graphs (id, type, deployment_graph_id, cluster_id) FROM stdin;
1	default	13	1
\.


--
-- Name: cluster_deployment_graphs_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('cluster_deployment_graphs_id_seq', 1, true);


--
-- Data for Name: cluster_plugin_links; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY cluster_plugin_links (id, cluster_id, title, url, description, hidden) FROM stdin;
\.


--
-- Name: cluster_plugin_links_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('cluster_plugin_links_id_seq', 1, false);


--
-- Data for Name: cluster_plugins; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY cluster_plugins (id, plugin_id, cluster_id, enabled, attributes) FROM stdin;
6	6	1	f	{}
8	8	1	f	{"use_kvm": {"type": "checkbox", "value": false, "weight": 20, "label": "EXPERIMENTAL: KVM enhancements for NFV"}}
3	3	1	f	{"enable_sfc": {"type": "checkbox", "value": false, "weight": 13, "label": "SFC features"}}
1	1	1	t	{"install_dpdk": {"type": "checkbox", "weight": 20, "value": true, "label": "Install DPDK"}, "install_nsh": {"type": "checkbox", "weight": 20, "value": false, "label": "Install NSH"}}
2	2	1	f	{}
9	9	1	f	{"debug": {"weight": 25, "type": "checkbox", "description": "Debug logging mode provides more information, but requires more disk space.", "value": false, "label": "Debug logging"}}
7	7	1	f	{"sfc_class": {"restrictions": [{"action": "hide", "condition": "settings:opendaylight.enable_sfc.value == false"}], "description": "Classifier determines what traffic needs to be chained based on policy based on yang model. The OpenDayLight actually supports the OVSDB NetVirt and the GBP classifier in case of SFC.\\n", "weight": 21, "value": "ncr", "label": "Classifier used by SFC", "values": [{"data": "ncr", "label": "NetVirt"}, {"data": "gcr", "label": "GBP"}], "type": "select"}, "enable_l3_odl": {"restrictions": [{"networking_parameters:segmentation_type == 'vlan'": "Use tunneling segmentation type."}, {"settings:public_network_assignment.assign_to_all_nodes.value == false": "Assign public network to all nodes"}], "type": "checkbox", "value": false, "weight": 10, "label": "Use ODL to manage L3 traffic"}, "bgpvpn_gateway": {"regex": {"source": "^(?:(?:25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\\\\.){3}(?:25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)$", "error": "Invalid ip number"}, "restrictions": [{"settings:opendaylight.enable_bgpvpn.value == false": "Only needed if BGPVPN is enabled."}], "description": "Define the default gateway for BGPVPN", "weight": 50, "value": "0.0.0.0", "label": "Default Gateway", "type": "text"}, "enable_sfc": {"type": "checkbox", "value": false, "weight": 20, "label": "SFC features"}, "enable_bgpvpn": {"restrictions": [{"strict": false, "message": "BGPVPN (fuel-plugin-bgpvpn) plugin must be installed and enabled.", "condition": "settings:bgpvpn == null or settings:bgpvpn.metadata.enabled == false"}, {"networking_parameters:segmentation_type == 'vlan'": "This feature works only with segmentation_type != vlan"}, {"strict": false, "message": "Openvswitch with NSH/DPDK (fuel-plugin-ovs) must be installed and enabled.", "condition": "settings:fuel-plugin-ovs == null or settings:fuel-plugin-ovs.metadata.enabled == false"}], "description": "This enables the bgpvpn extension of neutron togethere with the corresponding sdnvpn features in odl. This feature will disable the standart ovsdb feature from ODL.\\n", "weight": 40, "value": false, "label": "BGPVPN extensions", "type": "checkbox"}, "odl_v2": {"value": false, "type": "checkbox", "description": "V2 version is considered as experimental", "weight": 60, "label": "Use V2 ML2 driver"}, "rest_api_port": {"regex": {"source": "^([1-9][0-9]{0,3}|[1-5][0-9]{4}|6[0-4][0-9]{3}|65[0-4][0-9]{2}|655[0-2][0-9]|6553[0-5])$", "error": "Invalid port number"}, "description": "Port on which ODL REST API will be available.", "weight": 70, "value": "8282", "label": "Port number", "type": "text"}}
5	5	1	f	{}
4	4	1	f	{}
\.


--
-- Name: cluster_plugins_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('cluster_plugins_id_seq', 9, true);


--
-- Data for Name: cluster_upgrade_alembic_version; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY cluster_upgrade_alembic_version (version_num) FROM stdin;
3b5d115d7e49
\.


--
-- Data for Name: cluster_upgrade_relations; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY cluster_upgrade_relations (id, orig_cluster_id, seed_cluster_id) FROM stdin;
\.


--
-- Name: cluster_upgrade_relations_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('cluster_upgrade_relations_id_seq', 1, false);


--
-- Data for Name: clusters; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY clusters (id, mode, status, net_provider, name, release_id, replaced_deployment_info, replaced_provisioning_info, is_customized, fuel_version, ui_settings, extensions, components) FROM stdin;
1	ha_compact	new	neutron	ERICSSON-POD4	2	[]	{}	f	9.0	{"sort": [{"roles": "asc"}], "sort_by_labels": [], "search": "", "filter_by_labels": {}, "filter": {}, "view_mode": "standard"}	{volume_manager}	[]
\.


--
-- Name: clusters_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('clusters_id_seq', 1, true);


--
-- Data for Name: deployment_graph_tasks; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY deployment_graph_tasks (id, deployment_graph_id, task_name, version, condition, type, groups, tasks, roles, reexecute_on, refresh_on, required_for, requires, cross_depended_by, cross_depends, parameters, _custom) FROM stdin;
1	1	pre_deployment_start	1.0.0	\N	stage	{}	{}	{}	{}	{}	{}	{}	[]	[]	{}	{}
2	1	pre_deployment_end	1.0.0	\N	stage	{}	{}	{}	{}	{}	{}	{pre_deployment_start}	[]	[]	{}	{}
3	1	deploy_start	1.0.0	\N	stage	{}	{}	{}	{}	{}	{}	{pre_deployment_end}	[]	[]	{}	{}
4	1	deploy_end	1.0.0	\N	stage	{}	{}	{}	{}	{}	{}	{deploy_start}	[]	[]	{}	{}
5	1	post_deployment_start	1.0.0	\N	stage	{}	{}	{}	{}	{}	{}	{deploy_end}	[]	[]	{}	{}
6	1	post_deployment_end	1.0.0	\N	stage	{}	{}	{}	{}	{}	{}	{post_deployment_start}	[]	[]	{}	{}
7	1	primary-controller	1.0.0	\N	group	{}	{}	{primary-controller}	{}	{}	{deploy_end}	{deploy_start}	[]	[]	{"strategy": {"type": "one_by_one"}}	{"fault_tolerance": 0}
8	1	controller	1.0.0	\N	group	{}	{}	{controller}	{}	{}	{deploy_end}	{primary-controller}	[]	[]	{"strategy": {"amount": 6, "type": "parallel"}}	{"fault_tolerance": 1}
9	1	cinder	1.0.0	\N	group	{}	{}	{cinder}	{}	{}	{deploy_end}	{controller}	[]	[]	{"strategy": {"type": "parallel"}}	{"fault_tolerance": "2%"}
10	1	cinder-block-device	1.0.0	\N	group	{}	{}	{cinder-block-device}	{}	{}	{deploy_end}	{compute}	[]	[]	{"strategy": {"type": "parallel"}}	{"fault_tolerance": "2%"}
11	1	cinder-vmware	1.0.0	\N	group	{}	{}	{cinder-vmware}	{}	{}	{deploy_end}	{controller}	[]	[]	{"strategy": {"type": "parallel"}}	{}
12	1	compute	1.0.0	\N	group	{}	{}	{compute}	{}	{}	{deploy_end}	{controller}	[]	[]	{"strategy": {"type": "parallel"}}	{"fault_tolerance": "2%"}
13	1	compute-vmware	1.0.0	\N	group	{}	{globals,hiera,tools,logging,netconfig,connectivity_tests,hosts,firewall,top-role-compute}	{compute-vmware}	{}	{}	{deploy_end}	{controller}	[]	[]	{"strategy": {"type": "parallel"}}	{}
14	1	mongo	1.0.0	\N	group	{}	{}	{mongo}	{}	{}	{deploy_end,primary-controller,controller}	{primary-mongo}	[]	[]	{"strategy": {"type": "parallel"}}	{"fault_tolerance": 1}
15	1	primary-mongo	1.0.0	\N	group	{}	{}	{primary-mongo}	{}	{}	{deploy_end,primary-controller,controller}	{deploy_start}	[]	[]	{"strategy": {"type": "one_by_one"}}	{"fault_tolerance": 0}
16	1	ceph-osd	1.0.0	\N	group	{}	{}	{ceph-osd}	{}	{}	{deploy_end}	{controller}	[]	[]	{"strategy": {"type": "parallel"}}	{}
17	1	base-os	1.0.0	\N	group	{}	{hiera,globals,logging}	{base-os}	{}	{}	{deploy_end,primary-controller,controller,primary-mongo,mongo}	{deploy_start}	[]	[]	{"strategy": {"type": "parallel"}}	{}
18	1	virt	1.0.0	\N	group	{}	{}	{virt}	{}	{}	{deploy_end}	{}	[]	[]	{"strategy": {"type": "parallel"}}	{}
19	1	ironic	1.0.0	\N	group	{}	{}	{ironic}	{}	{}	{deploy_end}	{controller}	[]	[]	{"strategy": {"type": "parallel"}}	{}
20	1	neutron-db	2.1.0	{"yaql_exp": "changedAny($.quantum, $.quantum_settings, $.mysql, $.network_metadata.vips, $.get('database_vip'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{openstack-network-end}	{primary-database,database}	[]	[{"name": "/^(primary-)?database$/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/db.pp", "timeout": 1800}	{}
21	1	neutron-keystone	2.1.0	{"yaql_exp": "changedAny($.quantum, $.quantum_settings, $.network_metadata.vips, $.public_ssl, $.get('use_ssl'), $.get('region', 'RegionOne'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{openstack-network-end}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/keystone.pp", "timeout": 1800}	{}
22	1	openstack-network-start	2.0.0	\N	skipped	{primary-controller,controller,compute}	{}	{}	{}	{}	{openstack-network-common-config}	{neutron-keystone,neutron-db,netconfig,primary-openstack-controller,openstack-controller,top-role-compute}	[]	[{"name": "neutron-keystone"}, {"role": "primary-controller", "name": "openstack-haproxy"}, {"name": "neutron-db"}, {"role": "self", "name": "/(primary-)?rabbitmq/"}]	{}	{}
23	1	openstack-network-common-config	2.1.0	{"yaql_exp": "changedAny($.get('openstack_network'), $.get('verbose'), $.debug, $.quantum_settings, $.neutron_advanced_configuration, $.rabbit, $.ceilometer, $.network_scheme, $.get('use_syslog'), $.get('use_stderr'), $.get('syslog_log_facility_neutron'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.get('kombu_compression'))\\n"}	puppet	{primary-controller,controller,compute}	{}	{}	{}	{}	{openstack-network-end}	{openstack-network-start}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/common-config.pp", "timeout": 1800}	{}
24	1	openstack-network-server-config	2.1.0	{"yaql_exp": "changedAny($.quantum, $.configuration, $.quantum_settings, $.get('database_vip'), $.network_metadata.vips, $.nova, $.get('neutron_primary_controller_roles'), $.get('neutron_compute_nodes'), $.get('region', 'RegionOne'), $.get('use_ssl'), $.neutron_advanced_configuration, $.network_scheme)\\n"}	puppet	{primary-controller,controller}	{}	{}	{deploy_changes}	{neutron_plugin_ml2,neutron_config,neutron_api_config}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/server-config.pp", "timeout": 1800}	{}
25	1	primary-openstack-network-plugins-l2	2.1.0	{"yaql_exp": "changedAny($.quantum, $.configuration, $.fqdn, $.get('neutron_primary_controller_roles'), $.get('neutron_compute_nodes'), $.quantum_settings, $.public_ssl, $.get('use_ssl'), $.get('region'), $.network_scheme, $.neutron_advanced_configuration)\\n"}	puppet	{primary-controller}	{}	{}	{}	{neutron_agent_ovs}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config,openstack-network-server-config}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/plugins/ml2.pp", "timeout": 1800}	{}
26	1	openstack-network-plugins-l2	2.1.0	{"yaql_exp": "changedAny($.quantum, $.configuration, $.fqdn, $.get('neutron_primary_controller_roles'), $.get('neutron_compute_nodes'), $.quantum_settings, $.public_ssl, $.get('use_ssl'), $.get('region'), $.network_scheme, $.neutron_advanced_configuration)\\n"}	puppet	{controller,compute}	{}	{}	{}	{neutron_agent_ovs}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config,openstack-network-server-config}	[]	[{"name": "primary-openstack-network-plugins-l2"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/plugins/ml2.pp", "timeout": 1800}	{}
27	1	openstack-network-networks	2.1.0	{"yaql_exp": "changedAny($.access, $.quantum_settings, $.quantum)"}	puppet	{primary-controller}	{}	{}	{}	{}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config,openstack-network-server-config,primary-openstack-network-plugins-l2}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/networks.pp", "timeout": 1800}	{}
28	1	openstack-network-routers	2.1.0	{"yaql_exp": "not $.neutron_advanced_configuration.neutron_l3_ha and changed($.neutron_advanced_configuration.neutron_l3_ha)\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{openstack-network-end}	{openstack-network-start,openstack-network-networks}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/routers.pp", "timeout": 1800}	{}
29	1	openstack-network-routers-ha	2.1.0	{"yaql_exp": "$.neutron_advanced_configuration.neutron_l3_ha and changed($.neutron_advanced_configuration.neutron_l3_ha)\\n"}	puppet	{}	{}	{primary-controller}	{}	{}	{post_deployment_end}	{post_deployment_start}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/routers.pp", "timeout": 1800, "cwd": "/"}	{}
30	1	primary-openstack-network-agents-l3	2.1.0	{"yaql_exp": "changedAny($.quantum, $.neutron_advanced_configuration, $.get('neutron_controller_roles'), $.get('neutron_compute_nodes'), $.debug, $.configuration, $.network_scheme, ('primary-controller' in $.roles))\\n"}	puppet	{primary-controller}	{}	{}	{}	{neutron_l3_agent_config}	{openstack-network-end}	{openstack-network-start,openstack-network-networks,openstack-network-routers,primary-openstack-network-plugins-l2,openstack-network-plugins-l2}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/agents/l3.pp", "timeout": 1800}	{}
31	1	openstack-network-agents-l3	2.1.0	{"yaql_exp": "changedAny($.quantum, $.neutron_advanced_configuration, $.get('neutron_controller_roles'), $.get('neutron_compute_nodes'), $.debug, $.configuration, $.network_scheme, ('primary-controller' in $.roles))\\n"}	puppet	{controller,compute}	{}	{}	{}	{neutron_l3_agent_config}	{openstack-network-end}	{openstack-network-start,openstack-network-networks,openstack-network-routers,primary-openstack-network-plugins-l2,openstack-network-plugins-l2}	[]	[{"role": ["/(primary-)?controller/"], "name": "/(primary-)?openstack-network-plugins-l2/"}, {"name": "primary-openstack-network-agents-l3"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/agents/l3.pp", "timeout": 1800}	{}
32	1	openstack-network-agents-sriov	2.1.0	{"yaql_exp": "changedAny($.quantum, $.network_scheme, $.quantum_settings, $.configuration)\\n"}	puppet	{compute}	{}	{}	{}	{neutron_sriov_agent_config}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config,openstack-network-plugins-l2}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/agents/sriov.pp", "timeout": 1800}	{}
33	1	openstack-network-server-nova	2.1.0	{"yaql_exp": "changedAny($.quantum, $.quantum_settings, $.network_metadata.vips, $.get('use_ssl'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config,openstack-network-server-config,openstack-network-agents-l3}	[]	[{"role": "self", "name": "/(primary-)?openstack-network-common-config/"}, {"role": "self", "name": "/(primary-)?openstack-network-server-config/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/server-nova.pp", "timeout": 1800}	{}
407	3	ironic	1.0.0	\N	group	{}	{}	{ironic}	{}	{}	{deploy_end}	{controller}	[]	[]	{"strategy": {"type": "parallel"}}	{}
34	1	primary-openstack-network-agents-dhcp	2.1.0	{"yaql_exp": "changedAny($.quantum, $.configuration, $.debug, $.neutron_advanced_configuration, ('primary-controller' in $.roles))\\n"}	puppet	{primary-controller}	{}	{}	{}	{neutron_dhcp_agent_config}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config,openstack-network-server-config,openstack-network-server-nova,openstack-network-agents-l3}	[]	[{"role": "self", "name": "/(primary-)?openstack-network-plugins-l2/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/agents/dhcp.pp", "timeout": 1800}	{}
35	1	openstack-network-agents-dhcp	2.1.0	{"yaql_exp": "changedAny($.quantum, $.configuration, $.debug, $.neutron_advanced_configuration, ('primary-controller' in $.roles))\\n"}	puppet	{controller}	{}	{}	{}	{neutron_dhcp_agent_config}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config,openstack-network-server-config,openstack-network-server-nova,openstack-network-agents-l3}	[]	[{"name": "primary-openstack-network-agents-dhcp"}, {"role": "self", "name": "/(primary-)?openstack-network-plugins-l2/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/agents/dhcp.pp", "timeout": 1800}	{}
36	1	primary-openstack-network-agents-metadata	2.1.0	{"yaql_exp": "($.quantum and changed($.quantum)) or\\n  changed($.get('neutron_controller_roles')) or\\nchangedAny($.get('neutron_compute_nodes'),\\n  $.neutron_advanced_configuration, $.debug, $.configuration,\\n  $.get('region'), $.network_metadata.vips, $.get('use_ssl'),\\n  $.quantum_settings, $.get('nova_endpoint'), $.get('nova_metadata_protocol'),\\n  $.get('workers_max'),\\n  ('primary-controller' in $.roles))\\n"}	puppet	{primary-controller}	{}	{}	{}	{neutron_metadata_agent_config}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config,openstack-network-server-config,openstack-network-server-nova,openstack-network-agents-l3}	[]	[{"role": "self", "name": "/(primary-)?openstack-network-plugins-l2/"}, {"role": "self", "name": "/(primary-)?openstack-network-agents-l3/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/agents/metadata.pp", "timeout": 1800}	{}
37	1	openstack-network-agents-metadata	2.1.0	{"yaql_exp": "($.quantum and changed($.quantum)) or\\n  changed($.get('neutron_controller_roles')) or\\nchangedAny($.get('neutron_compute_nodes'),\\n  $.neutron_advanced_configuration, $.debug, $.configuration,\\n  $.get('region'), $.network_metadata.vips, $.get('use_ssl'),\\n  $.quantum_settings, $.get('nova_endpoint'), $.get('nova_metadata_protocol'),\\n  $.get('workers_max'),\\n  ('primary-controller' in $.roles))\\n"}	puppet	{controller,compute}	{}	{}	{}	{neutron_metadata_agent_config}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config,openstack-network-server-config,openstack-network-server-nova,openstack-network-agents-l3}	[]	[{"name": "primary-openstack-network-agents-metadata"}, {"role": ["/(primary-)?controller/"], "name": "/(primary-)?openstack-network-plugins-l2/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/agents/metadata.pp", "timeout": 1800}	{}
38	1	openstack-network-compute-nova	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.quantum, $.quantum_settings, $.nova, $.network_metadata.vips, $.get('region'), $.get('use_ssl'))\\n"}	puppet	{compute}	{}	{}	{}	{}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config,openstack-network-agents-l3,openstack-network-agents-metadata}	[]	[{"name": "/(primary-)?openstack-network-plugins-l2/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/compute-nova.pp", "timeout": 1800}	{}
39	1	openstack-network-end	2.0.0	\N	skipped	{primary-controller,controller,compute}	{}	{}	{}	{}	{deploy_end}	{}	[]	[]	{}	{}
40	1	primary-heat	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.heat, $.sahara, $.rabbit, $.get('max_retries'), $.get('max_pool_size'), $.get('max_overflow'), $.get('idle_timeout'), $.network_metadata.vips, $.public_ssl, $.get('use_ssl'), ('primary-controller' in $.roles), $.get('kombu_compression'), $.get('heat_endpoint'), $.debug, $.get('verbose'), $.get('use_stderr'), $.get('use_syslog'), $.get('syslog_log_facility_heat'), $.deployment_mode, $.get('region', 'RegionOne'), $.get('external_lb'), $.get('database_vip'), $.get('heat_db_name'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')), $.get('amqp_hosts'),\\n$.configuration.get('heat'), $.configuration.get('heat_api_paste_ini'), $.get('heat_ha_engine'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{deploy_end}	{primary-openstack-controller,openstack-controller}	[]	[{"name": "heat-db"}, {"name": "heat-keystone"}, {"name": "memcached"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/heat/heat.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/heat/heat_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/heat/heat_pre.rb"}}
41	1	heat	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.heat, $.sahara, $.rabbit, $.get('max_retries'), $.get('max_pool_size'), $.get('max_overflow'), $.get('idle_timeout'), $.network_metadata.vips, $.public_ssl, $.get('use_ssl'), ('primary-controller' in $.roles), $.get('kombu_compression'), $.get('heat_endpoint'), $.debug, $.get('verbose'), $.get('use_stderr'), $.get('use_syslog'), $.get('syslog_log_facility_heat'), $.deployment_mode, $.get('region', 'RegionOne'), $.get('external_lb'), $.get('database_vip'), $.get('heat_db_name'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')), $.get('amqp_hosts'),\\n$.configuration.get('heat'), $.configuration.get('heat_api_paste_ini'), $.get('heat_ha_engine'))\\n"}	puppet	{controller}	{}	{}	{}	{}	{deploy_end}	{primary-openstack-controller,openstack-controller}	[]	[{"name": "primary-heat"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/heat/heat.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/heat/heat_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/heat/heat_pre.rb"}}
42	1	heat-db	2.1.0	{"yaql_exp": "changedAny($.heat, $.mysql, $.network_metadata.get('vips',{}).get('management'), $.get('database_vip'), $.get('mysql_custom_setup_class'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{primary-heat,heat}	{primary-database,database}	[]	[{"name": "/^(primary-)?database$/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/heat/db.pp", "timeout": 1800}	{}
43	1	heat-keystone	2.1.0	{"yaql_exp": "changedAny($.heat, $.network_metadata.vips, $.get('region', 'RegionOne'), $.public_ssl, $.get('use_ssl'), $.get('heat_endpoint'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{heat,primary-heat}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/heat/keystone.pp", "timeout": 1800}	{}
44	1	controller_remaining_tasks	2.1.0	{"yaql_exp": "changedAny(('primary-controller' in $.roles), $.quantum)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/roles/controller.pp", "timeout": 3600}	{}
45	1	top-role-compute	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.configuration, $.get('compute', ''), $.network_metadata.vips, $.debug, $.storage, $.nova, $.public_ssl, $.get('use_ssl', {}), $.get('nova_rate_limits', {}), $.get('nova_report_interval', 60), $.get('nova_service_down_time', 180), $.get('novanetwork_parameters', {}), $.get('nova_custom', {}), $.rabbit, $.cinder, $.ceilometer, $.get('use_syslog', true), $.get('use_stderr', false), $.get('syslog_log_facility_nova', ''), $.network_metadata.nodes.get(concat('node-', $.uid)), $.libvirt_type, $.get('kombu_compression', ''), $.dpdk, $.get('glance_api_servers', ''), $.get('block_device_allocate_retries', 300), $.get('block_device_allocate_retries_interval', 3), $.get('queue_provider', 'rabbit'), $.quantum_settings, $.get('memcached_addresses', ''), $.get('memcache_roles', ''), $.network_metadata.nodes.values().where(\\n  $.network_roles.get('mgmt/memcache') != null),\\n$.get('memcache_server_port'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.network_metadata.nodes.values().where(\\n  $.network_roles.get('mgmt/messaging') != null),\\n$.resume_guests_state_on_host_boot, $.use_cow_images)\\n"}	puppet	{compute}	{}	{}	{}	{nova_config,nova_paste_api_ini}	{enable_nova_compute_service}	{hosts,firewall}	[]	[{"name": "keystone"}, {"name": "/(primary-)?openstack-controller/"}, {"name": "/(primary-)?rabbitmq/"}, {"name": "memcached"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/roles/compute.pp", "timeout": 3600}	{}
46	1	top-role-cinder	2.1.0	{"yaql_exp": "changedAny($.cinder, $.get('cinder_volume_group'), $.network_metadata.nodes.get(concat(\\"node-\\", $.uid)).network_roles.get('cinder/iscsi'), $.network_metadata.vips, $.debug, $.node_volumes, $.storage, $.rabbit, $.ceilometer, $.get('use_stderr'), $.get('use_syslog'), $.get('syslog_log_facility_cinder'), $.get('syslog_log_facility_ceph'), $.get('proxy_port'), $.get('kombu_compression'), $.get('use_ssl'), $.get('service_endpoint'), $.get('glance_api_servers'), $.get('amqp_hosts'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')))\\n"}	puppet	{cinder,cinder-block-device,cinder-vmware}	{}	{}	{}	{}	{enable_cinder_volume_service}	{hosts,firewall}	[]	[{"name": "openstack-cinder"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/roles/cinder.pp", "timeout": 3600}	{}
47	1	enable_cinder_volume_service	2.1.0	{"yaql_exp": "changedAny($.cinder, $.get('cinder_volume_group'), $.network_metadata.nodes.get(concat(\\"node-\\", $.uid)).network_roles.get('cinder/iscsi'), $.network_metadata.vips, $.debug, $.node_volumes, $.storage, $.rabbit, $.ceilometer, $.get('use_stderr'), $.get('use_syslog'), $.get('syslog_log_facility_cinder'), $.get('syslog_log_facility_ceph'), $.get('proxy_port'), $.get('kombu_compression'), $.get('use_ssl'), $.get('service_endpoint'), $.get('glance_api_servers'), $.get('amqp_hosts'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')))\\n"}	puppet	{cinder,cinder-block-device}	{}	{}	{}	{}	{deploy_end}	{top-role-cinder}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/roles/enable_cinder.pp", "timeout": 3600, "cwd": "/"}	{}
48	1	top-role-primary-mongo	2.1.0	{"yaql_exp": "$.ceilometer.enabled and changedAny($.network_scheme, $.mongo, $.get('mongodb_port'), $.network_metadata.nodes.values().where(\\n  ('primary-mongo' in $.node_roles) or\\n  ('mongo' in $.node_roles)),\\n$.get('use_syslog'), $.debug, $.ceilometer, $.roles)\\n"}	puppet	{primary-mongo}	{}	{}	{}	{}	{deploy_end}	{hosts,firewall}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/roles/mongo.pp", "timeout": 3600}	{}
49	1	top-role-mongo	2.1.0	{"yaql_exp": "$.ceilometer.enabled and changedAny($.network_scheme, $.mongo, $.get('mongodb_port'), $.network_metadata.nodes.values().where(\\n  ('primary-mongo' in $.node_roles) or\\n  ('mongo' in $.node_roles)),\\n$.get('use_syslog'), $.debug, $.ceilometer, $.roles)\\n"}	puppet	{mongo}	{}	{}	{}	{}	{deploy_end}	{hosts,firewall}	[]	[{"name": "top-role-primary-mongo"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/roles/mongo.pp", "timeout": 3600}	{}
50	1	ironic-conductor	2.1.0	{"yaql_exp": "$.ironic.enabled and changedAny($.network_scheme, $.ironic, $.network_metadata.vips, $.get('database_vip'), $.get('neutron_endpoint'), $.get('glance_api_servers'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.debug, $.get('verbose'), $.get('use_syslog'), $.get('syslog_log_facility_ironic'), $.rabbit, $.storage, $.get('kombu_compression'))\\n"}	puppet	{ironic}	{}	{}	{}	{}	{deploy_end}	{hosts,firewall}	[]	[{"name": "ironic"}, {"name": "/(primary-)?database/"}, {"name": "/(primary-)?rabbitmq/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/roles/ironic-conductor.pp", "timeout": 3600}	{}
51	1	enable_nova_compute_service	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.configuration, $.get('compute', ''), $.network_metadata.vips, $.debug, $.storage, $.nova, $.public_ssl, $.get('use_ssl', {}), $.get('nova_rate_limits', {}), $.get('nova_report_interval', 60), $.get('nova_service_down_time', 180), $.get('novanetwork_parameters', {}), $.get('nova_custom', {}), $.rabbit, $.cinder, $.ceilometer, $.get('use_syslog', true), $.get('use_stderr', false), $.get('syslog_log_facility_nova', ''), $.network_metadata.nodes.get(concat('node-', $.uid)), $.libvirt_type, $.get('kombu_compression', ''), $.dpdk, $.get('glance_api_servers', ''), $.get('block_device_allocate_retries', 300), $.get('block_device_allocate_retries_interval', 3), $.get('queue_provider', 'rabbit'), $.quantum_settings, $.get('memcached_addresses', ''), $.get('memcache_roles', ''), $.network_metadata.nodes.values().where(\\n  $.network_roles.get('mgmt/memcache') != null),\\n$.get('memcache_server_port'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.network_metadata.nodes.values().where(\\n  $.network_roles.get('mgmt/messaging') != null),\\n$.resume_guests_state_on_host_boot, $.use_cow_images)\\n"}	puppet	{compute,compute-vmware}	{}	{}	{}	{nova_config,nova_paste_api_ini}	{deploy_end}	{top-role-compute,top-role-compute-vmware,openstack-network-compute-nova}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/roles/enable_compute.pp", "timeout": 3600, "cwd": "/"}	{}
52	1	allocate_hugepages	2.1.0	{"yaql_exp": "changed($.get(\\"hugepages\\", []))"}	puppet	{}	{}	{/.*/}	{}	{}	{globals}	{setup_repositories}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/roles/allocate_hugepages.pp", "timeout": 300, "cwd": "/"}	{}
53	1	sahara	2.1.0	{"yaql_exp": "$.sahara.enabled and changedAny($.access, $.sahara, $.rabbit, $.public_ssl, $.ceilometer, ('primary-controller' in $.roles), $.network_metadata.vips, $.get('database_vip'), $.quantum_settings, $.quantum, $.network_scheme, $.get('syslog_log_facility_sahara'), $.debug, $.get('verbose'), $.get('default_log_levels'), $.get('use_syslog'), $.get('use_stderr'), $.get('rabbit_ha_queues'), $.get('amqp_port'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')), $.get('amqp_hosts'),\\n$.get('external_lb'), $.get('use_ssl'), $.get('kombu_compression'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end,controller_remaining_tasks}	{openstack-network-end,horizon}	[]	[{"name": "sahara-db"}, {"name": "sahara-keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/sahara/sahara.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/sahara/sahara_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/sahara/sahara_pre.rb"}}
54	1	sahara-db	2.1.0	{"yaql_exp": "$.sahara.enabled and changedAny($.sahara, $.mysql, $.network_metadata.vips, $.get('database_vip'), $.get('mysql_custom_setup_class'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{sahara}	{primary-database,database}	[]	[{"name": "/^(primary-)?database$/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/sahara/db.pp", "timeout": 1800}	{}
55	1	sahara-keystone	2.1.0	{"yaql_exp": "$.sahara.enabled and changedAny($.sahara, $.public_ssl, $.network_metadata.vips, $.get('region', 'RegionOne'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{sahara}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/sahara/keystone.pp", "timeout": 1800}	{}
56	1	openrc-delete	2.1.0	{"yaql_exp": "changedAny($.configuration, $.network_scheme, $.network_metadata, $.keystone, $.get('verbose'), $.debug, $.quantum, $.get('use_syslog'), $.get('use_stderr'), $.access, $.get('database_vip'), $.glance, $.nova, $.cinder, $.ceilometer, $.get('syslog_log_facility_keystone'), $.rabbit, $.quantum_settings.keystone, $.get('default_log_levels'), ('primary-controller' in $.roles), $.get('kombu_compression'), $.get('region'), $.public_ssl, $.get('use_ssl'), $.get('memcache_server_port'), $.get('memcached_addresses'), $.get('memcache_roles'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.get('token_provider'), $.get('max_pool_size'), $.get('max_overflow'), $.murano_settings, $.murano, $.get('external_lb'), $.operator_user, $.service_user, $.get('apache_ports'), $.get('user_admin_role'), $.get('user_admin_domain'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{keystone_config}	{primary-keystone,keystone}	{deploy_start,openstack-haproxy}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/keystone/openrc_delete.pp", "timeout": 90}	{}
57	1	primary-keystone	2.1.0	{"yaql_exp": "changedAny($.configuration, $.network_scheme, $.network_metadata, $.keystone, $.get('verbose'), $.debug, $.quantum, $.get('use_syslog'), $.get('use_stderr'), $.access, $.get('database_vip'), $.glance, $.nova, $.cinder, $.ceilometer, $.get('syslog_log_facility_keystone'), $.rabbit, $.quantum_settings.keystone, $.get('default_log_levels'), ('primary-controller' in $.roles), $.get('kombu_compression'), $.get('region'), $.public_ssl, $.get('use_ssl'), $.get('memcache_server_port'), $.get('memcached_addresses'), $.get('memcache_roles'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.get('token_provider'), $.get('max_pool_size'), $.get('max_overflow'), $.murano_settings, $.murano, $.get('external_lb'), $.operator_user, $.service_user, $.get('apache_ports'), $.get('user_admin_role'), $.get('user_admin_domain'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{keystone_config}	{primary-openstack-controller,openstack-controller}	{openstack-haproxy,database,primary-rabbitmq,rabbitmq,primary-database}	[]	[{"role": "self", "name": "/(primary-)?rabbitmq/"}, {"name": "keystone-db"}, {"name": "memcached"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/keystone/keystone.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/keystone/keystone_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/keystone/keystone_pre.rb"}}
58	1	keystone	2.1.0	{"yaql_exp": "changedAny($.configuration, $.network_scheme, $.network_metadata, $.keystone, $.get('verbose'), $.debug, $.quantum, $.get('use_syslog'), $.get('use_stderr'), $.access, $.get('database_vip'), $.glance, $.nova, $.cinder, $.ceilometer, $.get('syslog_log_facility_keystone'), $.rabbit, $.quantum_settings.keystone, $.get('default_log_levels'), ('primary-controller' in $.roles), $.get('kombu_compression'), $.get('region'), $.public_ssl, $.get('use_ssl'), $.get('memcache_server_port'), $.get('memcached_addresses'), $.get('memcache_roles'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.get('token_provider'), $.get('max_pool_size'), $.get('max_overflow'), $.murano_settings, $.murano, $.get('external_lb'), $.operator_user, $.service_user, $.get('apache_ports'), $.get('user_admin_role'), $.get('user_admin_domain'))\\n"}	puppet	{controller}	{}	{}	{}	{keystone_config}	{primary-openstack-controller,openstack-controller}	{openstack-haproxy,database,primary-rabbitmq,rabbitmq,primary-database}	[]	[{"role": "self", "name": "/(primary-)?rabbitmq/"}, {"name": "keystone-db"}, {"name": "primary-keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/keystone/keystone.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/keystone/keystone_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/keystone/keystone_pre.rb"}}
59	1	keystone-db	2.1.0	{"yaql_exp": "changedAny($.network_metadata, $.keystone, $.mysql, $.get('database_vip'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{keystone,primary-keystone}	{primary-database,database}	[]	[{"name": "/^(primary-)?database$/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/keystone/db.pp", "timeout": 1800}	{}
60	1	workloads_collector_add	2.1.0	{"yaql_exp": "changedAny($.workloads_collector, $.get('external_lb'), $.get('use_ssl'), $.network_metadata.get('vips',{}).get('management'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{deploy_end}	{keystone,primary-keystone}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/keystone/workloads_collector_add.pp", "timeout": 1800}	{}
61	1	openstack-cinder	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.cinder, $.network_metadata.vips, $.get('cinder_volume_group'), $.storage, $.ceilometer, $.sahara, $.rabbit, $.get('region', 'RegionOne'), $.get('use_ssl'), ('primary-controller' in $.roles), $.get('proxy_port'), $.get('kombu_compression'), $.get('keystone_endpoint'), $.get('glance_endpoint'), $.get('glance_api_servers'), $.get('use_syslog'), $.get('use_stderr'), $.get('verbose'), $.debug, $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.get('syslog_log_facility_cinder'), $.get('cinder_rate_limits'), $.configuration.get('cinder_api_paste_ini'), $.configuration.get('cinder'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end,openstack-controller}	{primary-rabbitmq,rabbitmq,primary-keystone,keystone,hosts,firewall}	[]	[{"name": "cinder-db"}, {"name": "cinder-keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-cinder/openstack-cinder.pp", "timeout": 1200}	{}
62	1	cinder-db	2.1.0	{"yaql_exp": "changedAny($.cinder, $.mysql, $.network_metadata.vips, $.get('mysql_custom_setup_class'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{openstack-cinder}	{primary-database,database}	[]	[{"name": "/^(primary-)?database$/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-cinder/db.pp", "timeout": 1800}	{}
63	1	cinder-keystone	2.1.0	{"yaql_exp": "changedAny($.cinder, $.public_ssl, $.get('use_ssl'), $.network_metadata.vips, $.get('region', 'RegionOne'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{openstack-cinder}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "keystone"}]	{"puppet_modules": "/etc/puppet/modules/", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-cinder/keystone.pp", "timeout": 1800}	{}
64	1	create-cinder-types	2.1.0	{"yaql_exp": "changed($.storage)"}	puppet	{primary-controller}	{}	{}	{}	{}	{deploy_end}	{openstack-cinder}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-cinder/create_cinder_types.pp", "timeout": 1200}	{}
65	1	murano	2.1.0	{"yaql_exp": "$.murano.enabled and changedAny($.murano, $.murano_settings, $.rabbit, $.quantum_settings, $.network_metadata.vips, $.get('database_vip'), $.get('region', 'RegionOne'), $.quantum, $.network_metadata, $.get('syslog_log_facility_murano'), $.debug, $.get('verbose'), $.get('default_log_levels'), $.get('use_syslog'), $.get('use_stderr'), $.get('rabbit_ha_queues'), $.get('amqp_port'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.external_dns, $.public_ssl, $.get('use_ssl'), ('primary-controller' in $.roles), $.get('kombu_compression'), $.get('external_lb'), $.get('keystone_endpoint'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end,controller_remaining_tasks}	{primary-heat,heat,horizon,primary-rabbitmq,rabbitmq}	[]	[{"name": "murano-db"}, {"name": "murano-keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/murano/murano.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/murano/murano_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/murano/murano_pre.rb"}}
66	1	murano-db	2.1.0	{"yaql_exp": "$.murano.enabled and changedAny( $.network_metadata.nodes.values().where($.fqdn = new($.fqdn)), $.murano, $.mysql, $.network_metadata.vips, $.get('database_vip'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{murano}	{primary-database,database}	[]	[{"name": "/^(primary-)?database$/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/murano/db.pp", "timeout": 1800}	{}
67	1	murano-keystone	2.1.0	{"yaql_exp": "$.murano.enabled and changedAny($.murano, $.network_metadata.vips, $.get('region', 'RegionOne'), $.public_ssl, $.get('use_ssl'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{murano}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/murano/keystone.pp", "timeout": 1800}	{}
68	1	murano-rabbitmq	2.1.0	{"yaql_exp": "$.murano.enabled and changedAny($.rabbit, $.murano)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{murano}	{rabbitmq,primary-rabbitmq}	[]	[{"role": "self", "name": "/(primary-)?rabbitmq/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/murano/rabbitmq.pp", "timeout": 1800}	{}
69	1	murano-cfapi	2.1.0	{"yaql_exp": "$.get('murano-cfapi').enabled and changedAny($.access, $.get('murano-cfapi'), $.network_metadata.vips, $.public_ssl, $.get('use_ssl'), $.network_metadata, $.get('external_lb'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{}	{murano}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/murano/cfapi.pp", "timeout": 1800}	{}
70	1	murano-cfapi-keystone	2.1.0	{"yaql_exp": "$.get('murano-cfapi').enabled and changedAny($.murano, $.network_metadata.vips, $.get('region', 'RegionOne'), $.public_ssl, $.get('use_ssl'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{murano-cfapi}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/murano/keystone_cfapi.pp", "timeout": 1800}	{}
71	1	upload_murano_package	2.1.0	{"yaql_exp": "$.murano.enabled and changedAny($.murano_settings.murano_glance_artifacts_plugin)\\n"}	puppet	{}	{}	{primary-controller}	{}	{}	{post_deployment_end}	{upload_cirros}	[]	[{"name": "upload_cirros"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/murano/upload_murano_package.pp", "timeout": 180}	{}
72	1	ironic-api	2.1.0	{"yaql_exp": "$.ironic.enabled and changedAny($.ironic, $.get('service_endpoint'), $.get('database_vip'), $.get('neutron_endpoint'), $.debug, $.get('verbose'), $.network_metadata, $.get('glance_api_servers'), $.get('default_log_levels'), $.get('use_syslog'), $.get('syslog_log_facility_ironic'), $.rabbit, $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.get('amqp_port'), $.quantum_settings, ('primary-controller' in $.roles), $.get('kombu_compression'), $.get('use_ssl'), $.network_scheme)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{primary-openstack-controller,openstack-controller}	{openstack-haproxy,ironic-db,ironic-keystone}	[]	[{"name": "ironic-db"}, {"name": "ironic-keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/ironic/ironic.pp", "timeout": 3600}	{}
73	1	ironic-db	2.1.0	{"yaql_exp": "$.ironic.enabled and changedAny($.ironic, $.mysql, $.get('database_vip'), $.get('mysql_custom_setup_class'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{ironic-api}	{primary-database,database}	[]	[{"name": "/^(primary-)?database$/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/ironic/db.pp", "timeout": 1800}	{}
74	1	ironic-keystone	2.1.0	{"yaql_exp": "$.ironic.enabled and changedAny($.ironic, $.network_metadata.vips, $.public_ssl, $.get('region', 'RegionOne'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{ironic-api}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/ironic/keystone.pp", "timeout": 1800}	{}
75	1	ironic-compute	2.1.0	{"yaql_exp": "$.ironic.enabled and changedAny($.ironic, $.nova, $.network_metadata.vips, $.get('database_vip'), $.get('neutron_endpoint'), $.get('ironic_endpoint'), $.get('glance_api_servers'), $.debug, $.get('verbose'), $.get('use_syslog'), $.get('syslog_log_facility_ironic'), $.get('syslog_log_facility_nova'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.rabbit, $.get('nova_report_interval', '60'), $.get('nova_service_down_time', '180'), $.quantum_settings, $.get('memcached_addresses'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.get('memcache_server_port'), $.get('use_ssl'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{nova_config,nova_paste_api_ini}	{deploy_end}	{primary-openstack-controller,openstack-controller,ironic-api}	[]	[{"role": "self", "name": "/(primary-)?rabbitmq/"}, {"role": "self", "name": "/(primary-)?openstack-controller/"}, {"role": "self", "name": "ironic-api"}, {"role": "self", "name": "memcached"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/ironic/ironic-compute.pp", "timeout": 3600}	{}
84	1	aodh	2.1.0	{"yaql_exp": "$.ceilometer.enabled and changedAny($.get('rabbit_ha_queues'), $.rabbit, $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.get('amqp_port'), $.get('kombu_compression'), $.network_scheme, $.aodh, $.get('region', 'RegionOne'), $.debug, $.get('verbose'), $.get('database_vip'), $.get('external_lb'), $.network_metadata.vips, $.public_ssl, $.get('use_ssl'), $.ceilometer)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{ceilometer-controller,openstack-controller}	{openstack-haproxy}	[]	[{"name": "aodh-db"}, {"name": "aodh-keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/aodh/aodh.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/aodh/aodh_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/aodh/aodh_pre.rb"}}
76	1	ceilometer-controller	2.1.0	{"yaql_exp": "$.ceilometer.enabled and changedAny($.ceilometer, $.get('verbose'), $.debug, $.get('use_syslog'), $.get('use_stderr'), $.get('syslog_log_facility_ceilometer'), $.storage, $.rabbit, $.network_metadata.vips, $.get('region', 'RegionOne'), $.network_metadata.nodes.values().where(\\n  ('primary-mongo' in $.node_roles) or\\n  ('mongo' in $.node_roles)),\\n('primary-controller' in $.roles), $.get('kombu_compression'), $.get('service_endpoint'), $.get('use_ssl'), $.get('workers_max'), $.network_scheme, $.mongo, $.external_mongo, $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')), $.get('amqp_hosts'),\\n$.configuration.get('ceilometer'), $.configuration.get('ceilometer_api_paste_ini'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{primary-openstack-controller,openstack-controller}	{openstack-haproxy}	[]	[{"name": "ceilometer-keystone"}, {"name": "/top-role-(primary-)?mongo/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/ceilometer/controller.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/ceilometer/controller_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/ceilometer/controller_pre.rb"}}
77	1	ceilometer-compute	2.1.0	{"yaql_exp": "$.ceilometer.enabled and changedAny($.get('use_syslog'), $.get('use_stderr'), $.get('syslog_log_facility_ceilometer'), $.rabbit, $.network_metadata.vips, $.get('service_endpoint'), $.get('region', 'RegionOne'), $.ceilometer, $.get('verbose'), $.debug, $.get('use_ssl'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')), $.get('amqp_hosts'))\\n"}	puppet	{compute,compute-vmware}	{}	{}	{}	{}	{deploy_end}	{ceilometer-controller,top-role-compute}	[]	[{"name": "ceilometer-controller"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/ceilometer/compute.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/ceilometer/compute_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/ceilometer/compute_pre.rb"}}
78	1	ceilometer-keystone	2.1.0	{"yaql_exp": "$.ceilometer.enabled and changedAny($.ceilometer, $.network_metadata.vips, $.public_ssl, $.get('use_ssl'), $.get('region', 'RegionOne'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{ceilometer-controller}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "/(primary-)?keystone/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/ceilometer/keystone.pp", "timeout": 1800}	{}
79	1	ceilometer-radosgw-user	2.1.0	{"yaql_exp": "($.ceilometer.enabled and $.storage.objects_ceph) and\\n (changedAny($.ceilometer.enabled, $.storage.objects_ceph))\\n"}	puppet	{}	{}	{primary-controller,controller}	{}	{}	{post_deployment_end}	{post_deployment_start,enable_rados}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/ceilometer/radosgw_user.pp", "timeout": 300, "cwd": "/"}	{}
80	1	primary-openstack-controller	2.1.0	{"yaql_exp": "changedAny($.configuration, $.network_scheme, $.network_metadata, ('primary-controller' in $.roles), $.get('use_syslog'), $.get('use_stderr'), $.get('syslog_log_facility_nova'), $.sahara, $.storage, $.nova, $.get('nova_config'), $.get('nova_report_interval', '60'), $.get('nova_service_down_time', '180'), $.rabbit, $.get('use_ssl'), $.get('kombu_compression'), $.get('glance_endpoint'), $.get('glance_api_servers'), $.get('region', 'RegionOne'), $.ironic, $.get('memcached_addresses'), $.get('memcache_server_port'), $.get('openstack_controller'), $.get('external_lb'), $.quantum_settings, $.get('database_vip'), $.nova_quota, $.use_vcenter, $.libvirt_type, $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.debug, $.use_cow_images, $.get('nova_endpoint'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{nova_config,nova_paste_api_ini}	{deploy_end}	{openstack-haproxy}	[]	[{"role": "self", "name": "/(primary-)?rabbitmq/"}, {"name": "nova-db"}, {"name": "nova-keystone"}, {"name": "memcached"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-controller/openstack-controller.pp", "timeout": 3600}	{}
81	1	openstack-controller	2.1.0	{"yaql_exp": "changedAny($.configuration, $.network_scheme, $.network_metadata, ('primary-controller' in $.roles), $.get('use_syslog'), $.get('use_stderr'), $.get('syslog_log_facility_nova'), $.sahara, $.storage, $.nova, $.get('nova_config'), $.get('nova_report_interval', '60'), $.get('nova_service_down_time', '180'), $.rabbit, $.get('use_ssl'), $.get('kombu_compression'), $.get('glance_endpoint'), $.get('glance_api_servers'), $.get('region', 'RegionOne'), $.ironic, $.get('memcached_addresses'), $.get('memcache_server_port'), $.get('openstack_controller'), $.get('external_lb'), $.quantum_settings, $.get('database_vip'), $.nova_quota, $.use_vcenter, $.libvirt_type, $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.debug, $.use_cow_images, $.get('nova_endpoint'))\\n"}	puppet	{controller}	{}	{}	{}	{nova_config,nova_paste_api_ini}	{deploy_end}	{openstack-haproxy}	[]	[{"name": "primary-openstack-controller"}, {"role": "self", "name": "/(primary-)?rabbitmq/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-controller/openstack-controller.pp", "timeout": 3600}	{}
82	1	nova-db	2.1.0	{"yaql_exp": "changedAny($.nova, $.mysql, $.network_metadata.vips, $.get('database_vip'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{primary-openstack-controller,openstack-controller}	{primary-database,database}	[]	[{"name": "/^(primary-)?database$/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-controller/db.pp", "timeout": 1800}	{}
83	1	nova-keystone	2.1.0	{"yaql_exp": "changedAny($.nova, $.network_metadata.vips, $.public_ssl, $.get('use_ssl'), $.get('region', 'RegionOne'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{primary-openstack-controller,openstack-controller}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-controller/keystone.pp", "timeout": 1800}	{}
85	1	aodh-keystone	2.1.0	{"yaql_exp": "$.ceilometer.enabled and changedAny($.aodh, $.network_metadata.vips, $.public_ssl, $.get('use_ssl'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{aodh}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/aodh/keystone.pp", "timeout": 1800}	{}
86	1	aodh-db	2.1.0	{"yaql_exp": "$.ceilometer.enabled and changedAny($.aodh, $.get('database_vip'), $.mysql, $.get('mysql_custom_setup_class'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{aodh}	{primary-database,database}	[]	[{"name": "/^(primary-)?database$/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/aodh/db.pp", "timeout": 1800}	{}
87	1	horizon	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.horizon, $.get('memcached_addresses'), $.get('memcache_roles'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.storage, $.neutron_advanced_configuration, $.public_ssl, $.get('horizon_use_ssl'), $.get('external_lb'), $.get('use_ssl'), $.nova_quota, $.debug, $.get('verbose'), $.get('apache_ports'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{primary-openstack-controller,openstack-controller}	[]	[{"name": "memcached"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/horizon/horizon.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/horizon/horizon_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/horizon/horizon_pre.rb"}}
88	1	glance	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.network_metadata, $.glance, $.get('verbose'), $.debug, $.get('database_vip'), $.storage, $.get('use_syslog'), $.get('use_stderr'), $.get('syslog_log_facility_glance'), $.rabbit, $.get('max_pool_size'), $.get('max_overflow'), $.ceilometer, $.get('region', 'RegionOne'), $.ironic, ('primary-controller' in $.roles), $.get('kombu_compression'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.get('use_ssl'), $.murano, $.configuration.get('glance_api'), $.configuration.get('glance_cache'), $.configuration.get('glance_registry'), $.configuration.get('glare_config'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{primary-openstack-controller,openstack-controller}	{openstack-haproxy,primary-database,database}	[]	[{"name": "glance-db"}, {"name": "glance-keystone"}, {"role": "self", "name": "/(primary-)?rabbitmq/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/glance/glance.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/glance/glance_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/glance/glance_pre.rb"}}
89	1	glance-db	2.1.0	{"yaql_exp": "changedAny($.glance, $.mysql, $.network_metadata.vips, $.get('database_vip'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{glance}	{primary-database,database}	[]	[{"name": "/^(primary-)?database$/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/glance/db.pp", "timeout": 1800}	{}
90	1	glance-keystone	2.1.0	{"yaql_exp": "changedAny($.glance, $.network_metadata.vips, $.public_ssl, $.get('use_ssl'), $.get('region', 'RegionOne'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{glance}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "/(primary-)?keystone/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/glance/keystone.pp", "timeout": 1800}	{}
91	1	swift-proxy_storage	2.1.0	{"yaql_exp": "((not $.storage.objects_ceph or not $.storage.images_ceph) and\\n  not $.storage.images_vcenter) and\\n(changedAny($.network_scheme, $.network_metadata, $.swift,\\n  $.get('swift_master_role', 'primary-controller'),\\n  $.get('swift_object_roles'), ('primary-controller' in $.roles),\\n  $.get('swift_proxy_roles'), $.get('memcached_addresses'),\\n  $.network_metadata.nodes.values().where(\\n    ('controller' in $.node_roles) or\\n    ('primary-controller' in $.node_roles)),\\n  $.get('proxy_port'), $.storage, $.debug, $.get('verbose'),\\n  $.get('swift_ring_min_part_hours'), $.get('deploy_swift_proxy'),\\n  $.get('use_ssl'), $.rabbit,\\n  $.network_metadata.nodes.values().where(\\n    $.node_roles.any($.matches('controller'))).network_roles.select(\\n      $.get('mgmt/messaging')), $.get('amqp_hosts'),\\n  $.get('memcache_server_port'), $.ceilometer.enabled, $.mp,\\n  $.get('swift_partition'), $.get('deploy_swift_storage')))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end,controller_remaining_tasks}	{openstack-controller,primary-rabbitmq,rabbitmq,memcached}	[]	[{"role": "self", "name": "/(primary-)?rabbitmq/"}, {"role": "self", "name": "/glance/"}, {"name": "swift-keystone"}, {"role": "self", "name": "memcached"}, {"role": "primary-controller", "name": "/(primary-)?swift-proxy/"}, {"role": "self", "name": "ceilometer-controller"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/swift/proxy_storage.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/swift/swift_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/swift/swift_pre.rb"}}
92	1	swift-rebalance-cron	2.1.0	{"yaql_exp": "((not $.storage.objects_ceph or not $.storage.images_ceph) and\\n  not $.storage.images_vcenter) and\\n(changedAny($.storage, $.get('swift_master_role', 'primary-controller'),\\n  $.get('swift_ring_min_part_hours'),('primary-controller' in $.roles)))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{swift-proxy_storage}	[]	[{"role": "self", "name": "/(primary-)?swift-proxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/swift/rebalance_cronjob.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/swift/rebalance_cronjob_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/swift/swift_post.rb"}}
117	1	generate_keys	2.0.0	\N	shell	{}	{}	{master}	{}	{}	{copy_keys}	{pre_deployment_start}	[]	[]	{"cmd": "sh /etc/puppet/modules/osnailyfacter/modular/astute/generate_keys.sh -p /var/lib/fuel/keys/ -i {CLUSTER_ID} -o 'mongodb' -s 'neutron nova mysql' -f '0 1'", "timeout": 180}	{}
93	1	swift-keystone	2.1.0	{"yaql_exp": "((not $.storage.objects_ceph or not $.storage.images_ceph) and\\n  not $.storage.images_vcenter) and\\n(changedAny($.swift, $.network_metadata.vips,\\n  $.get('region', 'RegionOne'), $.public_ssl, $.get('use_ssl')))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{swift-proxy_storage}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/swift/keystone.pp", "timeout": 1800}	{}
94	1	hiera	2.1.0	{"yaql_exp": "($.uid in added($.nodes).uid) or changedAny($.plugins, $.cgroups)\\n"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,ceph-osd,primary-mongo,mongo,virt,ironic}	{}	{}	{}	{}	{setup_repositories}	{deploy_start,rsync_core_puppet}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/hiera/hiera.pp", "timeout": 3600}	{"test_post": {"cmd": "python /etc/puppet/modules/osnailyfacter/modular/hiera/hiera_post.py"}, "test_pre": {"cmd": "python /etc/puppet/modules/osnailyfacter/modular/hiera/hiera_pre.py"}}
95	1	rabbitmq	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.get('queue_provider'), $.get('erlang_cookie'), $.get('rabbit_version'), $.get('amqp_port'), $.rabbit, $.get('rabbit_ocf'), $.debug, $.get('rabbit_cluster_partition_handling'), $.get('mnesia_table_loading_timeout'), $.network_metadata.nodes.values().where($.uid = new($.uid)), $.get('management_bind_ip_address'), $.get('rabbit_management_port'), $.get('enable_rpc_ha'), $.get('enable_notifications_ha'), $.get('node_name_prefix_for_messaging'), $.get('rabbit_config_kernel_variables'), $.get('rabbit_config_variables'), $.get('rabbit_config_management_variables'), $.get('rabbit_environment_variables'), $.configuration.get('rabbitmq'))\\n"}	puppet	{controller}	{}	{}	{}	{}	{deploy_end,openstack-controller,primary-openstack-controller,glance}	{netconfig,cluster}	[]	[{"name": "primary-rabbitmq"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/rabbitmq/rabbitmq.pp", "timeout": 3600, "strategy": {"amount": {"yaql_exp": "switch($.get('deployed_before', {}).get('value') => 1, true => 3)\\n"}, "type": "parallel"}}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/rabbitmq/rabbitmq_post.rb"}}
96	1	primary-rabbitmq	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.get('queue_provider'), $.get('erlang_cookie'), $.get('rabbit_version'), $.get('amqp_port'), $.rabbit, $.get('rabbit_ocf'), $.debug, $.get('rabbit_cluster_partition_handling'), $.get('mnesia_table_loading_timeout'), $.network_metadata.nodes.values().where($.uid = new($.uid)), $.get('management_bind_ip_address'), $.get('rabbit_management_port'), $.get('enable_rpc_ha'), $.get('enable_notifications_ha'), $.get('node_name_prefix_for_messaging'), $.get('rabbit_config_kernel_variables'), $.get('rabbit_config_variables'), $.get('rabbit_config_management_variables'), $.get('rabbit_environment_variables'), $.configuration.get('rabbitmq'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{deploy_end,openstack-controller,primary-openstack-controller,glance}	{netconfig,primary-cluster}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/rabbitmq/rabbitmq.pp", "timeout": 3600, "strategy": {"amount": {"yaql_exp": "switch($.get('deployed_before', {}).get('value') => 1, true => 3)\\n"}, "type": "parallel"}}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/rabbitmq/rabbitmq_post.rb"}}
97	1	hiera_default_route	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.dpdk, $.get('use_ovs'), $.get('set_rps'), $.get('set_rps'), $.get('run_ping_checker'), $.network_scheme.endpoints.values().where(\\n  $.get('gateway') != null).gateway)\\n"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,compute-vmware,ceph-osd,primary-mongo,mongo,virt,ironic}	{}	{}	{}	{}	{}	{}	{"yaql_exp": "switch(\\n  (\\n    ('mongo' in $.roles) or ('primary-mongo' in $.roles)\\n  ) => [\\n      {name=>'configure_default_route',role=>'self'}\\n    ],\\n  true => [\\n    {name=>'netconfig',role=>'self'}\\n  ]\\n)\\n"}	{"yaql_exp": "switch(\\n  (\\n    ('mongo' in $.roles) or ('primary-mongo' in $.roles)\\n  ) => [\\n      {name=>'netconfig',role=>'self'},\\n      {name=>'post_deployment_start',role=>'self'}\\n    ],\\n  true => [\\n    {name=>'tools',role=>'self'}\\n  ]\\n)\\n"}	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/netconfig/hiera_default_route.pp", "timeout": 120}	{}
98	1	netconfig	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.dpdk, $.get('use_ovs'), $.get('set_rps'), $.get('set_rps'), $.get('run_ping_checker'), $.network_scheme.endpoints.values().where(\\n  $.get('gateway') != null).gateway)\\n"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,ceph-osd,primary-mongo,mongo,virt,ironic}	{}	{}	{deploy_changes}	{}	{deploy_end}	{tools}	[]	{"yaql_exp": "switch(\\n  (\\n    $.roles.any($.matches('^(primary-)?(mongo)$'))\\n    or ($.network_metadata.get('vips',{}).get('vrouter',{}).get('ipaddr') = null)\\n    or (\\n      len($.roles.toSet().intersect($.network_metadata.get('vips',{}).get('vrouter',{}).get('node_roles').toSet())) > 0\\n    )\\n  ) => [],\\n  true => [{\\n    name => 'virtual_ips',\\n    role => $.network_metadata.get('vips',{}).get('vrouter',{}).get('node_roles')\\n  }]\\n)\\n"}	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/netconfig/netconfig.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/netconfig/netconfig_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/netconfig/netconfig_pre.rb"}}
99	1	connectivity_tests	2.1.0	{"yaql_exp": "changedAny($.repo_setup, $.network_scheme)"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,ceph-osd,primary-mongo,mongo,virt,ironic}	{}	{}	{deploy_changes}	{}	{firewall,hosts}	{netconfig}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/netconfig/connectivity_tests.pp", "timeout": 3600, "cwd": "/"}	{}
100	1	sriov_iommu_check	2.1.0	{"yaql_exp": "changed($.network_scheme.transformations)"}	puppet	{compute}	{}	{}	{}	{}	{firewall,hosts}	{netconfig}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/netconfig/sriov_iommu_check.pp", "timeout": 120, "cwd": "/"}	{}
101	1	reserved_ports	2.1.0	{"yaql_exp": "$.uid in added($.nodes).uid"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,ceph-osd,primary-mongo,mongo,virt,ironic}	{}	{}	{deploy_changes}	{}	{globals}	{rsync_core_puppet}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/netconfig/reserved_ports.pp", "timeout": 180, "cwd": "/"}	{}
102	1	setup_repositories	2.1.0	{"yaql_exp": "($.uid in added($.nodes).uid) or changed($.repo_setup)"}	puppet	{/.*/}	{}	{}	{}	{}	{fuel_pkgs}	{hiera}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/fuel_pkgs/setup_repositories.pp", "timeout": 600}	{}
103	1	fuel_pkgs	2.1.0	{"yaql_exp": "$.uid in added($.nodes).uid"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,ceph-osd,primary-mongo,mongo,ironic}	{}	{}	{}	{}	{globals}	{setup_repositories}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/fuel_pkgs/fuel_pkgs.pp", "timeout": 600}	{}
104	1	cgroups	2.1.0	{"yaql_exp": "changed($.cgroups)"}	puppet	{}	{}	{/.*/}	{}	{}	{post_deployment_end}	{post_deployment_start}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/cgroups/cgroups.pp", "timeout": 3600}	{}
105	1	enable_quorum	2.1.0	{"yaql_exp": "changed($.nodes) or changed($.get('corosync_roles'))"}	shell	{}	{}	{primary-controller}	{}	{}	{post_deployment_end}	{post_deployment_start}	[]	[{"name": "dns-client"}, {"name": "ntp-server"}]	{"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/astute/enable_quorum.rb", "timeout": 180}	{}
106	1	upload_cirros	2.1.0	{"yaql_exp": "changedAny($.test_vm_image, $.glance, $.network_metadata.vips, $.get('region', 'RegionOne'), $.get('use_ssl'))\\n"}	shell	{}	{}	{primary-controller}	{}	{}	{post_deployment_end}	{enable_quorum}	[]	[{"name": "enable_quorum"}]	{"retries": 5, "cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/astute/upload_cirros.rb", "timeout": 600, "interval": 60}	{}
107	1	upload_nodes_info	2.1.0	\N	skipped	{}	{}	{/.*/}	{}	{}	{}	{post_deployment_start}	[]	[]	{}	{}
108	1	upload_configuration	2.1.0	{"yaql_exp": "changed($)"}	upload_file	{}	{}	{master,/.*/}	{}	{*}	{pre_deployment_start}	{override_configuration}	[]	[]	{"path": "/etc/fuel/cluster/{CLUSTER_ID}/astute.yaml", "data": {"yaql_exp": "$.toYaml()"}, "timeout": 180}	{}
109	1	configuration_symlink	2.1.0	{"yaql_exp": "$.uid in added($.nodes).uid"}	shell	{}	{}	{/.*/}	{}	{}	{pre_deployment_start}	{upload_configuration}	[]	[]	{"cmd": "ln -sf /etc/fuel/cluster/{CLUSTER_ID}/astute.yaml /etc/astute.yaml", "timeout": 180}	{}
110	1	update_hosts	2.1.0	{"yaql_exp": "changed($.network_metadata)"}	puppet	{}	{}	{/.*/}	{}	{}	{post_deployment_end}	{upload_nodes_info,copy_deleted_nodes}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/hosts/hosts.pp", "timeout": 3600, "cwd": "/"}	{}
111	1	vcenter_compute_zones_create	2.1.0	{"yaql_exp": "$.use_vcenter and changed($.use_vcenter)"}	shell	{}	{}	{primary-controller,compute-vmware}	{}	{}	{post_deployment_end}	{post_deployment_start,enable_nova_compute_service}	[]	[]	{"cmd": "/usr/bin/python /etc/puppet/modules/osnailyfacter/modular/astute/vcenter_hooks.py --create_zones", "timeout": 180}	{}
112	1	disable_keystone_service_token	2.0.0	{"yaql_exp": "changed($.keystone.get('service_token_off')) and $.keystone.get('service_token_off')\\n"}	puppet	{}	{}	{primary-controller,controller}	{}	{}	{post_deployment_end}	{upload_cirros}	[]	[{"name": "upload_cirros"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/astute/service_token_off.pp", "timeout": 180, "cwd": "/"}	{}
113	1	configure_default_route	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.network_metadata.get('vips',{}).get('management'))"}	puppet	{}	{}	{primary-mongo,mongo}	{}	{}	{post_deployment_end}	{post_deployment_start}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/netconfig/configure_default_route.pp", "timeout": 3600, "cwd": "/"}	{}
114	1	rsync_core_puppet	2.0.0	\N	sync	{}	{}	{/.*/}	{}	{}	{pre_deployment_start}	{}	[]	[]	{"src": "rsync://{MASTER_IP}:/puppet/{OPENSTACK_VERSION}/modules/", "dst": "/etc/puppet/modules", "timeout": 180}	{}
115	1	clear_nodes_info	2.0.0	\N	skipped	{}	{}	{/.*/}	{}	{}	{pre_deployment_end}	{pre_deployment_start}	[]	[]	{"retries": 1, "cmd": "rm -f /etc/hiera/nodes.yaml"}	{}
116	1	copy_keys	2.0.0	\N	copy_files	{}	{}	{/.*/}	{}	{}	{pre_deployment_end}	{generate_keys}	[]	[{"role": "master", "name": "generate_keys"}]	{"files": [{"src": "/var/lib/fuel/keys/{CLUSTER_ID}/neutron/neutron.pub", "dst": "/var/lib/astute/neutron/neutron.pub"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/neutron/neutron", "dst": "/var/lib/astute/neutron/neutron"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/nova/nova.pub", "dst": "/var/lib/astute/nova/nova.pub"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/nova/nova", "dst": "/var/lib/astute/nova/nova"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/mysql/mysql.pub", "dst": "/var/lib/astute/mysql/mysql.pub"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/mysql/mysql", "dst": "/var/lib/astute/mysql/mysql"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/mongodb/mongodb.key", "dst": "/var/lib/astute/mongodb/mongodb.key"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/fernet-keys/0", "dst": "/var/lib/astute/keystone/0"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/fernet-keys/1", "dst": "/var/lib/astute/keystone/1"}], "dir_permissions": "0700", "permissions": "0600"}	{}
118	1	generate_haproxy_keys	2.1.0	{"yaql_exp": "(changedAny($.public_ssl.horizon, $.public_ssl.services)) and ($.public_ssl.horizon or $.public_ssl.services) and $.public_ssl.cert_source = 'self_signed'\\n"}	shell	{}	{}	{master}	{}	{}	{copy_haproxy_keys}	{pre_deployment_start}	[]	[]	{"cmd": "sh /etc/puppet/modules/osnailyfacter/modular/astute/generate_haproxy_keys.sh -i {CLUSTER_ID} -h {CN_HOSTNAME} -o 'haproxy' -p /var/lib/fuel/keys/", "timeout": 180}	{}
119	1	copy_haproxy_keys	2.1.0	{"yaql_exp": "(((changedAny($.public_ssl.horizon, $.public_ssl.services)) and\\n    ($.public_ssl.horizon or $.public_ssl.services) and\\n    (not (old($.public_ssl.horizon) or old($.public_ssl.services)))) or\\n  (($.public_ssl.horizon or $.public_ssl.services) and\\n    ($.uid in added($.nodes).uid))) and\\n$.public_ssl.cert_source = 'self_signed'\\n"}	copy_files	{}	{}	{/.*/}	{}	{}	{pre_deployment_end}	{generate_haproxy_keys}	[]	[{"role": "master", "name": "generate_haproxy_keys"}]	{"files": [{"src": "/var/lib/fuel/keys/{CLUSTER_ID}/haproxy/public_haproxy.pem", "dst": "/var/lib/astute/haproxy/public_haproxy.pem"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/haproxy/public_haproxy.crt", "dst": "/etc/pki/tls/certs/public_haproxy.pem"}], "dir_permissions": "0700", "permissions": "0600"}	{}
120	1	sync_time	2.1.0	{"yaql_exp": "$.uid in added($.nodes).uid"}	shell	{}	{}	{/.*/}	{}	{}	{pre_deployment_end}	{pre_deployment_start}	[]	[]	{"retries": 10, "cmd": "timeout -s9 40 ntpdate -u -v -s $(awk '/^server/ { if ($2 !~ /127\\\\.127\\\\.[0-9]+\\\\.[0-9]+/) {ORS=\\" \\"; print $2}}' /etc/ntp.conf)", "timeout": 300, "interval": 30}	{}
121	1	pre_hiera_config	2.1.0	{"yaql_exp": "$.uid in added($.nodes).uid"}	puppet	{}	{}	{/.*/}	{}	{}	{pre_deployment_start}	{rsync_core_puppet}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/hiera/hiera.pp", "timeout": 3600, "cwd": "/"}	{}
122	1	override_configuration	2.1.0	{"yaql_exp": "$.uid in added($.nodes).uid"}	puppet	{}	{}	{/.*/}	{}	{}	{pre_deployment_start}	{pre_hiera_config}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/hiera/override_configuration.pp", "timeout": 180, "cwd": "/"}	{}
123	1	dump_rabbitmq_definitions	2.1.0	{"yaql_exp": "changedAny($.rabbit, $.get('management_bind_ip_address'), $.get('rabbit_management_port'))\\n"}	puppet	{}	{}	{primary-controller,controller}	{}	{}	{post_deployment_end}	{post_deployment_start}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/astute/dump_rabbitmq_definitions.pp", "timeout": 180, "cwd": "/"}	{}
124	1	ironic_post_swift_key	2.1.0	{"yaql_exp": "$.ironic.enabled and changed($.ironic.enabled)"}	shell	{}	{}	{primary-controller}	{}	{}	{post_deployment_end}	{enable_quorum,enable_rados}	[]	[]	{"retries": 3, "cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/astute/ironic_post_swift_key.rb", "timeout": 180, "interval": 20}	{}
125	1	ironic_upload_images	2.1.0	{"yaql_exp": "$.ironic.enabled and changed($.ironic.enabled)"}	shell	{}	{}	{primary-controller}	{}	{}	{post_deployment_end}	{enable_quorum,enable_rados}	[]	[]	{"retries": 3, "cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/ironic/upload_images.rb {CLUSTER_ID}", "timeout": 180, "interval": 20}	{}
126	1	ironic_copy_bootstrap_key	2.1.0	{"yaql_exp": "($.ironic.enabled and (changed($.ironic.enabled) or ('ironic' in added($.roles))))\\n"}	copy_files	{}	{}	{ironic}	{}	{}	{pre_deployment_end}	{pre_deployment_start}	[]	[]	{"files": [{"src": "/var/lib/fuel/keys/{CLUSTER_ID}/ironic/ironic.pub", "dst": "/var/lib/astute/ironic/ironic.pub"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/ironic/ironic", "dst": "/var/lib/astute/ironic/ironic"}], "dir_permissions": "0700", "permissions": "0600"}	{}
127	1	generate_deleted_nodes	2.1.0	{"yaql_exp": "changed($.network_metadata)"}	upload_file	{}	{}	{master}	{}	{}	{pre_deployment_end}	{upload_configuration}	[]	[]	{"path": "/etc/fuel/cluster/{CLUSTER_ID}/deleted_nodes.yaml", "data": {"yaql_exp": "{\\"deleted_nodes\\" => deleted($.nodes.fqdn)}.toYaml()"}}	{}
128	1	copy_deleted_nodes	2.1.0	{"yaql_exp": "changed($.network_metadata)"}	copy_files	{}	{}	{/.*/}	{}	{}	{pre_deployment_end}	{generate_deleted_nodes}	[]	[{"role": "master", "name": "generate_deleted_nodes"}]	{"files": [{"src": "/etc/fuel/cluster/{CLUSTER_ID}/deleted_nodes.yaml", "dst": "/etc/hiera/deleted_nodes.yaml"}], "dir_permissions": "0700", "permissions": "0600"}	{}
129	1	memcached	2.1.0	{"yaql_exp": "changed($.network_scheme)"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end,keystone,primary-keystone}	{netconfig}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/memcached/memcached.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/memcached/memcached_post.rb"}}
130	1	generate_vms	2.0.0	{"yaql_exp": "changed($.vms_conf)"}	puppet	{virt}	{}	{}	{}	{}	{deploy_end}	{netconfig}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/generate_vms/generate_vms.pp", "timeout": 3600}	{}
131	1	copy_keys_ceph	2.0.0	\N	copy_files	{}	{}	{/.*/}	{}	{}	{pre_deployment_end}	{generate_keys_ceph}	[]	[{"role": "master", "name": "generate_keys_ceph"}]	{"files": [{"src": "/var/lib/fuel/keys/{CLUSTER_ID}/ceph/ceph.pub", "dst": "/var/lib/astute/ceph/ceph.pub"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/ceph/ceph", "dst": "/var/lib/astute/ceph/ceph"}], "dir_permissions": "0700", "permissions": "0600"}	{}
132	1	generate_keys_ceph	2.0.0	\N	shell	{}	{}	{master}	{}	{}	{copy_keys_ceph}	{pre_deployment_start}	[]	[]	{"cmd": "sh /etc/puppet/modules/osnailyfacter/modular/astute/generate_keys.sh -i {CLUSTER_ID} -s 'ceph' -p /var/lib/fuel/keys/", "timeout": 180}	{}
133	1	top-role-ceph-osd	2.1.0	{"yaql_exp": "changedAny($.storage, $.debug, $.network_scheme, $.get('use_syslog'), $.network_metadata.nodes.values().where(\\n  ('primary-controller' in $.node_roles) or\\n  ('controller' in $.node_roles)),\\n$.get('ceph_tuning_settings'), $.get('syslog_log_level_ceph'), $.get('syslog_log_facility_ceph'))\\n"}	puppet	{ceph-osd}	{}	{}	{}	{}	{deploy_end}	{hosts,firewall}	[]	[{"name": "ceph-mon"}, {"name": "/(primary-)?ceph-radosgw/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/ceph-osd.pp", "timeout": 3600}	{}
134	1	primary-ceph-radosgw	2.1.0	{"yaql_exp": "changedAny($.storage, $.keystone, $.network_metadata.vips, $.get('external_lb'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.get('use_ssl'), ('primary-controller' in $.roles), $.network_scheme, $.get('apache_ports'), $.get('use_syslog'), $.get('syslog_log_facility_ceph'), $.get('syslog_log_level_ceph'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{deploy_end,controller_remaining_tasks}	{apache,ceph-mon,primary-ceph-mon}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/radosgw.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceph/radosgw_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceph/radosgw_pre.rb"}}
135	1	ceph-radosgw	2.1.0	{"yaql_exp": "changedAny($.storage, $.keystone, $.network_metadata.vips, $.get('external_lb'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.get('use_ssl'), ('primary-controller' in $.roles), $.network_scheme, $.get('apache_ports'), $.get('use_syslog'), $.get('syslog_log_facility_ceph'), $.get('syslog_log_level_ceph'))\\n"}	puppet	{controller}	{}	{}	{}	{}	{deploy_end,controller_remaining_tasks}	{apache,ceph-mon,primary-ceph-mon}	[]	[{"name": "primary-ceph-radosgw"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/radosgw.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceph/radosgw_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceph/radosgw_pre.rb"}}
136	1	radosgw-keystone	2.1.0	{"yaql_exp": "changedAny($.storage, $.network_metadata.vips, $.get('region', 'RegionOne'), $.public_ssl, $.get('use_ssl'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{primary-ceph-radosgw,ceph-radosgw}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "/(primary-)?keystone/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/radosgw_keystone.pp", "timeout": 1800}	{}
137	1	primary-ceph-mon	2.1.0	{"yaql_exp": "changedAny($.storage, $.quantum, $.network_metadata, $.get('use_syslog'), $.get('syslog_log_facility_ceph'), $.keystone, $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_scheme, $.get('syslog_log_level_ceph'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{deploy_end,controller_remaining_tasks}	{primary-openstack-controller,openstack-controller,openstack-cinder}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/mon.pp", "timeout": 3600}	{}
138	1	ceph-mon	2.1.0	{"yaql_exp": "changedAny($.storage, $.quantum, $.network_metadata, $.get('use_syslog'), $.get('syslog_log_facility_ceph'), $.keystone, $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_scheme, $.get('syslog_log_level_ceph'))\\n"}	puppet	{controller}	{}	{}	{}	{}	{deploy_end,controller_remaining_tasks}	{primary-openstack-controller,openstack-controller,openstack-cinder}	[]	[{"name": "primary-ceph-mon"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/mon.pp", "timeout": 3600}	{}
139	1	ceph-compute	2.1.0	{"yaql_exp": "($.storage.objects_ceph or $.storage.images_ceph or\\n $.storage.volumes_ceph or $.storage.ephemeral_ceph) and\\n(changedAny($.storage, $.quantum, $.network_metadata.vips,\\n $.get('use_syslog'), $.get('syslog_log_facility_ceph'), $.keystone,\\n $.network_scheme,\\n  $.network_metadata.nodes.values().flatten().node_roles.flatten().where(\\n    $ = 'controller' or $ = 'primary-controller')))\\n"}	puppet	{}	{}	{compute}	{}	{}	{post_deployment_end}	{ceph_create_pools}	[]	[{"name": "ceph_create_pools"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/ceph_compute.pp", "timeout": 3600, "cwd": "/"}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceph/ceph_compute_post.rb"}}
140	1	ceph_create_pools	2.1.0	{"yaql_exp": "($.storage.objects_ceph or $.storage.images_ceph or\\n $.storage.volumes_ceph or $.storage.ephemeral_ceph) and\\nchanged($.storage)\\n"}	puppet	{}	{}	{primary-controller,controller}	{}	{}	{ceph_ready_check}	{post_deployment_start}	[{"name": "ceph_ready_check"}]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/ceph_pools.pp", "timeout": 3600, "cwd": "/"}	{}
141	1	ceph_ready_check	2.1.0	{"yaql_exp": "($.storage.objects_ceph or $.storage.images_ceph or\\n $.storage.volumes_ceph or $.storage.ephemeral_ceph) and\\nchanged($.storage)\\n"}	shell	{}	{}	{primary-controller}	{}	{}	{enable_rados,upload_cirros}	{post_deployment_start}	[]	[]	{"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceph/ceph_ready_check.rb", "timeout": 1800}	{}
142	1	enable_rados	2.1.0	{"yaql_exp": "$.storage.objects_ceph and changed($.storage.objects_ceph)"}	puppet	{}	{}	{primary-controller,controller}	{}	{}	{upload_cirros,post_deployment_end}	{post_deployment_start}	[{"name": "upload_cirros"}]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/enable_rados.pp", "timeout": 180, "cwd": "/"}	{}
211	2	base-os	1.0.0	\N	group	{}	{hiera,globals,logging}	{base-os}	{}	{}	{deploy_end,primary-controller,controller,primary-mongo,mongo}	{deploy_start}	[]	[]	{"strategy": {"type": "parallel"}}	{}
143	1	updatedb	2.1.0	{"yaql_exp": "($.storage.objects_ceph or $.storage.images_ceph or\\n $.storage.volumes_ceph or $.storage.ephemeral_ceph) and\\n(changedAny($.storage, $.quantum, $.network_metadata.vips,\\n $.get('use_syslog'), $.get('syslog_log_facility_ceph'), $.keystone,\\n $.network_scheme,\\n  $.network_metadata.nodes.values().flatten().node_roles.flatten().where(\\n    $ = 'controller' or $ = 'primary-controller')))\\n"}	puppet	{}	{}	{primary-controller,controller,ceph-osd}	{}	{}	{post_deployment_end}	{post_deployment_start}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/updatedb.pp", "timeout": 120, "cwd": "/"}	{}
144	1	database	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.network_metadata, $.get('use_syslog'), ('primary-controller' in $.roles), $.mysql, $.network_metadata.vips, $.get('database_vip'), $.network_metadata.nodes.get(concat('node-', $.uid)).network_roles.get(\\n  'mgmt/database'),\\n$.get('database_nodes'), $.get('mysql_custom_setup_class'), $.get('mysql_binary_logs'), $.configuration.get('mysql'))\\n"}	puppet	{controller}	{}	{}	{deploy_changes}	{}	{openstack-controller,primary-openstack-controller}	{deploy_start,openstack-haproxy}	[]	[{"name": "primary-database"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/database/database.pp", "timeout": 3600, "strategy": {"amount": {"yaql_exp": "switch($.get('deployed_before', {}).get('value') => 1, true => 6)\\n"}, "type": "parallel"}}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/database/database_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/database/database_pre.rb"}}
145	1	primary-database	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.network_metadata, $.get('use_syslog'), ('primary-controller' in $.roles), $.mysql, $.network_metadata.vips, $.get('database_vip'), $.network_metadata.nodes.get(concat('node-', $.uid)).network_roles.get(\\n  'mgmt/database'),\\n$.get('database_nodes'), $.get('mysql_custom_setup_class'), $.get('mysql_binary_logs'), $.configuration.get('mysql'))\\n"}	puppet	{primary-controller}	{}	{}	{deploy_changes}	{}	{openstack-controller,primary-openstack-controller}	{deploy_start,openstack-haproxy}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/database/database.pp", "timeout": 3600, "strategy": {"amount": {"yaql_exp": "switch($.get('deployed_before', {}).get('value') => 1, true => 6)\\n"}, "type": "parallel"}}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/database/database_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/database/database_pre.rb"}}
146	1	hosts	2.1.0	{"yaql_exp": "changed($.network_metadata)"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,ceph-osd,primary-mongo,mongo,ironic}	{}	{}	{}	{}	{deploy_end}	{netconfig}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/hosts/hosts.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/hosts/hosts_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/hosts/hosts_pre.rb"}}
147	1	firewall	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.network_metadata, ($.ironic.enabled and changed($.ironic.enabled)), $.roles, $.master_ip)\\n"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,ceph-osd,primary-mongo,mongo,ironic}	{}	{}	{deploy_changes}	{}	{deploy_end}	{netconfig}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/firewall/firewall.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/firewall/firewall_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/firewall/firewall_pre.rb"}}
148	1	ntp-server	2.1.0	{"yaql_exp": "changed($.external_ntp)"}	puppet	{}	{}	{primary-controller,controller}	{}	{}	{ntp-client}	{dns-client}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ntp/ntp-server.pp", "timeout": 3600, "cwd": "/"}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ntp/ntp_post.rb"}}
149	1	ntp-client	2.1.0	{"yaql_exp": "changedAny($.network_metadata.get('vips',{}).get('management'), $.get('ntp_servers'))\\n"}	puppet	{}	{}	{primary-mongo,mongo,compute,ceph-osd,cinder,cinder-vmware}	{}	{}	{post_deployment_end}	{dns-client}	[]	[{"policy": "any", "name": "ntp-server"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ntp/ntp-client.pp", "timeout": 3600, "cwd": "/"}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ntp/ntp_post.rb"}}
150	1	ntp-check	2.1.0	{"yaql_exp": "changed($.external_ntp)"}	puppet	{}	{}	{primary-controller,controller}	{}	{}	{ntp-server}	{dns-client}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ntp/ntp-check.pp", "timeout": 600, "cwd": "/"}	{}
151	1	umm	2.1.0	{"yaql_exp": "$.uid in added($.nodes.uid)"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{tools}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/umm/umm.pp", "timeout": 3600}	{}
152	1	api-proxy	2.1.0	{"yaql_exp": "changedAny($.get('max_header_size'), $.get('apache_ports'), $.get('master_ip'), $.network_metadata.nodes.values().where($.node_roles.any($.matches('controller'))))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end,controller_remaining_tasks}	{apache}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/api-proxy/api-proxy.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/api-proxy/api-proxy_post.rb"}}
212	2	virt	1.0.0	\N	group	{}	{}	{virt}	{}	{}	{deploy_end}	{}	[]	[]	{"strategy": {"type": "parallel"}}	{}
153	1	primary-cluster	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.get('cluster_recheck_interval', '190s'), $.network_metadata, $.get('corosync_roles'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{deploy_end}	{hosts,firewall,deploy_start}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/cluster/cluster.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/cluster/cluster_post.rb"}}
154	1	cluster	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.get('cluster_recheck_interval', '190s'), $.network_metadata, $.get('corosync_roles'))\\n"}	puppet	{controller}	{}	{}	{}	{}	{deploy_end}	{hosts,firewall,deploy_start}	[]	{"yaql_exp": "[{name=>'primary-cluster', role=>$.roles.select('primary-' + $)}]\\n"}	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/cluster/cluster.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/cluster/cluster_post.rb"}}
155	1	cluster_health	2.1.0	{"yaql_exp": "changedAny($.get('corosync_roles'), $.get('corosync_disks'), $.get('corosync_min_disk_space'), $.get('corosync_disk_unit'), $.get('corosync_disk_monitor_interval'), $.get('cluster_recheck_interval', '190s'), $.network_metadata, $.network_scheme)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{primary-cluster,cluster}	[]	[{"role": "self", "name": "/(primary-)?cluster/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/cluster/health.pp", "timeout": 600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/cluster/health_post.rb"}}
156	1	openstack-haproxy	2.0.0	\N	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,openstack-haproxy-ceilometer,openstack-haproxy-aodh,openstack-haproxy-cinder,openstack-haproxy-glance,openstack-haproxy-heat,openstack-haproxy-horizon,openstack-haproxy-keystone,openstack-haproxy-murano,openstack-haproxy-mysqld,openstack-haproxy-neutron,openstack-haproxy-nova,openstack-haproxy-radosgw,openstack-haproxy-sahara,openstack-haproxy-swift,openstack-haproxy-stats,openstack-haproxy-ironic}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy.pp", "timeout": 300}	{"test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
157	1	openstack-haproxy-horizon	2.1.0	{"yaql_exp": "changedAny($.horizon, $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-horizon.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-horizon_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
158	1	openstack-haproxy-keystone	2.1.0	{"yaql_exp": "changedAny($.keystone, $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.get('keystone_names'), $.get('keystone_ipaddresses'), $.get('public_service_endpoint'), $.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-keystone.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-keystone_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
159	1	openstack-haproxy-nova	2.1.0	{"yaql_exp": "changedAny($.nova, $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-nova.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-nova_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
160	1	openstack-haproxy-heat	2.1.0	{"yaql_exp": "$.heat.enabled and changedAny($.heat, $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.get('heat_roles'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-heat.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-heat_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
213	2	ironic	1.0.0	\N	group	{}	{}	{ironic}	{}	{}	{deploy_end}	{controller}	[]	[]	{"strategy": {"type": "parallel"}}	{}
592	6	onos_config_ovs_compute	2.0.0	\N	puppet	{}	{}	{compute}	{}	{}	{post_deployment_end}	{post_deployment_start}	[]	[{"name": "onos_ha"}]	{"puppet_modules": "puppet/modules:/etc/puppet/modules", "puppet_manifest": "puppet/manifests/ovs-compute.pp", "timeout": 600}	{}
161	1	openstack-haproxy-glance	2.1.0	{"yaql_exp": "changedAny($.glance, $.public_ssl, $.get('use_ssl'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-glance.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-glance_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
162	1	openstack-haproxy-cinder	2.1.0	{"yaql_exp": "changedAny($.cinder, $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-cinder.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-cinder_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
163	1	openstack-haproxy-neutron	2.1.0	{"yaql_exp": "changedAny($.quantum, $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.get('neutron_names'), $.get('neutron_ipaddresses'), $.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-neutron.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-neutron_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
164	1	openstack-haproxy-mysqld	2.1.0	{"yaql_exp": "changedAny($.mysql, $.get('custom_mysql_setup_class', 'galera'), $.get('external_lb'), $.get('database_nodes'), $.get('mysqld_names'), $.get('mysqld_ipaddresses'), $.network_metadata.vips, $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.get('database_vip'), ('primary-controller' in $.roles))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-mysqld.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-mysqld_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
165	1	openstack-haproxy-swift	2.1.0	{"yaql_exp": "changedAny($.storage, $.get('swift_proxy_roles'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.get('swift_server_names'), $.get('swift_ipaddresses'), $.network_metadata.vips, $.ironic, $.network_scheme, $.network_metadata.nodes.get(concat('node-', $.uid)))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-swift.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-swift_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
166	1	openstack-haproxy-radosgw	2.1.0	{"yaql_exp": "changedAny($.storage, $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_metadata.vips, $.ironic)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-radosgw.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-radosgw_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
167	1	openstack-haproxy-ceilometer	2.1.0	{"yaql_exp": "$.ceilometer.enabled and changedAny($.ceilometer, $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-ceilometer.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-ceilometer_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
305	2	vcenter_compute_zones_create	2.1.0	{"yaql_exp": "$.use_vcenter and changed($.use_vcenter)"}	shell	{}	{}	{primary-controller,compute-vmware}	{}	{}	{post_deployment_end}	{post_deployment_start,enable_nova_compute_service}	[]	[]	{"cmd": "/usr/bin/python /etc/puppet/modules/osnailyfacter/modular/astute/vcenter_hooks.py --create_zones", "timeout": 180}	{}
168	1	openstack-haproxy-aodh	2.1.0	{"yaql_exp": "changedAny($.ceilometer, $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-aodh.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-aodh_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
169	1	openstack-haproxy-sahara	2.1.0	{"yaql_exp": "$.sahara.enabled and changedAny($.sahara, $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.get('sahara_roles'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-sahara.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-sahara_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
170	1	openstack-haproxy-murano	2.1.0	{"yaql_exp": "$.murano.enabled and changedAny($.murano, $.get('murano-cfapi'), $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.get('murano_roles'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.get('murano_names'), $.get('murano_ipaddresses'), $.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-murano.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-murano_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
171	1	openstack-haproxy-stats	2.1.0	{"yaql_exp": "changed($.get('external_lb')) or changed($.network_metadata.vips)"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-stats.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-stats_post.rb"}}
172	1	openstack-haproxy-ironic	2.1.0	{"yaql_exp": "$.ironic.enabled and changedAny($.get('ironic_api_nodes'), $.network_metadata, $.public_ssl, $.get('use_ssl'), $.get('external_lb'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-ironic.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-ironic_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
173	1	ssl-keys-saving	2.1.0	{"yaql_exp": "(($.public_ssl.horizon or $.public_ssl.services) and\\n   $.public_ssl.cert_source = 'user_uploaded' and\\n   changed($.public_ssl.cert_data)) or\\n (changed($.get('use_ssl')) and len($.get('use_ssl', [])) > 0)\\n"}	puppet	{primary-controller,controller,compute,compute-vmware,cinder,cinder-vmware,primary-mongo,mongo,ceph-osd,virt}	{}	{}	{}	{}	{deploy_end}	{firewall}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ssl/ssl_keys_saving.pp", "timeout": 3600}	{"test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ssl/ssl_keys_saving_pre.rb"}}
174	1	ssl-add-trust-chain	2.1.0	{"yaql_exp": "(changed($.public_ssl) and\\n ($.public_ssl.horizon or $.public_ssl.services)) or\\n(changed($.get('use_ssl')) and (len($.get('use_ssl', [])) > 0))\\n"}	puppet	{primary-controller,controller,compute,compute-vmware,cinder,cinder-vmware,primary-mongo,mongo,ceph-osd,virt}	{}	{}	{}	{}	{hosts}	{firewall,ssl-keys-saving}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ssl/ssl_add_trust_chain.pp", "timeout": 3600}	{"test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ssl/ssl_keys_saving_pre.rb"}}
175	1	ssl-dns-setup	2.1.0	{"yaql_exp": "(changed($.public_ssl) and\\n ($.public_ssl.horizon or $.public_ssl.services)) or\\n(changed($.get('use_ssl')) and (len($.get('use_ssl', [])) > 0))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{hosts}	{firewall,ssl-add-trust-chain}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ssl/ssl_dns_setup.pp", "timeout": 3600}	{}
176	1	tools	2.1.0	{"yaql_exp": "changedAny($.get('custom_accounting_file', undef), $.puppet, $.deployment_mode)\\n"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,ceph-osd,primary-mongo,mongo,virt,ironic}	{}	{}	{}	{}	{deploy_end}	{logging}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/tools/tools.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/tools/tools_post.rb"}}
177	1	logging	2.1.0	{"yaql_exp": "changedAny($.base_syslog, $.syslog, $.get('use_syslog', true), $.syslog.get('debug', $.get('debug', false)), $.get('node_name_prefix_for_messaging', 'messaging-'))\\n"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,ceph-osd,primary-mongo,mongo,virt,ironic}	{}	{}	{}	{}	{deploy_end}	{globals,setup_repositories}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/logging/logging.pp", "timeout": 3600}	{}
178	1	cluster-vrouter	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.network_metadata)"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{virtual_ips}	{primary-cluster,cluster}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/cluster-vrouter/cluster-vrouter.pp", "timeout": 3600}	{}
179	1	globals	2.1.0	{"yaql_exp": "changed($)"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,ceph-osd,primary-mongo,mongo,virt,ironic}	{}	{}	{deploy_changes}	{}	{deploy_end}	{hiera}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/globals/globals.pp", "timeout": 3600}	{"test_post": {"cmd": "python /etc/puppet/modules/osnailyfacter/modular/globals/globals_post.py"}, "test_pre": {"cmd": "python /etc/puppet/modules/osnailyfacter/modular/globals/globals_pre.py"}}
180	1	apache	2.1.0	{"yaql_exp": "changed($)"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{keystone,primary-keystone}	{netconfig}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/apache/apache.pp", "timeout": 1200}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/apache/apache_post.rb"}}
181	1	primary-dns-server	2.1.0	{"yaql_exp": "changedAny($.external_dns, ('primary-controller' in $.roles), $.get('master_ip'), $.network_metadata, $.get('vrouter_name'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{deploy_end}	{openstack-haproxy}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/dns/dns-server.pp", "timeout": 3600}	{}
182	1	dns-server	2.1.0	{"yaql_exp": "changedAny($.external_dns, ('primary-controller' in $.roles), $.get('master_ip'), $.network_metadata, $.get('vrouter_name'))\\n"}	puppet	{controller}	{}	{}	{}	{}	{deploy_end}	{openstack-haproxy}	[]	[{"name": "primary-dns-server"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/dns/dns-server.pp", "timeout": 3600}	{}
183	1	dns-client	2.1.0	{"yaql_exp": "changed($.network_metadata.get('vips',{}).get('vrouter',{}).get('ipaddr'))"}	puppet	{}	{}	{primary-mongo,mongo,primary-controller,controller,compute,ceph-osd,cinder,cinder-vmware}	{}	{}	{ntp-client}	{post_deployment_start}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/dns/dns-client.pp", "timeout": 3600, "cwd": "/"}	{}
184	1	virtual_ips	2.1.0	{"yaql_exp": "changedAny($.network_metadata, $.network_scheme, $.roles)"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{primary-cluster,cluster}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/virtual_ips/virtual_ips.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/virtual_ips/virtual_ips_post.rb"}}
185	1	conntrackd	2.1.0	{"yaql_exp": "changedAny($.network_metadata, $.network_scheme, $.get('vrouter_name'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{virtual_ips,cluster,primary-cluster}	[]	[{"role": "self", "name": "/(primary-)?cluster/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/virtual_ips/conntrackd.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/virtual_ips/conntrackd_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/virtual_ips/conntrackd_pre.rb"}}
186	1	primary_public_vip_ping	2.1.0	{"yaql_exp": "changed($.network_scheme) or changed($.get('run_ping_checker'))"}	puppet	{primary-controller}	{}	{}	{}	{}	{primary-cluster-haproxy}	{virtual_ips}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/virtual_ips/public_vip_ping.pp", "timeout": 300, "cwd": "/"}	{}
187	1	public_vip_ping	2.1.0	{"yaql_exp": "changed($.network_scheme) or changed($.get('run_ping_checker'))"}	puppet	{controller}	{}	{}	{}	{}	{deploy_end}	{virtual_ips}	[]	[{"name": "primary_public_vip_ping"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/virtual_ips/public_vip_ping.pp", "timeout": 300, "cwd": "/"}	{}
188	1	primary-cluster-haproxy	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.network_metadata, $.get('database_vip'), ('primary-controller' in $.roles), $.get('haproxy'), $.get('external_lb'), $.get('colocate_haproxy'), $.debug, $.configuration.get('haproxy'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,virtual_ips,primary-cluster}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/cluster-haproxy/cluster-haproxy.pp", "timeout": 3600, "strategy": {"amount": {"yaql_exp": "switch($.get('deployed_before', {}).get('value') => 1, true => 6)\\n"}, "type": "parallel"}}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/cluster-haproxy/cluster-haproxy_post.rb"}}
401	3	compute-vmware	1.0.0	\N	group	{}	{globals,hiera,tools,logging,netconfig,connectivity_tests,hosts,firewall,top-role-compute}	{compute-vmware}	{}	{}	{deploy_end}	{controller}	[]	[]	{"strategy": {"type": "parallel"}}	{}
189	1	cluster-haproxy	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.network_metadata, $.get('database_vip'), ('primary-controller' in $.roles), $.get('haproxy'), $.get('external_lb'), $.get('colocate_haproxy'), $.debug, $.configuration.get('haproxy'))\\n"}	puppet	{controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,virtual_ips,cluster}	[]	[{"name": "primary-cluster-haproxy"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/cluster-haproxy/cluster-haproxy.pp", "timeout": 3600, "strategy": {"amount": {"yaql_exp": "switch($.get('deployed_before', {}).get('value') => 1, true => 6)\\n"}, "type": "parallel"}}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/cluster-haproxy/cluster-haproxy_post.rb"}}
190	1	plugins_rsync	2.1.0	{"yaql_exp": "len($.plugins) > 0"}	puppet	{/.*/}	{}	{}	{}	{}	{pre_deployment_start}	{configuration_symlink}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/plugins/plugins_rsync.pp", "timeout": 600}	{}
191	1	plugins_setup_repositories	2.1.0	{"yaql_exp": "len($.plugins) > 0"}	puppet	{/.*/}	{}	{}	{}	{}	{pre_deployment_start}	{plugins_rsync}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/plugins/plugins_setup_repositories.pp", "timeout": 600}	{}
192	1	vmware-vcenter	2.1.0	{"yaql_exp": "$.use_vcenter and changed($.use_vcenter)"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{controller_remaining_tasks}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/vmware/vcenter.pp", "timeout": 3600}	{}
193	1	top-role-cinder-vmware	2.1.0	{"yaql_exp": "$.use_vcenter and changed($.use_vcenter)"}	puppet	{cinder-vmware}	{}	{}	{}	{}	{deploy_end}	{top-role-cinder}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/vmware/cinder-vmware.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/vmware/cinder-vmware_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/vmware/cinder-vmware_pre.rb"}}
194	1	top-role-compute-vmware	2.1.0	{"yaql_exp": "$.use_vcenter and changed($.use_vcenter)"}	puppet	{compute-vmware}	{}	{}	{}	{}	{enable_nova_compute_service}	{top-role-compute,ceilometer-compute,ceilometer-keystone}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/vmware/compute-vmware.pp", "timeout": 180}	{}
195	2	pre_deployment_start	1.0.0	\N	stage	{}	{}	{}	{}	{}	{}	{}	[]	[]	{}	{}
196	2	pre_deployment_end	1.0.0	\N	stage	{}	{}	{}	{}	{}	{}	{pre_deployment_start}	[]	[]	{}	{}
197	2	deploy_start	1.0.0	\N	stage	{}	{}	{}	{}	{}	{}	{pre_deployment_end}	[]	[]	{}	{}
198	2	deploy_end	1.0.0	\N	stage	{}	{}	{}	{}	{}	{}	{deploy_start}	[]	[]	{}	{}
199	2	post_deployment_start	1.0.0	\N	stage	{}	{}	{}	{}	{}	{}	{deploy_end}	[]	[]	{}	{}
200	2	post_deployment_end	1.0.0	\N	stage	{}	{}	{}	{}	{}	{}	{post_deployment_start}	[]	[]	{}	{}
201	2	primary-controller	1.0.0	\N	group	{}	{}	{primary-controller}	{}	{}	{deploy_end}	{deploy_start}	[]	[]	{"strategy": {"type": "one_by_one"}}	{"fault_tolerance": 0}
202	2	controller	1.0.0	\N	group	{}	{}	{controller}	{}	{}	{deploy_end}	{primary-controller}	[]	[]	{"strategy": {"amount": 6, "type": "parallel"}}	{"fault_tolerance": 1}
203	2	cinder	1.0.0	\N	group	{}	{}	{cinder}	{}	{}	{deploy_end}	{controller}	[]	[]	{"strategy": {"type": "parallel"}}	{"fault_tolerance": "2%"}
204	2	cinder-block-device	1.0.0	\N	group	{}	{}	{cinder-block-device}	{}	{}	{deploy_end}	{compute}	[]	[]	{"strategy": {"type": "parallel"}}	{"fault_tolerance": "2%"}
205	2	cinder-vmware	1.0.0	\N	group	{}	{}	{cinder-vmware}	{}	{}	{deploy_end}	{controller}	[]	[]	{"strategy": {"type": "parallel"}}	{}
206	2	compute	1.0.0	\N	group	{}	{}	{compute}	{}	{}	{deploy_end}	{controller}	[]	[]	{"strategy": {"type": "parallel"}}	{"fault_tolerance": "2%"}
207	2	compute-vmware	1.0.0	\N	group	{}	{globals,hiera,tools,logging,netconfig,connectivity_tests,hosts,firewall,top-role-compute}	{compute-vmware}	{}	{}	{deploy_end}	{controller}	[]	[]	{"strategy": {"type": "parallel"}}	{}
208	2	mongo	1.0.0	\N	group	{}	{}	{mongo}	{}	{}	{deploy_end,primary-controller,controller}	{primary-mongo}	[]	[]	{"strategy": {"type": "parallel"}}	{"fault_tolerance": 1}
209	2	primary-mongo	1.0.0	\N	group	{}	{}	{primary-mongo}	{}	{}	{deploy_end,primary-controller,controller}	{deploy_start}	[]	[]	{"strategy": {"type": "one_by_one"}}	{"fault_tolerance": 0}
210	2	ceph-osd	1.0.0	\N	group	{}	{}	{ceph-osd}	{}	{}	{deploy_end}	{controller}	[]	[]	{"strategy": {"type": "parallel"}}	{}
214	2	neutron-db	2.1.0	{"yaql_exp": "changedAny($.quantum, $.quantum_settings, $.mysql, $.network_metadata.vips, $.get('database_vip'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{openstack-network-end}	{primary-database,database}	[]	[{"name": "/^(primary-)?database$/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/db.pp", "timeout": 1800}	{}
215	2	neutron-keystone	2.1.0	{"yaql_exp": "changedAny($.quantum, $.quantum_settings, $.network_metadata.vips, $.public_ssl, $.get('use_ssl'), $.get('region', 'RegionOne'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{openstack-network-end}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/keystone.pp", "timeout": 1800}	{}
216	2	openstack-network-start	2.0.0	\N	skipped	{primary-controller,controller,compute}	{}	{}	{}	{}	{openstack-network-common-config}	{neutron-keystone,neutron-db,netconfig,primary-openstack-controller,openstack-controller,top-role-compute}	[]	[{"name": "neutron-keystone"}, {"role": "primary-controller", "name": "openstack-haproxy"}, {"name": "neutron-db"}, {"role": "self", "name": "/(primary-)?rabbitmq/"}]	{}	{}
217	2	openstack-network-common-config	2.1.0	{"yaql_exp": "changedAny($.get('openstack_network'), $.get('verbose'), $.debug, $.quantum_settings, $.neutron_advanced_configuration, $.rabbit, $.ceilometer, $.network_scheme, $.get('use_syslog'), $.get('use_stderr'), $.get('syslog_log_facility_neutron'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.get('kombu_compression'))\\n"}	puppet	{primary-controller,controller,compute}	{}	{}	{}	{}	{openstack-network-end}	{openstack-network-start}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/common-config.pp", "timeout": 1800}	{}
218	2	openstack-network-server-config	2.1.0	{"yaql_exp": "changedAny($.quantum, $.configuration, $.quantum_settings, $.get('database_vip'), $.network_metadata.vips, $.nova, $.get('neutron_primary_controller_roles'), $.get('neutron_compute_nodes'), $.get('region', 'RegionOne'), $.get('use_ssl'), $.neutron_advanced_configuration, $.network_scheme)\\n"}	puppet	{primary-controller,controller}	{}	{}	{deploy_changes}	{neutron_plugin_ml2,neutron_config,neutron_api_config}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/server-config.pp", "timeout": 1800}	{}
219	2	primary-openstack-network-plugins-l2	2.1.0	{"yaql_exp": "changedAny($.quantum, $.configuration, $.fqdn, $.get('neutron_primary_controller_roles'), $.get('neutron_compute_nodes'), $.quantum_settings, $.public_ssl, $.get('use_ssl'), $.get('region'), $.network_scheme, $.neutron_advanced_configuration)\\n"}	puppet	{primary-controller}	{}	{}	{}	{neutron_agent_ovs}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config,openstack-network-server-config}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/plugins/ml2.pp", "timeout": 1800}	{}
220	2	openstack-network-plugins-l2	2.1.0	{"yaql_exp": "changedAny($.quantum, $.configuration, $.fqdn, $.get('neutron_primary_controller_roles'), $.get('neutron_compute_nodes'), $.quantum_settings, $.public_ssl, $.get('use_ssl'), $.get('region'), $.network_scheme, $.neutron_advanced_configuration)\\n"}	puppet	{controller,compute}	{}	{}	{}	{neutron_agent_ovs}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config,openstack-network-server-config}	[]	[{"name": "primary-openstack-network-plugins-l2"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/plugins/ml2.pp", "timeout": 1800}	{}
221	2	openstack-network-networks	2.1.0	{"yaql_exp": "changedAny($.access, $.quantum_settings, $.quantum)"}	puppet	{primary-controller}	{}	{}	{}	{}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config,openstack-network-server-config,primary-openstack-network-plugins-l2}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/networks.pp", "timeout": 1800}	{}
222	2	openstack-network-routers	2.1.0	{"yaql_exp": "not $.neutron_advanced_configuration.neutron_l3_ha and changed($.neutron_advanced_configuration.neutron_l3_ha)\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{openstack-network-end}	{openstack-network-start,openstack-network-networks}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/routers.pp", "timeout": 1800}	{}
223	2	openstack-network-routers-ha	2.1.0	{"yaql_exp": "$.neutron_advanced_configuration.neutron_l3_ha and changed($.neutron_advanced_configuration.neutron_l3_ha)\\n"}	puppet	{}	{}	{primary-controller}	{}	{}	{post_deployment_end}	{post_deployment_start}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/routers.pp", "timeout": 1800, "cwd": "/"}	{}
224	2	primary-openstack-network-agents-l3	2.1.0	{"yaql_exp": "changedAny($.quantum, $.neutron_advanced_configuration, $.get('neutron_controller_roles'), $.get('neutron_compute_nodes'), $.debug, $.configuration, $.network_scheme, ('primary-controller' in $.roles))\\n"}	puppet	{primary-controller}	{}	{}	{}	{neutron_l3_agent_config}	{openstack-network-end}	{openstack-network-start,openstack-network-networks,openstack-network-routers,primary-openstack-network-plugins-l2,openstack-network-plugins-l2}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/agents/l3.pp", "timeout": 1800}	{}
225	2	openstack-network-agents-l3	2.1.0	{"yaql_exp": "changedAny($.quantum, $.neutron_advanced_configuration, $.get('neutron_controller_roles'), $.get('neutron_compute_nodes'), $.debug, $.configuration, $.network_scheme, ('primary-controller' in $.roles))\\n"}	puppet	{controller,compute}	{}	{}	{}	{neutron_l3_agent_config}	{openstack-network-end}	{openstack-network-start,openstack-network-networks,openstack-network-routers,primary-openstack-network-plugins-l2,openstack-network-plugins-l2}	[]	[{"role": ["/(primary-)?controller/"], "name": "/(primary-)?openstack-network-plugins-l2/"}, {"name": "primary-openstack-network-agents-l3"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/agents/l3.pp", "timeout": 1800}	{}
226	2	openstack-network-agents-sriov	2.1.0	{"yaql_exp": "changedAny($.quantum, $.network_scheme, $.quantum_settings, $.configuration)\\n"}	puppet	{compute}	{}	{}	{}	{neutron_sriov_agent_config}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config,openstack-network-plugins-l2}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/agents/sriov.pp", "timeout": 1800}	{}
227	2	openstack-network-server-nova	2.1.0	{"yaql_exp": "changedAny($.quantum, $.quantum_settings, $.network_metadata.vips, $.get('use_ssl'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config,openstack-network-server-config,openstack-network-agents-l3}	[]	[{"role": "self", "name": "/(primary-)?openstack-network-common-config/"}, {"role": "self", "name": "/(primary-)?openstack-network-server-config/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/server-nova.pp", "timeout": 1800}	{}
228	2	primary-openstack-network-agents-dhcp	2.1.0	{"yaql_exp": "changedAny($.quantum, $.configuration, $.debug, $.neutron_advanced_configuration, ('primary-controller' in $.roles))\\n"}	puppet	{primary-controller}	{}	{}	{}	{neutron_dhcp_agent_config}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config,openstack-network-server-config,openstack-network-server-nova,openstack-network-agents-l3}	[]	[{"role": "self", "name": "/(primary-)?openstack-network-plugins-l2/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/agents/dhcp.pp", "timeout": 1800}	{}
229	2	openstack-network-agents-dhcp	2.1.0	{"yaql_exp": "changedAny($.quantum, $.configuration, $.debug, $.neutron_advanced_configuration, ('primary-controller' in $.roles))\\n"}	puppet	{controller}	{}	{}	{}	{neutron_dhcp_agent_config}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config,openstack-network-server-config,openstack-network-server-nova,openstack-network-agents-l3}	[]	[{"name": "primary-openstack-network-agents-dhcp"}, {"role": "self", "name": "/(primary-)?openstack-network-plugins-l2/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/agents/dhcp.pp", "timeout": 1800}	{}
230	2	primary-openstack-network-agents-metadata	2.1.0	{"yaql_exp": "($.quantum and changed($.quantum)) or\\n  changed($.get('neutron_controller_roles')) or\\nchangedAny($.get('neutron_compute_nodes'),\\n  $.neutron_advanced_configuration, $.debug, $.configuration,\\n  $.get('region'), $.network_metadata.vips, $.get('use_ssl'),\\n  $.quantum_settings, $.get('nova_endpoint'), $.get('nova_metadata_protocol'),\\n  $.get('workers_max'),\\n  ('primary-controller' in $.roles))\\n"}	puppet	{primary-controller}	{}	{}	{}	{neutron_metadata_agent_config}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config,openstack-network-server-config,openstack-network-server-nova,openstack-network-agents-l3}	[]	[{"role": "self", "name": "/(primary-)?openstack-network-plugins-l2/"}, {"role": "self", "name": "/(primary-)?openstack-network-agents-l3/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/agents/metadata.pp", "timeout": 1800}	{}
231	2	openstack-network-agents-metadata	2.1.0	{"yaql_exp": "($.quantum and changed($.quantum)) or\\n  changed($.get('neutron_controller_roles')) or\\nchangedAny($.get('neutron_compute_nodes'),\\n  $.neutron_advanced_configuration, $.debug, $.configuration,\\n  $.get('region'), $.network_metadata.vips, $.get('use_ssl'),\\n  $.quantum_settings, $.get('nova_endpoint'), $.get('nova_metadata_protocol'),\\n  $.get('workers_max'),\\n  ('primary-controller' in $.roles))\\n"}	puppet	{controller,compute}	{}	{}	{}	{neutron_metadata_agent_config}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config,openstack-network-server-config,openstack-network-server-nova,openstack-network-agents-l3}	[]	[{"name": "primary-openstack-network-agents-metadata"}, {"role": ["/(primary-)?controller/"], "name": "/(primary-)?openstack-network-plugins-l2/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/agents/metadata.pp", "timeout": 1800}	{}
232	2	openstack-network-compute-nova	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.quantum, $.quantum_settings, $.nova, $.network_metadata.vips, $.get('region'), $.get('use_ssl'))\\n"}	puppet	{compute}	{}	{}	{}	{}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config,openstack-network-agents-l3,openstack-network-agents-metadata}	[]	[{"name": "/(primary-)?openstack-network-plugins-l2/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/compute-nova.pp", "timeout": 1800}	{}
233	2	openstack-network-end	2.0.0	\N	skipped	{primary-controller,controller,compute}	{}	{}	{}	{}	{deploy_end}	{}	[]	[]	{}	{}
402	3	mongo	1.0.0	\N	group	{}	{}	{mongo}	{}	{}	{deploy_end,primary-controller,controller}	{primary-mongo}	[]	[]	{"strategy": {"type": "parallel"}}	{"fault_tolerance": 1}
234	2	primary-heat	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.heat, $.sahara, $.rabbit, $.get('max_retries'), $.get('max_pool_size'), $.get('max_overflow'), $.get('idle_timeout'), $.network_metadata.vips, $.public_ssl, $.get('use_ssl'), ('primary-controller' in $.roles), $.get('kombu_compression'), $.get('heat_endpoint'), $.debug, $.get('verbose'), $.get('use_stderr'), $.get('use_syslog'), $.get('syslog_log_facility_heat'), $.deployment_mode, $.get('region', 'RegionOne'), $.get('external_lb'), $.get('database_vip'), $.get('heat_db_name'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')), $.get('amqp_hosts'),\\n$.configuration.get('heat'), $.configuration.get('heat_api_paste_ini'), $.get('heat_ha_engine'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{deploy_end}	{primary-openstack-controller,openstack-controller}	[]	[{"name": "heat-db"}, {"name": "heat-keystone"}, {"name": "memcached"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/heat/heat.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/heat/heat_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/heat/heat_pre.rb"}}
235	2	heat	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.heat, $.sahara, $.rabbit, $.get('max_retries'), $.get('max_pool_size'), $.get('max_overflow'), $.get('idle_timeout'), $.network_metadata.vips, $.public_ssl, $.get('use_ssl'), ('primary-controller' in $.roles), $.get('kombu_compression'), $.get('heat_endpoint'), $.debug, $.get('verbose'), $.get('use_stderr'), $.get('use_syslog'), $.get('syslog_log_facility_heat'), $.deployment_mode, $.get('region', 'RegionOne'), $.get('external_lb'), $.get('database_vip'), $.get('heat_db_name'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')), $.get('amqp_hosts'),\\n$.configuration.get('heat'), $.configuration.get('heat_api_paste_ini'), $.get('heat_ha_engine'))\\n"}	puppet	{controller}	{}	{}	{}	{}	{deploy_end}	{primary-openstack-controller,openstack-controller}	[]	[{"name": "primary-heat"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/heat/heat.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/heat/heat_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/heat/heat_pre.rb"}}
236	2	heat-db	2.1.0	{"yaql_exp": "changedAny($.heat, $.mysql, $.network_metadata.get('vips',{}).get('management'), $.get('database_vip'), $.get('mysql_custom_setup_class'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{primary-heat,heat}	{primary-database,database}	[]	[{"name": "/^(primary-)?database$/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/heat/db.pp", "timeout": 1800}	{}
237	2	heat-keystone	2.1.0	{"yaql_exp": "changedAny($.heat, $.network_metadata.vips, $.get('region', 'RegionOne'), $.public_ssl, $.get('use_ssl'), $.get('heat_endpoint'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{heat,primary-heat}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/heat/keystone.pp", "timeout": 1800}	{}
238	2	controller_remaining_tasks	2.1.0	{"yaql_exp": "changedAny(('primary-controller' in $.roles), $.quantum)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/roles/controller.pp", "timeout": 3600}	{}
239	2	top-role-compute	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.configuration, $.get('compute', ''), $.network_metadata.vips, $.debug, $.storage, $.nova, $.public_ssl, $.get('use_ssl', {}), $.get('nova_rate_limits', {}), $.get('nova_report_interval', 60), $.get('nova_service_down_time', 180), $.get('novanetwork_parameters', {}), $.get('nova_custom', {}), $.rabbit, $.cinder, $.ceilometer, $.get('use_syslog', true), $.get('use_stderr', false), $.get('syslog_log_facility_nova', ''), $.network_metadata.nodes.get(concat('node-', $.uid)), $.libvirt_type, $.get('kombu_compression', ''), $.dpdk, $.get('glance_api_servers', ''), $.get('block_device_allocate_retries', 300), $.get('block_device_allocate_retries_interval', 3), $.get('queue_provider', 'rabbit'), $.quantum_settings, $.get('memcached_addresses', ''), $.get('memcache_roles', ''), $.network_metadata.nodes.values().where(\\n  $.network_roles.get('mgmt/memcache') != null),\\n$.get('memcache_server_port'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.network_metadata.nodes.values().where(\\n  $.network_roles.get('mgmt/messaging') != null),\\n$.resume_guests_state_on_host_boot, $.use_cow_images)\\n"}	puppet	{compute}	{}	{}	{}	{nova_config,nova_paste_api_ini}	{enable_nova_compute_service}	{hosts,firewall}	[]	[{"name": "keystone"}, {"name": "/(primary-)?openstack-controller/"}, {"name": "/(primary-)?rabbitmq/"}, {"name": "memcached"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/roles/compute.pp", "timeout": 3600}	{}
240	2	top-role-cinder	2.1.0	{"yaql_exp": "changedAny($.cinder, $.get('cinder_volume_group'), $.network_metadata.nodes.get(concat(\\"node-\\", $.uid)).network_roles.get('cinder/iscsi'), $.network_metadata.vips, $.debug, $.node_volumes, $.storage, $.rabbit, $.ceilometer, $.get('use_stderr'), $.get('use_syslog'), $.get('syslog_log_facility_cinder'), $.get('syslog_log_facility_ceph'), $.get('proxy_port'), $.get('kombu_compression'), $.get('use_ssl'), $.get('service_endpoint'), $.get('glance_api_servers'), $.get('amqp_hosts'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')))\\n"}	puppet	{cinder,cinder-block-device,cinder-vmware}	{}	{}	{}	{}	{enable_cinder_volume_service}	{hosts,firewall}	[]	[{"name": "openstack-cinder"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/roles/cinder.pp", "timeout": 3600}	{}
249	2	sahara-keystone	2.1.0	{"yaql_exp": "$.sahara.enabled and changedAny($.sahara, $.public_ssl, $.network_metadata.vips, $.get('region', 'RegionOne'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{sahara}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/sahara/keystone.pp", "timeout": 1800}	{}
241	2	enable_cinder_volume_service	2.1.0	{"yaql_exp": "changedAny($.cinder, $.get('cinder_volume_group'), $.network_metadata.nodes.get(concat(\\"node-\\", $.uid)).network_roles.get('cinder/iscsi'), $.network_metadata.vips, $.debug, $.node_volumes, $.storage, $.rabbit, $.ceilometer, $.get('use_stderr'), $.get('use_syslog'), $.get('syslog_log_facility_cinder'), $.get('syslog_log_facility_ceph'), $.get('proxy_port'), $.get('kombu_compression'), $.get('use_ssl'), $.get('service_endpoint'), $.get('glance_api_servers'), $.get('amqp_hosts'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')))\\n"}	puppet	{cinder,cinder-block-device}	{}	{}	{}	{}	{deploy_end}	{top-role-cinder}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/roles/enable_cinder.pp", "timeout": 3600, "cwd": "/"}	{}
242	2	top-role-primary-mongo	2.1.0	{"yaql_exp": "$.ceilometer.enabled and changedAny($.network_scheme, $.mongo, $.get('mongodb_port'), $.network_metadata.nodes.values().where(\\n  ('primary-mongo' in $.node_roles) or\\n  ('mongo' in $.node_roles)),\\n$.get('use_syslog'), $.debug, $.ceilometer, $.roles)\\n"}	puppet	{primary-mongo}	{}	{}	{}	{}	{deploy_end}	{hosts,firewall}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/roles/mongo.pp", "timeout": 3600}	{}
243	2	top-role-mongo	2.1.0	{"yaql_exp": "$.ceilometer.enabled and changedAny($.network_scheme, $.mongo, $.get('mongodb_port'), $.network_metadata.nodes.values().where(\\n  ('primary-mongo' in $.node_roles) or\\n  ('mongo' in $.node_roles)),\\n$.get('use_syslog'), $.debug, $.ceilometer, $.roles)\\n"}	puppet	{mongo}	{}	{}	{}	{}	{deploy_end}	{hosts,firewall}	[]	[{"name": "top-role-primary-mongo"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/roles/mongo.pp", "timeout": 3600}	{}
244	2	ironic-conductor	2.1.0	{"yaql_exp": "$.ironic.enabled and changedAny($.network_scheme, $.ironic, $.network_metadata.vips, $.get('database_vip'), $.get('neutron_endpoint'), $.get('glance_api_servers'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.debug, $.get('verbose'), $.get('use_syslog'), $.get('syslog_log_facility_ironic'), $.rabbit, $.storage, $.get('kombu_compression'))\\n"}	puppet	{ironic}	{}	{}	{}	{}	{deploy_end}	{hosts,firewall}	[]	[{"name": "ironic"}, {"name": "/(primary-)?database/"}, {"name": "/(primary-)?rabbitmq/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/roles/ironic-conductor.pp", "timeout": 3600}	{}
245	2	enable_nova_compute_service	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.configuration, $.get('compute', ''), $.network_metadata.vips, $.debug, $.storage, $.nova, $.public_ssl, $.get('use_ssl', {}), $.get('nova_rate_limits', {}), $.get('nova_report_interval', 60), $.get('nova_service_down_time', 180), $.get('novanetwork_parameters', {}), $.get('nova_custom', {}), $.rabbit, $.cinder, $.ceilometer, $.get('use_syslog', true), $.get('use_stderr', false), $.get('syslog_log_facility_nova', ''), $.network_metadata.nodes.get(concat('node-', $.uid)), $.libvirt_type, $.get('kombu_compression', ''), $.dpdk, $.get('glance_api_servers', ''), $.get('block_device_allocate_retries', 300), $.get('block_device_allocate_retries_interval', 3), $.get('queue_provider', 'rabbit'), $.quantum_settings, $.get('memcached_addresses', ''), $.get('memcache_roles', ''), $.network_metadata.nodes.values().where(\\n  $.network_roles.get('mgmt/memcache') != null),\\n$.get('memcache_server_port'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.network_metadata.nodes.values().where(\\n  $.network_roles.get('mgmt/messaging') != null),\\n$.resume_guests_state_on_host_boot, $.use_cow_images)\\n"}	puppet	{compute,compute-vmware}	{}	{}	{}	{nova_config,nova_paste_api_ini}	{deploy_end}	{top-role-compute,top-role-compute-vmware,openstack-network-compute-nova}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/roles/enable_compute.pp", "timeout": 3600, "cwd": "/"}	{}
246	2	allocate_hugepages	2.1.0	{"yaql_exp": "changed($.get(\\"hugepages\\", []))"}	puppet	{}	{}	{/.*/}	{}	{}	{globals}	{setup_repositories}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/roles/allocate_hugepages.pp", "timeout": 300, "cwd": "/"}	{}
247	2	sahara	2.1.0	{"yaql_exp": "$.sahara.enabled and changedAny($.access, $.sahara, $.rabbit, $.public_ssl, $.ceilometer, ('primary-controller' in $.roles), $.network_metadata.vips, $.get('database_vip'), $.quantum_settings, $.quantum, $.network_scheme, $.get('syslog_log_facility_sahara'), $.debug, $.get('verbose'), $.get('default_log_levels'), $.get('use_syslog'), $.get('use_stderr'), $.get('rabbit_ha_queues'), $.get('amqp_port'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')), $.get('amqp_hosts'),\\n$.get('external_lb'), $.get('use_ssl'), $.get('kombu_compression'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end,controller_remaining_tasks}	{openstack-network-end,horizon}	[]	[{"name": "sahara-db"}, {"name": "sahara-keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/sahara/sahara.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/sahara/sahara_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/sahara/sahara_pre.rb"}}
248	2	sahara-db	2.1.0	{"yaql_exp": "$.sahara.enabled and changedAny($.sahara, $.mysql, $.network_metadata.vips, $.get('database_vip'), $.get('mysql_custom_setup_class'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{sahara}	{primary-database,database}	[]	[{"name": "/^(primary-)?database$/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/sahara/db.pp", "timeout": 1800}	{}
403	3	primary-mongo	1.0.0	\N	group	{}	{}	{primary-mongo}	{}	{}	{deploy_end,primary-controller,controller}	{deploy_start}	[]	[]	{"strategy": {"type": "one_by_one"}}	{"fault_tolerance": 0}
250	2	openrc-delete	2.1.0	{"yaql_exp": "changedAny($.configuration, $.network_scheme, $.network_metadata, $.keystone, $.get('verbose'), $.debug, $.quantum, $.get('use_syslog'), $.get('use_stderr'), $.access, $.get('database_vip'), $.glance, $.nova, $.cinder, $.ceilometer, $.get('syslog_log_facility_keystone'), $.rabbit, $.quantum_settings.keystone, $.get('default_log_levels'), ('primary-controller' in $.roles), $.get('kombu_compression'), $.get('region'), $.public_ssl, $.get('use_ssl'), $.get('memcache_server_port'), $.get('memcached_addresses'), $.get('memcache_roles'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.get('token_provider'), $.get('max_pool_size'), $.get('max_overflow'), $.murano_settings, $.murano, $.get('external_lb'), $.operator_user, $.service_user, $.get('apache_ports'), $.get('user_admin_role'), $.get('user_admin_domain'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{keystone_config}	{primary-keystone,keystone}	{deploy_start,openstack-haproxy}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/keystone/openrc_delete.pp", "timeout": 90}	{}
251	2	primary-keystone	2.1.0	{"yaql_exp": "changedAny($.configuration, $.network_scheme, $.network_metadata, $.keystone, $.get('verbose'), $.debug, $.quantum, $.get('use_syslog'), $.get('use_stderr'), $.access, $.get('database_vip'), $.glance, $.nova, $.cinder, $.ceilometer, $.get('syslog_log_facility_keystone'), $.rabbit, $.quantum_settings.keystone, $.get('default_log_levels'), ('primary-controller' in $.roles), $.get('kombu_compression'), $.get('region'), $.public_ssl, $.get('use_ssl'), $.get('memcache_server_port'), $.get('memcached_addresses'), $.get('memcache_roles'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.get('token_provider'), $.get('max_pool_size'), $.get('max_overflow'), $.murano_settings, $.murano, $.get('external_lb'), $.operator_user, $.service_user, $.get('apache_ports'), $.get('user_admin_role'), $.get('user_admin_domain'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{keystone_config}	{primary-openstack-controller,openstack-controller}	{openstack-haproxy,database,primary-rabbitmq,rabbitmq,primary-database}	[]	[{"role": "self", "name": "/(primary-)?rabbitmq/"}, {"name": "keystone-db"}, {"name": "memcached"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/keystone/keystone.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/keystone/keystone_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/keystone/keystone_pre.rb"}}
252	2	keystone	2.1.0	{"yaql_exp": "changedAny($.configuration, $.network_scheme, $.network_metadata, $.keystone, $.get('verbose'), $.debug, $.quantum, $.get('use_syslog'), $.get('use_stderr'), $.access, $.get('database_vip'), $.glance, $.nova, $.cinder, $.ceilometer, $.get('syslog_log_facility_keystone'), $.rabbit, $.quantum_settings.keystone, $.get('default_log_levels'), ('primary-controller' in $.roles), $.get('kombu_compression'), $.get('region'), $.public_ssl, $.get('use_ssl'), $.get('memcache_server_port'), $.get('memcached_addresses'), $.get('memcache_roles'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.get('token_provider'), $.get('max_pool_size'), $.get('max_overflow'), $.murano_settings, $.murano, $.get('external_lb'), $.operator_user, $.service_user, $.get('apache_ports'), $.get('user_admin_role'), $.get('user_admin_domain'))\\n"}	puppet	{controller}	{}	{}	{}	{keystone_config}	{primary-openstack-controller,openstack-controller}	{openstack-haproxy,database,primary-rabbitmq,rabbitmq,primary-database}	[]	[{"role": "self", "name": "/(primary-)?rabbitmq/"}, {"name": "keystone-db"}, {"name": "primary-keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/keystone/keystone.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/keystone/keystone_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/keystone/keystone_pre.rb"}}
253	2	keystone-db	2.1.0	{"yaql_exp": "changedAny($.network_metadata, $.keystone, $.mysql, $.get('database_vip'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{keystone,primary-keystone}	{primary-database,database}	[]	[{"name": "/^(primary-)?database$/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/keystone/db.pp", "timeout": 1800}	{}
254	2	workloads_collector_add	2.1.0	{"yaql_exp": "changedAny($.workloads_collector, $.get('external_lb'), $.get('use_ssl'), $.network_metadata.get('vips',{}).get('management'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{deploy_end}	{keystone,primary-keystone}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/keystone/workloads_collector_add.pp", "timeout": 1800}	{}
255	2	openstack-cinder	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.cinder, $.network_metadata.vips, $.get('cinder_volume_group'), $.storage, $.ceilometer, $.sahara, $.rabbit, $.get('region', 'RegionOne'), $.get('use_ssl'), ('primary-controller' in $.roles), $.get('proxy_port'), $.get('kombu_compression'), $.get('keystone_endpoint'), $.get('glance_endpoint'), $.get('glance_api_servers'), $.get('use_syslog'), $.get('use_stderr'), $.get('verbose'), $.debug, $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.get('syslog_log_facility_cinder'), $.get('cinder_rate_limits'), $.configuration.get('cinder_api_paste_ini'), $.configuration.get('cinder'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end,openstack-controller}	{primary-rabbitmq,rabbitmq,primary-keystone,keystone,hosts,firewall}	[]	[{"name": "cinder-db"}, {"name": "cinder-keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-cinder/openstack-cinder.pp", "timeout": 1200}	{}
256	2	cinder-db	2.1.0	{"yaql_exp": "changedAny($.cinder, $.mysql, $.network_metadata.vips, $.get('mysql_custom_setup_class'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{openstack-cinder}	{primary-database,database}	[]	[{"name": "/^(primary-)?database$/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-cinder/db.pp", "timeout": 1800}	{}
257	2	cinder-keystone	2.1.0	{"yaql_exp": "changedAny($.cinder, $.public_ssl, $.get('use_ssl'), $.network_metadata.vips, $.get('region', 'RegionOne'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{openstack-cinder}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "keystone"}]	{"puppet_modules": "/etc/puppet/modules/", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-cinder/keystone.pp", "timeout": 1800}	{}
258	2	create-cinder-types	2.1.0	{"yaql_exp": "changed($.storage)"}	puppet	{primary-controller}	{}	{}	{}	{}	{deploy_end}	{openstack-cinder}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-cinder/create_cinder_types.pp", "timeout": 1200}	{}
259	2	murano	2.1.0	{"yaql_exp": "$.murano.enabled and changedAny($.murano, $.murano_settings, $.rabbit, $.quantum_settings, $.network_metadata.vips, $.get('database_vip'), $.get('region', 'RegionOne'), $.quantum, $.network_metadata, $.get('syslog_log_facility_murano'), $.debug, $.get('verbose'), $.get('default_log_levels'), $.get('use_syslog'), $.get('use_stderr'), $.get('rabbit_ha_queues'), $.get('amqp_port'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.external_dns, $.public_ssl, $.get('use_ssl'), ('primary-controller' in $.roles), $.get('kombu_compression'), $.get('external_lb'), $.get('keystone_endpoint'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end,controller_remaining_tasks}	{primary-heat,heat,horizon,primary-rabbitmq,rabbitmq}	[]	[{"name": "murano-db"}, {"name": "murano-keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/murano/murano.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/murano/murano_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/murano/murano_pre.rb"}}
260	2	murano-db	2.1.0	{"yaql_exp": "$.murano.enabled and changedAny( $.network_metadata.nodes.values().where($.fqdn = new($.fqdn)), $.murano, $.mysql, $.network_metadata.vips, $.get('database_vip'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{murano}	{primary-database,database}	[]	[{"name": "/^(primary-)?database$/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/murano/db.pp", "timeout": 1800}	{}
261	2	murano-keystone	2.1.0	{"yaql_exp": "$.murano.enabled and changedAny($.murano, $.network_metadata.vips, $.get('region', 'RegionOne'), $.public_ssl, $.get('use_ssl'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{murano}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/murano/keystone.pp", "timeout": 1800}	{}
262	2	murano-rabbitmq	2.1.0	{"yaql_exp": "$.murano.enabled and changedAny($.rabbit, $.murano)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{murano}	{rabbitmq,primary-rabbitmq}	[]	[{"role": "self", "name": "/(primary-)?rabbitmq/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/murano/rabbitmq.pp", "timeout": 1800}	{}
263	2	murano-cfapi	2.1.0	{"yaql_exp": "$.get('murano-cfapi').enabled and changedAny($.access, $.get('murano-cfapi'), $.network_metadata.vips, $.public_ssl, $.get('use_ssl'), $.network_metadata, $.get('external_lb'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{}	{murano}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/murano/cfapi.pp", "timeout": 1800}	{}
264	2	murano-cfapi-keystone	2.1.0	{"yaql_exp": "$.get('murano-cfapi').enabled and changedAny($.murano, $.network_metadata.vips, $.get('region', 'RegionOne'), $.public_ssl, $.get('use_ssl'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{murano-cfapi}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/murano/keystone_cfapi.pp", "timeout": 1800}	{}
265	2	upload_murano_package	2.1.0	{"yaql_exp": "$.murano.enabled and changedAny($.murano_settings.murano_glance_artifacts_plugin)\\n"}	puppet	{}	{}	{primary-controller}	{}	{}	{post_deployment_end}	{upload_cirros}	[]	[{"name": "upload_cirros"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/murano/upload_murano_package.pp", "timeout": 180}	{}
266	2	ironic-api	2.1.0	{"yaql_exp": "$.ironic.enabled and changedAny($.ironic, $.get('service_endpoint'), $.get('database_vip'), $.get('neutron_endpoint'), $.debug, $.get('verbose'), $.network_metadata, $.get('glance_api_servers'), $.get('default_log_levels'), $.get('use_syslog'), $.get('syslog_log_facility_ironic'), $.rabbit, $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.get('amqp_port'), $.quantum_settings, ('primary-controller' in $.roles), $.get('kombu_compression'), $.get('use_ssl'), $.network_scheme)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{primary-openstack-controller,openstack-controller}	{openstack-haproxy,ironic-db,ironic-keystone}	[]	[{"name": "ironic-db"}, {"name": "ironic-keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/ironic/ironic.pp", "timeout": 3600}	{}
267	2	ironic-db	2.1.0	{"yaql_exp": "$.ironic.enabled and changedAny($.ironic, $.mysql, $.get('database_vip'), $.get('mysql_custom_setup_class'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{ironic-api}	{primary-database,database}	[]	[{"name": "/^(primary-)?database$/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/ironic/db.pp", "timeout": 1800}	{}
404	3	ceph-osd	1.0.0	\N	group	{}	{}	{ceph-osd}	{}	{}	{deploy_end}	{controller}	[]	[]	{"strategy": {"type": "parallel"}}	{}
268	2	ironic-keystone	2.1.0	{"yaql_exp": "$.ironic.enabled and changedAny($.ironic, $.network_metadata.vips, $.public_ssl, $.get('region', 'RegionOne'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{ironic-api}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/ironic/keystone.pp", "timeout": 1800}	{}
269	2	ironic-compute	2.1.0	{"yaql_exp": "$.ironic.enabled and changedAny($.ironic, $.nova, $.network_metadata.vips, $.get('database_vip'), $.get('neutron_endpoint'), $.get('ironic_endpoint'), $.get('glance_api_servers'), $.debug, $.get('verbose'), $.get('use_syslog'), $.get('syslog_log_facility_ironic'), $.get('syslog_log_facility_nova'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.rabbit, $.get('nova_report_interval', '60'), $.get('nova_service_down_time', '180'), $.quantum_settings, $.get('memcached_addresses'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.get('memcache_server_port'), $.get('use_ssl'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{nova_config,nova_paste_api_ini}	{deploy_end}	{primary-openstack-controller,openstack-controller,ironic-api}	[]	[{"role": "self", "name": "/(primary-)?rabbitmq/"}, {"role": "self", "name": "/(primary-)?openstack-controller/"}, {"role": "self", "name": "ironic-api"}, {"role": "self", "name": "memcached"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/ironic/ironic-compute.pp", "timeout": 3600}	{}
270	2	ceilometer-controller	2.1.0	{"yaql_exp": "$.ceilometer.enabled and changedAny($.ceilometer, $.get('verbose'), $.debug, $.get('use_syslog'), $.get('use_stderr'), $.get('syslog_log_facility_ceilometer'), $.storage, $.rabbit, $.network_metadata.vips, $.get('region', 'RegionOne'), $.network_metadata.nodes.values().where(\\n  ('primary-mongo' in $.node_roles) or\\n  ('mongo' in $.node_roles)),\\n('primary-controller' in $.roles), $.get('kombu_compression'), $.get('service_endpoint'), $.get('use_ssl'), $.get('workers_max'), $.network_scheme, $.mongo, $.external_mongo, $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')), $.get('amqp_hosts'),\\n$.configuration.get('ceilometer'), $.configuration.get('ceilometer_api_paste_ini'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{primary-openstack-controller,openstack-controller}	{openstack-haproxy}	[]	[{"name": "ceilometer-keystone"}, {"name": "/top-role-(primary-)?mongo/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/ceilometer/controller.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/ceilometer/controller_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/ceilometer/controller_pre.rb"}}
271	2	ceilometer-compute	2.1.0	{"yaql_exp": "$.ceilometer.enabled and changedAny($.get('use_syslog'), $.get('use_stderr'), $.get('syslog_log_facility_ceilometer'), $.rabbit, $.network_metadata.vips, $.get('service_endpoint'), $.get('region', 'RegionOne'), $.ceilometer, $.get('verbose'), $.debug, $.get('use_ssl'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')), $.get('amqp_hosts'))\\n"}	puppet	{compute,compute-vmware}	{}	{}	{}	{}	{deploy_end}	{ceilometer-controller,top-role-compute}	[]	[{"name": "ceilometer-controller"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/ceilometer/compute.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/ceilometer/compute_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/ceilometer/compute_pre.rb"}}
272	2	ceilometer-keystone	2.1.0	{"yaql_exp": "$.ceilometer.enabled and changedAny($.ceilometer, $.network_metadata.vips, $.public_ssl, $.get('use_ssl'), $.get('region', 'RegionOne'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{ceilometer-controller}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "/(primary-)?keystone/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/ceilometer/keystone.pp", "timeout": 1800}	{}
273	2	ceilometer-radosgw-user	2.1.0	{"yaql_exp": "($.ceilometer.enabled and $.storage.objects_ceph) and\\n (changedAny($.ceilometer.enabled, $.storage.objects_ceph))\\n"}	puppet	{}	{}	{primary-controller,controller}	{}	{}	{post_deployment_end}	{post_deployment_start,enable_rados}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/ceilometer/radosgw_user.pp", "timeout": 300, "cwd": "/"}	{}
274	2	primary-openstack-controller	2.1.0	{"yaql_exp": "changedAny($.configuration, $.network_scheme, $.network_metadata, ('primary-controller' in $.roles), $.get('use_syslog'), $.get('use_stderr'), $.get('syslog_log_facility_nova'), $.sahara, $.storage, $.nova, $.get('nova_config'), $.get('nova_report_interval', '60'), $.get('nova_service_down_time', '180'), $.rabbit, $.get('use_ssl'), $.get('kombu_compression'), $.get('glance_endpoint'), $.get('glance_api_servers'), $.get('region', 'RegionOne'), $.ironic, $.get('memcached_addresses'), $.get('memcache_server_port'), $.get('openstack_controller'), $.get('external_lb'), $.quantum_settings, $.get('database_vip'), $.nova_quota, $.use_vcenter, $.libvirt_type, $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.debug, $.use_cow_images, $.get('nova_endpoint'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{nova_config,nova_paste_api_ini}	{deploy_end}	{openstack-haproxy}	[]	[{"role": "self", "name": "/(primary-)?rabbitmq/"}, {"name": "nova-db"}, {"name": "nova-keystone"}, {"name": "memcached"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-controller/openstack-controller.pp", "timeout": 3600}	{}
284	2	glance-keystone	2.1.0	{"yaql_exp": "changedAny($.glance, $.network_metadata.vips, $.public_ssl, $.get('use_ssl'), $.get('region', 'RegionOne'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{glance}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "/(primary-)?keystone/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/glance/keystone.pp", "timeout": 1800}	{}
275	2	openstack-controller	2.1.0	{"yaql_exp": "changedAny($.configuration, $.network_scheme, $.network_metadata, ('primary-controller' in $.roles), $.get('use_syslog'), $.get('use_stderr'), $.get('syslog_log_facility_nova'), $.sahara, $.storage, $.nova, $.get('nova_config'), $.get('nova_report_interval', '60'), $.get('nova_service_down_time', '180'), $.rabbit, $.get('use_ssl'), $.get('kombu_compression'), $.get('glance_endpoint'), $.get('glance_api_servers'), $.get('region', 'RegionOne'), $.ironic, $.get('memcached_addresses'), $.get('memcache_server_port'), $.get('openstack_controller'), $.get('external_lb'), $.quantum_settings, $.get('database_vip'), $.nova_quota, $.use_vcenter, $.libvirt_type, $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.debug, $.use_cow_images, $.get('nova_endpoint'))\\n"}	puppet	{controller}	{}	{}	{}	{nova_config,nova_paste_api_ini}	{deploy_end}	{openstack-haproxy}	[]	[{"name": "primary-openstack-controller"}, {"role": "self", "name": "/(primary-)?rabbitmq/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-controller/openstack-controller.pp", "timeout": 3600}	{}
276	2	nova-db	2.1.0	{"yaql_exp": "changedAny($.nova, $.mysql, $.network_metadata.vips, $.get('database_vip'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{primary-openstack-controller,openstack-controller}	{primary-database,database}	[]	[{"name": "/^(primary-)?database$/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-controller/db.pp", "timeout": 1800}	{}
277	2	nova-keystone	2.1.0	{"yaql_exp": "changedAny($.nova, $.network_metadata.vips, $.public_ssl, $.get('use_ssl'), $.get('region', 'RegionOne'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{primary-openstack-controller,openstack-controller}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-controller/keystone.pp", "timeout": 1800}	{}
278	2	aodh	2.1.0	{"yaql_exp": "$.ceilometer.enabled and changedAny($.get('rabbit_ha_queues'), $.rabbit, $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.get('amqp_port'), $.get('kombu_compression'), $.network_scheme, $.aodh, $.get('region', 'RegionOne'), $.debug, $.get('verbose'), $.get('database_vip'), $.get('external_lb'), $.network_metadata.vips, $.public_ssl, $.get('use_ssl'), $.ceilometer)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{ceilometer-controller,openstack-controller}	{openstack-haproxy}	[]	[{"name": "aodh-db"}, {"name": "aodh-keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/aodh/aodh.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/aodh/aodh_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/aodh/aodh_pre.rb"}}
279	2	aodh-keystone	2.1.0	{"yaql_exp": "$.ceilometer.enabled and changedAny($.aodh, $.network_metadata.vips, $.public_ssl, $.get('use_ssl'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{aodh}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/aodh/keystone.pp", "timeout": 1800}	{}
280	2	aodh-db	2.1.0	{"yaql_exp": "$.ceilometer.enabled and changedAny($.aodh, $.get('database_vip'), $.mysql, $.get('mysql_custom_setup_class'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{aodh}	{primary-database,database}	[]	[{"name": "/^(primary-)?database$/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/aodh/db.pp", "timeout": 1800}	{}
281	2	horizon	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.horizon, $.get('memcached_addresses'), $.get('memcache_roles'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.storage, $.neutron_advanced_configuration, $.public_ssl, $.get('horizon_use_ssl'), $.get('external_lb'), $.get('use_ssl'), $.nova_quota, $.debug, $.get('verbose'), $.get('apache_ports'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{primary-openstack-controller,openstack-controller}	[]	[{"name": "memcached"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/horizon/horizon.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/horizon/horizon_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/horizon/horizon_pre.rb"}}
282	2	glance	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.network_metadata, $.glance, $.get('verbose'), $.debug, $.get('database_vip'), $.storage, $.get('use_syslog'), $.get('use_stderr'), $.get('syslog_log_facility_glance'), $.rabbit, $.get('max_pool_size'), $.get('max_overflow'), $.ceilometer, $.get('region', 'RegionOne'), $.ironic, ('primary-controller' in $.roles), $.get('kombu_compression'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.get('use_ssl'), $.murano, $.configuration.get('glance_api'), $.configuration.get('glance_cache'), $.configuration.get('glance_registry'), $.configuration.get('glare_config'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{primary-openstack-controller,openstack-controller}	{openstack-haproxy,primary-database,database}	[]	[{"name": "glance-db"}, {"name": "glance-keystone"}, {"role": "self", "name": "/(primary-)?rabbitmq/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/glance/glance.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/glance/glance_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/glance/glance_pre.rb"}}
283	2	glance-db	2.1.0	{"yaql_exp": "changedAny($.glance, $.mysql, $.network_metadata.vips, $.get('database_vip'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{glance}	{primary-database,database}	[]	[{"name": "/^(primary-)?database$/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/glance/db.pp", "timeout": 1800}	{}
285	2	swift-proxy_storage	2.1.0	{"yaql_exp": "((not $.storage.objects_ceph or not $.storage.images_ceph) and\\n  not $.storage.images_vcenter) and\\n(changedAny($.network_scheme, $.network_metadata, $.swift,\\n  $.get('swift_master_role', 'primary-controller'),\\n  $.get('swift_object_roles'), ('primary-controller' in $.roles),\\n  $.get('swift_proxy_roles'), $.get('memcached_addresses'),\\n  $.network_metadata.nodes.values().where(\\n    ('controller' in $.node_roles) or\\n    ('primary-controller' in $.node_roles)),\\n  $.get('proxy_port'), $.storage, $.debug, $.get('verbose'),\\n  $.get('swift_ring_min_part_hours'), $.get('deploy_swift_proxy'),\\n  $.get('use_ssl'), $.rabbit,\\n  $.network_metadata.nodes.values().where(\\n    $.node_roles.any($.matches('controller'))).network_roles.select(\\n      $.get('mgmt/messaging')), $.get('amqp_hosts'),\\n  $.get('memcache_server_port'), $.ceilometer.enabled, $.mp,\\n  $.get('swift_partition'), $.get('deploy_swift_storage')))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end,controller_remaining_tasks}	{openstack-controller,primary-rabbitmq,rabbitmq,memcached}	[]	[{"role": "self", "name": "/(primary-)?rabbitmq/"}, {"role": "self", "name": "/glance/"}, {"name": "swift-keystone"}, {"role": "self", "name": "memcached"}, {"role": "primary-controller", "name": "/(primary-)?swift-proxy/"}, {"role": "self", "name": "ceilometer-controller"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/swift/proxy_storage.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/swift/swift_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/swift/swift_pre.rb"}}
286	2	swift-rebalance-cron	2.1.0	{"yaql_exp": "((not $.storage.objects_ceph or not $.storage.images_ceph) and\\n  not $.storage.images_vcenter) and\\n(changedAny($.storage, $.get('swift_master_role', 'primary-controller'),\\n  $.get('swift_ring_min_part_hours'),('primary-controller' in $.roles)))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{swift-proxy_storage}	[]	[{"role": "self", "name": "/(primary-)?swift-proxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/swift/rebalance_cronjob.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/swift/rebalance_cronjob_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/swift/swift_post.rb"}}
287	2	swift-keystone	2.1.0	{"yaql_exp": "((not $.storage.objects_ceph or not $.storage.images_ceph) and\\n  not $.storage.images_vcenter) and\\n(changedAny($.swift, $.network_metadata.vips,\\n  $.get('region', 'RegionOne'), $.public_ssl, $.get('use_ssl')))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{swift-proxy_storage}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/swift/keystone.pp", "timeout": 1800}	{}
288	2	hiera	2.1.0	{"yaql_exp": "($.uid in added($.nodes).uid) or changedAny($.plugins, $.cgroups)\\n"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,ceph-osd,primary-mongo,mongo,virt,ironic}	{}	{}	{}	{}	{setup_repositories}	{deploy_start,rsync_core_puppet}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/hiera/hiera.pp", "timeout": 3600}	{"test_post": {"cmd": "python /etc/puppet/modules/osnailyfacter/modular/hiera/hiera_post.py"}, "test_pre": {"cmd": "python /etc/puppet/modules/osnailyfacter/modular/hiera/hiera_pre.py"}}
289	2	rabbitmq	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.get('queue_provider'), $.get('erlang_cookie'), $.get('rabbit_version'), $.get('amqp_port'), $.rabbit, $.get('rabbit_ocf'), $.debug, $.get('rabbit_cluster_partition_handling'), $.get('mnesia_table_loading_timeout'), $.network_metadata.nodes.values().where($.uid = new($.uid)), $.get('management_bind_ip_address'), $.get('rabbit_management_port'), $.get('enable_rpc_ha'), $.get('enable_notifications_ha'), $.get('node_name_prefix_for_messaging'), $.get('rabbit_config_kernel_variables'), $.get('rabbit_config_variables'), $.get('rabbit_config_management_variables'), $.get('rabbit_environment_variables'), $.configuration.get('rabbitmq'))\\n"}	puppet	{controller}	{}	{}	{}	{}	{deploy_end,openstack-controller,primary-openstack-controller,glance}	{netconfig,cluster}	[]	[{"name": "primary-rabbitmq"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/rabbitmq/rabbitmq.pp", "timeout": 3600, "strategy": {"amount": {"yaql_exp": "switch($.get('deployed_before', {}).get('value') => 1, true => 3)\\n"}, "type": "parallel"}}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/rabbitmq/rabbitmq_post.rb"}}
290	2	primary-rabbitmq	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.get('queue_provider'), $.get('erlang_cookie'), $.get('rabbit_version'), $.get('amqp_port'), $.rabbit, $.get('rabbit_ocf'), $.debug, $.get('rabbit_cluster_partition_handling'), $.get('mnesia_table_loading_timeout'), $.network_metadata.nodes.values().where($.uid = new($.uid)), $.get('management_bind_ip_address'), $.get('rabbit_management_port'), $.get('enable_rpc_ha'), $.get('enable_notifications_ha'), $.get('node_name_prefix_for_messaging'), $.get('rabbit_config_kernel_variables'), $.get('rabbit_config_variables'), $.get('rabbit_config_management_variables'), $.get('rabbit_environment_variables'), $.configuration.get('rabbitmq'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{deploy_end,openstack-controller,primary-openstack-controller,glance}	{netconfig,primary-cluster}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/rabbitmq/rabbitmq.pp", "timeout": 3600, "strategy": {"amount": {"yaql_exp": "switch($.get('deployed_before', {}).get('value') => 1, true => 3)\\n"}, "type": "parallel"}}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/rabbitmq/rabbitmq_post.rb"}}
304	2	update_hosts	2.1.0	{"yaql_exp": "changed($.network_metadata)"}	puppet	{}	{}	{/.*/}	{}	{}	{post_deployment_end}	{upload_nodes_info,copy_deleted_nodes}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/hosts/hosts.pp", "timeout": 3600, "cwd": "/"}	{}
405	3	base-os	1.0.0	\N	group	{}	{hiera,globals,logging}	{base-os}	{}	{}	{deploy_end,primary-controller,controller,primary-mongo,mongo}	{deploy_start}	[]	[]	{"strategy": {"type": "parallel"}}	{}
291	2	hiera_default_route	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.dpdk, $.get('use_ovs'), $.get('set_rps'), $.get('set_rps'), $.get('run_ping_checker'), $.network_scheme.endpoints.values().where(\\n  $.get('gateway') != null).gateway)\\n"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,compute-vmware,ceph-osd,primary-mongo,mongo,virt,ironic}	{}	{}	{}	{}	{}	{}	{"yaql_exp": "switch(\\n  (\\n    ('mongo' in $.roles) or ('primary-mongo' in $.roles)\\n  ) => [\\n      {name=>'configure_default_route',role=>'self'}\\n    ],\\n  true => [\\n    {name=>'netconfig',role=>'self'}\\n  ]\\n)\\n"}	{"yaql_exp": "switch(\\n  (\\n    ('mongo' in $.roles) or ('primary-mongo' in $.roles)\\n  ) => [\\n      {name=>'netconfig',role=>'self'},\\n      {name=>'post_deployment_start',role=>'self'}\\n    ],\\n  true => [\\n    {name=>'tools',role=>'self'}\\n  ]\\n)\\n"}	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/netconfig/hiera_default_route.pp", "timeout": 120}	{}
292	2	netconfig	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.dpdk, $.get('use_ovs'), $.get('set_rps'), $.get('set_rps'), $.get('run_ping_checker'), $.network_scheme.endpoints.values().where(\\n  $.get('gateway') != null).gateway)\\n"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,ceph-osd,primary-mongo,mongo,virt,ironic}	{}	{}	{deploy_changes}	{}	{deploy_end}	{tools}	[]	{"yaql_exp": "switch(\\n  (\\n    $.roles.any($.matches('^(primary-)?(mongo)$'))\\n    or ($.network_metadata.get('vips',{}).get('vrouter',{}).get('ipaddr') = null)\\n    or (\\n      len($.roles.toSet().intersect($.network_metadata.get('vips',{}).get('vrouter',{}).get('node_roles').toSet())) > 0\\n    )\\n  ) => [],\\n  true => [{\\n    name => 'virtual_ips',\\n    role => $.network_metadata.get('vips',{}).get('vrouter',{}).get('node_roles')\\n  }]\\n)\\n"}	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/netconfig/netconfig.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/netconfig/netconfig_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/netconfig/netconfig_pre.rb"}}
293	2	connectivity_tests	2.1.0	{"yaql_exp": "changedAny($.repo_setup, $.network_scheme)"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,ceph-osd,primary-mongo,mongo,virt,ironic}	{}	{}	{deploy_changes}	{}	{firewall,hosts}	{netconfig}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/netconfig/connectivity_tests.pp", "timeout": 3600, "cwd": "/"}	{}
294	2	sriov_iommu_check	2.1.0	{"yaql_exp": "changed($.network_scheme.transformations)"}	puppet	{compute}	{}	{}	{}	{}	{firewall,hosts}	{netconfig}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/netconfig/sriov_iommu_check.pp", "timeout": 120, "cwd": "/"}	{}
295	2	reserved_ports	2.1.0	{"yaql_exp": "$.uid in added($.nodes).uid"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,ceph-osd,primary-mongo,mongo,virt,ironic}	{}	{}	{deploy_changes}	{}	{globals}	{rsync_core_puppet}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/netconfig/reserved_ports.pp", "timeout": 180, "cwd": "/"}	{}
296	2	setup_repositories	2.1.0	{"yaql_exp": "($.uid in added($.nodes).uid) or changed($.repo_setup)"}	puppet	{/.*/}	{}	{}	{}	{}	{fuel_pkgs}	{hiera}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/fuel_pkgs/setup_repositories.pp", "timeout": 600}	{}
297	2	fuel_pkgs	2.1.0	{"yaql_exp": "$.uid in added($.nodes).uid"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,ceph-osd,primary-mongo,mongo,ironic}	{}	{}	{}	{}	{globals}	{setup_repositories}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/fuel_pkgs/fuel_pkgs.pp", "timeout": 600}	{}
298	2	cgroups	2.1.0	{"yaql_exp": "changed($.cgroups)"}	puppet	{}	{}	{/.*/}	{}	{}	{post_deployment_end}	{post_deployment_start}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/cgroups/cgroups.pp", "timeout": 3600}	{}
299	2	enable_quorum	2.1.0	{"yaql_exp": "changed($.nodes) or changed($.get('corosync_roles'))"}	shell	{}	{}	{primary-controller}	{}	{}	{post_deployment_end}	{post_deployment_start}	[]	[{"name": "dns-client"}, {"name": "ntp-server"}]	{"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/astute/enable_quorum.rb", "timeout": 180}	{}
300	2	upload_cirros	2.1.0	{"yaql_exp": "changedAny($.test_vm_image, $.glance, $.network_metadata.vips, $.get('region', 'RegionOne'), $.get('use_ssl'))\\n"}	shell	{}	{}	{primary-controller}	{}	{}	{post_deployment_end}	{enable_quorum}	[]	[{"name": "enable_quorum"}]	{"retries": 5, "cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/astute/upload_cirros.rb", "timeout": 600, "interval": 60}	{}
301	2	upload_nodes_info	2.1.0	\N	skipped	{}	{}	{/.*/}	{}	{}	{}	{post_deployment_start}	[]	[]	{}	{}
302	2	upload_configuration	2.1.0	{"yaql_exp": "changed($)"}	upload_file	{}	{}	{master,/.*/}	{}	{*}	{pre_deployment_start}	{override_configuration}	[]	[]	{"path": "/etc/fuel/cluster/{CLUSTER_ID}/astute.yaml", "data": {"yaql_exp": "$.toYaml()"}, "timeout": 180}	{}
303	2	configuration_symlink	2.1.0	{"yaql_exp": "$.uid in added($.nodes).uid"}	shell	{}	{}	{/.*/}	{}	{}	{pre_deployment_start}	{upload_configuration}	[]	[]	{"cmd": "ln -sf /etc/fuel/cluster/{CLUSTER_ID}/astute.yaml /etc/astute.yaml", "timeout": 180}	{}
306	2	disable_keystone_service_token	2.0.0	{"yaql_exp": "changed($.keystone.get('service_token_off')) and $.keystone.get('service_token_off')\\n"}	puppet	{}	{}	{primary-controller,controller}	{}	{}	{post_deployment_end}	{upload_cirros}	[]	[{"name": "upload_cirros"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/astute/service_token_off.pp", "timeout": 180, "cwd": "/"}	{}
307	2	configure_default_route	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.network_metadata.get('vips',{}).get('management'))"}	puppet	{}	{}	{primary-mongo,mongo}	{}	{}	{post_deployment_end}	{post_deployment_start}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/netconfig/configure_default_route.pp", "timeout": 3600, "cwd": "/"}	{}
308	2	rsync_core_puppet	2.0.0	\N	sync	{}	{}	{/.*/}	{}	{}	{pre_deployment_start}	{}	[]	[]	{"src": "rsync://{MASTER_IP}:/puppet/{OPENSTACK_VERSION}/modules/", "dst": "/etc/puppet/modules", "timeout": 180}	{}
309	2	clear_nodes_info	2.0.0	\N	skipped	{}	{}	{/.*/}	{}	{}	{pre_deployment_end}	{pre_deployment_start}	[]	[]	{"retries": 1, "cmd": "rm -f /etc/hiera/nodes.yaml"}	{}
310	2	copy_keys	2.0.0	\N	copy_files	{}	{}	{/.*/}	{}	{}	{pre_deployment_end}	{generate_keys}	[]	[{"role": "master", "name": "generate_keys"}]	{"files": [{"src": "/var/lib/fuel/keys/{CLUSTER_ID}/neutron/neutron.pub", "dst": "/var/lib/astute/neutron/neutron.pub"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/neutron/neutron", "dst": "/var/lib/astute/neutron/neutron"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/nova/nova.pub", "dst": "/var/lib/astute/nova/nova.pub"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/nova/nova", "dst": "/var/lib/astute/nova/nova"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/mysql/mysql.pub", "dst": "/var/lib/astute/mysql/mysql.pub"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/mysql/mysql", "dst": "/var/lib/astute/mysql/mysql"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/mongodb/mongodb.key", "dst": "/var/lib/astute/mongodb/mongodb.key"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/fernet-keys/0", "dst": "/var/lib/astute/keystone/0"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/fernet-keys/1", "dst": "/var/lib/astute/keystone/1"}], "dir_permissions": "0700", "permissions": "0600"}	{}
311	2	generate_keys	2.0.0	\N	shell	{}	{}	{master}	{}	{}	{copy_keys}	{pre_deployment_start}	[]	[]	{"cmd": "sh /etc/puppet/modules/osnailyfacter/modular/astute/generate_keys.sh -p /var/lib/fuel/keys/ -i {CLUSTER_ID} -o 'mongodb' -s 'neutron nova mysql' -f '0 1'", "timeout": 180}	{}
312	2	generate_haproxy_keys	2.1.0	{"yaql_exp": "(changedAny($.public_ssl.horizon, $.public_ssl.services)) and ($.public_ssl.horizon or $.public_ssl.services) and $.public_ssl.cert_source = 'self_signed'\\n"}	shell	{}	{}	{master}	{}	{}	{copy_haproxy_keys}	{pre_deployment_start}	[]	[]	{"cmd": "sh /etc/puppet/modules/osnailyfacter/modular/astute/generate_haproxy_keys.sh -i {CLUSTER_ID} -h {CN_HOSTNAME} -o 'haproxy' -p /var/lib/fuel/keys/", "timeout": 180}	{}
313	2	copy_haproxy_keys	2.1.0	{"yaql_exp": "(((changedAny($.public_ssl.horizon, $.public_ssl.services)) and\\n    ($.public_ssl.horizon or $.public_ssl.services) and\\n    (not (old($.public_ssl.horizon) or old($.public_ssl.services)))) or\\n  (($.public_ssl.horizon or $.public_ssl.services) and\\n    ($.uid in added($.nodes).uid))) and\\n$.public_ssl.cert_source = 'self_signed'\\n"}	copy_files	{}	{}	{/.*/}	{}	{}	{pre_deployment_end}	{generate_haproxy_keys}	[]	[{"role": "master", "name": "generate_haproxy_keys"}]	{"files": [{"src": "/var/lib/fuel/keys/{CLUSTER_ID}/haproxy/public_haproxy.pem", "dst": "/var/lib/astute/haproxy/public_haproxy.pem"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/haproxy/public_haproxy.crt", "dst": "/etc/pki/tls/certs/public_haproxy.pem"}], "dir_permissions": "0700", "permissions": "0600"}	{}
314	2	sync_time	2.1.0	{"yaql_exp": "$.uid in added($.nodes).uid"}	shell	{}	{}	{/.*/}	{}	{}	{pre_deployment_end}	{pre_deployment_start}	[]	[]	{"retries": 10, "cmd": "timeout -s9 40 ntpdate -u -v -s $(awk '/^server/ { if ($2 !~ /127\\\\.127\\\\.[0-9]+\\\\.[0-9]+/) {ORS=\\" \\"; print $2}}' /etc/ntp.conf)", "timeout": 300, "interval": 30}	{}
315	2	pre_hiera_config	2.1.0	{"yaql_exp": "$.uid in added($.nodes).uid"}	puppet	{}	{}	{/.*/}	{}	{}	{pre_deployment_start}	{rsync_core_puppet}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/hiera/hiera.pp", "timeout": 3600, "cwd": "/"}	{}
316	2	override_configuration	2.1.0	{"yaql_exp": "$.uid in added($.nodes).uid"}	puppet	{}	{}	{/.*/}	{}	{}	{pre_deployment_start}	{pre_hiera_config}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/hiera/override_configuration.pp", "timeout": 180, "cwd": "/"}	{}
317	2	dump_rabbitmq_definitions	2.1.0	{"yaql_exp": "changedAny($.rabbit, $.get('management_bind_ip_address'), $.get('rabbit_management_port'))\\n"}	puppet	{}	{}	{primary-controller,controller}	{}	{}	{post_deployment_end}	{post_deployment_start}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/astute/dump_rabbitmq_definitions.pp", "timeout": 180, "cwd": "/"}	{}
318	2	ironic_post_swift_key	2.1.0	{"yaql_exp": "$.ironic.enabled and changed($.ironic.enabled)"}	shell	{}	{}	{primary-controller}	{}	{}	{post_deployment_end}	{enable_quorum,enable_rados}	[]	[]	{"retries": 3, "cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/astute/ironic_post_swift_key.rb", "timeout": 180, "interval": 20}	{}
319	2	ironic_upload_images	2.1.0	{"yaql_exp": "$.ironic.enabled and changed($.ironic.enabled)"}	shell	{}	{}	{primary-controller}	{}	{}	{post_deployment_end}	{enable_quorum,enable_rados}	[]	[]	{"retries": 3, "cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/ironic/upload_images.rb {CLUSTER_ID}", "timeout": 180, "interval": 20}	{}
320	2	ironic_copy_bootstrap_key	2.1.0	{"yaql_exp": "($.ironic.enabled and (changed($.ironic.enabled) or ('ironic' in added($.roles))))\\n"}	copy_files	{}	{}	{ironic}	{}	{}	{pre_deployment_end}	{pre_deployment_start}	[]	[]	{"files": [{"src": "/var/lib/fuel/keys/{CLUSTER_ID}/ironic/ironic.pub", "dst": "/var/lib/astute/ironic/ironic.pub"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/ironic/ironic", "dst": "/var/lib/astute/ironic/ironic"}], "dir_permissions": "0700", "permissions": "0600"}	{}
321	2	generate_deleted_nodes	2.1.0	{"yaql_exp": "changed($.network_metadata)"}	upload_file	{}	{}	{master}	{}	{}	{pre_deployment_end}	{upload_configuration}	[]	[]	{"path": "/etc/fuel/cluster/{CLUSTER_ID}/deleted_nodes.yaml", "data": {"yaql_exp": "{\\"deleted_nodes\\" => deleted($.nodes.fqdn)}.toYaml()"}}	{}
322	2	copy_deleted_nodes	2.1.0	{"yaql_exp": "changed($.network_metadata)"}	copy_files	{}	{}	{/.*/}	{}	{}	{pre_deployment_end}	{generate_deleted_nodes}	[]	[{"role": "master", "name": "generate_deleted_nodes"}]	{"files": [{"src": "/etc/fuel/cluster/{CLUSTER_ID}/deleted_nodes.yaml", "dst": "/etc/hiera/deleted_nodes.yaml"}], "dir_permissions": "0700", "permissions": "0600"}	{}
323	2	memcached	2.1.0	{"yaql_exp": "changed($.network_scheme)"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end,keystone,primary-keystone}	{netconfig}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/memcached/memcached.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/memcached/memcached_post.rb"}}
324	2	generate_vms	2.0.0	{"yaql_exp": "changed($.vms_conf)"}	puppet	{virt}	{}	{}	{}	{}	{deploy_end}	{netconfig}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/generate_vms/generate_vms.pp", "timeout": 3600}	{}
325	2	copy_keys_ceph	2.0.0	\N	copy_files	{}	{}	{/.*/}	{}	{}	{pre_deployment_end}	{generate_keys_ceph}	[]	[{"role": "master", "name": "generate_keys_ceph"}]	{"files": [{"src": "/var/lib/fuel/keys/{CLUSTER_ID}/ceph/ceph.pub", "dst": "/var/lib/astute/ceph/ceph.pub"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/ceph/ceph", "dst": "/var/lib/astute/ceph/ceph"}], "dir_permissions": "0700", "permissions": "0600"}	{}
326	2	generate_keys_ceph	2.0.0	\N	shell	{}	{}	{master}	{}	{}	{copy_keys_ceph}	{pre_deployment_start}	[]	[]	{"cmd": "sh /etc/puppet/modules/osnailyfacter/modular/astute/generate_keys.sh -i {CLUSTER_ID} -s 'ceph' -p /var/lib/fuel/keys/", "timeout": 180}	{}
327	2	top-role-ceph-osd	2.1.0	{"yaql_exp": "changedAny($.storage, $.debug, $.network_scheme, $.get('use_syslog'), $.network_metadata.nodes.values().where(\\n  ('primary-controller' in $.node_roles) or\\n  ('controller' in $.node_roles)),\\n$.get('ceph_tuning_settings'), $.get('syslog_log_level_ceph'), $.get('syslog_log_facility_ceph'))\\n"}	puppet	{ceph-osd}	{}	{}	{}	{}	{deploy_end}	{hosts,firewall}	[]	[{"name": "ceph-mon"}, {"name": "/(primary-)?ceph-radosgw/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/ceph-osd.pp", "timeout": 3600}	{}
328	2	primary-ceph-radosgw	2.1.0	{"yaql_exp": "changedAny($.storage, $.keystone, $.network_metadata.vips, $.get('external_lb'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.get('use_ssl'), ('primary-controller' in $.roles), $.network_scheme, $.get('apache_ports'), $.get('use_syslog'), $.get('syslog_log_facility_ceph'), $.get('syslog_log_level_ceph'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{deploy_end,controller_remaining_tasks}	{apache,ceph-mon,primary-ceph-mon}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/radosgw.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceph/radosgw_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceph/radosgw_pre.rb"}}
329	2	ceph-radosgw	2.1.0	{"yaql_exp": "changedAny($.storage, $.keystone, $.network_metadata.vips, $.get('external_lb'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.get('use_ssl'), ('primary-controller' in $.roles), $.network_scheme, $.get('apache_ports'), $.get('use_syslog'), $.get('syslog_log_facility_ceph'), $.get('syslog_log_level_ceph'))\\n"}	puppet	{controller}	{}	{}	{}	{}	{deploy_end,controller_remaining_tasks}	{apache,ceph-mon,primary-ceph-mon}	[]	[{"name": "primary-ceph-radosgw"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/radosgw.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceph/radosgw_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceph/radosgw_pre.rb"}}
330	2	radosgw-keystone	2.1.0	{"yaql_exp": "changedAny($.storage, $.network_metadata.vips, $.get('region', 'RegionOne'), $.public_ssl, $.get('use_ssl'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{primary-ceph-radosgw,ceph-radosgw}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "/(primary-)?keystone/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/radosgw_keystone.pp", "timeout": 1800}	{}
331	2	primary-ceph-mon	2.1.0	{"yaql_exp": "changedAny($.storage, $.quantum, $.network_metadata, $.get('use_syslog'), $.get('syslog_log_facility_ceph'), $.keystone, $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_scheme, $.get('syslog_log_level_ceph'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{deploy_end,controller_remaining_tasks}	{primary-openstack-controller,openstack-controller,openstack-cinder}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/mon.pp", "timeout": 3600}	{}
406	3	virt	1.0.0	\N	group	{}	{}	{virt}	{}	{}	{deploy_end}	{}	[]	[]	{"strategy": {"type": "parallel"}}	{}
332	2	ceph-mon	2.1.0	{"yaql_exp": "changedAny($.storage, $.quantum, $.network_metadata, $.get('use_syslog'), $.get('syslog_log_facility_ceph'), $.keystone, $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_scheme, $.get('syslog_log_level_ceph'))\\n"}	puppet	{controller}	{}	{}	{}	{}	{deploy_end,controller_remaining_tasks}	{primary-openstack-controller,openstack-controller,openstack-cinder}	[]	[{"name": "primary-ceph-mon"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/mon.pp", "timeout": 3600}	{}
333	2	ceph-compute	2.1.0	{"yaql_exp": "($.storage.objects_ceph or $.storage.images_ceph or\\n $.storage.volumes_ceph or $.storage.ephemeral_ceph) and\\n(changedAny($.storage, $.quantum, $.network_metadata.vips,\\n $.get('use_syslog'), $.get('syslog_log_facility_ceph'), $.keystone,\\n $.network_scheme,\\n  $.network_metadata.nodes.values().flatten().node_roles.flatten().where(\\n    $ = 'controller' or $ = 'primary-controller')))\\n"}	puppet	{}	{}	{compute}	{}	{}	{post_deployment_end}	{ceph_create_pools}	[]	[{"name": "ceph_create_pools"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/ceph_compute.pp", "timeout": 3600, "cwd": "/"}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceph/ceph_compute_post.rb"}}
334	2	ceph_create_pools	2.1.0	{"yaql_exp": "($.storage.objects_ceph or $.storage.images_ceph or\\n $.storage.volumes_ceph or $.storage.ephemeral_ceph) and\\nchanged($.storage)\\n"}	puppet	{}	{}	{primary-controller,controller}	{}	{}	{ceph_ready_check}	{post_deployment_start}	[{"name": "ceph_ready_check"}]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/ceph_pools.pp", "timeout": 3600, "cwd": "/"}	{}
335	2	ceph_ready_check	2.1.0	{"yaql_exp": "($.storage.objects_ceph or $.storage.images_ceph or\\n $.storage.volumes_ceph or $.storage.ephemeral_ceph) and\\nchanged($.storage)\\n"}	shell	{}	{}	{primary-controller}	{}	{}	{enable_rados,upload_cirros}	{post_deployment_start}	[]	[]	{"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceph/ceph_ready_check.rb", "timeout": 1800}	{}
336	2	enable_rados	2.1.0	{"yaql_exp": "$.storage.objects_ceph and changed($.storage.objects_ceph)"}	puppet	{}	{}	{primary-controller,controller}	{}	{}	{upload_cirros,post_deployment_end}	{post_deployment_start}	[{"name": "upload_cirros"}]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/enable_rados.pp", "timeout": 180, "cwd": "/"}	{}
337	2	updatedb	2.1.0	{"yaql_exp": "($.storage.objects_ceph or $.storage.images_ceph or\\n $.storage.volumes_ceph or $.storage.ephemeral_ceph) and\\n(changedAny($.storage, $.quantum, $.network_metadata.vips,\\n $.get('use_syslog'), $.get('syslog_log_facility_ceph'), $.keystone,\\n $.network_scheme,\\n  $.network_metadata.nodes.values().flatten().node_roles.flatten().where(\\n    $ = 'controller' or $ = 'primary-controller')))\\n"}	puppet	{}	{}	{primary-controller,controller,ceph-osd}	{}	{}	{post_deployment_end}	{post_deployment_start}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/updatedb.pp", "timeout": 120, "cwd": "/"}	{}
338	2	database	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.network_metadata, $.get('use_syslog'), ('primary-controller' in $.roles), $.mysql, $.network_metadata.vips, $.get('database_vip'), $.network_metadata.nodes.get(concat('node-', $.uid)).network_roles.get(\\n  'mgmt/database'),\\n$.get('database_nodes'), $.get('mysql_custom_setup_class'), $.get('mysql_binary_logs'), $.configuration.get('mysql'))\\n"}	puppet	{controller}	{}	{}	{deploy_changes}	{}	{openstack-controller,primary-openstack-controller}	{deploy_start,openstack-haproxy}	[]	[{"name": "primary-database"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/database/database.pp", "timeout": 3600, "strategy": {"amount": {"yaql_exp": "switch($.get('deployed_before', {}).get('value') => 1, true => 6)\\n"}, "type": "parallel"}}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/database/database_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/database/database_pre.rb"}}
339	2	primary-database	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.network_metadata, $.get('use_syslog'), ('primary-controller' in $.roles), $.mysql, $.network_metadata.vips, $.get('database_vip'), $.network_metadata.nodes.get(concat('node-', $.uid)).network_roles.get(\\n  'mgmt/database'),\\n$.get('database_nodes'), $.get('mysql_custom_setup_class'), $.get('mysql_binary_logs'), $.configuration.get('mysql'))\\n"}	puppet	{primary-controller}	{}	{}	{deploy_changes}	{}	{openstack-controller,primary-openstack-controller}	{deploy_start,openstack-haproxy}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/database/database.pp", "timeout": 3600, "strategy": {"amount": {"yaql_exp": "switch($.get('deployed_before', {}).get('value') => 1, true => 6)\\n"}, "type": "parallel"}}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/database/database_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/database/database_pre.rb"}}
340	2	hosts	2.1.0	{"yaql_exp": "changed($.network_metadata)"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,ceph-osd,primary-mongo,mongo,ironic}	{}	{}	{}	{}	{deploy_end}	{netconfig}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/hosts/hosts.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/hosts/hosts_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/hosts/hosts_pre.rb"}}
377	2	dns-client	2.1.0	{"yaql_exp": "changed($.network_metadata.get('vips',{}).get('vrouter',{}).get('ipaddr'))"}	puppet	{}	{}	{primary-mongo,mongo,primary-controller,controller,compute,ceph-osd,cinder,cinder-vmware}	{}	{}	{ntp-client}	{post_deployment_start}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/dns/dns-client.pp", "timeout": 3600, "cwd": "/"}	{}
341	2	firewall	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.network_metadata, ($.ironic.enabled and changed($.ironic.enabled)), $.roles, $.master_ip)\\n"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,ceph-osd,primary-mongo,mongo,ironic}	{}	{}	{deploy_changes}	{}	{deploy_end}	{netconfig}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/firewall/firewall.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/firewall/firewall_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/firewall/firewall_pre.rb"}}
342	2	ntp-server	2.1.0	{"yaql_exp": "changed($.external_ntp)"}	puppet	{}	{}	{primary-controller,controller}	{}	{}	{ntp-client}	{dns-client}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ntp/ntp-server.pp", "timeout": 3600, "cwd": "/"}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ntp/ntp_post.rb"}}
343	2	ntp-client	2.1.0	{"yaql_exp": "changedAny($.network_metadata.get('vips',{}).get('management'), $.get('ntp_servers'))\\n"}	puppet	{}	{}	{primary-mongo,mongo,compute,ceph-osd,cinder,cinder-vmware}	{}	{}	{post_deployment_end}	{dns-client}	[]	[{"policy": "any", "name": "ntp-server"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ntp/ntp-client.pp", "timeout": 3600, "cwd": "/"}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ntp/ntp_post.rb"}}
344	2	ntp-check	2.1.0	{"yaql_exp": "changed($.external_ntp)"}	puppet	{}	{}	{primary-controller,controller}	{}	{}	{ntp-server}	{dns-client}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ntp/ntp-check.pp", "timeout": 600, "cwd": "/"}	{}
345	2	umm	2.1.0	{"yaql_exp": "$.uid in added($.nodes.uid)"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{tools}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/umm/umm.pp", "timeout": 3600}	{}
346	2	api-proxy	2.1.0	{"yaql_exp": "changedAny($.get('max_header_size'), $.get('apache_ports'), $.get('master_ip'), $.network_metadata.nodes.values().where($.node_roles.any($.matches('controller'))))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end,controller_remaining_tasks}	{apache}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/api-proxy/api-proxy.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/api-proxy/api-proxy_post.rb"}}
347	2	primary-cluster	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.get('cluster_recheck_interval', '190s'), $.network_metadata, $.get('corosync_roles'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{deploy_end}	{hosts,firewall,deploy_start}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/cluster/cluster.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/cluster/cluster_post.rb"}}
348	2	cluster	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.get('cluster_recheck_interval', '190s'), $.network_metadata, $.get('corosync_roles'))\\n"}	puppet	{controller}	{}	{}	{}	{}	{deploy_end}	{hosts,firewall,deploy_start}	[]	{"yaql_exp": "[{name=>'primary-cluster', role=>$.roles.select('primary-' + $)}]\\n"}	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/cluster/cluster.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/cluster/cluster_post.rb"}}
349	2	cluster_health	2.1.0	{"yaql_exp": "changedAny($.get('corosync_roles'), $.get('corosync_disks'), $.get('corosync_min_disk_space'), $.get('corosync_disk_unit'), $.get('corosync_disk_monitor_interval'), $.get('cluster_recheck_interval', '190s'), $.network_metadata, $.network_scheme)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{primary-cluster,cluster}	[]	[{"role": "self", "name": "/(primary-)?cluster/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/cluster/health.pp", "timeout": 600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/cluster/health_post.rb"}}
350	2	openstack-haproxy	2.0.0	\N	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,openstack-haproxy-ceilometer,openstack-haproxy-aodh,openstack-haproxy-cinder,openstack-haproxy-glance,openstack-haproxy-heat,openstack-haproxy-horizon,openstack-haproxy-keystone,openstack-haproxy-murano,openstack-haproxy-mysqld,openstack-haproxy-neutron,openstack-haproxy-nova,openstack-haproxy-radosgw,openstack-haproxy-sahara,openstack-haproxy-swift,openstack-haproxy-stats,openstack-haproxy-ironic}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy.pp", "timeout": 300}	{"test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
351	2	openstack-haproxy-horizon	2.1.0	{"yaql_exp": "changedAny($.horizon, $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-horizon.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-horizon_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
352	2	openstack-haproxy-keystone	2.1.0	{"yaql_exp": "changedAny($.keystone, $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.get('keystone_names'), $.get('keystone_ipaddresses'), $.get('public_service_endpoint'), $.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-keystone.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-keystone_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
353	2	openstack-haproxy-nova	2.1.0	{"yaql_exp": "changedAny($.nova, $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-nova.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-nova_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
354	2	openstack-haproxy-heat	2.1.0	{"yaql_exp": "$.heat.enabled and changedAny($.heat, $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.get('heat_roles'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-heat.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-heat_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
355	2	openstack-haproxy-glance	2.1.0	{"yaql_exp": "changedAny($.glance, $.public_ssl, $.get('use_ssl'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-glance.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-glance_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
356	2	openstack-haproxy-cinder	2.1.0	{"yaql_exp": "changedAny($.cinder, $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-cinder.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-cinder_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
357	2	openstack-haproxy-neutron	2.1.0	{"yaql_exp": "changedAny($.quantum, $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.get('neutron_names'), $.get('neutron_ipaddresses'), $.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-neutron.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-neutron_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
358	2	openstack-haproxy-mysqld	2.1.0	{"yaql_exp": "changedAny($.mysql, $.get('custom_mysql_setup_class', 'galera'), $.get('external_lb'), $.get('database_nodes'), $.get('mysqld_names'), $.get('mysqld_ipaddresses'), $.network_metadata.vips, $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.get('database_vip'), ('primary-controller' in $.roles))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-mysqld.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-mysqld_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
378	2	virtual_ips	2.1.0	{"yaql_exp": "changedAny($.network_metadata, $.network_scheme, $.roles)"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{primary-cluster,cluster}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/virtual_ips/virtual_ips.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/virtual_ips/virtual_ips_post.rb"}}
359	2	openstack-haproxy-swift	2.1.0	{"yaql_exp": "changedAny($.storage, $.get('swift_proxy_roles'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.get('swift_server_names'), $.get('swift_ipaddresses'), $.network_metadata.vips, $.ironic, $.network_scheme, $.network_metadata.nodes.get(concat('node-', $.uid)))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-swift.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-swift_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
360	2	openstack-haproxy-radosgw	2.1.0	{"yaql_exp": "changedAny($.storage, $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_metadata.vips, $.ironic)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-radosgw.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-radosgw_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
361	2	openstack-haproxy-ceilometer	2.1.0	{"yaql_exp": "$.ceilometer.enabled and changedAny($.ceilometer, $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-ceilometer.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-ceilometer_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
362	2	openstack-haproxy-aodh	2.1.0	{"yaql_exp": "changedAny($.ceilometer, $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-aodh.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-aodh_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
363	2	openstack-haproxy-sahara	2.1.0	{"yaql_exp": "$.sahara.enabled and changedAny($.sahara, $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.get('sahara_roles'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-sahara.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-sahara_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
364	2	openstack-haproxy-murano	2.1.0	{"yaql_exp": "$.murano.enabled and changedAny($.murano, $.get('murano-cfapi'), $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.get('murano_roles'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.get('murano_names'), $.get('murano_ipaddresses'), $.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-murano.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-murano_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
365	2	openstack-haproxy-stats	2.1.0	{"yaql_exp": "changed($.get('external_lb')) or changed($.network_metadata.vips)"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-stats.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-stats_post.rb"}}
379	2	conntrackd	2.1.0	{"yaql_exp": "changedAny($.network_metadata, $.network_scheme, $.get('vrouter_name'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{virtual_ips,cluster,primary-cluster}	[]	[{"role": "self", "name": "/(primary-)?cluster/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/virtual_ips/conntrackd.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/virtual_ips/conntrackd_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/virtual_ips/conntrackd_pre.rb"}}
366	2	openstack-haproxy-ironic	2.1.0	{"yaql_exp": "$.ironic.enabled and changedAny($.get('ironic_api_nodes'), $.network_metadata, $.public_ssl, $.get('use_ssl'), $.get('external_lb'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-ironic.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-ironic_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
367	2	ssl-keys-saving	2.1.0	{"yaql_exp": "(($.public_ssl.horizon or $.public_ssl.services) and\\n   $.public_ssl.cert_source = 'user_uploaded' and\\n   changed($.public_ssl.cert_data)) or\\n (changed($.get('use_ssl')) and len($.get('use_ssl', [])) > 0)\\n"}	puppet	{primary-controller,controller,compute,compute-vmware,cinder,cinder-vmware,primary-mongo,mongo,ceph-osd,virt}	{}	{}	{}	{}	{deploy_end}	{firewall}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ssl/ssl_keys_saving.pp", "timeout": 3600}	{"test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ssl/ssl_keys_saving_pre.rb"}}
368	2	ssl-add-trust-chain	2.1.0	{"yaql_exp": "(changed($.public_ssl) and\\n ($.public_ssl.horizon or $.public_ssl.services)) or\\n(changed($.get('use_ssl')) and (len($.get('use_ssl', [])) > 0))\\n"}	puppet	{primary-controller,controller,compute,compute-vmware,cinder,cinder-vmware,primary-mongo,mongo,ceph-osd,virt}	{}	{}	{}	{}	{hosts}	{firewall,ssl-keys-saving}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ssl/ssl_add_trust_chain.pp", "timeout": 3600}	{"test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ssl/ssl_keys_saving_pre.rb"}}
369	2	ssl-dns-setup	2.1.0	{"yaql_exp": "(changed($.public_ssl) and\\n ($.public_ssl.horizon or $.public_ssl.services)) or\\n(changed($.get('use_ssl')) and (len($.get('use_ssl', [])) > 0))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{hosts}	{firewall,ssl-add-trust-chain}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ssl/ssl_dns_setup.pp", "timeout": 3600}	{}
370	2	tools	2.1.0	{"yaql_exp": "changedAny($.get('custom_accounting_file', undef), $.puppet, $.deployment_mode)\\n"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,ceph-osd,primary-mongo,mongo,virt,ironic}	{}	{}	{}	{}	{deploy_end}	{logging}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/tools/tools.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/tools/tools_post.rb"}}
371	2	logging	2.1.0	{"yaql_exp": "changedAny($.base_syslog, $.syslog, $.get('use_syslog', true), $.syslog.get('debug', $.get('debug', false)), $.get('node_name_prefix_for_messaging', 'messaging-'))\\n"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,ceph-osd,primary-mongo,mongo,virt,ironic}	{}	{}	{}	{}	{deploy_end}	{globals,setup_repositories}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/logging/logging.pp", "timeout": 3600}	{}
372	2	cluster-vrouter	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.network_metadata)"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{virtual_ips}	{primary-cluster,cluster}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/cluster-vrouter/cluster-vrouter.pp", "timeout": 3600}	{}
373	2	globals	2.1.0	{"yaql_exp": "changed($)"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,ceph-osd,primary-mongo,mongo,virt,ironic}	{}	{}	{deploy_changes}	{}	{deploy_end}	{hiera}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/globals/globals.pp", "timeout": 3600}	{"test_post": {"cmd": "python /etc/puppet/modules/osnailyfacter/modular/globals/globals_post.py"}, "test_pre": {"cmd": "python /etc/puppet/modules/osnailyfacter/modular/globals/globals_pre.py"}}
374	2	apache	2.1.0	{"yaql_exp": "changed($)"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{keystone,primary-keystone}	{netconfig}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/apache/apache.pp", "timeout": 1200}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/apache/apache_post.rb"}}
375	2	primary-dns-server	2.1.0	{"yaql_exp": "changedAny($.external_dns, ('primary-controller' in $.roles), $.get('master_ip'), $.network_metadata, $.get('vrouter_name'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{deploy_end}	{openstack-haproxy}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/dns/dns-server.pp", "timeout": 3600}	{}
376	2	dns-server	2.1.0	{"yaql_exp": "changedAny($.external_dns, ('primary-controller' in $.roles), $.get('master_ip'), $.network_metadata, $.get('vrouter_name'))\\n"}	puppet	{controller}	{}	{}	{}	{}	{deploy_end}	{openstack-haproxy}	[]	[{"name": "primary-dns-server"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/dns/dns-server.pp", "timeout": 3600}	{}
380	2	primary_public_vip_ping	2.1.0	{"yaql_exp": "changed($.network_scheme) or changed($.get('run_ping_checker'))"}	puppet	{primary-controller}	{}	{}	{}	{}	{primary-cluster-haproxy}	{virtual_ips}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/virtual_ips/public_vip_ping.pp", "timeout": 300, "cwd": "/"}	{}
381	2	public_vip_ping	2.1.0	{"yaql_exp": "changed($.network_scheme) or changed($.get('run_ping_checker'))"}	puppet	{controller}	{}	{}	{}	{}	{deploy_end}	{virtual_ips}	[]	[{"name": "primary_public_vip_ping"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/virtual_ips/public_vip_ping.pp", "timeout": 300, "cwd": "/"}	{}
382	2	primary-cluster-haproxy	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.network_metadata, $.get('database_vip'), ('primary-controller' in $.roles), $.get('haproxy'), $.get('external_lb'), $.get('colocate_haproxy'), $.debug, $.configuration.get('haproxy'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,virtual_ips,primary-cluster}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/cluster-haproxy/cluster-haproxy.pp", "timeout": 3600, "strategy": {"amount": {"yaql_exp": "switch($.get('deployed_before', {}).get('value') => 1, true => 6)\\n"}, "type": "parallel"}}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/cluster-haproxy/cluster-haproxy_post.rb"}}
383	2	cluster-haproxy	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.network_metadata, $.get('database_vip'), ('primary-controller' in $.roles), $.get('haproxy'), $.get('external_lb'), $.get('colocate_haproxy'), $.debug, $.configuration.get('haproxy'))\\n"}	puppet	{controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,virtual_ips,cluster}	[]	[{"name": "primary-cluster-haproxy"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/cluster-haproxy/cluster-haproxy.pp", "timeout": 3600, "strategy": {"amount": {"yaql_exp": "switch($.get('deployed_before', {}).get('value') => 1, true => 6)\\n"}, "type": "parallel"}}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/cluster-haproxy/cluster-haproxy_post.rb"}}
384	2	plugins_rsync	2.1.0	{"yaql_exp": "len($.plugins) > 0"}	puppet	{/.*/}	{}	{}	{}	{}	{pre_deployment_start}	{configuration_symlink}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/plugins/plugins_rsync.pp", "timeout": 600}	{}
385	2	plugins_setup_repositories	2.1.0	{"yaql_exp": "len($.plugins) > 0"}	puppet	{/.*/}	{}	{}	{}	{}	{pre_deployment_start}	{plugins_rsync}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/plugins/plugins_setup_repositories.pp", "timeout": 600}	{}
386	2	vmware-vcenter	2.1.0	{"yaql_exp": "$.use_vcenter and changed($.use_vcenter)"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{controller_remaining_tasks}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/vmware/vcenter.pp", "timeout": 3600}	{}
387	2	top-role-cinder-vmware	2.1.0	{"yaql_exp": "$.use_vcenter and changed($.use_vcenter)"}	puppet	{cinder-vmware}	{}	{}	{}	{}	{deploy_end}	{top-role-cinder}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/vmware/cinder-vmware.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/vmware/cinder-vmware_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/vmware/cinder-vmware_pre.rb"}}
388	2	top-role-compute-vmware	2.1.0	{"yaql_exp": "$.use_vcenter and changed($.use_vcenter)"}	puppet	{compute-vmware}	{}	{}	{}	{}	{enable_nova_compute_service}	{top-role-compute,ceilometer-compute,ceilometer-keystone}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/vmware/compute-vmware.pp", "timeout": 180}	{}
389	3	pre_deployment_start	1.0.0	\N	stage	{}	{}	{}	{}	{}	{}	{}	[]	[]	{}	{}
390	3	pre_deployment_end	1.0.0	\N	stage	{}	{}	{}	{}	{}	{}	{pre_deployment_start}	[]	[]	{}	{}
391	3	deploy_start	1.0.0	\N	stage	{}	{}	{}	{}	{}	{}	{pre_deployment_end}	[]	[]	{}	{}
392	3	deploy_end	1.0.0	\N	stage	{}	{}	{}	{}	{}	{}	{deploy_start}	[]	[]	{}	{}
393	3	post_deployment_start	1.0.0	\N	stage	{}	{}	{}	{}	{}	{}	{deploy_end}	[]	[]	{}	{}
394	3	post_deployment_end	1.0.0	\N	stage	{}	{}	{}	{}	{}	{}	{post_deployment_start}	[]	[]	{}	{}
395	3	primary-controller	1.0.0	\N	group	{}	{}	{primary-controller}	{}	{}	{deploy_end}	{deploy_start}	[]	[]	{"strategy": {"type": "one_by_one"}}	{"fault_tolerance": 0}
396	3	controller	1.0.0	\N	group	{}	{}	{controller}	{}	{}	{deploy_end}	{primary-controller}	[]	[]	{"strategy": {"amount": 6, "type": "parallel"}}	{"fault_tolerance": 1}
397	3	cinder	1.0.0	\N	group	{}	{}	{cinder}	{}	{}	{deploy_end}	{controller}	[]	[]	{"strategy": {"type": "parallel"}}	{"fault_tolerance": "2%"}
398	3	cinder-block-device	1.0.0	\N	group	{}	{}	{cinder-block-device}	{}	{}	{deploy_end}	{compute}	[]	[]	{"strategy": {"type": "parallel"}}	{"fault_tolerance": "2%"}
399	3	cinder-vmware	1.0.0	\N	group	{}	{}	{cinder-vmware}	{}	{}	{deploy_end}	{controller}	[]	[]	{"strategy": {"type": "parallel"}}	{}
400	3	compute	1.0.0	\N	group	{}	{}	{compute}	{}	{}	{deploy_end}	{controller}	[]	[]	{"strategy": {"type": "parallel"}}	{"fault_tolerance": "2%"}
408	3	neutron-db	2.1.0	{"yaql_exp": "changedAny($.quantum, $.quantum_settings, $.mysql, $.network_metadata.vips, $.get('database_vip'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{openstack-network-end}	{primary-database,database}	[]	[{"name": "/^(primary-)?database$/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/db.pp", "timeout": 1800}	{}
409	3	neutron-keystone	2.1.0	{"yaql_exp": "changedAny($.quantum, $.quantum_settings, $.network_metadata.vips, $.public_ssl, $.get('use_ssl'), $.get('region', 'RegionOne'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{openstack-network-end}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/keystone.pp", "timeout": 1800}	{}
410	3	openstack-network-start	2.0.0	\N	skipped	{primary-controller,controller,compute}	{}	{}	{}	{}	{openstack-network-common-config}	{neutron-keystone,neutron-db,netconfig,primary-openstack-controller,openstack-controller,top-role-compute}	[]	[{"name": "neutron-keystone"}, {"role": "primary-controller", "name": "openstack-haproxy"}, {"name": "neutron-db"}, {"role": "self", "name": "/(primary-)?rabbitmq/"}]	{}	{}
411	3	openstack-network-common-config	2.1.0	{"yaql_exp": "changedAny($.get('openstack_network'), $.get('verbose'), $.debug, $.quantum_settings, $.neutron_advanced_configuration, $.rabbit, $.ceilometer, $.network_scheme, $.get('use_syslog'), $.get('use_stderr'), $.get('syslog_log_facility_neutron'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.get('kombu_compression'))\\n"}	puppet	{primary-controller,controller,compute}	{}	{}	{}	{}	{openstack-network-end}	{openstack-network-start}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/common-config.pp", "timeout": 1800}	{}
412	3	openstack-network-server-config	2.1.0	{"yaql_exp": "changedAny($.quantum, $.configuration, $.quantum_settings, $.get('database_vip'), $.network_metadata.vips, $.nova, $.get('neutron_primary_controller_roles'), $.get('neutron_compute_nodes'), $.get('region', 'RegionOne'), $.get('use_ssl'), $.neutron_advanced_configuration, $.network_scheme)\\n"}	puppet	{primary-controller,controller}	{}	{}	{deploy_changes}	{neutron_plugin_ml2,neutron_config,neutron_api_config}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/server-config.pp", "timeout": 1800}	{}
413	3	primary-openstack-network-plugins-l2	2.1.0	{"yaql_exp": "changedAny($.quantum, $.configuration, $.fqdn, $.get('neutron_primary_controller_roles'), $.get('neutron_compute_nodes'), $.quantum_settings, $.public_ssl, $.get('use_ssl'), $.get('region'), $.network_scheme, $.neutron_advanced_configuration)\\n"}	puppet	{primary-controller}	{}	{}	{}	{neutron_agent_ovs}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config,openstack-network-server-config}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/plugins/ml2.pp", "timeout": 1800}	{}
414	3	openstack-network-plugins-l2	2.1.0	{"yaql_exp": "changedAny($.quantum, $.configuration, $.fqdn, $.get('neutron_primary_controller_roles'), $.get('neutron_compute_nodes'), $.quantum_settings, $.public_ssl, $.get('use_ssl'), $.get('region'), $.network_scheme, $.neutron_advanced_configuration)\\n"}	puppet	{controller,compute}	{}	{}	{}	{neutron_agent_ovs}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config,openstack-network-server-config}	[]	[{"name": "primary-openstack-network-plugins-l2"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/plugins/ml2.pp", "timeout": 1800}	{}
415	3	openstack-network-networks	2.1.0	{"yaql_exp": "changedAny($.access, $.quantum_settings, $.quantum)"}	puppet	{primary-controller}	{}	{}	{}	{}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config,openstack-network-server-config,primary-openstack-network-plugins-l2}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/networks.pp", "timeout": 1800}	{}
416	3	openstack-network-routers	2.1.0	{"yaql_exp": "not $.neutron_advanced_configuration.neutron_l3_ha and changed($.neutron_advanced_configuration.neutron_l3_ha)\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{openstack-network-end}	{openstack-network-start,openstack-network-networks}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/routers.pp", "timeout": 1800}	{}
417	3	openstack-network-routers-ha	2.1.0	{"yaql_exp": "$.neutron_advanced_configuration.neutron_l3_ha and changed($.neutron_advanced_configuration.neutron_l3_ha)\\n"}	puppet	{}	{}	{primary-controller}	{}	{}	{post_deployment_end}	{post_deployment_start}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/routers.pp", "timeout": 1800, "cwd": "/"}	{}
418	3	primary-openstack-network-agents-l3	2.1.0	{"yaql_exp": "changedAny($.quantum, $.neutron_advanced_configuration, $.get('neutron_controller_roles'), $.get('neutron_compute_nodes'), $.debug, $.configuration, $.network_scheme, ('primary-controller' in $.roles))\\n"}	puppet	{primary-controller}	{}	{}	{}	{neutron_l3_agent_config}	{openstack-network-end}	{openstack-network-start,openstack-network-networks,openstack-network-routers,primary-openstack-network-plugins-l2,openstack-network-plugins-l2}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/agents/l3.pp", "timeout": 1800}	{}
419	3	openstack-network-agents-l3	2.1.0	{"yaql_exp": "changedAny($.quantum, $.neutron_advanced_configuration, $.get('neutron_controller_roles'), $.get('neutron_compute_nodes'), $.debug, $.configuration, $.network_scheme, ('primary-controller' in $.roles))\\n"}	puppet	{controller,compute}	{}	{}	{}	{neutron_l3_agent_config}	{openstack-network-end}	{openstack-network-start,openstack-network-networks,openstack-network-routers,primary-openstack-network-plugins-l2,openstack-network-plugins-l2}	[]	[{"role": ["/(primary-)?controller/"], "name": "/(primary-)?openstack-network-plugins-l2/"}, {"name": "primary-openstack-network-agents-l3"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/agents/l3.pp", "timeout": 1800}	{}
420	3	openstack-network-agents-sriov	2.1.0	{"yaql_exp": "changedAny($.quantum, $.network_scheme, $.quantum_settings, $.configuration)\\n"}	puppet	{compute}	{}	{}	{}	{neutron_sriov_agent_config}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config,openstack-network-plugins-l2}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/agents/sriov.pp", "timeout": 1800}	{}
421	3	openstack-network-server-nova	2.1.0	{"yaql_exp": "changedAny($.quantum, $.quantum_settings, $.network_metadata.vips, $.get('use_ssl'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config,openstack-network-server-config,openstack-network-agents-l3}	[]	[{"role": "self", "name": "/(primary-)?openstack-network-common-config/"}, {"role": "self", "name": "/(primary-)?openstack-network-server-config/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/server-nova.pp", "timeout": 1800}	{}
422	3	primary-openstack-network-agents-dhcp	2.1.0	{"yaql_exp": "changedAny($.quantum, $.configuration, $.debug, $.neutron_advanced_configuration, ('primary-controller' in $.roles))\\n"}	puppet	{primary-controller}	{}	{}	{}	{neutron_dhcp_agent_config}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config,openstack-network-server-config,openstack-network-server-nova,openstack-network-agents-l3}	[]	[{"role": "self", "name": "/(primary-)?openstack-network-plugins-l2/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/agents/dhcp.pp", "timeout": 1800}	{}
423	3	openstack-network-agents-dhcp	2.1.0	{"yaql_exp": "changedAny($.quantum, $.configuration, $.debug, $.neutron_advanced_configuration, ('primary-controller' in $.roles))\\n"}	puppet	{controller}	{}	{}	{}	{neutron_dhcp_agent_config}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config,openstack-network-server-config,openstack-network-server-nova,openstack-network-agents-l3}	[]	[{"name": "primary-openstack-network-agents-dhcp"}, {"role": "self", "name": "/(primary-)?openstack-network-plugins-l2/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/agents/dhcp.pp", "timeout": 1800}	{}
424	3	primary-openstack-network-agents-metadata	2.1.0	{"yaql_exp": "($.quantum and changed($.quantum)) or\\n  changed($.get('neutron_controller_roles')) or\\nchangedAny($.get('neutron_compute_nodes'),\\n  $.neutron_advanced_configuration, $.debug, $.configuration,\\n  $.get('region'), $.network_metadata.vips, $.get('use_ssl'),\\n  $.quantum_settings, $.get('nova_endpoint'), $.get('nova_metadata_protocol'),\\n  $.get('workers_max'),\\n  ('primary-controller' in $.roles))\\n"}	puppet	{primary-controller}	{}	{}	{}	{neutron_metadata_agent_config}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config,openstack-network-server-config,openstack-network-server-nova,openstack-network-agents-l3}	[]	[{"role": "self", "name": "/(primary-)?openstack-network-plugins-l2/"}, {"role": "self", "name": "/(primary-)?openstack-network-agents-l3/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/agents/metadata.pp", "timeout": 1800}	{}
425	3	openstack-network-agents-metadata	2.1.0	{"yaql_exp": "($.quantum and changed($.quantum)) or\\n  changed($.get('neutron_controller_roles')) or\\nchangedAny($.get('neutron_compute_nodes'),\\n  $.neutron_advanced_configuration, $.debug, $.configuration,\\n  $.get('region'), $.network_metadata.vips, $.get('use_ssl'),\\n  $.quantum_settings, $.get('nova_endpoint'), $.get('nova_metadata_protocol'),\\n  $.get('workers_max'),\\n  ('primary-controller' in $.roles))\\n"}	puppet	{controller,compute}	{}	{}	{}	{neutron_metadata_agent_config}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config,openstack-network-server-config,openstack-network-server-nova,openstack-network-agents-l3}	[]	[{"name": "primary-openstack-network-agents-metadata"}, {"role": ["/(primary-)?controller/"], "name": "/(primary-)?openstack-network-plugins-l2/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/agents/metadata.pp", "timeout": 1800}	{}
426	3	openstack-network-compute-nova	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.quantum, $.quantum_settings, $.nova, $.network_metadata.vips, $.get('region'), $.get('use_ssl'))\\n"}	puppet	{compute}	{}	{}	{}	{}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config,openstack-network-agents-l3,openstack-network-agents-metadata}	[]	[{"name": "/(primary-)?openstack-network-plugins-l2/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/compute-nova.pp", "timeout": 1800}	{}
427	3	openstack-network-end	2.0.0	\N	skipped	{primary-controller,controller,compute}	{}	{}	{}	{}	{deploy_end}	{}	[]	[]	{}	{}
585	5	collectd-ceilometer_install	2.0.0	\N	puppet	{compute}	{}	{}	{}	{}	{post_deployment_end}	{post_deployment_start}	[]	[]	{"puppet_modules": "puppet/modules:/etc/puppet/modules", "puppet_manifest": "puppet/manifests/collectd-ceilometer_install.pp", "timeout": 720}	{}
428	3	primary-heat	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.heat, $.sahara, $.rabbit, $.get('max_retries'), $.get('max_pool_size'), $.get('max_overflow'), $.get('idle_timeout'), $.network_metadata.vips, $.public_ssl, $.get('use_ssl'), ('primary-controller' in $.roles), $.get('kombu_compression'), $.get('heat_endpoint'), $.debug, $.get('verbose'), $.get('use_stderr'), $.get('use_syslog'), $.get('syslog_log_facility_heat'), $.deployment_mode, $.get('region', 'RegionOne'), $.get('external_lb'), $.get('database_vip'), $.get('heat_db_name'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')), $.get('amqp_hosts'),\\n$.configuration.get('heat'), $.configuration.get('heat_api_paste_ini'), $.get('heat_ha_engine'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{deploy_end}	{primary-openstack-controller,openstack-controller}	[]	[{"name": "heat-db"}, {"name": "heat-keystone"}, {"name": "memcached"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/heat/heat.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/heat/heat_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/heat/heat_pre.rb"}}
429	3	heat	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.heat, $.sahara, $.rabbit, $.get('max_retries'), $.get('max_pool_size'), $.get('max_overflow'), $.get('idle_timeout'), $.network_metadata.vips, $.public_ssl, $.get('use_ssl'), ('primary-controller' in $.roles), $.get('kombu_compression'), $.get('heat_endpoint'), $.debug, $.get('verbose'), $.get('use_stderr'), $.get('use_syslog'), $.get('syslog_log_facility_heat'), $.deployment_mode, $.get('region', 'RegionOne'), $.get('external_lb'), $.get('database_vip'), $.get('heat_db_name'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')), $.get('amqp_hosts'),\\n$.configuration.get('heat'), $.configuration.get('heat_api_paste_ini'), $.get('heat_ha_engine'))\\n"}	puppet	{controller}	{}	{}	{}	{}	{deploy_end}	{primary-openstack-controller,openstack-controller}	[]	[{"name": "primary-heat"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/heat/heat.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/heat/heat_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/heat/heat_pre.rb"}}
430	3	heat-db	2.1.0	{"yaql_exp": "changedAny($.heat, $.mysql, $.network_metadata.get('vips',{}).get('management'), $.get('database_vip'), $.get('mysql_custom_setup_class'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{primary-heat,heat}	{primary-database,database}	[]	[{"name": "/^(primary-)?database$/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/heat/db.pp", "timeout": 1800}	{}
431	3	heat-keystone	2.1.0	{"yaql_exp": "changedAny($.heat, $.network_metadata.vips, $.get('region', 'RegionOne'), $.public_ssl, $.get('use_ssl'), $.get('heat_endpoint'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{heat,primary-heat}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/heat/keystone.pp", "timeout": 1800}	{}
432	3	controller_remaining_tasks	2.1.0	{"yaql_exp": "changedAny(('primary-controller' in $.roles), $.quantum)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/roles/controller.pp", "timeout": 3600}	{}
433	3	top-role-compute	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.configuration, $.get('compute', ''), $.network_metadata.vips, $.debug, $.storage, $.nova, $.public_ssl, $.get('use_ssl', {}), $.get('nova_rate_limits', {}), $.get('nova_report_interval', 60), $.get('nova_service_down_time', 180), $.get('novanetwork_parameters', {}), $.get('nova_custom', {}), $.rabbit, $.cinder, $.ceilometer, $.get('use_syslog', true), $.get('use_stderr', false), $.get('syslog_log_facility_nova', ''), $.network_metadata.nodes.get(concat('node-', $.uid)), $.libvirt_type, $.get('kombu_compression', ''), $.dpdk, $.get('glance_api_servers', ''), $.get('block_device_allocate_retries', 300), $.get('block_device_allocate_retries_interval', 3), $.get('queue_provider', 'rabbit'), $.quantum_settings, $.get('memcached_addresses', ''), $.get('memcache_roles', ''), $.network_metadata.nodes.values().where(\\n  $.network_roles.get('mgmt/memcache') != null),\\n$.get('memcache_server_port'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.network_metadata.nodes.values().where(\\n  $.network_roles.get('mgmt/messaging') != null),\\n$.resume_guests_state_on_host_boot, $.use_cow_images)\\n"}	puppet	{compute}	{}	{}	{}	{nova_config,nova_paste_api_ini}	{enable_nova_compute_service}	{hosts,firewall}	[]	[{"name": "keystone"}, {"name": "/(primary-)?openstack-controller/"}, {"name": "/(primary-)?rabbitmq/"}, {"name": "memcached"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/roles/compute.pp", "timeout": 3600}	{}
434	3	top-role-cinder	2.1.0	{"yaql_exp": "changedAny($.cinder, $.get('cinder_volume_group'), $.network_metadata.nodes.get(concat(\\"node-\\", $.uid)).network_roles.get('cinder/iscsi'), $.network_metadata.vips, $.debug, $.node_volumes, $.storage, $.rabbit, $.ceilometer, $.get('use_stderr'), $.get('use_syslog'), $.get('syslog_log_facility_cinder'), $.get('syslog_log_facility_ceph'), $.get('proxy_port'), $.get('kombu_compression'), $.get('use_ssl'), $.get('service_endpoint'), $.get('glance_api_servers'), $.get('amqp_hosts'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')))\\n"}	puppet	{cinder,cinder-block-device,cinder-vmware}	{}	{}	{}	{}	{enable_cinder_volume_service}	{hosts,firewall}	[]	[{"name": "openstack-cinder"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/roles/cinder.pp", "timeout": 3600}	{}
443	3	sahara-keystone	2.1.0	{"yaql_exp": "$.sahara.enabled and changedAny($.sahara, $.public_ssl, $.network_metadata.vips, $.get('region', 'RegionOne'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{sahara}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/sahara/keystone.pp", "timeout": 1800}	{}
435	3	enable_cinder_volume_service	2.1.0	{"yaql_exp": "changedAny($.cinder, $.get('cinder_volume_group'), $.network_metadata.nodes.get(concat(\\"node-\\", $.uid)).network_roles.get('cinder/iscsi'), $.network_metadata.vips, $.debug, $.node_volumes, $.storage, $.rabbit, $.ceilometer, $.get('use_stderr'), $.get('use_syslog'), $.get('syslog_log_facility_cinder'), $.get('syslog_log_facility_ceph'), $.get('proxy_port'), $.get('kombu_compression'), $.get('use_ssl'), $.get('service_endpoint'), $.get('glance_api_servers'), $.get('amqp_hosts'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')))\\n"}	puppet	{cinder,cinder-block-device}	{}	{}	{}	{}	{deploy_end}	{top-role-cinder}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/roles/enable_cinder.pp", "timeout": 3600, "cwd": "/"}	{}
436	3	top-role-primary-mongo	2.1.0	{"yaql_exp": "$.ceilometer.enabled and changedAny($.network_scheme, $.mongo, $.get('mongodb_port'), $.network_metadata.nodes.values().where(\\n  ('primary-mongo' in $.node_roles) or\\n  ('mongo' in $.node_roles)),\\n$.get('use_syslog'), $.debug, $.ceilometer, $.roles)\\n"}	puppet	{primary-mongo}	{}	{}	{}	{}	{deploy_end}	{hosts,firewall}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/roles/mongo.pp", "timeout": 3600}	{}
437	3	top-role-mongo	2.1.0	{"yaql_exp": "$.ceilometer.enabled and changedAny($.network_scheme, $.mongo, $.get('mongodb_port'), $.network_metadata.nodes.values().where(\\n  ('primary-mongo' in $.node_roles) or\\n  ('mongo' in $.node_roles)),\\n$.get('use_syslog'), $.debug, $.ceilometer, $.roles)\\n"}	puppet	{mongo}	{}	{}	{}	{}	{deploy_end}	{hosts,firewall}	[]	[{"name": "top-role-primary-mongo"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/roles/mongo.pp", "timeout": 3600}	{}
438	3	ironic-conductor	2.1.0	{"yaql_exp": "$.ironic.enabled and changedAny($.network_scheme, $.ironic, $.network_metadata.vips, $.get('database_vip'), $.get('neutron_endpoint'), $.get('glance_api_servers'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.debug, $.get('verbose'), $.get('use_syslog'), $.get('syslog_log_facility_ironic'), $.rabbit, $.storage, $.get('kombu_compression'))\\n"}	puppet	{ironic}	{}	{}	{}	{}	{deploy_end}	{hosts,firewall}	[]	[{"name": "ironic"}, {"name": "/(primary-)?database/"}, {"name": "/(primary-)?rabbitmq/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/roles/ironic-conductor.pp", "timeout": 3600}	{}
439	3	enable_nova_compute_service	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.configuration, $.get('compute', ''), $.network_metadata.vips, $.debug, $.storage, $.nova, $.public_ssl, $.get('use_ssl', {}), $.get('nova_rate_limits', {}), $.get('nova_report_interval', 60), $.get('nova_service_down_time', 180), $.get('novanetwork_parameters', {}), $.get('nova_custom', {}), $.rabbit, $.cinder, $.ceilometer, $.get('use_syslog', true), $.get('use_stderr', false), $.get('syslog_log_facility_nova', ''), $.network_metadata.nodes.get(concat('node-', $.uid)), $.libvirt_type, $.get('kombu_compression', ''), $.dpdk, $.get('glance_api_servers', ''), $.get('block_device_allocate_retries', 300), $.get('block_device_allocate_retries_interval', 3), $.get('queue_provider', 'rabbit'), $.quantum_settings, $.get('memcached_addresses', ''), $.get('memcache_roles', ''), $.network_metadata.nodes.values().where(\\n  $.network_roles.get('mgmt/memcache') != null),\\n$.get('memcache_server_port'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.network_metadata.nodes.values().where(\\n  $.network_roles.get('mgmt/messaging') != null),\\n$.resume_guests_state_on_host_boot, $.use_cow_images)\\n"}	puppet	{compute,compute-vmware}	{}	{}	{}	{nova_config,nova_paste_api_ini}	{deploy_end}	{top-role-compute,top-role-compute-vmware,openstack-network-compute-nova}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/roles/enable_compute.pp", "timeout": 3600, "cwd": "/"}	{}
440	3	allocate_hugepages	2.1.0	{"yaql_exp": "changed($.get(\\"hugepages\\", []))"}	puppet	{}	{}	{/.*/}	{}	{}	{globals}	{setup_repositories}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/roles/allocate_hugepages.pp", "timeout": 300, "cwd": "/"}	{}
441	3	sahara	2.1.0	{"yaql_exp": "$.sahara.enabled and changedAny($.access, $.sahara, $.rabbit, $.public_ssl, $.ceilometer, ('primary-controller' in $.roles), $.network_metadata.vips, $.get('database_vip'), $.quantum_settings, $.quantum, $.network_scheme, $.get('syslog_log_facility_sahara'), $.debug, $.get('verbose'), $.get('default_log_levels'), $.get('use_syslog'), $.get('use_stderr'), $.get('rabbit_ha_queues'), $.get('amqp_port'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')), $.get('amqp_hosts'),\\n$.get('external_lb'), $.get('use_ssl'), $.get('kombu_compression'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end,controller_remaining_tasks}	{openstack-network-end,horizon}	[]	[{"name": "sahara-db"}, {"name": "sahara-keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/sahara/sahara.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/sahara/sahara_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/sahara/sahara_pre.rb"}}
442	3	sahara-db	2.1.0	{"yaql_exp": "$.sahara.enabled and changedAny($.sahara, $.mysql, $.network_metadata.vips, $.get('database_vip'), $.get('mysql_custom_setup_class'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{sahara}	{primary-database,database}	[]	[{"name": "/^(primary-)?database$/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/sahara/db.pp", "timeout": 1800}	{}
586	6	onos	1.0.0	\N	group	{}	{hiera,setup_repositories,fuel_pkgs,globals,tools,logging,onos_install,netconfig}	{onos}	{}	{}	{deploy_end,primary-controller,controller}	{deploy_start}	[]	[]	{"strategy": {"type": "parallel"}}	{}
444	3	openrc-delete	2.1.0	{"yaql_exp": "changedAny($.configuration, $.network_scheme, $.network_metadata, $.keystone, $.get('verbose'), $.debug, $.quantum, $.get('use_syslog'), $.get('use_stderr'), $.access, $.get('database_vip'), $.glance, $.nova, $.cinder, $.ceilometer, $.get('syslog_log_facility_keystone'), $.rabbit, $.quantum_settings.keystone, $.get('default_log_levels'), ('primary-controller' in $.roles), $.get('kombu_compression'), $.get('region'), $.public_ssl, $.get('use_ssl'), $.get('memcache_server_port'), $.get('memcached_addresses'), $.get('memcache_roles'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.get('token_provider'), $.get('max_pool_size'), $.get('max_overflow'), $.murano_settings, $.murano, $.get('external_lb'), $.operator_user, $.service_user, $.get('apache_ports'), $.get('user_admin_role'), $.get('user_admin_domain'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{keystone_config}	{primary-keystone,keystone}	{deploy_start,openstack-haproxy}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/keystone/openrc_delete.pp", "timeout": 90}	{}
445	3	primary-keystone	2.1.0	{"yaql_exp": "changedAny($.configuration, $.network_scheme, $.network_metadata, $.keystone, $.get('verbose'), $.debug, $.quantum, $.get('use_syslog'), $.get('use_stderr'), $.access, $.get('database_vip'), $.glance, $.nova, $.cinder, $.ceilometer, $.get('syslog_log_facility_keystone'), $.rabbit, $.quantum_settings.keystone, $.get('default_log_levels'), ('primary-controller' in $.roles), $.get('kombu_compression'), $.get('region'), $.public_ssl, $.get('use_ssl'), $.get('memcache_server_port'), $.get('memcached_addresses'), $.get('memcache_roles'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.get('token_provider'), $.get('max_pool_size'), $.get('max_overflow'), $.murano_settings, $.murano, $.get('external_lb'), $.operator_user, $.service_user, $.get('apache_ports'), $.get('user_admin_role'), $.get('user_admin_domain'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{keystone_config}	{primary-openstack-controller,openstack-controller}	{openstack-haproxy,database,primary-rabbitmq,rabbitmq,primary-database}	[]	[{"role": "self", "name": "/(primary-)?rabbitmq/"}, {"name": "keystone-db"}, {"name": "memcached"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/keystone/keystone.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/keystone/keystone_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/keystone/keystone_pre.rb"}}
446	3	keystone	2.1.0	{"yaql_exp": "changedAny($.configuration, $.network_scheme, $.network_metadata, $.keystone, $.get('verbose'), $.debug, $.quantum, $.get('use_syslog'), $.get('use_stderr'), $.access, $.get('database_vip'), $.glance, $.nova, $.cinder, $.ceilometer, $.get('syslog_log_facility_keystone'), $.rabbit, $.quantum_settings.keystone, $.get('default_log_levels'), ('primary-controller' in $.roles), $.get('kombu_compression'), $.get('region'), $.public_ssl, $.get('use_ssl'), $.get('memcache_server_port'), $.get('memcached_addresses'), $.get('memcache_roles'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.get('token_provider'), $.get('max_pool_size'), $.get('max_overflow'), $.murano_settings, $.murano, $.get('external_lb'), $.operator_user, $.service_user, $.get('apache_ports'), $.get('user_admin_role'), $.get('user_admin_domain'))\\n"}	puppet	{controller}	{}	{}	{}	{keystone_config}	{primary-openstack-controller,openstack-controller}	{openstack-haproxy,database,primary-rabbitmq,rabbitmq,primary-database}	[]	[{"role": "self", "name": "/(primary-)?rabbitmq/"}, {"name": "keystone-db"}, {"name": "primary-keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/keystone/keystone.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/keystone/keystone_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/keystone/keystone_pre.rb"}}
447	3	keystone-db	2.1.0	{"yaql_exp": "changedAny($.network_metadata, $.keystone, $.mysql, $.get('database_vip'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{keystone,primary-keystone}	{primary-database,database}	[]	[{"name": "/^(primary-)?database$/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/keystone/db.pp", "timeout": 1800}	{}
448	3	workloads_collector_add	2.1.0	{"yaql_exp": "changedAny($.workloads_collector, $.get('external_lb'), $.get('use_ssl'), $.network_metadata.get('vips',{}).get('management'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{deploy_end}	{keystone,primary-keystone}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/keystone/workloads_collector_add.pp", "timeout": 1800}	{}
449	3	openstack-cinder	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.cinder, $.network_metadata.vips, $.get('cinder_volume_group'), $.storage, $.ceilometer, $.sahara, $.rabbit, $.get('region', 'RegionOne'), $.get('use_ssl'), ('primary-controller' in $.roles), $.get('proxy_port'), $.get('kombu_compression'), $.get('keystone_endpoint'), $.get('glance_endpoint'), $.get('glance_api_servers'), $.get('use_syslog'), $.get('use_stderr'), $.get('verbose'), $.debug, $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.get('syslog_log_facility_cinder'), $.get('cinder_rate_limits'), $.configuration.get('cinder_api_paste_ini'), $.configuration.get('cinder'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end,openstack-controller}	{primary-rabbitmq,rabbitmq,primary-keystone,keystone,hosts,firewall}	[]	[{"name": "cinder-db"}, {"name": "cinder-keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-cinder/openstack-cinder.pp", "timeout": 1200}	{}
450	3	cinder-db	2.1.0	{"yaql_exp": "changedAny($.cinder, $.mysql, $.network_metadata.vips, $.get('mysql_custom_setup_class'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{openstack-cinder}	{primary-database,database}	[]	[{"name": "/^(primary-)?database$/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-cinder/db.pp", "timeout": 1800}	{}
451	3	cinder-keystone	2.1.0	{"yaql_exp": "changedAny($.cinder, $.public_ssl, $.get('use_ssl'), $.network_metadata.vips, $.get('region', 'RegionOne'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{openstack-cinder}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "keystone"}]	{"puppet_modules": "/etc/puppet/modules/", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-cinder/keystone.pp", "timeout": 1800}	{}
452	3	create-cinder-types	2.1.0	{"yaql_exp": "changed($.storage)"}	puppet	{primary-controller}	{}	{}	{}	{}	{deploy_end}	{openstack-cinder}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-cinder/create_cinder_types.pp", "timeout": 1200}	{}
453	3	murano	2.1.0	{"yaql_exp": "$.murano.enabled and changedAny($.murano, $.murano_settings, $.rabbit, $.quantum_settings, $.network_metadata.vips, $.get('database_vip'), $.get('region', 'RegionOne'), $.quantum, $.network_metadata, $.get('syslog_log_facility_murano'), $.debug, $.get('verbose'), $.get('default_log_levels'), $.get('use_syslog'), $.get('use_stderr'), $.get('rabbit_ha_queues'), $.get('amqp_port'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.external_dns, $.public_ssl, $.get('use_ssl'), ('primary-controller' in $.roles), $.get('kombu_compression'), $.get('external_lb'), $.get('keystone_endpoint'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end,controller_remaining_tasks}	{primary-heat,heat,horizon,primary-rabbitmq,rabbitmq}	[]	[{"name": "murano-db"}, {"name": "murano-keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/murano/murano.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/murano/murano_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/murano/murano_pre.rb"}}
454	3	murano-db	2.1.0	{"yaql_exp": "$.murano.enabled and changedAny( $.network_metadata.nodes.values().where($.fqdn = new($.fqdn)), $.murano, $.mysql, $.network_metadata.vips, $.get('database_vip'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{murano}	{primary-database,database}	[]	[{"name": "/^(primary-)?database$/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/murano/db.pp", "timeout": 1800}	{}
455	3	murano-keystone	2.1.0	{"yaql_exp": "$.murano.enabled and changedAny($.murano, $.network_metadata.vips, $.get('region', 'RegionOne'), $.public_ssl, $.get('use_ssl'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{murano}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/murano/keystone.pp", "timeout": 1800}	{}
456	3	murano-rabbitmq	2.1.0	{"yaql_exp": "$.murano.enabled and changedAny($.rabbit, $.murano)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{murano}	{rabbitmq,primary-rabbitmq}	[]	[{"role": "self", "name": "/(primary-)?rabbitmq/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/murano/rabbitmq.pp", "timeout": 1800}	{}
457	3	murano-cfapi	2.1.0	{"yaql_exp": "$.get('murano-cfapi').enabled and changedAny($.access, $.get('murano-cfapi'), $.network_metadata.vips, $.public_ssl, $.get('use_ssl'), $.network_metadata, $.get('external_lb'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{}	{murano}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/murano/cfapi.pp", "timeout": 1800}	{}
458	3	murano-cfapi-keystone	2.1.0	{"yaql_exp": "$.get('murano-cfapi').enabled and changedAny($.murano, $.network_metadata.vips, $.get('region', 'RegionOne'), $.public_ssl, $.get('use_ssl'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{murano-cfapi}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/murano/keystone_cfapi.pp", "timeout": 1800}	{}
459	3	upload_murano_package	2.1.0	{"yaql_exp": "$.murano.enabled and changedAny($.murano_settings.murano_glance_artifacts_plugin)\\n"}	puppet	{}	{}	{primary-controller}	{}	{}	{post_deployment_end}	{upload_cirros}	[]	[{"name": "upload_cirros"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/murano/upload_murano_package.pp", "timeout": 180}	{}
460	3	ironic-api	2.1.0	{"yaql_exp": "$.ironic.enabled and changedAny($.ironic, $.get('service_endpoint'), $.get('database_vip'), $.get('neutron_endpoint'), $.debug, $.get('verbose'), $.network_metadata, $.get('glance_api_servers'), $.get('default_log_levels'), $.get('use_syslog'), $.get('syslog_log_facility_ironic'), $.rabbit, $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.get('amqp_port'), $.quantum_settings, ('primary-controller' in $.roles), $.get('kombu_compression'), $.get('use_ssl'), $.network_scheme)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{primary-openstack-controller,openstack-controller}	{openstack-haproxy,ironic-db,ironic-keystone}	[]	[{"name": "ironic-db"}, {"name": "ironic-keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/ironic/ironic.pp", "timeout": 3600}	{}
461	3	ironic-db	2.1.0	{"yaql_exp": "$.ironic.enabled and changedAny($.ironic, $.mysql, $.get('database_vip'), $.get('mysql_custom_setup_class'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{ironic-api}	{primary-database,database}	[]	[{"name": "/^(primary-)?database$/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/ironic/db.pp", "timeout": 1800}	{}
587	6	ovs_update	2.0.0	\N	puppet	{primary-controller,controller,compute}	{}	{}	{}	{}	{netconfig,deploy_end}	{deploy_start}	[]	[]	{"puppet_modules": "puppet/modules:/etc/puppet/modules", "puppet_manifest": "puppet/manifests/ovs-update.pp", "timeout": 720}	{}
462	3	ironic-keystone	2.1.0	{"yaql_exp": "$.ironic.enabled and changedAny($.ironic, $.network_metadata.vips, $.public_ssl, $.get('region', 'RegionOne'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{ironic-api}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/ironic/keystone.pp", "timeout": 1800}	{}
463	3	ironic-compute	2.1.0	{"yaql_exp": "$.ironic.enabled and changedAny($.ironic, $.nova, $.network_metadata.vips, $.get('database_vip'), $.get('neutron_endpoint'), $.get('ironic_endpoint'), $.get('glance_api_servers'), $.debug, $.get('verbose'), $.get('use_syslog'), $.get('syslog_log_facility_ironic'), $.get('syslog_log_facility_nova'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.rabbit, $.get('nova_report_interval', '60'), $.get('nova_service_down_time', '180'), $.quantum_settings, $.get('memcached_addresses'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.get('memcache_server_port'), $.get('use_ssl'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{nova_config,nova_paste_api_ini}	{deploy_end}	{primary-openstack-controller,openstack-controller,ironic-api}	[]	[{"role": "self", "name": "/(primary-)?rabbitmq/"}, {"role": "self", "name": "/(primary-)?openstack-controller/"}, {"role": "self", "name": "ironic-api"}, {"role": "self", "name": "memcached"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/ironic/ironic-compute.pp", "timeout": 3600}	{}
464	3	ceilometer-controller	2.1.0	{"yaql_exp": "$.ceilometer.enabled and changedAny($.ceilometer, $.get('verbose'), $.debug, $.get('use_syslog'), $.get('use_stderr'), $.get('syslog_log_facility_ceilometer'), $.storage, $.rabbit, $.network_metadata.vips, $.get('region', 'RegionOne'), $.network_metadata.nodes.values().where(\\n  ('primary-mongo' in $.node_roles) or\\n  ('mongo' in $.node_roles)),\\n('primary-controller' in $.roles), $.get('kombu_compression'), $.get('service_endpoint'), $.get('use_ssl'), $.get('workers_max'), $.network_scheme, $.mongo, $.external_mongo, $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')), $.get('amqp_hosts'),\\n$.configuration.get('ceilometer'), $.configuration.get('ceilometer_api_paste_ini'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{primary-openstack-controller,openstack-controller}	{openstack-haproxy}	[]	[{"name": "ceilometer-keystone"}, {"name": "/top-role-(primary-)?mongo/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/ceilometer/controller.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/ceilometer/controller_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/ceilometer/controller_pre.rb"}}
465	3	ceilometer-compute	2.1.0	{"yaql_exp": "$.ceilometer.enabled and changedAny($.get('use_syslog'), $.get('use_stderr'), $.get('syslog_log_facility_ceilometer'), $.rabbit, $.network_metadata.vips, $.get('service_endpoint'), $.get('region', 'RegionOne'), $.ceilometer, $.get('verbose'), $.debug, $.get('use_ssl'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')), $.get('amqp_hosts'))\\n"}	puppet	{compute,compute-vmware}	{}	{}	{}	{}	{deploy_end}	{ceilometer-controller,top-role-compute}	[]	[{"name": "ceilometer-controller"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/ceilometer/compute.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/ceilometer/compute_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/ceilometer/compute_pre.rb"}}
466	3	ceilometer-keystone	2.1.0	{"yaql_exp": "$.ceilometer.enabled and changedAny($.ceilometer, $.network_metadata.vips, $.public_ssl, $.get('use_ssl'), $.get('region', 'RegionOne'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{ceilometer-controller}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "/(primary-)?keystone/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/ceilometer/keystone.pp", "timeout": 1800}	{}
467	3	ceilometer-radosgw-user	2.1.0	{"yaql_exp": "($.ceilometer.enabled and $.storage.objects_ceph) and\\n (changedAny($.ceilometer.enabled, $.storage.objects_ceph))\\n"}	puppet	{}	{}	{primary-controller,controller}	{}	{}	{post_deployment_end}	{post_deployment_start,enable_rados}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/ceilometer/radosgw_user.pp", "timeout": 300, "cwd": "/"}	{}
468	3	primary-openstack-controller	2.1.0	{"yaql_exp": "changedAny($.configuration, $.network_scheme, $.network_metadata, ('primary-controller' in $.roles), $.get('use_syslog'), $.get('use_stderr'), $.get('syslog_log_facility_nova'), $.sahara, $.storage, $.nova, $.get('nova_config'), $.get('nova_report_interval', '60'), $.get('nova_service_down_time', '180'), $.rabbit, $.get('use_ssl'), $.get('kombu_compression'), $.get('glance_endpoint'), $.get('glance_api_servers'), $.get('region', 'RegionOne'), $.ironic, $.get('memcached_addresses'), $.get('memcache_server_port'), $.get('openstack_controller'), $.get('external_lb'), $.quantum_settings, $.get('database_vip'), $.nova_quota, $.use_vcenter, $.libvirt_type, $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.debug, $.use_cow_images, $.get('nova_endpoint'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{nova_config,nova_paste_api_ini}	{deploy_end}	{openstack-haproxy}	[]	[{"role": "self", "name": "/(primary-)?rabbitmq/"}, {"name": "nova-db"}, {"name": "nova-keystone"}, {"name": "memcached"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-controller/openstack-controller.pp", "timeout": 3600}	{}
478	3	glance-keystone	2.1.0	{"yaql_exp": "changedAny($.glance, $.network_metadata.vips, $.public_ssl, $.get('use_ssl'), $.get('region', 'RegionOne'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{glance}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "/(primary-)?keystone/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/glance/keystone.pp", "timeout": 1800}	{}
469	3	openstack-controller	2.1.0	{"yaql_exp": "changedAny($.configuration, $.network_scheme, $.network_metadata, ('primary-controller' in $.roles), $.get('use_syslog'), $.get('use_stderr'), $.get('syslog_log_facility_nova'), $.sahara, $.storage, $.nova, $.get('nova_config'), $.get('nova_report_interval', '60'), $.get('nova_service_down_time', '180'), $.rabbit, $.get('use_ssl'), $.get('kombu_compression'), $.get('glance_endpoint'), $.get('glance_api_servers'), $.get('region', 'RegionOne'), $.ironic, $.get('memcached_addresses'), $.get('memcache_server_port'), $.get('openstack_controller'), $.get('external_lb'), $.quantum_settings, $.get('database_vip'), $.nova_quota, $.use_vcenter, $.libvirt_type, $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.debug, $.use_cow_images, $.get('nova_endpoint'))\\n"}	puppet	{controller}	{}	{}	{}	{nova_config,nova_paste_api_ini}	{deploy_end}	{openstack-haproxy}	[]	[{"name": "primary-openstack-controller"}, {"role": "self", "name": "/(primary-)?rabbitmq/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-controller/openstack-controller.pp", "timeout": 3600}	{}
470	3	nova-db	2.1.0	{"yaql_exp": "changedAny($.nova, $.mysql, $.network_metadata.vips, $.get('database_vip'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{primary-openstack-controller,openstack-controller}	{primary-database,database}	[]	[{"name": "/^(primary-)?database$/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-controller/db.pp", "timeout": 1800}	{}
471	3	nova-keystone	2.1.0	{"yaql_exp": "changedAny($.nova, $.network_metadata.vips, $.public_ssl, $.get('use_ssl'), $.get('region', 'RegionOne'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{primary-openstack-controller,openstack-controller}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-controller/keystone.pp", "timeout": 1800}	{}
472	3	aodh	2.1.0	{"yaql_exp": "$.ceilometer.enabled and changedAny($.get('rabbit_ha_queues'), $.rabbit, $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.get('amqp_port'), $.get('kombu_compression'), $.network_scheme, $.aodh, $.get('region', 'RegionOne'), $.debug, $.get('verbose'), $.get('database_vip'), $.get('external_lb'), $.network_metadata.vips, $.public_ssl, $.get('use_ssl'), $.ceilometer)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{ceilometer-controller,openstack-controller}	{openstack-haproxy}	[]	[{"name": "aodh-db"}, {"name": "aodh-keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/aodh/aodh.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/aodh/aodh_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/aodh/aodh_pre.rb"}}
473	3	aodh-keystone	2.1.0	{"yaql_exp": "$.ceilometer.enabled and changedAny($.aodh, $.network_metadata.vips, $.public_ssl, $.get('use_ssl'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{aodh}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/aodh/keystone.pp", "timeout": 1800}	{}
474	3	aodh-db	2.1.0	{"yaql_exp": "$.ceilometer.enabled and changedAny($.aodh, $.get('database_vip'), $.mysql, $.get('mysql_custom_setup_class'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{aodh}	{primary-database,database}	[]	[{"name": "/^(primary-)?database$/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/aodh/db.pp", "timeout": 1800}	{}
475	3	horizon	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.horizon, $.get('memcached_addresses'), $.get('memcache_roles'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.storage, $.neutron_advanced_configuration, $.public_ssl, $.get('horizon_use_ssl'), $.get('external_lb'), $.get('use_ssl'), $.nova_quota, $.debug, $.get('verbose'), $.get('apache_ports'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{primary-openstack-controller,openstack-controller}	[]	[{"name": "memcached"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/horizon/horizon.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/horizon/horizon_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/horizon/horizon_pre.rb"}}
476	3	glance	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.network_metadata, $.glance, $.get('verbose'), $.debug, $.get('database_vip'), $.storage, $.get('use_syslog'), $.get('use_stderr'), $.get('syslog_log_facility_glance'), $.rabbit, $.get('max_pool_size'), $.get('max_overflow'), $.ceilometer, $.get('region', 'RegionOne'), $.ironic, ('primary-controller' in $.roles), $.get('kombu_compression'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.get('use_ssl'), $.murano, $.configuration.get('glance_api'), $.configuration.get('glance_cache'), $.configuration.get('glance_registry'), $.configuration.get('glare_config'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{primary-openstack-controller,openstack-controller}	{openstack-haproxy,primary-database,database}	[]	[{"name": "glance-db"}, {"name": "glance-keystone"}, {"role": "self", "name": "/(primary-)?rabbitmq/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/glance/glance.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/glance/glance_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/glance/glance_pre.rb"}}
477	3	glance-db	2.1.0	{"yaql_exp": "changedAny($.glance, $.mysql, $.network_metadata.vips, $.get('database_vip'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{glance}	{primary-database,database}	[]	[{"name": "/^(primary-)?database$/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/glance/db.pp", "timeout": 1800}	{}
479	3	swift-proxy_storage	2.1.0	{"yaql_exp": "((not $.storage.objects_ceph or not $.storage.images_ceph) and\\n  not $.storage.images_vcenter) and\\n(changedAny($.network_scheme, $.network_metadata, $.swift,\\n  $.get('swift_master_role', 'primary-controller'),\\n  $.get('swift_object_roles'), ('primary-controller' in $.roles),\\n  $.get('swift_proxy_roles'), $.get('memcached_addresses'),\\n  $.network_metadata.nodes.values().where(\\n    ('controller' in $.node_roles) or\\n    ('primary-controller' in $.node_roles)),\\n  $.get('proxy_port'), $.storage, $.debug, $.get('verbose'),\\n  $.get('swift_ring_min_part_hours'), $.get('deploy_swift_proxy'),\\n  $.get('use_ssl'), $.rabbit,\\n  $.network_metadata.nodes.values().where(\\n    $.node_roles.any($.matches('controller'))).network_roles.select(\\n      $.get('mgmt/messaging')), $.get('amqp_hosts'),\\n  $.get('memcache_server_port'), $.ceilometer.enabled, $.mp,\\n  $.get('swift_partition'), $.get('deploy_swift_storage')))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end,controller_remaining_tasks}	{openstack-controller,primary-rabbitmq,rabbitmq,memcached}	[]	[{"role": "self", "name": "/(primary-)?rabbitmq/"}, {"role": "self", "name": "/glance/"}, {"name": "swift-keystone"}, {"role": "self", "name": "memcached"}, {"role": "primary-controller", "name": "/(primary-)?swift-proxy/"}, {"role": "self", "name": "ceilometer-controller"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/swift/proxy_storage.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/swift/swift_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/swift/swift_pre.rb"}}
480	3	swift-rebalance-cron	2.1.0	{"yaql_exp": "((not $.storage.objects_ceph or not $.storage.images_ceph) and\\n  not $.storage.images_vcenter) and\\n(changedAny($.storage, $.get('swift_master_role', 'primary-controller'),\\n  $.get('swift_ring_min_part_hours'),('primary-controller' in $.roles)))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{swift-proxy_storage}	[]	[{"role": "self", "name": "/(primary-)?swift-proxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/swift/rebalance_cronjob.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/swift/rebalance_cronjob_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/swift/swift_post.rb"}}
481	3	swift-keystone	2.1.0	{"yaql_exp": "((not $.storage.objects_ceph or not $.storage.images_ceph) and\\n  not $.storage.images_vcenter) and\\n(changedAny($.swift, $.network_metadata.vips,\\n  $.get('region', 'RegionOne'), $.public_ssl, $.get('use_ssl')))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{swift-proxy_storage}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "keystone"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/swift/keystone.pp", "timeout": 1800}	{}
482	3	hiera	2.1.0	{"yaql_exp": "($.uid in added($.nodes).uid) or changedAny($.plugins, $.cgroups)\\n"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,ceph-osd,primary-mongo,mongo,virt,ironic}	{}	{}	{}	{}	{setup_repositories}	{deploy_start,rsync_core_puppet}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/hiera/hiera.pp", "timeout": 3600}	{"test_post": {"cmd": "python /etc/puppet/modules/osnailyfacter/modular/hiera/hiera_post.py"}, "test_pre": {"cmd": "python /etc/puppet/modules/osnailyfacter/modular/hiera/hiera_pre.py"}}
483	3	rabbitmq	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.get('queue_provider'), $.get('erlang_cookie'), $.get('rabbit_version'), $.get('amqp_port'), $.rabbit, $.get('rabbit_ocf'), $.debug, $.get('rabbit_cluster_partition_handling'), $.get('mnesia_table_loading_timeout'), $.network_metadata.nodes.values().where($.uid = new($.uid)), $.get('management_bind_ip_address'), $.get('rabbit_management_port'), $.get('enable_rpc_ha'), $.get('enable_notifications_ha'), $.get('node_name_prefix_for_messaging'), $.get('rabbit_config_kernel_variables'), $.get('rabbit_config_variables'), $.get('rabbit_config_management_variables'), $.get('rabbit_environment_variables'), $.configuration.get('rabbitmq'))\\n"}	puppet	{controller}	{}	{}	{}	{}	{deploy_end,openstack-controller,primary-openstack-controller,glance}	{netconfig,cluster}	[]	[{"name": "primary-rabbitmq"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/rabbitmq/rabbitmq.pp", "timeout": 3600, "strategy": {"amount": {"yaql_exp": "switch($.get('deployed_before', {}).get('value') => 1, true => 3)\\n"}, "type": "parallel"}}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/rabbitmq/rabbitmq_post.rb"}}
484	3	primary-rabbitmq	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.get('queue_provider'), $.get('erlang_cookie'), $.get('rabbit_version'), $.get('amqp_port'), $.rabbit, $.get('rabbit_ocf'), $.debug, $.get('rabbit_cluster_partition_handling'), $.get('mnesia_table_loading_timeout'), $.network_metadata.nodes.values().where($.uid = new($.uid)), $.get('management_bind_ip_address'), $.get('rabbit_management_port'), $.get('enable_rpc_ha'), $.get('enable_notifications_ha'), $.get('node_name_prefix_for_messaging'), $.get('rabbit_config_kernel_variables'), $.get('rabbit_config_variables'), $.get('rabbit_config_management_variables'), $.get('rabbit_environment_variables'), $.configuration.get('rabbitmq'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{deploy_end,openstack-controller,primary-openstack-controller,glance}	{netconfig,primary-cluster}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/rabbitmq/rabbitmq.pp", "timeout": 3600, "strategy": {"amount": {"yaql_exp": "switch($.get('deployed_before', {}).get('value') => 1, true => 3)\\n"}, "type": "parallel"}}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/rabbitmq/rabbitmq_post.rb"}}
498	3	update_hosts	2.1.0	{"yaql_exp": "changed($.network_metadata)"}	puppet	{}	{}	{/.*/}	{}	{}	{post_deployment_end}	{upload_nodes_info,copy_deleted_nodes}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/hosts/hosts.pp", "timeout": 3600, "cwd": "/"}	{}
588	6	onos_install	2.0.0	\N	puppet	{onos}	{}	{}	{}	{}	{deploy_end,openstack-network-start}	{deploy_start,hosts,firewall,globals}	[]	[]	{"puppet_modules": "puppet/modules:/etc/puppet/modules", "puppet_manifest": "puppet/manifests/onos-install.pp", "timeout": 720}	{}
485	3	hiera_default_route	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.dpdk, $.get('use_ovs'), $.get('set_rps'), $.get('set_rps'), $.get('run_ping_checker'), $.network_scheme.endpoints.values().where(\\n  $.get('gateway') != null).gateway)\\n"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,compute-vmware,ceph-osd,primary-mongo,mongo,virt,ironic}	{}	{}	{}	{}	{}	{}	{"yaql_exp": "switch(\\n  (\\n    ('mongo' in $.roles) or ('primary-mongo' in $.roles)\\n  ) => [\\n      {name=>'configure_default_route',role=>'self'}\\n    ],\\n  true => [\\n    {name=>'netconfig',role=>'self'}\\n  ]\\n)\\n"}	{"yaql_exp": "switch(\\n  (\\n    ('mongo' in $.roles) or ('primary-mongo' in $.roles)\\n  ) => [\\n      {name=>'netconfig',role=>'self'},\\n      {name=>'post_deployment_start',role=>'self'}\\n    ],\\n  true => [\\n    {name=>'tools',role=>'self'}\\n  ]\\n)\\n"}	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/netconfig/hiera_default_route.pp", "timeout": 120}	{}
486	3	netconfig	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.dpdk, $.get('use_ovs'), $.get('set_rps'), $.get('set_rps'), $.get('run_ping_checker'), $.network_scheme.endpoints.values().where(\\n  $.get('gateway') != null).gateway)\\n"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,ceph-osd,primary-mongo,mongo,virt,ironic}	{}	{}	{deploy_changes}	{}	{deploy_end}	{tools}	[]	{"yaql_exp": "switch(\\n  (\\n    $.roles.any($.matches('^(primary-)?(mongo)$'))\\n    or ($.network_metadata.get('vips',{}).get('vrouter',{}).get('ipaddr') = null)\\n    or (\\n      len($.roles.toSet().intersect($.network_metadata.get('vips',{}).get('vrouter',{}).get('node_roles').toSet())) > 0\\n    )\\n  ) => [],\\n  true => [{\\n    name => 'virtual_ips',\\n    role => $.network_metadata.get('vips',{}).get('vrouter',{}).get('node_roles')\\n  }]\\n)\\n"}	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/netconfig/netconfig.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/netconfig/netconfig_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/netconfig/netconfig_pre.rb"}}
487	3	connectivity_tests	2.1.0	{"yaql_exp": "changedAny($.repo_setup, $.network_scheme)"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,ceph-osd,primary-mongo,mongo,virt,ironic}	{}	{}	{deploy_changes}	{}	{firewall,hosts}	{netconfig}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/netconfig/connectivity_tests.pp", "timeout": 3600, "cwd": "/"}	{}
488	3	sriov_iommu_check	2.1.0	{"yaql_exp": "changed($.network_scheme.transformations)"}	puppet	{compute}	{}	{}	{}	{}	{firewall,hosts}	{netconfig}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/netconfig/sriov_iommu_check.pp", "timeout": 120, "cwd": "/"}	{}
489	3	reserved_ports	2.1.0	{"yaql_exp": "$.uid in added($.nodes).uid"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,ceph-osd,primary-mongo,mongo,virt,ironic}	{}	{}	{deploy_changes}	{}	{globals}	{rsync_core_puppet}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/netconfig/reserved_ports.pp", "timeout": 180, "cwd": "/"}	{}
490	3	setup_repositories	2.1.0	{"yaql_exp": "($.uid in added($.nodes).uid) or changed($.repo_setup)"}	puppet	{/.*/}	{}	{}	{}	{}	{fuel_pkgs}	{hiera}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/fuel_pkgs/setup_repositories.pp", "timeout": 600}	{}
491	3	fuel_pkgs	2.1.0	{"yaql_exp": "$.uid in added($.nodes).uid"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,ceph-osd,primary-mongo,mongo,ironic}	{}	{}	{}	{}	{globals}	{setup_repositories}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/fuel_pkgs/fuel_pkgs.pp", "timeout": 600}	{}
492	3	cgroups	2.1.0	{"yaql_exp": "changed($.cgroups)"}	puppet	{}	{}	{/.*/}	{}	{}	{post_deployment_end}	{post_deployment_start}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/cgroups/cgroups.pp", "timeout": 3600}	{}
493	3	enable_quorum	2.1.0	{"yaql_exp": "changed($.nodes) or changed($.get('corosync_roles'))"}	shell	{}	{}	{primary-controller}	{}	{}	{post_deployment_end}	{post_deployment_start}	[]	[{"name": "dns-client"}, {"name": "ntp-server"}]	{"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/astute/enable_quorum.rb", "timeout": 180}	{}
494	3	upload_cirros	2.1.0	{"yaql_exp": "changedAny($.test_vm_image, $.glance, $.network_metadata.vips, $.get('region', 'RegionOne'), $.get('use_ssl'))\\n"}	shell	{}	{}	{primary-controller}	{}	{}	{post_deployment_end}	{enable_quorum}	[]	[{"name": "enable_quorum"}]	{"retries": 5, "cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/astute/upload_cirros.rb", "timeout": 600, "interval": 60}	{}
495	3	upload_nodes_info	2.1.0	\N	skipped	{}	{}	{/.*/}	{}	{}	{}	{post_deployment_start}	[]	[]	{}	{}
496	3	upload_configuration	2.1.0	{"yaql_exp": "changed($)"}	upload_file	{}	{}	{master,/.*/}	{}	{*}	{pre_deployment_start}	{override_configuration}	[]	[]	{"path": "/etc/fuel/cluster/{CLUSTER_ID}/astute.yaml", "data": {"yaql_exp": "$.toYaml()"}, "timeout": 180}	{}
497	3	configuration_symlink	2.1.0	{"yaql_exp": "$.uid in added($.nodes).uid"}	shell	{}	{}	{/.*/}	{}	{}	{pre_deployment_start}	{upload_configuration}	[]	[]	{"cmd": "ln -sf /etc/fuel/cluster/{CLUSTER_ID}/astute.yaml /etc/astute.yaml", "timeout": 180}	{}
499	3	vcenter_compute_zones_create	2.1.0	{"yaql_exp": "$.use_vcenter and changed($.use_vcenter)"}	shell	{}	{}	{primary-controller,compute-vmware}	{}	{}	{post_deployment_end}	{post_deployment_start,enable_nova_compute_service}	[]	[]	{"cmd": "/usr/bin/python /etc/puppet/modules/osnailyfacter/modular/astute/vcenter_hooks.py --create_zones", "timeout": 180}	{}
500	3	disable_keystone_service_token	2.0.0	{"yaql_exp": "changed($.keystone.get('service_token_off')) and $.keystone.get('service_token_off')\\n"}	puppet	{}	{}	{primary-controller,controller}	{}	{}	{post_deployment_end}	{upload_cirros}	[]	[{"name": "upload_cirros"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/astute/service_token_off.pp", "timeout": 180, "cwd": "/"}	{}
501	3	configure_default_route	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.network_metadata.get('vips',{}).get('management'))"}	puppet	{}	{}	{primary-mongo,mongo}	{}	{}	{post_deployment_end}	{post_deployment_start}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/netconfig/configure_default_route.pp", "timeout": 3600, "cwd": "/"}	{}
502	3	rsync_core_puppet	2.0.0	\N	sync	{}	{}	{/.*/}	{}	{}	{pre_deployment_start}	{}	[]	[]	{"src": "rsync://{MASTER_IP}:/puppet/{OPENSTACK_VERSION}/modules/", "dst": "/etc/puppet/modules", "timeout": 180}	{}
503	3	clear_nodes_info	2.0.0	\N	skipped	{}	{}	{/.*/}	{}	{}	{pre_deployment_end}	{pre_deployment_start}	[]	[]	{"retries": 1, "cmd": "rm -f /etc/hiera/nodes.yaml"}	{}
504	3	copy_keys	2.0.0	\N	copy_files	{}	{}	{/.*/}	{}	{}	{pre_deployment_end}	{generate_keys}	[]	[{"role": "master", "name": "generate_keys"}]	{"files": [{"src": "/var/lib/fuel/keys/{CLUSTER_ID}/neutron/neutron.pub", "dst": "/var/lib/astute/neutron/neutron.pub"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/neutron/neutron", "dst": "/var/lib/astute/neutron/neutron"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/nova/nova.pub", "dst": "/var/lib/astute/nova/nova.pub"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/nova/nova", "dst": "/var/lib/astute/nova/nova"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/mysql/mysql.pub", "dst": "/var/lib/astute/mysql/mysql.pub"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/mysql/mysql", "dst": "/var/lib/astute/mysql/mysql"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/mongodb/mongodb.key", "dst": "/var/lib/astute/mongodb/mongodb.key"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/fernet-keys/0", "dst": "/var/lib/astute/keystone/0"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/fernet-keys/1", "dst": "/var/lib/astute/keystone/1"}], "dir_permissions": "0700", "permissions": "0600"}	{}
505	3	generate_keys	2.0.0	\N	shell	{}	{}	{master}	{}	{}	{copy_keys}	{pre_deployment_start}	[]	[]	{"cmd": "sh /etc/puppet/modules/osnailyfacter/modular/astute/generate_keys.sh -p /var/lib/fuel/keys/ -i {CLUSTER_ID} -o 'mongodb' -s 'neutron nova mysql' -f '0 1'", "timeout": 180}	{}
506	3	generate_haproxy_keys	2.1.0	{"yaql_exp": "(changedAny($.public_ssl.horizon, $.public_ssl.services)) and ($.public_ssl.horizon or $.public_ssl.services) and $.public_ssl.cert_source = 'self_signed'\\n"}	shell	{}	{}	{master}	{}	{}	{copy_haproxy_keys}	{pre_deployment_start}	[]	[]	{"cmd": "sh /etc/puppet/modules/osnailyfacter/modular/astute/generate_haproxy_keys.sh -i {CLUSTER_ID} -h {CN_HOSTNAME} -o 'haproxy' -p /var/lib/fuel/keys/", "timeout": 180}	{}
507	3	copy_haproxy_keys	2.1.0	{"yaql_exp": "(((changedAny($.public_ssl.horizon, $.public_ssl.services)) and\\n    ($.public_ssl.horizon or $.public_ssl.services) and\\n    (not (old($.public_ssl.horizon) or old($.public_ssl.services)))) or\\n  (($.public_ssl.horizon or $.public_ssl.services) and\\n    ($.uid in added($.nodes).uid))) and\\n$.public_ssl.cert_source = 'self_signed'\\n"}	copy_files	{}	{}	{/.*/}	{}	{}	{pre_deployment_end}	{generate_haproxy_keys}	[]	[{"role": "master", "name": "generate_haproxy_keys"}]	{"files": [{"src": "/var/lib/fuel/keys/{CLUSTER_ID}/haproxy/public_haproxy.pem", "dst": "/var/lib/astute/haproxy/public_haproxy.pem"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/haproxy/public_haproxy.crt", "dst": "/etc/pki/tls/certs/public_haproxy.pem"}], "dir_permissions": "0700", "permissions": "0600"}	{}
508	3	sync_time	2.1.0	{"yaql_exp": "$.uid in added($.nodes).uid"}	shell	{}	{}	{/.*/}	{}	{}	{pre_deployment_end}	{pre_deployment_start}	[]	[]	{"retries": 10, "cmd": "timeout -s9 40 ntpdate -u -v -s $(awk '/^server/ { if ($2 !~ /127\\\\.127\\\\.[0-9]+\\\\.[0-9]+/) {ORS=\\" \\"; print $2}}' /etc/ntp.conf)", "timeout": 300, "interval": 30}	{}
509	3	pre_hiera_config	2.1.0	{"yaql_exp": "$.uid in added($.nodes).uid"}	puppet	{}	{}	{/.*/}	{}	{}	{pre_deployment_start}	{rsync_core_puppet}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/hiera/hiera.pp", "timeout": 3600, "cwd": "/"}	{}
510	3	override_configuration	2.1.0	{"yaql_exp": "$.uid in added($.nodes).uid"}	puppet	{}	{}	{/.*/}	{}	{}	{pre_deployment_start}	{pre_hiera_config}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/hiera/override_configuration.pp", "timeout": 180, "cwd": "/"}	{}
511	3	dump_rabbitmq_definitions	2.1.0	{"yaql_exp": "changedAny($.rabbit, $.get('management_bind_ip_address'), $.get('rabbit_management_port'))\\n"}	puppet	{}	{}	{primary-controller,controller}	{}	{}	{post_deployment_end}	{post_deployment_start}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/astute/dump_rabbitmq_definitions.pp", "timeout": 180, "cwd": "/"}	{}
512	3	ironic_post_swift_key	2.1.0	{"yaql_exp": "$.ironic.enabled and changed($.ironic.enabled)"}	shell	{}	{}	{primary-controller}	{}	{}	{post_deployment_end}	{enable_quorum,enable_rados}	[]	[]	{"retries": 3, "cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/astute/ironic_post_swift_key.rb", "timeout": 180, "interval": 20}	{}
513	3	ironic_upload_images	2.1.0	{"yaql_exp": "$.ironic.enabled and changed($.ironic.enabled)"}	shell	{}	{}	{primary-controller}	{}	{}	{post_deployment_end}	{enable_quorum,enable_rados}	[]	[]	{"retries": 3, "cmd": "ruby /etc/puppet/modules/openstack_tasks/examples/ironic/upload_images.rb {CLUSTER_ID}", "timeout": 180, "interval": 20}	{}
514	3	ironic_copy_bootstrap_key	2.1.0	{"yaql_exp": "($.ironic.enabled and (changed($.ironic.enabled) or ('ironic' in added($.roles))))\\n"}	copy_files	{}	{}	{ironic}	{}	{}	{pre_deployment_end}	{pre_deployment_start}	[]	[]	{"files": [{"src": "/var/lib/fuel/keys/{CLUSTER_ID}/ironic/ironic.pub", "dst": "/var/lib/astute/ironic/ironic.pub"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/ironic/ironic", "dst": "/var/lib/astute/ironic/ironic"}], "dir_permissions": "0700", "permissions": "0600"}	{}
515	3	generate_deleted_nodes	2.1.0	{"yaql_exp": "changed($.network_metadata)"}	upload_file	{}	{}	{master}	{}	{}	{pre_deployment_end}	{upload_configuration}	[]	[]	{"path": "/etc/fuel/cluster/{CLUSTER_ID}/deleted_nodes.yaml", "data": {"yaql_exp": "{\\"deleted_nodes\\" => deleted($.nodes.fqdn)}.toYaml()"}}	{}
516	3	copy_deleted_nodes	2.1.0	{"yaql_exp": "changed($.network_metadata)"}	copy_files	{}	{}	{/.*/}	{}	{}	{pre_deployment_end}	{generate_deleted_nodes}	[]	[{"role": "master", "name": "generate_deleted_nodes"}]	{"files": [{"src": "/etc/fuel/cluster/{CLUSTER_ID}/deleted_nodes.yaml", "dst": "/etc/hiera/deleted_nodes.yaml"}], "dir_permissions": "0700", "permissions": "0600"}	{}
517	3	memcached	2.1.0	{"yaql_exp": "changed($.network_scheme)"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end,keystone,primary-keystone}	{netconfig}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/memcached/memcached.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/memcached/memcached_post.rb"}}
518	3	generate_vms	2.0.0	{"yaql_exp": "changed($.vms_conf)"}	puppet	{virt}	{}	{}	{}	{}	{deploy_end}	{netconfig}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/generate_vms/generate_vms.pp", "timeout": 3600}	{}
519	3	copy_keys_ceph	2.0.0	\N	copy_files	{}	{}	{/.*/}	{}	{}	{pre_deployment_end}	{generate_keys_ceph}	[]	[{"role": "master", "name": "generate_keys_ceph"}]	{"files": [{"src": "/var/lib/fuel/keys/{CLUSTER_ID}/ceph/ceph.pub", "dst": "/var/lib/astute/ceph/ceph.pub"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/ceph/ceph", "dst": "/var/lib/astute/ceph/ceph"}], "dir_permissions": "0700", "permissions": "0600"}	{}
520	3	generate_keys_ceph	2.0.0	\N	shell	{}	{}	{master}	{}	{}	{copy_keys_ceph}	{pre_deployment_start}	[]	[]	{"cmd": "sh /etc/puppet/modules/osnailyfacter/modular/astute/generate_keys.sh -i {CLUSTER_ID} -s 'ceph' -p /var/lib/fuel/keys/", "timeout": 180}	{}
521	3	top-role-ceph-osd	2.1.0	{"yaql_exp": "changedAny($.storage, $.debug, $.network_scheme, $.get('use_syslog'), $.network_metadata.nodes.values().where(\\n  ('primary-controller' in $.node_roles) or\\n  ('controller' in $.node_roles)),\\n$.get('ceph_tuning_settings'), $.get('syslog_log_level_ceph'), $.get('syslog_log_facility_ceph'))\\n"}	puppet	{ceph-osd}	{}	{}	{}	{}	{deploy_end}	{hosts,firewall}	[]	[{"name": "ceph-mon"}, {"name": "/(primary-)?ceph-radosgw/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/ceph-osd.pp", "timeout": 3600}	{}
522	3	primary-ceph-radosgw	2.1.0	{"yaql_exp": "changedAny($.storage, $.keystone, $.network_metadata.vips, $.get('external_lb'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.get('use_ssl'), ('primary-controller' in $.roles), $.network_scheme, $.get('apache_ports'), $.get('use_syslog'), $.get('syslog_log_facility_ceph'), $.get('syslog_log_level_ceph'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{deploy_end,controller_remaining_tasks}	{apache,ceph-mon,primary-ceph-mon}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/radosgw.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceph/radosgw_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceph/radosgw_pre.rb"}}
523	3	ceph-radosgw	2.1.0	{"yaql_exp": "changedAny($.storage, $.keystone, $.network_metadata.vips, $.get('external_lb'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.get('use_ssl'), ('primary-controller' in $.roles), $.network_scheme, $.get('apache_ports'), $.get('use_syslog'), $.get('syslog_log_facility_ceph'), $.get('syslog_log_level_ceph'))\\n"}	puppet	{controller}	{}	{}	{}	{}	{deploy_end,controller_remaining_tasks}	{apache,ceph-mon,primary-ceph-mon}	[]	[{"name": "primary-ceph-radosgw"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/radosgw.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceph/radosgw_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceph/radosgw_pre.rb"}}
524	3	radosgw-keystone	2.1.0	{"yaql_exp": "changedAny($.storage, $.network_metadata.vips, $.get('region', 'RegionOne'), $.public_ssl, $.get('use_ssl'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{primary-ceph-radosgw,ceph-radosgw}	{primary-keystone,keystone}	[]	[{"role": "self", "name": "/(primary-)?keystone/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/radosgw_keystone.pp", "timeout": 1800}	{}
589	6	onos_service	2.0.0	\N	puppet	{}	{}	{onos}	{}	{}	{post_deployment_end}	{post_deployment_start}	[]	[]	{"puppet_modules": "puppet/modules:/etc/puppet/modules", "puppet_manifest": "puppet/manifests/onos-service.pp", "timeout": 1400}	{}
525	3	primary-ceph-mon	2.1.0	{"yaql_exp": "changedAny($.storage, $.quantum, $.network_metadata, $.get('use_syslog'), $.get('syslog_log_facility_ceph'), $.keystone, $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_scheme, $.get('syslog_log_level_ceph'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{deploy_end,controller_remaining_tasks}	{primary-openstack-controller,openstack-controller,openstack-cinder}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/mon.pp", "timeout": 3600}	{}
526	3	ceph-mon	2.1.0	{"yaql_exp": "changedAny($.storage, $.quantum, $.network_metadata, $.get('use_syslog'), $.get('syslog_log_facility_ceph'), $.keystone, $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_scheme, $.get('syslog_log_level_ceph'))\\n"}	puppet	{controller}	{}	{}	{}	{}	{deploy_end,controller_remaining_tasks}	{primary-openstack-controller,openstack-controller,openstack-cinder}	[]	[{"name": "primary-ceph-mon"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/mon.pp", "timeout": 3600}	{}
527	3	ceph-compute	2.1.0	{"yaql_exp": "($.storage.objects_ceph or $.storage.images_ceph or\\n $.storage.volumes_ceph or $.storage.ephemeral_ceph) and\\n(changedAny($.storage, $.quantum, $.network_metadata.vips,\\n $.get('use_syslog'), $.get('syslog_log_facility_ceph'), $.keystone,\\n $.network_scheme,\\n  $.network_metadata.nodes.values().flatten().node_roles.flatten().where(\\n    $ = 'controller' or $ = 'primary-controller')))\\n"}	puppet	{}	{}	{compute}	{}	{}	{post_deployment_end}	{ceph_create_pools}	[]	[{"name": "ceph_create_pools"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/ceph_compute.pp", "timeout": 3600, "cwd": "/"}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceph/ceph_compute_post.rb"}}
528	3	ceph_create_pools	2.1.0	{"yaql_exp": "($.storage.objects_ceph or $.storage.images_ceph or\\n $.storage.volumes_ceph or $.storage.ephemeral_ceph) and\\nchanged($.storage)\\n"}	puppet	{}	{}	{primary-controller,controller}	{}	{}	{ceph_ready_check}	{post_deployment_start}	[{"name": "ceph_ready_check"}]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/ceph_pools.pp", "timeout": 3600, "cwd": "/"}	{}
529	3	ceph_ready_check	2.1.0	{"yaql_exp": "($.storage.objects_ceph or $.storage.images_ceph or\\n $.storage.volumes_ceph or $.storage.ephemeral_ceph) and\\nchanged($.storage)\\n"}	shell	{}	{}	{primary-controller}	{}	{}	{enable_rados,upload_cirros}	{post_deployment_start}	[]	[]	{"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceph/ceph_ready_check.rb", "timeout": 1800}	{}
530	3	enable_rados	2.1.0	{"yaql_exp": "$.storage.objects_ceph and changed($.storage.objects_ceph)"}	puppet	{}	{}	{primary-controller,controller}	{}	{}	{upload_cirros,post_deployment_end}	{post_deployment_start}	[{"name": "upload_cirros"}]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/enable_rados.pp", "timeout": 180, "cwd": "/"}	{}
531	3	updatedb	2.1.0	{"yaql_exp": "($.storage.objects_ceph or $.storage.images_ceph or\\n $.storage.volumes_ceph or $.storage.ephemeral_ceph) and\\n(changedAny($.storage, $.quantum, $.network_metadata.vips,\\n $.get('use_syslog'), $.get('syslog_log_facility_ceph'), $.keystone,\\n $.network_scheme,\\n  $.network_metadata.nodes.values().flatten().node_roles.flatten().where(\\n    $ = 'controller' or $ = 'primary-controller')))\\n"}	puppet	{}	{}	{primary-controller,controller,ceph-osd}	{}	{}	{post_deployment_end}	{post_deployment_start}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/updatedb.pp", "timeout": 120, "cwd": "/"}	{}
532	3	database	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.network_metadata, $.get('use_syslog'), ('primary-controller' in $.roles), $.mysql, $.network_metadata.vips, $.get('database_vip'), $.network_metadata.nodes.get(concat('node-', $.uid)).network_roles.get(\\n  'mgmt/database'),\\n$.get('database_nodes'), $.get('mysql_custom_setup_class'), $.get('mysql_binary_logs'), $.configuration.get('mysql'))\\n"}	puppet	{controller}	{}	{}	{deploy_changes}	{}	{openstack-controller,primary-openstack-controller}	{deploy_start,openstack-haproxy}	[]	[{"name": "primary-database"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/database/database.pp", "timeout": 3600, "strategy": {"amount": {"yaql_exp": "switch($.get('deployed_before', {}).get('value') => 1, true => 6)\\n"}, "type": "parallel"}}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/database/database_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/database/database_pre.rb"}}
533	3	primary-database	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.network_metadata, $.get('use_syslog'), ('primary-controller' in $.roles), $.mysql, $.network_metadata.vips, $.get('database_vip'), $.network_metadata.nodes.get(concat('node-', $.uid)).network_roles.get(\\n  'mgmt/database'),\\n$.get('database_nodes'), $.get('mysql_custom_setup_class'), $.get('mysql_binary_logs'), $.configuration.get('mysql'))\\n"}	puppet	{primary-controller}	{}	{}	{deploy_changes}	{}	{openstack-controller,primary-openstack-controller}	{deploy_start,openstack-haproxy}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/database/database.pp", "timeout": 3600, "strategy": {"amount": {"yaql_exp": "switch($.get('deployed_before', {}).get('value') => 1, true => 6)\\n"}, "type": "parallel"}}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/database/database_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/database/database_pre.rb"}}
590	6	onos_ha	2.0.0	\N	puppet	{}	{}	{primary-controller,controller}	{}	{}	{post_deployment_end}	{post_deployment_start}	[]	[{"name": "onos_service"}]	{"puppet_modules": "puppet/modules:/etc/puppet/modules", "puppet_manifest": "puppet/manifests/onos-ha.pp", "timeout": 1400}	{}
534	3	hosts	2.1.0	{"yaql_exp": "changed($.network_metadata)"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,ceph-osd,primary-mongo,mongo,ironic}	{}	{}	{}	{}	{deploy_end}	{netconfig}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/hosts/hosts.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/hosts/hosts_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/hosts/hosts_pre.rb"}}
535	3	firewall	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.network_metadata, ($.ironic.enabled and changed($.ironic.enabled)), $.roles, $.master_ip)\\n"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,ceph-osd,primary-mongo,mongo,ironic}	{}	{}	{deploy_changes}	{}	{deploy_end}	{netconfig}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/firewall/firewall.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/firewall/firewall_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/firewall/firewall_pre.rb"}}
536	3	ntp-server	2.1.0	{"yaql_exp": "changed($.external_ntp)"}	puppet	{}	{}	{primary-controller,controller}	{}	{}	{ntp-client}	{dns-client}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ntp/ntp-server.pp", "timeout": 3600, "cwd": "/"}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ntp/ntp_post.rb"}}
537	3	ntp-client	2.1.0	{"yaql_exp": "changedAny($.network_metadata.get('vips',{}).get('management'), $.get('ntp_servers'))\\n"}	puppet	{}	{}	{primary-mongo,mongo,compute,ceph-osd,cinder,cinder-vmware}	{}	{}	{post_deployment_end}	{dns-client}	[]	[{"policy": "any", "name": "ntp-server"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ntp/ntp-client.pp", "timeout": 3600, "cwd": "/"}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ntp/ntp_post.rb"}}
538	3	ntp-check	2.1.0	{"yaql_exp": "changed($.external_ntp)"}	puppet	{}	{}	{primary-controller,controller}	{}	{}	{ntp-server}	{dns-client}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ntp/ntp-check.pp", "timeout": 600, "cwd": "/"}	{}
539	3	umm	2.1.0	{"yaql_exp": "$.uid in added($.nodes.uid)"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{tools}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/umm/umm.pp", "timeout": 3600}	{}
540	3	api-proxy	2.1.0	{"yaql_exp": "changedAny($.get('max_header_size'), $.get('apache_ports'), $.get('master_ip'), $.network_metadata.nodes.values().where($.node_roles.any($.matches('controller'))))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end,controller_remaining_tasks}	{apache}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/api-proxy/api-proxy.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/api-proxy/api-proxy_post.rb"}}
541	3	primary-cluster	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.get('cluster_recheck_interval', '190s'), $.network_metadata, $.get('corosync_roles'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{deploy_end}	{hosts,firewall,deploy_start}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/cluster/cluster.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/cluster/cluster_post.rb"}}
542	3	cluster	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.get('cluster_recheck_interval', '190s'), $.network_metadata, $.get('corosync_roles'))\\n"}	puppet	{controller}	{}	{}	{}	{}	{deploy_end}	{hosts,firewall,deploy_start}	[]	{"yaql_exp": "[{name=>'primary-cluster', role=>$.roles.select('primary-' + $)}]\\n"}	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/cluster/cluster.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/cluster/cluster_post.rb"}}
543	3	cluster_health	2.1.0	{"yaql_exp": "changedAny($.get('corosync_roles'), $.get('corosync_disks'), $.get('corosync_min_disk_space'), $.get('corosync_disk_unit'), $.get('corosync_disk_monitor_interval'), $.get('cluster_recheck_interval', '190s'), $.network_metadata, $.network_scheme)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{primary-cluster,cluster}	[]	[{"role": "self", "name": "/(primary-)?cluster/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/cluster/health.pp", "timeout": 600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/cluster/health_post.rb"}}
544	3	openstack-haproxy	2.0.0	\N	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,openstack-haproxy-ceilometer,openstack-haproxy-aodh,openstack-haproxy-cinder,openstack-haproxy-glance,openstack-haproxy-heat,openstack-haproxy-horizon,openstack-haproxy-keystone,openstack-haproxy-murano,openstack-haproxy-mysqld,openstack-haproxy-neutron,openstack-haproxy-nova,openstack-haproxy-radosgw,openstack-haproxy-sahara,openstack-haproxy-swift,openstack-haproxy-stats,openstack-haproxy-ironic}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy.pp", "timeout": 300}	{"test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
591	6	onos_config_ovs_controller	2.0.0	\N	puppet	{}	{}	{primary-controller,controller}	{}	{}	{post_deployment_end}	{onos_ha}	[]	[]	{"puppet_modules": "puppet/modules:/etc/puppet/modules", "puppet_manifest": "puppet/manifests/ovs-controller.pp", "timeout": 600}	{}
545	3	openstack-haproxy-horizon	2.1.0	{"yaql_exp": "changedAny($.horizon, $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-horizon.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-horizon_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
546	3	openstack-haproxy-keystone	2.1.0	{"yaql_exp": "changedAny($.keystone, $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.get('keystone_names'), $.get('keystone_ipaddresses'), $.get('public_service_endpoint'), $.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-keystone.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-keystone_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
547	3	openstack-haproxy-nova	2.1.0	{"yaql_exp": "changedAny($.nova, $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-nova.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-nova_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
548	3	openstack-haproxy-heat	2.1.0	{"yaql_exp": "$.heat.enabled and changedAny($.heat, $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.get('heat_roles'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-heat.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-heat_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
549	3	openstack-haproxy-glance	2.1.0	{"yaql_exp": "changedAny($.glance, $.public_ssl, $.get('use_ssl'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-glance.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-glance_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
550	3	openstack-haproxy-cinder	2.1.0	{"yaql_exp": "changedAny($.cinder, $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-cinder.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-cinder_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
551	3	openstack-haproxy-neutron	2.1.0	{"yaql_exp": "changedAny($.quantum, $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.get('neutron_names'), $.get('neutron_ipaddresses'), $.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-neutron.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-neutron_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
559	3	openstack-haproxy-stats	2.1.0	{"yaql_exp": "changed($.get('external_lb')) or changed($.network_metadata.vips)"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-stats.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-stats_post.rb"}}
552	3	openstack-haproxy-mysqld	2.1.0	{"yaql_exp": "changedAny($.mysql, $.get('custom_mysql_setup_class', 'galera'), $.get('external_lb'), $.get('database_nodes'), $.get('mysqld_names'), $.get('mysqld_ipaddresses'), $.network_metadata.vips, $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.get('database_vip'), ('primary-controller' in $.roles))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-mysqld.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-mysqld_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
553	3	openstack-haproxy-swift	2.1.0	{"yaql_exp": "changedAny($.storage, $.get('swift_proxy_roles'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.get('swift_server_names'), $.get('swift_ipaddresses'), $.network_metadata.vips, $.ironic, $.network_scheme, $.network_metadata.nodes.get(concat('node-', $.uid)))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-swift.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-swift_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
554	3	openstack-haproxy-radosgw	2.1.0	{"yaql_exp": "changedAny($.storage, $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_metadata.vips, $.ironic)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-radosgw.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-radosgw_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
555	3	openstack-haproxy-ceilometer	2.1.0	{"yaql_exp": "$.ceilometer.enabled and changedAny($.ceilometer, $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-ceilometer.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-ceilometer_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
556	3	openstack-haproxy-aodh	2.1.0	{"yaql_exp": "changedAny($.ceilometer, $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-aodh.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-aodh_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
557	3	openstack-haproxy-sahara	2.1.0	{"yaql_exp": "$.sahara.enabled and changedAny($.sahara, $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.get('sahara_roles'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-sahara.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-sahara_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
558	3	openstack-haproxy-murano	2.1.0	{"yaql_exp": "$.murano.enabled and changedAny($.murano, $.get('murano-cfapi'), $.public_ssl, $.get('use_ssl'), $.get('external_lb'), $.get('murano_roles'), $.network_metadata.nodes.values().where(\\n  ('controller' in $.node_roles) or\\n  ('primary-controller' in $.node_roles)),\\n$.get('murano_names'), $.get('murano_ipaddresses'), $.network_metadata.vips)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-murano.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-murano_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
560	3	openstack-haproxy-ironic	2.1.0	{"yaql_exp": "$.ironic.enabled and changedAny($.get('ironic_api_nodes'), $.network_metadata, $.public_ssl, $.get('use_ssl'), $.get('external_lb'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"role": "self", "name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-ironic.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-ironic_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}}
561	3	ssl-keys-saving	2.1.0	{"yaql_exp": "(($.public_ssl.horizon or $.public_ssl.services) and\\n   $.public_ssl.cert_source = 'user_uploaded' and\\n   changed($.public_ssl.cert_data)) or\\n (changed($.get('use_ssl')) and len($.get('use_ssl', [])) > 0)\\n"}	puppet	{primary-controller,controller,compute,compute-vmware,cinder,cinder-vmware,primary-mongo,mongo,ceph-osd,virt}	{}	{}	{}	{}	{deploy_end}	{firewall}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ssl/ssl_keys_saving.pp", "timeout": 3600}	{"test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ssl/ssl_keys_saving_pre.rb"}}
562	3	ssl-add-trust-chain	2.1.0	{"yaql_exp": "(changed($.public_ssl) and\\n ($.public_ssl.horizon or $.public_ssl.services)) or\\n(changed($.get('use_ssl')) and (len($.get('use_ssl', [])) > 0))\\n"}	puppet	{primary-controller,controller,compute,compute-vmware,cinder,cinder-vmware,primary-mongo,mongo,ceph-osd,virt}	{}	{}	{}	{}	{hosts}	{firewall,ssl-keys-saving}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ssl/ssl_add_trust_chain.pp", "timeout": 3600}	{"test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ssl/ssl_keys_saving_pre.rb"}}
563	3	ssl-dns-setup	2.1.0	{"yaql_exp": "(changed($.public_ssl) and\\n ($.public_ssl.horizon or $.public_ssl.services)) or\\n(changed($.get('use_ssl')) and (len($.get('use_ssl', [])) > 0))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{hosts}	{firewall,ssl-add-trust-chain}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ssl/ssl_dns_setup.pp", "timeout": 3600}	{}
564	3	tools	2.1.0	{"yaql_exp": "changedAny($.get('custom_accounting_file', undef), $.puppet, $.deployment_mode)\\n"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,ceph-osd,primary-mongo,mongo,virt,ironic}	{}	{}	{}	{}	{deploy_end}	{logging}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/tools/tools.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/tools/tools_post.rb"}}
565	3	logging	2.1.0	{"yaql_exp": "changedAny($.base_syslog, $.syslog, $.get('use_syslog', true), $.syslog.get('debug', $.get('debug', false)), $.get('node_name_prefix_for_messaging', 'messaging-'))\\n"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,ceph-osd,primary-mongo,mongo,virt,ironic}	{}	{}	{}	{}	{deploy_end}	{globals,setup_repositories}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/logging/logging.pp", "timeout": 3600}	{}
566	3	cluster-vrouter	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.network_metadata)"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{virtual_ips}	{primary-cluster,cluster}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/cluster-vrouter/cluster-vrouter.pp", "timeout": 3600}	{}
567	3	globals	2.1.0	{"yaql_exp": "changed($)"}	puppet	{primary-controller,controller,cinder,cinder-block-device,cinder-vmware,compute,ceph-osd,primary-mongo,mongo,virt,ironic}	{}	{}	{deploy_changes}	{}	{deploy_end}	{hiera}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/globals/globals.pp", "timeout": 3600}	{"test_post": {"cmd": "python /etc/puppet/modules/osnailyfacter/modular/globals/globals_post.py"}, "test_pre": {"cmd": "python /etc/puppet/modules/osnailyfacter/modular/globals/globals_pre.py"}}
568	3	apache	2.1.0	{"yaql_exp": "changed($)"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{keystone,primary-keystone}	{netconfig}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/apache/apache.pp", "timeout": 1200}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/apache/apache_post.rb"}}
569	3	primary-dns-server	2.1.0	{"yaql_exp": "changedAny($.external_dns, ('primary-controller' in $.roles), $.get('master_ip'), $.network_metadata, $.get('vrouter_name'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{deploy_end}	{openstack-haproxy}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/dns/dns-server.pp", "timeout": 3600}	{}
570	3	dns-server	2.1.0	{"yaql_exp": "changedAny($.external_dns, ('primary-controller' in $.roles), $.get('master_ip'), $.network_metadata, $.get('vrouter_name'))\\n"}	puppet	{controller}	{}	{}	{}	{}	{deploy_end}	{openstack-haproxy}	[]	[{"name": "primary-dns-server"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/dns/dns-server.pp", "timeout": 3600}	{}
584	4	update_flavors	2.1.0	{"yaql_exp": "$.get('fuel-plugin-ovs').install_dpdk"}	puppet	{}	{}	{primary-controller}	{}	{}	{post_deployment_end}	{post_deployment_start}	[]	[]	{"puppet_modules": "puppet/modules:/etc/puppet/modules", "puppet_manifest": "puppet/manifests/ovs-update-flavors.pp", "timeout": 720}	{}
571	3	dns-client	2.1.0	{"yaql_exp": "changed($.network_metadata.get('vips',{}).get('vrouter',{}).get('ipaddr'))"}	puppet	{}	{}	{primary-mongo,mongo,primary-controller,controller,compute,ceph-osd,cinder,cinder-vmware}	{}	{}	{ntp-client}	{post_deployment_start}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/dns/dns-client.pp", "timeout": 3600, "cwd": "/"}	{}
572	3	virtual_ips	2.1.0	{"yaql_exp": "changedAny($.network_metadata, $.network_scheme, $.roles)"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{primary-cluster,cluster}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/virtual_ips/virtual_ips.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/virtual_ips/virtual_ips_post.rb"}}
573	3	conntrackd	2.1.0	{"yaql_exp": "changedAny($.network_metadata, $.network_scheme, $.get('vrouter_name'))\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{virtual_ips,cluster,primary-cluster}	[]	[{"role": "self", "name": "/(primary-)?cluster/"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/virtual_ips/conntrackd.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/virtual_ips/conntrackd_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/virtual_ips/conntrackd_pre.rb"}}
574	3	primary_public_vip_ping	2.1.0	{"yaql_exp": "changed($.network_scheme) or changed($.get('run_ping_checker'))"}	puppet	{primary-controller}	{}	{}	{}	{}	{primary-cluster-haproxy}	{virtual_ips}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/virtual_ips/public_vip_ping.pp", "timeout": 300, "cwd": "/"}	{}
575	3	public_vip_ping	2.1.0	{"yaql_exp": "changed($.network_scheme) or changed($.get('run_ping_checker'))"}	puppet	{controller}	{}	{}	{}	{}	{deploy_end}	{virtual_ips}	[]	[{"name": "primary_public_vip_ping"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/virtual_ips/public_vip_ping.pp", "timeout": 300, "cwd": "/"}	{}
576	3	primary-cluster-haproxy	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.network_metadata, $.get('database_vip'), ('primary-controller' in $.roles), $.get('haproxy'), $.get('external_lb'), $.get('colocate_haproxy'), $.debug, $.configuration.get('haproxy'))\\n"}	puppet	{primary-controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,virtual_ips,primary-cluster}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/cluster-haproxy/cluster-haproxy.pp", "timeout": 3600, "strategy": {"amount": {"yaql_exp": "switch($.get('deployed_before', {}).get('value') => 1, true => 6)\\n"}, "type": "parallel"}}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/cluster-haproxy/cluster-haproxy_post.rb"}}
577	3	cluster-haproxy	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.network_metadata, $.get('database_vip'), ('primary-controller' in $.roles), $.get('haproxy'), $.get('external_lb'), $.get('colocate_haproxy'), $.debug, $.configuration.get('haproxy'))\\n"}	puppet	{controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,virtual_ips,cluster}	[]	[{"name": "primary-cluster-haproxy"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/cluster-haproxy/cluster-haproxy.pp", "timeout": 3600, "strategy": {"amount": {"yaql_exp": "switch($.get('deployed_before', {}).get('value') => 1, true => 6)\\n"}, "type": "parallel"}}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/cluster-haproxy/cluster-haproxy_post.rb"}}
578	3	plugins_rsync	2.1.0	{"yaql_exp": "len($.plugins) > 0"}	puppet	{/.*/}	{}	{}	{}	{}	{pre_deployment_start}	{configuration_symlink}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/plugins/plugins_rsync.pp", "timeout": 600}	{}
579	3	plugins_setup_repositories	2.1.0	{"yaql_exp": "len($.plugins) > 0"}	puppet	{/.*/}	{}	{}	{}	{}	{pre_deployment_start}	{plugins_rsync}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/plugins/plugins_setup_repositories.pp", "timeout": 600}	{}
580	3	vmware-vcenter	2.1.0	{"yaql_exp": "$.use_vcenter and changed($.use_vcenter)"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{controller_remaining_tasks}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/vmware/vcenter.pp", "timeout": 3600}	{}
581	3	top-role-cinder-vmware	2.1.0	{"yaql_exp": "$.use_vcenter and changed($.use_vcenter)"}	puppet	{cinder-vmware}	{}	{}	{}	{}	{deploy_end}	{top-role-cinder}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/vmware/cinder-vmware.pp", "timeout": 3600}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/vmware/cinder-vmware_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/vmware/cinder-vmware_pre.rb"}}
582	3	top-role-compute-vmware	2.1.0	{"yaql_exp": "$.use_vcenter and changed($.use_vcenter)"}	puppet	{compute-vmware}	{}	{}	{}	{}	{enable_nova_compute_service}	{top-role-compute,ceilometer-compute,ceilometer-keystone}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/vmware/compute-vmware.pp", "timeout": 180}	{}
583	4	ovs_install_compute	2.1.0	{"yaql_exp": "changedAny($.get('fuel-plugin-ovs'), $.get('dpdk'))"}	puppet	{compute}	{}	{}	{}	{}	{netconfig}	{allocate_hugepages}	[]	[]	{"puppet_modules": "puppet/modules:/etc/puppet/modules", "puppet_manifest": "puppet/manifests/ovs-install-compute.pp", "timeout": 720}	{}
593	6	onos_config_neutron	2.0.0	\N	puppet	{}	{}	{primary-controller,controller}	{}	{}	{post_deployment_end}	{onos_config_ovs_controller}	[]	[{"name": "onos_config_ovs_compute"}]	{"puppet_modules": "puppet/modules:/etc/puppet/modules", "puppet_manifest": "puppet/manifests/neutron-config.pp", "timeout": 1800}	{}
594	6	onos_start_neutron	2.0.0	\N	puppet	{}	{}	{primary-controller,controller}	{}	{}	{post_deployment_end}	{onos_config_neutron}	[]	[]	{"puppet_modules": "puppet/modules:/etc/puppet/modules", "puppet_manifest": "puppet/manifests/neutron-start.pp", "timeout": 600}	{}
595	6	onos_dashboard_registration	2.0.0	\N	puppet	{}	{}	{primary-controller}	{}	{}	{post_deployment_end}	{post_deployment_start}	[]	[]	{"puppet_modules": "puppet/modules:/etc/puppet/modules", "puppet_manifest": "puppet/manifests/onos-dashboard.pp", "timeout": 180}	{}
596	7	bgpvpn_configure	2.0.0	\N	puppet	{}	{}	{primary-controller,controller}	{}	{}	{post_deployment_end}	{post_deployment_start}	[]	[]	{"puppet_modules": "puppet/modules:/etc/puppet/modules", "puppet_manifest": "puppet/manifests/install-bgpvpn.pp", "timeout": 1400}	{}
597	8	yardstick	1.0.0	\N	group	{}	{hiera,setup_repositories,fuel_pkgs,globals,tools,logging,netconfig}	{yardstick}	{}	{}	{deploy_end}	{deploy_start}	[]	[]	{"strategy": {"type": "parallel"}}	{}
598	8	yardstick-install	2.0.0	\N	puppet	{yardstick}	{}	{}	{}	{}	{post_deployment_end}	{post_deployment_start}	[]	[]	{"puppet_modules": "puppet/modules:/etc/puppet/modules", "puppet_manifest": "puppet/manifests/yardstick-install.pp", "timeout": 720}	{}
599	9	vsperf	1.0.0	\N	group	{}	{hiera,setup_repositories,fuel_pkgs,globals,tools,logging,vsperf_install}	{vsperf}	{}	{}	{deploy_end}	{deploy_start}	[]	[]	{"strategy": {"type": "parallel"}}	{}
600	9	vsperf_install	2.0.0	\N	puppet	{vsperf}	{}	{}	{}	{}	{post_deployment_end}	{post_deployment_start}	[]	[]	{"puppet_modules": "puppet/modules:/etc/puppet/modules", "puppet_manifest": "puppet/manifests/vsperf-install.pp", "timeout": 720}	{}
601	10	opendaylight	1.0.0	\N	group	{}	{hiera,setup_repositories,fuel_pkgs,globals,tools,logging,netconfig,odl_install}	{opendaylight}	{}	{}	{deploy_end,primary-controller,controller}	{deploy_start}	[]	[]	{"strategy": {"type": "parallel"}}	{}
602	10	odl_install	2.1.0	{"yaql_exp": "changedAny($.network_metadata.vips.get('management'), $.opendaylight)"}	puppet	{opendaylight}	{}	{}	{}	{}	{openstack-network-start,odl_configure}	{hosts,firewall,globals,netconfig}	[]	[]	{"puppet_modules": "puppet/modules:/etc/puppet/modules", "puppet_manifest": "puppet/manifests/odl-install.pp", "timeout": 720}	{}
603	10	netconfig	2.1.0	{"yaql_exp": "changedAny($.network_scheme, $.dpdk, $.get('use_ovs'), $.get('set_rps'), $.get('set_rps'), $.get('run_ping_checker'), $.network_scheme.endpoints.values().where(\\n  $.get('gateway') != null).gateway)\\n"}	puppet	{/.*/}	{}	{}	{}	{}	{deploy_end}	{tools}	[]	{"yaql_exp": "switch(\\n  (\\n    $.roles.any($.matches('^(primary-)?(mongo)$'))\\n    or ($.network_metadata.get('vips',{}).get('vrouter',{}).get('ipaddr') = null)\\n    or (\\n      len($.roles.toSet().intersect($.network_metadata.get('vips',{}).get('vrouter',{}).get('node_roles').toSet())) > 0\\n    )\\n  ) => [],\\n  true => [{\\n    name => 'virtual_ips',\\n    role => $.network_metadata.get('vips',{}).get('vrouter',{}).get('node_roles')\\n  }]\\n)\\n"}	{"puppet_modules": "puppet/modules:/etc/puppet/modules", "puppet_manifest": "puppet/manifests/odl-netconfig.pp", "timeout": 300}	{"test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/netconfig/netconfig_post.rb"}, "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/netconfig/netconfig_pre.rb"}}
604	10	hiera-override	2.1.0	{"yaql_exp": "changedAny($.network_metadata.vips.get('management'), $.quantum_settings, $.opendaylight, $.neutron_advanced_configuration)\\n"}	puppet	{primary-controller,controller,compute,opendaylight}	{}	{}	{}	{}	{netconfig}	{globals}	[]	[]	{"puppet_modules": "puppet/modules:/etc/puppet/modules", "puppet_manifest": "puppet/manifests/hiera-override.pp", "timeout": 120}	{}
605	10	odl_configure	2.1.0	{"yaql_exp": "changedAny($.network_metadata.vips, $.opendaylight, $.network_metadata.nodes.values().where($.node_roles.contains('opendaylight')).network_roles.management)\\n"}	puppet	{primary-controller,controller}	{}	{}	{}	{}	{openstack-network-common-config,openstack-haproxy,openstack-network-end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"name": "odl_install"}]	{"puppet_modules": "puppet/modules:/etc/puppet/modules", "puppet_manifest": "puppet/manifests/odl-service.pp", "timeout": 1400}	{}
606	10	odl_sfc	2.1.0	{"yaql_exp": "$.opendaylight.enable_sfc and changedAny($.network_metadata.vips.get('management'), $.opendaylight)"}	puppet	{primary-controller}	{}	{}	{}	{}	{openstack-network-common-config}	{openstack-network-start}	[]	[]	{"puppet_modules": "puppet/modules:/etc/puppet/modules", "puppet_manifest": "puppet/manifests/odl-sfc.pp", "timeout": 120}	{}
607	10	odl_vxgpe	2.0.0	\N	puppet	{compute,compute-vmware}	{}	{}	{}	{}	{openstack-network-common-config}	{openstack-network-start}	[]	[]	{"puppet_modules": "puppet/modules:/etc/puppet/modules", "puppet_manifest": "puppet/manifests/odl-vxgpe.pp", "timeout": 60}	{}
620	11	kvm_install	2.0.0	\N	puppet	{}	{}	{compute}	{}	{}	{post_deployment_end}	{post_deployment_start}	[]	[]	{"puppet_modules": "puppet/modules:/etc/puppet/modules", "puppet_manifest": "puppet/manifests/kvm-install.pp", "timeout": 1200}	{}
608	10	openstack-network-common-config	2.1.0	{"yaql_exp": "changedAny($.opendaylight, $.get('openstack_network'), $.debug, $.quantum_settings, $.neutron_advanced_configuration, $.rabbit, $.ceilometer, $.network_scheme, $.get('use_syslog'), $.get('use_stderr'), $.get('syslog_log_facility_neutron'), $.network_metadata.nodes.values().where(\\n  $.node_roles.any($.matches('controller'))).network_roles.select(\\n    $.get('mgmt/messaging')),\\n$.get('amqp_hosts'), $.get('kombu_compression'))\\n"}	puppet	{primary-controller,controller,compute}	{}	{}	{}	{}	{openstack-network-end}	{openstack-network-start}	[]	[]	{"puppet_modules": "puppet/modules:/etc/puppet/modules", "puppet_manifest": "puppet/manifests/odl-common_config.pp", "timeout": 1800}	{}
609	10	primary-openstack-network-plugins-l2	2.1.0	{"yaql_exp": "changedAny($.configuration, $.fqdn, $.quantum_settings,\\n  $.network_metadata.nodes.values().where($.node_roles.any($.matches('controller'))),\\n  $.get('neutron_primary_controller_roles'), $.get('neutron_compute_nodes'),\\n  $.network_metadata.vips.get('management'), $.get('use_ssl'),\\n  $.get('region', 'RegionOne'), $.dpdk)\\n"}	puppet	{primary-controller}	{}	{}	{}	{neutron_agent_ovs}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config,openstack-network-server-config}	[]	[]	{"puppet_modules": "puppet/modules:/etc/puppet/modules", "puppet_manifest": "puppet/manifests/odl-ml2-configuration.pp", "timeout": 1800}	{}
610	10	openstack-network-plugins-l2	2.1.0	{"yaql_exp": "changedAny($.configuration, $.fqdn, $.quantum_settings,\\n  $.network_metadata.nodes.values().where($.node_roles.any($.matches('controller'))),\\n  $.get('neutron_primary_controller_roles'), $.get('neutron_compute_nodes'),\\n  $.network_metadata.vips.get('management'), $.get('use_ssl'),\\n  $.get('region', 'RegionOne'), $.dpdk)\\n"}	puppet	{controller,compute}	{}	{}	{}	{}	{openstack-network-end}	{openstack-network-start,openstack-network-common-config,openstack-network-server-config}	[]	[{"name": "primary-openstack-network-plugins-l2"}]	{"puppet_modules": "puppet/modules:/etc/puppet/modules", "puppet_manifest": "puppet/manifests/odl-ml2-configuration.pp", "timeout": 1800}	{}
611	10	primary-openstack-network-agents-l3	2.1.0	{"yaql_exp": "not $.opendaylight.enable_l3_odl and changedAny($.quantum, $.neutron_advanced_configuration, $.get('neutron_controller_roles'), $.get('neutron_compute_nodes'), $.debug, $.configuration, $.network_scheme, ('primary-controller' in $.roles))\\n"}	puppet	{primary-controller}	{}	{}	{}	{neutron_l3_agent_config}	{openstack-network-end}	{openstack-network-start,openstack-network-networks,openstack-network-routers,primary-openstack-network-plugins-l2}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/agents/l3.pp", "timeout": 1800}	{}
612	10	openstack-network-agents-l3	2.1.0	{"yaql_exp": "not $.opendaylight.enable_l3_odl and changedAny($.quantum, $.neutron_advanced_configuration, $.get('neutron_controller_roles'), $.get('neutron_compute_nodes'), $.debug, $.configuration, $.network_scheme, ('primary-controller' in $.roles))\\n"}	puppet	{controller,compute}	{}	{}	{}	{neutron_l3_agent_config}	{openstack-network-end}	{openstack-network-start,openstack-network-networks,openstack-network-routers,openstack-network-plugins-l2}	[]	[{"name": "primary-openstack-network-plugins-l2"}, {"name": "primary-openstack-network-agents-l3"}]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/agents/l3.pp", "timeout": 1800}	{}
613	10	openstack-network-networks	1.0.0	\N	skipped	{primary-controller}	{}	{}	{}	{}	{}	{}	[]	[]	{}	{}
614	10	odl-openstack-network-networks	2.1.0	{"yaql_exp": "changedAny($.access, $.quantum_settings, $.quantum)"}	puppet	{}	{}	{primary-controller}	{}	{}	{post_deployment_end}	{post_deployment_start}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/networks.pp", "timeout": 1800}	{}
615	10	openstack-network-routers	1.0.0	\N	skipped	{primary-controller}	{}	{}	{}	{}	{}	{}	[]	[]	{}	{}
616	10	odl-openstack-network-routers	2.1.0	{"yaql_exp": "not $.neutron_advanced_configuration.neutron_l3_ha and changed($.neutron_advanced_configuration.neutron_l3_ha)\\n"}	puppet	{}	{}	{primary-controller}	{}	{}	{post_deployment_end}	{post_deployment_start,odl-openstack-network-networks}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/routers.pp", "timeout": 1800}	{}
617	10	openstack-network-routers-ha	2.1.0	{"yaql_exp": "not $.opendaylight.enable_l3_odl and $.neutron_advanced_configuration.neutron_l3_ha and changed($.neutron_advanced_configuration.neutron_l3_ha)\\n"}	puppet	{}	{}	{primary-controller}	{}	{}	{post_deployment_end}	{post_deployment_start}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/openstack_tasks/examples/openstack-network/routers.pp", "timeout": 1800}	{}
618	10	configure_default_route	2.1.0	{"yaql_exp": "not $.opendaylight.enable_l3_odl and changedAny($.network_scheme, $.network_metadata.vips.get('management'))\\n"}	puppet	{}	{}	{primary-mongo,mongo}	{}	{}	{post_deployment_end}	{post_deployment_start}	[]	[]	{"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/netconfig/configure_default_route.pp", "timeout": 3600}	{}
619	10	odl_dashboard_registration	2.1.0	{"yaql_exp": "changedAny($.deployment_id, $.master_ip, $.opendaylight, $.network_metadata.vips.get('public', {}).get('ipaddr'))\\n"}	puppet	{}	{}	{primary-controller}	{}	{}	{post_deployment_end}	{post_deployment_start}	[]	[]	{"puppet_modules": "puppet/modules:/etc/puppet/modules", "puppet_manifest": "puppet/manifests/odl-dashboard.pp", "timeout": 180}	{}
621	12	tacker	1.0.0	\N	group	{}	{hiera,globals,tools,logging,netconfig,hosts,deploy_start}	{tacker}	{}	{}	{deploy_end}	{deploy_start,primary-controller}	[]	[]	{"strategy": {"type": "parallel"}}	{}
622	12	tacker-install	2.0.0	\N	puppet	{tacker}	{}	{}	{}	{}	{deploy_end}	{openstack-haproxy,primary-database,primary-controller}	[]	[{"name": "tacker-db"}, {"name": "tacker-keystone"}]	{"puppet_modules": "puppet/modules:/etc/puppet/modules", "puppet_manifest": "puppet/manifests/tacker.pp", "timeout": 3600}	{}
623	12	tacker-db	2.0.0	\N	puppet	{primary-controller}	{}	{}	{}	{}	{tacker-install}	{primary-database,database}	[]	[{"name": "/(primary-)?database/"}]	{"puppet_modules": "puppet/modules:/etc/puppet/modules", "puppet_manifest": "puppet/manifests/db.pp", "timeout": 1800}	{}
624	12	tacker-keystone	2.0.0	\N	puppet	{primary-controller}	{}	{}	{}	{}	{tacker-install}	{primary-keystone,keystone}	[]	[{"name": "keystone"}]	{"puppet_modules": "puppet/modules:/etc/puppet/modules", "puppet_manifest": "puppet/manifests/keystone.pp", "timeout": 1800}	{}
625	12	haproxy-tacker	2.0.0	\N	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{deploy_start,primary-cluster-haproxy,cluster-haproxy}	[]	[{"name": "/(primary-)?cluster-haproxy/"}]	{"puppet_modules": "puppet/modules:/etc/puppet/modules", "puppet_manifest": "puppet/manifests/haproxy.pp", "timeout": 300}	{}
626	12	tacker-rc	2.0.0	\N	puppet	{primary-controller,controller}	{}	{}	{}	{}	{deploy_end}	{tacker-install}	[]	[{"name": "tacker-install"}]	{"puppet_modules": "puppet/modules:/etc/puppet/modules", "puppet_manifest": "puppet/manifests/tacker_rc.pp", "timeout": 180}	{}
\.


--
-- Name: deployment_graph_tasks_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('deployment_graph_tasks_id_seq', 626, true);


--
-- Data for Name: deployment_graphs; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY deployment_graphs (id, name) FROM stdin;
1	\N
2	\N
3	\N
4	\N
5	\N
6	\N
7	\N
8	\N
9	\N
10	\N
11	\N
12	\N
13	\N
\.


--
-- Name: deployment_graphs_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('deployment_graphs_id_seq', 13, true);


--
-- Data for Name: deployment_history; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY deployment_history (id, task_id, node_id, deployment_graph_task_name, time_start, time_end, status, custom) FROM stdin;
\.


--
-- Name: deployment_history_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('deployment_history_id_seq', 1, false);


--
-- Data for Name: extensions_migration_buffer; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY extensions_migration_buffer (id, extension_name, data) FROM stdin;
\.


--
-- Name: extensions_migration_buffer_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('extensions_migration_buffer_id_seq', 1, false);


--
-- Data for Name: ip_addr_ranges; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY ip_addr_ranges (id, network_group_id, first, last) FROM stdin;
5	2	190.10.2.15	190.10.2.100
6	4	192.168.1.1	192.168.1.254
7	3	192.168.0.1	192.168.0.254
8	1	10.20.0.3	10.20.0.254
\.


--
-- Name: ip_addr_ranges_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('ip_addr_ranges_id_seq', 8, true);


--
-- Data for Name: ip_addrs; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY ip_addrs (id, network, node, ip_addr, vip_name, is_user_defined, vip_namespace) FROM stdin;
1	1	\N	10.20.0.2	\N	f	\N
2	3	\N	192.168.0.1	vrouter	f	vrouter
3	3	\N	192.168.0.2	management	f	haproxy
4	2	\N	190.10.2.15	vrouter_pub	f	vrouter
5	2	\N	190.10.2.16	public	f	haproxy
\.


--
-- Name: ip_addrs_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('ip_addrs_id_seq', 5, true);


--
-- Data for Name: master_node_settings; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY master_node_settings (id, master_node_uid, settings) FROM stdin;
1	fc8e3999-5abd-4368-b9a5-787810595e0e	{"statistics": {"user_choice_saved": {"type": "hidden", "value": false}, "send_anonymous_statistic": {"type": "checkbox", "value": true, "weight": 10, "label": "statistics.setting_labels.send_anonymous_statistic"}}, "ui_settings": {"sort": [{"status": "asc"}], "sort_by_labels": [], "search": "", "filter_by_labels": {}, "filter": {}, "view_mode": "standard"}, "bootstrap": {"error": {"type": "hidden", "value": "", "weight": 10}}}
\.


--
-- Name: master_node_settings_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('master_node_settings_id_seq', 1, true);


--
-- Data for Name: net_bond_assignments; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY net_bond_assignments (id, network_id, bond_id) FROM stdin;
\.


--
-- Name: net_bond_assignments_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('net_bond_assignments_id_seq', 1, false);


--
-- Data for Name: net_nic_assignments; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY net_nic_assignments (id, network_id, interface_id) FROM stdin;
5	1	1
10	1	7
15	1	13
20	1	19
25	1	25
26	2	3
27	3	4
28	4	4
29	5	5
30	2	9
31	3	10
32	4	10
33	5	11
34	2	15
35	3	16
36	4	16
37	5	17
38	2	21
39	3	22
40	4	22
41	5	23
42	2	27
43	3	28
44	4	28
45	5	29
\.


--
-- Name: net_nic_assignments_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('net_nic_assignments_id_seq', 45, true);


--
-- Data for Name: network_groups; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY network_groups (id, name, release, vlan_start, cidr, gateway, meta, group_id) FROM stdin;
5	private	2	\N	\N	\N	{"name": "private", "notation": null, "render_type": null, "map_priority": 2, "neutron_vlan_range": true, "use_gateway": false, "vlan_start": null, "render_addr_mask": null, "configurable": false, "seg_type": "vlan"}	1
2	public	2	206	190.10.2.0/24	190.10.2.1	{"vips": ["haproxy", "vrouter"], "name": "public", "notation": "ip_ranges", "render_type": null, "map_priority": 1, "configurable": true, "floating_range_var": "floating_ranges", "use_gateway": true, "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "ip_range": ["172.16.0.2", "172.16.0.126"]}	1
4	storage	2	207	192.168.1.0/24	\N	{"name": "storage", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24"}	1
3	management	2	209	192.168.0.0/24	\N	{"vips": ["haproxy", "vrouter"], "name": "management", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24"}	1
1	fuelweb_admin	\N	\N	10.20.0.0/24	10.20.0.2	{"unmovable": true, "use_gateway": true, "notation": "ip_ranges", "render_addr_mask": null, "render_type": null, "map_priority": 0, "configurable": false}	\N
\.


--
-- Name: network_groups_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('network_groups_id_seq', 5, true);


--
-- Data for Name: networking_configs; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY networking_configs (id, discriminator, cluster_id, dns_nameservers, floating_ranges, configuration_template) FROM stdin;
1	neutron_config	1	["8.8.8.4", "8.8.8.8"]	[["190.10.2.101", "190.10.2.200"]]	\N
\.


--
-- Name: networking_configs_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('networking_configs_id_seq', 1, true);


--
-- Data for Name: neutron_config; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY neutron_config (id, vlan_range, gre_id_range, base_mac, internal_cidr, internal_gateway, segmentation_type, net_l23_provider, internal_name, floating_name, baremetal_gateway, baremetal_range) FROM stdin;
1	[1000, 1030]	[2, 65535]	fa:16:3e:00:00:00	192.168.111.0/24	192.168.111.1	vlan	ovs	admin_internal_net	admin_floating_net	192.168.3.51	["192.168.3.52", "192.168.3.254"]
\.


--
-- Data for Name: node_bond_interfaces; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY node_bond_interfaces (id, node_id, name, mac, state, mode, bond_properties, interface_properties, offloading_modes) FROM stdin;
\.


--
-- Name: node_bond_interfaces_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('node_bond_interfaces_id_seq', 1, false);


--
-- Data for Name: node_nic_interfaces; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY node_nic_interfaces (id, node_id, name, mac, max_speed, current_speed, ip_addr, netmask, state, parent_id, driver, bus_info, interface_properties, offloading_modes, pxe) FROM stdin;
19	4	eno49	ec:b1:d7:9d:92:60	10000	10000	10.20.0.5	255.255.255.0	up	\N	bnx2x	0000:06:00.0	{"disable_offloading": false, "sriov": {"available": false, "sriov_numvfs": null, "enabled": false, "pci_id": "14e4:16ad", "sriov_totalvfs": 0, "physnet": "physnet2"}, "numa_node": 0, "dpdk": {"available": true, "enabled": false}, "pci_id": "14e4:16a2", "mtu": null}	[{"state": null, "name": "loopback", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "tx-udp_tnl-segmentation", "sub": []}, {"state": null, "name": "tx-sit-segmentation", "sub": []}, {"state": null, "name": "tx-ipip-segmentation", "sub": []}, {"state": null, "name": "tx-gre-segmentation", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-ecn-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	t
3	1	ens1f0	5c:b9:01:8b:a4:30	10000	10000	\N	\N	down	\N	ixgbe	0000:08:00.0	{"disable_offloading": false, "sriov": {"available": true, "sriov_numvfs": null, "enabled": false, "pci_id": "8086:10ed", "sriov_totalvfs": 63, "physnet": "physnet2"}, "numa_node": 0, "dpdk": {"available": true, "enabled": false}, "pci_id": "8086:10f8", "mtu": null}	[{"state": null, "name": "l2-fwd-offload", "sub": []}, {"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-filter", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "ntuple-filters", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
4	1	ens1f1	5c:b9:01:8b:a4:31	10000	10000	\N	\N	down	\N	ixgbe	0000:08:00.1	{"disable_offloading": false, "sriov": {"available": true, "sriov_numvfs": null, "enabled": false, "pci_id": "8086:10ed", "sriov_totalvfs": 63, "physnet": "physnet2"}, "numa_node": 0, "dpdk": {"available": true, "enabled": false}, "pci_id": "8086:10f8", "mtu": null}	[{"state": null, "name": "l2-fwd-offload", "sub": []}, {"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-filter", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "ntuple-filters", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
13	3	eno49	ec:b1:d7:9d:90:f0	10000	10000	10.20.0.6	255.255.255.0	up	\N	bnx2x	0000:06:00.0	{"disable_offloading": false, "sriov": {"available": false, "sriov_numvfs": null, "enabled": false, "pci_id": "14e4:16ad", "sriov_totalvfs": 0, "physnet": "physnet2"}, "numa_node": 0, "dpdk": {"available": true, "enabled": false}, "pci_id": "14e4:16a2", "mtu": null}	[{"state": null, "name": "loopback", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "tx-udp_tnl-segmentation", "sub": []}, {"state": null, "name": "tx-sit-segmentation", "sub": []}, {"state": null, "name": "tx-ipip-segmentation", "sub": []}, {"state": null, "name": "tx-gre-segmentation", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-ecn-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	t
12	2	ens2f1	8c:dc:d4:b7:97:a9	10000	10000	\N	\N	down	\N	ixgbe	0000:87:00.1	{"disable_offloading": false, "sriov": {"available": true, "sriov_numvfs": null, "enabled": false, "pci_id": "8086:10ed", "sriov_totalvfs": 63, "physnet": "physnet2"}, "numa_node": 1, "dpdk": {"available": true, "enabled": false}, "pci_id": "8086:10f8", "mtu": null}	[{"state": null, "name": "l2-fwd-offload", "sub": []}, {"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-filter", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "ntuple-filters", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
15	3	ens1f0	8c:dc:d4:b7:97:80	10000	10000	\N	\N	down	\N	ixgbe	0000:08:00.0	{"disable_offloading": false, "sriov": {"available": true, "sriov_numvfs": null, "enabled": false, "pci_id": "8086:10ed", "sriov_totalvfs": 63, "physnet": "physnet2"}, "numa_node": 0, "dpdk": {"available": true, "enabled": false}, "pci_id": "8086:10f8", "mtu": null}	[{"state": null, "name": "l2-fwd-offload", "sub": []}, {"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-filter", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "ntuple-filters", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
7	2	eno49	ec:b1:d7:9d:9c:00	10000	10000	10.20.0.4	255.255.255.0	up	\N	bnx2x	0000:06:00.0	{"disable_offloading": false, "sriov": {"available": false, "sriov_numvfs": null, "enabled": false, "pci_id": "14e4:16ad", "sriov_totalvfs": 0, "physnet": "physnet2"}, "numa_node": 0, "dpdk": {"available": true, "enabled": false}, "pci_id": "14e4:16a2", "mtu": null}	[{"state": null, "name": "loopback", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "tx-udp_tnl-segmentation", "sub": []}, {"state": null, "name": "tx-sit-segmentation", "sub": []}, {"state": null, "name": "tx-ipip-segmentation", "sub": []}, {"state": null, "name": "tx-gre-segmentation", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-ecn-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	t
14	3	eno50	ec:b1:d7:9d:90:f8	10000	\N	\N	\N	down	\N	bnx2x	0000:06:00.1	{"disable_offloading": false, "sriov": {"available": false, "sriov_numvfs": null, "enabled": false, "pci_id": "14e4:16ad", "sriov_totalvfs": 0, "physnet": "physnet2"}, "numa_node": 0, "dpdk": {"available": true, "enabled": false}, "pci_id": "14e4:16a2", "mtu": null}	[{"state": null, "name": "loopback", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "tx-udp_tnl-segmentation", "sub": []}, {"state": null, "name": "tx-sit-segmentation", "sub": []}, {"state": null, "name": "tx-ipip-segmentation", "sub": []}, {"state": null, "name": "tx-gre-segmentation", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-ecn-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
11	2	ens2f0	8c:dc:d4:b7:97:a8	10000	10000	\N	\N	down	\N	ixgbe	0000:87:00.0	{"disable_offloading": false, "sriov": {"available": true, "sriov_numvfs": null, "enabled": false, "pci_id": "8086:10ed", "sriov_totalvfs": 63, "physnet": "physnet2"}, "numa_node": 1, "dpdk": {"available": true, "enabled": true}, "pci_id": "8086:10f8", "mtu": null}	[{"state": null, "name": "l2-fwd-offload", "sub": []}, {"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-filter", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "ntuple-filters", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
23	4	ens2f0	5c:b9:01:8b:a3:30	10000	10000	\N	\N	down	\N	ixgbe	0000:87:00.0	{"disable_offloading": false, "sriov": {"available": true, "sriov_numvfs": null, "enabled": false, "pci_id": "8086:10ed", "sriov_totalvfs": 63, "physnet": "physnet2"}, "numa_node": 1, "dpdk": {"available": true, "enabled": true}, "pci_id": "8086:10f8", "mtu": null}	[{"state": null, "name": "l2-fwd-offload", "sub": []}, {"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-filter", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "ntuple-filters", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
1	1	eno49	ec:b1:d7:9d:98:40	10000	10000	10.20.0.7	255.255.255.0	up	\N	bnx2x	0000:06:00.0	{"disable_offloading": false, "sriov": {"available": false, "sriov_numvfs": null, "enabled": false, "pci_id": "14e4:16ad", "sriov_totalvfs": 0, "physnet": "physnet2"}, "numa_node": 0, "dpdk": {"available": true, "enabled": false}, "pci_id": "14e4:16a2", "mtu": null}	[{"state": null, "name": "loopback", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "tx-udp_tnl-segmentation", "sub": []}, {"state": null, "name": "tx-sit-segmentation", "sub": []}, {"state": null, "name": "tx-ipip-segmentation", "sub": []}, {"state": null, "name": "tx-gre-segmentation", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-ecn-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	t
2	1	eno50	ec:b1:d7:9d:98:48	10000	\N	\N	\N	down	\N	bnx2x	0000:06:00.1	{"disable_offloading": false, "sriov": {"available": false, "sriov_numvfs": null, "enabled": false, "pci_id": "14e4:16ad", "sriov_totalvfs": 0, "physnet": "physnet2"}, "numa_node": 0, "dpdk": {"available": true, "enabled": false}, "pci_id": "14e4:16a2", "mtu": null}	[{"state": null, "name": "loopback", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "tx-udp_tnl-segmentation", "sub": []}, {"state": null, "name": "tx-sit-segmentation", "sub": []}, {"state": null, "name": "tx-ipip-segmentation", "sub": []}, {"state": null, "name": "tx-gre-segmentation", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-ecn-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
5	1	ens2f0	5c:b9:01:8b:a3:40	10000	10000	\N	\N	down	\N	ixgbe	0000:87:00.0	{"disable_offloading": false, "sriov": {"available": true, "sriov_numvfs": null, "enabled": false, "pci_id": "8086:10ed", "sriov_totalvfs": 63, "physnet": "physnet2"}, "numa_node": 1, "dpdk": {"available": true, "enabled": false}, "pci_id": "8086:10f8", "mtu": null}	[{"state": null, "name": "l2-fwd-offload", "sub": []}, {"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-filter", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "ntuple-filters", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
6	1	ens2f1	5c:b9:01:8b:a3:41	10000	10000	\N	\N	down	\N	ixgbe	0000:87:00.1	{"disable_offloading": false, "sriov": {"available": true, "sriov_numvfs": null, "enabled": false, "pci_id": "8086:10ed", "sriov_totalvfs": 63, "physnet": "physnet2"}, "numa_node": 1, "dpdk": {"available": true, "enabled": false}, "pci_id": "8086:10f8", "mtu": null}	[{"state": null, "name": "l2-fwd-offload", "sub": []}, {"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-filter", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "ntuple-filters", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
25	5	eno49	ec:b1:d7:9d:9b:f0	10000	10000	10.20.0.3	255.255.255.0	up	\N	bnx2x	0000:06:00.0	{"disable_offloading": false, "sriov": {"available": false, "sriov_numvfs": null, "enabled": false, "pci_id": "14e4:16ad", "sriov_totalvfs": 0, "physnet": "physnet2"}, "numa_node": 0, "dpdk": {"available": true, "enabled": false}, "pci_id": "14e4:16a2", "mtu": null}	[{"state": null, "name": "loopback", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "tx-udp_tnl-segmentation", "sub": []}, {"state": null, "name": "tx-sit-segmentation", "sub": []}, {"state": null, "name": "tx-ipip-segmentation", "sub": []}, {"state": null, "name": "tx-gre-segmentation", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-ecn-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	t
26	5	eno50	ec:b1:d7:9d:9b:f8	10000	\N	\N	\N	down	\N	bnx2x	0000:06:00.1	{"disable_offloading": false, "sriov": {"available": false, "sriov_numvfs": null, "enabled": false, "pci_id": "14e4:16ad", "sriov_totalvfs": 0, "physnet": "physnet2"}, "numa_node": 0, "dpdk": {"available": true, "enabled": false}, "pci_id": "14e4:16a2", "mtu": null}	[{"state": null, "name": "loopback", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "tx-udp_tnl-segmentation", "sub": []}, {"state": null, "name": "tx-sit-segmentation", "sub": []}, {"state": null, "name": "tx-ipip-segmentation", "sub": []}, {"state": null, "name": "tx-gre-segmentation", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-ecn-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
27	5	ens1f0	5c:b9:01:8c:76:84	10000	10000	\N	\N	down	\N	ixgbe	0000:08:00.0	{"disable_offloading": false, "sriov": {"available": true, "sriov_numvfs": null, "enabled": false, "pci_id": "8086:10ed", "sriov_totalvfs": 63, "physnet": "physnet2"}, "numa_node": 0, "dpdk": {"available": true, "enabled": false}, "pci_id": "8086:10f8", "mtu": null}	[{"state": null, "name": "l2-fwd-offload", "sub": []}, {"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-filter", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "ntuple-filters", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
28	5	ens1f1	5c:b9:01:8c:76:85	10000	10000	\N	\N	down	\N	ixgbe	0000:08:00.1	{"disable_offloading": false, "sriov": {"available": true, "sriov_numvfs": null, "enabled": false, "pci_id": "8086:10ed", "sriov_totalvfs": 63, "physnet": "physnet2"}, "numa_node": 0, "dpdk": {"available": true, "enabled": false}, "pci_id": "8086:10f8", "mtu": null}	[{"state": null, "name": "l2-fwd-offload", "sub": []}, {"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-filter", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "ntuple-filters", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
29	5	ens2f0	8c:dc:d4:b7:98:c8	10000	10000	\N	\N	down	\N	ixgbe	0000:87:00.0	{"disable_offloading": false, "sriov": {"available": true, "sriov_numvfs": null, "enabled": false, "pci_id": "8086:10ed", "sriov_totalvfs": 63, "physnet": "physnet2"}, "numa_node": 1, "dpdk": {"available": true, "enabled": false}, "pci_id": "8086:10f8", "mtu": null}	[{"state": null, "name": "l2-fwd-offload", "sub": []}, {"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-filter", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "ntuple-filters", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
30	5	ens2f1	8c:dc:d4:b7:98:c9	10000	10000	\N	\N	down	\N	ixgbe	0000:87:00.1	{"disable_offloading": false, "sriov": {"available": true, "sriov_numvfs": null, "enabled": false, "pci_id": "8086:10ed", "sriov_totalvfs": 63, "physnet": "physnet2"}, "numa_node": 1, "dpdk": {"available": true, "enabled": false}, "pci_id": "8086:10f8", "mtu": null}	[{"state": null, "name": "l2-fwd-offload", "sub": []}, {"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-filter", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "ntuple-filters", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
8	2	eno50	ec:b1:d7:9d:9c:08	10000	\N	\N	\N	down	\N	bnx2x	0000:06:00.1	{"disable_offloading": false, "sriov": {"available": false, "sriov_numvfs": null, "enabled": false, "pci_id": "14e4:16ad", "sriov_totalvfs": 0, "physnet": "physnet2"}, "numa_node": 0, "dpdk": {"available": true, "enabled": false}, "pci_id": "14e4:16a2", "mtu": null}	[{"state": null, "name": "loopback", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "tx-udp_tnl-segmentation", "sub": []}, {"state": null, "name": "tx-sit-segmentation", "sub": []}, {"state": null, "name": "tx-ipip-segmentation", "sub": []}, {"state": null, "name": "tx-gre-segmentation", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-ecn-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
9	2	ens1f0	5c:b9:01:8c:74:b4	10000	10000	\N	\N	down	\N	ixgbe	0000:08:00.0	{"disable_offloading": false, "sriov": {"available": true, "sriov_numvfs": null, "enabled": false, "pci_id": "8086:10ed", "sriov_totalvfs": 63, "physnet": "physnet2"}, "numa_node": 0, "dpdk": {"available": true, "enabled": false}, "pci_id": "8086:10f8", "mtu": null}	[{"state": null, "name": "l2-fwd-offload", "sub": []}, {"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-filter", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "ntuple-filters", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
10	2	ens1f1	5c:b9:01:8c:74:b5	10000	10000	\N	\N	down	\N	ixgbe	0000:08:00.1	{"disable_offloading": false, "sriov": {"available": true, "sriov_numvfs": null, "enabled": false, "pci_id": "8086:10ed", "sriov_totalvfs": 63, "physnet": "physnet2"}, "numa_node": 0, "dpdk": {"available": true, "enabled": false}, "pci_id": "8086:10f8", "mtu": null}	[{"state": null, "name": "l2-fwd-offload", "sub": []}, {"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-filter", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "ntuple-filters", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
22	4	ens1f1	5c:b9:01:8b:a2:49	10000	10000	\N	\N	down	\N	ixgbe	0000:08:00.1	{"disable_offloading": false, "sriov": {"available": true, "sriov_numvfs": null, "enabled": false, "pci_id": "8086:10ed", "sriov_totalvfs": 63, "physnet": "physnet2"}, "numa_node": 0, "dpdk": {"available": true, "enabled": false}, "pci_id": "8086:10f8", "mtu": null}	[{"state": null, "name": "l2-fwd-offload", "sub": []}, {"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-filter", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "ntuple-filters", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
20	4	eno50	ec:b1:d7:9d:92:68	10000	\N	\N	\N	down	\N	bnx2x	0000:06:00.1	{"disable_offloading": false, "sriov": {"available": false, "sriov_numvfs": null, "enabled": false, "pci_id": "14e4:16ad", "sriov_totalvfs": 0, "physnet": "physnet2"}, "numa_node": 0, "dpdk": {"available": true, "enabled": false}, "pci_id": "14e4:16a2", "mtu": null}	[{"state": null, "name": "loopback", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "tx-udp_tnl-segmentation", "sub": []}, {"state": null, "name": "tx-sit-segmentation", "sub": []}, {"state": null, "name": "tx-ipip-segmentation", "sub": []}, {"state": null, "name": "tx-gre-segmentation", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-ecn-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
21	4	ens1f0	5c:b9:01:8b:a2:48	10000	10000	\N	\N	down	\N	ixgbe	0000:08:00.0	{"disable_offloading": false, "sriov": {"available": true, "sriov_numvfs": null, "enabled": false, "pci_id": "8086:10ed", "sriov_totalvfs": 63, "physnet": "physnet2"}, "numa_node": 0, "dpdk": {"available": true, "enabled": false}, "pci_id": "8086:10f8", "mtu": null}	[{"state": null, "name": "l2-fwd-offload", "sub": []}, {"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-filter", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "ntuple-filters", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
24	4	ens2f1	5c:b9:01:8b:a3:31	10000	10000	\N	\N	down	\N	ixgbe	0000:87:00.1	{"disable_offloading": false, "sriov": {"available": true, "sriov_numvfs": null, "enabled": false, "pci_id": "8086:10ed", "sriov_totalvfs": 63, "physnet": "physnet2"}, "numa_node": 1, "dpdk": {"available": true, "enabled": false}, "pci_id": "8086:10f8", "mtu": null}	[{"state": null, "name": "l2-fwd-offload", "sub": []}, {"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-filter", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "ntuple-filters", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
16	3	ens1f1	8c:dc:d4:b7:97:81	10000	10000	\N	\N	down	\N	ixgbe	0000:08:00.1	{"disable_offloading": false, "sriov": {"available": true, "sriov_numvfs": null, "enabled": false, "pci_id": "8086:10ed", "sriov_totalvfs": 63, "physnet": "physnet2"}, "numa_node": 0, "dpdk": {"available": true, "enabled": false}, "pci_id": "8086:10f8", "mtu": null}	[{"state": null, "name": "l2-fwd-offload", "sub": []}, {"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-filter", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "ntuple-filters", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
17	3	ens2f0	8c:dc:d4:b7:95:68	10000	10000	\N	\N	down	\N	ixgbe	0000:87:00.0	{"disable_offloading": false, "sriov": {"available": true, "sriov_numvfs": null, "enabled": false, "pci_id": "8086:10ed", "sriov_totalvfs": 63, "physnet": "physnet2"}, "numa_node": 1, "dpdk": {"available": true, "enabled": false}, "pci_id": "8086:10f8", "mtu": null}	[{"state": null, "name": "l2-fwd-offload", "sub": []}, {"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-filter", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "ntuple-filters", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
18	3	ens2f1	8c:dc:d4:b7:95:69	10000	10000	\N	\N	down	\N	ixgbe	0000:87:00.1	{"disable_offloading": false, "sriov": {"available": true, "sriov_numvfs": null, "enabled": false, "pci_id": "8086:10ed", "sriov_totalvfs": 63, "physnet": "physnet2"}, "numa_node": 1, "dpdk": {"available": true, "enabled": false}, "pci_id": "8086:10f8", "mtu": null}	[{"state": null, "name": "l2-fwd-offload", "sub": []}, {"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-filter", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "ntuple-filters", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
\.


--
-- Name: node_nic_interfaces_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('node_nic_interfaces_id_seq', 30, true);


--
-- Data for Name: nodegroups; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY nodegroups (id, cluster_id, name, is_default) FROM stdin;
1	1	default	t
\.


--
-- Name: nodegroups_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('nodegroups_id_seq', 1, true);


--
-- Data for Name: nodes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY nodes (id, uuid, cluster_id, name, status, meta, mac, ip, manufacturer, platform_name, kernel_params, progress, os_platform, pending_addition, pending_deletion, error_type, error_msg, "timestamp", online, agent_checksum, replaced_deployment_info, replaced_provisioning_info, group_id, hostname, roles, pending_roles, primary_roles, network_template, extensions, labels, vms_conf, attributes) FROM stdin;
3	87fac15c-3bdf-4c3e-826b-2e86b5cd5dee	1	Untitled (90:f0)	discover	{"pci_devices": {"product": "ProLiant BL460c Gen9 (776320-B21)", "handle": "DMI:0009", "description": "Blade", "children": [{"description": "Motherboard", "class": "bus", "id": "core", "claimed": true, "physid": "0", "children": [{"slot": "L1-Cache", "capacity": 786432, "handle": "DMI:0000", "description": "L1 cache", "capabilities": {"unified": "Unified cache", "internal": "Internal", "synchronous": "Synchronous", "write-back": "Write-back"}, "class": "memory", "units": "bytes", "claimed": true, "physid": "0", "id": "cache:0", "size": 786432}, {"slot": "L2-Cache", "capacity": 3145728, "handle": "DMI:0001", "description": "L2 cache", "capabilities": {"unified": "Unified cache", "varies": "Varies With Memory Address", "internal": "Internal", "synchronous": "Synchronous"}, "class": "memory", "units": "bytes", "claimed": true, "physid": "1", "id": "cache:1", "size": 3145728}, {"slot": "L3-Cache", "capacity": 31457280, "handle": "DMI:0002", "description": "L3 cache", "capabilities": {"unified": "Unified cache", "varies": "Varies With Memory Address", "internal": "Internal", "synchronous": "Synchronous"}, "class": "memory", "units": "bytes", "claimed": true, "physid": "2", "id": "cache:2", "size": 31457280}, {"slot": "Proc 1", "product": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "capacity": 4000000000, "handle": "DMI:0003", "description": "CPU", "width": 64, "clock": 100000000, "capabilities": {"tsc_adjust": true, "vme": "virtual mode extensions", "vmx": true, "pts": true, "smep": true, "fpu": "mathematical co-processor", "sse4_2": true, "monitor": true, "sse4_1": true, "tsc": "time stamp counter", "fxsr": "fast floating point save/restore", "tm": "thermal interrupt and status", "arat": true, "de": "debugging extensions", "aperfmperf": true, "pse": "page size extensions", "x86-64": "64bits extensions (x86-64)", "sse": "streaming SIMD extensions (SSE)", "f16c": true, "flexpriority": true, "aes": true, "avx2": true, "pbe": "pending break event", "cx16": true, "ds_cpl": true, "movbe": true, "xsaveopt": true, "bts": true, "sep": "fast system calls", "xsave": true, "fpu_exception": "FPU exceptions reporting", "xtopology": true, "erms": true, "constant_tsc": true, "est": true, "smx": true, "abm": true, "nopl": true, "arch_perfmon": true, "acpi": "thermal control (ACPI)", "mmx": "multimedia extensions (MMX)", "dca": true, "popcnt": true, "wp": true, "pln": true, "dtherm": true, "tm2": true, "pcid": true, "cpufreq": "CPU Frequency scaling", "pdcm": true, "ida": true, "pebs": true, "pge": "page global enable", "clflush": true, "dtes64": true, "xtpr": true, "ht": "HyperThreading", "msr": "model-specific registers", "fma": true, "cx8": "compare and exchange 8-byte", "nonstop_tsc": true, "mce": "machine check exceptions", "mca": "machine check architecture", "pni": true, "apic": "on-chip advanced programmable interrupt controller (APIC)", "fsgsbase": true, "rdtscp": true, "ssse3": true, "pse36": "36-bit page size extensions", "mtrr": "memory type range registers", "dts": "debug trace and EMON store MSRs", "avx": true, "syscall": "fast system calls", "invpcid": true, "cmov": "conditional move instruction", "pat": "page attribute table", "eagerfpu": true, "nx": "no-execute bit (NX)", "pae": "4GB+ memory addressing (Physical Address Extension)", "vpid": true, "tpr_shadow": true, "rep_good": true, "tsc_deadline_timer": true, "pdpe1gb": true, "rdrand": true, "lahf_lm": true, "pclmulqdq": true, "sse2": "streaming SIMD extensions (SSE2)", "ss": "self-snoop", "ept": true, "bmi1": true, "bmi2": true, "vnmi": true, "x2apic": true, "epb": true}, "class": "processor", "units": "Hz", "version": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "businfo": "cpu@0", "physid": "3", "claimed": true, "vendor": "Intel Corp.", "configuration": {"cores": "12", "threads": "24", "enabledcores": "12"}, "id": "cpu:0", "size": 1200000000}, {"slot": "L1-Cache", "capacity": 786432, "handle": "DMI:0004", "description": "L1 cache", "capabilities": {"unified": "Unified cache", "internal": "Internal", "synchronous": "Synchronous", "write-back": "Write-back"}, "class": "memory", "units": "bytes", "claimed": true, "physid": "4", "id": "cache:3", "size": 786432}, {"slot": "L2-Cache", "capacity": 3145728, "handle": "DMI:0005", "description": "L2 cache", "capabilities": {"unified": "Unified cache", "varies": "Varies With Memory Address", "internal": "Internal", "synchronous": "Synchronous"}, "class": "memory", "units": "bytes", "claimed": true, "physid": "5", "id": "cache:4", "size": 3145728}, {"slot": "L3-Cache", "capacity": 31457280, "handle": "DMI:0006", "description": "L3 cache", "capabilities": {"unified": "Unified cache", "varies": "Varies With Memory Address", "internal": "Internal", "synchronous": "Synchronous"}, "class": "memory", "units": "bytes", "claimed": true, "physid": "6", "id": "cache:5", "size": 31457280}, {"slot": "Proc 2", "product": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "capacity": 4000000000, "handle": "DMI:0007", "description": "CPU", "width": 64, "clock": 100000000, "capabilities": {"tsc_adjust": true, "vme": "virtual mode extensions", "vmx": true, "pts": true, "smep": true, "fpu": "mathematical co-processor", "sse4_2": true, "monitor": true, "sse4_1": true, "tsc": "time stamp counter", "fxsr": "fast floating point save/restore", "tm": "thermal interrupt and status", "arat": true, "de": "debugging extensions", "aperfmperf": true, "pse": "page size extensions", "x86-64": "64bits extensions (x86-64)", "sse": "streaming SIMD extensions (SSE)", "f16c": true, "flexpriority": true, "aes": true, "avx2": true, "pbe": "pending break event", "cx16": true, "ds_cpl": true, "movbe": true, "xsaveopt": true, "bts": true, "sep": "fast system calls", "xsave": true, "fpu_exception": "FPU exceptions reporting", "xtopology": true, "erms": true, "constant_tsc": true, "est": true, "smx": true, "abm": true, "nopl": true, "arch_perfmon": true, "acpi": "thermal control (ACPI)", "mmx": "multimedia extensions (MMX)", "dca": true, "popcnt": true, "wp": true, "pln": true, "dtherm": true, "tm2": true, "pcid": true, "cpufreq": "CPU Frequency scaling", "pdcm": true, "ida": true, "pebs": true, "pge": "page global enable", "clflush": true, "dtes64": true, "xtpr": true, "ht": "HyperThreading", "msr": "model-specific registers", "fma": true, "cx8": "compare and exchange 8-byte", "nonstop_tsc": true, "mce": "machine check exceptions", "mca": "machine check architecture", "pni": true, "apic": "on-chip advanced programmable interrupt controller (APIC)", "fsgsbase": true, "rdtscp": true, "ssse3": true, "pse36": "36-bit page size extensions", "mtrr": "memory type range registers", "dts": "debug trace and EMON store MSRs", "avx": true, "syscall": "fast system calls", "invpcid": true, "cmov": "conditional move instruction", "pat": "page attribute table", "eagerfpu": true, "nx": "no-execute bit (NX)", "pae": "4GB+ memory addressing (Physical Address Extension)", "vpid": true, "tpr_shadow": true, "rep_good": true, "tsc_deadline_timer": true, "pdpe1gb": true, "rdrand": true, "lahf_lm": true, "pclmulqdq": true, "sse2": "streaming SIMD extensions (SSE2)", "ss": "self-snoop", "ept": true, "bmi1": true, "bmi2": true, "vnmi": true, "x2apic": true, "epb": true}, "class": "processor", "units": "Hz", "version": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "businfo": "cpu@1", "physid": "7", "claimed": true, "vendor": "Intel Corp.", "configuration": {"cores": "12", "threads": "24", "enabledcores": "12"}, "id": "cpu:1", "size": 1200000000}, {"units": "bytes", "vendor": "HP", "description": "BIOS", "capacity": 16711680, "capabilities": {"upgrade": "BIOS EEPROM can be upgraded", "shadowing": "BIOS shadowing", "edd": "Enhanced Disk Drive extensions", "int13floppy720": "3.5\\" 720KB floppy", "pnp": "Plug-and-Play", "netboot": "Function-key initiated network service boot", "int9keyboard": "i8042 keyboard controller", "int13floppy1200": "5.25\\" 1.2MB floppy", "int13floppy360": "5.25\\" 360KB floppy", "biosbootspecification": "BIOS boot specification", "int5printscreen": "Print Screen key", "pci": "PCI bus", "uefi": "UEFI specification is supported", "usb": "USB legacy emulation", "int17printer": "INT17 printer control", "escd": "ESCD", "bootselect": "Selectable boot path", "int14serial": "INT14 serial line control", "int10video": "INT10 CGA/Mono video", "acpi": "ACPI", "cdboot": "Booting from CD-ROM/DVD"}, "class": "memory", "date": "05/06/2015", "version": "I36", "claimed": true, "physid": "9", "id": "firmware", "size": 65536}, {"slot": "System board or motherboard", "handle": "DMI:000A", "description": "System Memory", "children": [{"slot": "PROC 1 DIMM 1", "product": "752369-081", "handle": "DMI:000C", "description": "DIMM Synchronous 2133 MHz (0.5 ns)", "width": 64, "clock": 2133000000, "class": "memory", "units": "bytes", "physid": "0", "claimed": true, "vendor": "HP", "id": "bank:0", "size": 17179869184}, {"slot": "PROC 1 DIMM 2", "product": "NOT AVAILABLE", "handle": "DMI:000D", "description": "DIMM Synchronous [empty]", "class": "memory", "width": 64, "physid": "1", "claimed": true, "vendor": "UNKNOWN", "id": "bank:1"}, {"slot": "PROC 1 DIMM 3", "product": "752369-081", "handle": "DMI:000E", "description": "DIMM Synchronous 2133 MHz (0.5 ns)", "width": 64, "clock": 2133000000, "class": "memory", "units": "bytes", "physid": "2", "claimed": true, "vendor": "HP", "id": "bank:2", "size": 17179869184}, {"slot": "PROC 1 DIMM 4", "product": "NOT AVAILABLE", "handle": "DMI:000F", "description": "DIMM Synchronous [empty]", "class": "memory", "width": 64, "physid": "3", "claimed": true, "vendor": "UNKNOWN", "id": "bank:3"}, {"slot": "PROC 1 DIMM 5", "product": "NOT AVAILABLE", "handle": "DMI:0010", "description": "DIMM Synchronous [empty]", "class": "memory", "width": 64, "physid": "4", "claimed": true, "vendor": "UNKNOWN", "id": "bank:4"}, {"slot": "PROC 1 DIMM 6", "product": "752369-081", "handle": "DMI:0011", "description": "DIMM Synchronous 2133 MHz (0.5 ns)", "width": 64, "clock": 2133000000, "class": "memory", "units": "bytes", "physid": "5", "claimed": true, "vendor": "HP", "id": "bank:5", "size": 17179869184}, {"slot": "PROC 1 DIMM 7", "product": "NOT AVAILABLE", "handle": "DMI:0012", "description": "DIMM Synchronous [empty]", "class": "memory", "width": 64, "physid": "6", "claimed": true, "vendor": "UNKNOWN", "id": "bank:6"}, {"slot": "PROC 1 DIMM 8", "product": "752369-081", "handle": "DMI:0013", "description": "DIMM Synchronous 2133 MHz (0.5 ns)", "width": 64, "clock": 2133000000, "class": "memory", "units": "bytes", "physid": "7", "claimed": true, "vendor": "HP", "id": "bank:7", "size": 17179869184}], "class": "memory", "claimed": true, "physid": "a", "id": "memory:0"}, {"slot": "System board or motherboard", "handle": "DMI:000B", "description": "System Memory", "children": [{"slot": "PROC 2 DIMM 1", "product": "752369-081", "handle": "DMI:0014", "description": "DIMM Synchronous 2133 MHz (0.5 ns)", "width": 64, "clock": 2133000000, "class": "memory", "units": "bytes", "physid": "0", "claimed": true, "vendor": "HP", "id": "bank:0", "size": 17179869184}, {"slot": "PROC 2 DIMM 2", "product": "NOT AVAILABLE", "handle": "DMI:0015", "description": "DIMM Synchronous [empty]", "class": "memory", "width": 64, "physid": "1", "claimed": true, "vendor": "UNKNOWN", "id": "bank:1"}, {"slot": "PROC 2 DIMM 3", "product": "752369-081", "handle": "DMI:0016", "description": "DIMM Synchronous 2133 MHz (0.5 ns)", "width": 64, "clock": 2133000000, "class": "memory", "units": "bytes", "physid": "2", "claimed": true, "vendor": "HP", "id": "bank:2", "size": 17179869184}, {"slot": "PROC 2 DIMM 4", "product": "NOT AVAILABLE", "handle": "DMI:0017", "description": "DIMM Synchronous [empty]", "class": "memory", "width": 64, "physid": "3", "claimed": true, "vendor": "UNKNOWN", "id": "bank:3"}, {"slot": "PROC 2 DIMM 5", "product": "NOT AVAILABLE", "handle": "DMI:0018", "description": "DIMM Synchronous [empty]", "class": "memory", "width": 64, "physid": "4", "claimed": true, "vendor": "UNKNOWN", "id": "bank:4"}, {"slot": "PROC 2 DIMM 6", "product": "752369-081", "handle": "DMI:0019", "description": "DIMM Synchronous 2133 MHz (0.5 ns)", "width": 64, "clock": 2133000000, "class": "memory", "units": "bytes", "physid": "5", "claimed": true, "vendor": "HP", "id": "bank:5", "size": 17179869184}, {"slot": "PROC 2 DIMM 7", "product": "NOT AVAILABLE", "handle": "DMI:001A", "description": "DIMM Synchronous [empty]", "class": "memory", "width": 64, "physid": "6", "claimed": true, "vendor": "UNKNOWN", "id": "bank:6"}, {"slot": "PROC 2 DIMM 8", "product": "752369-081", "handle": "DMI:001B", "description": "DIMM Synchronous 2133 MHz (0.5 ns)", "width": 64, "clock": 2133000000, "class": "memory", "units": "bytes", "physid": "7", "claimed": true, "vendor": "HP", "id": "bank:7", "size": 17179869184}], "class": "memory", "claimed": true, "physid": "c", "id": "memory:1"}, {"physid": "d", "id": "memory:2", "class": "memory"}, {"physid": "e", "id": "memory:3", "class": "memory"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMI2", "handle": "PCIBUS:0000:00", "description": "Host bridge", "clock": 33000000, "children": [{"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 1", "handle": "PCIBUS:0000:02", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:01.0", "physid": "1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:0"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 1", "handle": "PCIBUS:0000:05", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:01.1", "physid": "1.1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:1"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 2", "handle": "PCIBUS:0000:06", "description": "PCI bridge", "clock": 33000000, "children": [{"product": "BCM57840 NetXtreme II 10/20-Gigabit Ethernet", "capacity": 1000000000, "handle": "PCI:0000:06:00.0", "description": "Ethernet interface", "width": 64, "logicalname": "eno49", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "fibre": "optical fibre", "msix": "MSI-X", "rom": "extension ROM", "bus_master": "bus mastering", "autonegotiation": "Auto-negotiation", "vpd": "Vital Product Data", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "ethernet": true, "physical": "Physical interface", "pm": "Power Management"}, "class": "network", "units": "bit/s", "version": "11", "businfo": "pci@0000:06:00.0", "clock": 33000000, "physid": "0", "claimed": true, "vendor": "Broadcom Corporation", "serial": "ec:b1:d7:9d:90:f0", "configuration": {"latency": "0", "autonegotiation": "on", "duplex": "full", "ip": "10.20.0.6", "firmware": "bc 7.12.83", "driver": "bnx2x", "broadcast": "yes", "multicast": "yes", "link": "yes", "driverversion": "1.78.17-0", "port": "fibre"}, "id": "network:0"}, {"product": "BCM57840 NetXtreme II 10/20-Gigabit Ethernet", "capacity": 1000000000, "handle": "PCI:0000:06:00.1", "description": "Ethernet interface", "width": 64, "logicalname": "eno50", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "fibre": "optical fibre", "msix": "MSI-X", "rom": "extension ROM", "bus_master": "bus mastering", "autonegotiation": "Auto-negotiation", "vpd": "Vital Product Data", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "ethernet": true, "physical": "Physical interface", "pm": "Power Management"}, "class": "network", "disabled": true, "units": "bit/s", "version": "11", "businfo": "pci@0000:06:00.1", "clock": 33000000, "physid": "0.1", "claimed": true, "vendor": "Broadcom Corporation", "serial": "ec:b1:d7:9d:90:f8", "configuration": {"latency": "0", "autonegotiation": "on", "firmware": "bc 7.12.83", "driver": "bnx2x", "broadcast": "yes", "multicast": "yes", "link": "no", "driverversion": "1.78.17-0", "port": "fibre"}, "id": "network:1"}], "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:02.0", "physid": "2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:2"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 2", "handle": "PCIBUS:0000:0b", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:02.1", "physid": "2.1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:3"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 2", "handle": "PCIBUS:0000:07", "description": "PCI bridge", "clock": 33000000, "children": [{"product": "Smart Array Gen9 Controllers", "handle": "PCI:0000:07:00.0", "description": "RAID bus controller", "clock": 33000000, "logicalname": "scsi0", "children": [{"product": "P244br", "vendor": "HP", "description": "SCSI", "class": "generic", "version": "3.00", "businfo": "scsi@0:3.0.0", "physid": "3.0.0", "handle": "SCSI:00:03:00:00", "serial": "PDZVU0RLM9A2CT", "configuration": {"ansiversion": "5"}, "id": "generic"}, {"product": "LOGICAL VOLUME", "handle": "SCSI:00:00:00:00", "description": "SCSI Disk", "capabilities": {"15000rpm": "15000 rotations per minute"}, "logicalname": "/dev/sda", "dev": "8:0", "class": "disk", "units": "bytes", "version": "3.00", "businfo": "scsi@0:0.0.0", "physid": "0.0.0", "claimed": true, "vendor": "HP", "serial": "PDZVU0RLM9A2CT", "configuration": {"ansiversion": "5", "sectorsize": "512"}, "id": "disk", "size": 1200186417152}], "capabilities": {"msix": "MSI-X", "msi": "Message Signalled Interrupts", "storage": true, "bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "rom": "extension ROM", "pm": "Power Management"}, "class": "storage", "width": 64, "version": "01", "businfo": "pci@0000:07:00.0", "physid": "0", "claimed": true, "vendor": "Hewlett-Packard Company", "configuration": {"latency": "0", "driver": "hpsa"}, "id": "storage"}], "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:02.2", "physid": "2.2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:4"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 2", "handle": "PCIBUS:0000:0c", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:02.3", "physid": "2.3", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:5"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 3", "handle": "PCIBUS:0000:08", "description": "PCI bridge", "clock": 33000000, "children": [{"product": "82599 10 Gigabit Dual Port Backplane Connection", "capacity": 1000000000, "handle": "PCI:0000:08:00.0", "description": "Ethernet interface", "width": 32, "logicalname": "ens1f0", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "fibre": "optical fibre", "msix": "MSI-X", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "autonegotiation": "Auto-negotiation", "vpd": "Vital Product Data", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "ethernet": true, "physical": "Physical interface", "rom": "extension ROM", "pm": "Power Management"}, "class": "network", "disabled": true, "units": "bit/s", "version": "01", "businfo": "pci@0000:08:00.0", "clock": 33000000, "physid": "0", "claimed": true, "vendor": "Intel Corporation", "serial": "8c:dc:d4:b7:97:80", "configuration": {"latency": "0", "autonegotiation": "on", "duplex": "full", "firmware": "0x80000815", "driver": "ixgbe", "broadcast": "yes", "multicast": "yes", "link": "no", "driverversion": "3.15.1-k"}, "id": "network:0"}, {"product": "82599 10 Gigabit Dual Port Backplane Connection", "capacity": 1000000000, "handle": "PCI:0000:08:00.1", "description": "Ethernet interface", "width": 32, "logicalname": "ens1f1", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "fibre": "optical fibre", "msix": "MSI-X", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "autonegotiation": "Auto-negotiation", "vpd": "Vital Product Data", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "ethernet": true, "physical": "Physical interface", "pm": "Power Management"}, "class": "network", "disabled": true, "units": "bit/s", "version": "01", "businfo": "pci@0000:08:00.1", "clock": 33000000, "physid": "0.1", "claimed": true, "vendor": "Intel Corporation", "serial": "8c:dc:d4:b7:97:81", "configuration": {"latency": "0", "autonegotiation": "on", "duplex": "full", "firmware": "0x80000815", "driver": "ixgbe", "broadcast": "yes", "multicast": "yes", "link": "no", "driverversion": "3.15.1-k"}, "id": "network:1"}], "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:03.0", "physid": "3", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:6"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 3", "handle": "PCIBUS:0000:0d", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:03.1", "physid": "3.1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:7"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 3", "handle": "PCIBUS:0000:0e", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:03.2", "physid": "3.2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:8"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 3", "handle": "PCIBUS:0000:0f", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:03.3", "physid": "3.3", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:9"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 0", "handle": "PCI:0000:00:04.0", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.0", "physid": "4", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:0"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 1", "handle": "PCI:0000:00:04.1", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.1", "physid": "4.1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:1"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 2", "handle": "PCI:0000:00:04.2", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.2", "physid": "4.2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:2"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 3", "handle": "PCI:0000:00:04.3", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.3", "physid": "4.3", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:3"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 4", "handle": "PCI:0000:00:04.4", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.4", "physid": "4.4", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:4"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 5", "handle": "PCI:0000:00:04.5", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.5", "physid": "4.5", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:5"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 6", "handle": "PCI:0000:00:04.6", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.6", "physid": "4.6", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:6"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 7", "handle": "PCI:0000:00:04.7", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.7", "physid": "4.7", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:7"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Address Map, VTd_Misc, System Management", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:00:05.0", "physid": "5", "handle": "PCI:0000:00:05.0", "configuration": {"latency": "0"}, "id": "generic:8"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Hot Plug", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "pciexpress": "PCI Express"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:00:05.1", "physid": "5.1", "handle": "PCI:0000:00:05.1", "configuration": {"latency": "0"}, "id": "generic:9"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 RAS, Control Status and Global Errors", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:00:05.2", "physid": "5.2", "handle": "PCI:0000:00:05.2", "configuration": {"latency": "0"}, "id": "generic:10"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 I/O APIC", "vendor": "Intel Corporation", "description": "PIC", "clock": 33000000, "capabilities": {"io_x_-apic": true, "bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:00:05.4", "physid": "5.4", "handle": "PCI:0000:00:05.4", "configuration": {"latency": "0"}, "id": "generic:11"}, {"product": "C610/X99 series chipset SPSR", "vendor": "Intel Corporation", "description": "Unassigned class", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 32, "version": "05", "businfo": "pci@0000:00:11.0", "physid": "11", "handle": "PCI:0000:00:11.0", "configuration": {"latency": "0"}, "id": "generic:12"}, {"product": "C610/X99 series chipset USB xHCI Host Controller", "handle": "PCI:0000:00:14.0", "description": "USB controller", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "xhci": true, "pm": "Power Management"}, "class": "bus", "width": 64, "version": "05", "businfo": "pci@0000:00:14.0", "physid": "14", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "xhci_hcd"}, "id": "usb:0"}, {"product": "C610/X99 series chipset USB Enhanced Host Controller #2", "handle": "PCI:0000:00:1a.0", "description": "USB controller", "clock": 33000000, "capabilities": {"debug": "Debug port", "bus_master": "bus mastering", "ehci": "Enhanced Host Controller Interface (USB2)", "cap_list": "PCI capabilities listing", "pm": "Power Management"}, "class": "bus", "width": 32, "version": "05", "businfo": "pci@0000:00:1a.0", "physid": "1a", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ehci-pci"}, "id": "usb:1"}, {"product": "C610/X99 series chipset PCI Express Root Port #1", "handle": "PCIBUS:0000:10", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "bus_master": "bus mastering", "pci": true, "msi": "Message Signalled Interrupts", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "d5", "businfo": "pci@0000:00:1c.0", "physid": "1c", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:10"}, {"product": "C610/X99 series chipset PCI Express Root Port #3", "handle": "PCIBUS:0000:01", "description": "PCI bridge", "clock": 33000000, "children": [{"product": "Integrated Lights-Out Standard Slave Instrumentation & System Support", "vendor": "Hewlett-Packard Company", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "msi": "Message Signalled Interrupts", "pm": "Power Management"}, "class": "generic", "width": 32, "version": "06", "businfo": "pci@0000:01:00.0", "physid": "0", "handle": "PCI:0000:01:00.0", "configuration": {"latency": "0"}, "id": "generic:0"}, {"product": "MGA G200EH", "vendor": "Matrox Electronics Systems Ltd.", "description": "VGA compatible controller", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "vga_controller": true, "bus_master": "bus mastering", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "display", "width": 32, "version": "01", "businfo": "pci@0000:01:00.1", "physid": "0.1", "handle": "PCI:0000:01:00.1", "configuration": {"latency": "0"}, "id": "display"}, {"product": "Integrated Lights-Out Standard Management Processor Support and Messaging", "handle": "PCI:0000:01:00.2", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "rom": "extension ROM", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 32, "version": "06", "businfo": "pci@0000:01:00.2", "physid": "0.2", "claimed": true, "vendor": "Hewlett-Packard Company", "configuration": {"latency": "0", "driver": "hpilo"}, "id": "generic:1"}, {"product": "Integrated Lights-Out Standard Virtual USB Controller", "handle": "PCI:0000:01:00.4", "description": "USB controller", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pciexpress": "PCI Express", "pm": "Power Management", "uhci": "Universal Host Controller Interface (USB1)"}, "class": "bus", "width": 32, "version": "03", "businfo": "pci@0000:01:00.4", "physid": "0.4", "claimed": true, "vendor": "Hewlett-Packard Company", "configuration": {"latency": "0", "driver": "uhci_hcd"}, "id": "usb"}], "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "bus_master": "bus mastering", "pci": true, "msi": "Message Signalled Interrupts", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "d5", "businfo": "pci@0000:00:1c.2", "physid": "1c.2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:11"}, {"product": "C610/X99 series chipset PCI Express Root Port #5", "handle": "PCIBUS:0000:11", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "bus_master": "bus mastering", "pci": true, "msi": "Message Signalled Interrupts", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "d5", "businfo": "pci@0000:00:1c.4", "physid": "1c.4", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:12"}, {"product": "C610/X99 series chipset PCI Express Root Port #7", "handle": "PCIBUS:0000:12", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "bus_master": "bus mastering", "pci": true, "msi": "Message Signalled Interrupts", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "d5", "businfo": "pci@0000:00:1c.6", "physid": "1c.6", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:13"}, {"product": "C610/X99 series chipset PCI Express Root Port #8", "handle": "PCIBUS:0000:13", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "bus_master": "bus mastering", "pci": true, "msi": "Message Signalled Interrupts", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "d5", "businfo": "pci@0000:00:1c.7", "physid": "1c.7", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:14"}, {"product": "C610/X99 series chipset USB Enhanced Host Controller #1", "handle": "PCI:0000:00:1d.0", "description": "USB controller", "clock": 33000000, "capabilities": {"debug": "Debug port", "bus_master": "bus mastering", "ehci": "Enhanced Host Controller Interface (USB2)", "cap_list": "PCI capabilities listing", "pm": "Power Management"}, "class": "bus", "width": 32, "version": "05", "businfo": "pci@0000:00:1d.0", "physid": "1d", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ehci-pci"}, "id": "usb:2"}, {"product": "C610/X99 series chipset LPC Controller", "handle": "PCI:0000:00:1f.0", "description": "ISA bridge", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "isa": true, "cap_list": "PCI capabilities listing"}, "class": "bridge", "width": 32, "version": "05", "businfo": "pci@0000:00:1f.0", "physid": "1f", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "lpc_ich"}, "id": "isa"}, {"product": "C610/X99 series chipset SMBus Controller", "vendor": "Intel Corporation", "description": "SMBus", "clock": 33000000, "class": "bus", "width": 64, "version": "05", "businfo": "pci@0000:00:1f.3", "physid": "1f.3", "handle": "PCI:0000:00:1f.3", "configuration": {"latency": "0"}, "id": "serial"}], "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:00.0", "physid": "100", "claimed": true, "vendor": "Intel Corporation", "id": "pci:0"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 0", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:08.0", "physid": "f", "handle": "PCI:0000:7f:08.0", "configuration": {"latency": "0"}, "id": "generic:0"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 0", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:08.3", "physid": "10", "handle": "PCI:0000:7f:08.3", "configuration": {"latency": "0"}, "id": "generic:1"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:09.0", "physid": "11", "handle": "PCI:0000:7f:09.0", "configuration": {"latency": "0"}, "id": "generic:2"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:09.3", "physid": "12", "handle": "PCI:0000:7f:09.3", "configuration": {"latency": "0"}, "id": "generic:3"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0b.0", "physid": "13", "handle": "PCI:0000:7f:0b.0", "configuration": {"latency": "0"}, "id": "generic:4"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0b.1", "physid": "14", "handle": "PCI:0000:7f:0b.1", "configuration": {"latency": "0"}, "id": "generic:5"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0b.2", "physid": "15", "handle": "PCI:0000:7f:0b.2", "configuration": {"latency": "0"}, "id": "generic:6"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.0", "physid": "16", "handle": "PCI:0000:7f:0c.0", "configuration": {"latency": "0"}, "id": "generic:7"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.1", "physid": "17", "handle": "PCI:0000:7f:0c.1", "configuration": {"latency": "0"}, "id": "generic:8"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.2", "physid": "18", "handle": "PCI:0000:7f:0c.2", "configuration": {"latency": "0"}, "id": "generic:9"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.3", "physid": "19", "handle": "PCI:0000:7f:0c.3", "configuration": {"latency": "0"}, "id": "generic:10"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.4", "physid": "1a", "handle": "PCI:0000:7f:0c.4", "configuration": {"latency": "0"}, "id": "generic:11"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.5", "physid": "1b", "handle": "PCI:0000:7f:0c.5", "configuration": {"latency": "0"}, "id": "generic:12"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.6", "physid": "1c", "handle": "PCI:0000:7f:0c.6", "configuration": {"latency": "0"}, "id": "generic:13"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.7", "physid": "1d", "handle": "PCI:0000:7f:0c.7", "configuration": {"latency": "0"}, "id": "generic:14"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0d.0", "physid": "1e", "handle": "PCI:0000:7f:0d.0", "configuration": {"latency": "0"}, "id": "generic:15"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0d.1", "physid": "1f", "handle": "PCI:0000:7f:0d.1", "configuration": {"latency": "0"}, "id": "generic:16"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0d.2", "physid": "20", "handle": "PCI:0000:7f:0d.2", "configuration": {"latency": "0"}, "id": "generic:17"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0d.3", "physid": "21", "handle": "PCI:0000:7f:0d.3", "configuration": {"latency": "0"}, "id": "generic:18"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0f.0", "physid": "22", "handle": "PCI:0000:7f:0f.0", "configuration": {"latency": "0"}, "id": "generic:19"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0f.1", "physid": "23", "handle": "PCI:0000:7f:0f.1", "configuration": {"latency": "0"}, "id": "generic:20"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0f.2", "physid": "24", "handle": "PCI:0000:7f:0f.2", "configuration": {"latency": "0"}, "id": "generic:21"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0f.3", "physid": "25", "handle": "PCI:0000:7f:0f.3", "configuration": {"latency": "0"}, "id": "generic:22"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0f.4", "physid": "26", "handle": "PCI:0000:7f:0f.4", "configuration": {"latency": "0"}, "id": "generic:23"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0f.5", "physid": "27", "handle": "PCI:0000:7f:0f.5", "configuration": {"latency": "0"}, "id": "generic:24"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0f.6", "physid": "28", "handle": "PCI:0000:7f:0f.6", "configuration": {"latency": "0"}, "id": "generic:25"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCIe Ring Interface", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:10.0", "physid": "29", "handle": "PCI:0000:7f:10.0", "configuration": {"latency": "0"}, "id": "generic:26"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCIe Ring Interface", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:10.1", "physid": "2a", "handle": "PCI:0000:7f:10.1", "configuration": {"latency": "0"}, "id": "generic:27"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:10.5", "physid": "2b", "handle": "PCI:0000:7f:10.5", "configuration": {"latency": "0"}, "id": "generic:28"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:10.6", "physid": "2c", "handle": "PCI:0000:7f:10.6", "configuration": {"latency": "0"}, "id": "generic:29"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:10.7", "physid": "2d", "handle": "PCI:0000:7f:10.7", "configuration": {"latency": "0"}, "id": "generic:30"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 0", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:12.0", "physid": "2e", "handle": "PCI:0000:7f:12.0", "configuration": {"latency": "0"}, "id": "generic:31"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 0", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:12.1", "physid": "2f", "handle": "PCI:0000:7f:12.1", "configuration": {"latency": "0"}, "id": "generic:32"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 0 Debug", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:12.2", "physid": "30", "handle": "PCI:0000:7f:12.2", "configuration": {"latency": "0"}, "id": "generic:33"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:12.4", "physid": "31", "handle": "PCI:0000:7f:12.4", "configuration": {"latency": "0"}, "id": "generic:34"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 1", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:12.5", "physid": "32", "handle": "PCI:0000:7f:12.5", "configuration": {"latency": "0"}, "id": "generic:35"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 1 Debug", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:12.6", "physid": "33", "handle": "PCI:0000:7f:12.6", "configuration": {"latency": "0"}, "id": "generic:36"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.0", "physid": "34", "handle": "PCI:0000:7f:13.0", "configuration": {"latency": "0"}, "id": "generic:37"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.1", "physid": "35", "handle": "PCI:0000:7f:13.1", "configuration": {"latency": "0"}, "id": "generic:38"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.2", "physid": "36", "handle": "PCI:0000:7f:13.2", "configuration": {"latency": "0"}, "id": "generic:39"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.3", "physid": "37", "handle": "PCI:0000:7f:13.3", "configuration": {"latency": "0"}, "id": "generic:40"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Channel 0/1 Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.6", "physid": "38", "handle": "PCI:0000:7f:13.6", "configuration": {"latency": "0"}, "id": "generic:41"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Global Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.7", "physid": "39", "handle": "PCI:0000:7f:13.7", "configuration": {"latency": "0"}, "id": "generic:42"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 0 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.0", "physid": "3a", "handle": "PCI:0000:7f:14.0", "configuration": {"latency": "0"}, "id": "generic:43"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 1 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.1", "physid": "3b", "handle": "PCI:0000:7f:14.1", "configuration": {"latency": "0"}, "id": "generic:44"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 0 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.2", "physid": "3c", "handle": "PCI:0000:7f:14.2", "configuration": {"latency": "0"}, "id": "generic:45"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 1 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.3", "physid": "3d", "handle": "PCI:0000:7f:14.3", "configuration": {"latency": "0"}, "id": "generic:46"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.4", "physid": "3e", "handle": "PCI:0000:7f:14.4", "configuration": {"latency": "0"}, "id": "generic:47"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.5", "physid": "3f", "handle": "PCI:0000:7f:14.5", "configuration": {"latency": "0"}, "id": "generic:48"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.6", "physid": "40", "handle": "PCI:0000:7f:14.6", "configuration": {"latency": "0"}, "id": "generic:49"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.7", "physid": "41", "handle": "PCI:0000:7f:14.7", "configuration": {"latency": "0"}, "id": "generic:50"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:16.0", "physid": "42", "handle": "PCI:0000:7f:16.0", "configuration": {"latency": "0"}, "id": "generic:51"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:16.1", "physid": "43", "handle": "PCI:0000:7f:16.1", "configuration": {"latency": "0"}, "id": "generic:52"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:16.2", "physid": "44", "handle": "PCI:0000:7f:16.2", "configuration": {"latency": "0"}, "id": "generic:53"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:16.3", "physid": "45", "handle": "PCI:0000:7f:16.3", "configuration": {"latency": "0"}, "id": "generic:54"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Channel 2/3 Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:16.6", "physid": "46", "handle": "PCI:0000:7f:16.6", "configuration": {"latency": "0"}, "id": "generic:55"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Global Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:16.7", "physid": "47", "handle": "PCI:0000:7f:16.7", "configuration": {"latency": "0"}, "id": "generic:56"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 0 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.0", "physid": "48", "handle": "PCI:0000:7f:17.0", "configuration": {"latency": "0"}, "id": "generic:57"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 1 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.1", "physid": "49", "handle": "PCI:0000:7f:17.1", "configuration": {"latency": "0"}, "id": "generic:58"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 0 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.2", "physid": "4a", "handle": "PCI:0000:7f:17.2", "configuration": {"latency": "0"}, "id": "generic:59"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 1 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.3", "physid": "4b", "handle": "PCI:0000:7f:17.3", "configuration": {"latency": "0"}, "id": "generic:60"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.4", "physid": "4c", "handle": "PCI:0000:7f:17.4", "configuration": {"latency": "0"}, "id": "generic:61"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.5", "physid": "4d", "handle": "PCI:0000:7f:17.5", "configuration": {"latency": "0"}, "id": "generic:62"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.6", "physid": "4e", "handle": "PCI:0000:7f:17.6", "configuration": {"latency": "0"}, "id": "generic:63"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.7", "physid": "4f", "handle": "PCI:0000:7f:17.7", "configuration": {"latency": "0"}, "id": "generic:64"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1e.0", "physid": "50", "handle": "PCI:0000:7f:1e.0", "configuration": {"latency": "0"}, "id": "generic:65"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1e.1", "physid": "51", "handle": "PCI:0000:7f:1e.1", "configuration": {"latency": "0"}, "id": "generic:66"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1e.2", "physid": "52", "handle": "PCI:0000:7f:1e.2", "configuration": {"latency": "0"}, "id": "generic:67"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1e.3", "physid": "53", "handle": "PCI:0000:7f:1e.3", "configuration": {"latency": "0"}, "id": "generic:68"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1e.4", "physid": "54", "handle": "PCI:0000:7f:1e.4", "configuration": {"latency": "0"}, "id": "generic:69"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 VCU", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1f.0", "physid": "55", "handle": "PCI:0000:7f:1f.0", "configuration": {"latency": "0"}, "id": "generic:70"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 VCU", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1f.2", "physid": "56", "handle": "PCI:0000:7f:1f.2", "configuration": {"latency": "0"}, "id": "generic:71"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 0", "handle": "PCIBUS:0000:8d", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:80:00.0", "physid": "101", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:1"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 1", "handle": "PCIBUS:0000:81", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:80:01.0", "physid": "102", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:2"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 1", "handle": "PCIBUS:0000:82", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:80:01.1", "physid": "1.1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:3"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 2", "handle": "PCIBUS:0000:83", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:80:02.0", "physid": "103", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:4"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 2", "handle": "PCIBUS:0000:84", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:80:02.1", "physid": "2.1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:5"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 2", "handle": "PCIBUS:0000:85", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:80:02.2", "physid": "2.2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:6"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 2", "handle": "PCIBUS:0000:86", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:80:02.3", "physid": "2.3", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:7"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 3", "handle": "PCIBUS:0000:87", "description": "PCI bridge", "clock": 33000000, "children": [{"product": "82599 10 Gigabit Dual Port Backplane Connection", "capacity": 1000000000, "handle": "PCI:0000:87:00.0", "description": "Ethernet interface", "width": 32, "logicalname": "ens2f0", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "fibre": "optical fibre", "msix": "MSI-X", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "autonegotiation": "Auto-negotiation", "vpd": "Vital Product Data", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "ethernet": true, "physical": "Physical interface", "rom": "extension ROM", "pm": "Power Management"}, "class": "network", "disabled": true, "units": "bit/s", "version": "01", "businfo": "pci@0000:87:00.0", "clock": 33000000, "physid": "0", "claimed": true, "vendor": "Intel Corporation", "serial": "8c:dc:d4:b7:95:68", "configuration": {"latency": "0", "autonegotiation": "on", "duplex": "full", "firmware": "0x80000815", "driver": "ixgbe", "broadcast": "yes", "multicast": "yes", "link": "no", "driverversion": "3.15.1-k"}, "id": "network:0"}, {"product": "82599 10 Gigabit Dual Port Backplane Connection", "capacity": 1000000000, "handle": "PCI:0000:87:00.1", "description": "Ethernet interface", "width": 32, "logicalname": "ens2f1", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "fibre": "optical fibre", "msix": "MSI-X", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "autonegotiation": "Auto-negotiation", "vpd": "Vital Product Data", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "ethernet": true, "physical": "Physical interface", "pm": "Power Management"}, "class": "network", "disabled": true, "units": "bit/s", "version": "01", "businfo": "pci@0000:87:00.1", "clock": 33000000, "physid": "0.1", "claimed": true, "vendor": "Intel Corporation", "serial": "8c:dc:d4:b7:95:69", "configuration": {"latency": "0", "autonegotiation": "on", "duplex": "full", "firmware": "0x80000815", "driver": "ixgbe", "broadcast": "yes", "multicast": "yes", "link": "no", "driverversion": "3.15.1-k"}, "id": "network:1"}], "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:80:03.0", "physid": "104", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:8"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 3", "handle": "PCIBUS:0000:8a", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:80:03.1", "physid": "3.1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:9"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 3", "handle": "PCIBUS:0000:8b", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:80:03.2", "physid": "3.2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:10"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 3", "handle": "PCIBUS:0000:8c", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:80:03.3", "physid": "3.3", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:11"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 0", "handle": "PCI:0000:80:04.0", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.0", "physid": "57", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:72"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 1", "handle": "PCI:0000:80:04.1", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.1", "physid": "4.1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:73"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 2", "handle": "PCI:0000:80:04.2", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.2", "physid": "4.2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:74"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 3", "handle": "PCI:0000:80:04.3", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.3", "physid": "4.3", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:75"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 4", "handle": "PCI:0000:80:04.4", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.4", "physid": "4.4", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:76"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 5", "handle": "PCI:0000:80:04.5", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.5", "physid": "4.5", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:77"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 6", "handle": "PCI:0000:80:04.6", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.6", "physid": "4.6", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:78"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 7", "handle": "PCI:0000:80:04.7", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.7", "physid": "4.7", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:79"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Address Map, VTd_Misc, System Management", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:80:05.0", "physid": "58", "handle": "PCI:0000:80:05.0", "configuration": {"latency": "0"}, "id": "generic:80"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Hot Plug", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "pciexpress": "PCI Express"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:80:05.1", "physid": "5.1", "handle": "PCI:0000:80:05.1", "configuration": {"latency": "0"}, "id": "generic:81"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 RAS, Control Status and Global Errors", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:80:05.2", "physid": "5.2", "handle": "PCI:0000:80:05.2", "configuration": {"latency": "0"}, "id": "generic:82"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 I/O APIC", "vendor": "Intel Corporation", "description": "PIC", "clock": 33000000, "capabilities": {"io_x_-apic": true, "bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:80:05.4", "physid": "5.4", "handle": "PCI:0000:80:05.4", "configuration": {"latency": "0"}, "id": "generic:83"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 0", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:08.0", "physid": "8", "handle": "PCI:0000:ff:08.0", "configuration": {"latency": "0"}, "id": "generic:84"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 0", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:08.3", "physid": "59", "handle": "PCI:0000:ff:08.3", "configuration": {"latency": "0"}, "id": "generic:85"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:09.0", "physid": "5a", "handle": "PCI:0000:ff:09.0", "configuration": {"latency": "0"}, "id": "generic:86"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:09.3", "physid": "5b", "handle": "PCI:0000:ff:09.3", "configuration": {"latency": "0"}, "id": "generic:87"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0b.0", "physid": "b", "handle": "PCI:0000:ff:0b.0", "configuration": {"latency": "0"}, "id": "generic:88"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0b.1", "physid": "5c", "handle": "PCI:0000:ff:0b.1", "configuration": {"latency": "0"}, "id": "generic:89"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0b.2", "physid": "5d", "handle": "PCI:0000:ff:0b.2", "configuration": {"latency": "0"}, "id": "generic:90"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.0", "physid": "5e", "handle": "PCI:0000:ff:0c.0", "configuration": {"latency": "0"}, "id": "generic:91"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.1", "physid": "5f", "handle": "PCI:0000:ff:0c.1", "configuration": {"latency": "0"}, "id": "generic:92"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.2", "physid": "60", "handle": "PCI:0000:ff:0c.2", "configuration": {"latency": "0"}, "id": "generic:93"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.3", "physid": "61", "handle": "PCI:0000:ff:0c.3", "configuration": {"latency": "0"}, "id": "generic:94"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.4", "physid": "62", "handle": "PCI:0000:ff:0c.4", "configuration": {"latency": "0"}, "id": "generic:95"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.5", "physid": "63", "handle": "PCI:0000:ff:0c.5", "configuration": {"latency": "0"}, "id": "generic:96"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.6", "physid": "64", "handle": "PCI:0000:ff:0c.6", "configuration": {"latency": "0"}, "id": "generic:97"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.7", "physid": "65", "handle": "PCI:0000:ff:0c.7", "configuration": {"latency": "0"}, "id": "generic:98"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0d.0", "physid": "66", "handle": "PCI:0000:ff:0d.0", "configuration": {"latency": "0"}, "id": "generic:99"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0d.1", "physid": "67", "handle": "PCI:0000:ff:0d.1", "configuration": {"latency": "0"}, "id": "generic:100"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0d.2", "physid": "68", "handle": "PCI:0000:ff:0d.2", "configuration": {"latency": "0"}, "id": "generic:101"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0d.3", "physid": "69", "handle": "PCI:0000:ff:0d.3", "configuration": {"latency": "0"}, "id": "generic:102"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0f.0", "physid": "6a", "handle": "PCI:0000:ff:0f.0", "configuration": {"latency": "0"}, "id": "generic:103"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0f.1", "physid": "6b", "handle": "PCI:0000:ff:0f.1", "configuration": {"latency": "0"}, "id": "generic:104"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0f.2", "physid": "6c", "handle": "PCI:0000:ff:0f.2", "configuration": {"latency": "0"}, "id": "generic:105"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0f.3", "physid": "6d", "handle": "PCI:0000:ff:0f.3", "configuration": {"latency": "0"}, "id": "generic:106"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0f.4", "physid": "6e", "handle": "PCI:0000:ff:0f.4", "configuration": {"latency": "0"}, "id": "generic:107"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0f.5", "physid": "6f", "handle": "PCI:0000:ff:0f.5", "configuration": {"latency": "0"}, "id": "generic:108"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0f.6", "physid": "70", "handle": "PCI:0000:ff:0f.6", "configuration": {"latency": "0"}, "id": "generic:109"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCIe Ring Interface", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:10.0", "physid": "71", "handle": "PCI:0000:ff:10.0", "configuration": {"latency": "0"}, "id": "generic:110"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCIe Ring Interface", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:10.1", "physid": "72", "handle": "PCI:0000:ff:10.1", "configuration": {"latency": "0"}, "id": "generic:111"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:10.5", "physid": "73", "handle": "PCI:0000:ff:10.5", "configuration": {"latency": "0"}, "id": "generic:112"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:10.6", "physid": "74", "handle": "PCI:0000:ff:10.6", "configuration": {"latency": "0"}, "id": "generic:113"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:10.7", "physid": "75", "handle": "PCI:0000:ff:10.7", "configuration": {"latency": "0"}, "id": "generic:114"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 0", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:12.0", "physid": "76", "handle": "PCI:0000:ff:12.0", "configuration": {"latency": "0"}, "id": "generic:115"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 0", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:12.1", "physid": "77", "handle": "PCI:0000:ff:12.1", "configuration": {"latency": "0"}, "id": "generic:116"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 0 Debug", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:12.2", "physid": "78", "handle": "PCI:0000:ff:12.2", "configuration": {"latency": "0"}, "id": "generic:117"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:12.4", "physid": "79", "handle": "PCI:0000:ff:12.4", "configuration": {"latency": "0"}, "id": "generic:118"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 1", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:12.5", "physid": "7a", "handle": "PCI:0000:ff:12.5", "configuration": {"latency": "0"}, "id": "generic:119"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 1 Debug", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:12.6", "physid": "7b", "handle": "PCI:0000:ff:12.6", "configuration": {"latency": "0"}, "id": "generic:120"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.0", "physid": "7c", "handle": "PCI:0000:ff:13.0", "configuration": {"latency": "0"}, "id": "generic:121"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.1", "physid": "7d", "handle": "PCI:0000:ff:13.1", "configuration": {"latency": "0"}, "id": "generic:122"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.2", "physid": "7e", "handle": "PCI:0000:ff:13.2", "configuration": {"latency": "0"}, "id": "generic:123"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.3", "physid": "7f", "handle": "PCI:0000:ff:13.3", "configuration": {"latency": "0"}, "id": "generic:124"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Channel 0/1 Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.6", "physid": "80", "handle": "PCI:0000:ff:13.6", "configuration": {"latency": "0"}, "id": "generic:125"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Global Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.7", "physid": "81", "handle": "PCI:0000:ff:13.7", "configuration": {"latency": "0"}, "id": "generic:126"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 0 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.0", "physid": "82", "handle": "PCI:0000:ff:14.0", "configuration": {"latency": "0"}, "id": "generic:127"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 1 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.1", "physid": "83", "handle": "PCI:0000:ff:14.1", "configuration": {"latency": "0"}, "id": "generic:128"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 0 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.2", "physid": "84", "handle": "PCI:0000:ff:14.2", "configuration": {"latency": "0"}, "id": "generic:129"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 1 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.3", "physid": "85", "handle": "PCI:0000:ff:14.3", "configuration": {"latency": "0"}, "id": "generic:130"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.4", "physid": "86", "handle": "PCI:0000:ff:14.4", "configuration": {"latency": "0"}, "id": "generic:131"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.5", "physid": "87", "handle": "PCI:0000:ff:14.5", "configuration": {"latency": "0"}, "id": "generic:132"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.6", "physid": "88", "handle": "PCI:0000:ff:14.6", "configuration": {"latency": "0"}, "id": "generic:133"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.7", "physid": "89", "handle": "PCI:0000:ff:14.7", "configuration": {"latency": "0"}, "id": "generic:134"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:16.0", "physid": "8a", "handle": "PCI:0000:ff:16.0", "configuration": {"latency": "0"}, "id": "generic:135"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:16.1", "physid": "8b", "handle": "PCI:0000:ff:16.1", "configuration": {"latency": "0"}, "id": "generic:136"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:16.2", "physid": "8c", "handle": "PCI:0000:ff:16.2", "configuration": {"latency": "0"}, "id": "generic:137"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:16.3", "physid": "8d", "handle": "PCI:0000:ff:16.3", "configuration": {"latency": "0"}, "id": "generic:138"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Channel 2/3 Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:16.6", "physid": "8e", "handle": "PCI:0000:ff:16.6", "configuration": {"latency": "0"}, "id": "generic:139"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Global Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:16.7", "physid": "8f", "handle": "PCI:0000:ff:16.7", "configuration": {"latency": "0"}, "id": "generic:140"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 0 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.0", "physid": "90", "handle": "PCI:0000:ff:17.0", "configuration": {"latency": "0"}, "id": "generic:141"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 1 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.1", "physid": "91", "handle": "PCI:0000:ff:17.1", "configuration": {"latency": "0"}, "id": "generic:142"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 0 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.2", "physid": "92", "handle": "PCI:0000:ff:17.2", "configuration": {"latency": "0"}, "id": "generic:143"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 1 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.3", "physid": "93", "handle": "PCI:0000:ff:17.3", "configuration": {"latency": "0"}, "id": "generic:144"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.4", "physid": "94", "handle": "PCI:0000:ff:17.4", "configuration": {"latency": "0"}, "id": "generic:145"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.5", "physid": "95", "handle": "PCI:0000:ff:17.5", "configuration": {"latency": "0"}, "id": "generic:146"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.6", "physid": "96", "handle": "PCI:0000:ff:17.6", "configuration": {"latency": "0"}, "id": "generic:147"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.7", "physid": "97", "handle": "PCI:0000:ff:17.7", "configuration": {"latency": "0"}, "id": "generic:148"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1e.0", "physid": "98", "handle": "PCI:0000:ff:1e.0", "configuration": {"latency": "0"}, "id": "generic:149"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1e.1", "physid": "99", "handle": "PCI:0000:ff:1e.1", "configuration": {"latency": "0"}, "id": "generic:150"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1e.2", "physid": "9a", "handle": "PCI:0000:ff:1e.2", "configuration": {"latency": "0"}, "id": "generic:151"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1e.3", "physid": "9b", "handle": "PCI:0000:ff:1e.3", "configuration": {"latency": "0"}, "id": "generic:152"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1e.4", "physid": "9c", "handle": "PCI:0000:ff:1e.4", "configuration": {"latency": "0"}, "id": "generic:153"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 VCU", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1f.0", "physid": "9d", "handle": "PCI:0000:ff:1f.0", "configuration": {"latency": "0"}, "id": "generic:154"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 VCU", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1f.2", "physid": "9e", "handle": "PCI:0000:ff:1f.2", "configuration": {"latency": "0"}, "id": "generic:155"}]}], "capabilities": {"smbios-2.8": "SMBIOS version 2.8", "dmi-2.8": "DMI version 2.8", "vsyscall32": "32-bit processes"}, "class": "system", "width": 64, "claimed": true, "vendor": "HP", "serial": "CZ3538DST7", "configuration": {"sku": "776320-B21", "chassis": "blade", "boot": "normal", "uuid": "37373633-3230-435A-3335-333844535437", "family": "ProLiant"}, "id": "bootstrap"}, "memory": {"slots": 16, "total": 137438953472, "maximum_capacity": 1099511627776, "devices": [{"frequency": 2133, "type": "<OUT OF SPEC>", "size": 17179869184}, {"frequency": 2133, "type": "<OUT OF SPEC>", "size": 17179869184}, {"frequency": 2133, "type": "<OUT OF SPEC>", "size": 17179869184}, {"frequency": 2133, "type": "<OUT OF SPEC>", "size": 17179869184}, {"frequency": 2133, "type": "<OUT OF SPEC>", "size": 17179869184}, {"frequency": 2133, "type": "<OUT OF SPEC>", "size": 17179869184}, {"frequency": 2133, "type": "<OUT OF SPEC>", "size": 17179869184}, {"frequency": 2133, "type": "<OUT OF SPEC>", "size": 17179869184}]}, "interfaces": [{"name": "eno49", "ip": "10.20.0.6", "driver": "bnx2x", "state": "up", "mac": "ec:b1:d7:9d:90:f0", "max_speed": 10000, "current_speed": 10000, "interface_properties": {"numa_node": 0, "pci_id": "14e4:16a2", "sriov": {"available": false, "sriov_totalvfs": 0, "pci_id": "14e4:16ad"}}, "offloading_modes": [{"state": null, "name": "loopback", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "tx-udp_tnl-segmentation", "sub": []}, {"state": null, "name": "tx-sit-segmentation", "sub": []}, {"state": null, "name": "tx-ipip-segmentation", "sub": []}, {"state": null, "name": "tx-gre-segmentation", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-ecn-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "netmask": "255.255.255.0", "pxe": true, "bus_info": "0000:06:00.0"}, {"name": "eno50", "driver": "bnx2x", "state": "down", "mac": "ec:b1:d7:9d:90:f8", "max_speed": 10000, "current_speed": null, "interface_properties": {"numa_node": 0, "pci_id": "14e4:16a2", "sriov": {"available": false, "sriov_totalvfs": 0, "pci_id": "14e4:16ad"}}, "offloading_modes": [{"state": null, "name": "loopback", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "tx-udp_tnl-segmentation", "sub": []}, {"state": null, "name": "tx-sit-segmentation", "sub": []}, {"state": null, "name": "tx-ipip-segmentation", "sub": []}, {"state": null, "name": "tx-gre-segmentation", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-ecn-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "bus_info": "0000:06:00.1"}, {"name": "ens1f0", "driver": "ixgbe", "state": "down", "mac": "8c:dc:d4:b7:97:80", "max_speed": 10000, "current_speed": 10000, "interface_properties": {"numa_node": 0, "pci_id": "8086:10f8", "sriov": {"available": true, "sriov_totalvfs": 63, "pci_id": "8086:10ed"}}, "offloading_modes": [{"state": null, "name": "l2-fwd-offload", "sub": []}, {"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-filter", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "ntuple-filters", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "bus_info": "0000:08:00.0"}, {"name": "ens1f1", "driver": "ixgbe", "state": "down", "mac": "8c:dc:d4:b7:97:81", "max_speed": 10000, "current_speed": 10000, "interface_properties": {"numa_node": 0, "pci_id": "8086:10f8", "sriov": {"available": true, "sriov_totalvfs": 63, "pci_id": "8086:10ed"}}, "offloading_modes": [{"state": null, "name": "l2-fwd-offload", "sub": []}, {"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-filter", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "ntuple-filters", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "bus_info": "0000:08:00.1"}, {"name": "ens2f0", "driver": "ixgbe", "state": "down", "mac": "8c:dc:d4:b7:95:68", "max_speed": 10000, "current_speed": 10000, "interface_properties": {"numa_node": 1, "pci_id": "8086:10f8", "sriov": {"available": true, "sriov_totalvfs": 63, "pci_id": "8086:10ed"}}, "offloading_modes": [{"state": null, "name": "l2-fwd-offload", "sub": []}, {"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-filter", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "ntuple-filters", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "bus_info": "0000:87:00.0"}, {"name": "ens2f1", "driver": "ixgbe", "state": "down", "mac": "8c:dc:d4:b7:95:69", "max_speed": 10000, "current_speed": 10000, "interface_properties": {"numa_node": 1, "pci_id": "8086:10f8", "sriov": {"available": true, "sriov_totalvfs": 63, "pci_id": "8086:10ed"}}, "offloading_modes": [{"state": null, "name": "l2-fwd-offload", "sub": []}, {"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-filter", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "ntuple-filters", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "bus_info": "0000:87:00.1"}], "disks": [{"paths": null, "name": "sda", "extra": ["disk/by-id/wwn-0x600508b1001c7b2e5610f6147bedc166", "disk/by-id/scsi-3600508b1001c7b2e5610f6147bedc166"], "removable": "0", "model": "LOGICAL VOLUME", "disk": "disk/by-path/pci-0000:07:00.0-scsi-0:0:0:0", "size": 1200186417152}], "system": {"product": "ProLiant BL460c Gen9", "uuid": "33363737-3032-5A43-3335-333844535437", "family": "ProLiant", "fqdn": "bootstrap", "runtime_uuid": "d7079090-3ac0-4b4f-b022-254a3d5bc3ef", "manufacturer": "HP"}, "numa_topology": {"numa_nodes": [{"pcidevs": ["0000:06:00.0", "0000:06:00.1", "0000:07:00.0", "0000:08:00.0", "0000:08:00.1", "0000:01:00.1"], "memory": 67431464960, "id": 0, "cpus": [0, 24, 1, 25, 2, 26, 3, 27, 4, 28, 5, 29, 6, 30, 7, 31, 8, 32, 9, 33, 10, 34, 11, 35]}, {"pcidevs": ["0000:87:00.0", "0000:87:00.1"], "memory": 67625697280, "id": 1, "cpus": [12, 36, 13, 37, 14, 38, 15, 39, 16, 40, 17, 41, 18, 42, 19, 43, 20, 44, 21, 45, 22, 46, 23, 47]}], "distances": [["1.000000", "2.100000"], ["2.100000", "1.000000"]], "supported_hugepages": [2048, 1048576]}, "cpu": {"real": 2, "total": 48, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}]}}	ec:b1:d7:9d:90:f0	10.20.0.6	HP	ProLiant BL460c Gen9	\N	0	ubuntu	t	f	\N	\N	2016-11-17 20:33:41.621305	t	2d5abfbf385e8487d39fb5e6c3305002585af0ac	[]	{}	1	node-3	{}	{ceph-osd,controller}	{}	\N	{}	{}	[]	{"cpu_pinning": {"metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'kvm'"}], "group": "nfv", "weight": 10, "label": "CPU pinning"}, "nova": {"description": "Number of CPUs for Nova usage", "weight": 10, "min": 0, "value": 0, "label": "Nova CPU pinning", "type": "number"}, "dpdk": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "description": "Number of CPUs for DPDK usage", "weight": 20, "min": 0, "value": 0, "label": "DPDK CPU pinning", "type": "number"}}, "hugepages": {"dpdk": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "description": "DPDK Huge Pages per NUMA node in MB", "weight": 20, "min": 0, "value": 0, "label": "DPDK Huge Pages", "type": "number"}, "nova": {"weight": 10, "type": "custom_hugepages", "description": "Nova Huge Pages configuration", "value": {"2048": 0, "1048576": 0}, "label": "Nova Huge Pages"}, "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'kvm'"}], "group": "nfv", "weight": 20, "label": "Huge Pages"}}}
1	f96af0ed-08e2-4de0-a2d8-eb94160cf19b	1	Untitled (98:40)	discover	{"pci_devices": {"product": "ProLiant BL460c Gen9 (776320-B21)", "handle": "DMI:0009", "description": "Blade", "children": [{"description": "Motherboard", "class": "bus", "id": "core", "claimed": true, "physid": "0", "children": [{"slot": "L1-Cache", "capacity": 786432, "handle": "DMI:0000", "description": "L1 cache", "capabilities": {"unified": "Unified cache", "internal": "Internal", "synchronous": "Synchronous", "write-back": "Write-back"}, "class": "memory", "units": "bytes", "claimed": true, "physid": "0", "id": "cache:0", "size": 786432}, {"slot": "L2-Cache", "capacity": 3145728, "handle": "DMI:0001", "description": "L2 cache", "capabilities": {"unified": "Unified cache", "varies": "Varies With Memory Address", "internal": "Internal", "synchronous": "Synchronous"}, "class": "memory", "units": "bytes", "claimed": true, "physid": "1", "id": "cache:1", "size": 3145728}, {"slot": "L3-Cache", "capacity": 31457280, "handle": "DMI:0002", "description": "L3 cache", "capabilities": {"unified": "Unified cache", "varies": "Varies With Memory Address", "internal": "Internal", "synchronous": "Synchronous"}, "class": "memory", "units": "bytes", "claimed": true, "physid": "2", "id": "cache:2", "size": 31457280}, {"slot": "Proc 1", "product": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "capacity": 4000000000, "handle": "DMI:0003", "description": "CPU", "width": 64, "clock": 100000000, "capabilities": {"tsc_adjust": true, "vme": "virtual mode extensions", "vmx": true, "pts": true, "smep": true, "fpu": "mathematical co-processor", "sse4_2": true, "monitor": true, "sse4_1": true, "tsc": "time stamp counter", "fxsr": "fast floating point save/restore", "tm": "thermal interrupt and status", "arat": true, "de": "debugging extensions", "aperfmperf": true, "pse": "page size extensions", "x86-64": "64bits extensions (x86-64)", "sse": "streaming SIMD extensions (SSE)", "f16c": true, "flexpriority": true, "aes": true, "avx2": true, "pbe": "pending break event", "cx16": true, "ds_cpl": true, "movbe": true, "xsaveopt": true, "bts": true, "sep": "fast system calls", "xsave": true, "fpu_exception": "FPU exceptions reporting", "xtopology": true, "erms": true, "constant_tsc": true, "est": true, "smx": true, "abm": true, "nopl": true, "arch_perfmon": true, "acpi": "thermal control (ACPI)", "mmx": "multimedia extensions (MMX)", "dca": true, "popcnt": true, "wp": true, "pln": true, "dtherm": true, "tm2": true, "pcid": true, "cpufreq": "CPU Frequency scaling", "pdcm": true, "ida": true, "pebs": true, "pge": "page global enable", "clflush": true, "dtes64": true, "xtpr": true, "ht": "HyperThreading", "msr": "model-specific registers", "fma": true, "cx8": "compare and exchange 8-byte", "nonstop_tsc": true, "mce": "machine check exceptions", "mca": "machine check architecture", "pni": true, "apic": "on-chip advanced programmable interrupt controller (APIC)", "fsgsbase": true, "rdtscp": true, "ssse3": true, "pse36": "36-bit page size extensions", "mtrr": "memory type range registers", "dts": "debug trace and EMON store MSRs", "avx": true, "syscall": "fast system calls", "invpcid": true, "cmov": "conditional move instruction", "pat": "page attribute table", "eagerfpu": true, "nx": "no-execute bit (NX)", "pae": "4GB+ memory addressing (Physical Address Extension)", "vpid": true, "tpr_shadow": true, "rep_good": true, "tsc_deadline_timer": true, "pdpe1gb": true, "rdrand": true, "lahf_lm": true, "pclmulqdq": true, "sse2": "streaming SIMD extensions (SSE2)", "ss": "self-snoop", "ept": true, "bmi1": true, "bmi2": true, "vnmi": true, "x2apic": true, "epb": true}, "class": "processor", "units": "Hz", "version": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "businfo": "cpu@0", "physid": "3", "claimed": true, "vendor": "Intel Corp.", "configuration": {"cores": "12", "threads": "24", "enabledcores": "12"}, "id": "cpu:0", "size": 1200000000}, {"slot": "L1-Cache", "capacity": 786432, "handle": "DMI:0004", "description": "L1 cache", "capabilities": {"unified": "Unified cache", "internal": "Internal", "synchronous": "Synchronous", "write-back": "Write-back"}, "class": "memory", "units": "bytes", "claimed": true, "physid": "4", "id": "cache:3", "size": 786432}, {"slot": "L2-Cache", "capacity": 3145728, "handle": "DMI:0005", "description": "L2 cache", "capabilities": {"unified": "Unified cache", "varies": "Varies With Memory Address", "internal": "Internal", "synchronous": "Synchronous"}, "class": "memory", "units": "bytes", "claimed": true, "physid": "5", "id": "cache:4", "size": 3145728}, {"slot": "L3-Cache", "capacity": 31457280, "handle": "DMI:0006", "description": "L3 cache", "capabilities": {"unified": "Unified cache", "varies": "Varies With Memory Address", "internal": "Internal", "synchronous": "Synchronous"}, "class": "memory", "units": "bytes", "claimed": true, "physid": "6", "id": "cache:5", "size": 31457280}, {"slot": "Proc 2", "product": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "capacity": 4000000000, "handle": "DMI:0007", "description": "CPU", "width": 64, "clock": 100000000, "capabilities": {"tsc_adjust": true, "vme": "virtual mode extensions", "vmx": true, "pts": true, "smep": true, "fpu": "mathematical co-processor", "sse4_2": true, "monitor": true, "sse4_1": true, "tsc": "time stamp counter", "fxsr": "fast floating point save/restore", "tm": "thermal interrupt and status", "arat": true, "de": "debugging extensions", "aperfmperf": true, "pse": "page size extensions", "x86-64": "64bits extensions (x86-64)", "sse": "streaming SIMD extensions (SSE)", "f16c": true, "flexpriority": true, "aes": true, "avx2": true, "pbe": "pending break event", "cx16": true, "ds_cpl": true, "movbe": true, "xsaveopt": true, "bts": true, "sep": "fast system calls", "xsave": true, "fpu_exception": "FPU exceptions reporting", "xtopology": true, "erms": true, "constant_tsc": true, "est": true, "smx": true, "abm": true, "nopl": true, "arch_perfmon": true, "acpi": "thermal control (ACPI)", "mmx": "multimedia extensions (MMX)", "dca": true, "popcnt": true, "wp": true, "pln": true, "dtherm": true, "tm2": true, "pcid": true, "cpufreq": "CPU Frequency scaling", "pdcm": true, "ida": true, "pebs": true, "pge": "page global enable", "clflush": true, "dtes64": true, "xtpr": true, "ht": "HyperThreading", "msr": "model-specific registers", "fma": true, "cx8": "compare and exchange 8-byte", "nonstop_tsc": true, "mce": "machine check exceptions", "mca": "machine check architecture", "pni": true, "apic": "on-chip advanced programmable interrupt controller (APIC)", "fsgsbase": true, "rdtscp": true, "ssse3": true, "pse36": "36-bit page size extensions", "mtrr": "memory type range registers", "dts": "debug trace and EMON store MSRs", "avx": true, "syscall": "fast system calls", "invpcid": true, "cmov": "conditional move instruction", "pat": "page attribute table", "eagerfpu": true, "nx": "no-execute bit (NX)", "pae": "4GB+ memory addressing (Physical Address Extension)", "vpid": true, "tpr_shadow": true, "rep_good": true, "tsc_deadline_timer": true, "pdpe1gb": true, "rdrand": true, "lahf_lm": true, "pclmulqdq": true, "sse2": "streaming SIMD extensions (SSE2)", "ss": "self-snoop", "ept": true, "bmi1": true, "bmi2": true, "vnmi": true, "x2apic": true, "epb": true}, "class": "processor", "units": "Hz", "version": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "businfo": "cpu@1", "physid": "7", "claimed": true, "vendor": "Intel Corp.", "configuration": {"cores": "12", "threads": "24", "enabledcores": "12"}, "id": "cpu:1", "size": 1200000000}, {"units": "bytes", "vendor": "HP", "description": "BIOS", "capacity": 16711680, "capabilities": {"upgrade": "BIOS EEPROM can be upgraded", "shadowing": "BIOS shadowing", "edd": "Enhanced Disk Drive extensions", "int13floppy720": "3.5\\" 720KB floppy", "pnp": "Plug-and-Play", "netboot": "Function-key initiated network service boot", "int9keyboard": "i8042 keyboard controller", "int13floppy1200": "5.25\\" 1.2MB floppy", "int13floppy360": "5.25\\" 360KB floppy", "biosbootspecification": "BIOS boot specification", "int5printscreen": "Print Screen key", "pci": "PCI bus", "uefi": "UEFI specification is supported", "usb": "USB legacy emulation", "int17printer": "INT17 printer control", "escd": "ESCD", "bootselect": "Selectable boot path", "int14serial": "INT14 serial line control", "int10video": "INT10 CGA/Mono video", "acpi": "ACPI", "cdboot": "Booting from CD-ROM/DVD"}, "class": "memory", "date": "05/06/2015", "version": "I36", "claimed": true, "physid": "9", "id": "firmware", "size": 65536}, {"slot": "System board or motherboard", "handle": "DMI:000A", "description": "System Memory", "children": [{"slot": "PROC 1 DIMM 1", "product": "752369-081", "handle": "DMI:000C", "description": "DIMM Synchronous 2133 MHz (0.5 ns)", "width": 64, "clock": 2133000000, "class": "memory", "units": "bytes", "physid": "0", "claimed": true, "vendor": "HP", "id": "bank:0", "size": 17179869184}, {"slot": "PROC 1 DIMM 2", "product": "NOT AVAILABLE", "handle": "DMI:000D", "description": "DIMM Synchronous [empty]", "class": "memory", "width": 64, "physid": "1", "claimed": true, "vendor": "UNKNOWN", "id": "bank:1"}, {"slot": "PROC 1 DIMM 3", "product": "752369-081", "handle": "DMI:000E", "description": "DIMM Synchronous 2133 MHz (0.5 ns)", "width": 64, "clock": 2133000000, "class": "memory", "units": "bytes", "physid": "2", "claimed": true, "vendor": "HP", "id": "bank:2", "size": 17179869184}, {"slot": "PROC 1 DIMM 4", "product": "NOT AVAILABLE", "handle": "DMI:000F", "description": "DIMM Synchronous [empty]", "class": "memory", "width": 64, "physid": "3", "claimed": true, "vendor": "UNKNOWN", "id": "bank:3"}, {"slot": "PROC 1 DIMM 5", "product": "NOT AVAILABLE", "handle": "DMI:0010", "description": "DIMM Synchronous [empty]", "class": "memory", "width": 64, "physid": "4", "claimed": true, "vendor": "UNKNOWN", "id": "bank:4"}, {"slot": "PROC 1 DIMM 6", "product": "752369-081", "handle": "DMI:0011", "description": "DIMM Synchronous 2133 MHz (0.5 ns)", "width": 64, "clock": 2133000000, "class": "memory", "units": "bytes", "physid": "5", "claimed": true, "vendor": "HP", "id": "bank:5", "size": 17179869184}, {"slot": "PROC 1 DIMM 7", "product": "NOT AVAILABLE", "handle": "DMI:0012", "description": "DIMM Synchronous [empty]", "class": "memory", "width": 64, "physid": "6", "claimed": true, "vendor": "UNKNOWN", "id": "bank:6"}, {"slot": "PROC 1 DIMM 8", "product": "752369-081", "handle": "DMI:0013", "description": "DIMM Synchronous 2133 MHz (0.5 ns)", "width": 64, "clock": 2133000000, "class": "memory", "units": "bytes", "physid": "7", "claimed": true, "vendor": "HP", "id": "bank:7", "size": 17179869184}], "class": "memory", "claimed": true, "physid": "a", "id": "memory:0"}, {"slot": "System board or motherboard", "handle": "DMI:000B", "description": "System Memory", "children": [{"slot": "PROC 2 DIMM 1", "product": "752369-081", "handle": "DMI:0014", "description": "DIMM Synchronous 2133 MHz (0.5 ns)", "width": 64, "clock": 2133000000, "class": "memory", "units": "bytes", "physid": "0", "claimed": true, "vendor": "HP", "id": "bank:0", "size": 17179869184}, {"slot": "PROC 2 DIMM 2", "product": "NOT AVAILABLE", "handle": "DMI:0015", "description": "DIMM Synchronous [empty]", "class": "memory", "width": 64, "physid": "1", "claimed": true, "vendor": "UNKNOWN", "id": "bank:1"}, {"slot": "PROC 2 DIMM 3", "product": "752369-081", "handle": "DMI:0016", "description": "DIMM Synchronous 2133 MHz (0.5 ns)", "width": 64, "clock": 2133000000, "class": "memory", "units": "bytes", "physid": "2", "claimed": true, "vendor": "HP", "id": "bank:2", "size": 17179869184}, {"slot": "PROC 2 DIMM 4", "product": "NOT AVAILABLE", "handle": "DMI:0017", "description": "DIMM Synchronous [empty]", "class": "memory", "width": 64, "physid": "3", "claimed": true, "vendor": "UNKNOWN", "id": "bank:3"}, {"slot": "PROC 2 DIMM 5", "product": "NOT AVAILABLE", "handle": "DMI:0018", "description": "DIMM Synchronous [empty]", "class": "memory", "width": 64, "physid": "4", "claimed": true, "vendor": "UNKNOWN", "id": "bank:4"}, {"slot": "PROC 2 DIMM 6", "product": "752369-081", "handle": "DMI:0019", "description": "DIMM Synchronous 2133 MHz (0.5 ns)", "width": 64, "clock": 2133000000, "class": "memory", "units": "bytes", "physid": "5", "claimed": true, "vendor": "HP", "id": "bank:5", "size": 17179869184}, {"slot": "PROC 2 DIMM 7", "product": "NOT AVAILABLE", "handle": "DMI:001A", "description": "DIMM Synchronous [empty]", "class": "memory", "width": 64, "physid": "6", "claimed": true, "vendor": "UNKNOWN", "id": "bank:6"}, {"slot": "PROC 2 DIMM 8", "product": "752369-081", "handle": "DMI:001B", "description": "DIMM Synchronous 2133 MHz (0.5 ns)", "width": 64, "clock": 2133000000, "class": "memory", "units": "bytes", "physid": "7", "claimed": true, "vendor": "HP", "id": "bank:7", "size": 17179869184}], "class": "memory", "claimed": true, "physid": "c", "id": "memory:1"}, {"physid": "d", "id": "memory:2", "class": "memory"}, {"physid": "e", "id": "memory:3", "class": "memory"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMI2", "handle": "PCIBUS:0000:00", "description": "Host bridge", "clock": 33000000, "children": [{"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 1", "handle": "PCIBUS:0000:02", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:01.0", "physid": "1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:0"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 1", "handle": "PCIBUS:0000:05", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:01.1", "physid": "1.1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:1"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 2", "handle": "PCIBUS:0000:06", "description": "PCI bridge", "clock": 33000000, "children": [{"product": "BCM57840 NetXtreme II 10/20-Gigabit Ethernet", "capacity": 1000000000, "handle": "PCI:0000:06:00.0", "description": "Ethernet interface", "width": 64, "logicalname": "eno49", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "fibre": "optical fibre", "msix": "MSI-X", "rom": "extension ROM", "bus_master": "bus mastering", "autonegotiation": "Auto-negotiation", "vpd": "Vital Product Data", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "ethernet": true, "physical": "Physical interface", "pm": "Power Management"}, "class": "network", "units": "bit/s", "version": "11", "businfo": "pci@0000:06:00.0", "clock": 33000000, "physid": "0", "claimed": true, "vendor": "Broadcom Corporation", "serial": "ec:b1:d7:9d:98:40", "configuration": {"latency": "0", "autonegotiation": "on", "duplex": "full", "ip": "10.20.0.7", "firmware": "bc 7.12.83", "driver": "bnx2x", "broadcast": "yes", "multicast": "yes", "link": "yes", "driverversion": "1.78.17-0", "port": "fibre"}, "id": "network:0"}, {"product": "BCM57840 NetXtreme II 10/20-Gigabit Ethernet", "capacity": 1000000000, "handle": "PCI:0000:06:00.1", "description": "Ethernet interface", "width": 64, "logicalname": "eno50", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "fibre": "optical fibre", "msix": "MSI-X", "rom": "extension ROM", "bus_master": "bus mastering", "autonegotiation": "Auto-negotiation", "vpd": "Vital Product Data", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "ethernet": true, "physical": "Physical interface", "pm": "Power Management"}, "class": "network", "disabled": true, "units": "bit/s", "version": "11", "businfo": "pci@0000:06:00.1", "clock": 33000000, "physid": "0.1", "claimed": true, "vendor": "Broadcom Corporation", "serial": "ec:b1:d7:9d:98:48", "configuration": {"latency": "0", "autonegotiation": "on", "firmware": "bc 7.12.83", "driver": "bnx2x", "broadcast": "yes", "multicast": "yes", "link": "no", "driverversion": "1.78.17-0", "port": "fibre"}, "id": "network:1"}], "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:02.0", "physid": "2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:2"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 2", "handle": "PCIBUS:0000:0b", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:02.1", "physid": "2.1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:3"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 2", "handle": "PCIBUS:0000:07", "description": "PCI bridge", "clock": 33000000, "children": [{"product": "Smart Array Gen9 Controllers", "handle": "PCI:0000:07:00.0", "description": "RAID bus controller", "clock": 33000000, "logicalname": "scsi0", "children": [{"product": "P244br", "vendor": "HP", "description": "SCSI", "class": "generic", "version": "3.00", "businfo": "scsi@0:3.0.0", "physid": "3.0.0", "handle": "SCSI:00:03:00:00", "serial": "PDZVU0RLM9A24C", "configuration": {"ansiversion": "5"}, "id": "generic"}, {"product": "LOGICAL VOLUME", "handle": "SCSI:00:00:00:00", "description": "SCSI Disk", "capabilities": {"15000rpm": "15000 rotations per minute"}, "logicalname": "/dev/sda", "dev": "8:0", "class": "disk", "units": "bytes", "version": "3.00", "businfo": "scsi@0:0.0.0", "physid": "0.0.0", "claimed": true, "vendor": "HP", "serial": "PDZVU0RLM9A24C", "configuration": {"ansiversion": "5", "sectorsize": "512"}, "id": "disk", "size": 1200186417152}], "capabilities": {"msix": "MSI-X", "msi": "Message Signalled Interrupts", "storage": true, "bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "rom": "extension ROM", "pm": "Power Management"}, "class": "storage", "width": 64, "version": "01", "businfo": "pci@0000:07:00.0", "physid": "0", "claimed": true, "vendor": "Hewlett-Packard Company", "configuration": {"latency": "0", "driver": "hpsa"}, "id": "storage"}], "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:02.2", "physid": "2.2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:4"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 2", "handle": "PCIBUS:0000:0c", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:02.3", "physid": "2.3", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:5"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 3", "handle": "PCIBUS:0000:08", "description": "PCI bridge", "clock": 33000000, "children": [{"product": "82599 10 Gigabit Dual Port Backplane Connection", "capacity": 1000000000, "handle": "PCI:0000:08:00.0", "description": "Ethernet interface", "width": 32, "logicalname": "ens1f0", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "fibre": "optical fibre", "msix": "MSI-X", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "autonegotiation": "Auto-negotiation", "vpd": "Vital Product Data", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "ethernet": true, "physical": "Physical interface", "rom": "extension ROM", "pm": "Power Management"}, "class": "network", "disabled": true, "units": "bit/s", "version": "01", "businfo": "pci@0000:08:00.0", "clock": 33000000, "physid": "0", "claimed": true, "vendor": "Intel Corporation", "serial": "5c:b9:01:8b:a4:30", "configuration": {"latency": "0", "autonegotiation": "on", "duplex": "full", "firmware": "0x80000815", "driver": "ixgbe", "broadcast": "yes", "multicast": "yes", "link": "no", "driverversion": "3.15.1-k"}, "id": "network:0"}, {"product": "82599 10 Gigabit Dual Port Backplane Connection", "capacity": 1000000000, "handle": "PCI:0000:08:00.1", "description": "Ethernet interface", "width": 32, "logicalname": "ens1f1", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "fibre": "optical fibre", "msix": "MSI-X", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "autonegotiation": "Auto-negotiation", "vpd": "Vital Product Data", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "ethernet": true, "physical": "Physical interface", "pm": "Power Management"}, "class": "network", "disabled": true, "units": "bit/s", "version": "01", "businfo": "pci@0000:08:00.1", "clock": 33000000, "physid": "0.1", "claimed": true, "vendor": "Intel Corporation", "serial": "5c:b9:01:8b:a4:31", "configuration": {"latency": "0", "autonegotiation": "on", "duplex": "full", "firmware": "0x80000815", "driver": "ixgbe", "broadcast": "yes", "multicast": "yes", "link": "no", "driverversion": "3.15.1-k"}, "id": "network:1"}], "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:03.0", "physid": "3", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:6"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 3", "handle": "PCIBUS:0000:0d", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:03.1", "physid": "3.1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:7"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 3", "handle": "PCIBUS:0000:0e", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:03.2", "physid": "3.2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:8"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 3", "handle": "PCIBUS:0000:0f", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:03.3", "physid": "3.3", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:9"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 0", "handle": "PCI:0000:00:04.0", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.0", "physid": "4", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:0"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 1", "handle": "PCI:0000:00:04.1", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.1", "physid": "4.1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:1"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 2", "handle": "PCI:0000:00:04.2", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.2", "physid": "4.2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:2"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 3", "handle": "PCI:0000:00:04.3", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.3", "physid": "4.3", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:3"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 4", "handle": "PCI:0000:00:04.4", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.4", "physid": "4.4", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:4"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 5", "handle": "PCI:0000:00:04.5", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.5", "physid": "4.5", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:5"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 6", "handle": "PCI:0000:00:04.6", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.6", "physid": "4.6", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:6"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 7", "handle": "PCI:0000:00:04.7", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.7", "physid": "4.7", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:7"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Address Map, VTd_Misc, System Management", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:00:05.0", "physid": "5", "handle": "PCI:0000:00:05.0", "configuration": {"latency": "0"}, "id": "generic:8"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Hot Plug", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "pciexpress": "PCI Express"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:00:05.1", "physid": "5.1", "handle": "PCI:0000:00:05.1", "configuration": {"latency": "0"}, "id": "generic:9"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 RAS, Control Status and Global Errors", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:00:05.2", "physid": "5.2", "handle": "PCI:0000:00:05.2", "configuration": {"latency": "0"}, "id": "generic:10"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 I/O APIC", "vendor": "Intel Corporation", "description": "PIC", "clock": 33000000, "capabilities": {"io_x_-apic": true, "bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:00:05.4", "physid": "5.4", "handle": "PCI:0000:00:05.4", "configuration": {"latency": "0"}, "id": "generic:11"}, {"product": "C610/X99 series chipset SPSR", "vendor": "Intel Corporation", "description": "Unassigned class", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 32, "version": "05", "businfo": "pci@0000:00:11.0", "physid": "11", "handle": "PCI:0000:00:11.0", "configuration": {"latency": "0"}, "id": "generic:12"}, {"product": "C610/X99 series chipset USB xHCI Host Controller", "handle": "PCI:0000:00:14.0", "description": "USB controller", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "xhci": true, "pm": "Power Management"}, "class": "bus", "width": 64, "version": "05", "businfo": "pci@0000:00:14.0", "physid": "14", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "xhci_hcd"}, "id": "usb:0"}, {"product": "C610/X99 series chipset USB Enhanced Host Controller #2", "handle": "PCI:0000:00:1a.0", "description": "USB controller", "clock": 33000000, "capabilities": {"debug": "Debug port", "bus_master": "bus mastering", "ehci": "Enhanced Host Controller Interface (USB2)", "cap_list": "PCI capabilities listing", "pm": "Power Management"}, "class": "bus", "width": 32, "version": "05", "businfo": "pci@0000:00:1a.0", "physid": "1a", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ehci-pci"}, "id": "usb:1"}, {"product": "C610/X99 series chipset PCI Express Root Port #1", "handle": "PCIBUS:0000:10", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "bus_master": "bus mastering", "pci": true, "msi": "Message Signalled Interrupts", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "d5", "businfo": "pci@0000:00:1c.0", "physid": "1c", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:10"}, {"product": "C610/X99 series chipset PCI Express Root Port #3", "handle": "PCIBUS:0000:01", "description": "PCI bridge", "clock": 33000000, "children": [{"product": "Integrated Lights-Out Standard Slave Instrumentation & System Support", "vendor": "Hewlett-Packard Company", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "msi": "Message Signalled Interrupts", "pm": "Power Management"}, "class": "generic", "width": 32, "version": "06", "businfo": "pci@0000:01:00.0", "physid": "0", "handle": "PCI:0000:01:00.0", "configuration": {"latency": "0"}, "id": "generic:0"}, {"product": "MGA G200EH", "vendor": "Matrox Electronics Systems Ltd.", "description": "VGA compatible controller", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "vga_controller": true, "bus_master": "bus mastering", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "display", "width": 32, "version": "01", "businfo": "pci@0000:01:00.1", "physid": "0.1", "handle": "PCI:0000:01:00.1", "configuration": {"latency": "0"}, "id": "display"}, {"product": "Integrated Lights-Out Standard Management Processor Support and Messaging", "handle": "PCI:0000:01:00.2", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "rom": "extension ROM", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 32, "version": "06", "businfo": "pci@0000:01:00.2", "physid": "0.2", "claimed": true, "vendor": "Hewlett-Packard Company", "configuration": {"latency": "0", "driver": "hpilo"}, "id": "generic:1"}, {"product": "Integrated Lights-Out Standard Virtual USB Controller", "handle": "PCI:0000:01:00.4", "description": "USB controller", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pciexpress": "PCI Express", "pm": "Power Management", "uhci": "Universal Host Controller Interface (USB1)"}, "class": "bus", "width": 32, "version": "03", "businfo": "pci@0000:01:00.4", "physid": "0.4", "claimed": true, "vendor": "Hewlett-Packard Company", "configuration": {"latency": "0", "driver": "uhci_hcd"}, "id": "usb"}], "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "bus_master": "bus mastering", "pci": true, "msi": "Message Signalled Interrupts", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "d5", "businfo": "pci@0000:00:1c.2", "physid": "1c.2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:11"}, {"product": "C610/X99 series chipset PCI Express Root Port #5", "handle": "PCIBUS:0000:11", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "bus_master": "bus mastering", "pci": true, "msi": "Message Signalled Interrupts", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "d5", "businfo": "pci@0000:00:1c.4", "physid": "1c.4", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:12"}, {"product": "C610/X99 series chipset PCI Express Root Port #7", "handle": "PCIBUS:0000:12", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "bus_master": "bus mastering", "pci": true, "msi": "Message Signalled Interrupts", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "d5", "businfo": "pci@0000:00:1c.6", "physid": "1c.6", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:13"}, {"product": "C610/X99 series chipset PCI Express Root Port #8", "handle": "PCIBUS:0000:13", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "bus_master": "bus mastering", "pci": true, "msi": "Message Signalled Interrupts", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "d5", "businfo": "pci@0000:00:1c.7", "physid": "1c.7", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:14"}, {"product": "C610/X99 series chipset USB Enhanced Host Controller #1", "handle": "PCI:0000:00:1d.0", "description": "USB controller", "clock": 33000000, "capabilities": {"debug": "Debug port", "bus_master": "bus mastering", "ehci": "Enhanced Host Controller Interface (USB2)", "cap_list": "PCI capabilities listing", "pm": "Power Management"}, "class": "bus", "width": 32, "version": "05", "businfo": "pci@0000:00:1d.0", "physid": "1d", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ehci-pci"}, "id": "usb:2"}, {"product": "C610/X99 series chipset LPC Controller", "handle": "PCI:0000:00:1f.0", "description": "ISA bridge", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "isa": true, "cap_list": "PCI capabilities listing"}, "class": "bridge", "width": 32, "version": "05", "businfo": "pci@0000:00:1f.0", "physid": "1f", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "lpc_ich"}, "id": "isa"}, {"product": "C610/X99 series chipset SMBus Controller", "vendor": "Intel Corporation", "description": "SMBus", "clock": 33000000, "class": "bus", "width": 64, "version": "05", "businfo": "pci@0000:00:1f.3", "physid": "1f.3", "handle": "PCI:0000:00:1f.3", "configuration": {"latency": "0"}, "id": "serial"}], "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:00.0", "physid": "100", "claimed": true, "vendor": "Intel Corporation", "id": "pci:0"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 0", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:08.0", "physid": "f", "handle": "PCI:0000:7f:08.0", "configuration": {"latency": "0"}, "id": "generic:0"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 0", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:08.3", "physid": "10", "handle": "PCI:0000:7f:08.3", "configuration": {"latency": "0"}, "id": "generic:1"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:09.0", "physid": "11", "handle": "PCI:0000:7f:09.0", "configuration": {"latency": "0"}, "id": "generic:2"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:09.3", "physid": "12", "handle": "PCI:0000:7f:09.3", "configuration": {"latency": "0"}, "id": "generic:3"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0b.0", "physid": "13", "handle": "PCI:0000:7f:0b.0", "configuration": {"latency": "0"}, "id": "generic:4"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0b.1", "physid": "14", "handle": "PCI:0000:7f:0b.1", "configuration": {"latency": "0"}, "id": "generic:5"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0b.2", "physid": "15", "handle": "PCI:0000:7f:0b.2", "configuration": {"latency": "0"}, "id": "generic:6"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.0", "physid": "16", "handle": "PCI:0000:7f:0c.0", "configuration": {"latency": "0"}, "id": "generic:7"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.1", "physid": "17", "handle": "PCI:0000:7f:0c.1", "configuration": {"latency": "0"}, "id": "generic:8"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.2", "physid": "18", "handle": "PCI:0000:7f:0c.2", "configuration": {"latency": "0"}, "id": "generic:9"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.3", "physid": "19", "handle": "PCI:0000:7f:0c.3", "configuration": {"latency": "0"}, "id": "generic:10"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.4", "physid": "1a", "handle": "PCI:0000:7f:0c.4", "configuration": {"latency": "0"}, "id": "generic:11"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.5", "physid": "1b", "handle": "PCI:0000:7f:0c.5", "configuration": {"latency": "0"}, "id": "generic:12"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.6", "physid": "1c", "handle": "PCI:0000:7f:0c.6", "configuration": {"latency": "0"}, "id": "generic:13"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.7", "physid": "1d", "handle": "PCI:0000:7f:0c.7", "configuration": {"latency": "0"}, "id": "generic:14"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0d.0", "physid": "1e", "handle": "PCI:0000:7f:0d.0", "configuration": {"latency": "0"}, "id": "generic:15"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0d.1", "physid": "1f", "handle": "PCI:0000:7f:0d.1", "configuration": {"latency": "0"}, "id": "generic:16"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0d.2", "physid": "20", "handle": "PCI:0000:7f:0d.2", "configuration": {"latency": "0"}, "id": "generic:17"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0d.3", "physid": "21", "handle": "PCI:0000:7f:0d.3", "configuration": {"latency": "0"}, "id": "generic:18"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0f.0", "physid": "22", "handle": "PCI:0000:7f:0f.0", "configuration": {"latency": "0"}, "id": "generic:19"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0f.1", "physid": "23", "handle": "PCI:0000:7f:0f.1", "configuration": {"latency": "0"}, "id": "generic:20"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0f.2", "physid": "24", "handle": "PCI:0000:7f:0f.2", "configuration": {"latency": "0"}, "id": "generic:21"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0f.3", "physid": "25", "handle": "PCI:0000:7f:0f.3", "configuration": {"latency": "0"}, "id": "generic:22"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0f.4", "physid": "26", "handle": "PCI:0000:7f:0f.4", "configuration": {"latency": "0"}, "id": "generic:23"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0f.5", "physid": "27", "handle": "PCI:0000:7f:0f.5", "configuration": {"latency": "0"}, "id": "generic:24"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0f.6", "physid": "28", "handle": "PCI:0000:7f:0f.6", "configuration": {"latency": "0"}, "id": "generic:25"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCIe Ring Interface", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:10.0", "physid": "29", "handle": "PCI:0000:7f:10.0", "configuration": {"latency": "0"}, "id": "generic:26"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCIe Ring Interface", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:10.1", "physid": "2a", "handle": "PCI:0000:7f:10.1", "configuration": {"latency": "0"}, "id": "generic:27"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:10.5", "physid": "2b", "handle": "PCI:0000:7f:10.5", "configuration": {"latency": "0"}, "id": "generic:28"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:10.6", "physid": "2c", "handle": "PCI:0000:7f:10.6", "configuration": {"latency": "0"}, "id": "generic:29"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:10.7", "physid": "2d", "handle": "PCI:0000:7f:10.7", "configuration": {"latency": "0"}, "id": "generic:30"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 0", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:12.0", "physid": "2e", "handle": "PCI:0000:7f:12.0", "configuration": {"latency": "0"}, "id": "generic:31"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 0", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:12.1", "physid": "2f", "handle": "PCI:0000:7f:12.1", "configuration": {"latency": "0"}, "id": "generic:32"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 0 Debug", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:12.2", "physid": "30", "handle": "PCI:0000:7f:12.2", "configuration": {"latency": "0"}, "id": "generic:33"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:12.4", "physid": "31", "handle": "PCI:0000:7f:12.4", "configuration": {"latency": "0"}, "id": "generic:34"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 1", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:12.5", "physid": "32", "handle": "PCI:0000:7f:12.5", "configuration": {"latency": "0"}, "id": "generic:35"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 1 Debug", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:12.6", "physid": "33", "handle": "PCI:0000:7f:12.6", "configuration": {"latency": "0"}, "id": "generic:36"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.0", "physid": "34", "handle": "PCI:0000:7f:13.0", "configuration": {"latency": "0"}, "id": "generic:37"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.1", "physid": "35", "handle": "PCI:0000:7f:13.1", "configuration": {"latency": "0"}, "id": "generic:38"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.2", "physid": "36", "handle": "PCI:0000:7f:13.2", "configuration": {"latency": "0"}, "id": "generic:39"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.3", "physid": "37", "handle": "PCI:0000:7f:13.3", "configuration": {"latency": "0"}, "id": "generic:40"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Channel 0/1 Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.6", "physid": "38", "handle": "PCI:0000:7f:13.6", "configuration": {"latency": "0"}, "id": "generic:41"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Global Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.7", "physid": "39", "handle": "PCI:0000:7f:13.7", "configuration": {"latency": "0"}, "id": "generic:42"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 0 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.0", "physid": "3a", "handle": "PCI:0000:7f:14.0", "configuration": {"latency": "0"}, "id": "generic:43"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 1 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.1", "physid": "3b", "handle": "PCI:0000:7f:14.1", "configuration": {"latency": "0"}, "id": "generic:44"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 0 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.2", "physid": "3c", "handle": "PCI:0000:7f:14.2", "configuration": {"latency": "0"}, "id": "generic:45"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 1 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.3", "physid": "3d", "handle": "PCI:0000:7f:14.3", "configuration": {"latency": "0"}, "id": "generic:46"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.4", "physid": "3e", "handle": "PCI:0000:7f:14.4", "configuration": {"latency": "0"}, "id": "generic:47"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.5", "physid": "3f", "handle": "PCI:0000:7f:14.5", "configuration": {"latency": "0"}, "id": "generic:48"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.6", "physid": "40", "handle": "PCI:0000:7f:14.6", "configuration": {"latency": "0"}, "id": "generic:49"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.7", "physid": "41", "handle": "PCI:0000:7f:14.7", "configuration": {"latency": "0"}, "id": "generic:50"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:16.0", "physid": "42", "handle": "PCI:0000:7f:16.0", "configuration": {"latency": "0"}, "id": "generic:51"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:16.1", "physid": "43", "handle": "PCI:0000:7f:16.1", "configuration": {"latency": "0"}, "id": "generic:52"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:16.2", "physid": "44", "handle": "PCI:0000:7f:16.2", "configuration": {"latency": "0"}, "id": "generic:53"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:16.3", "physid": "45", "handle": "PCI:0000:7f:16.3", "configuration": {"latency": "0"}, "id": "generic:54"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Channel 2/3 Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:16.6", "physid": "46", "handle": "PCI:0000:7f:16.6", "configuration": {"latency": "0"}, "id": "generic:55"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Global Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:16.7", "physid": "47", "handle": "PCI:0000:7f:16.7", "configuration": {"latency": "0"}, "id": "generic:56"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 0 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.0", "physid": "48", "handle": "PCI:0000:7f:17.0", "configuration": {"latency": "0"}, "id": "generic:57"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 1 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.1", "physid": "49", "handle": "PCI:0000:7f:17.1", "configuration": {"latency": "0"}, "id": "generic:58"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 0 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.2", "physid": "4a", "handle": "PCI:0000:7f:17.2", "configuration": {"latency": "0"}, "id": "generic:59"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 1 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.3", "physid": "4b", "handle": "PCI:0000:7f:17.3", "configuration": {"latency": "0"}, "id": "generic:60"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.4", "physid": "4c", "handle": "PCI:0000:7f:17.4", "configuration": {"latency": "0"}, "id": "generic:61"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.5", "physid": "4d", "handle": "PCI:0000:7f:17.5", "configuration": {"latency": "0"}, "id": "generic:62"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.6", "physid": "4e", "handle": "PCI:0000:7f:17.6", "configuration": {"latency": "0"}, "id": "generic:63"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.7", "physid": "4f", "handle": "PCI:0000:7f:17.7", "configuration": {"latency": "0"}, "id": "generic:64"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1e.0", "physid": "50", "handle": "PCI:0000:7f:1e.0", "configuration": {"latency": "0"}, "id": "generic:65"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1e.1", "physid": "51", "handle": "PCI:0000:7f:1e.1", "configuration": {"latency": "0"}, "id": "generic:66"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1e.2", "physid": "52", "handle": "PCI:0000:7f:1e.2", "configuration": {"latency": "0"}, "id": "generic:67"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1e.3", "physid": "53", "handle": "PCI:0000:7f:1e.3", "configuration": {"latency": "0"}, "id": "generic:68"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1e.4", "physid": "54", "handle": "PCI:0000:7f:1e.4", "configuration": {"latency": "0"}, "id": "generic:69"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 VCU", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1f.0", "physid": "55", "handle": "PCI:0000:7f:1f.0", "configuration": {"latency": "0"}, "id": "generic:70"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 VCU", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1f.2", "physid": "56", "handle": "PCI:0000:7f:1f.2", "configuration": {"latency": "0"}, "id": "generic:71"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 0", "handle": "PCIBUS:0000:8d", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:80:00.0", "physid": "101", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:1"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 1", "handle": "PCIBUS:0000:81", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:80:01.0", "physid": "102", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:2"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 1", "handle": "PCIBUS:0000:82", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:80:01.1", "physid": "1.1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:3"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 2", "handle": "PCIBUS:0000:83", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:80:02.0", "physid": "103", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:4"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 2", "handle": "PCIBUS:0000:84", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:80:02.1", "physid": "2.1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:5"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 2", "handle": "PCIBUS:0000:85", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:80:02.2", "physid": "2.2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:6"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 2", "handle": "PCIBUS:0000:86", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:80:02.3", "physid": "2.3", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:7"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 3", "handle": "PCIBUS:0000:87", "description": "PCI bridge", "clock": 33000000, "children": [{"product": "82599 10 Gigabit Dual Port Backplane Connection", "capacity": 1000000000, "handle": "PCI:0000:87:00.0", "description": "Ethernet interface", "width": 32, "logicalname": "ens2f0", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "fibre": "optical fibre", "msix": "MSI-X", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "autonegotiation": "Auto-negotiation", "vpd": "Vital Product Data", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "ethernet": true, "physical": "Physical interface", "rom": "extension ROM", "pm": "Power Management"}, "class": "network", "disabled": true, "units": "bit/s", "version": "01", "businfo": "pci@0000:87:00.0", "clock": 33000000, "physid": "0", "claimed": true, "vendor": "Intel Corporation", "serial": "5c:b9:01:8b:a3:40", "configuration": {"latency": "0", "autonegotiation": "on", "duplex": "full", "firmware": "0x80000815", "driver": "ixgbe", "broadcast": "yes", "multicast": "yes", "link": "no", "driverversion": "3.15.1-k"}, "id": "network:0"}, {"product": "82599 10 Gigabit Dual Port Backplane Connection", "capacity": 1000000000, "handle": "PCI:0000:87:00.1", "description": "Ethernet interface", "width": 32, "logicalname": "ens2f1", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "fibre": "optical fibre", "msix": "MSI-X", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "autonegotiation": "Auto-negotiation", "vpd": "Vital Product Data", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "ethernet": true, "physical": "Physical interface", "pm": "Power Management"}, "class": "network", "disabled": true, "units": "bit/s", "version": "01", "businfo": "pci@0000:87:00.1", "clock": 33000000, "physid": "0.1", "claimed": true, "vendor": "Intel Corporation", "serial": "5c:b9:01:8b:a3:41", "configuration": {"latency": "0", "autonegotiation": "on", "duplex": "full", "firmware": "0x80000815", "driver": "ixgbe", "broadcast": "yes", "multicast": "yes", "link": "no", "driverversion": "3.15.1-k"}, "id": "network:1"}], "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:80:03.0", "physid": "104", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:8"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 3", "handle": "PCIBUS:0000:8a", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:80:03.1", "physid": "3.1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:9"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 3", "handle": "PCIBUS:0000:8b", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:80:03.2", "physid": "3.2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:10"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 3", "handle": "PCIBUS:0000:8c", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:80:03.3", "physid": "3.3", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:11"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 0", "handle": "PCI:0000:80:04.0", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.0", "physid": "57", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:72"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 1", "handle": "PCI:0000:80:04.1", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.1", "physid": "4.1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:73"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 2", "handle": "PCI:0000:80:04.2", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.2", "physid": "4.2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:74"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 3", "handle": "PCI:0000:80:04.3", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.3", "physid": "4.3", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:75"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 4", "handle": "PCI:0000:80:04.4", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.4", "physid": "4.4", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:76"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 5", "handle": "PCI:0000:80:04.5", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.5", "physid": "4.5", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:77"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 6", "handle": "PCI:0000:80:04.6", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.6", "physid": "4.6", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:78"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 7", "handle": "PCI:0000:80:04.7", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.7", "physid": "4.7", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:79"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Address Map, VTd_Misc, System Management", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:80:05.0", "physid": "58", "handle": "PCI:0000:80:05.0", "configuration": {"latency": "0"}, "id": "generic:80"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Hot Plug", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "pciexpress": "PCI Express"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:80:05.1", "physid": "5.1", "handle": "PCI:0000:80:05.1", "configuration": {"latency": "0"}, "id": "generic:81"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 RAS, Control Status and Global Errors", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:80:05.2", "physid": "5.2", "handle": "PCI:0000:80:05.2", "configuration": {"latency": "0"}, "id": "generic:82"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 I/O APIC", "vendor": "Intel Corporation", "description": "PIC", "clock": 33000000, "capabilities": {"io_x_-apic": true, "bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:80:05.4", "physid": "5.4", "handle": "PCI:0000:80:05.4", "configuration": {"latency": "0"}, "id": "generic:83"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 0", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:08.0", "physid": "8", "handle": "PCI:0000:ff:08.0", "configuration": {"latency": "0"}, "id": "generic:84"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 0", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:08.3", "physid": "59", "handle": "PCI:0000:ff:08.3", "configuration": {"latency": "0"}, "id": "generic:85"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:09.0", "physid": "5a", "handle": "PCI:0000:ff:09.0", "configuration": {"latency": "0"}, "id": "generic:86"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:09.3", "physid": "5b", "handle": "PCI:0000:ff:09.3", "configuration": {"latency": "0"}, "id": "generic:87"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0b.0", "physid": "b", "handle": "PCI:0000:ff:0b.0", "configuration": {"latency": "0"}, "id": "generic:88"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0b.1", "physid": "5c", "handle": "PCI:0000:ff:0b.1", "configuration": {"latency": "0"}, "id": "generic:89"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0b.2", "physid": "5d", "handle": "PCI:0000:ff:0b.2", "configuration": {"latency": "0"}, "id": "generic:90"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.0", "physid": "5e", "handle": "PCI:0000:ff:0c.0", "configuration": {"latency": "0"}, "id": "generic:91"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.1", "physid": "5f", "handle": "PCI:0000:ff:0c.1", "configuration": {"latency": "0"}, "id": "generic:92"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.2", "physid": "60", "handle": "PCI:0000:ff:0c.2", "configuration": {"latency": "0"}, "id": "generic:93"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.3", "physid": "61", "handle": "PCI:0000:ff:0c.3", "configuration": {"latency": "0"}, "id": "generic:94"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.4", "physid": "62", "handle": "PCI:0000:ff:0c.4", "configuration": {"latency": "0"}, "id": "generic:95"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.5", "physid": "63", "handle": "PCI:0000:ff:0c.5", "configuration": {"latency": "0"}, "id": "generic:96"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.6", "physid": "64", "handle": "PCI:0000:ff:0c.6", "configuration": {"latency": "0"}, "id": "generic:97"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.7", "physid": "65", "handle": "PCI:0000:ff:0c.7", "configuration": {"latency": "0"}, "id": "generic:98"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0d.0", "physid": "66", "handle": "PCI:0000:ff:0d.0", "configuration": {"latency": "0"}, "id": "generic:99"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0d.1", "physid": "67", "handle": "PCI:0000:ff:0d.1", "configuration": {"latency": "0"}, "id": "generic:100"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0d.2", "physid": "68", "handle": "PCI:0000:ff:0d.2", "configuration": {"latency": "0"}, "id": "generic:101"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0d.3", "physid": "69", "handle": "PCI:0000:ff:0d.3", "configuration": {"latency": "0"}, "id": "generic:102"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0f.0", "physid": "6a", "handle": "PCI:0000:ff:0f.0", "configuration": {"latency": "0"}, "id": "generic:103"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0f.1", "physid": "6b", "handle": "PCI:0000:ff:0f.1", "configuration": {"latency": "0"}, "id": "generic:104"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0f.2", "physid": "6c", "handle": "PCI:0000:ff:0f.2", "configuration": {"latency": "0"}, "id": "generic:105"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0f.3", "physid": "6d", "handle": "PCI:0000:ff:0f.3", "configuration": {"latency": "0"}, "id": "generic:106"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0f.4", "physid": "6e", "handle": "PCI:0000:ff:0f.4", "configuration": {"latency": "0"}, "id": "generic:107"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0f.5", "physid": "6f", "handle": "PCI:0000:ff:0f.5", "configuration": {"latency": "0"}, "id": "generic:108"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0f.6", "physid": "70", "handle": "PCI:0000:ff:0f.6", "configuration": {"latency": "0"}, "id": "generic:109"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCIe Ring Interface", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:10.0", "physid": "71", "handle": "PCI:0000:ff:10.0", "configuration": {"latency": "0"}, "id": "generic:110"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCIe Ring Interface", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:10.1", "physid": "72", "handle": "PCI:0000:ff:10.1", "configuration": {"latency": "0"}, "id": "generic:111"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:10.5", "physid": "73", "handle": "PCI:0000:ff:10.5", "configuration": {"latency": "0"}, "id": "generic:112"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:10.6", "physid": "74", "handle": "PCI:0000:ff:10.6", "configuration": {"latency": "0"}, "id": "generic:113"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:10.7", "physid": "75", "handle": "PCI:0000:ff:10.7", "configuration": {"latency": "0"}, "id": "generic:114"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 0", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:12.0", "physid": "76", "handle": "PCI:0000:ff:12.0", "configuration": {"latency": "0"}, "id": "generic:115"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 0", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:12.1", "physid": "77", "handle": "PCI:0000:ff:12.1", "configuration": {"latency": "0"}, "id": "generic:116"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 0 Debug", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:12.2", "physid": "78", "handle": "PCI:0000:ff:12.2", "configuration": {"latency": "0"}, "id": "generic:117"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:12.4", "physid": "79", "handle": "PCI:0000:ff:12.4", "configuration": {"latency": "0"}, "id": "generic:118"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 1", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:12.5", "physid": "7a", "handle": "PCI:0000:ff:12.5", "configuration": {"latency": "0"}, "id": "generic:119"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 1 Debug", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:12.6", "physid": "7b", "handle": "PCI:0000:ff:12.6", "configuration": {"latency": "0"}, "id": "generic:120"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.0", "physid": "7c", "handle": "PCI:0000:ff:13.0", "configuration": {"latency": "0"}, "id": "generic:121"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.1", "physid": "7d", "handle": "PCI:0000:ff:13.1", "configuration": {"latency": "0"}, "id": "generic:122"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.2", "physid": "7e", "handle": "PCI:0000:ff:13.2", "configuration": {"latency": "0"}, "id": "generic:123"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.3", "physid": "7f", "handle": "PCI:0000:ff:13.3", "configuration": {"latency": "0"}, "id": "generic:124"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Channel 0/1 Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.6", "physid": "80", "handle": "PCI:0000:ff:13.6", "configuration": {"latency": "0"}, "id": "generic:125"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Global Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.7", "physid": "81", "handle": "PCI:0000:ff:13.7", "configuration": {"latency": "0"}, "id": "generic:126"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 0 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.0", "physid": "82", "handle": "PCI:0000:ff:14.0", "configuration": {"latency": "0"}, "id": "generic:127"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 1 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.1", "physid": "83", "handle": "PCI:0000:ff:14.1", "configuration": {"latency": "0"}, "id": "generic:128"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 0 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.2", "physid": "84", "handle": "PCI:0000:ff:14.2", "configuration": {"latency": "0"}, "id": "generic:129"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 1 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.3", "physid": "85", "handle": "PCI:0000:ff:14.3", "configuration": {"latency": "0"}, "id": "generic:130"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.4", "physid": "86", "handle": "PCI:0000:ff:14.4", "configuration": {"latency": "0"}, "id": "generic:131"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.5", "physid": "87", "handle": "PCI:0000:ff:14.5", "configuration": {"latency": "0"}, "id": "generic:132"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.6", "physid": "88", "handle": "PCI:0000:ff:14.6", "configuration": {"latency": "0"}, "id": "generic:133"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.7", "physid": "89", "handle": "PCI:0000:ff:14.7", "configuration": {"latency": "0"}, "id": "generic:134"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:16.0", "physid": "8a", "handle": "PCI:0000:ff:16.0", "configuration": {"latency": "0"}, "id": "generic:135"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:16.1", "physid": "8b", "handle": "PCI:0000:ff:16.1", "configuration": {"latency": "0"}, "id": "generic:136"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:16.2", "physid": "8c", "handle": "PCI:0000:ff:16.2", "configuration": {"latency": "0"}, "id": "generic:137"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:16.3", "physid": "8d", "handle": "PCI:0000:ff:16.3", "configuration": {"latency": "0"}, "id": "generic:138"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Channel 2/3 Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:16.6", "physid": "8e", "handle": "PCI:0000:ff:16.6", "configuration": {"latency": "0"}, "id": "generic:139"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Global Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:16.7", "physid": "8f", "handle": "PCI:0000:ff:16.7", "configuration": {"latency": "0"}, "id": "generic:140"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 0 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.0", "physid": "90", "handle": "PCI:0000:ff:17.0", "configuration": {"latency": "0"}, "id": "generic:141"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 1 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.1", "physid": "91", "handle": "PCI:0000:ff:17.1", "configuration": {"latency": "0"}, "id": "generic:142"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 0 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.2", "physid": "92", "handle": "PCI:0000:ff:17.2", "configuration": {"latency": "0"}, "id": "generic:143"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 1 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.3", "physid": "93", "handle": "PCI:0000:ff:17.3", "configuration": {"latency": "0"}, "id": "generic:144"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.4", "physid": "94", "handle": "PCI:0000:ff:17.4", "configuration": {"latency": "0"}, "id": "generic:145"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.5", "physid": "95", "handle": "PCI:0000:ff:17.5", "configuration": {"latency": "0"}, "id": "generic:146"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.6", "physid": "96", "handle": "PCI:0000:ff:17.6", "configuration": {"latency": "0"}, "id": "generic:147"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.7", "physid": "97", "handle": "PCI:0000:ff:17.7", "configuration": {"latency": "0"}, "id": "generic:148"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1e.0", "physid": "98", "handle": "PCI:0000:ff:1e.0", "configuration": {"latency": "0"}, "id": "generic:149"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1e.1", "physid": "99", "handle": "PCI:0000:ff:1e.1", "configuration": {"latency": "0"}, "id": "generic:150"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1e.2", "physid": "9a", "handle": "PCI:0000:ff:1e.2", "configuration": {"latency": "0"}, "id": "generic:151"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1e.3", "physid": "9b", "handle": "PCI:0000:ff:1e.3", "configuration": {"latency": "0"}, "id": "generic:152"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1e.4", "physid": "9c", "handle": "PCI:0000:ff:1e.4", "configuration": {"latency": "0"}, "id": "generic:153"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 VCU", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1f.0", "physid": "9d", "handle": "PCI:0000:ff:1f.0", "configuration": {"latency": "0"}, "id": "generic:154"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 VCU", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1f.2", "physid": "9e", "handle": "PCI:0000:ff:1f.2", "configuration": {"latency": "0"}, "id": "generic:155"}]}], "capabilities": {"smbios-2.8": "SMBIOS version 2.8", "dmi-2.8": "DMI version 2.8", "vsyscall32": "32-bit processes"}, "class": "system", "width": 64, "claimed": true, "vendor": "HP", "serial": "CZ3538DSWW", "configuration": {"sku": "776320-B21", "chassis": "blade", "boot": "normal", "uuid": "37373633-3230-435A-3335-333844535757", "family": "ProLiant"}, "id": "bootstrap"}, "memory": {"slots": 16, "total": 137438953472, "maximum_capacity": 1099511627776, "devices": [{"frequency": 2133, "type": "<OUT OF SPEC>", "size": 17179869184}, {"frequency": 2133, "type": "<OUT OF SPEC>", "size": 17179869184}, {"frequency": 2133, "type": "<OUT OF SPEC>", "size": 17179869184}, {"frequency": 2133, "type": "<OUT OF SPEC>", "size": 17179869184}, {"frequency": 2133, "type": "<OUT OF SPEC>", "size": 17179869184}, {"frequency": 2133, "type": "<OUT OF SPEC>", "size": 17179869184}, {"frequency": 2133, "type": "<OUT OF SPEC>", "size": 17179869184}, {"frequency": 2133, "type": "<OUT OF SPEC>", "size": 17179869184}]}, "interfaces": [{"name": "eno49", "ip": "10.20.0.7", "driver": "bnx2x", "state": "up", "mac": "ec:b1:d7:9d:98:40", "max_speed": 10000, "current_speed": 10000, "interface_properties": {"numa_node": 0, "pci_id": "14e4:16a2", "sriov": {"available": false, "sriov_totalvfs": 0, "pci_id": "14e4:16ad"}}, "offloading_modes": [{"state": null, "name": "loopback", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "tx-udp_tnl-segmentation", "sub": []}, {"state": null, "name": "tx-sit-segmentation", "sub": []}, {"state": null, "name": "tx-ipip-segmentation", "sub": []}, {"state": null, "name": "tx-gre-segmentation", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-ecn-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "netmask": "255.255.255.0", "pxe": true, "bus_info": "0000:06:00.0"}, {"name": "ens1f0", "driver": "ixgbe", "state": "down", "mac": "5c:b9:01:8b:a4:30", "max_speed": 10000, "current_speed": 10000, "interface_properties": {"numa_node": 0, "pci_id": "8086:10f8", "sriov": {"available": true, "sriov_totalvfs": 63, "pci_id": "8086:10ed"}}, "offloading_modes": [{"state": null, "name": "l2-fwd-offload", "sub": []}, {"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-filter", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "ntuple-filters", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "bus_info": "0000:08:00.0"}, {"name": "eno50", "driver": "bnx2x", "state": "down", "mac": "ec:b1:d7:9d:98:48", "max_speed": 10000, "current_speed": null, "interface_properties": {"numa_node": 0, "pci_id": "14e4:16a2", "sriov": {"available": false, "sriov_totalvfs": 0, "pci_id": "14e4:16ad"}}, "offloading_modes": [{"state": null, "name": "loopback", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "tx-udp_tnl-segmentation", "sub": []}, {"state": null, "name": "tx-sit-segmentation", "sub": []}, {"state": null, "name": "tx-ipip-segmentation", "sub": []}, {"state": null, "name": "tx-gre-segmentation", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-ecn-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "bus_info": "0000:06:00.1"}, {"name": "ens1f1", "driver": "ixgbe", "state": "down", "mac": "5c:b9:01:8b:a4:31", "max_speed": 10000, "current_speed": 10000, "interface_properties": {"numa_node": 0, "pci_id": "8086:10f8", "sriov": {"available": true, "sriov_totalvfs": 63, "pci_id": "8086:10ed"}}, "offloading_modes": [{"state": null, "name": "l2-fwd-offload", "sub": []}, {"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-filter", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "ntuple-filters", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "bus_info": "0000:08:00.1"}, {"name": "ens2f0", "driver": "ixgbe", "state": "down", "mac": "5c:b9:01:8b:a3:40", "max_speed": 10000, "current_speed": 10000, "interface_properties": {"numa_node": 1, "pci_id": "8086:10f8", "sriov": {"available": true, "sriov_totalvfs": 63, "pci_id": "8086:10ed"}}, "offloading_modes": [{"state": null, "name": "l2-fwd-offload", "sub": []}, {"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-filter", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "ntuple-filters", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "bus_info": "0000:87:00.0"}, {"name": "ens2f1", "driver": "ixgbe", "state": "down", "mac": "5c:b9:01:8b:a3:41", "max_speed": 10000, "current_speed": 10000, "interface_properties": {"numa_node": 1, "pci_id": "8086:10f8", "sriov": {"available": true, "sriov_totalvfs": 63, "pci_id": "8086:10ed"}}, "offloading_modes": [{"state": null, "name": "l2-fwd-offload", "sub": []}, {"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-filter", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "ntuple-filters", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "bus_info": "0000:87:00.1"}], "disks": [{"paths": null, "name": "sda", "extra": ["disk/by-id/wwn-0x600508b1001c111b8c08337506f840be", "disk/by-id/scsi-3600508b1001c111b8c08337506f840be"], "removable": "0", "model": "LOGICAL VOLUME", "disk": "disk/by-path/pci-0000:07:00.0-scsi-0:0:0:0", "size": 1200186417152}], "system": {"product": "ProLiant BL460c Gen9", "uuid": "33363737-3032-5A43-3335-333844535757", "family": "ProLiant", "fqdn": "bootstrap", "runtime_uuid": "d7079090-3ac0-4b4f-b022-254a3d5bc3ef", "manufacturer": "HP"}, "numa_topology": {"numa_nodes": [{"pcidevs": ["0000:06:00.0", "0000:06:00.1", "0000:07:00.0", "0000:08:00.0", "0000:08:00.1", "0000:01:00.1"], "memory": 67431464960, "id": 0, "cpus": [0, 24, 1, 25, 2, 26, 3, 27, 4, 28, 5, 29, 6, 30, 7, 31, 8, 32, 9, 33, 10, 34, 11, 35]}, {"pcidevs": ["0000:87:00.0", "0000:87:00.1"], "memory": 67625697280, "id": 1, "cpus": [12, 36, 13, 37, 14, 38, 15, 39, 16, 40, 17, 41, 18, 42, 19, 43, 20, 44, 21, 45, 22, 46, 23, 47]}], "distances": [["1.000000", "2.100000"], ["2.100000", "1.000000"]], "supported_hugepages": [2048, 1048576]}, "cpu": {"real": 2, "total": 48, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}]}}	ec:b1:d7:9d:98:40	10.20.0.7	HP	ProLiant BL460c Gen9	\N	0	ubuntu	t	f	\N	\N	2016-11-17 20:34:38.556821	t	03d54f9674c1808dbd318688249f00b9425ac3e0	[]	{}	1	node-1	{}	{controller,mongo}	{}	\N	{}	{}	[]	{"cpu_pinning": {"metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'kvm'"}], "group": "nfv", "weight": 10, "label": "CPU pinning"}, "nova": {"description": "Number of CPUs for Nova usage", "weight": 10, "min": 0, "value": 0, "label": "Nova CPU pinning", "type": "number"}, "dpdk": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "description": "Number of CPUs for DPDK usage", "weight": 20, "min": 0, "value": 0, "label": "DPDK CPU pinning", "type": "number"}}, "hugepages": {"dpdk": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "description": "DPDK Huge Pages per NUMA node in MB", "weight": 20, "min": 0, "value": 0, "label": "DPDK Huge Pages", "type": "number"}, "nova": {"weight": 10, "type": "custom_hugepages", "description": "Nova Huge Pages configuration", "value": {"2048": 0, "1048576": 0}, "label": "Nova Huge Pages"}, "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'kvm'"}], "group": "nfv", "weight": 20, "label": "Huge Pages"}}}
4	0e7dd986-19da-461f-bf33-7e25c923314d	1	Untitled (92:60)	discover	{"pci_devices": {"product": "ProLiant BL460c Gen9 (776320-B21)", "handle": "DMI:0009", "description": "Blade", "children": [{"description": "Motherboard", "class": "bus", "id": "core", "claimed": true, "physid": "0", "children": [{"slot": "L1-Cache", "capacity": 786432, "handle": "DMI:0000", "description": "L1 cache", "capabilities": {"unified": "Unified cache", "internal": "Internal", "synchronous": "Synchronous", "write-back": "Write-back"}, "class": "memory", "units": "bytes", "claimed": true, "physid": "0", "id": "cache:0", "size": 786432}, {"slot": "L2-Cache", "capacity": 3145728, "handle": "DMI:0001", "description": "L2 cache", "capabilities": {"unified": "Unified cache", "varies": "Varies With Memory Address", "internal": "Internal", "synchronous": "Synchronous"}, "class": "memory", "units": "bytes", "claimed": true, "physid": "1", "id": "cache:1", "size": 3145728}, {"slot": "L3-Cache", "capacity": 31457280, "handle": "DMI:0002", "description": "L3 cache", "capabilities": {"unified": "Unified cache", "varies": "Varies With Memory Address", "internal": "Internal", "synchronous": "Synchronous"}, "class": "memory", "units": "bytes", "claimed": true, "physid": "2", "id": "cache:2", "size": 31457280}, {"slot": "Proc 1", "product": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "capacity": 4000000000, "handle": "DMI:0003", "description": "CPU", "width": 64, "clock": 100000000, "capabilities": {"tsc_adjust": true, "vme": "virtual mode extensions", "vmx": true, "pts": true, "smep": true, "fpu": "mathematical co-processor", "sse4_2": true, "monitor": true, "sse4_1": true, "tsc": "time stamp counter", "fxsr": "fast floating point save/restore", "tm": "thermal interrupt and status", "arat": true, "de": "debugging extensions", "aperfmperf": true, "pse": "page size extensions", "x86-64": "64bits extensions (x86-64)", "sse": "streaming SIMD extensions (SSE)", "f16c": true, "flexpriority": true, "aes": true, "avx2": true, "pbe": "pending break event", "cx16": true, "ds_cpl": true, "movbe": true, "xsaveopt": true, "bts": true, "sep": "fast system calls", "xsave": true, "fpu_exception": "FPU exceptions reporting", "xtopology": true, "erms": true, "constant_tsc": true, "est": true, "smx": true, "abm": true, "nopl": true, "arch_perfmon": true, "acpi": "thermal control (ACPI)", "mmx": "multimedia extensions (MMX)", "dca": true, "popcnt": true, "wp": true, "pln": true, "dtherm": true, "tm2": true, "pcid": true, "cpufreq": "CPU Frequency scaling", "pdcm": true, "ida": true, "pebs": true, "pge": "page global enable", "clflush": true, "dtes64": true, "xtpr": true, "ht": "HyperThreading", "msr": "model-specific registers", "fma": true, "cx8": "compare and exchange 8-byte", "nonstop_tsc": true, "mce": "machine check exceptions", "mca": "machine check architecture", "pni": true, "apic": "on-chip advanced programmable interrupt controller (APIC)", "fsgsbase": true, "rdtscp": true, "ssse3": true, "pse36": "36-bit page size extensions", "mtrr": "memory type range registers", "dts": "debug trace and EMON store MSRs", "avx": true, "syscall": "fast system calls", "invpcid": true, "cmov": "conditional move instruction", "pat": "page attribute table", "eagerfpu": true, "nx": "no-execute bit (NX)", "pae": "4GB+ memory addressing (Physical Address Extension)", "vpid": true, "tpr_shadow": true, "rep_good": true, "tsc_deadline_timer": true, "pdpe1gb": true, "rdrand": true, "lahf_lm": true, "pclmulqdq": true, "sse2": "streaming SIMD extensions (SSE2)", "ss": "self-snoop", "ept": true, "bmi1": true, "bmi2": true, "vnmi": true, "x2apic": true, "epb": true}, "class": "processor", "units": "Hz", "version": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "businfo": "cpu@0", "physid": "3", "claimed": true, "vendor": "Intel Corp.", "configuration": {"cores": "12", "threads": "24", "enabledcores": "12"}, "id": "cpu:0", "size": 1200000000}, {"slot": "L1-Cache", "capacity": 786432, "handle": "DMI:0004", "description": "L1 cache", "capabilities": {"unified": "Unified cache", "internal": "Internal", "synchronous": "Synchronous", "write-back": "Write-back"}, "class": "memory", "units": "bytes", "claimed": true, "physid": "4", "id": "cache:3", "size": 786432}, {"slot": "L2-Cache", "capacity": 3145728, "handle": "DMI:0005", "description": "L2 cache", "capabilities": {"unified": "Unified cache", "varies": "Varies With Memory Address", "internal": "Internal", "synchronous": "Synchronous"}, "class": "memory", "units": "bytes", "claimed": true, "physid": "5", "id": "cache:4", "size": 3145728}, {"slot": "L3-Cache", "capacity": 31457280, "handle": "DMI:0006", "description": "L3 cache", "capabilities": {"unified": "Unified cache", "varies": "Varies With Memory Address", "internal": "Internal", "synchronous": "Synchronous"}, "class": "memory", "units": "bytes", "claimed": true, "physid": "6", "id": "cache:5", "size": 31457280}, {"slot": "Proc 2", "product": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "capacity": 4000000000, "handle": "DMI:0007", "description": "CPU", "width": 64, "clock": 100000000, "capabilities": {"tsc_adjust": true, "vme": "virtual mode extensions", "vmx": true, "pts": true, "smep": true, "fpu": "mathematical co-processor", "sse4_2": true, "monitor": true, "sse4_1": true, "tsc": "time stamp counter", "fxsr": "fast floating point save/restore", "tm": "thermal interrupt and status", "arat": true, "de": "debugging extensions", "aperfmperf": true, "pse": "page size extensions", "x86-64": "64bits extensions (x86-64)", "sse": "streaming SIMD extensions (SSE)", "f16c": true, "flexpriority": true, "aes": true, "avx2": true, "pbe": "pending break event", "cx16": true, "ds_cpl": true, "movbe": true, "xsaveopt": true, "bts": true, "sep": "fast system calls", "xsave": true, "fpu_exception": "FPU exceptions reporting", "xtopology": true, "erms": true, "constant_tsc": true, "est": true, "smx": true, "abm": true, "nopl": true, "arch_perfmon": true, "acpi": "thermal control (ACPI)", "mmx": "multimedia extensions (MMX)", "dca": true, "popcnt": true, "wp": true, "pln": true, "dtherm": true, "tm2": true, "pcid": true, "cpufreq": "CPU Frequency scaling", "pdcm": true, "ida": true, "pebs": true, "pge": "page global enable", "clflush": true, "dtes64": true, "xtpr": true, "ht": "HyperThreading", "msr": "model-specific registers", "fma": true, "cx8": "compare and exchange 8-byte", "nonstop_tsc": true, "mce": "machine check exceptions", "mca": "machine check architecture", "pni": true, "apic": "on-chip advanced programmable interrupt controller (APIC)", "fsgsbase": true, "rdtscp": true, "ssse3": true, "pse36": "36-bit page size extensions", "mtrr": "memory type range registers", "dts": "debug trace and EMON store MSRs", "avx": true, "syscall": "fast system calls", "invpcid": true, "cmov": "conditional move instruction", "pat": "page attribute table", "eagerfpu": true, "nx": "no-execute bit (NX)", "pae": "4GB+ memory addressing (Physical Address Extension)", "vpid": true, "tpr_shadow": true, "rep_good": true, "tsc_deadline_timer": true, "pdpe1gb": true, "rdrand": true, "lahf_lm": true, "pclmulqdq": true, "sse2": "streaming SIMD extensions (SSE2)", "ss": "self-snoop", "ept": true, "bmi1": true, "bmi2": true, "vnmi": true, "x2apic": true, "epb": true}, "class": "processor", "units": "Hz", "version": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "businfo": "cpu@1", "physid": "7", "claimed": true, "vendor": "Intel Corp.", "configuration": {"cores": "12", "threads": "24", "enabledcores": "12"}, "id": "cpu:1", "size": 1200000000}, {"units": "bytes", "vendor": "HP", "description": "BIOS", "capacity": 16711680, "capabilities": {"upgrade": "BIOS EEPROM can be upgraded", "shadowing": "BIOS shadowing", "edd": "Enhanced Disk Drive extensions", "int13floppy720": "3.5\\" 720KB floppy", "pnp": "Plug-and-Play", "netboot": "Function-key initiated network service boot", "int9keyboard": "i8042 keyboard controller", "int13floppy1200": "5.25\\" 1.2MB floppy", "int13floppy360": "5.25\\" 360KB floppy", "biosbootspecification": "BIOS boot specification", "int5printscreen": "Print Screen key", "pci": "PCI bus", "uefi": "UEFI specification is supported", "usb": "USB legacy emulation", "int17printer": "INT17 printer control", "escd": "ESCD", "bootselect": "Selectable boot path", "int14serial": "INT14 serial line control", "int10video": "INT10 CGA/Mono video", "acpi": "ACPI", "cdboot": "Booting from CD-ROM/DVD"}, "class": "memory", "date": "05/06/2015", "version": "I36", "claimed": true, "physid": "9", "id": "firmware", "size": 65536}, {"slot": "System board or motherboard", "handle": "DMI:000A", "description": "System Memory", "children": [{"slot": "PROC 1 DIMM 1", "product": "752369-081", "handle": "DMI:000C", "description": "DIMM Synchronous 2133 MHz (0.5 ns)", "width": 64, "clock": 2133000000, "class": "memory", "units": "bytes", "physid": "0", "claimed": true, "vendor": "HP", "id": "bank:0", "size": 17179869184}, {"slot": "PROC 1 DIMM 2", "product": "NOT AVAILABLE", "handle": "DMI:000D", "description": "DIMM Synchronous [empty]", "class": "memory", "width": 64, "physid": "1", "claimed": true, "vendor": "UNKNOWN", "id": "bank:1"}, {"slot": "PROC 1 DIMM 3", "product": "752369-081", "handle": "DMI:000E", "description": "DIMM Synchronous 2133 MHz (0.5 ns)", "width": 64, "clock": 2133000000, "class": "memory", "units": "bytes", "physid": "2", "claimed": true, "vendor": "HP", "id": "bank:2", "size": 17179869184}, {"slot": "PROC 1 DIMM 4", "product": "NOT AVAILABLE", "handle": "DMI:000F", "description": "DIMM Synchronous [empty]", "class": "memory", "width": 64, "physid": "3", "claimed": true, "vendor": "UNKNOWN", "id": "bank:3"}, {"slot": "PROC 1 DIMM 5", "product": "NOT AVAILABLE", "handle": "DMI:0010", "description": "DIMM Synchronous [empty]", "class": "memory", "width": 64, "physid": "4", "claimed": true, "vendor": "UNKNOWN", "id": "bank:4"}, {"slot": "PROC 1 DIMM 6", "product": "752369-081", "handle": "DMI:0011", "description": "DIMM Synchronous 2133 MHz (0.5 ns)", "width": 64, "clock": 2133000000, "class": "memory", "units": "bytes", "physid": "5", "claimed": true, "vendor": "HP", "id": "bank:5", "size": 17179869184}, {"slot": "PROC 1 DIMM 7", "product": "NOT AVAILABLE", "handle": "DMI:0012", "description": "DIMM Synchronous [empty]", "class": "memory", "width": 64, "physid": "6", "claimed": true, "vendor": "UNKNOWN", "id": "bank:6"}, {"slot": "PROC 1 DIMM 8", "product": "752369-081", "handle": "DMI:0013", "description": "DIMM Synchronous 2133 MHz (0.5 ns)", "width": 64, "clock": 2133000000, "class": "memory", "units": "bytes", "physid": "7", "claimed": true, "vendor": "HP", "id": "bank:7", "size": 17179869184}], "class": "memory", "claimed": true, "physid": "a", "id": "memory:0"}, {"slot": "System board or motherboard", "handle": "DMI:000B", "description": "System Memory", "children": [{"slot": "PROC 2 DIMM 1", "product": "752369-081", "handle": "DMI:0014", "description": "DIMM Synchronous 2133 MHz (0.5 ns)", "width": 64, "clock": 2133000000, "class": "memory", "units": "bytes", "physid": "0", "claimed": true, "vendor": "HP", "id": "bank:0", "size": 17179869184}, {"slot": "PROC 2 DIMM 2", "product": "NOT AVAILABLE", "handle": "DMI:0015", "description": "DIMM Synchronous [empty]", "class": "memory", "width": 64, "physid": "1", "claimed": true, "vendor": "UNKNOWN", "id": "bank:1"}, {"slot": "PROC 2 DIMM 3", "product": "752369-081", "handle": "DMI:0016", "description": "DIMM Synchronous 2133 MHz (0.5 ns)", "width": 64, "clock": 2133000000, "class": "memory", "units": "bytes", "physid": "2", "claimed": true, "vendor": "HP", "id": "bank:2", "size": 17179869184}, {"slot": "PROC 2 DIMM 4", "product": "NOT AVAILABLE", "handle": "DMI:0017", "description": "DIMM Synchronous [empty]", "class": "memory", "width": 64, "physid": "3", "claimed": true, "vendor": "UNKNOWN", "id": "bank:3"}, {"slot": "PROC 2 DIMM 5", "product": "NOT AVAILABLE", "handle": "DMI:0018", "description": "DIMM Synchronous [empty]", "class": "memory", "width": 64, "physid": "4", "claimed": true, "vendor": "UNKNOWN", "id": "bank:4"}, {"slot": "PROC 2 DIMM 6", "product": "752369-081", "handle": "DMI:0019", "description": "DIMM Synchronous 2133 MHz (0.5 ns)", "width": 64, "clock": 2133000000, "class": "memory", "units": "bytes", "physid": "5", "claimed": true, "vendor": "HP", "id": "bank:5", "size": 17179869184}, {"slot": "PROC 2 DIMM 7", "product": "NOT AVAILABLE", "handle": "DMI:001A", "description": "DIMM Synchronous [empty]", "class": "memory", "width": 64, "physid": "6", "claimed": true, "vendor": "UNKNOWN", "id": "bank:6"}, {"slot": "PROC 2 DIMM 8", "product": "752369-081", "handle": "DMI:001B", "description": "DIMM Synchronous 2133 MHz (0.5 ns)", "width": 64, "clock": 2133000000, "class": "memory", "units": "bytes", "physid": "7", "claimed": true, "vendor": "HP", "id": "bank:7", "size": 17179869184}], "class": "memory", "claimed": true, "physid": "c", "id": "memory:1"}, {"physid": "d", "id": "memory:2", "class": "memory"}, {"physid": "e", "id": "memory:3", "class": "memory"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMI2", "handle": "PCIBUS:0000:00", "description": "Host bridge", "clock": 33000000, "children": [{"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 1", "handle": "PCIBUS:0000:02", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:01.0", "physid": "1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:0"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 1", "handle": "PCIBUS:0000:05", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:01.1", "physid": "1.1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:1"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 2", "handle": "PCIBUS:0000:06", "description": "PCI bridge", "clock": 33000000, "children": [{"product": "BCM57840 NetXtreme II 10/20-Gigabit Ethernet", "capacity": 1000000000, "handle": "PCI:0000:06:00.0", "description": "Ethernet interface", "width": 64, "logicalname": "eno49", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "fibre": "optical fibre", "msix": "MSI-X", "rom": "extension ROM", "bus_master": "bus mastering", "autonegotiation": "Auto-negotiation", "vpd": "Vital Product Data", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "ethernet": true, "physical": "Physical interface", "pm": "Power Management"}, "class": "network", "units": "bit/s", "version": "11", "businfo": "pci@0000:06:00.0", "clock": 33000000, "physid": "0", "claimed": true, "vendor": "Broadcom Corporation", "serial": "ec:b1:d7:9d:92:60", "configuration": {"latency": "0", "autonegotiation": "on", "duplex": "full", "ip": "10.20.0.5", "firmware": "bc 7.12.83", "driver": "bnx2x", "broadcast": "yes", "multicast": "yes", "link": "yes", "driverversion": "1.78.17-0", "port": "fibre"}, "id": "network:0"}, {"product": "BCM57840 NetXtreme II 10/20-Gigabit Ethernet", "capacity": 1000000000, "handle": "PCI:0000:06:00.1", "description": "Ethernet interface", "width": 64, "logicalname": "eno50", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "fibre": "optical fibre", "msix": "MSI-X", "rom": "extension ROM", "bus_master": "bus mastering", "autonegotiation": "Auto-negotiation", "vpd": "Vital Product Data", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "ethernet": true, "physical": "Physical interface", "pm": "Power Management"}, "class": "network", "disabled": true, "units": "bit/s", "version": "11", "businfo": "pci@0000:06:00.1", "clock": 33000000, "physid": "0.1", "claimed": true, "vendor": "Broadcom Corporation", "serial": "ec:b1:d7:9d:92:68", "configuration": {"latency": "0", "autonegotiation": "on", "firmware": "bc 7.12.83", "driver": "bnx2x", "broadcast": "yes", "multicast": "yes", "link": "no", "driverversion": "1.78.17-0", "port": "fibre"}, "id": "network:1"}], "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:02.0", "physid": "2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:2"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 2", "handle": "PCIBUS:0000:0b", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:02.1", "physid": "2.1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:3"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 2", "handle": "PCIBUS:0000:07", "description": "PCI bridge", "clock": 33000000, "children": [{"product": "Smart Array Gen9 Controllers", "handle": "PCI:0000:07:00.0", "description": "RAID bus controller", "clock": 33000000, "logicalname": "scsi0", "children": [{"product": "P244br", "vendor": "HP", "description": "SCSI", "class": "generic", "version": "3.00", "businfo": "scsi@0:3.0.0", "physid": "3.0.0", "handle": "SCSI:00:03:00:00", "serial": "PDZVU0RLM9A16A", "configuration": {"ansiversion": "5"}, "id": "generic"}, {"product": "LOGICAL VOLUME", "handle": "SCSI:00:00:00:00", "description": "SCSI Disk", "capabilities": {"15000rpm": "15000 rotations per minute"}, "logicalname": "/dev/sda", "dev": "8:0", "class": "disk", "units": "bytes", "version": "3.00", "businfo": "scsi@0:0.0.0", "physid": "0.0.0", "claimed": true, "vendor": "HP", "serial": "PDZVU0RLM9A16A", "configuration": {"ansiversion": "5", "sectorsize": "512"}, "id": "disk", "size": 1200186417152}], "capabilities": {"msix": "MSI-X", "msi": "Message Signalled Interrupts", "storage": true, "bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "rom": "extension ROM", "pm": "Power Management"}, "class": "storage", "width": 64, "version": "01", "businfo": "pci@0000:07:00.0", "physid": "0", "claimed": true, "vendor": "Hewlett-Packard Company", "configuration": {"latency": "0", "driver": "hpsa"}, "id": "storage"}], "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:02.2", "physid": "2.2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:4"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 2", "handle": "PCIBUS:0000:0c", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:02.3", "physid": "2.3", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:5"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 3", "handle": "PCIBUS:0000:08", "description": "PCI bridge", "clock": 33000000, "children": [{"product": "82599 10 Gigabit Dual Port Backplane Connection", "capacity": 1000000000, "handle": "PCI:0000:08:00.0", "description": "Ethernet interface", "width": 32, "logicalname": "ens1f0", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "fibre": "optical fibre", "msix": "MSI-X", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "autonegotiation": "Auto-negotiation", "vpd": "Vital Product Data", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "ethernet": true, "physical": "Physical interface", "rom": "extension ROM", "pm": "Power Management"}, "class": "network", "disabled": true, "units": "bit/s", "version": "01", "businfo": "pci@0000:08:00.0", "clock": 33000000, "physid": "0", "claimed": true, "vendor": "Intel Corporation", "serial": "5c:b9:01:8b:a2:48", "configuration": {"latency": "0", "autonegotiation": "on", "duplex": "full", "firmware": "0x80000815", "driver": "ixgbe", "broadcast": "yes", "multicast": "yes", "link": "no", "driverversion": "3.15.1-k"}, "id": "network:0"}, {"product": "82599 10 Gigabit Dual Port Backplane Connection", "capacity": 1000000000, "handle": "PCI:0000:08:00.1", "description": "Ethernet interface", "width": 32, "logicalname": "ens1f1", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "fibre": "optical fibre", "msix": "MSI-X", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "autonegotiation": "Auto-negotiation", "vpd": "Vital Product Data", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "ethernet": true, "physical": "Physical interface", "pm": "Power Management"}, "class": "network", "disabled": true, "units": "bit/s", "version": "01", "businfo": "pci@0000:08:00.1", "clock": 33000000, "physid": "0.1", "claimed": true, "vendor": "Intel Corporation", "serial": "5c:b9:01:8b:a2:49", "configuration": {"latency": "0", "autonegotiation": "on", "duplex": "full", "firmware": "0x80000815", "driver": "ixgbe", "broadcast": "yes", "multicast": "yes", "link": "no", "driverversion": "3.15.1-k"}, "id": "network:1"}], "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:03.0", "physid": "3", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:6"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 3", "handle": "PCIBUS:0000:0d", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:03.1", "physid": "3.1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:7"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 3", "handle": "PCIBUS:0000:0e", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:03.2", "physid": "3.2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:8"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 3", "handle": "PCIBUS:0000:0f", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:03.3", "physid": "3.3", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:9"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 0", "handle": "PCI:0000:00:04.0", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.0", "physid": "4", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:0"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 1", "handle": "PCI:0000:00:04.1", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.1", "physid": "4.1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:1"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 2", "handle": "PCI:0000:00:04.2", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.2", "physid": "4.2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:2"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 3", "handle": "PCI:0000:00:04.3", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.3", "physid": "4.3", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:3"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 4", "handle": "PCI:0000:00:04.4", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.4", "physid": "4.4", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:4"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 5", "handle": "PCI:0000:00:04.5", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.5", "physid": "4.5", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:5"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 6", "handle": "PCI:0000:00:04.6", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.6", "physid": "4.6", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:6"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 7", "handle": "PCI:0000:00:04.7", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.7", "physid": "4.7", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:7"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Address Map, VTd_Misc, System Management", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:00:05.0", "physid": "5", "handle": "PCI:0000:00:05.0", "configuration": {"latency": "0"}, "id": "generic:8"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Hot Plug", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "pciexpress": "PCI Express"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:00:05.1", "physid": "5.1", "handle": "PCI:0000:00:05.1", "configuration": {"latency": "0"}, "id": "generic:9"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 RAS, Control Status and Global Errors", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:00:05.2", "physid": "5.2", "handle": "PCI:0000:00:05.2", "configuration": {"latency": "0"}, "id": "generic:10"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 I/O APIC", "vendor": "Intel Corporation", "description": "PIC", "clock": 33000000, "capabilities": {"io_x_-apic": true, "bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:00:05.4", "physid": "5.4", "handle": "PCI:0000:00:05.4", "configuration": {"latency": "0"}, "id": "generic:11"}, {"product": "C610/X99 series chipset SPSR", "vendor": "Intel Corporation", "description": "Unassigned class", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 32, "version": "05", "businfo": "pci@0000:00:11.0", "physid": "11", "handle": "PCI:0000:00:11.0", "configuration": {"latency": "0"}, "id": "generic:12"}, {"product": "C610/X99 series chipset USB xHCI Host Controller", "handle": "PCI:0000:00:14.0", "description": "USB controller", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "xhci": true, "pm": "Power Management"}, "class": "bus", "width": 64, "version": "05", "businfo": "pci@0000:00:14.0", "physid": "14", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "xhci_hcd"}, "id": "usb:0"}, {"product": "C610/X99 series chipset USB Enhanced Host Controller #2", "handle": "PCI:0000:00:1a.0", "description": "USB controller", "clock": 33000000, "capabilities": {"debug": "Debug port", "bus_master": "bus mastering", "ehci": "Enhanced Host Controller Interface (USB2)", "cap_list": "PCI capabilities listing", "pm": "Power Management"}, "class": "bus", "width": 32, "version": "05", "businfo": "pci@0000:00:1a.0", "physid": "1a", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ehci-pci"}, "id": "usb:1"}, {"product": "C610/X99 series chipset PCI Express Root Port #1", "handle": "PCIBUS:0000:10", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "bus_master": "bus mastering", "pci": true, "msi": "Message Signalled Interrupts", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "d5", "businfo": "pci@0000:00:1c.0", "physid": "1c", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:10"}, {"product": "C610/X99 series chipset PCI Express Root Port #3", "handle": "PCIBUS:0000:01", "description": "PCI bridge", "clock": 33000000, "children": [{"product": "Integrated Lights-Out Standard Slave Instrumentation & System Support", "vendor": "Hewlett-Packard Company", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "msi": "Message Signalled Interrupts", "pm": "Power Management"}, "class": "generic", "width": 32, "version": "06", "businfo": "pci@0000:01:00.0", "physid": "0", "handle": "PCI:0000:01:00.0", "configuration": {"latency": "0"}, "id": "generic:0"}, {"product": "MGA G200EH", "vendor": "Matrox Electronics Systems Ltd.", "description": "VGA compatible controller", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "vga_controller": true, "bus_master": "bus mastering", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "display", "width": 32, "version": "01", "businfo": "pci@0000:01:00.1", "physid": "0.1", "handle": "PCI:0000:01:00.1", "configuration": {"latency": "0"}, "id": "display"}, {"product": "Integrated Lights-Out Standard Management Processor Support and Messaging", "handle": "PCI:0000:01:00.2", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "rom": "extension ROM", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 32, "version": "06", "businfo": "pci@0000:01:00.2", "physid": "0.2", "claimed": true, "vendor": "Hewlett-Packard Company", "configuration": {"latency": "0", "driver": "hpilo"}, "id": "generic:1"}, {"product": "Integrated Lights-Out Standard Virtual USB Controller", "handle": "PCI:0000:01:00.4", "description": "USB controller", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pciexpress": "PCI Express", "pm": "Power Management", "uhci": "Universal Host Controller Interface (USB1)"}, "class": "bus", "width": 32, "version": "03", "businfo": "pci@0000:01:00.4", "physid": "0.4", "claimed": true, "vendor": "Hewlett-Packard Company", "configuration": {"latency": "0", "driver": "uhci_hcd"}, "id": "usb"}], "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "bus_master": "bus mastering", "pci": true, "msi": "Message Signalled Interrupts", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "d5", "businfo": "pci@0000:00:1c.2", "physid": "1c.2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:11"}, {"product": "C610/X99 series chipset PCI Express Root Port #5", "handle": "PCIBUS:0000:11", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "bus_master": "bus mastering", "pci": true, "msi": "Message Signalled Interrupts", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "d5", "businfo": "pci@0000:00:1c.4", "physid": "1c.4", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:12"}, {"product": "C610/X99 series chipset PCI Express Root Port #7", "handle": "PCIBUS:0000:12", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "bus_master": "bus mastering", "pci": true, "msi": "Message Signalled Interrupts", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "d5", "businfo": "pci@0000:00:1c.6", "physid": "1c.6", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:13"}, {"product": "C610/X99 series chipset PCI Express Root Port #8", "handle": "PCIBUS:0000:13", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "bus_master": "bus mastering", "pci": true, "msi": "Message Signalled Interrupts", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "d5", "businfo": "pci@0000:00:1c.7", "physid": "1c.7", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:14"}, {"product": "C610/X99 series chipset USB Enhanced Host Controller #1", "handle": "PCI:0000:00:1d.0", "description": "USB controller", "clock": 33000000, "capabilities": {"debug": "Debug port", "bus_master": "bus mastering", "ehci": "Enhanced Host Controller Interface (USB2)", "cap_list": "PCI capabilities listing", "pm": "Power Management"}, "class": "bus", "width": 32, "version": "05", "businfo": "pci@0000:00:1d.0", "physid": "1d", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ehci-pci"}, "id": "usb:2"}, {"product": "C610/X99 series chipset LPC Controller", "handle": "PCI:0000:00:1f.0", "description": "ISA bridge", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "isa": true, "cap_list": "PCI capabilities listing"}, "class": "bridge", "width": 32, "version": "05", "businfo": "pci@0000:00:1f.0", "physid": "1f", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "lpc_ich"}, "id": "isa"}, {"product": "C610/X99 series chipset SMBus Controller", "vendor": "Intel Corporation", "description": "SMBus", "clock": 33000000, "class": "bus", "width": 64, "version": "05", "businfo": "pci@0000:00:1f.3", "physid": "1f.3", "handle": "PCI:0000:00:1f.3", "configuration": {"latency": "0"}, "id": "serial"}], "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:00.0", "physid": "100", "claimed": true, "vendor": "Intel Corporation", "id": "pci:0"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 0", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:08.0", "physid": "f", "handle": "PCI:0000:7f:08.0", "configuration": {"latency": "0"}, "id": "generic:0"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 0", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:08.3", "physid": "10", "handle": "PCI:0000:7f:08.3", "configuration": {"latency": "0"}, "id": "generic:1"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:09.0", "physid": "11", "handle": "PCI:0000:7f:09.0", "configuration": {"latency": "0"}, "id": "generic:2"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:09.3", "physid": "12", "handle": "PCI:0000:7f:09.3", "configuration": {"latency": "0"}, "id": "generic:3"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0b.0", "physid": "13", "handle": "PCI:0000:7f:0b.0", "configuration": {"latency": "0"}, "id": "generic:4"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0b.1", "physid": "14", "handle": "PCI:0000:7f:0b.1", "configuration": {"latency": "0"}, "id": "generic:5"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0b.2", "physid": "15", "handle": "PCI:0000:7f:0b.2", "configuration": {"latency": "0"}, "id": "generic:6"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.0", "physid": "16", "handle": "PCI:0000:7f:0c.0", "configuration": {"latency": "0"}, "id": "generic:7"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.1", "physid": "17", "handle": "PCI:0000:7f:0c.1", "configuration": {"latency": "0"}, "id": "generic:8"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.2", "physid": "18", "handle": "PCI:0000:7f:0c.2", "configuration": {"latency": "0"}, "id": "generic:9"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.3", "physid": "19", "handle": "PCI:0000:7f:0c.3", "configuration": {"latency": "0"}, "id": "generic:10"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.4", "physid": "1a", "handle": "PCI:0000:7f:0c.4", "configuration": {"latency": "0"}, "id": "generic:11"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.5", "physid": "1b", "handle": "PCI:0000:7f:0c.5", "configuration": {"latency": "0"}, "id": "generic:12"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.6", "physid": "1c", "handle": "PCI:0000:7f:0c.6", "configuration": {"latency": "0"}, "id": "generic:13"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.7", "physid": "1d", "handle": "PCI:0000:7f:0c.7", "configuration": {"latency": "0"}, "id": "generic:14"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0d.0", "physid": "1e", "handle": "PCI:0000:7f:0d.0", "configuration": {"latency": "0"}, "id": "generic:15"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0d.1", "physid": "1f", "handle": "PCI:0000:7f:0d.1", "configuration": {"latency": "0"}, "id": "generic:16"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0d.2", "physid": "20", "handle": "PCI:0000:7f:0d.2", "configuration": {"latency": "0"}, "id": "generic:17"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0d.3", "physid": "21", "handle": "PCI:0000:7f:0d.3", "configuration": {"latency": "0"}, "id": "generic:18"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0f.0", "physid": "22", "handle": "PCI:0000:7f:0f.0", "configuration": {"latency": "0"}, "id": "generic:19"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0f.1", "physid": "23", "handle": "PCI:0000:7f:0f.1", "configuration": {"latency": "0"}, "id": "generic:20"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0f.2", "physid": "24", "handle": "PCI:0000:7f:0f.2", "configuration": {"latency": "0"}, "id": "generic:21"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0f.3", "physid": "25", "handle": "PCI:0000:7f:0f.3", "configuration": {"latency": "0"}, "id": "generic:22"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0f.4", "physid": "26", "handle": "PCI:0000:7f:0f.4", "configuration": {"latency": "0"}, "id": "generic:23"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0f.5", "physid": "27", "handle": "PCI:0000:7f:0f.5", "configuration": {"latency": "0"}, "id": "generic:24"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0f.6", "physid": "28", "handle": "PCI:0000:7f:0f.6", "configuration": {"latency": "0"}, "id": "generic:25"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCIe Ring Interface", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:10.0", "physid": "29", "handle": "PCI:0000:7f:10.0", "configuration": {"latency": "0"}, "id": "generic:26"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCIe Ring Interface", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:10.1", "physid": "2a", "handle": "PCI:0000:7f:10.1", "configuration": {"latency": "0"}, "id": "generic:27"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:10.5", "physid": "2b", "handle": "PCI:0000:7f:10.5", "configuration": {"latency": "0"}, "id": "generic:28"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:10.6", "physid": "2c", "handle": "PCI:0000:7f:10.6", "configuration": {"latency": "0"}, "id": "generic:29"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:10.7", "physid": "2d", "handle": "PCI:0000:7f:10.7", "configuration": {"latency": "0"}, "id": "generic:30"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 0", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:12.0", "physid": "2e", "handle": "PCI:0000:7f:12.0", "configuration": {"latency": "0"}, "id": "generic:31"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 0", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:12.1", "physid": "2f", "handle": "PCI:0000:7f:12.1", "configuration": {"latency": "0"}, "id": "generic:32"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 0 Debug", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:12.2", "physid": "30", "handle": "PCI:0000:7f:12.2", "configuration": {"latency": "0"}, "id": "generic:33"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:12.4", "physid": "31", "handle": "PCI:0000:7f:12.4", "configuration": {"latency": "0"}, "id": "generic:34"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 1", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:12.5", "physid": "32", "handle": "PCI:0000:7f:12.5", "configuration": {"latency": "0"}, "id": "generic:35"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 1 Debug", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:12.6", "physid": "33", "handle": "PCI:0000:7f:12.6", "configuration": {"latency": "0"}, "id": "generic:36"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.0", "physid": "34", "handle": "PCI:0000:7f:13.0", "configuration": {"latency": "0"}, "id": "generic:37"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.1", "physid": "35", "handle": "PCI:0000:7f:13.1", "configuration": {"latency": "0"}, "id": "generic:38"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.2", "physid": "36", "handle": "PCI:0000:7f:13.2", "configuration": {"latency": "0"}, "id": "generic:39"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.3", "physid": "37", "handle": "PCI:0000:7f:13.3", "configuration": {"latency": "0"}, "id": "generic:40"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Channel 0/1 Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.6", "physid": "38", "handle": "PCI:0000:7f:13.6", "configuration": {"latency": "0"}, "id": "generic:41"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Global Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.7", "physid": "39", "handle": "PCI:0000:7f:13.7", "configuration": {"latency": "0"}, "id": "generic:42"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 0 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.0", "physid": "3a", "handle": "PCI:0000:7f:14.0", "configuration": {"latency": "0"}, "id": "generic:43"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 1 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.1", "physid": "3b", "handle": "PCI:0000:7f:14.1", "configuration": {"latency": "0"}, "id": "generic:44"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 0 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.2", "physid": "3c", "handle": "PCI:0000:7f:14.2", "configuration": {"latency": "0"}, "id": "generic:45"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 1 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.3", "physid": "3d", "handle": "PCI:0000:7f:14.3", "configuration": {"latency": "0"}, "id": "generic:46"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.4", "physid": "3e", "handle": "PCI:0000:7f:14.4", "configuration": {"latency": "0"}, "id": "generic:47"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.5", "physid": "3f", "handle": "PCI:0000:7f:14.5", "configuration": {"latency": "0"}, "id": "generic:48"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.6", "physid": "40", "handle": "PCI:0000:7f:14.6", "configuration": {"latency": "0"}, "id": "generic:49"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.7", "physid": "41", "handle": "PCI:0000:7f:14.7", "configuration": {"latency": "0"}, "id": "generic:50"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:16.0", "physid": "42", "handle": "PCI:0000:7f:16.0", "configuration": {"latency": "0"}, "id": "generic:51"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:16.1", "physid": "43", "handle": "PCI:0000:7f:16.1", "configuration": {"latency": "0"}, "id": "generic:52"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:16.2", "physid": "44", "handle": "PCI:0000:7f:16.2", "configuration": {"latency": "0"}, "id": "generic:53"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:16.3", "physid": "45", "handle": "PCI:0000:7f:16.3", "configuration": {"latency": "0"}, "id": "generic:54"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Channel 2/3 Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:16.6", "physid": "46", "handle": "PCI:0000:7f:16.6", "configuration": {"latency": "0"}, "id": "generic:55"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Global Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:16.7", "physid": "47", "handle": "PCI:0000:7f:16.7", "configuration": {"latency": "0"}, "id": "generic:56"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 0 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.0", "physid": "48", "handle": "PCI:0000:7f:17.0", "configuration": {"latency": "0"}, "id": "generic:57"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 1 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.1", "physid": "49", "handle": "PCI:0000:7f:17.1", "configuration": {"latency": "0"}, "id": "generic:58"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 0 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.2", "physid": "4a", "handle": "PCI:0000:7f:17.2", "configuration": {"latency": "0"}, "id": "generic:59"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 1 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.3", "physid": "4b", "handle": "PCI:0000:7f:17.3", "configuration": {"latency": "0"}, "id": "generic:60"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.4", "physid": "4c", "handle": "PCI:0000:7f:17.4", "configuration": {"latency": "0"}, "id": "generic:61"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.5", "physid": "4d", "handle": "PCI:0000:7f:17.5", "configuration": {"latency": "0"}, "id": "generic:62"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.6", "physid": "4e", "handle": "PCI:0000:7f:17.6", "configuration": {"latency": "0"}, "id": "generic:63"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.7", "physid": "4f", "handle": "PCI:0000:7f:17.7", "configuration": {"latency": "0"}, "id": "generic:64"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1e.0", "physid": "50", "handle": "PCI:0000:7f:1e.0", "configuration": {"latency": "0"}, "id": "generic:65"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1e.1", "physid": "51", "handle": "PCI:0000:7f:1e.1", "configuration": {"latency": "0"}, "id": "generic:66"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1e.2", "physid": "52", "handle": "PCI:0000:7f:1e.2", "configuration": {"latency": "0"}, "id": "generic:67"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1e.3", "physid": "53", "handle": "PCI:0000:7f:1e.3", "configuration": {"latency": "0"}, "id": "generic:68"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1e.4", "physid": "54", "handle": "PCI:0000:7f:1e.4", "configuration": {"latency": "0"}, "id": "generic:69"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 VCU", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1f.0", "physid": "55", "handle": "PCI:0000:7f:1f.0", "configuration": {"latency": "0"}, "id": "generic:70"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 VCU", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1f.2", "physid": "56", "handle": "PCI:0000:7f:1f.2", "configuration": {"latency": "0"}, "id": "generic:71"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 0", "handle": "PCIBUS:0000:8d", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:80:00.0", "physid": "101", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:1"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 1", "handle": "PCIBUS:0000:81", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:80:01.0", "physid": "102", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:2"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 1", "handle": "PCIBUS:0000:82", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:80:01.1", "physid": "1.1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:3"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 2", "handle": "PCIBUS:0000:83", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:80:02.0", "physid": "103", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:4"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 2", "handle": "PCIBUS:0000:84", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:80:02.1", "physid": "2.1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:5"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 2", "handle": "PCIBUS:0000:85", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:80:02.2", "physid": "2.2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:6"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 2", "handle": "PCIBUS:0000:86", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:80:02.3", "physid": "2.3", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:7"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 3", "handle": "PCIBUS:0000:87", "description": "PCI bridge", "clock": 33000000, "children": [{"product": "82599 10 Gigabit Dual Port Backplane Connection", "capacity": 1000000000, "handle": "PCI:0000:87:00.0", "description": "Ethernet interface", "width": 32, "logicalname": "ens2f0", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "fibre": "optical fibre", "msix": "MSI-X", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "autonegotiation": "Auto-negotiation", "vpd": "Vital Product Data", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "ethernet": true, "physical": "Physical interface", "rom": "extension ROM", "pm": "Power Management"}, "class": "network", "disabled": true, "units": "bit/s", "version": "01", "businfo": "pci@0000:87:00.0", "clock": 33000000, "physid": "0", "claimed": true, "vendor": "Intel Corporation", "serial": "5c:b9:01:8b:a3:30", "configuration": {"latency": "0", "autonegotiation": "on", "duplex": "full", "firmware": "0x80000815", "driver": "ixgbe", "broadcast": "yes", "multicast": "yes", "link": "no", "driverversion": "3.15.1-k"}, "id": "network:0"}, {"product": "82599 10 Gigabit Dual Port Backplane Connection", "capacity": 1000000000, "handle": "PCI:0000:87:00.1", "description": "Ethernet interface", "width": 32, "logicalname": "ens2f1", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "fibre": "optical fibre", "msix": "MSI-X", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "autonegotiation": "Auto-negotiation", "vpd": "Vital Product Data", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "ethernet": true, "physical": "Physical interface", "pm": "Power Management"}, "class": "network", "disabled": true, "units": "bit/s", "version": "01", "businfo": "pci@0000:87:00.1", "clock": 33000000, "physid": "0.1", "claimed": true, "vendor": "Intel Corporation", "serial": "5c:b9:01:8b:a3:31", "configuration": {"latency": "0", "autonegotiation": "on", "duplex": "full", "firmware": "0x80000815", "driver": "ixgbe", "broadcast": "yes", "multicast": "yes", "link": "no", "driverversion": "3.15.1-k"}, "id": "network:1"}], "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:80:03.0", "physid": "104", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:8"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 3", "handle": "PCIBUS:0000:8a", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:80:03.1", "physid": "3.1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:9"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 3", "handle": "PCIBUS:0000:8b", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:80:03.2", "physid": "3.2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:10"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 3", "handle": "PCIBUS:0000:8c", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:80:03.3", "physid": "3.3", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:11"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 0", "handle": "PCI:0000:80:04.0", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.0", "physid": "57", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:72"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 1", "handle": "PCI:0000:80:04.1", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.1", "physid": "4.1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:73"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 2", "handle": "PCI:0000:80:04.2", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.2", "physid": "4.2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:74"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 3", "handle": "PCI:0000:80:04.3", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.3", "physid": "4.3", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:75"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 4", "handle": "PCI:0000:80:04.4", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.4", "physid": "4.4", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:76"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 5", "handle": "PCI:0000:80:04.5", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.5", "physid": "4.5", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:77"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 6", "handle": "PCI:0000:80:04.6", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.6", "physid": "4.6", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:78"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 7", "handle": "PCI:0000:80:04.7", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.7", "physid": "4.7", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:79"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Address Map, VTd_Misc, System Management", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:80:05.0", "physid": "58", "handle": "PCI:0000:80:05.0", "configuration": {"latency": "0"}, "id": "generic:80"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Hot Plug", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "pciexpress": "PCI Express"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:80:05.1", "physid": "5.1", "handle": "PCI:0000:80:05.1", "configuration": {"latency": "0"}, "id": "generic:81"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 RAS, Control Status and Global Errors", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:80:05.2", "physid": "5.2", "handle": "PCI:0000:80:05.2", "configuration": {"latency": "0"}, "id": "generic:82"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 I/O APIC", "vendor": "Intel Corporation", "description": "PIC", "clock": 33000000, "capabilities": {"io_x_-apic": true, "bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:80:05.4", "physid": "5.4", "handle": "PCI:0000:80:05.4", "configuration": {"latency": "0"}, "id": "generic:83"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 0", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:08.0", "physid": "8", "handle": "PCI:0000:ff:08.0", "configuration": {"latency": "0"}, "id": "generic:84"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 0", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:08.3", "physid": "59", "handle": "PCI:0000:ff:08.3", "configuration": {"latency": "0"}, "id": "generic:85"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:09.0", "physid": "5a", "handle": "PCI:0000:ff:09.0", "configuration": {"latency": "0"}, "id": "generic:86"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:09.3", "physid": "5b", "handle": "PCI:0000:ff:09.3", "configuration": {"latency": "0"}, "id": "generic:87"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0b.0", "physid": "b", "handle": "PCI:0000:ff:0b.0", "configuration": {"latency": "0"}, "id": "generic:88"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0b.1", "physid": "5c", "handle": "PCI:0000:ff:0b.1", "configuration": {"latency": "0"}, "id": "generic:89"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0b.2", "physid": "5d", "handle": "PCI:0000:ff:0b.2", "configuration": {"latency": "0"}, "id": "generic:90"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.0", "physid": "5e", "handle": "PCI:0000:ff:0c.0", "configuration": {"latency": "0"}, "id": "generic:91"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.1", "physid": "5f", "handle": "PCI:0000:ff:0c.1", "configuration": {"latency": "0"}, "id": "generic:92"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.2", "physid": "60", "handle": "PCI:0000:ff:0c.2", "configuration": {"latency": "0"}, "id": "generic:93"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.3", "physid": "61", "handle": "PCI:0000:ff:0c.3", "configuration": {"latency": "0"}, "id": "generic:94"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.4", "physid": "62", "handle": "PCI:0000:ff:0c.4", "configuration": {"latency": "0"}, "id": "generic:95"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.5", "physid": "63", "handle": "PCI:0000:ff:0c.5", "configuration": {"latency": "0"}, "id": "generic:96"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.6", "physid": "64", "handle": "PCI:0000:ff:0c.6", "configuration": {"latency": "0"}, "id": "generic:97"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.7", "physid": "65", "handle": "PCI:0000:ff:0c.7", "configuration": {"latency": "0"}, "id": "generic:98"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0d.0", "physid": "66", "handle": "PCI:0000:ff:0d.0", "configuration": {"latency": "0"}, "id": "generic:99"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0d.1", "physid": "67", "handle": "PCI:0000:ff:0d.1", "configuration": {"latency": "0"}, "id": "generic:100"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0d.2", "physid": "68", "handle": "PCI:0000:ff:0d.2", "configuration": {"latency": "0"}, "id": "generic:101"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0d.3", "physid": "69", "handle": "PCI:0000:ff:0d.3", "configuration": {"latency": "0"}, "id": "generic:102"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0f.0", "physid": "6a", "handle": "PCI:0000:ff:0f.0", "configuration": {"latency": "0"}, "id": "generic:103"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0f.1", "physid": "6b", "handle": "PCI:0000:ff:0f.1", "configuration": {"latency": "0"}, "id": "generic:104"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0f.2", "physid": "6c", "handle": "PCI:0000:ff:0f.2", "configuration": {"latency": "0"}, "id": "generic:105"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0f.3", "physid": "6d", "handle": "PCI:0000:ff:0f.3", "configuration": {"latency": "0"}, "id": "generic:106"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0f.4", "physid": "6e", "handle": "PCI:0000:ff:0f.4", "configuration": {"latency": "0"}, "id": "generic:107"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0f.5", "physid": "6f", "handle": "PCI:0000:ff:0f.5", "configuration": {"latency": "0"}, "id": "generic:108"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0f.6", "physid": "70", "handle": "PCI:0000:ff:0f.6", "configuration": {"latency": "0"}, "id": "generic:109"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCIe Ring Interface", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:10.0", "physid": "71", "handle": "PCI:0000:ff:10.0", "configuration": {"latency": "0"}, "id": "generic:110"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCIe Ring Interface", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:10.1", "physid": "72", "handle": "PCI:0000:ff:10.1", "configuration": {"latency": "0"}, "id": "generic:111"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:10.5", "physid": "73", "handle": "PCI:0000:ff:10.5", "configuration": {"latency": "0"}, "id": "generic:112"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:10.6", "physid": "74", "handle": "PCI:0000:ff:10.6", "configuration": {"latency": "0"}, "id": "generic:113"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:10.7", "physid": "75", "handle": "PCI:0000:ff:10.7", "configuration": {"latency": "0"}, "id": "generic:114"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 0", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:12.0", "physid": "76", "handle": "PCI:0000:ff:12.0", "configuration": {"latency": "0"}, "id": "generic:115"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 0", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:12.1", "physid": "77", "handle": "PCI:0000:ff:12.1", "configuration": {"latency": "0"}, "id": "generic:116"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 0 Debug", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:12.2", "physid": "78", "handle": "PCI:0000:ff:12.2", "configuration": {"latency": "0"}, "id": "generic:117"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:12.4", "physid": "79", "handle": "PCI:0000:ff:12.4", "configuration": {"latency": "0"}, "id": "generic:118"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 1", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:12.5", "physid": "7a", "handle": "PCI:0000:ff:12.5", "configuration": {"latency": "0"}, "id": "generic:119"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 1 Debug", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:12.6", "physid": "7b", "handle": "PCI:0000:ff:12.6", "configuration": {"latency": "0"}, "id": "generic:120"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.0", "physid": "7c", "handle": "PCI:0000:ff:13.0", "configuration": {"latency": "0"}, "id": "generic:121"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.1", "physid": "7d", "handle": "PCI:0000:ff:13.1", "configuration": {"latency": "0"}, "id": "generic:122"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.2", "physid": "7e", "handle": "PCI:0000:ff:13.2", "configuration": {"latency": "0"}, "id": "generic:123"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.3", "physid": "7f", "handle": "PCI:0000:ff:13.3", "configuration": {"latency": "0"}, "id": "generic:124"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Channel 0/1 Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.6", "physid": "80", "handle": "PCI:0000:ff:13.6", "configuration": {"latency": "0"}, "id": "generic:125"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Global Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.7", "physid": "81", "handle": "PCI:0000:ff:13.7", "configuration": {"latency": "0"}, "id": "generic:126"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 0 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.0", "physid": "82", "handle": "PCI:0000:ff:14.0", "configuration": {"latency": "0"}, "id": "generic:127"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 1 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.1", "physid": "83", "handle": "PCI:0000:ff:14.1", "configuration": {"latency": "0"}, "id": "generic:128"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 0 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.2", "physid": "84", "handle": "PCI:0000:ff:14.2", "configuration": {"latency": "0"}, "id": "generic:129"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 1 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.3", "physid": "85", "handle": "PCI:0000:ff:14.3", "configuration": {"latency": "0"}, "id": "generic:130"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.4", "physid": "86", "handle": "PCI:0000:ff:14.4", "configuration": {"latency": "0"}, "id": "generic:131"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.5", "physid": "87", "handle": "PCI:0000:ff:14.5", "configuration": {"latency": "0"}, "id": "generic:132"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.6", "physid": "88", "handle": "PCI:0000:ff:14.6", "configuration": {"latency": "0"}, "id": "generic:133"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.7", "physid": "89", "handle": "PCI:0000:ff:14.7", "configuration": {"latency": "0"}, "id": "generic:134"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:16.0", "physid": "8a", "handle": "PCI:0000:ff:16.0", "configuration": {"latency": "0"}, "id": "generic:135"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:16.1", "physid": "8b", "handle": "PCI:0000:ff:16.1", "configuration": {"latency": "0"}, "id": "generic:136"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:16.2", "physid": "8c", "handle": "PCI:0000:ff:16.2", "configuration": {"latency": "0"}, "id": "generic:137"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:16.3", "physid": "8d", "handle": "PCI:0000:ff:16.3", "configuration": {"latency": "0"}, "id": "generic:138"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Channel 2/3 Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:16.6", "physid": "8e", "handle": "PCI:0000:ff:16.6", "configuration": {"latency": "0"}, "id": "generic:139"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Global Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:16.7", "physid": "8f", "handle": "PCI:0000:ff:16.7", "configuration": {"latency": "0"}, "id": "generic:140"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 0 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.0", "physid": "90", "handle": "PCI:0000:ff:17.0", "configuration": {"latency": "0"}, "id": "generic:141"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 1 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.1", "physid": "91", "handle": "PCI:0000:ff:17.1", "configuration": {"latency": "0"}, "id": "generic:142"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 0 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.2", "physid": "92", "handle": "PCI:0000:ff:17.2", "configuration": {"latency": "0"}, "id": "generic:143"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 1 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.3", "physid": "93", "handle": "PCI:0000:ff:17.3", "configuration": {"latency": "0"}, "id": "generic:144"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.4", "physid": "94", "handle": "PCI:0000:ff:17.4", "configuration": {"latency": "0"}, "id": "generic:145"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.5", "physid": "95", "handle": "PCI:0000:ff:17.5", "configuration": {"latency": "0"}, "id": "generic:146"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.6", "physid": "96", "handle": "PCI:0000:ff:17.6", "configuration": {"latency": "0"}, "id": "generic:147"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.7", "physid": "97", "handle": "PCI:0000:ff:17.7", "configuration": {"latency": "0"}, "id": "generic:148"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1e.0", "physid": "98", "handle": "PCI:0000:ff:1e.0", "configuration": {"latency": "0"}, "id": "generic:149"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1e.1", "physid": "99", "handle": "PCI:0000:ff:1e.1", "configuration": {"latency": "0"}, "id": "generic:150"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1e.2", "physid": "9a", "handle": "PCI:0000:ff:1e.2", "configuration": {"latency": "0"}, "id": "generic:151"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1e.3", "physid": "9b", "handle": "PCI:0000:ff:1e.3", "configuration": {"latency": "0"}, "id": "generic:152"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1e.4", "physid": "9c", "handle": "PCI:0000:ff:1e.4", "configuration": {"latency": "0"}, "id": "generic:153"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 VCU", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1f.0", "physid": "9d", "handle": "PCI:0000:ff:1f.0", "configuration": {"latency": "0"}, "id": "generic:154"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 VCU", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1f.2", "physid": "9e", "handle": "PCI:0000:ff:1f.2", "configuration": {"latency": "0"}, "id": "generic:155"}]}], "capabilities": {"smbios-2.8": "SMBIOS version 2.8", "dmi-2.8": "DMI version 2.8", "vsyscall32": "32-bit processes"}, "class": "system", "width": 64, "claimed": true, "vendor": "HP", "serial": "CZ3538DSXY", "configuration": {"sku": "776320-B21", "chassis": "blade", "boot": "normal", "uuid": "37373633-3230-435A-3335-333844535859", "family": "ProLiant"}, "id": "bootstrap"}, "memory": {"slots": 16, "total": 137438953472, "maximum_capacity": 1099511627776, "devices": [{"frequency": 2133, "type": "<OUT OF SPEC>", "size": 17179869184}, {"frequency": 2133, "type": "<OUT OF SPEC>", "size": 17179869184}, {"frequency": 2133, "type": "<OUT OF SPEC>", "size": 17179869184}, {"frequency": 2133, "type": "<OUT OF SPEC>", "size": 17179869184}, {"frequency": 2133, "type": "<OUT OF SPEC>", "size": 17179869184}, {"frequency": 2133, "type": "<OUT OF SPEC>", "size": 17179869184}, {"frequency": 2133, "type": "<OUT OF SPEC>", "size": 17179869184}, {"frequency": 2133, "type": "<OUT OF SPEC>", "size": 17179869184}]}, "interfaces": [{"name": "eno49", "ip": "10.20.0.5", "driver": "bnx2x", "state": "up", "mac": "ec:b1:d7:9d:92:60", "max_speed": 10000, "current_speed": 10000, "interface_properties": {"numa_node": 0, "pci_id": "14e4:16a2", "sriov": {"available": false, "sriov_totalvfs": 0, "pci_id": "14e4:16ad"}}, "offloading_modes": [{"state": null, "name": "loopback", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "tx-udp_tnl-segmentation", "sub": []}, {"state": null, "name": "tx-sit-segmentation", "sub": []}, {"state": null, "name": "tx-ipip-segmentation", "sub": []}, {"state": null, "name": "tx-gre-segmentation", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-ecn-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "netmask": "255.255.255.0", "pxe": true, "bus_info": "0000:06:00.0"}, {"name": "ens1f0", "driver": "ixgbe", "state": "down", "mac": "5c:b9:01:8b:a2:48", "max_speed": 10000, "current_speed": 10000, "interface_properties": {"numa_node": 0, "pci_id": "8086:10f8", "sriov": {"available": true, "sriov_totalvfs": 63, "pci_id": "8086:10ed"}}, "offloading_modes": [{"state": null, "name": "l2-fwd-offload", "sub": []}, {"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-filter", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "ntuple-filters", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "bus_info": "0000:08:00.0"}, {"name": "eno50", "driver": "bnx2x", "state": "down", "mac": "ec:b1:d7:9d:92:68", "max_speed": 10000, "current_speed": null, "interface_properties": {"numa_node": 0, "pci_id": "14e4:16a2", "sriov": {"available": false, "sriov_totalvfs": 0, "pci_id": "14e4:16ad"}}, "offloading_modes": [{"state": null, "name": "loopback", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "tx-udp_tnl-segmentation", "sub": []}, {"state": null, "name": "tx-sit-segmentation", "sub": []}, {"state": null, "name": "tx-ipip-segmentation", "sub": []}, {"state": null, "name": "tx-gre-segmentation", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-ecn-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "bus_info": "0000:06:00.1"}, {"name": "ens1f1", "driver": "ixgbe", "state": "down", "mac": "5c:b9:01:8b:a2:49", "max_speed": 10000, "current_speed": 10000, "interface_properties": {"numa_node": 0, "pci_id": "8086:10f8", "sriov": {"available": true, "sriov_totalvfs": 63, "pci_id": "8086:10ed"}}, "offloading_modes": [{"state": null, "name": "l2-fwd-offload", "sub": []}, {"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-filter", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "ntuple-filters", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "bus_info": "0000:08:00.1"}, {"name": "ens2f0", "driver": "ixgbe", "state": "down", "mac": "5c:b9:01:8b:a3:30", "max_speed": 10000, "current_speed": 10000, "interface_properties": {"numa_node": 1, "pci_id": "8086:10f8", "sriov": {"available": true, "sriov_totalvfs": 63, "pci_id": "8086:10ed"}}, "offloading_modes": [{"state": null, "name": "l2-fwd-offload", "sub": []}, {"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-filter", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "ntuple-filters", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "bus_info": "0000:87:00.0"}, {"name": "ens2f1", "driver": "ixgbe", "state": "down", "mac": "5c:b9:01:8b:a3:31", "max_speed": 10000, "current_speed": 10000, "interface_properties": {"numa_node": 1, "pci_id": "8086:10f8", "sriov": {"available": true, "sriov_totalvfs": 63, "pci_id": "8086:10ed"}}, "offloading_modes": [{"state": null, "name": "l2-fwd-offload", "sub": []}, {"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-filter", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "ntuple-filters", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "bus_info": "0000:87:00.1"}], "disks": [{"paths": null, "name": "sda", "extra": ["disk/by-id/wwn-0x600508b1001c6df93115d69dd5731802", "disk/by-id/scsi-3600508b1001c6df93115d69dd5731802"], "removable": "0", "model": "LOGICAL VOLUME", "disk": "disk/by-path/pci-0000:07:00.0-scsi-0:0:0:0", "size": 1200186417152}], "system": {"product": "ProLiant BL460c Gen9", "uuid": "33363737-3032-5A43-3335-333844535859", "family": "ProLiant", "fqdn": "bootstrap", "runtime_uuid": "d7079090-3ac0-4b4f-b022-254a3d5bc3ef", "manufacturer": "HP"}, "numa_topology": {"numa_nodes": [{"pcidevs": ["0000:06:00.0", "0000:06:00.1", "0000:07:00.0", "0000:08:00.0", "0000:08:00.1", "0000:01:00.1"], "memory": 67431464960, "id": 0, "cpus": [0, 24, 1, 25, 2, 26, 3, 27, 4, 28, 5, 29, 6, 30, 7, 31, 8, 32, 9, 33, 10, 34, 11, 35]}, {"pcidevs": ["0000:87:00.0", "0000:87:00.1"], "memory": 67625697280, "id": 1, "cpus": [12, 36, 13, 37, 14, 38, 15, 39, 16, 40, 17, 41, 18, 42, 19, 43, 20, 44, 21, 45, 22, 46, 23, 47]}], "distances": [["1.000000", "2.100000"], ["2.100000", "1.000000"]], "supported_hugepages": [2048, 1048576]}, "cpu": {"real": 2, "total": 48, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}]}}	ec:b1:d7:9d:92:60	10.20.0.5	HP	ProLiant BL460c Gen9	\N	0	ubuntu	t	f	\N	\N	2016-11-17 20:34:34.832512	t	5f86c6db01443e3682ded136151642a8580501b1	[]	{}	1	node-4	{}	{ceph-osd,compute}	{}	\N	{}	{}	[]	{"cpu_pinning": {"dpdk": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "description": "Number of CPUs for DPDK usage", "weight": 20, "min": 0, "value": 0, "label": "DPDK CPU pinning", "type": "number"}, "nova": {"description": "Number of CPUs for Nova usage", "weight": 10, "min": 0, "value": 0, "label": "Nova CPU pinning", "type": "number"}, "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'kvm'"}], "group": "nfv", "weight": 10, "label": "CPU pinning"}}, "hugepages": {"metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'kvm'"}], "group": "nfv", "weight": 20, "label": "Huge Pages"}, "nova": {"weight": 10, "type": "custom_hugepages", "description": "Nova Huge Pages configuration", "value": {"1048576": 0, "2048": 1024}, "label": "Nova Huge Pages"}, "dpdk": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "description": "DPDK Huge Pages per NUMA node in MB", "weight": 20, "min": 0, "value": 128, "label": "DPDK Huge Pages", "type": "number"}}}
5	97799554-4352-452f-a04c-806d228f3148	1	Untitled (9b:f0)	discover	{"pci_devices": {"product": "ProLiant BL460c Gen9 (776320-B21)", "handle": "DMI:0009", "description": "Blade", "children": [{"description": "Motherboard", "class": "bus", "id": "core", "claimed": true, "physid": "0", "children": [{"slot": "L1-Cache", "capacity": 786432, "handle": "DMI:0000", "description": "L1 cache", "capabilities": {"unified": "Unified cache", "internal": "Internal", "synchronous": "Synchronous", "write-back": "Write-back"}, "class": "memory", "units": "bytes", "claimed": true, "physid": "0", "id": "cache:0", "size": 786432}, {"slot": "L2-Cache", "capacity": 3145728, "handle": "DMI:0001", "description": "L2 cache", "capabilities": {"unified": "Unified cache", "varies": "Varies With Memory Address", "internal": "Internal", "synchronous": "Synchronous"}, "class": "memory", "units": "bytes", "claimed": true, "physid": "1", "id": "cache:1", "size": 3145728}, {"slot": "L3-Cache", "capacity": 31457280, "handle": "DMI:0002", "description": "L3 cache", "capabilities": {"unified": "Unified cache", "varies": "Varies With Memory Address", "internal": "Internal", "synchronous": "Synchronous"}, "class": "memory", "units": "bytes", "claimed": true, "physid": "2", "id": "cache:2", "size": 31457280}, {"slot": "Proc 1", "product": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "capacity": 4000000000, "handle": "DMI:0003", "description": "CPU", "width": 64, "clock": 100000000, "capabilities": {"tsc_adjust": true, "vme": "virtual mode extensions", "vmx": true, "pts": true, "smep": true, "fpu": "mathematical co-processor", "sse4_2": true, "monitor": true, "sse4_1": true, "tsc": "time stamp counter", "fxsr": "fast floating point save/restore", "tm": "thermal interrupt and status", "arat": true, "de": "debugging extensions", "aperfmperf": true, "pse": "page size extensions", "x86-64": "64bits extensions (x86-64)", "sse": "streaming SIMD extensions (SSE)", "f16c": true, "flexpriority": true, "aes": true, "avx2": true, "pbe": "pending break event", "cx16": true, "ds_cpl": true, "movbe": true, "xsaveopt": true, "bts": true, "sep": "fast system calls", "xsave": true, "fpu_exception": "FPU exceptions reporting", "xtopology": true, "erms": true, "constant_tsc": true, "est": true, "smx": true, "abm": true, "nopl": true, "arch_perfmon": true, "acpi": "thermal control (ACPI)", "mmx": "multimedia extensions (MMX)", "dca": true, "popcnt": true, "wp": true, "pln": true, "dtherm": true, "tm2": true, "pcid": true, "cpufreq": "CPU Frequency scaling", "pdcm": true, "ida": true, "pebs": true, "pge": "page global enable", "clflush": true, "dtes64": true, "xtpr": true, "ht": "HyperThreading", "msr": "model-specific registers", "fma": true, "cx8": "compare and exchange 8-byte", "nonstop_tsc": true, "mce": "machine check exceptions", "mca": "machine check architecture", "pni": true, "apic": "on-chip advanced programmable interrupt controller (APIC)", "fsgsbase": true, "rdtscp": true, "ssse3": true, "pse36": "36-bit page size extensions", "mtrr": "memory type range registers", "dts": "debug trace and EMON store MSRs", "avx": true, "syscall": "fast system calls", "invpcid": true, "cmov": "conditional move instruction", "pat": "page attribute table", "eagerfpu": true, "nx": "no-execute bit (NX)", "pae": "4GB+ memory addressing (Physical Address Extension)", "vpid": true, "tpr_shadow": true, "rep_good": true, "tsc_deadline_timer": true, "pdpe1gb": true, "rdrand": true, "lahf_lm": true, "pclmulqdq": true, "sse2": "streaming SIMD extensions (SSE2)", "ss": "self-snoop", "ept": true, "bmi1": true, "bmi2": true, "vnmi": true, "x2apic": true, "epb": true}, "class": "processor", "units": "Hz", "version": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "businfo": "cpu@0", "physid": "3", "claimed": true, "vendor": "Intel Corp.", "configuration": {"cores": "12", "threads": "24", "enabledcores": "12"}, "id": "cpu:0", "size": 1200000000}, {"slot": "L1-Cache", "capacity": 786432, "handle": "DMI:0004", "description": "L1 cache", "capabilities": {"unified": "Unified cache", "internal": "Internal", "synchronous": "Synchronous", "write-back": "Write-back"}, "class": "memory", "units": "bytes", "claimed": true, "physid": "4", "id": "cache:3", "size": 786432}, {"slot": "L2-Cache", "capacity": 3145728, "handle": "DMI:0005", "description": "L2 cache", "capabilities": {"unified": "Unified cache", "varies": "Varies With Memory Address", "internal": "Internal", "synchronous": "Synchronous"}, "class": "memory", "units": "bytes", "claimed": true, "physid": "5", "id": "cache:4", "size": 3145728}, {"slot": "L3-Cache", "capacity": 31457280, "handle": "DMI:0006", "description": "L3 cache", "capabilities": {"unified": "Unified cache", "varies": "Varies With Memory Address", "internal": "Internal", "synchronous": "Synchronous"}, "class": "memory", "units": "bytes", "claimed": true, "physid": "6", "id": "cache:5", "size": 31457280}, {"slot": "Proc 2", "product": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "capacity": 4000000000, "handle": "DMI:0007", "description": "CPU", "width": 64, "clock": 100000000, "capabilities": {"tsc_adjust": true, "vme": "virtual mode extensions", "vmx": true, "pts": true, "smep": true, "fpu": "mathematical co-processor", "sse4_2": true, "monitor": true, "sse4_1": true, "tsc": "time stamp counter", "fxsr": "fast floating point save/restore", "tm": "thermal interrupt and status", "arat": true, "de": "debugging extensions", "aperfmperf": true, "pse": "page size extensions", "x86-64": "64bits extensions (x86-64)", "sse": "streaming SIMD extensions (SSE)", "f16c": true, "flexpriority": true, "aes": true, "avx2": true, "pbe": "pending break event", "cx16": true, "ds_cpl": true, "movbe": true, "xsaveopt": true, "bts": true, "sep": "fast system calls", "xsave": true, "fpu_exception": "FPU exceptions reporting", "xtopology": true, "erms": true, "constant_tsc": true, "est": true, "smx": true, "abm": true, "nopl": true, "arch_perfmon": true, "acpi": "thermal control (ACPI)", "mmx": "multimedia extensions (MMX)", "dca": true, "popcnt": true, "wp": true, "pln": true, "dtherm": true, "tm2": true, "pcid": true, "cpufreq": "CPU Frequency scaling", "pdcm": true, "ida": true, "pebs": true, "pge": "page global enable", "clflush": true, "dtes64": true, "xtpr": true, "ht": "HyperThreading", "msr": "model-specific registers", "fma": true, "cx8": "compare and exchange 8-byte", "nonstop_tsc": true, "mce": "machine check exceptions", "mca": "machine check architecture", "pni": true, "apic": "on-chip advanced programmable interrupt controller (APIC)", "fsgsbase": true, "rdtscp": true, "ssse3": true, "pse36": "36-bit page size extensions", "mtrr": "memory type range registers", "dts": "debug trace and EMON store MSRs", "avx": true, "syscall": "fast system calls", "invpcid": true, "cmov": "conditional move instruction", "pat": "page attribute table", "eagerfpu": true, "nx": "no-execute bit (NX)", "pae": "4GB+ memory addressing (Physical Address Extension)", "vpid": true, "tpr_shadow": true, "rep_good": true, "tsc_deadline_timer": true, "pdpe1gb": true, "rdrand": true, "lahf_lm": true, "pclmulqdq": true, "sse2": "streaming SIMD extensions (SSE2)", "ss": "self-snoop", "ept": true, "bmi1": true, "bmi2": true, "vnmi": true, "x2apic": true, "epb": true}, "class": "processor", "units": "Hz", "version": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "businfo": "cpu@1", "physid": "7", "claimed": true, "vendor": "Intel Corp.", "configuration": {"cores": "12", "threads": "24", "enabledcores": "12"}, "id": "cpu:1", "size": 1200000000}, {"units": "bytes", "vendor": "HP", "description": "BIOS", "capacity": 16711680, "capabilities": {"upgrade": "BIOS EEPROM can be upgraded", "shadowing": "BIOS shadowing", "edd": "Enhanced Disk Drive extensions", "int13floppy720": "3.5\\" 720KB floppy", "pnp": "Plug-and-Play", "netboot": "Function-key initiated network service boot", "int9keyboard": "i8042 keyboard controller", "int13floppy1200": "5.25\\" 1.2MB floppy", "int13floppy360": "5.25\\" 360KB floppy", "biosbootspecification": "BIOS boot specification", "int5printscreen": "Print Screen key", "pci": "PCI bus", "uefi": "UEFI specification is supported", "usb": "USB legacy emulation", "int17printer": "INT17 printer control", "escd": "ESCD", "bootselect": "Selectable boot path", "int14serial": "INT14 serial line control", "int10video": "INT10 CGA/Mono video", "acpi": "ACPI", "cdboot": "Booting from CD-ROM/DVD"}, "class": "memory", "date": "05/06/2015", "version": "I36", "claimed": true, "physid": "9", "id": "firmware", "size": 65536}, {"slot": "System board or motherboard", "handle": "DMI:000A", "description": "System Memory", "children": [{"slot": "PROC 1 DIMM 1", "product": "752369-081", "handle": "DMI:000C", "description": "DIMM Synchronous 2133 MHz (0.5 ns)", "width": 64, "clock": 2133000000, "class": "memory", "units": "bytes", "physid": "0", "claimed": true, "vendor": "HP", "id": "bank:0", "size": 17179869184}, {"slot": "PROC 1 DIMM 2", "product": "NOT AVAILABLE", "handle": "DMI:000D", "description": "DIMM Synchronous [empty]", "class": "memory", "width": 64, "physid": "1", "claimed": true, "vendor": "UNKNOWN", "id": "bank:1"}, {"slot": "PROC 1 DIMM 3", "product": "752369-081", "handle": "DMI:000E", "description": "DIMM Synchronous 2133 MHz (0.5 ns)", "width": 64, "clock": 2133000000, "class": "memory", "units": "bytes", "physid": "2", "claimed": true, "vendor": "HP", "id": "bank:2", "size": 17179869184}, {"slot": "PROC 1 DIMM 4", "product": "NOT AVAILABLE", "handle": "DMI:000F", "description": "DIMM Synchronous [empty]", "class": "memory", "width": 64, "physid": "3", "claimed": true, "vendor": "UNKNOWN", "id": "bank:3"}, {"slot": "PROC 1 DIMM 5", "product": "NOT AVAILABLE", "handle": "DMI:0010", "description": "DIMM Synchronous [empty]", "class": "memory", "width": 64, "physid": "4", "claimed": true, "vendor": "UNKNOWN", "id": "bank:4"}, {"slot": "PROC 1 DIMM 6", "product": "752369-081", "handle": "DMI:0011", "description": "DIMM Synchronous 2133 MHz (0.5 ns)", "width": 64, "clock": 2133000000, "class": "memory", "units": "bytes", "physid": "5", "claimed": true, "vendor": "HP", "id": "bank:5", "size": 17179869184}, {"slot": "PROC 1 DIMM 7", "product": "NOT AVAILABLE", "handle": "DMI:0012", "description": "DIMM Synchronous [empty]", "class": "memory", "width": 64, "physid": "6", "claimed": true, "vendor": "UNKNOWN", "id": "bank:6"}, {"slot": "PROC 1 DIMM 8", "product": "752369-081", "handle": "DMI:0013", "description": "DIMM Synchronous 2133 MHz (0.5 ns)", "width": 64, "clock": 2133000000, "class": "memory", "units": "bytes", "physid": "7", "claimed": true, "vendor": "HP", "id": "bank:7", "size": 17179869184}], "class": "memory", "claimed": true, "physid": "a", "id": "memory:0"}, {"slot": "System board or motherboard", "handle": "DMI:000B", "description": "System Memory", "children": [{"slot": "PROC 2 DIMM 1", "product": "752369-081", "handle": "DMI:0014", "description": "DIMM Synchronous 2133 MHz (0.5 ns)", "width": 64, "clock": 2133000000, "class": "memory", "units": "bytes", "physid": "0", "claimed": true, "vendor": "HP", "id": "bank:0", "size": 17179869184}, {"slot": "PROC 2 DIMM 2", "product": "NOT AVAILABLE", "handle": "DMI:0015", "description": "DIMM Synchronous [empty]", "class": "memory", "width": 64, "physid": "1", "claimed": true, "vendor": "UNKNOWN", "id": "bank:1"}, {"slot": "PROC 2 DIMM 3", "product": "752369-081", "handle": "DMI:0016", "description": "DIMM Synchronous 2133 MHz (0.5 ns)", "width": 64, "clock": 2133000000, "class": "memory", "units": "bytes", "physid": "2", "claimed": true, "vendor": "HP", "id": "bank:2", "size": 17179869184}, {"slot": "PROC 2 DIMM 4", "product": "NOT AVAILABLE", "handle": "DMI:0017", "description": "DIMM Synchronous [empty]", "class": "memory", "width": 64, "physid": "3", "claimed": true, "vendor": "UNKNOWN", "id": "bank:3"}, {"slot": "PROC 2 DIMM 5", "product": "NOT AVAILABLE", "handle": "DMI:0018", "description": "DIMM Synchronous [empty]", "class": "memory", "width": 64, "physid": "4", "claimed": true, "vendor": "UNKNOWN", "id": "bank:4"}, {"slot": "PROC 2 DIMM 6", "product": "752369-081", "handle": "DMI:0019", "description": "DIMM Synchronous 2133 MHz (0.5 ns)", "width": 64, "clock": 2133000000, "class": "memory", "units": "bytes", "physid": "5", "claimed": true, "vendor": "HP", "id": "bank:5", "size": 17179869184}, {"slot": "PROC 2 DIMM 7", "product": "NOT AVAILABLE", "handle": "DMI:001A", "description": "DIMM Synchronous [empty]", "class": "memory", "width": 64, "physid": "6", "claimed": true, "vendor": "UNKNOWN", "id": "bank:6"}, {"slot": "PROC 2 DIMM 8", "product": "752369-081", "handle": "DMI:001B", "description": "DIMM Synchronous 2133 MHz (0.5 ns)", "width": 64, "clock": 2133000000, "class": "memory", "units": "bytes", "physid": "7", "claimed": true, "vendor": "HP", "id": "bank:7", "size": 17179869184}], "class": "memory", "claimed": true, "physid": "c", "id": "memory:1"}, {"physid": "d", "id": "memory:2", "class": "memory"}, {"physid": "e", "id": "memory:3", "class": "memory"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMI2", "handle": "PCIBUS:0000:00", "description": "Host bridge", "clock": 33000000, "children": [{"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 1", "handle": "PCIBUS:0000:02", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:01.0", "physid": "1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:0"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 1", "handle": "PCIBUS:0000:05", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:01.1", "physid": "1.1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:1"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 2", "handle": "PCIBUS:0000:06", "description": "PCI bridge", "clock": 33000000, "children": [{"product": "BCM57840 NetXtreme II 10/20-Gigabit Ethernet", "capacity": 1000000000, "handle": "PCI:0000:06:00.0", "description": "Ethernet interface", "width": 64, "logicalname": "eno49", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "fibre": "optical fibre", "msix": "MSI-X", "rom": "extension ROM", "bus_master": "bus mastering", "autonegotiation": "Auto-negotiation", "vpd": "Vital Product Data", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "ethernet": true, "physical": "Physical interface", "pm": "Power Management"}, "class": "network", "units": "bit/s", "version": "11", "businfo": "pci@0000:06:00.0", "clock": 33000000, "physid": "0", "claimed": true, "vendor": "Broadcom Corporation", "serial": "ec:b1:d7:9d:9b:f0", "configuration": {"latency": "0", "autonegotiation": "on", "duplex": "full", "ip": "10.20.0.3", "firmware": "bc 7.12.83", "driver": "bnx2x", "broadcast": "yes", "multicast": "yes", "link": "yes", "driverversion": "1.78.17-0", "port": "fibre"}, "id": "network:0"}, {"product": "BCM57840 NetXtreme II 10/20-Gigabit Ethernet", "capacity": 1000000000, "handle": "PCI:0000:06:00.1", "description": "Ethernet interface", "width": 64, "logicalname": "eno50", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "fibre": "optical fibre", "msix": "MSI-X", "rom": "extension ROM", "bus_master": "bus mastering", "autonegotiation": "Auto-negotiation", "vpd": "Vital Product Data", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "ethernet": true, "physical": "Physical interface", "pm": "Power Management"}, "class": "network", "disabled": true, "units": "bit/s", "version": "11", "businfo": "pci@0000:06:00.1", "clock": 33000000, "physid": "0.1", "claimed": true, "vendor": "Broadcom Corporation", "serial": "ec:b1:d7:9d:9b:f8", "configuration": {"latency": "0", "autonegotiation": "on", "firmware": "bc 7.12.83", "driver": "bnx2x", "broadcast": "yes", "multicast": "yes", "link": "no", "driverversion": "1.78.17-0", "port": "fibre"}, "id": "network:1"}], "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:02.0", "physid": "2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:2"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 2", "handle": "PCIBUS:0000:0b", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:02.1", "physid": "2.1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:3"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 2", "handle": "PCIBUS:0000:07", "description": "PCI bridge", "clock": 33000000, "children": [{"product": "Smart Array Gen9 Controllers", "handle": "PCI:0000:07:00.0", "description": "RAID bus controller", "clock": 33000000, "logicalname": "scsi0", "children": [{"product": "P244br", "vendor": "HP", "description": "SCSI", "class": "generic", "version": "3.00", "businfo": "scsi@0:3.0.0", "physid": "3.0.0", "handle": "SCSI:00:03:00:00", "serial": "PDZVU0RLM9A0JU", "configuration": {"ansiversion": "5"}, "id": "generic"}, {"product": "LOGICAL VOLUME", "handle": "SCSI:00:00:00:00", "description": "SCSI Disk", "capabilities": {"15000rpm": "15000 rotations per minute"}, "logicalname": "/dev/sda", "dev": "8:0", "class": "disk", "units": "bytes", "version": "3.00", "businfo": "scsi@0:0.0.0", "physid": "0.0.0", "claimed": true, "vendor": "HP", "serial": "PDZVU0RLM9A0JU", "configuration": {"ansiversion": "5", "sectorsize": "512"}, "id": "disk", "size": 1200186417152}], "capabilities": {"msix": "MSI-X", "msi": "Message Signalled Interrupts", "storage": true, "bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "rom": "extension ROM", "pm": "Power Management"}, "class": "storage", "width": 64, "version": "01", "businfo": "pci@0000:07:00.0", "physid": "0", "claimed": true, "vendor": "Hewlett-Packard Company", "configuration": {"latency": "0", "driver": "hpsa"}, "id": "storage"}], "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:02.2", "physid": "2.2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:4"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 2", "handle": "PCIBUS:0000:0c", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:02.3", "physid": "2.3", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:5"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 3", "handle": "PCIBUS:0000:08", "description": "PCI bridge", "clock": 33000000, "children": [{"product": "82599 10 Gigabit Dual Port Backplane Connection", "capacity": 1000000000, "handle": "PCI:0000:08:00.0", "description": "Ethernet interface", "width": 32, "logicalname": "ens1f0", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "fibre": "optical fibre", "msix": "MSI-X", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "autonegotiation": "Auto-negotiation", "vpd": "Vital Product Data", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "ethernet": true, "physical": "Physical interface", "rom": "extension ROM", "pm": "Power Management"}, "class": "network", "disabled": true, "units": "bit/s", "version": "01", "businfo": "pci@0000:08:00.0", "clock": 33000000, "physid": "0", "claimed": true, "vendor": "Intel Corporation", "serial": "5c:b9:01:8c:76:84", "configuration": {"latency": "0", "autonegotiation": "on", "duplex": "full", "firmware": "0x80000815", "driver": "ixgbe", "broadcast": "yes", "multicast": "yes", "link": "no", "driverversion": "3.15.1-k"}, "id": "network:0"}, {"product": "82599 10 Gigabit Dual Port Backplane Connection", "capacity": 1000000000, "handle": "PCI:0000:08:00.1", "description": "Ethernet interface", "width": 32, "logicalname": "ens1f1", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "fibre": "optical fibre", "msix": "MSI-X", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "autonegotiation": "Auto-negotiation", "vpd": "Vital Product Data", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "ethernet": true, "physical": "Physical interface", "pm": "Power Management"}, "class": "network", "disabled": true, "units": "bit/s", "version": "01", "businfo": "pci@0000:08:00.1", "clock": 33000000, "physid": "0.1", "claimed": true, "vendor": "Intel Corporation", "serial": "5c:b9:01:8c:76:85", "configuration": {"latency": "0", "autonegotiation": "on", "duplex": "full", "firmware": "0x80000815", "driver": "ixgbe", "broadcast": "yes", "multicast": "yes", "link": "no", "driverversion": "3.15.1-k"}, "id": "network:1"}], "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:03.0", "physid": "3", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:6"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 3", "handle": "PCIBUS:0000:0d", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:03.1", "physid": "3.1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:7"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 3", "handle": "PCIBUS:0000:0e", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:03.2", "physid": "3.2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:8"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 3", "handle": "PCIBUS:0000:0f", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:03.3", "physid": "3.3", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:9"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 0", "handle": "PCI:0000:00:04.0", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.0", "physid": "4", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:0"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 1", "handle": "PCI:0000:00:04.1", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.1", "physid": "4.1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:1"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 2", "handle": "PCI:0000:00:04.2", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.2", "physid": "4.2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:2"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 3", "handle": "PCI:0000:00:04.3", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.3", "physid": "4.3", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:3"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 4", "handle": "PCI:0000:00:04.4", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.4", "physid": "4.4", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:4"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 5", "handle": "PCI:0000:00:04.5", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.5", "physid": "4.5", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:5"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 6", "handle": "PCI:0000:00:04.6", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.6", "physid": "4.6", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:6"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 7", "handle": "PCI:0000:00:04.7", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.7", "physid": "4.7", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:7"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Address Map, VTd_Misc, System Management", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:00:05.0", "physid": "5", "handle": "PCI:0000:00:05.0", "configuration": {"latency": "0"}, "id": "generic:8"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Hot Plug", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "pciexpress": "PCI Express"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:00:05.1", "physid": "5.1", "handle": "PCI:0000:00:05.1", "configuration": {"latency": "0"}, "id": "generic:9"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 RAS, Control Status and Global Errors", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:00:05.2", "physid": "5.2", "handle": "PCI:0000:00:05.2", "configuration": {"latency": "0"}, "id": "generic:10"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 I/O APIC", "vendor": "Intel Corporation", "description": "PIC", "clock": 33000000, "capabilities": {"io_x_-apic": true, "bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:00:05.4", "physid": "5.4", "handle": "PCI:0000:00:05.4", "configuration": {"latency": "0"}, "id": "generic:11"}, {"product": "C610/X99 series chipset SPSR", "vendor": "Intel Corporation", "description": "Unassigned class", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 32, "version": "05", "businfo": "pci@0000:00:11.0", "physid": "11", "handle": "PCI:0000:00:11.0", "configuration": {"latency": "0"}, "id": "generic:12"}, {"product": "C610/X99 series chipset USB xHCI Host Controller", "handle": "PCI:0000:00:14.0", "description": "USB controller", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "xhci": true, "pm": "Power Management"}, "class": "bus", "width": 64, "version": "05", "businfo": "pci@0000:00:14.0", "physid": "14", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "xhci_hcd"}, "id": "usb:0"}, {"product": "C610/X99 series chipset USB Enhanced Host Controller #2", "handle": "PCI:0000:00:1a.0", "description": "USB controller", "clock": 33000000, "capabilities": {"debug": "Debug port", "bus_master": "bus mastering", "ehci": "Enhanced Host Controller Interface (USB2)", "cap_list": "PCI capabilities listing", "pm": "Power Management"}, "class": "bus", "width": 32, "version": "05", "businfo": "pci@0000:00:1a.0", "physid": "1a", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ehci-pci"}, "id": "usb:1"}, {"product": "C610/X99 series chipset PCI Express Root Port #1", "handle": "PCIBUS:0000:10", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "bus_master": "bus mastering", "pci": true, "msi": "Message Signalled Interrupts", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "d5", "businfo": "pci@0000:00:1c.0", "physid": "1c", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:10"}, {"product": "C610/X99 series chipset PCI Express Root Port #3", "handle": "PCIBUS:0000:01", "description": "PCI bridge", "clock": 33000000, "children": [{"product": "Integrated Lights-Out Standard Slave Instrumentation & System Support", "vendor": "Hewlett-Packard Company", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "msi": "Message Signalled Interrupts", "pm": "Power Management"}, "class": "generic", "width": 32, "version": "06", "businfo": "pci@0000:01:00.0", "physid": "0", "handle": "PCI:0000:01:00.0", "configuration": {"latency": "0"}, "id": "generic:0"}, {"product": "MGA G200EH", "vendor": "Matrox Electronics Systems Ltd.", "description": "VGA compatible controller", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "vga_controller": true, "bus_master": "bus mastering", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "display", "width": 32, "version": "01", "businfo": "pci@0000:01:00.1", "physid": "0.1", "handle": "PCI:0000:01:00.1", "configuration": {"latency": "0"}, "id": "display"}, {"product": "Integrated Lights-Out Standard Management Processor Support and Messaging", "handle": "PCI:0000:01:00.2", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "rom": "extension ROM", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 32, "version": "06", "businfo": "pci@0000:01:00.2", "physid": "0.2", "claimed": true, "vendor": "Hewlett-Packard Company", "configuration": {"latency": "0", "driver": "hpilo"}, "id": "generic:1"}, {"product": "Integrated Lights-Out Standard Virtual USB Controller", "handle": "PCI:0000:01:00.4", "description": "USB controller", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pciexpress": "PCI Express", "pm": "Power Management", "uhci": "Universal Host Controller Interface (USB1)"}, "class": "bus", "width": 32, "version": "03", "businfo": "pci@0000:01:00.4", "physid": "0.4", "claimed": true, "vendor": "Hewlett-Packard Company", "configuration": {"latency": "0", "driver": "uhci_hcd"}, "id": "usb"}], "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "bus_master": "bus mastering", "pci": true, "msi": "Message Signalled Interrupts", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "d5", "businfo": "pci@0000:00:1c.2", "physid": "1c.2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:11"}, {"product": "C610/X99 series chipset PCI Express Root Port #5", "handle": "PCIBUS:0000:11", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "bus_master": "bus mastering", "pci": true, "msi": "Message Signalled Interrupts", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "d5", "businfo": "pci@0000:00:1c.4", "physid": "1c.4", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:12"}, {"product": "C610/X99 series chipset PCI Express Root Port #7", "handle": "PCIBUS:0000:12", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "bus_master": "bus mastering", "pci": true, "msi": "Message Signalled Interrupts", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "d5", "businfo": "pci@0000:00:1c.6", "physid": "1c.6", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:13"}, {"product": "C610/X99 series chipset PCI Express Root Port #8", "handle": "PCIBUS:0000:13", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "bus_master": "bus mastering", "pci": true, "msi": "Message Signalled Interrupts", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "d5", "businfo": "pci@0000:00:1c.7", "physid": "1c.7", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:14"}, {"product": "C610/X99 series chipset USB Enhanced Host Controller #1", "handle": "PCI:0000:00:1d.0", "description": "USB controller", "clock": 33000000, "capabilities": {"debug": "Debug port", "bus_master": "bus mastering", "ehci": "Enhanced Host Controller Interface (USB2)", "cap_list": "PCI capabilities listing", "pm": "Power Management"}, "class": "bus", "width": 32, "version": "05", "businfo": "pci@0000:00:1d.0", "physid": "1d", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ehci-pci"}, "id": "usb:2"}, {"product": "C610/X99 series chipset LPC Controller", "handle": "PCI:0000:00:1f.0", "description": "ISA bridge", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "isa": true, "cap_list": "PCI capabilities listing"}, "class": "bridge", "width": 32, "version": "05", "businfo": "pci@0000:00:1f.0", "physid": "1f", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "lpc_ich"}, "id": "isa"}, {"product": "C610/X99 series chipset SMBus Controller", "vendor": "Intel Corporation", "description": "SMBus", "clock": 33000000, "class": "bus", "width": 64, "version": "05", "businfo": "pci@0000:00:1f.3", "physid": "1f.3", "handle": "PCI:0000:00:1f.3", "configuration": {"latency": "0"}, "id": "serial"}], "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:00.0", "physid": "100", "claimed": true, "vendor": "Intel Corporation", "id": "pci:0"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 0", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:08.0", "physid": "f", "handle": "PCI:0000:7f:08.0", "configuration": {"latency": "0"}, "id": "generic:0"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 0", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:08.3", "physid": "10", "handle": "PCI:0000:7f:08.3", "configuration": {"latency": "0"}, "id": "generic:1"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:09.0", "physid": "11", "handle": "PCI:0000:7f:09.0", "configuration": {"latency": "0"}, "id": "generic:2"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:09.3", "physid": "12", "handle": "PCI:0000:7f:09.3", "configuration": {"latency": "0"}, "id": "generic:3"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0b.0", "physid": "13", "handle": "PCI:0000:7f:0b.0", "configuration": {"latency": "0"}, "id": "generic:4"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0b.1", "physid": "14", "handle": "PCI:0000:7f:0b.1", "configuration": {"latency": "0"}, "id": "generic:5"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0b.2", "physid": "15", "handle": "PCI:0000:7f:0b.2", "configuration": {"latency": "0"}, "id": "generic:6"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.0", "physid": "16", "handle": "PCI:0000:7f:0c.0", "configuration": {"latency": "0"}, "id": "generic:7"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.1", "physid": "17", "handle": "PCI:0000:7f:0c.1", "configuration": {"latency": "0"}, "id": "generic:8"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.2", "physid": "18", "handle": "PCI:0000:7f:0c.2", "configuration": {"latency": "0"}, "id": "generic:9"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.3", "physid": "19", "handle": "PCI:0000:7f:0c.3", "configuration": {"latency": "0"}, "id": "generic:10"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.4", "physid": "1a", "handle": "PCI:0000:7f:0c.4", "configuration": {"latency": "0"}, "id": "generic:11"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.5", "physid": "1b", "handle": "PCI:0000:7f:0c.5", "configuration": {"latency": "0"}, "id": "generic:12"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.6", "physid": "1c", "handle": "PCI:0000:7f:0c.6", "configuration": {"latency": "0"}, "id": "generic:13"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.7", "physid": "1d", "handle": "PCI:0000:7f:0c.7", "configuration": {"latency": "0"}, "id": "generic:14"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0d.0", "physid": "1e", "handle": "PCI:0000:7f:0d.0", "configuration": {"latency": "0"}, "id": "generic:15"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0d.1", "physid": "1f", "handle": "PCI:0000:7f:0d.1", "configuration": {"latency": "0"}, "id": "generic:16"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0d.2", "physid": "20", "handle": "PCI:0000:7f:0d.2", "configuration": {"latency": "0"}, "id": "generic:17"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0d.3", "physid": "21", "handle": "PCI:0000:7f:0d.3", "configuration": {"latency": "0"}, "id": "generic:18"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0f.0", "physid": "22", "handle": "PCI:0000:7f:0f.0", "configuration": {"latency": "0"}, "id": "generic:19"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0f.1", "physid": "23", "handle": "PCI:0000:7f:0f.1", "configuration": {"latency": "0"}, "id": "generic:20"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0f.2", "physid": "24", "handle": "PCI:0000:7f:0f.2", "configuration": {"latency": "0"}, "id": "generic:21"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0f.3", "physid": "25", "handle": "PCI:0000:7f:0f.3", "configuration": {"latency": "0"}, "id": "generic:22"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0f.4", "physid": "26", "handle": "PCI:0000:7f:0f.4", "configuration": {"latency": "0"}, "id": "generic:23"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0f.5", "physid": "27", "handle": "PCI:0000:7f:0f.5", "configuration": {"latency": "0"}, "id": "generic:24"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0f.6", "physid": "28", "handle": "PCI:0000:7f:0f.6", "configuration": {"latency": "0"}, "id": "generic:25"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCIe Ring Interface", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:10.0", "physid": "29", "handle": "PCI:0000:7f:10.0", "configuration": {"latency": "0"}, "id": "generic:26"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCIe Ring Interface", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:10.1", "physid": "2a", "handle": "PCI:0000:7f:10.1", "configuration": {"latency": "0"}, "id": "generic:27"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:10.5", "physid": "2b", "handle": "PCI:0000:7f:10.5", "configuration": {"latency": "0"}, "id": "generic:28"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:10.6", "physid": "2c", "handle": "PCI:0000:7f:10.6", "configuration": {"latency": "0"}, "id": "generic:29"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:10.7", "physid": "2d", "handle": "PCI:0000:7f:10.7", "configuration": {"latency": "0"}, "id": "generic:30"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 0", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:12.0", "physid": "2e", "handle": "PCI:0000:7f:12.0", "configuration": {"latency": "0"}, "id": "generic:31"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 0", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:12.1", "physid": "2f", "handle": "PCI:0000:7f:12.1", "configuration": {"latency": "0"}, "id": "generic:32"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 0 Debug", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:12.2", "physid": "30", "handle": "PCI:0000:7f:12.2", "configuration": {"latency": "0"}, "id": "generic:33"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:12.4", "physid": "31", "handle": "PCI:0000:7f:12.4", "configuration": {"latency": "0"}, "id": "generic:34"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 1", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:12.5", "physid": "32", "handle": "PCI:0000:7f:12.5", "configuration": {"latency": "0"}, "id": "generic:35"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 1 Debug", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:12.6", "physid": "33", "handle": "PCI:0000:7f:12.6", "configuration": {"latency": "0"}, "id": "generic:36"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.0", "physid": "34", "handle": "PCI:0000:7f:13.0", "configuration": {"latency": "0"}, "id": "generic:37"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.1", "physid": "35", "handle": "PCI:0000:7f:13.1", "configuration": {"latency": "0"}, "id": "generic:38"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.2", "physid": "36", "handle": "PCI:0000:7f:13.2", "configuration": {"latency": "0"}, "id": "generic:39"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.3", "physid": "37", "handle": "PCI:0000:7f:13.3", "configuration": {"latency": "0"}, "id": "generic:40"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Channel 0/1 Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.6", "physid": "38", "handle": "PCI:0000:7f:13.6", "configuration": {"latency": "0"}, "id": "generic:41"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Global Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.7", "physid": "39", "handle": "PCI:0000:7f:13.7", "configuration": {"latency": "0"}, "id": "generic:42"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 0 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.0", "physid": "3a", "handle": "PCI:0000:7f:14.0", "configuration": {"latency": "0"}, "id": "generic:43"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 1 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.1", "physid": "3b", "handle": "PCI:0000:7f:14.1", "configuration": {"latency": "0"}, "id": "generic:44"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 0 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.2", "physid": "3c", "handle": "PCI:0000:7f:14.2", "configuration": {"latency": "0"}, "id": "generic:45"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 1 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.3", "physid": "3d", "handle": "PCI:0000:7f:14.3", "configuration": {"latency": "0"}, "id": "generic:46"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.4", "physid": "3e", "handle": "PCI:0000:7f:14.4", "configuration": {"latency": "0"}, "id": "generic:47"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.5", "physid": "3f", "handle": "PCI:0000:7f:14.5", "configuration": {"latency": "0"}, "id": "generic:48"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.6", "physid": "40", "handle": "PCI:0000:7f:14.6", "configuration": {"latency": "0"}, "id": "generic:49"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.7", "physid": "41", "handle": "PCI:0000:7f:14.7", "configuration": {"latency": "0"}, "id": "generic:50"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:16.0", "physid": "42", "handle": "PCI:0000:7f:16.0", "configuration": {"latency": "0"}, "id": "generic:51"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:16.1", "physid": "43", "handle": "PCI:0000:7f:16.1", "configuration": {"latency": "0"}, "id": "generic:52"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:16.2", "physid": "44", "handle": "PCI:0000:7f:16.2", "configuration": {"latency": "0"}, "id": "generic:53"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:16.3", "physid": "45", "handle": "PCI:0000:7f:16.3", "configuration": {"latency": "0"}, "id": "generic:54"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Channel 2/3 Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:16.6", "physid": "46", "handle": "PCI:0000:7f:16.6", "configuration": {"latency": "0"}, "id": "generic:55"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Global Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:16.7", "physid": "47", "handle": "PCI:0000:7f:16.7", "configuration": {"latency": "0"}, "id": "generic:56"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 0 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.0", "physid": "48", "handle": "PCI:0000:7f:17.0", "configuration": {"latency": "0"}, "id": "generic:57"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 1 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.1", "physid": "49", "handle": "PCI:0000:7f:17.1", "configuration": {"latency": "0"}, "id": "generic:58"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 0 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.2", "physid": "4a", "handle": "PCI:0000:7f:17.2", "configuration": {"latency": "0"}, "id": "generic:59"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 1 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.3", "physid": "4b", "handle": "PCI:0000:7f:17.3", "configuration": {"latency": "0"}, "id": "generic:60"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.4", "physid": "4c", "handle": "PCI:0000:7f:17.4", "configuration": {"latency": "0"}, "id": "generic:61"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.5", "physid": "4d", "handle": "PCI:0000:7f:17.5", "configuration": {"latency": "0"}, "id": "generic:62"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.6", "physid": "4e", "handle": "PCI:0000:7f:17.6", "configuration": {"latency": "0"}, "id": "generic:63"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.7", "physid": "4f", "handle": "PCI:0000:7f:17.7", "configuration": {"latency": "0"}, "id": "generic:64"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1e.0", "physid": "50", "handle": "PCI:0000:7f:1e.0", "configuration": {"latency": "0"}, "id": "generic:65"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1e.1", "physid": "51", "handle": "PCI:0000:7f:1e.1", "configuration": {"latency": "0"}, "id": "generic:66"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1e.2", "physid": "52", "handle": "PCI:0000:7f:1e.2", "configuration": {"latency": "0"}, "id": "generic:67"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1e.3", "physid": "53", "handle": "PCI:0000:7f:1e.3", "configuration": {"latency": "0"}, "id": "generic:68"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1e.4", "physid": "54", "handle": "PCI:0000:7f:1e.4", "configuration": {"latency": "0"}, "id": "generic:69"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 VCU", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1f.0", "physid": "55", "handle": "PCI:0000:7f:1f.0", "configuration": {"latency": "0"}, "id": "generic:70"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 VCU", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1f.2", "physid": "56", "handle": "PCI:0000:7f:1f.2", "configuration": {"latency": "0"}, "id": "generic:71"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 0", "handle": "PCIBUS:0000:8d", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:80:00.0", "physid": "101", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:1"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 1", "handle": "PCIBUS:0000:81", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:80:01.0", "physid": "102", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:2"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 1", "handle": "PCIBUS:0000:82", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:80:01.1", "physid": "1.1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:3"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 2", "handle": "PCIBUS:0000:83", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:80:02.0", "physid": "103", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:4"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 2", "handle": "PCIBUS:0000:84", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:80:02.1", "physid": "2.1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:5"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 2", "handle": "PCIBUS:0000:85", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:80:02.2", "physid": "2.2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:6"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 2", "handle": "PCIBUS:0000:86", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:80:02.3", "physid": "2.3", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:7"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 3", "handle": "PCIBUS:0000:87", "description": "PCI bridge", "clock": 33000000, "children": [{"product": "82599 10 Gigabit Dual Port Backplane Connection", "capacity": 1000000000, "handle": "PCI:0000:87:00.0", "description": "Ethernet interface", "width": 32, "logicalname": "ens2f0", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "fibre": "optical fibre", "msix": "MSI-X", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "autonegotiation": "Auto-negotiation", "vpd": "Vital Product Data", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "ethernet": true, "physical": "Physical interface", "rom": "extension ROM", "pm": "Power Management"}, "class": "network", "disabled": true, "units": "bit/s", "version": "01", "businfo": "pci@0000:87:00.0", "clock": 33000000, "physid": "0", "claimed": true, "vendor": "Intel Corporation", "serial": "8c:dc:d4:b7:98:c8", "configuration": {"latency": "0", "autonegotiation": "on", "duplex": "full", "firmware": "0x80000815", "driver": "ixgbe", "broadcast": "yes", "multicast": "yes", "link": "no", "driverversion": "3.15.1-k"}, "id": "network:0"}, {"product": "82599 10 Gigabit Dual Port Backplane Connection", "capacity": 1000000000, "handle": "PCI:0000:87:00.1", "description": "Ethernet interface", "width": 32, "logicalname": "ens2f1", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "fibre": "optical fibre", "msix": "MSI-X", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "autonegotiation": "Auto-negotiation", "vpd": "Vital Product Data", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "ethernet": true, "physical": "Physical interface", "pm": "Power Management"}, "class": "network", "disabled": true, "units": "bit/s", "version": "01", "businfo": "pci@0000:87:00.1", "clock": 33000000, "physid": "0.1", "claimed": true, "vendor": "Intel Corporation", "serial": "8c:dc:d4:b7:98:c9", "configuration": {"latency": "0", "autonegotiation": "on", "duplex": "full", "firmware": "0x80000815", "driver": "ixgbe", "broadcast": "yes", "multicast": "yes", "link": "no", "driverversion": "3.15.1-k"}, "id": "network:1"}], "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:80:03.0", "physid": "104", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:8"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 3", "handle": "PCIBUS:0000:8a", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:80:03.1", "physid": "3.1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:9"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 3", "handle": "PCIBUS:0000:8b", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:80:03.2", "physid": "3.2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:10"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 3", "handle": "PCIBUS:0000:8c", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:80:03.3", "physid": "3.3", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:11"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 0", "handle": "PCI:0000:80:04.0", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.0", "physid": "57", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:72"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 1", "handle": "PCI:0000:80:04.1", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.1", "physid": "4.1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:73"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 2", "handle": "PCI:0000:80:04.2", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.2", "physid": "4.2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:74"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 3", "handle": "PCI:0000:80:04.3", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.3", "physid": "4.3", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:75"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 4", "handle": "PCI:0000:80:04.4", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.4", "physid": "4.4", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:76"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 5", "handle": "PCI:0000:80:04.5", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.5", "physid": "4.5", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:77"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 6", "handle": "PCI:0000:80:04.6", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.6", "physid": "4.6", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:78"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 7", "handle": "PCI:0000:80:04.7", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.7", "physid": "4.7", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:79"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Address Map, VTd_Misc, System Management", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:80:05.0", "physid": "58", "handle": "PCI:0000:80:05.0", "configuration": {"latency": "0"}, "id": "generic:80"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Hot Plug", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "pciexpress": "PCI Express"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:80:05.1", "physid": "5.1", "handle": "PCI:0000:80:05.1", "configuration": {"latency": "0"}, "id": "generic:81"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 RAS, Control Status and Global Errors", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:80:05.2", "physid": "5.2", "handle": "PCI:0000:80:05.2", "configuration": {"latency": "0"}, "id": "generic:82"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 I/O APIC", "vendor": "Intel Corporation", "description": "PIC", "clock": 33000000, "capabilities": {"io_x_-apic": true, "bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:80:05.4", "physid": "5.4", "handle": "PCI:0000:80:05.4", "configuration": {"latency": "0"}, "id": "generic:83"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 0", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:08.0", "physid": "8", "handle": "PCI:0000:ff:08.0", "configuration": {"latency": "0"}, "id": "generic:84"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 0", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:08.3", "physid": "59", "handle": "PCI:0000:ff:08.3", "configuration": {"latency": "0"}, "id": "generic:85"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:09.0", "physid": "5a", "handle": "PCI:0000:ff:09.0", "configuration": {"latency": "0"}, "id": "generic:86"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:09.3", "physid": "5b", "handle": "PCI:0000:ff:09.3", "configuration": {"latency": "0"}, "id": "generic:87"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0b.0", "physid": "b", "handle": "PCI:0000:ff:0b.0", "configuration": {"latency": "0"}, "id": "generic:88"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0b.1", "physid": "5c", "handle": "PCI:0000:ff:0b.1", "configuration": {"latency": "0"}, "id": "generic:89"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0b.2", "physid": "5d", "handle": "PCI:0000:ff:0b.2", "configuration": {"latency": "0"}, "id": "generic:90"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.0", "physid": "5e", "handle": "PCI:0000:ff:0c.0", "configuration": {"latency": "0"}, "id": "generic:91"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.1", "physid": "5f", "handle": "PCI:0000:ff:0c.1", "configuration": {"latency": "0"}, "id": "generic:92"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.2", "physid": "60", "handle": "PCI:0000:ff:0c.2", "configuration": {"latency": "0"}, "id": "generic:93"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.3", "physid": "61", "handle": "PCI:0000:ff:0c.3", "configuration": {"latency": "0"}, "id": "generic:94"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.4", "physid": "62", "handle": "PCI:0000:ff:0c.4", "configuration": {"latency": "0"}, "id": "generic:95"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.5", "physid": "63", "handle": "PCI:0000:ff:0c.5", "configuration": {"latency": "0"}, "id": "generic:96"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.6", "physid": "64", "handle": "PCI:0000:ff:0c.6", "configuration": {"latency": "0"}, "id": "generic:97"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.7", "physid": "65", "handle": "PCI:0000:ff:0c.7", "configuration": {"latency": "0"}, "id": "generic:98"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0d.0", "physid": "66", "handle": "PCI:0000:ff:0d.0", "configuration": {"latency": "0"}, "id": "generic:99"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0d.1", "physid": "67", "handle": "PCI:0000:ff:0d.1", "configuration": {"latency": "0"}, "id": "generic:100"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0d.2", "physid": "68", "handle": "PCI:0000:ff:0d.2", "configuration": {"latency": "0"}, "id": "generic:101"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0d.3", "physid": "69", "handle": "PCI:0000:ff:0d.3", "configuration": {"latency": "0"}, "id": "generic:102"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0f.0", "physid": "6a", "handle": "PCI:0000:ff:0f.0", "configuration": {"latency": "0"}, "id": "generic:103"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0f.1", "physid": "6b", "handle": "PCI:0000:ff:0f.1", "configuration": {"latency": "0"}, "id": "generic:104"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0f.2", "physid": "6c", "handle": "PCI:0000:ff:0f.2", "configuration": {"latency": "0"}, "id": "generic:105"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0f.3", "physid": "6d", "handle": "PCI:0000:ff:0f.3", "configuration": {"latency": "0"}, "id": "generic:106"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0f.4", "physid": "6e", "handle": "PCI:0000:ff:0f.4", "configuration": {"latency": "0"}, "id": "generic:107"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0f.5", "physid": "6f", "handle": "PCI:0000:ff:0f.5", "configuration": {"latency": "0"}, "id": "generic:108"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0f.6", "physid": "70", "handle": "PCI:0000:ff:0f.6", "configuration": {"latency": "0"}, "id": "generic:109"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCIe Ring Interface", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:10.0", "physid": "71", "handle": "PCI:0000:ff:10.0", "configuration": {"latency": "0"}, "id": "generic:110"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCIe Ring Interface", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:10.1", "physid": "72", "handle": "PCI:0000:ff:10.1", "configuration": {"latency": "0"}, "id": "generic:111"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:10.5", "physid": "73", "handle": "PCI:0000:ff:10.5", "configuration": {"latency": "0"}, "id": "generic:112"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:10.6", "physid": "74", "handle": "PCI:0000:ff:10.6", "configuration": {"latency": "0"}, "id": "generic:113"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:10.7", "physid": "75", "handle": "PCI:0000:ff:10.7", "configuration": {"latency": "0"}, "id": "generic:114"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 0", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:12.0", "physid": "76", "handle": "PCI:0000:ff:12.0", "configuration": {"latency": "0"}, "id": "generic:115"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 0", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:12.1", "physid": "77", "handle": "PCI:0000:ff:12.1", "configuration": {"latency": "0"}, "id": "generic:116"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 0 Debug", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:12.2", "physid": "78", "handle": "PCI:0000:ff:12.2", "configuration": {"latency": "0"}, "id": "generic:117"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:12.4", "physid": "79", "handle": "PCI:0000:ff:12.4", "configuration": {"latency": "0"}, "id": "generic:118"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 1", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:12.5", "physid": "7a", "handle": "PCI:0000:ff:12.5", "configuration": {"latency": "0"}, "id": "generic:119"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 1 Debug", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:12.6", "physid": "7b", "handle": "PCI:0000:ff:12.6", "configuration": {"latency": "0"}, "id": "generic:120"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.0", "physid": "7c", "handle": "PCI:0000:ff:13.0", "configuration": {"latency": "0"}, "id": "generic:121"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.1", "physid": "7d", "handle": "PCI:0000:ff:13.1", "configuration": {"latency": "0"}, "id": "generic:122"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.2", "physid": "7e", "handle": "PCI:0000:ff:13.2", "configuration": {"latency": "0"}, "id": "generic:123"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.3", "physid": "7f", "handle": "PCI:0000:ff:13.3", "configuration": {"latency": "0"}, "id": "generic:124"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Channel 0/1 Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.6", "physid": "80", "handle": "PCI:0000:ff:13.6", "configuration": {"latency": "0"}, "id": "generic:125"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Global Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.7", "physid": "81", "handle": "PCI:0000:ff:13.7", "configuration": {"latency": "0"}, "id": "generic:126"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 0 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.0", "physid": "82", "handle": "PCI:0000:ff:14.0", "configuration": {"latency": "0"}, "id": "generic:127"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 1 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.1", "physid": "83", "handle": "PCI:0000:ff:14.1", "configuration": {"latency": "0"}, "id": "generic:128"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 0 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.2", "physid": "84", "handle": "PCI:0000:ff:14.2", "configuration": {"latency": "0"}, "id": "generic:129"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 1 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.3", "physid": "85", "handle": "PCI:0000:ff:14.3", "configuration": {"latency": "0"}, "id": "generic:130"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.4", "physid": "86", "handle": "PCI:0000:ff:14.4", "configuration": {"latency": "0"}, "id": "generic:131"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.5", "physid": "87", "handle": "PCI:0000:ff:14.5", "configuration": {"latency": "0"}, "id": "generic:132"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.6", "physid": "88", "handle": "PCI:0000:ff:14.6", "configuration": {"latency": "0"}, "id": "generic:133"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.7", "physid": "89", "handle": "PCI:0000:ff:14.7", "configuration": {"latency": "0"}, "id": "generic:134"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:16.0", "physid": "8a", "handle": "PCI:0000:ff:16.0", "configuration": {"latency": "0"}, "id": "generic:135"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:16.1", "physid": "8b", "handle": "PCI:0000:ff:16.1", "configuration": {"latency": "0"}, "id": "generic:136"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:16.2", "physid": "8c", "handle": "PCI:0000:ff:16.2", "configuration": {"latency": "0"}, "id": "generic:137"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:16.3", "physid": "8d", "handle": "PCI:0000:ff:16.3", "configuration": {"latency": "0"}, "id": "generic:138"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Channel 2/3 Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:16.6", "physid": "8e", "handle": "PCI:0000:ff:16.6", "configuration": {"latency": "0"}, "id": "generic:139"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Global Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:16.7", "physid": "8f", "handle": "PCI:0000:ff:16.7", "configuration": {"latency": "0"}, "id": "generic:140"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 0 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.0", "physid": "90", "handle": "PCI:0000:ff:17.0", "configuration": {"latency": "0"}, "id": "generic:141"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 1 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.1", "physid": "91", "handle": "PCI:0000:ff:17.1", "configuration": {"latency": "0"}, "id": "generic:142"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 0 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.2", "physid": "92", "handle": "PCI:0000:ff:17.2", "configuration": {"latency": "0"}, "id": "generic:143"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 1 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.3", "physid": "93", "handle": "PCI:0000:ff:17.3", "configuration": {"latency": "0"}, "id": "generic:144"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.4", "physid": "94", "handle": "PCI:0000:ff:17.4", "configuration": {"latency": "0"}, "id": "generic:145"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.5", "physid": "95", "handle": "PCI:0000:ff:17.5", "configuration": {"latency": "0"}, "id": "generic:146"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.6", "physid": "96", "handle": "PCI:0000:ff:17.6", "configuration": {"latency": "0"}, "id": "generic:147"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.7", "physid": "97", "handle": "PCI:0000:ff:17.7", "configuration": {"latency": "0"}, "id": "generic:148"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1e.0", "physid": "98", "handle": "PCI:0000:ff:1e.0", "configuration": {"latency": "0"}, "id": "generic:149"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1e.1", "physid": "99", "handle": "PCI:0000:ff:1e.1", "configuration": {"latency": "0"}, "id": "generic:150"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1e.2", "physid": "9a", "handle": "PCI:0000:ff:1e.2", "configuration": {"latency": "0"}, "id": "generic:151"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1e.3", "physid": "9b", "handle": "PCI:0000:ff:1e.3", "configuration": {"latency": "0"}, "id": "generic:152"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1e.4", "physid": "9c", "handle": "PCI:0000:ff:1e.4", "configuration": {"latency": "0"}, "id": "generic:153"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 VCU", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1f.0", "physid": "9d", "handle": "PCI:0000:ff:1f.0", "configuration": {"latency": "0"}, "id": "generic:154"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 VCU", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1f.2", "physid": "9e", "handle": "PCI:0000:ff:1f.2", "configuration": {"latency": "0"}, "id": "generic:155"}]}], "capabilities": {"smbios-2.8": "SMBIOS version 2.8", "dmi-2.8": "DMI version 2.8", "vsyscall32": "32-bit processes"}, "class": "system", "width": 64, "claimed": true, "vendor": "HP", "serial": "CZ3538DSTF", "configuration": {"sku": "776320-B21", "chassis": "blade", "boot": "normal", "uuid": "37373633-3230-435A-3335-333844535446", "family": "ProLiant"}, "id": "bootstrap"}, "memory": {"slots": 16, "total": 137438953472, "maximum_capacity": 1099511627776, "devices": [{"frequency": 2133, "type": "<OUT OF SPEC>", "size": 17179869184}, {"frequency": 2133, "type": "<OUT OF SPEC>", "size": 17179869184}, {"frequency": 2133, "type": "<OUT OF SPEC>", "size": 17179869184}, {"frequency": 2133, "type": "<OUT OF SPEC>", "size": 17179869184}, {"frequency": 2133, "type": "<OUT OF SPEC>", "size": 17179869184}, {"frequency": 2133, "type": "<OUT OF SPEC>", "size": 17179869184}, {"frequency": 2133, "type": "<OUT OF SPEC>", "size": 17179869184}, {"frequency": 2133, "type": "<OUT OF SPEC>", "size": 17179869184}]}, "interfaces": [{"name": "eno49", "ip": "10.20.0.3", "driver": "bnx2x", "state": "up", "mac": "ec:b1:d7:9d:9b:f0", "max_speed": 10000, "current_speed": 10000, "interface_properties": {"numa_node": 0, "pci_id": "14e4:16a2", "sriov": {"available": false, "sriov_totalvfs": 0, "pci_id": "14e4:16ad"}}, "offloading_modes": [{"state": null, "name": "loopback", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "tx-udp_tnl-segmentation", "sub": []}, {"state": null, "name": "tx-sit-segmentation", "sub": []}, {"state": null, "name": "tx-ipip-segmentation", "sub": []}, {"state": null, "name": "tx-gre-segmentation", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-ecn-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "netmask": "255.255.255.0", "pxe": true, "bus_info": "0000:06:00.0"}, {"name": "ens1f0", "driver": "ixgbe", "state": "down", "mac": "5c:b9:01:8c:76:84", "max_speed": 10000, "current_speed": 10000, "interface_properties": {"numa_node": 0, "pci_id": "8086:10f8", "sriov": {"available": true, "sriov_totalvfs": 63, "pci_id": "8086:10ed"}}, "offloading_modes": [{"state": null, "name": "l2-fwd-offload", "sub": []}, {"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-filter", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "ntuple-filters", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "bus_info": "0000:08:00.0"}, {"name": "eno50", "driver": "bnx2x", "state": "down", "mac": "ec:b1:d7:9d:9b:f8", "max_speed": 10000, "current_speed": null, "interface_properties": {"numa_node": 0, "pci_id": "14e4:16a2", "sriov": {"available": false, "sriov_totalvfs": 0, "pci_id": "14e4:16ad"}}, "offloading_modes": [{"state": null, "name": "loopback", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "tx-udp_tnl-segmentation", "sub": []}, {"state": null, "name": "tx-sit-segmentation", "sub": []}, {"state": null, "name": "tx-ipip-segmentation", "sub": []}, {"state": null, "name": "tx-gre-segmentation", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-ecn-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "bus_info": "0000:06:00.1"}, {"name": "ens1f1", "driver": "ixgbe", "state": "down", "mac": "5c:b9:01:8c:76:85", "max_speed": 10000, "current_speed": 10000, "interface_properties": {"numa_node": 0, "pci_id": "8086:10f8", "sriov": {"available": true, "sriov_totalvfs": 63, "pci_id": "8086:10ed"}}, "offloading_modes": [{"state": null, "name": "l2-fwd-offload", "sub": []}, {"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-filter", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "ntuple-filters", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "bus_info": "0000:08:00.1"}, {"name": "ens2f0", "driver": "ixgbe", "state": "down", "mac": "8c:dc:d4:b7:98:c8", "max_speed": 10000, "current_speed": 10000, "interface_properties": {"numa_node": 1, "pci_id": "8086:10f8", "sriov": {"available": true, "sriov_totalvfs": 63, "pci_id": "8086:10ed"}}, "offloading_modes": [{"state": null, "name": "l2-fwd-offload", "sub": []}, {"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-filter", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "ntuple-filters", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "bus_info": "0000:87:00.0"}, {"name": "ens2f1", "driver": "ixgbe", "state": "down", "mac": "8c:dc:d4:b7:98:c9", "max_speed": 10000, "current_speed": 10000, "interface_properties": {"numa_node": 1, "pci_id": "8086:10f8", "sriov": {"available": true, "sriov_totalvfs": 63, "pci_id": "8086:10ed"}}, "offloading_modes": [{"state": null, "name": "l2-fwd-offload", "sub": []}, {"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-filter", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "ntuple-filters", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "bus_info": "0000:87:00.1"}], "disks": [{"paths": null, "name": "sda", "extra": ["disk/by-id/wwn-0x600508b1001c348050f30817d63c4c11", "disk/by-id/scsi-3600508b1001c348050f30817d63c4c11"], "removable": "0", "model": "LOGICAL VOLUME", "disk": "disk/by-path/pci-0000:07:00.0-scsi-0:0:0:0", "size": 1200186417152}], "system": {"product": "ProLiant BL460c Gen9", "uuid": "33363737-3032-5A43-3335-333844535446", "family": "ProLiant", "fqdn": "bootstrap", "runtime_uuid": "d7079090-3ac0-4b4f-b022-254a3d5bc3ef", "manufacturer": "HP"}, "numa_topology": {"numa_nodes": [{"pcidevs": ["0000:06:00.0", "0000:06:00.1", "0000:07:00.0", "0000:08:00.0", "0000:08:00.1", "0000:01:00.1"], "memory": 67431464960, "id": 0, "cpus": [0, 24, 1, 25, 2, 26, 3, 27, 4, 28, 5, 29, 6, 30, 7, 31, 8, 32, 9, 33, 10, 34, 11, 35]}, {"pcidevs": ["0000:87:00.0", "0000:87:00.1"], "memory": 67625697280, "id": 1, "cpus": [12, 36, 13, 37, 14, 38, 15, 39, 16, 40, 17, 41, 18, 42, 19, 43, 20, 44, 21, 45, 22, 46, 23, 47]}], "distances": [["1.000000", "2.100000"], ["2.100000", "1.000000"]], "supported_hugepages": [2048, 1048576]}, "cpu": {"real": 2, "total": 48, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}]}}	ec:b1:d7:9d:9b:f0	10.20.0.3	HP	ProLiant BL460c Gen9	\N	0	ubuntu	t	f	\N	\N	2016-11-17 20:33:31.378269	t	01513b52162a4043264a74c0dc42c8df31e50f6d	[]	{}	1	node-5	{}	{controller}	{}	\N	{}	{}	[]	{"cpu_pinning": {"metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'kvm'"}], "group": "nfv", "weight": 10, "label": "CPU pinning"}, "nova": {"description": "Number of CPUs for Nova usage", "weight": 10, "min": 0, "value": 0, "label": "Nova CPU pinning", "type": "number"}, "dpdk": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "description": "Number of CPUs for DPDK usage", "weight": 20, "min": 0, "value": 0, "label": "DPDK CPU pinning", "type": "number"}}, "hugepages": {"dpdk": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "description": "DPDK Huge Pages per NUMA node in MB", "weight": 20, "min": 0, "value": 0, "label": "DPDK Huge Pages", "type": "number"}, "nova": {"weight": 10, "type": "custom_hugepages", "description": "Nova Huge Pages configuration", "value": {"2048": 0, "1048576": 0}, "label": "Nova Huge Pages"}, "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'kvm'"}], "group": "nfv", "weight": 20, "label": "Huge Pages"}}}
2	486fb82c-1813-47f5-b4f3-a8d4a978ea66	1	Untitled (9c:00)	discover	{"pci_devices": {"product": "ProLiant BL460c Gen9 (776320-B21)", "handle": "DMI:0009", "description": "Blade", "children": [{"description": "Motherboard", "class": "bus", "id": "core", "claimed": true, "physid": "0", "children": [{"slot": "L1-Cache", "capacity": 786432, "handle": "DMI:0000", "description": "L1 cache", "capabilities": {"unified": "Unified cache", "internal": "Internal", "synchronous": "Synchronous", "write-back": "Write-back"}, "class": "memory", "units": "bytes", "claimed": true, "physid": "0", "id": "cache:0", "size": 786432}, {"slot": "L2-Cache", "capacity": 3145728, "handle": "DMI:0001", "description": "L2 cache", "capabilities": {"unified": "Unified cache", "varies": "Varies With Memory Address", "internal": "Internal", "synchronous": "Synchronous"}, "class": "memory", "units": "bytes", "claimed": true, "physid": "1", "id": "cache:1", "size": 3145728}, {"slot": "L3-Cache", "capacity": 31457280, "handle": "DMI:0002", "description": "L3 cache", "capabilities": {"unified": "Unified cache", "varies": "Varies With Memory Address", "internal": "Internal", "synchronous": "Synchronous"}, "class": "memory", "units": "bytes", "claimed": true, "physid": "2", "id": "cache:2", "size": 31457280}, {"slot": "Proc 1", "product": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "capacity": 4000000000, "handle": "DMI:0003", "description": "CPU", "width": 64, "clock": 100000000, "capabilities": {"tsc_adjust": true, "vme": "virtual mode extensions", "vmx": true, "pts": true, "smep": true, "fpu": "mathematical co-processor", "sse4_2": true, "monitor": true, "sse4_1": true, "tsc": "time stamp counter", "fxsr": "fast floating point save/restore", "tm": "thermal interrupt and status", "arat": true, "de": "debugging extensions", "aperfmperf": true, "pse": "page size extensions", "x86-64": "64bits extensions (x86-64)", "sse": "streaming SIMD extensions (SSE)", "f16c": true, "flexpriority": true, "aes": true, "avx2": true, "pbe": "pending break event", "cx16": true, "ds_cpl": true, "movbe": true, "xsaveopt": true, "bts": true, "sep": "fast system calls", "xsave": true, "fpu_exception": "FPU exceptions reporting", "xtopology": true, "erms": true, "constant_tsc": true, "est": true, "smx": true, "abm": true, "nopl": true, "arch_perfmon": true, "acpi": "thermal control (ACPI)", "mmx": "multimedia extensions (MMX)", "dca": true, "popcnt": true, "wp": true, "pln": true, "dtherm": true, "tm2": true, "pcid": true, "cpufreq": "CPU Frequency scaling", "pdcm": true, "ida": true, "pebs": true, "pge": "page global enable", "clflush": true, "dtes64": true, "xtpr": true, "ht": "HyperThreading", "msr": "model-specific registers", "fma": true, "cx8": "compare and exchange 8-byte", "nonstop_tsc": true, "mce": "machine check exceptions", "mca": "machine check architecture", "pni": true, "apic": "on-chip advanced programmable interrupt controller (APIC)", "fsgsbase": true, "rdtscp": true, "ssse3": true, "pse36": "36-bit page size extensions", "mtrr": "memory type range registers", "dts": "debug trace and EMON store MSRs", "avx": true, "syscall": "fast system calls", "invpcid": true, "cmov": "conditional move instruction", "pat": "page attribute table", "eagerfpu": true, "nx": "no-execute bit (NX)", "pae": "4GB+ memory addressing (Physical Address Extension)", "vpid": true, "tpr_shadow": true, "rep_good": true, "tsc_deadline_timer": true, "pdpe1gb": true, "rdrand": true, "lahf_lm": true, "pclmulqdq": true, "sse2": "streaming SIMD extensions (SSE2)", "ss": "self-snoop", "ept": true, "bmi1": true, "bmi2": true, "vnmi": true, "x2apic": true, "epb": true}, "class": "processor", "units": "Hz", "version": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "businfo": "cpu@0", "physid": "3", "claimed": true, "vendor": "Intel Corp.", "configuration": {"cores": "12", "threads": "24", "enabledcores": "12"}, "id": "cpu:0", "size": 1350000000}, {"slot": "L1-Cache", "capacity": 786432, "handle": "DMI:0004", "description": "L1 cache", "capabilities": {"unified": "Unified cache", "internal": "Internal", "synchronous": "Synchronous", "write-back": "Write-back"}, "class": "memory", "units": "bytes", "claimed": true, "physid": "4", "id": "cache:3", "size": 786432}, {"slot": "L2-Cache", "capacity": 3145728, "handle": "DMI:0005", "description": "L2 cache", "capabilities": {"unified": "Unified cache", "varies": "Varies With Memory Address", "internal": "Internal", "synchronous": "Synchronous"}, "class": "memory", "units": "bytes", "claimed": true, "physid": "5", "id": "cache:4", "size": 3145728}, {"slot": "L3-Cache", "capacity": 31457280, "handle": "DMI:0006", "description": "L3 cache", "capabilities": {"unified": "Unified cache", "varies": "Varies With Memory Address", "internal": "Internal", "synchronous": "Synchronous"}, "class": "memory", "units": "bytes", "claimed": true, "physid": "6", "id": "cache:5", "size": 31457280}, {"slot": "Proc 2", "product": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "capacity": 4000000000, "handle": "DMI:0007", "description": "CPU", "width": 64, "clock": 100000000, "capabilities": {"tsc_adjust": true, "vme": "virtual mode extensions", "vmx": true, "pts": true, "smep": true, "fpu": "mathematical co-processor", "sse4_2": true, "monitor": true, "sse4_1": true, "tsc": "time stamp counter", "fxsr": "fast floating point save/restore", "tm": "thermal interrupt and status", "arat": true, "de": "debugging extensions", "aperfmperf": true, "pse": "page size extensions", "x86-64": "64bits extensions (x86-64)", "sse": "streaming SIMD extensions (SSE)", "f16c": true, "flexpriority": true, "aes": true, "avx2": true, "pbe": "pending break event", "cx16": true, "ds_cpl": true, "movbe": true, "xsaveopt": true, "bts": true, "sep": "fast system calls", "xsave": true, "fpu_exception": "FPU exceptions reporting", "xtopology": true, "erms": true, "constant_tsc": true, "est": true, "smx": true, "abm": true, "nopl": true, "arch_perfmon": true, "acpi": "thermal control (ACPI)", "mmx": "multimedia extensions (MMX)", "dca": true, "popcnt": true, "wp": true, "pln": true, "dtherm": true, "tm2": true, "pcid": true, "cpufreq": "CPU Frequency scaling", "pdcm": true, "ida": true, "pebs": true, "pge": "page global enable", "clflush": true, "dtes64": true, "xtpr": true, "ht": "HyperThreading", "msr": "model-specific registers", "fma": true, "cx8": "compare and exchange 8-byte", "nonstop_tsc": true, "mce": "machine check exceptions", "mca": "machine check architecture", "pni": true, "apic": "on-chip advanced programmable interrupt controller (APIC)", "fsgsbase": true, "rdtscp": true, "ssse3": true, "pse36": "36-bit page size extensions", "mtrr": "memory type range registers", "dts": "debug trace and EMON store MSRs", "avx": true, "syscall": "fast system calls", "invpcid": true, "cmov": "conditional move instruction", "pat": "page attribute table", "eagerfpu": true, "nx": "no-execute bit (NX)", "pae": "4GB+ memory addressing (Physical Address Extension)", "vpid": true, "tpr_shadow": true, "rep_good": true, "tsc_deadline_timer": true, "pdpe1gb": true, "rdrand": true, "lahf_lm": true, "pclmulqdq": true, "sse2": "streaming SIMD extensions (SSE2)", "ss": "self-snoop", "ept": true, "bmi1": true, "bmi2": true, "vnmi": true, "x2apic": true, "epb": true}, "class": "processor", "units": "Hz", "version": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "businfo": "cpu@1", "physid": "7", "claimed": true, "vendor": "Intel Corp.", "configuration": {"cores": "12", "threads": "24", "enabledcores": "12"}, "id": "cpu:1", "size": 1200000000}, {"units": "bytes", "vendor": "HP", "description": "BIOS", "capacity": 16711680, "capabilities": {"upgrade": "BIOS EEPROM can be upgraded", "shadowing": "BIOS shadowing", "edd": "Enhanced Disk Drive extensions", "int13floppy720": "3.5\\" 720KB floppy", "pnp": "Plug-and-Play", "netboot": "Function-key initiated network service boot", "int9keyboard": "i8042 keyboard controller", "int13floppy1200": "5.25\\" 1.2MB floppy", "int13floppy360": "5.25\\" 360KB floppy", "biosbootspecification": "BIOS boot specification", "int5printscreen": "Print Screen key", "pci": "PCI bus", "uefi": "UEFI specification is supported", "usb": "USB legacy emulation", "int17printer": "INT17 printer control", "escd": "ESCD", "bootselect": "Selectable boot path", "int14serial": "INT14 serial line control", "int10video": "INT10 CGA/Mono video", "acpi": "ACPI", "cdboot": "Booting from CD-ROM/DVD"}, "class": "memory", "date": "05/06/2015", "version": "I36", "claimed": true, "physid": "9", "id": "firmware", "size": 65536}, {"slot": "System board or motherboard", "handle": "DMI:000A", "description": "System Memory", "children": [{"slot": "PROC 1 DIMM 1", "product": "752369-081", "handle": "DMI:000C", "description": "DIMM Synchronous 2133 MHz (0.5 ns)", "width": 64, "clock": 2133000000, "class": "memory", "units": "bytes", "physid": "0", "claimed": true, "vendor": "HP", "id": "bank:0", "size": 17179869184}, {"slot": "PROC 1 DIMM 2", "product": "NOT AVAILABLE", "handle": "DMI:000D", "description": "DIMM Synchronous [empty]", "class": "memory", "width": 64, "physid": "1", "claimed": true, "vendor": "UNKNOWN", "id": "bank:1"}, {"slot": "PROC 1 DIMM 3", "product": "752369-081", "handle": "DMI:000E", "description": "DIMM Synchronous 2133 MHz (0.5 ns)", "width": 64, "clock": 2133000000, "class": "memory", "units": "bytes", "physid": "2", "claimed": true, "vendor": "HP", "id": "bank:2", "size": 17179869184}, {"slot": "PROC 1 DIMM 4", "product": "NOT AVAILABLE", "handle": "DMI:000F", "description": "DIMM Synchronous [empty]", "class": "memory", "width": 64, "physid": "3", "claimed": true, "vendor": "UNKNOWN", "id": "bank:3"}, {"slot": "PROC 1 DIMM 5", "product": "NOT AVAILABLE", "handle": "DMI:0010", "description": "DIMM Synchronous [empty]", "class": "memory", "width": 64, "physid": "4", "claimed": true, "vendor": "UNKNOWN", "id": "bank:4"}, {"slot": "PROC 1 DIMM 6", "product": "752369-081", "handle": "DMI:0011", "description": "DIMM Synchronous 2133 MHz (0.5 ns)", "width": 64, "clock": 2133000000, "class": "memory", "units": "bytes", "physid": "5", "claimed": true, "vendor": "HP", "id": "bank:5", "size": 17179869184}, {"slot": "PROC 1 DIMM 7", "product": "NOT AVAILABLE", "handle": "DMI:0012", "description": "DIMM Synchronous [empty]", "class": "memory", "width": 64, "physid": "6", "claimed": true, "vendor": "UNKNOWN", "id": "bank:6"}, {"slot": "PROC 1 DIMM 8", "product": "752369-081", "handle": "DMI:0013", "description": "DIMM Synchronous 2133 MHz (0.5 ns)", "width": 64, "clock": 2133000000, "class": "memory", "units": "bytes", "physid": "7", "claimed": true, "vendor": "HP", "id": "bank:7", "size": 17179869184}], "class": "memory", "claimed": true, "physid": "a", "id": "memory:0"}, {"slot": "System board or motherboard", "handle": "DMI:000B", "description": "System Memory", "children": [{"slot": "PROC 2 DIMM 1", "product": "752369-081", "handle": "DMI:0014", "description": "DIMM Synchronous 2133 MHz (0.5 ns)", "width": 64, "clock": 2133000000, "class": "memory", "units": "bytes", "physid": "0", "claimed": true, "vendor": "HP", "id": "bank:0", "size": 17179869184}, {"slot": "PROC 2 DIMM 2", "product": "NOT AVAILABLE", "handle": "DMI:0015", "description": "DIMM Synchronous [empty]", "class": "memory", "width": 64, "physid": "1", "claimed": true, "vendor": "UNKNOWN", "id": "bank:1"}, {"slot": "PROC 2 DIMM 3", "product": "752369-081", "handle": "DMI:0016", "description": "DIMM Synchronous 2133 MHz (0.5 ns)", "width": 64, "clock": 2133000000, "class": "memory", "units": "bytes", "physid": "2", "claimed": true, "vendor": "HP", "id": "bank:2", "size": 17179869184}, {"slot": "PROC 2 DIMM 4", "product": "NOT AVAILABLE", "handle": "DMI:0017", "description": "DIMM Synchronous [empty]", "class": "memory", "width": 64, "physid": "3", "claimed": true, "vendor": "UNKNOWN", "id": "bank:3"}, {"slot": "PROC 2 DIMM 5", "product": "NOT AVAILABLE", "handle": "DMI:0018", "description": "DIMM Synchronous [empty]", "class": "memory", "width": 64, "physid": "4", "claimed": true, "vendor": "UNKNOWN", "id": "bank:4"}, {"slot": "PROC 2 DIMM 6", "product": "752369-081", "handle": "DMI:0019", "description": "DIMM Synchronous 2133 MHz (0.5 ns)", "width": 64, "clock": 2133000000, "class": "memory", "units": "bytes", "physid": "5", "claimed": true, "vendor": "HP", "id": "bank:5", "size": 17179869184}, {"slot": "PROC 2 DIMM 7", "product": "NOT AVAILABLE", "handle": "DMI:001A", "description": "DIMM Synchronous [empty]", "class": "memory", "width": 64, "physid": "6", "claimed": true, "vendor": "UNKNOWN", "id": "bank:6"}, {"slot": "PROC 2 DIMM 8", "product": "752369-081", "handle": "DMI:001B", "description": "DIMM Synchronous 2133 MHz (0.5 ns)", "width": 64, "clock": 2133000000, "class": "memory", "units": "bytes", "physid": "7", "claimed": true, "vendor": "HP", "id": "bank:7", "size": 17179869184}], "class": "memory", "claimed": true, "physid": "c", "id": "memory:1"}, {"physid": "d", "id": "memory:2", "class": "memory"}, {"physid": "e", "id": "memory:3", "class": "memory"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMI2", "handle": "PCIBUS:0000:00", "description": "Host bridge", "clock": 33000000, "children": [{"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 1", "handle": "PCIBUS:0000:02", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:01.0", "physid": "1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:0"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 1", "handle": "PCIBUS:0000:05", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:01.1", "physid": "1.1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:1"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 2", "handle": "PCIBUS:0000:06", "description": "PCI bridge", "clock": 33000000, "children": [{"product": "BCM57840 NetXtreme II 10/20-Gigabit Ethernet", "capacity": 1000000000, "handle": "PCI:0000:06:00.0", "description": "Ethernet interface", "width": 64, "logicalname": "eno49", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "fibre": "optical fibre", "msix": "MSI-X", "rom": "extension ROM", "bus_master": "bus mastering", "autonegotiation": "Auto-negotiation", "vpd": "Vital Product Data", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "ethernet": true, "physical": "Physical interface", "pm": "Power Management"}, "class": "network", "units": "bit/s", "version": "11", "businfo": "pci@0000:06:00.0", "clock": 33000000, "physid": "0", "claimed": true, "vendor": "Broadcom Corporation", "serial": "ec:b1:d7:9d:9c:00", "configuration": {"latency": "0", "autonegotiation": "on", "duplex": "full", "ip": "10.20.0.4", "firmware": "bc 7.12.83", "driver": "bnx2x", "broadcast": "yes", "multicast": "yes", "link": "yes", "driverversion": "1.78.17-0", "port": "fibre"}, "id": "network:0"}, {"product": "BCM57840 NetXtreme II 10/20-Gigabit Ethernet", "capacity": 1000000000, "handle": "PCI:0000:06:00.1", "description": "Ethernet interface", "width": 64, "logicalname": "eno50", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "fibre": "optical fibre", "msix": "MSI-X", "rom": "extension ROM", "bus_master": "bus mastering", "autonegotiation": "Auto-negotiation", "vpd": "Vital Product Data", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "ethernet": true, "physical": "Physical interface", "pm": "Power Management"}, "class": "network", "disabled": true, "units": "bit/s", "version": "11", "businfo": "pci@0000:06:00.1", "clock": 33000000, "physid": "0.1", "claimed": true, "vendor": "Broadcom Corporation", "serial": "ec:b1:d7:9d:9c:08", "configuration": {"latency": "0", "autonegotiation": "on", "firmware": "bc 7.12.83", "driver": "bnx2x", "broadcast": "yes", "multicast": "yes", "link": "no", "driverversion": "1.78.17-0", "port": "fibre"}, "id": "network:1"}], "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:02.0", "physid": "2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:2"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 2", "handle": "PCIBUS:0000:0b", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:02.1", "physid": "2.1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:3"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 2", "handle": "PCIBUS:0000:07", "description": "PCI bridge", "clock": 33000000, "children": [{"product": "Smart Array Gen9 Controllers", "handle": "PCI:0000:07:00.0", "description": "RAID bus controller", "clock": 33000000, "logicalname": "scsi0", "children": [{"product": "P244br", "vendor": "HP", "description": "SCSI", "class": "generic", "version": "3.00", "businfo": "scsi@0:3.0.0", "physid": "3.0.0", "handle": "SCSI:00:03:00:00", "serial": "PDZVU0RLM9A1JT", "configuration": {"ansiversion": "5"}, "id": "generic"}, {"product": "LOGICAL VOLUME", "handle": "SCSI:00:00:00:00", "description": "SCSI Disk", "capabilities": {"15000rpm": "15000 rotations per minute"}, "logicalname": "/dev/sda", "dev": "8:0", "class": "disk", "units": "bytes", "version": "3.00", "businfo": "scsi@0:0.0.0", "physid": "0.0.0", "claimed": true, "vendor": "HP", "serial": "PDZVU0RLM9A1JT", "configuration": {"ansiversion": "5", "sectorsize": "512"}, "id": "disk", "size": 1200186417152}], "capabilities": {"msix": "MSI-X", "msi": "Message Signalled Interrupts", "storage": true, "bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "rom": "extension ROM", "pm": "Power Management"}, "class": "storage", "width": 64, "version": "01", "businfo": "pci@0000:07:00.0", "physid": "0", "claimed": true, "vendor": "Hewlett-Packard Company", "configuration": {"latency": "0", "driver": "hpsa"}, "id": "storage"}], "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:02.2", "physid": "2.2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:4"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 2", "handle": "PCIBUS:0000:0c", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:02.3", "physid": "2.3", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:5"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 3", "handle": "PCIBUS:0000:08", "description": "PCI bridge", "clock": 33000000, "children": [{"product": "82599 10 Gigabit Dual Port Backplane Connection", "capacity": 1000000000, "handle": "PCI:0000:08:00.0", "description": "Ethernet interface", "width": 32, "logicalname": "ens1f0", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "fibre": "optical fibre", "msix": "MSI-X", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "autonegotiation": "Auto-negotiation", "vpd": "Vital Product Data", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "ethernet": true, "physical": "Physical interface", "rom": "extension ROM", "pm": "Power Management"}, "class": "network", "disabled": true, "units": "bit/s", "version": "01", "businfo": "pci@0000:08:00.0", "clock": 33000000, "physid": "0", "claimed": true, "vendor": "Intel Corporation", "serial": "5c:b9:01:8c:74:b4", "configuration": {"latency": "0", "autonegotiation": "on", "duplex": "full", "firmware": "0x80000815", "driver": "ixgbe", "broadcast": "yes", "multicast": "yes", "link": "no", "driverversion": "3.15.1-k"}, "id": "network:0"}, {"product": "82599 10 Gigabit Dual Port Backplane Connection", "capacity": 1000000000, "handle": "PCI:0000:08:00.1", "description": "Ethernet interface", "width": 32, "logicalname": "ens1f1", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "fibre": "optical fibre", "msix": "MSI-X", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "autonegotiation": "Auto-negotiation", "vpd": "Vital Product Data", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "ethernet": true, "physical": "Physical interface", "pm": "Power Management"}, "class": "network", "disabled": true, "units": "bit/s", "version": "01", "businfo": "pci@0000:08:00.1", "clock": 33000000, "physid": "0.1", "claimed": true, "vendor": "Intel Corporation", "serial": "5c:b9:01:8c:74:b5", "configuration": {"latency": "0", "autonegotiation": "on", "duplex": "full", "firmware": "0x80000815", "driver": "ixgbe", "broadcast": "yes", "multicast": "yes", "link": "no", "driverversion": "3.15.1-k"}, "id": "network:1"}], "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:03.0", "physid": "3", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:6"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 3", "handle": "PCIBUS:0000:0d", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:03.1", "physid": "3.1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:7"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 3", "handle": "PCIBUS:0000:0e", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:03.2", "physid": "3.2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:8"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 3", "handle": "PCIBUS:0000:0f", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:03.3", "physid": "3.3", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:9"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 0", "handle": "PCI:0000:00:04.0", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.0", "physid": "4", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:0"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 1", "handle": "PCI:0000:00:04.1", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.1", "physid": "4.1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:1"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 2", "handle": "PCI:0000:00:04.2", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.2", "physid": "4.2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:2"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 3", "handle": "PCI:0000:00:04.3", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.3", "physid": "4.3", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:3"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 4", "handle": "PCI:0000:00:04.4", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.4", "physid": "4.4", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:4"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 5", "handle": "PCI:0000:00:04.5", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.5", "physid": "4.5", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:5"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 6", "handle": "PCI:0000:00:04.6", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.6", "physid": "4.6", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:6"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 7", "handle": "PCI:0000:00:04.7", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:00:04.7", "physid": "4.7", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:7"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Address Map, VTd_Misc, System Management", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:00:05.0", "physid": "5", "handle": "PCI:0000:00:05.0", "configuration": {"latency": "0"}, "id": "generic:8"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Hot Plug", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "pciexpress": "PCI Express"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:00:05.1", "physid": "5.1", "handle": "PCI:0000:00:05.1", "configuration": {"latency": "0"}, "id": "generic:9"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 RAS, Control Status and Global Errors", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:00:05.2", "physid": "5.2", "handle": "PCI:0000:00:05.2", "configuration": {"latency": "0"}, "id": "generic:10"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 I/O APIC", "vendor": "Intel Corporation", "description": "PIC", "clock": 33000000, "capabilities": {"io_x_-apic": true, "bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:00:05.4", "physid": "5.4", "handle": "PCI:0000:00:05.4", "configuration": {"latency": "0"}, "id": "generic:11"}, {"product": "C610/X99 series chipset SPSR", "vendor": "Intel Corporation", "description": "Unassigned class", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 32, "version": "05", "businfo": "pci@0000:00:11.0", "physid": "11", "handle": "PCI:0000:00:11.0", "configuration": {"latency": "0"}, "id": "generic:12"}, {"product": "C610/X99 series chipset USB xHCI Host Controller", "handle": "PCI:0000:00:14.0", "description": "USB controller", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "xhci": true, "pm": "Power Management"}, "class": "bus", "width": 64, "version": "05", "businfo": "pci@0000:00:14.0", "physid": "14", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "xhci_hcd"}, "id": "usb:0"}, {"product": "C610/X99 series chipset USB Enhanced Host Controller #2", "handle": "PCI:0000:00:1a.0", "description": "USB controller", "clock": 33000000, "capabilities": {"debug": "Debug port", "bus_master": "bus mastering", "ehci": "Enhanced Host Controller Interface (USB2)", "cap_list": "PCI capabilities listing", "pm": "Power Management"}, "class": "bus", "width": 32, "version": "05", "businfo": "pci@0000:00:1a.0", "physid": "1a", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ehci-pci"}, "id": "usb:1"}, {"product": "C610/X99 series chipset PCI Express Root Port #1", "handle": "PCIBUS:0000:10", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "bus_master": "bus mastering", "pci": true, "msi": "Message Signalled Interrupts", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "d5", "businfo": "pci@0000:00:1c.0", "physid": "1c", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:10"}, {"product": "C610/X99 series chipset PCI Express Root Port #3", "handle": "PCIBUS:0000:01", "description": "PCI bridge", "clock": 33000000, "children": [{"product": "Integrated Lights-Out Standard Slave Instrumentation & System Support", "vendor": "Hewlett-Packard Company", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "msi": "Message Signalled Interrupts", "pm": "Power Management"}, "class": "generic", "width": 32, "version": "06", "businfo": "pci@0000:01:00.0", "physid": "0", "handle": "PCI:0000:01:00.0", "configuration": {"latency": "0"}, "id": "generic:0"}, {"product": "MGA G200EH", "vendor": "Matrox Electronics Systems Ltd.", "description": "VGA compatible controller", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "vga_controller": true, "bus_master": "bus mastering", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "display", "width": 32, "version": "01", "businfo": "pci@0000:01:00.1", "physid": "0.1", "handle": "PCI:0000:01:00.1", "configuration": {"latency": "0"}, "id": "display"}, {"product": "Integrated Lights-Out Standard Management Processor Support and Messaging", "handle": "PCI:0000:01:00.2", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "rom": "extension ROM", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 32, "version": "06", "businfo": "pci@0000:01:00.2", "physid": "0.2", "claimed": true, "vendor": "Hewlett-Packard Company", "configuration": {"latency": "0", "driver": "hpilo"}, "id": "generic:1"}, {"product": "Integrated Lights-Out Standard Virtual USB Controller", "handle": "PCI:0000:01:00.4", "description": "USB controller", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pciexpress": "PCI Express", "pm": "Power Management", "uhci": "Universal Host Controller Interface (USB1)"}, "class": "bus", "width": 32, "version": "03", "businfo": "pci@0000:01:00.4", "physid": "0.4", "claimed": true, "vendor": "Hewlett-Packard Company", "configuration": {"latency": "0", "driver": "uhci_hcd"}, "id": "usb"}], "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "bus_master": "bus mastering", "pci": true, "msi": "Message Signalled Interrupts", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "d5", "businfo": "pci@0000:00:1c.2", "physid": "1c.2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:11"}, {"product": "C610/X99 series chipset PCI Express Root Port #5", "handle": "PCIBUS:0000:11", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "bus_master": "bus mastering", "pci": true, "msi": "Message Signalled Interrupts", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "d5", "businfo": "pci@0000:00:1c.4", "physid": "1c.4", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:12"}, {"product": "C610/X99 series chipset PCI Express Root Port #7", "handle": "PCIBUS:0000:12", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "bus_master": "bus mastering", "pci": true, "msi": "Message Signalled Interrupts", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "d5", "businfo": "pci@0000:00:1c.6", "physid": "1c.6", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:13"}, {"product": "C610/X99 series chipset PCI Express Root Port #8", "handle": "PCIBUS:0000:13", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "bus_master": "bus mastering", "pci": true, "msi": "Message Signalled Interrupts", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "d5", "businfo": "pci@0000:00:1c.7", "physid": "1c.7", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:14"}, {"product": "C610/X99 series chipset USB Enhanced Host Controller #1", "handle": "PCI:0000:00:1d.0", "description": "USB controller", "clock": 33000000, "capabilities": {"debug": "Debug port", "bus_master": "bus mastering", "ehci": "Enhanced Host Controller Interface (USB2)", "cap_list": "PCI capabilities listing", "pm": "Power Management"}, "class": "bus", "width": 32, "version": "05", "businfo": "pci@0000:00:1d.0", "physid": "1d", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ehci-pci"}, "id": "usb:2"}, {"product": "C610/X99 series chipset LPC Controller", "handle": "PCI:0000:00:1f.0", "description": "ISA bridge", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "isa": true, "cap_list": "PCI capabilities listing"}, "class": "bridge", "width": 32, "version": "05", "businfo": "pci@0000:00:1f.0", "physid": "1f", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "lpc_ich"}, "id": "isa"}, {"product": "C610/X99 series chipset SMBus Controller", "vendor": "Intel Corporation", "description": "SMBus", "clock": 33000000, "class": "bus", "width": 64, "version": "05", "businfo": "pci@0000:00:1f.3", "physid": "1f.3", "handle": "PCI:0000:00:1f.3", "configuration": {"latency": "0"}, "id": "serial"}], "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:00.0", "physid": "100", "claimed": true, "vendor": "Intel Corporation", "id": "pci:0"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 0", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:08.0", "physid": "f", "handle": "PCI:0000:7f:08.0", "configuration": {"latency": "0"}, "id": "generic:0"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 0", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:08.3", "physid": "10", "handle": "PCI:0000:7f:08.3", "configuration": {"latency": "0"}, "id": "generic:1"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:09.0", "physid": "11", "handle": "PCI:0000:7f:09.0", "configuration": {"latency": "0"}, "id": "generic:2"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:09.3", "physid": "12", "handle": "PCI:0000:7f:09.3", "configuration": {"latency": "0"}, "id": "generic:3"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0b.0", "physid": "13", "handle": "PCI:0000:7f:0b.0", "configuration": {"latency": "0"}, "id": "generic:4"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0b.1", "physid": "14", "handle": "PCI:0000:7f:0b.1", "configuration": {"latency": "0"}, "id": "generic:5"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0b.2", "physid": "15", "handle": "PCI:0000:7f:0b.2", "configuration": {"latency": "0"}, "id": "generic:6"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.0", "physid": "16", "handle": "PCI:0000:7f:0c.0", "configuration": {"latency": "0"}, "id": "generic:7"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.1", "physid": "17", "handle": "PCI:0000:7f:0c.1", "configuration": {"latency": "0"}, "id": "generic:8"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.2", "physid": "18", "handle": "PCI:0000:7f:0c.2", "configuration": {"latency": "0"}, "id": "generic:9"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.3", "physid": "19", "handle": "PCI:0000:7f:0c.3", "configuration": {"latency": "0"}, "id": "generic:10"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.4", "physid": "1a", "handle": "PCI:0000:7f:0c.4", "configuration": {"latency": "0"}, "id": "generic:11"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.5", "physid": "1b", "handle": "PCI:0000:7f:0c.5", "configuration": {"latency": "0"}, "id": "generic:12"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.6", "physid": "1c", "handle": "PCI:0000:7f:0c.6", "configuration": {"latency": "0"}, "id": "generic:13"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0c.7", "physid": "1d", "handle": "PCI:0000:7f:0c.7", "configuration": {"latency": "0"}, "id": "generic:14"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0d.0", "physid": "1e", "handle": "PCI:0000:7f:0d.0", "configuration": {"latency": "0"}, "id": "generic:15"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0d.1", "physid": "1f", "handle": "PCI:0000:7f:0d.1", "configuration": {"latency": "0"}, "id": "generic:16"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0d.2", "physid": "20", "handle": "PCI:0000:7f:0d.2", "configuration": {"latency": "0"}, "id": "generic:17"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0d.3", "physid": "21", "handle": "PCI:0000:7f:0d.3", "configuration": {"latency": "0"}, "id": "generic:18"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0f.0", "physid": "22", "handle": "PCI:0000:7f:0f.0", "configuration": {"latency": "0"}, "id": "generic:19"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0f.1", "physid": "23", "handle": "PCI:0000:7f:0f.1", "configuration": {"latency": "0"}, "id": "generic:20"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0f.2", "physid": "24", "handle": "PCI:0000:7f:0f.2", "configuration": {"latency": "0"}, "id": "generic:21"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0f.3", "physid": "25", "handle": "PCI:0000:7f:0f.3", "configuration": {"latency": "0"}, "id": "generic:22"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0f.4", "physid": "26", "handle": "PCI:0000:7f:0f.4", "configuration": {"latency": "0"}, "id": "generic:23"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0f.5", "physid": "27", "handle": "PCI:0000:7f:0f.5", "configuration": {"latency": "0"}, "id": "generic:24"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:0f.6", "physid": "28", "handle": "PCI:0000:7f:0f.6", "configuration": {"latency": "0"}, "id": "generic:25"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCIe Ring Interface", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:10.0", "physid": "29", "handle": "PCI:0000:7f:10.0", "configuration": {"latency": "0"}, "id": "generic:26"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCIe Ring Interface", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:10.1", "physid": "2a", "handle": "PCI:0000:7f:10.1", "configuration": {"latency": "0"}, "id": "generic:27"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:10.5", "physid": "2b", "handle": "PCI:0000:7f:10.5", "configuration": {"latency": "0"}, "id": "generic:28"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:10.6", "physid": "2c", "handle": "PCI:0000:7f:10.6", "configuration": {"latency": "0"}, "id": "generic:29"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:10.7", "physid": "2d", "handle": "PCI:0000:7f:10.7", "configuration": {"latency": "0"}, "id": "generic:30"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 0", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:12.0", "physid": "2e", "handle": "PCI:0000:7f:12.0", "configuration": {"latency": "0"}, "id": "generic:31"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 0", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:12.1", "physid": "2f", "handle": "PCI:0000:7f:12.1", "configuration": {"latency": "0"}, "id": "generic:32"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 0 Debug", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:12.2", "physid": "30", "handle": "PCI:0000:7f:12.2", "configuration": {"latency": "0"}, "id": "generic:33"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:12.4", "physid": "31", "handle": "PCI:0000:7f:12.4", "configuration": {"latency": "0"}, "id": "generic:34"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 1", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:12.5", "physid": "32", "handle": "PCI:0000:7f:12.5", "configuration": {"latency": "0"}, "id": "generic:35"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 1 Debug", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:12.6", "physid": "33", "handle": "PCI:0000:7f:12.6", "configuration": {"latency": "0"}, "id": "generic:36"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.0", "physid": "34", "handle": "PCI:0000:7f:13.0", "configuration": {"latency": "0"}, "id": "generic:37"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.1", "physid": "35", "handle": "PCI:0000:7f:13.1", "configuration": {"latency": "0"}, "id": "generic:38"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.2", "physid": "36", "handle": "PCI:0000:7f:13.2", "configuration": {"latency": "0"}, "id": "generic:39"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.3", "physid": "37", "handle": "PCI:0000:7f:13.3", "configuration": {"latency": "0"}, "id": "generic:40"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Channel 0/1 Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.6", "physid": "38", "handle": "PCI:0000:7f:13.6", "configuration": {"latency": "0"}, "id": "generic:41"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Global Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:13.7", "physid": "39", "handle": "PCI:0000:7f:13.7", "configuration": {"latency": "0"}, "id": "generic:42"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 0 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.0", "physid": "3a", "handle": "PCI:0000:7f:14.0", "configuration": {"latency": "0"}, "id": "generic:43"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 1 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.1", "physid": "3b", "handle": "PCI:0000:7f:14.1", "configuration": {"latency": "0"}, "id": "generic:44"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 0 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.2", "physid": "3c", "handle": "PCI:0000:7f:14.2", "configuration": {"latency": "0"}, "id": "generic:45"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 1 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.3", "physid": "3d", "handle": "PCI:0000:7f:14.3", "configuration": {"latency": "0"}, "id": "generic:46"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.4", "physid": "3e", "handle": "PCI:0000:7f:14.4", "configuration": {"latency": "0"}, "id": "generic:47"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.5", "physid": "3f", "handle": "PCI:0000:7f:14.5", "configuration": {"latency": "0"}, "id": "generic:48"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.6", "physid": "40", "handle": "PCI:0000:7f:14.6", "configuration": {"latency": "0"}, "id": "generic:49"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:14.7", "physid": "41", "handle": "PCI:0000:7f:14.7", "configuration": {"latency": "0"}, "id": "generic:50"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:16.0", "physid": "42", "handle": "PCI:0000:7f:16.0", "configuration": {"latency": "0"}, "id": "generic:51"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:16.1", "physid": "43", "handle": "PCI:0000:7f:16.1", "configuration": {"latency": "0"}, "id": "generic:52"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:16.2", "physid": "44", "handle": "PCI:0000:7f:16.2", "configuration": {"latency": "0"}, "id": "generic:53"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:16.3", "physid": "45", "handle": "PCI:0000:7f:16.3", "configuration": {"latency": "0"}, "id": "generic:54"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Channel 2/3 Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:16.6", "physid": "46", "handle": "PCI:0000:7f:16.6", "configuration": {"latency": "0"}, "id": "generic:55"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Global Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:16.7", "physid": "47", "handle": "PCI:0000:7f:16.7", "configuration": {"latency": "0"}, "id": "generic:56"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 0 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.0", "physid": "48", "handle": "PCI:0000:7f:17.0", "configuration": {"latency": "0"}, "id": "generic:57"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 1 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.1", "physid": "49", "handle": "PCI:0000:7f:17.1", "configuration": {"latency": "0"}, "id": "generic:58"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 0 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.2", "physid": "4a", "handle": "PCI:0000:7f:17.2", "configuration": {"latency": "0"}, "id": "generic:59"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 1 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.3", "physid": "4b", "handle": "PCI:0000:7f:17.3", "configuration": {"latency": "0"}, "id": "generic:60"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.4", "physid": "4c", "handle": "PCI:0000:7f:17.4", "configuration": {"latency": "0"}, "id": "generic:61"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.5", "physid": "4d", "handle": "PCI:0000:7f:17.5", "configuration": {"latency": "0"}, "id": "generic:62"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.6", "physid": "4e", "handle": "PCI:0000:7f:17.6", "configuration": {"latency": "0"}, "id": "generic:63"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:17.7", "physid": "4f", "handle": "PCI:0000:7f:17.7", "configuration": {"latency": "0"}, "id": "generic:64"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1e.0", "physid": "50", "handle": "PCI:0000:7f:1e.0", "configuration": {"latency": "0"}, "id": "generic:65"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1e.1", "physid": "51", "handle": "PCI:0000:7f:1e.1", "configuration": {"latency": "0"}, "id": "generic:66"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1e.2", "physid": "52", "handle": "PCI:0000:7f:1e.2", "configuration": {"latency": "0"}, "id": "generic:67"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1e.3", "physid": "53", "handle": "PCI:0000:7f:1e.3", "configuration": {"latency": "0"}, "id": "generic:68"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1e.4", "physid": "54", "handle": "PCI:0000:7f:1e.4", "configuration": {"latency": "0"}, "id": "generic:69"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 VCU", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1f.0", "physid": "55", "handle": "PCI:0000:7f:1f.0", "configuration": {"latency": "0"}, "id": "generic:70"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 VCU", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:7f:1f.2", "physid": "56", "handle": "PCI:0000:7f:1f.2", "configuration": {"latency": "0"}, "id": "generic:71"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 0", "handle": "PCIBUS:0000:8d", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:80:00.0", "physid": "101", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:1"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 1", "handle": "PCIBUS:0000:81", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:80:01.0", "physid": "102", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:2"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 1", "handle": "PCIBUS:0000:82", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:80:01.1", "physid": "1.1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:3"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 2", "handle": "PCIBUS:0000:83", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:80:02.0", "physid": "103", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:4"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 2", "handle": "PCIBUS:0000:84", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:80:02.1", "physid": "2.1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:5"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 2", "handle": "PCIBUS:0000:85", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:80:02.2", "physid": "2.2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:6"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 2", "handle": "PCIBUS:0000:86", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:80:02.3", "physid": "2.3", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:7"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 3", "handle": "PCIBUS:0000:87", "description": "PCI bridge", "clock": 33000000, "children": [{"product": "82599 10 Gigabit Dual Port Backplane Connection", "capacity": 1000000000, "handle": "PCI:0000:87:00.0", "description": "Ethernet interface", "width": 32, "logicalname": "ens2f0", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "fibre": "optical fibre", "msix": "MSI-X", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "autonegotiation": "Auto-negotiation", "vpd": "Vital Product Data", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "ethernet": true, "physical": "Physical interface", "rom": "extension ROM", "pm": "Power Management"}, "class": "network", "disabled": true, "units": "bit/s", "version": "01", "businfo": "pci@0000:87:00.0", "clock": 33000000, "physid": "0", "claimed": true, "vendor": "Intel Corporation", "serial": "8c:dc:d4:b7:97:a8", "configuration": {"latency": "0", "autonegotiation": "on", "duplex": "full", "firmware": "0x80000815", "driver": "ixgbe", "broadcast": "yes", "multicast": "yes", "link": "no", "driverversion": "3.15.1-k"}, "id": "network:0"}, {"product": "82599 10 Gigabit Dual Port Backplane Connection", "capacity": 1000000000, "handle": "PCI:0000:87:00.1", "description": "Ethernet interface", "width": 32, "logicalname": "ens2f1", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "fibre": "optical fibre", "msix": "MSI-X", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "autonegotiation": "Auto-negotiation", "vpd": "Vital Product Data", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "ethernet": true, "physical": "Physical interface", "pm": "Power Management"}, "class": "network", "disabled": true, "units": "bit/s", "version": "01", "businfo": "pci@0000:87:00.1", "clock": 33000000, "physid": "0.1", "claimed": true, "vendor": "Intel Corporation", "serial": "8c:dc:d4:b7:97:a9", "configuration": {"latency": "0", "autonegotiation": "on", "duplex": "full", "firmware": "0x80000815", "driver": "ixgbe", "broadcast": "yes", "multicast": "yes", "link": "no", "driverversion": "3.15.1-k"}, "id": "network:1"}], "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:80:03.0", "physid": "104", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:8"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 3", "handle": "PCIBUS:0000:8a", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:80:03.1", "physid": "3.1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:9"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 3", "handle": "PCIBUS:0000:8b", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:80:03.2", "physid": "3.2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:10"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCI Express Root Port 3", "handle": "PCIBUS:0000:8c", "description": "PCI bridge", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "pci": true, "pciexpress": "PCI Express", "normal_decode": true, "pm": "Power Management"}, "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:80:03.3", "physid": "3.3", "claimed": true, "vendor": "Intel Corporation", "configuration": {"driver": "pcieport"}, "id": "pci:11"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 0", "handle": "PCI:0000:80:04.0", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.0", "physid": "57", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:72"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 1", "handle": "PCI:0000:80:04.1", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.1", "physid": "4.1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:73"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 2", "handle": "PCI:0000:80:04.2", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.2", "physid": "4.2", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:74"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 3", "handle": "PCI:0000:80:04.3", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.3", "physid": "4.3", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:75"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 4", "handle": "PCI:0000:80:04.4", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.4", "physid": "4.4", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:76"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 5", "handle": "PCI:0000:80:04.5", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.5", "physid": "4.5", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:77"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 6", "handle": "PCI:0000:80:04.6", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.6", "physid": "4.6", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:78"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DMA Channel 7", "handle": "PCI:0000:80:04.7", "description": "System peripheral", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "msix": "MSI-X", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 64, "version": "02", "businfo": "pci@0000:80:04.7", "physid": "4.7", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ioatdma"}, "id": "generic:79"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Address Map, VTd_Misc, System Management", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:80:05.0", "physid": "58", "handle": "PCI:0000:80:05.0", "configuration": {"latency": "0"}, "id": "generic:80"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Hot Plug", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "msi": "Message Signalled Interrupts", "pciexpress": "PCI Express"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:80:05.1", "physid": "5.1", "handle": "PCI:0000:80:05.1", "configuration": {"latency": "0"}, "id": "generic:81"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 RAS, Control Status and Global Errors", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing", "pciexpress": "PCI Express"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:80:05.2", "physid": "5.2", "handle": "PCI:0000:80:05.2", "configuration": {"latency": "0"}, "id": "generic:82"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 I/O APIC", "vendor": "Intel Corporation", "description": "PIC", "clock": 33000000, "capabilities": {"io_x_-apic": true, "bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express", "pm": "Power Management"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:80:05.4", "physid": "5.4", "handle": "PCI:0000:80:05.4", "configuration": {"latency": "0"}, "id": "generic:83"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 0", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:08.0", "physid": "8", "handle": "PCI:0000:ff:08.0", "configuration": {"latency": "0"}, "id": "generic:84"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 0", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:08.3", "physid": "59", "handle": "PCI:0000:ff:08.3", "configuration": {"latency": "0"}, "id": "generic:85"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:09.0", "physid": "5a", "handle": "PCI:0000:ff:09.0", "configuration": {"latency": "0"}, "id": "generic:86"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 QPI Link 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:09.3", "physid": "5b", "handle": "PCI:0000:ff:09.3", "configuration": {"latency": "0"}, "id": "generic:87"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0b.0", "physid": "b", "handle": "PCI:0000:ff:0b.0", "configuration": {"latency": "0"}, "id": "generic:88"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0b.1", "physid": "5c", "handle": "PCI:0000:ff:0b.1", "configuration": {"latency": "0"}, "id": "generic:89"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 R3 QPI Link 0 & 1 Monitoring", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0b.2", "physid": "5d", "handle": "PCI:0000:ff:0b.2", "configuration": {"latency": "0"}, "id": "generic:90"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.0", "physid": "5e", "handle": "PCI:0000:ff:0c.0", "configuration": {"latency": "0"}, "id": "generic:91"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.1", "physid": "5f", "handle": "PCI:0000:ff:0c.1", "configuration": {"latency": "0"}, "id": "generic:92"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.2", "physid": "60", "handle": "PCI:0000:ff:0c.2", "configuration": {"latency": "0"}, "id": "generic:93"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.3", "physid": "61", "handle": "PCI:0000:ff:0c.3", "configuration": {"latency": "0"}, "id": "generic:94"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.4", "physid": "62", "handle": "PCI:0000:ff:0c.4", "configuration": {"latency": "0"}, "id": "generic:95"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.5", "physid": "63", "handle": "PCI:0000:ff:0c.5", "configuration": {"latency": "0"}, "id": "generic:96"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.6", "physid": "64", "handle": "PCI:0000:ff:0c.6", "configuration": {"latency": "0"}, "id": "generic:97"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0c.7", "physid": "65", "handle": "PCI:0000:ff:0c.7", "configuration": {"latency": "0"}, "id": "generic:98"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0d.0", "physid": "66", "handle": "PCI:0000:ff:0d.0", "configuration": {"latency": "0"}, "id": "generic:99"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0d.1", "physid": "67", "handle": "PCI:0000:ff:0d.1", "configuration": {"latency": "0"}, "id": "generic:100"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0d.2", "physid": "68", "handle": "PCI:0000:ff:0d.2", "configuration": {"latency": "0"}, "id": "generic:101"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Unicast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0d.3", "physid": "69", "handle": "PCI:0000:ff:0d.3", "configuration": {"latency": "0"}, "id": "generic:102"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0f.0", "physid": "6a", "handle": "PCI:0000:ff:0f.0", "configuration": {"latency": "0"}, "id": "generic:103"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0f.1", "physid": "6b", "handle": "PCI:0000:ff:0f.1", "configuration": {"latency": "0"}, "id": "generic:104"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0f.2", "physid": "6c", "handle": "PCI:0000:ff:0f.2", "configuration": {"latency": "0"}, "id": "generic:105"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Buffered Ring Agent", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0f.3", "physid": "6d", "handle": "PCI:0000:ff:0f.3", "configuration": {"latency": "0"}, "id": "generic:106"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0f.4", "physid": "6e", "handle": "PCI:0000:ff:0f.4", "configuration": {"latency": "0"}, "id": "generic:107"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0f.5", "physid": "6f", "handle": "PCI:0000:ff:0f.5", "configuration": {"latency": "0"}, "id": "generic:108"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 System Address Decoder & Broadcast Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:0f.6", "physid": "70", "handle": "PCI:0000:ff:0f.6", "configuration": {"latency": "0"}, "id": "generic:109"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCIe Ring Interface", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:10.0", "physid": "71", "handle": "PCI:0000:ff:10.0", "configuration": {"latency": "0"}, "id": "generic:110"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 PCIe Ring Interface", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:10.1", "physid": "72", "handle": "PCI:0000:ff:10.1", "configuration": {"latency": "0"}, "id": "generic:111"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:10.5", "physid": "73", "handle": "PCI:0000:ff:10.5", "configuration": {"latency": "0"}, "id": "generic:112"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:10.6", "physid": "74", "handle": "PCI:0000:ff:10.6", "configuration": {"latency": "0"}, "id": "generic:113"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Scratchpad & Semaphore Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:10.7", "physid": "75", "handle": "PCI:0000:ff:10.7", "configuration": {"latency": "0"}, "id": "generic:114"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 0", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:12.0", "physid": "76", "handle": "PCI:0000:ff:12.0", "configuration": {"latency": "0"}, "id": "generic:115"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 0", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:12.1", "physid": "77", "handle": "PCI:0000:ff:12.1", "configuration": {"latency": "0"}, "id": "generic:116"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 0 Debug", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:12.2", "physid": "78", "handle": "PCI:0000:ff:12.2", "configuration": {"latency": "0"}, "id": "generic:117"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:12.4", "physid": "79", "handle": "PCI:0000:ff:12.4", "configuration": {"latency": "0"}, "id": "generic:118"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 1", "vendor": "Intel Corporation", "description": "Performance counters", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:12.5", "physid": "7a", "handle": "PCI:0000:ff:12.5", "configuration": {"latency": "0"}, "id": "generic:119"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Home Agent 1 Debug", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:12.6", "physid": "7b", "handle": "PCI:0000:ff:12.6", "configuration": {"latency": "0"}, "id": "generic:120"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.0", "physid": "7c", "handle": "PCI:0000:ff:13.0", "configuration": {"latency": "0"}, "id": "generic:121"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.1", "physid": "7d", "handle": "PCI:0000:ff:13.1", "configuration": {"latency": "0"}, "id": "generic:122"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.2", "physid": "7e", "handle": "PCI:0000:ff:13.2", "configuration": {"latency": "0"}, "id": "generic:123"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.3", "physid": "7f", "handle": "PCI:0000:ff:13.3", "configuration": {"latency": "0"}, "id": "generic:124"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Channel 0/1 Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.6", "physid": "80", "handle": "PCI:0000:ff:13.6", "configuration": {"latency": "0"}, "id": "generic:125"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Global Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:13.7", "physid": "81", "handle": "PCI:0000:ff:13.7", "configuration": {"latency": "0"}, "id": "generic:126"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 0 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.0", "physid": "82", "handle": "PCI:0000:ff:14.0", "configuration": {"latency": "0"}, "id": "generic:127"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 1 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.1", "physid": "83", "handle": "PCI:0000:ff:14.1", "configuration": {"latency": "0"}, "id": "generic:128"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 0 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.2", "physid": "84", "handle": "PCI:0000:ff:14.2", "configuration": {"latency": "0"}, "id": "generic:129"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 0 Channel 1 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.3", "physid": "85", "handle": "PCI:0000:ff:14.3", "configuration": {"latency": "0"}, "id": "generic:130"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.4", "physid": "86", "handle": "PCI:0000:ff:14.4", "configuration": {"latency": "0"}, "id": "generic:131"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.5", "physid": "87", "handle": "PCI:0000:ff:14.5", "configuration": {"latency": "0"}, "id": "generic:132"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.6", "physid": "88", "handle": "PCI:0000:ff:14.6", "configuration": {"latency": "0"}, "id": "generic:133"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 0 & 1", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:14.7", "physid": "89", "handle": "PCI:0000:ff:14.7", "configuration": {"latency": "0"}, "id": "generic:134"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:16.0", "physid": "8a", "handle": "PCI:0000:ff:16.0", "configuration": {"latency": "0"}, "id": "generic:135"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Target Address, Thermal & RAS Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:16.1", "physid": "8b", "handle": "PCI:0000:ff:16.1", "configuration": {"latency": "0"}, "id": "generic:136"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:16.2", "physid": "8c", "handle": "PCI:0000:ff:16.2", "configuration": {"latency": "0"}, "id": "generic:137"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel Target Address Decoder", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:16.3", "physid": "8d", "handle": "PCI:0000:ff:16.3", "configuration": {"latency": "0"}, "id": "generic:138"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Channel 2/3 Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:16.6", "physid": "8e", "handle": "PCI:0000:ff:16.6", "configuration": {"latency": "0"}, "id": "generic:139"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO Global Broadcast", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:16.7", "physid": "8f", "handle": "PCI:0000:ff:16.7", "configuration": {"latency": "0"}, "id": "generic:140"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 0 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.0", "physid": "90", "handle": "PCI:0000:ff:17.0", "configuration": {"latency": "0"}, "id": "generic:141"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 1 Thermal Control", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.1", "physid": "91", "handle": "PCI:0000:ff:17.1", "configuration": {"latency": "0"}, "id": "generic:142"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 0 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.2", "physid": "92", "handle": "PCI:0000:ff:17.2", "configuration": {"latency": "0"}, "id": "generic:143"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Integrated Memory Controller 1 Channel 1 ERROR Registers", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "capabilities": {"cap_list": "PCI capabilities listing"}, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.3", "physid": "93", "handle": "PCI:0000:ff:17.3", "configuration": {"latency": "0"}, "id": "generic:144"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.4", "physid": "94", "handle": "PCI:0000:ff:17.4", "configuration": {"latency": "0"}, "id": "generic:145"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.5", "physid": "95", "handle": "PCI:0000:ff:17.5", "configuration": {"latency": "0"}, "id": "generic:146"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.6", "physid": "96", "handle": "PCI:0000:ff:17.6", "configuration": {"latency": "0"}, "id": "generic:147"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 DDRIO (VMSE) 2 & 3", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:17.7", "physid": "97", "handle": "PCI:0000:ff:17.7", "configuration": {"latency": "0"}, "id": "generic:148"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1e.0", "physid": "98", "handle": "PCI:0000:ff:1e.0", "configuration": {"latency": "0"}, "id": "generic:149"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1e.1", "physid": "99", "handle": "PCI:0000:ff:1e.1", "configuration": {"latency": "0"}, "id": "generic:150"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1e.2", "physid": "9a", "handle": "PCI:0000:ff:1e.2", "configuration": {"latency": "0"}, "id": "generic:151"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1e.3", "physid": "9b", "handle": "PCI:0000:ff:1e.3", "configuration": {"latency": "0"}, "id": "generic:152"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 Power Control Unit", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1e.4", "physid": "9c", "handle": "PCI:0000:ff:1e.4", "configuration": {"latency": "0"}, "id": "generic:153"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 VCU", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1f.0", "physid": "9d", "handle": "PCI:0000:ff:1f.0", "configuration": {"latency": "0"}, "id": "generic:154"}, {"product": "Xeon E7 v3/Xeon E5 v3/Core i7 VCU", "vendor": "Intel Corporation", "description": "System peripheral", "clock": 33000000, "class": "generic", "width": 32, "version": "02", "businfo": "pci@0000:ff:1f.2", "physid": "9e", "handle": "PCI:0000:ff:1f.2", "configuration": {"latency": "0"}, "id": "generic:155"}]}], "capabilities": {"smbios-2.8": "SMBIOS version 2.8", "dmi-2.8": "DMI version 2.8", "vsyscall32": "32-bit processes"}, "class": "system", "width": 64, "claimed": true, "vendor": "HP", "serial": "CZ3538DSTL", "configuration": {"sku": "776320-B21", "chassis": "blade", "boot": "normal", "uuid": "37373633-3230-435A-3335-33384453544C", "family": "ProLiant"}, "id": "bootstrap"}, "memory": {"slots": 16, "total": 137438953472, "maximum_capacity": 1099511627776, "devices": [{"frequency": 2133, "type": "<OUT OF SPEC>", "size": 17179869184}, {"frequency": 2133, "type": "<OUT OF SPEC>", "size": 17179869184}, {"frequency": 2133, "type": "<OUT OF SPEC>", "size": 17179869184}, {"frequency": 2133, "type": "<OUT OF SPEC>", "size": 17179869184}, {"frequency": 2133, "type": "<OUT OF SPEC>", "size": 17179869184}, {"frequency": 2133, "type": "<OUT OF SPEC>", "size": 17179869184}, {"frequency": 2133, "type": "<OUT OF SPEC>", "size": 17179869184}, {"frequency": 2133, "type": "<OUT OF SPEC>", "size": 17179869184}]}, "interfaces": [{"name": "eno49", "ip": "10.20.0.4", "driver": "bnx2x", "state": "up", "mac": "ec:b1:d7:9d:9c:00", "max_speed": 10000, "current_speed": 10000, "interface_properties": {"numa_node": 0, "pci_id": "14e4:16a2", "sriov": {"available": false, "sriov_totalvfs": 0, "pci_id": "14e4:16ad"}}, "offloading_modes": [{"state": null, "name": "loopback", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "tx-udp_tnl-segmentation", "sub": []}, {"state": null, "name": "tx-sit-segmentation", "sub": []}, {"state": null, "name": "tx-ipip-segmentation", "sub": []}, {"state": null, "name": "tx-gre-segmentation", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-ecn-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "netmask": "255.255.255.0", "pxe": true, "bus_info": "0000:06:00.0"}, {"name": "eno50", "driver": "bnx2x", "state": "down", "mac": "ec:b1:d7:9d:9c:08", "max_speed": 10000, "current_speed": null, "interface_properties": {"numa_node": 0, "pci_id": "14e4:16a2", "sriov": {"available": false, "sriov_totalvfs": 0, "pci_id": "14e4:16ad"}}, "offloading_modes": [{"state": null, "name": "loopback", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "tx-udp_tnl-segmentation", "sub": []}, {"state": null, "name": "tx-sit-segmentation", "sub": []}, {"state": null, "name": "tx-ipip-segmentation", "sub": []}, {"state": null, "name": "tx-gre-segmentation", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-ecn-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "bus_info": "0000:06:00.1"}, {"name": "ens1f0", "driver": "ixgbe", "state": "down", "mac": "5c:b9:01:8c:74:b4", "max_speed": 10000, "current_speed": 10000, "interface_properties": {"numa_node": 0, "pci_id": "8086:10f8", "sriov": {"available": true, "sriov_totalvfs": 63, "pci_id": "8086:10ed"}}, "offloading_modes": [{"state": null, "name": "l2-fwd-offload", "sub": []}, {"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-filter", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "ntuple-filters", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "bus_info": "0000:08:00.0"}, {"name": "ens1f1", "driver": "ixgbe", "state": "down", "mac": "5c:b9:01:8c:74:b5", "max_speed": 10000, "current_speed": 10000, "interface_properties": {"numa_node": 0, "pci_id": "8086:10f8", "sriov": {"available": true, "sriov_totalvfs": 63, "pci_id": "8086:10ed"}}, "offloading_modes": [{"state": null, "name": "l2-fwd-offload", "sub": []}, {"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-filter", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "ntuple-filters", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "bus_info": "0000:08:00.1"}, {"name": "ens2f0", "driver": "ixgbe", "state": "down", "mac": "8c:dc:d4:b7:97:a8", "max_speed": 10000, "current_speed": 10000, "interface_properties": {"numa_node": 1, "pci_id": "8086:10f8", "sriov": {"available": true, "sriov_totalvfs": 63, "pci_id": "8086:10ed"}}, "offloading_modes": [{"state": null, "name": "l2-fwd-offload", "sub": []}, {"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-filter", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "ntuple-filters", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "bus_info": "0000:87:00.0"}, {"name": "ens2f1", "driver": "ixgbe", "state": "down", "mac": "8c:dc:d4:b7:97:a9", "max_speed": 10000, "current_speed": 10000, "interface_properties": {"numa_node": 1, "pci_id": "8086:10f8", "sriov": {"available": true, "sriov_totalvfs": 63, "pci_id": "8086:10ed"}}, "offloading_modes": [{"state": null, "name": "l2-fwd-offload", "sub": []}, {"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-filter", "sub": []}, {"state": null, "name": "receive-hashing", "sub": []}, {"state": null, "name": "ntuple-filters", "sub": []}, {"state": null, "name": "tx-vlan-offload", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "large-receive-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp6-segmentation", "sub": []}, {"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-sctp", "sub": []}, {"state": null, "name": "tx-checksum-ipv6", "sub": []}, {"state": null, "name": "tx-checksum-ipv4", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "bus_info": "0000:87:00.1"}], "disks": [{"paths": null, "name": "sda", "extra": ["disk/by-id/wwn-0x600508b1001c194d20942cbe5851ead0", "disk/by-id/scsi-3600508b1001c194d20942cbe5851ead0"], "removable": "0", "model": "LOGICAL VOLUME", "disk": "disk/by-path/pci-0000:07:00.0-scsi-0:0:0:0", "size": 1200186417152}], "system": {"product": "ProLiant BL460c Gen9", "uuid": "33363737-3032-5A43-3335-33384453544C", "family": "ProLiant", "fqdn": "bootstrap", "runtime_uuid": "d7079090-3ac0-4b4f-b022-254a3d5bc3ef", "manufacturer": "HP"}, "numa_topology": {"numa_nodes": [{"pcidevs": ["0000:06:00.0", "0000:06:00.1", "0000:07:00.0", "0000:08:00.0", "0000:08:00.1", "0000:01:00.1"], "memory": 67431464960, "id": 0, "cpus": [0, 24, 1, 25, 2, 26, 3, 27, 4, 28, 5, 29, 6, 30, 7, 31, 8, 32, 9, 33, 10, 34, 11, 35]}, {"pcidevs": ["0000:87:00.0", "0000:87:00.1"], "memory": 67625697280, "id": 1, "cpus": [12, 36, 13, 37, 14, 38, 15, 39, 16, 40, 17, 41, 18, 42, 19, 43, 20, 44, 21, 45, 22, 46, 23, 47]}], "distances": [["1.000000", "2.100000"], ["2.100000", "1.000000"]], "supported_hugepages": [2048, 1048576]}, "cpu": {"real": 2, "total": 48, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}, {"model": "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "frequency": 2500}]}}	ec:b1:d7:9d:9c:00	10.20.0.4	HP	ProLiant BL460c Gen9	\N	0	ubuntu	t	f	\N	\N	2016-11-17 20:34:38.856207	t	9e84eb47f5d62bceefd1c2f51fcaa97d31ddf9d3	[]	{}	1	node-2	{}	{ceph-osd,compute}	{}	\N	{}	{}	[]	{"cpu_pinning": {"dpdk": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "description": "Number of CPUs for DPDK usage", "weight": 20, "min": 0, "value": 0, "label": "DPDK CPU pinning", "type": "number"}, "nova": {"description": "Number of CPUs for Nova usage", "weight": 10, "min": 0, "value": 0, "label": "Nova CPU pinning", "type": "number"}, "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'kvm'"}], "group": "nfv", "weight": 10, "label": "CPU pinning"}}, "hugepages": {"metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'kvm'"}], "group": "nfv", "weight": 20, "label": "Huge Pages"}, "nova": {"weight": 10, "type": "custom_hugepages", "description": "Nova Huge Pages configuration", "value": {"1048576": 0, "2048": 1024}, "label": "Nova Huge Pages"}, "dpdk": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "description": "DPDK Huge Pages per NUMA node in MB", "weight": 20, "min": 0, "value": 128, "label": "DPDK Huge Pages", "type": "number"}}}
\.


--
-- Name: nodes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('nodes_id_seq', 5, true);


--
-- Data for Name: notifications; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY notifications (id, cluster_id, node_id, task_id, topic, message, status, datetime) FROM stdin;
1	\N	\N	\N	done	Master node installation has been completed successfully.	unread	2016-11-17 20:17:16.457497
2	\N	1	\N	discover	New node is discovered: 48 CPUs / 128.0 GB RAM / 1.2 TB HDD 	unread	2016-11-17 20:18:05.665376
3	\N	2	\N	discover	New node is discovered: 48 CPUs / 128.0 GB RAM / 1.2 TB HDD 	unread	2016-11-17 20:18:05.862696
4	\N	3	\N	discover	New node is discovered: 48 CPUs / 128.0 GB RAM / 1.2 TB HDD 	unread	2016-11-17 20:18:09.719267
5	\N	4	\N	discover	New node is discovered: 48 CPUs / 128.0 GB RAM / 1.2 TB HDD 	unread	2016-11-17 20:18:32.313974
6	\N	5	\N	discover	New node is discovered: 48 CPUs / 128.0 GB RAM / 1.2 TB HDD 	unread	2016-11-17 20:18:34.680289
7	\N	\N	\N	done	Default bootstrap image building done. Now you can boot new nodes over PXE, they will be discovered and become available for installing OpenStack on them	unread	2016-11-17 20:24:15.641603
8	\N	\N	\N	done	We recommend reviewing and applying maintenance updates for your distribution of OpenStack.	unread	2016-11-17 20:24:17.0363
9	\N	1	\N	error	Node 'Untitled (98:40)' has gone away	unread	2016-11-17 20:28:22.415268
10	\N	3	\N	error	Node 'Untitled (90:f0)' has gone away	unread	2016-11-17 20:28:22.42057
11	\N	4	\N	error	Node 'Untitled (92:60)' has gone away	unread	2016-11-17 20:28:52.483645
12	\N	5	\N	error	Node 'Untitled (9b:f0)' has gone away	unread	2016-11-17 20:28:52.486855
13	\N	2	\N	error	Node 'Untitled (9c:00)' has gone away	unread	2016-11-17 20:29:22.532629
14	\N	1	\N	discover	Node 'Untitled (98:40)' is back online	unread	2016-11-17 20:31:54.301131
15	\N	5	\N	discover	Node 'Untitled (9b:f0)' is back online	unread	2016-11-17 20:31:56.709408
16	\N	2	\N	discover	Node 'Untitled (9c:00)' is back online	unread	2016-11-17 20:32:04.185939
17	\N	4	\N	discover	Node 'Untitled (92:60)' is back online	unread	2016-11-17 20:32:04.553454
18	\N	3	\N	discover	Node 'Untitled (90:f0)' is back online	unread	2016-11-17 20:32:06.679993
\.


--
-- Name: notifications_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('notifications_id_seq', 18, true);


--
-- Data for Name: nova_network_config; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY nova_network_config (id, fixed_networks_cidr, fixed_networks_vlan_start, fixed_network_size, fixed_networks_amount, net_manager) FROM stdin;
\.


--
-- Data for Name: openstack_configs; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY openstack_configs (id, is_active, config_type, cluster_id, node_id, node_role, created_at, configuration) FROM stdin;
\.


--
-- Name: openstack_configs_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('openstack_configs_id_seq', 1, false);


--
-- Data for Name: oswl_stats; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY oswl_stats (id, cluster_id, created_date, updated_time, resource_type, resource_data, resource_checksum, is_sent, version_info) FROM stdin;
\.


--
-- Name: oswl_stats_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('oswl_stats_id_seq', 1, false);


--
-- Data for Name: plugin_deployment_graphs; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY plugin_deployment_graphs (id, type, deployment_graph_id, plugin_id) FROM stdin;
1	default	4	1
2	default	5	2
3	default	6	3
4	default	7	4
5	default	8	5
6	default	9	6
7	default	10	7
8	default	11	8
9	default	12	9
\.


--
-- Name: plugin_deployment_graphs_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('plugin_deployment_graphs_id_seq', 9, true);


--
-- Data for Name: plugin_links; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY plugin_links (id, plugin_id, title, url, description, hidden) FROM stdin;
\.


--
-- Name: plugin_links_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('plugin_links_id_seq', 1, false);


--
-- Data for Name: plugins; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY plugins (id, name, title, version, description, releases, fuel_version, package_version, groups, authors, licenses, homepage, network_roles_metadata, attributes_metadata, volumes_metadata, roles_metadata, tasks, components_metadata, is_hotpluggable) FROM stdin;
1	fuel-plugin-ovs	Install Openvswitch with NSH/DPDK	0.9.0	This plugin provides to deploy openvswitch with NSH/DPDK	[{"repository_path": "repositories/ubuntu", "version": "mitaka-9.0", "os": "ubuntu", "mode": ["ha"], "deployment_scripts_path": "deployment_scripts/"}]	["9.0"]	4.0.0	["network"]	["ling.y.yu@intel.com", "ruijing.guo@intel.com"]	["Apache License Version 2.0"]	https://github.com/openstack/fuel-plugin-ovs	[]	{"install_dpdk": {"type": "checkbox", "weight": 20, "value": false, "label": "Install DPDK"}, "install_nsh": {"type": "checkbox", "weight": 20, "value": false, "label": "Install NSH"}}	{}	{}	[]	[]	f
2	fuel-plugin-collectd-ceilometer	Deploy Collectd Ceilometer Plugin	0.9.0	Deploy Collectd Ceilometer Plugin	[{"repository_path": "repositories/ubuntu", "version": "mitaka-9.0", "os": "ubuntu", "mode": ["ha"], "deployment_scripts_path": "deployment_scripts/"}]	["9.0"]	4.0.0	["network"]	["ruijing.guo@intel.com"]	["Apache License Version 2.0"]	https://gerrit.opnfv.org/gerrit/fastpathmetrics	[]	{}	{}	{}	[]	[]	t
3	onos	onos plugin	0.9.0	Open Network Operating System (ONOS) is a typical SDN controller. Web-ui: http://horizon_ip:8181/onos/ui	[{"repository_path": "repositories/ubuntu", "version": "mitaka-9.0", "os": "ubuntu", "mode": ["ha"], "deployment_scripts_path": "deployment_scripts/"}]	["9.0"]	4.0.0	["network"]	["Wu Wenbin, Huawei"]	["Apache License Version 2.0"]	git://git.openstack.org/openstack/fuel-plugin-onos	[]	{"enable_sfc": {"type": "checkbox", "weight": 13, "value": false, "label": "SFC features"}, "metadata": {"restrictions": [{"cluster:net_provider != 'neutron'": "Neutron only"}, {"settings:public_network_assignment.assign_to_all_nodes.value == false": "Assign public network to all nodes"}]}}	{"volumes_roles_mapping": {"onos": [{"id": "os", "allocate_size": "min"}]}, "volumes": []}	{"onos": {"limits": {"max": 1, "min": 1}, "weight": 200, "has_primary": false, "name": "onos", "public_ip_required": false, "description": "sdn controller"}}	[]	[{"compatible": [{"name": "hypervisor:kvm"}, {"name": "hypervisor:qemu"}], "bind": [["cluster:net_provider", "neutron"], ["cluster:net_segment_type", "tun"]], "label": "onos based on neutron tunneling segmentation", "description": "Use Neutron with networking-onos driver", "name": "network:neutron:onos:tun"}, {"compatible": [{"name": "hypervisor:kvm"}, {"name": "hypervisor:qemu"}], "bind": [["cluster:net_provider", "neutron"], ["cluster:net_segment_type", "vlan"]], "label": "onos based on neutron vlan segmentation", "description": "Use Neutron with networking-onos driver", "name": "network:neutron:onos:vlan"}]	f
4	bgpvpn	BGPVPN plugin	0.9.0	This plugin provides BGPVPN extension for neutron.	[{"repository_path": "repositories/ubuntu", "version": "mitaka-9.0", "os": "ubuntu", "mode": ["ha", "multinode"], "deployment_scripts_path": "deployment_scripts/"}]	["9.0"]	3.0.0	["network"]	["Nikolas Hermanns, Ericsson"]	["Apache License Version 2.0"]	https://github.com/openstack/fuel-plugin-bgpvpn	[]	{"metadata": {"restrictions": [{"cluster:net_provider != 'neutron'": "Only neutron is supported by BGPVPN-plugin"}], "weight": 90, "label": "BGPVPN plugin"}}	{}	{}	[]	[]	f
5	fuel-plugin-yardstick	Install Yardstick	0.9.0	Installs Yardstick	[{"repository_path": "repositories/ubuntu", "version": "mitaka-9.0", "os": "ubuntu", "mode": ["ha"], "deployment_scripts_path": "deployment_scripts/"}]	["9.0"]	4.0.0	[]	["john.hinman@intel.com", "david.j.chou@intel.com", "ruijing.guo@intel.com"]	["Apache License Version 2.0"]	https://gerrit.opnfv.org/gerrit/yardstick	[]	{}	{}	{"yardstick": {"limits": {"min": 0}, "weight": 50, "has_primary": false, "name": "Yardstick", "public_ip_required": false, "description": "Install Yardstick on nodes with this role"}}	[]	[]	t
6	fuel-plugin-vsperf	Enable VSPERF plugin	1.0.9	Deploy VSPERF code	[{"repository_path": "repositories/ubuntu", "version": "mitaka-9.0", "os": "ubuntu", "mode": ["ha"], "deployment_scripts_path": "deployment_scripts/"}]	["9.0"]	4.0.0	["network"]	["billy.o.mahony@intel.com"]	["Apache License Version 2.0"]	https://github.com/stackforge/fuel-plugins	[]	{}	{}	{"vsperf": {"limits": {"min": 0}, "weight": 50, "has_primary": false, "name": "VSPERF", "public_ip_required": false, "description": "Install VSPERF on nodes with this role"}}	[]	[]	t
7	opendaylight	OpenDaylight plugin	0.9.0	This plugin provides OpenDaylight as a backend for neutron.	[{"repository_path": "repositories/ubuntu", "version": "mitaka-9.0", "os": "ubuntu", "mode": ["ha"], "deployment_scripts_path": "deployment_scripts/"}]	["9.0"]	4.0.0	["network"]	["Michal Skalski, Mirantis"]	["Apache License Version 2.0"]	https://github.com/openstack/fuel-plugin-opendaylight	[]	{"enable_bgpvpn": {"restrictions": [{"strict": false, "message": "BGPVPN (fuel-plugin-bgpvpn) plugin must be installed and enabled.", "condition": "settings:bgpvpn == null or settings:bgpvpn.metadata.enabled == false"}, {"networking_parameters:segmentation_type == 'vlan'": "This feature works only with segmentation_type != vlan"}, {"strict": false, "message": "Openvswitch with NSH/DPDK (fuel-plugin-ovs) must be installed and enabled.", "condition": "settings:fuel-plugin-ovs == null or settings:fuel-plugin-ovs.metadata.enabled == false"}], "description": "This enables the bgpvpn extension of neutron togethere with the corresponding sdnvpn features in odl. This feature will disable the standart ovsdb feature from ODL.\\n", "weight": 40, "type": "checkbox", "value": false, "label": "BGPVPN extensions"}, "enable_l3_odl": {"restrictions": [{"networking_parameters:segmentation_type == 'vlan'": "Use tunneling segmentation type."}, {"settings:public_network_assignment.assign_to_all_nodes.value == false": "Assign public network to all nodes"}], "type": "checkbox", "weight": 10, "value": false, "label": "Use ODL to manage L3 traffic"}, "sfc_class": {"restrictions": [{"action": "hide", "condition": "settings:opendaylight.enable_sfc.value == false"}], "values": [{"data": "ncr", "label": "NetVirt"}, {"data": "gcr", "label": "GBP"}], "description": "Classifier determines what traffic needs to be chained based on policy based on yang model. The OpenDayLight actually supports the OVSDB NetVirt and the GBP classifier in case of SFC.\\n", "weight": 21, "type": "select", "value": "ncr", "label": "Classifier used by SFC"}, "bgpvpn_gateway": {"regex": {"source": "^(?:(?:25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\\\\.){3}(?:25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)$", "error": "Invalid ip number"}, "restrictions": [{"settings:opendaylight.enable_bgpvpn.value == false": "Only needed if BGPVPN is enabled."}], "description": "Define the default gateway for BGPVPN", "weight": 50, "type": "text", "value": "0.0.0.0", "label": "Default Gateway"}, "enable_sfc": {"type": "checkbox", "weight": 20, "value": false, "label": "SFC features"}, "rest_api_port": {"regex": {"source": "^([1-9][0-9]{0,3}|[1-5][0-9]{4}|6[0-4][0-9]{3}|65[0-4][0-9]{2}|655[0-2][0-9]|6553[0-5])$", "error": "Invalid port number"}, "description": "Port on which ODL REST API will be available.", "weight": 70, "type": "text", "value": "8282", "label": "Port number"}, "odl_v2": {"weight": 60, "type": "checkbox", "description": "V2 version is considered as experimental", "value": false, "label": "Use V2 ML2 driver"}, "metadata": {"experimental_odl_deb": "opendaylight-experimental", "restrictions": [{"cluster:net_provider != 'neutron'": "Only neutron is supported by OpenDaylight"}], "default_credentials": {"password": "admin", "user": "admin"}, "odl_deb": "opendaylight", "jetty_port": 8181, "use_experimental_odl": ["enable_bgpvpn"], "odl_features": {"ovs": ["odl-ovsdb-openstack"], "gcr": ["odl-groupbasedpolicy-ovssfc"], "default": ["config", "standard", "region", "package", "kar", "ssh", "management"], "ncr": ["odl-ovsdb-sfc", "odl-ovsdb-sfc-rest"], "vpn": ["odl-vpnservice-openstack"], "odl-default": ["odl-restconf-all", "odl-aaa-authn", "odl-dlux-all"], "sfc": ["odl-sfc-model", "odl-sfc-provider", "odl-sfc-provider-rest", "odl-sfc-ovs", "odl-sfc-openflow-renderer"]}}}	{"volumes_roles_mapping": {"opendaylight": [{"id": "os", "allocate_size": "min"}]}, "volumes": []}	{"opendaylight": {"limits": {"max": 1, "min": 1}, "weight": 150, "has_primary": false, "name": "OpenDaylight controller", "public_ip_required": false, "description": "Install and setup OpenDaylight SDN controller"}}	[]	[{"compatible": [{"name": "hypervisor:kvm"}, {"name": "hypervisor:qemu"}], "bind": [["cluster:net_provider", "neutron"], ["cluster:net_segment_type", "tun"]], "label": "OpenDaylight with tunneling segmentation", "description": "Use Neutron with networking-odl driver", "name": "network:neutron:opendaylight:tun"}, {"compatible": [{"name": "hypervisor:kvm"}, {"name": "hypervisor:qemu"}], "bind": [["cluster:net_provider", "neutron"], ["cluster:net_segment_type", "vlan"]], "label": "OpenDaylight with vlan segmentation", "description": "Use Neutron with networking-odl driver", "name": "network:neutron:opendaylight:vlan"}]	f
8	fuel-plugin-kvm	fuel-plugin-kvm	0.9.0	This plugin provides to deploy kvm	[{"repository_path": "repositories/ubuntu", "version": "mitaka-9.0", "os": "ubuntu", "mode": ["ha"], "deployment_scripts_path": "deployment_scripts/"}]	["9.0"]	4.0.0	["hypervisor"]	["ling.y.yu@intel.com", "ruijing.guo@intel.com"]	["Apache License Version 2.0"]	https://gerrit.opnfv.org/gerrit/kvmfornfv/fuel-plugin	[]	{"use_kvm": {"type": "checkbox", "weight": 20, "value": false, "label": "EXPERIMENTAL: KVM enhancements for NFV"}}	{}	{}	[]	[]	f
9	tacker	Tacker VNF manager	0.2.0	Tacker VNF manager	[{"repository_path": "repositories/ubuntu", "version": "mitaka-9.0", "os": "ubuntu", "mode": ["ha"], "deployment_scripts_path": "deployment_scripts/"}]	["9.0"]	4.0.0	[]	["Michal Skalski, Mirantis'Priya, Cavium"]	["Apache License Version 2.0"]	https://github.com/openstack/fuel-plugin-tacker	[]	{"debug": {"value": false, "type": "checkbox", "description": "Debug logging mode provides more information, but requires more disk space.", "weight": 25, "label": "Debug logging"}, "metadata": {"restrictions": [{"strict": false, "message": "Please install OpenDaylight Plugin with SFC features enabled", "condition": "settings:opendaylight == null or settings:opendaylight.metadata.enabled == false or settings:opendaylight.enable_sfc.value == false"}, {"strict": false, "message": "Please install and enable Openvswitch plugin with NSH support.", "condition": "settings:fuel-plugin-ovs == null or settings:fuel-plugin-ovs.metadata.enabled == false"}], "group": "openstack_services", "user": "tacker", "service": "tacker-server", "db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "port": 8889}}	{"volumes_roles_mapping": {"tacker": [{"id": "os", "allocate_size": "min"}]}, "volumes": []}	{"tacker": {"limits": {"max": 1, "min": 1}, "weight": 150, "has_primary": false, "name": "Tacker VNF manager", "public_ip_required": false, "description": "Install Tacker VNF manager"}}	[]	[]	f
\.


--
-- Name: plugins_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('plugins_id_seq', 9, true);


--
-- Data for Name: release_deployment_graphs; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY release_deployment_graphs (id, type, deployment_graph_id, release_id) FROM stdin;
1	default	1	2
2	default	2	3
3	default	3	1
\.


--
-- Name: release_deployment_graphs_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('release_deployment_graphs_id_seq', 3, true);


--
-- Data for Name: releases; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY releases (id, name, version, description, operating_system, state, networks_metadata, attributes_metadata, volumes_metadata, modes_metadata, roles_metadata, vmware_attributes_metadata, modes, network_roles_metadata, extensions, components_metadata, node_attributes) FROM stdin;
1	Mitaka on CentOS 6.5	mitaka-9.0	This option will install the OpenStack Mitaka packages using a CentOS based operating system. With high availability features built in, you are getting a robust, enterprise-grade OpenStack deployment.	CentOS	unavailable	{"bonding": {"availability": [{"dpdkovs": "'experimental' in version:feature_groups and interface:pxe == false and interface:interface_properties.dpdk.enabled and not interface:interface_properties.sriov.enabled"}, {"linux": "not interface:interface_properties.sriov.enabled"}], "properties": {"dpdkovs": {"lacp": [{"for_modes": ["balance-tcp"], "values": ["active", "passive"]}], "lacp_rate": [{"for_modes": ["balance-tcp"], "values": ["slow", "fast"]}], "mode": [{"values": ["active-backup", "balance-slb", "balance-tcp"]}], "xmit_hash_policy": [{"for_modes": ["balance-tcp"], "values": ["layer2", "layer2+3", "layer3+4", "encap2+3", "encap3+4"]}]}, "linux": {"lacp_rate": [{"for_modes": ["802.3ad"], "values": ["slow", "fast"]}], "mode": [{"values": ["balance-rr", "active-backup"]}, {"values": ["802.3ad"], "condition": "'experimental' in version:feature_groups or interface:pxe == false"}, {"values": ["balance-xor", "broadcast", "balance-tlb", "balance-alb"], "condition": "'experimental' in version:feature_groups"}], "xmit_hash_policy": [{"for_modes": ["802.3ad", "balance-xor", "balance-tlb", "balance-alb"], "values": ["layer2", "layer2+3", "layer3+4", "encap2+3", "encap3+4"]}]}}}, "nova_network": {"config": {"floating_ranges": [["172.16.0.128", "172.16.0.254"]], "net_manager": "FlatDHCPManager", "fixed_networks_vlan_start": 103, "fixed_networks_amount": 1, "fixed_network_size": 256, "fixed_networks_cidr": "10.0.0.0/16"}, "networks": [{"vips": ["haproxy", "vrouter"], "name": "public", "notation": "ip_ranges", "render_type": null, "map_priority": 1, "configurable": true, "use_gateway": true, "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "gateway": "172.16.0.1", "ip_range": ["172.16.0.2", "172.16.0.127"]}, {"vips": ["haproxy", "vrouter"], "name": "management", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24"}, {"name": "storage", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24"}, {"ext_net_data": ["fixed_networks_vlan_start", "fixed_networks_amount"], "name": "fixed", "notation": null, "render_type": null, "map_priority": 2, "configurable": false, "use_gateway": false, "vlan_start": null, "render_addr_mask": null}]}, "neutron": {"config": {"parameters": {"metadata": {"metadata_proxy_shared_secret": ""}, "keystone": {"admin_user": null, "admin_password": ""}, "amqp": {"username": null, "passwd": "", "hosts": "hostname1:5672, hostname2:5672", "provider": "rabbitmq"}, "database": {"username": null, "passwd": "", "database": null, "port": "3306", "provider": "mysql"}}, "baremetal_gateway": "192.168.3.51", "internal_cidr": "192.168.111.0/24", "floating_ranges": [["172.16.0.130", "172.16.0.254"]], "floating_name": "admin_floating_net", "base_mac": "fa:16:3e:00:00:00", "internal_gateway": "192.168.111.1", "internal_name": "admin_internal_net", "baremetal_range": ["192.168.3.52", "192.168.3.254"], "gre_id_range": [2, 65535], "vlan_range": [1000, 1030]}, "networks": [{"vips": ["haproxy", "vrouter"], "name": "public", "notation": "ip_ranges", "render_type": null, "map_priority": 1, "configurable": true, "floating_range_var": "floating_ranges", "use_gateway": true, "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "ip_range": ["172.16.0.2", "172.16.0.126"]}, {"vips": ["haproxy", "vrouter"], "name": "management", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24"}, {"name": "storage", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24"}, {"name": "private", "notation": null, "render_type": null, "map_priority": 2, "neutron_vlan_range": true, "use_gateway": false, "vlan_start": null, "render_addr_mask": null, "configurable": false, "seg_type": "vlan"}, {"name": "private", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 103, "render_addr_mask": null, "cidr": "192.168.2.0/24", "seg_type": "gre"}, {"name": "private", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 103, "render_addr_mask": null, "cidr": "192.168.2.0/24", "seg_type": "tun"}, {"restrictions": [{"condition": "settings:additional_components.ironic.value == false"}], "name": "baremetal", "notation": "ip_ranges", "render_type": null, "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 104, "cidr": "192.168.3.0/24", "ip_range": ["192.168.3.2", "192.168.3.50"]}]}}	{"generated": {"glance_glare": {"user_password": {"generator": "password"}}, "murano-cfapi": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "rabbit_password": {"generator": "password"}}, "puppet": {"modules": "rsync://{settings.MASTER_IP}:/puppet/{cluster.release.version}/modules/", "manifests": "rsync://{settings.MASTER_IP}:/puppet/{cluster.release.version}/manifests/"}, "mysql": {"root_password": {"generator": "password"}, "wsrep_password": {"generator": "password"}}, "ironic": {"swift_tempurl_key": {"generator": "password"}, "db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "cobbler": {"profile": {"generator": "identical", "generator_arg": "centos-x86_64"}}, "glance": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "quantum_settings": {"metadata": {"metadata_proxy_shared_secret": {"generator": "password"}}, "keystone": {"admin_password": {"generator": "password"}}, "database": {"passwd": {"generator": "password"}}}, "swift": {"user_password": {"generator": "password"}}, "aodh": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "nova": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "state_path": "/var/lib/nova"}, "murano": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "rabbit_password": {"generator": "password"}}, "keystone": {"db_password": {"generator": "password"}, "admin_token": {"generator": "password"}}, "heat": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "auth_encryption_key": {"generator": "hexstring", "generator_arg": "32"}, "rabbit_password": {"generator": "password"}}, "rabbit": {"password": {"generator": "password"}}, "cinder": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "fixed_key": {"generator": "hexstring", "generator_arg": "64"}}, "provision": {"image_data": {"/boot": {"container": "gzip", "uri": "http://{settings.MASTER_IP}:8080/targetimages/centos_65_x86_64-boot.img.gz", "format": "ext2"}, "/": {"container": "gzip", "uri": "http://{settings.MASTER_IP}:8080/targetimages/centos_65_x86_64.img.gz", "format": "ext4"}}}, "base_syslog": {"syslog_port": {"generator": "identical", "generator_arg": "514"}, "syslog_server": {"generator": "ip", "generator_arg": "admin"}}, "ceilometer": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "metering_secret": {"generator": "password"}}, "deployed_before": {"value": false}, "horizon": {"secret_key": {"generator": "hexstring", "generator_arg": "64"}}, "sahara": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}}, "editable": {"service_user": {"name": {"type": "hidden", "value": "fuel"}, "sudo": {"type": "hidden", "value": "ALL=(ALL) NOPASSWD: ALL"}, "homedir": {"type": "hidden", "value": "/var/lib/fuel"}, "root_password": {"type": "hidden", "value": "r00tme"}, "password": {"type": "hidden", "value": {"generator": "password"}}, "metadata": {"restrictions": [{"action": "hide", "condition": "true"}], "group": "general", "weight": 10, "label": "Service user account"}}, "additional_components": {"ceilometer": {"weight": 60, "type": "checkbox", "description": "If selected, Ceilometer and Aodh components will be installed", "value": false, "label": "Install Ceilometer and Aodh"}, "mongo": {"restrictions": [{"settings:additional_components.ceilometer.value == false": "External Mongo aims to be an external backend for Ceilometer. Without Ceilometer enabled, External Mongo is useless and should not be installed."}], "description": "If selected, You can use external Mongo DB as ceilometer backend", "weight": 70, "value": false, "label": "Use external Mongo DB", "type": "checkbox"}, "heat": {"weight": 50, "type": "hidden", "description": "", "value": true, "label": ""}, "murano-cfapi": {"restrictions": [{"message": "Murano should be enabled", "condition": "settings:additional_components.murano.value == false"}, {"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "description": "If selected, Murano service broker will be installed", "weight": 30, "value": false, "label": "Install Murano service broker for Cloud Foundry", "type": "checkbox"}, "murano": {"weight": 20, "type": "checkbox", "description": "If selected, Murano component will be installed", "value": false, "label": "Install Murano"}, "sahara": {"weight": 10, "type": "checkbox", "description": "If selected, Sahara component will be installed", "value": false, "label": "Install Sahara"}, "ironic": {"restrictions": [{"cluster:net_provider != 'neutron' or networking_parameters:segmentation_type != 'vlan'": "Ironic requires Neutron with VLAN segmentation."}, {"settings:storage.images_ceph.value == true and settings:storage.objects_ceph.value == false": "Ironic requires Swift or RadosGW for Glance images."}], "description": "If selected, Ironic component will be installed", "weight": 80, "value": false, "label": "Install Ironic", "type": "checkbox"}, "metadata": {"group": "openstack_services", "weight": 10, "label": "Additional Components"}}, "cgroups": {"metadata": {"restrictions": [{"action": "hide", "condition": "true"}], "group": "general", "always_editable": true, "weight": 90, "label": "Cgroups conguration for services"}}, "kernel_params": {"kernel": {"type": "text", "description": "Default kernel parameters", "value": "console=tty0 biosdevname=0 crashkernel=none rootdelay=90 nomodeset", "label": "Initial parameters"}, "metadata": {"group": "general", "weight": 60, "label": "Kernel parameters"}}, "repo_setup": {"repos": {"type": "custom_repo_configuration", "description": "To create a local repository mirror on the Fuel master node, please follow the instructions provided by running \\"fuel-package-updates --help\\" on the Fuel master node.\\nPlease make sure your Fuel master node has Internet access to the repository before attempting to create a mirror.\\n", "value": [{"priority": null, "type": "rpm", "name": "mos", "uri": "http://{settings.MASTER_IP}:8080/{cluster.release.version}/centos/x86_64"}, {"priority": null, "type": "rpm", "name": "mos-updates", "uri": "http://mirror.fuel-infra.org/mos-repos/centos/mos{cluster.release.environment_version}-centos7/updates/x86_64"}, {"priority": null, "type": "rpm", "name": "mos-security", "uri": "http://mirror.fuel-infra.org/mos-repos/centos/mos{cluster.release.environment_version}-centos7/security/x86_64"}, {"priority": 15, "type": "rpm", "name": "Auxiliary", "uri": "http://{settings.MASTER_IP}:8080/{cluster.release.version}/centos/auxiliary"}], "extra_priority": null}, "metadata": {"group": "general", "always_editable": true, "weight": 50, "label": "Repositories"}}, "operator_user": {"name": {"regex": {"source": "\\\\S", "error": "Empty username"}, "description": "Username for operator user", "weight": 50, "value": "fueladmin", "label": "Username", "type": "text"}, "sudo": {"value": "ALL=(ALL) NOPASSWD: ALL", "type": "textarea", "description": "Sudoers configuration directives for operator user, one per line.", "weight": 90, "label": "Sudoers configuration"}, "homedir": {"regex": {"source": "^/\\\\S", "error": "Invalid path"}, "description": "Home directory for operator user", "weight": 70, "value": "/home/fueladmin", "label": "Home directory", "type": "text"}, "password": {"regex": {"source": "\\\\S", "error": "Empty password"}, "description": "Password for operator user", "weight": 60, "value": {"generator": "password"}, "label": "Password", "type": "password"}, "authkeys": {"value": "", "type": "textarea", "description": "Public SSH keys to include to operator user's authorized keys, one per line.", "weight": 80, "label": "Authorized SSH keys"}, "metadata": {"group": "general", "weight": 15, "label": "Operating System Access"}}, "use_fedora_lt": {"kernel": {"values": [{"data": "default_kernel", "description": "Install default 2.6.32 kernel.", "label": "CentOS default kernel"}, {"data": "fedora_lt_kernel", "description": "EXPERIMENTAL: Install the Fedora 3.10 longterm kernel instead of the default 2.6.32 kernel. This kernel may not work with all hardware platforms, use with caution.", "label": "Fedora LT kernel"}], "type": "radio", "value": "default_kernel", "weight": 55, "label": "Select kernel"}, "metadata": {"weight": 50, "label": "Use Fedora longterm kernel"}}, "storage": {"volumes_ceph": {"restrictions": ["settings:storage.volumes_lvm.value == true or settings:storage.volumes_block_device.value == true"], "description": "Configures Cinder to store volumes in Ceph RBD images.", "weight": 20, "value": false, "label": "Ceph RBD for volumes (Cinder)", "type": "checkbox"}, "objects_ceph": {"weight": 80, "type": "checkbox", "description": "Configures RadosGW front end for Ceph RBD. This exposes S3 and Swift API Interfaces. If enabled, this option will prevent Swift from installing.", "value": false, "label": "Ceph RadosGW for objects (Swift API)"}, "bootstrap_osd_key": {"type": "hidden", "value": {"generator": "cephx_key"}}, "volumes_lvm": {"restrictions": ["settings:storage.volumes_ceph.value == true"], "description": "It is recommended to have at least one Cinder node.", "weight": 10, "value": true, "label": "Cinder LVM over iSCSI for volumes", "type": "checkbox"}, "ephemeral_ceph": {"weight": 75, "type": "checkbox", "description": "Configures Nova to store ephemeral volumes in RBD. This works best if Ceph is enabled for volumes and images, too. Enables live migration of all types of Ceph backed VMs (without this option, live migration will only work with VMs launched from Cinder volumes).", "value": false, "label": "Ceph RBD for ephemeral volumes (Nova)"}, "volumes_block_device": {"restrictions": ["settings:storage.volumes_ceph.value == true"], "description": "High performance block device storage. It is recommended to have at least one Cinder Block Device", "weight": 15, "value": false, "label": "Cinder Block device driver", "type": "checkbox"}, "mon_key": {"type": "hidden", "value": {"generator": "cephx_key"}}, "images_vcenter": {"restrictions": [{"action": "hide", "condition": "settings:common.use_vcenter.value != true"}, {"message": "Only one Glance backend could be selected.", "condition": "settings:storage.images_ceph.value == true"}], "description": "Configures Glance to use the vCenter/ESXi backend to store images. If enabled, this option will prevent Swift from installing.", "weight": 35, "value": false, "label": "VMware vCenter/ESXi datastore for images (Glance)", "type": "checkbox"}, "osd_pool_size": {"regex": {"source": "^[1-9]\\\\d*$", "error": "Invalid number"}, "description": "Configures the default number of object replicas in Ceph. This number must be equal to or lower than the number of deployed 'Ceph OSD' nodes.", "weight": 85, "value": "3", "label": "Ceph object replication factor", "type": "text"}, "admin_key": {"type": "hidden", "value": {"generator": "cephx_key"}}, "images_ceph": {"restrictions": [{"settings:storage.images_vcenter.value == true": "Only one Glance backend could be selected."}], "description": "Configures Glance to use the Ceph RBD backend to store images. If enabled, this option will prevent Swift from installing.", "weight": 30, "value": false, "label": "Ceph RBD for images (Glance)", "type": "checkbox"}, "radosgw_key": {"type": "hidden", "value": {"generator": "cephx_key"}}, "fsid": {"type": "hidden", "value": {"generator": "uuid4"}}, "metadata": {"group": "storage", "weight": 60, "label": "Storage Backends"}}, "public_ssl": {"hostname": {"restrictions": [{"action": "hide", "condition": "settings:public_ssl.horizon.value == false and settings:public_ssl.services.value == false"}], "description": "Your DNS entries should point to this name. Self-signed certificates also will use this hostname", "weight": 50, "value": "public.fuel.local", "label": "DNS hostname for public TLS endpoints", "type": "text"}, "horizon": {"restrictions": [{"settings:public_ssl.services.value == false": "TLS for OpenStack public endpoints should be enabled"}], "description": "Secure access to Horizon enabling HTTPS instead of HTTP", "weight": 20, "value": false, "label": "HTTPS for Horizon", "type": "checkbox"}, "services": {"weight": 10, "type": "checkbox", "description": "Enable TLS termination on HAProxy for OpenStack services", "value": false, "label": "TLS for OpenStack public endpoints"}, "cert_data": {"restrictions": [{"action": "hide", "condition": "(settings:public_ssl.cert_source.value != 'user_uploaded') or (settings:public_ssl.horizon.value == false and settings:public_ssl.services.value == false)"}], "description": "Certificate and private key data, concatenated into a single file", "weight": 40, "value": "", "label": "Certificate", "type": "file"}, "cert_source": {"restrictions": [{"action": "hide", "condition": "settings:public_ssl.horizon.value == false and settings:public_ssl.services.value == false"}], "description": "From where we'll get certificate and private key", "weight": 30, "value": "self_signed", "label": "Select source for certificate", "values": [{"data": "self_signed", "description": "Generate private key and certificate that will be signed by this key", "label": "Self-signed"}, {"data": "user_uploaded", "description": "Use pre-generated key and certificate", "label": "I have my own keypair with certificate"}], "type": "radio"}, "metadata": {"group": "security", "weight": 110, "label": "Public TLS"}}, "access": {"user": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?!ironic$)(?![Gg]uest$)(?!.* +.*$).+", "error": "Invalid username"}, "description": "Username for Administrator", "weight": 10, "value": "admin", "label": "Username", "type": "text"}, "password": {"regex": {"source": "\\\\S", "error": "Empty password"}, "description": "Password for Administrator", "weight": 20, "value": "admin", "label": "Password", "type": "password"}, "email": {"regex": {"source": "^\\\\S+@\\\\S+$", "error": "Invalid email"}, "description": "Email address for Administrator", "weight": 40, "value": "admin@localhost", "label": "Email", "type": "text"}, "tenant": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?!ironic$)(?![Gg]uest$)(?!.* +.*$).+", "error": "Invalid tenant name"}, "description": "Tenant (project) name for Administrator", "weight": 30, "value": "admin", "label": "Tenant", "type": "text"}, "metadata": {"group": "general", "weight": 10, "label": "OpenStack Access"}}, "syslog": {"syslog_port": {"regex": {"source": "^([1-9][0-9]{0,3}|[1-5][0-9]{4}|6[0-4][0-9]{3}|65[0-4][0-9]{2}|655[0-2][0-9]|6553[0-5])$", "error": "Invalid syslog port"}, "description": "Remote syslog port", "weight": 20, "value": "514", "label": "Port", "type": "text"}, "syslog_transport": {"type": "radio", "values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "weight": 30, "value": "tcp", "label": "Syslog transport protocol"}, "syslog_server": {"regex": {"source": "^[a-zA-Z\\\\d]+[-\\\\.\\\\da-zA-Z]*$", "error": "Invalid hostname"}, "description": "Remote syslog hostname", "weight": 10, "value": "", "label": "Hostname", "type": "text"}, "metadata": {"enabled": false, "group": "logging", "toggleable": true, "weight": 50, "label": "Syslog"}}, "neutron_advanced_configuration": {"neutron_qos": {"weight": 40, "type": "checkbox", "description": "Enable Neutron QoS advanced service plug-in", "value": false, "label": "Neutron QoS"}, "neutron_l3_ha": {"restrictions": [{"message": "Neutron DVR must be disabled in order to use Neutron L3 HA", "condition": "settings:neutron_advanced_configuration.neutron_dvr.value == true"}], "description": "Enable High Availability features for Virtual Routers in Neutron\\nRequires at least 2 Controller nodes to function properly\\n", "weight": 30, "value": false, "label": "Neutron L3 HA", "type": "checkbox"}, "neutron_dvr": {"restrictions": [{"networking_parameters:segmentation_type != 'vlan' and settings:neutron_advanced_configuration.neutron_l2_pop.value == false": "DVR requires L2 population to be enabled."}], "description": "Enable Distributed Virtual Routers in Neutron", "weight": 20, "value": false, "label": "Neutron DVR", "type": "checkbox"}, "neutron_l2_pop": {"restrictions": [{"action": "hide", "condition": "networking_parameters:segmentation_type == 'vlan'"}], "description": "Enable L2 population mechanism in Neutron", "weight": 10, "value": false, "label": "Neutron L2 population", "type": "checkbox"}, "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron'"}], "group": "network", "weight": 20, "label": "Neutron Advanced Configuration"}}, "murano_settings": {"murano_glance_artifacts_plugin": {"weight": 40, "type": "checkbox", "description": "If selected glance artifact repository will be enabled", "value": true, "label": "Enable glance artifact repository"}, "murano_repo_url": {"weight": 10, "type": "text", "description": "", "value": "http://storage.apps.openstack.org/", "label": "Murano Repository URL"}, "metadata": {"restrictions": [{"action": "hide", "message": "Murano is not enabled on the Additional Components section", "condition": "settings:additional_components.murano.value == false"}], "group": "openstack_services", "weight": 20, "label": "Murano Settings"}}, "common": {"propagate_task_deploy": {"type": "hidden", "weight": 12, "value": false}, "auto_assign_floating_ip": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider == 'neutron'"}], "group": "network", "description": "If selected, OpenStack will automatically assign a floating IP to a new instance", "weight": 40, "value": false, "label": "Auto assign floating IP", "type": "checkbox"}, "use_cow_images": {"group": "storage", "description": "For most cases you will want qcow format. If it's disabled, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "weight": 60, "value": true, "label": "Use qcow format for images", "type": "checkbox"}, "auth_key": {"type": "hidden", "group": "security", "weight": 70, "value": ""}, "puppet_debug": {"group": "logging", "description": "Debug puppet logging mode provides more information, but requires more disk space.", "weight": 20, "value": true, "label": "Puppet debug logging", "type": "checkbox"}, "use_vcenter": {"type": "hidden", "weight": 30, "value": false}, "libvirt_type": {"group": "compute", "weight": 30, "value": "qemu", "label": "Hypervisor type", "values": [{"data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}], "type": "radio"}, "resume_guests_state_on_host_boot": {"group": "compute", "description": "Whether to resume previous guests state when the host reboots. If enabled, this option causes guests assigned to the host to resume their previous state. If the guest was running a restart will be attempted when nova-compute starts. If the guest was not running previously, a restart will not be attempted.", "weight": 50, "value": true, "label": "Resume guests state on host boot", "type": "checkbox"}, "debug": {"group": "logging", "description": "Debug logging mode provides more information, but requires more disk space.", "weight": 20, "value": false, "label": "OpenStack debug logging", "type": "checkbox"}, "task_deploy": {"type": "hidden", "weight": 11, "value": true}, "nova_quota": {"group": "compute", "description": "Quotas are used to limit CPU and memory usage for tenants. Enabling quotas will increase load on the Nova database.", "weight": 30, "value": false, "label": "Nova quotas", "type": "checkbox"}, "metadata": {"weight": 10, "label": "Common"}}, "external_mongo": {"mongo_db_name": {"regex": {"source": "^\\\\w+$", "error": "Invalid database name"}, "description": "Mongo database name", "weight": 30, "value": "ceilometer", "label": "Database name", "type": "text"}, "mongo_replset": {"weight": 30, "type": "text", "description": "Name for Mongo replication set", "value": "", "label": "Replset"}, "mongo_user": {"regex": {"source": "^\\\\w+$", "error": "Empty username"}, "description": "Mongo database username", "weight": 30, "value": "ceilometer", "label": "Username", "type": "text"}, "hosts_ip": {"regex": {"source": "^(((25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\\\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?),)*((25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\\\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)$", "error": "Invalid hosts ip sequence"}, "description": "IP Addresses of MongoDB. Use comma to split IPs", "weight": 30, "value": "", "label": "MongoDB hosts IP", "type": "text"}, "mongo_password": {"regex": {"source": "^\\\\S*$", "error": "Password contains spaces"}, "description": "Mongo database password", "weight": 30, "value": "ceilometer", "label": "Password", "type": "password"}, "metadata": {"restrictions": [{"action": "hide", "message": "Ceilometer and MongoDB are not enabled on the Additional Components section", "condition": "settings:additional_components.mongo.value == false"}], "group": "openstack_services", "weight": 30, "label": "External MongoDB"}}, "external_dns": {"dns_list": {"regex": {"source": "^(([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\\\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])$", "error": "Invalid IP address"}, "description": "List of upstream DNS servers", "weight": 10, "max": 3, "value": {"generator": "from_settings", "generator_arg": "DNS_UPSTREAM"}, "label": "DNS list", "type": "text_list"}, "metadata": {"group": "network", "weight": 30, "label": "Host OS DNS Servers"}}, "public_network_assignment": {"assign_to_all_nodes": {"weight": 10, "type": "checkbox", "description": "When disabled, public network will be assigned to controllers only", "value": false, "label": "Assign public network to all nodes"}, "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron'"}], "group": "network", "weight": 10, "label": "Public network assignment"}}, "external_ntp": {"ntp_list": {"regex": {"source": "^[a-zA-Z\\\\d]+[-\\\\.\\\\da-zA-Z]*$", "error": "Invalid NTP server"}, "description": "List of upstream NTP servers", "weight": 10, "value": {"generator": "from_settings", "generator_arg": "NTP_UPSTREAM"}, "label": "NTP server list", "type": "text_list"}, "metadata": {"group": "network", "weight": 40, "label": "Host OS NTP Servers"}}, "provision": {"method": {"type": "hidden", "value": "image"}, "metadata": {"restrictions": [{"action": "hide", "condition": "true"}], "group": "general", "weight": 80, "label": "Provision"}}, "corosync": {"verified": {"weight": 10, "type": "checkbox", "description": "Set True only if multicast is configured correctly on router.", "value": false, "label": "Need to pass network verification."}, "group": {"weight": 10, "type": "text", "description": "", "value": "226.94.1.1", "label": "Group"}, "port": {"weight": 20, "type": "text", "description": "", "value": "12000", "label": "Port"}, "metadata": {"restrictions": [{"action": "hide", "condition": "true"}], "group": "general", "weight": 50, "label": "Corosync"}}, "workloads_collector": {"password": {"type": "password", "value": {"generator": "password"}}, "enabled": {"type": "hidden", "value": true}, "user": {"type": "text", "value": "fuel_stats_user"}, "tenant": {"type": "text", "value": "services"}, "metadata": {"restrictions": [{"action": "hide", "condition": "true"}], "group": "general", "weight": 10, "label": "Workloads Collector User"}}}}	{"rule_to_pick_boot_disk": [{"regex": "^nvme", "type": "exclude_disks_by_name", "description": "NVMe drives should be skipped as accessing such drives during the boot typically requires using UEFI which is still not supported by fuel-agent (it always installs BIOS variant of  grub). grub bug (http://savannah.gnu.org/bugs/?41883)"}, {"regex": "^md", "root_mount": "/", "type": "pick_root_disk_if_disk_name_match", "description": "If we have /root on fake raid, then /boot partition should land on to it too. We can't proceed with grub-install otherwise."}], "volumes_roles_mapping": {"compute-vmware": [{"id": "os", "allocate_size": "min"}], "compute": [{"id": "os", "allocate_size": "min"}, {"id": "vm", "allocate_size": "all"}], "cinder-vmware": [{"id": "os", "allocate_size": "min"}], "virt": [{"id": "os", "allocate_size": "min"}, {"id": "vm", "allocate_size": "all"}], "base-os": [{"id": "os", "allocate_size": "min"}], "controller": [{"id": "os", "allocate_size": "min"}, {"id": "logs", "allocate_size": "min"}, {"id": "image", "allocate_size": "all"}, {"id": "mysql", "allocate_size": "min"}, {"id": "horizon", "allocate_size": "min"}], "other": [{"id": "os", "allocate_size": "all"}], "ceph-osd": [{"id": "os", "allocate_size": "min"}, {"id": "cephjournal", "allocate_size": "min"}, {"id": "ceph", "allocate_size": "full-disk"}], "ironic": [{"id": "os", "allocate_size": "min"}, {"id": "logs", "allocate_size": "min"}], "cinder-block-device": [{"id": "os", "allocate_size": "min"}, {"id": "cinder-block-device", "allocate_size": "full-disk"}], "cinder": [{"id": "os", "allocate_size": "min"}, {"id": "cinder", "allocate_size": "all"}], "mongo": [{"id": "os", "allocate_size": "min"}, {"id": "mongo", "allocate_size": "all"}]}, "volumes": [{"min_size": {"generator": "calc_min_os_size"}, "type": "vg", "id": "os", "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": {"generator": "calc_total_root_vg"}}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": {"generator": "calc_swap_size"}}], "label": "Base System"}, {"min_size": {"generator_args": [10], "generator": "calc_gb_to_mb"}, "type": "vg", "id": "logs", "volumes": [{"mount": "/var/log", "type": "lv", "name": "log", "file_system": "ext4", "size": {"generator_args": ["logs"], "generator": "calc_total_vg"}}], "label": "Logs"}, {"min_size": {"generator": "calc_min_mongo_size"}, "type": "vg", "id": "mongo", "volumes": [{"mount": "/var/lib/mongo", "type": "lv", "name": "mongodb", "file_system": "ext4", "size": {"generator_args": ["mongo"], "generator": "calc_total_vg"}}], "label": "MongoDB"}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "Ceph", "mount": "none", "label": "Ceph", "min_size": {"generator": "calc_min_ceph_size"}, "type": "partition", "id": "ceph", "file_system": "none"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "Ceph Journal", "mount": "none", "label": "Ceph Journal", "min_size": {"generator": "calc_min_ceph_journal_size"}, "type": "partition", "id": "cephjournal", "file_system": "none"}, {"min_size": {"generator": "calc_min_mysql_size"}, "type": "vg", "id": "mysql", "volumes": [{"mount": "/var/lib/mysql", "type": "lv", "name": "root", "file_system": "ext4", "size": {"generator_args": ["mysql"], "generator": "calc_total_vg"}}], "label": "Mysql Database"}, {"min_size": {"generator": "calc_min_vm_size"}, "type": "vg", "id": "vm", "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": {"generator_args": ["vm"], "generator": "calc_total_vg"}}], "label": "Virtual Storage"}, {"min_size": {"generator": "calc_min_glance_size"}, "type": "vg", "id": "image", "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": {"generator_args": ["image"], "generator": "calc_total_vg"}}], "label": "Image Storage"}, {"min_size": {"generator_args": [11], "generator": "calc_gb_to_mb"}, "type": "vg", "id": "horizon", "volumes": [{"mount": "/var/lib/horizon", "type": "lv", "name": "horizontmp", "file_system": "xfs", "size": {"generator_args": ["horizon"], "generator": "calc_total_vg"}}], "label": "Horizon Temp Storage"}, {"min_size": {"generator": "calc_min_cinder_size"}, "type": "vg", "id": "cinder", "volumes": [], "label": "Cinder"}, {"mount": "none", "label": "Cinder Block Device", "min_size": {"generator": "calc_min_cinder_size"}, "volumes": [], "type": "vg", "id": "cinder-block-device"}]}	{"ha_compact": {"description": "This configuration Deploys OpenStack ready for high availability (HA). Controller services are prepared for HA by setting up a base MySQL/Galera, RabbitMQ and HAProxy so that additional controllers can be deployed NOW, or scaled out LATER. 3 or more controllers are required for a true HA environment."}}	{"compute-vmware": {"restrictions": [{"action": "hide", "condition": "settings:common.use_vcenter.value == false"}], "group": "compute", "name": "Compute VMware", "weight": 90, "conflicts": ["controller", "compute", "cinder", "cinder-block-device", "ceph-osd", "mongo", "base-os", "virt", "ironic"], "description": "A node that runs nova-compute with VCDriver, that manages ESXi computing resources via VMware vCenter."}, "compute": {"limits": {"recommended": 1}, "group": "compute", "name": "Compute", "weight": 20, "fault_tolerance": "2%", "public_for_dvr_required": true, "description": "A Compute node creates, manages, and terminates virtual machine instances."}, "cinder-vmware": {"restrictions": [{"action": "hide", "condition": "settings:common.use_vcenter.value == false"}], "group": "storage", "name": "Cinder Proxy to VMware Datastore", "weight": 40, "limits": {"recommended": 1}, "description": "Cinder-VMware provides scheduling of block storage resources delivered over VMware vCenter. Block storage can be used for database storage, expandable file systems, or providing a server with access to raw block level devices."}, "virt": {"restrictions": [{"action": "hide", "condition": "not ('advanced' in version:feature_groups)"}], "group": "compute", "name": "Virtual", "weight": 80, "public_ip_required": true, "conflicts": ["controller", "base-os"], "description": "ADVANCED: Make available possibilities to spawn vms on this node that can be assign as a normal nodes."}, "base-os": {"group": "other", "name": "Operating System", "weight": 70, "description": "Install base Operating System without additional packages and configuration."}, "controller": {"limits": {"recommended": 3, "overrides": [{"message": "Neutron L3 HA requires at least 2 Controller nodes to function properly.", "condition": "settings:neutron_advanced_configuration.neutron_l3_ha.value == true", "min": 2}], "min": 1}, "group": "base", "name": "Controller", "weight": 10, "update_required": ["compute", "cinder"], "has_primary": true, "public_ip_required": true, "conflicts": ["compute"], "public_for_dvr_required": true, "description": "The Controller initiates orchestration activities and provides an external API.  Other components like Glance (image storage), Keystone (identity management), Horizon (OpenStack dashboard) and Nova-Scheduler are installed on the controller as well."}, "ceph-osd": {"restrictions": [{"message": "Ceph should be enabled in the environment settings.", "condition": "settings:storage.volumes_ceph.value == false and settings:storage.images_ceph.value == false and settings:storage.ephemeral_ceph.value == false and settings:storage.objects_ceph.value == false"}], "group": "storage", "weight": 50, "limits": {"min": "settings:storage.osd_pool_size.value"}, "description": "Ceph storage can be configured to provide storage for block volumes (Cinder), images (Glance) and ephemeral instance storage (Nova). It can also provide object storage through the S3 and Swift API (See settings to enable each).", "update_once": ["controller"], "name": "Ceph OSD"}, "ironic": {"restrictions": [{"message": "Ironic should be enabled in the environment settings.", "condition": "settings:additional_components.ironic.value == false"}], "group": "compute", "name": "Ironic", "weight": 100, "limits": {"recommended": 3, "min": 1}, "conflicts": ["compute"], "description": "Ironic conductor."}, "cinder": {"restrictions": [{"message": "Cinder LVM should be enabled in the environment settings.", "condition": "settings:storage.volumes_lvm.value == false"}, {"message": "Ceph RBD cannot be used with Cinder", "condition": "settings:storage.volumes_ceph.value == true"}], "group": "storage", "name": "Cinder", "weight": 30, "limits": {"recommended": 1}, "description": "Cinder provides scheduling of block storage resources, typically delivered over iSCSI and other compatible backend storage systems. Block storage can be used for database storage, expandable file systems, or to provide a server with access to raw block level devices."}, "cinder-block-device": {"restrictions": [{"message": "Cinder Block Device driver should be enabled in the environment settings.", "condition": "settings:storage.volumes_block_device.value == false"}, {"message": "Ceph RBD cannot be used with Cinder Block Device", "condition": "settings:storage.volumes_ceph.value == true"}], "group": "storage", "name": "Cinder Block Device", "weight": 35, "conflicts": ["controller", "cinder", "cinder-vmware", "ceph-osd"], "public_ip_required": false, "has_primary": false, "description": "Host node for Cinder Block Devices."}, "mongo": {"restrictions": [{"message": "Ceilometer should be enabled in the environment settings.", "condition": "settings:additional_components.ceilometer.value == false"}, {"message": "You are already using external MongoDB.", "condition": "settings:additional_components.mongo.value == true"}], "group": "other", "name": "Telemetry - MongoDB", "weight": 60, "has_primary": true, "limits": {"overrides": [{"max": 1, "message": "At most 1 MongoDB node can be added for non-HA deployment", "condition": "cluster:mode != 'ha_compact'"}, {"recommended": 3, "message": "At least 3 MongoDB nodes are recommended for HA deployment.", "condition": "cluster:mode == 'ha_compact'"}], "min": 1}, "conflicts": ["compute", "ceph-osd"], "description": "A feature-complete and recommended database for storage of metering data from OpenStack Telemetry (Ceilometer)."}}	{"editable": {"value": {"glance": {"vcenter_username": "", "datacenter": "", "vcenter_host": "", "ca_file": "", "datastore": "", "vcenter_password": ""}, "availability_zones": [{"vcenter_username": "", "az_name": "vcenter", "vcenter_password": "", "vcenter_host": "", "nova_computes": [{"datastore_regex": "", "vsphere_cluster": "", "target_node": {"current": {"id": "controllers", "label": "controllers"}, "options": [{"id": "controllers", "label": "controllers"}]}, "service_name": ""}]}]}, "metadata": [{"restrictions": [{"message": "VMware vCenter not enabled for cluster", "condition": "settings:common.use_vcenter.value == false"}], "type": "array", "name": "availability_zones", "fields": [{"regex": {"source": "^(?!nova$)\\\\w+$", "error": "Invalid availability zone name"}, "type": "text", "description": "Availability zone name", "name": "az_name", "label": "Availability zone"}, {"regex": {"source": "^[a-zA-Z\\\\d]+[-\\\\.\\\\da-zA-Z]*$", "error": "Invalid vCenter host"}, "type": "text", "description": "vCenter host or IP", "name": "vcenter_host", "label": "vCenter host"}, {"regex": {"source": "\\\\S", "error": "Empty vCenter username"}, "type": "text", "description": "vCenter username", "name": "vcenter_username", "label": "vCenter username"}, {"regex": {"source": "\\\\S", "error": "Empty vCenter password"}, "type": "password", "description": "vCenter password", "name": "vcenter_password", "label": "vCenter password"}, {"editable_for_deployed": true, "type": "array", "name": "nova_computes", "fields": [{"regex": {"source": "\\\\S", "error": "Invalid vSphere cluster"}, "type": "text", "description": "vSphere cluster", "name": "vsphere_cluster", "label": "vSphere cluster"}, {"regex": {"source": "^\\\\w[\\\\w\\\\-]+$", "error": "Invalid service name"}, "type": "text", "description": "Service name", "name": "service_name", "label": "Service name"}, {"regex": {"source": "\\\\S", "error": "Invalid datastore regex"}, "type": "text", "description": "Datastore regex", "name": "datastore_regex", "label": "Datastore regex"}, {"type": "select", "description": "Target node for nova-compute service", "name": "target_node", "label": "Target node"}]}]}, {"restrictions": [{"message": "VMware vCenter datastore for images is not enabled in Settings tab", "condition": "settings:storage.images_vcenter.value == false or settings:common.use_vcenter.value == false"}], "type": "object", "name": "glance", "fields": [{"regex": {"source": "^[a-zA-Z\\\\d]+[-\\\\.\\\\da-zA-Z]*$", "error": "Invalid vCenter host"}, "type": "text", "description": "vCenter host or IP", "name": "vcenter_host", "label": "vCenter host"}, {"regex": {"source": "\\\\S", "error": "Empty vCenter username"}, "type": "text", "description": "vCenter username", "name": "vcenter_username", "label": "vCenter username"}, {"regex": {"source": "\\\\S", "error": "Empty vCenter password"}, "type": "password", "description": "vCenter password", "name": "vcenter_password", "label": "vCenter password"}, {"regex": {"source": "\\\\S", "error": "Invalid datacenter"}, "type": "text", "description": "Datacenter", "name": "datacenter", "label": "Datacenter"}, {"regex": {"source": "\\\\S", "error": "Invalid datastore"}, "type": "text", "description": "Datastore", "name": "datastore", "label": "Datastore"}, {"type": "file", "description": "File containing the trusted CA bundle that emitted vCenter server certificate. If empty vCenters certificate is not verified.", "name": "ca_file", "label": "CA file"}]}]}}	["ha_compact"]	[{"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "keystone/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": true}, "id": "admin/pxe", "default_mapping": "fuelweb_admin"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "swift/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "neutron/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "sahara/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "aodh/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "ceilometer/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "cinder/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "glance/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "glance/glare", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "heat/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "nova/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "murano/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "murano/cfapi", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "horizon", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "mgmt/memcache", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "mgmt/database", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "mgmt/messaging", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "mgmt/corosync", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [{"alias": "management_vrouter_vip", "namespace": "vrouter", "name": "vrouter"}, {"alias": "management_vip", "namespace": "haproxy", "name": "management"}], "gateway": false}, "id": "mgmt/vip", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [{"alias": "public_vrouter_vip", "vendor_specific": {"iptables_rules": {"ns_start": ["iptables -t nat -A POSTROUTING -o <%INT%> -j MASQUERADE"], "ns_stop": ["iptables -t nat -D POSTROUTING -o <%INT%> -j MASQUERADE"]}}, "namespace": "vrouter", "name": "vrouter_pub"}, {"alias": "public_vip", "namespace": "haproxy", "name": "public"}], "gateway": true}, "id": "public/vip", "default_mapping": "public"}, {"properties": {"subnet": false, "vip": [], "gateway": false}, "id": "neutron/private", "default_mapping": "private"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "neutron/mesh", "default_mapping": "private"}, {"properties": {"subnet": false, "vip": [], "gateway": false}, "id": "neutron/floating", "default_mapping": "public"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "swift/replication", "default_mapping": "storage"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "ceph/public", "default_mapping": "storage"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "ceph/radosgw", "default_mapping": "public"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "ceph/replication", "default_mapping": "storage"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "cinder/iscsi", "default_mapping": "storage"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "mongo/db", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": true}, "id": "fw-admin", "default_mapping": "fuelweb_admin"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "management", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": true}, "id": "ex", "default_mapping": "public"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "storage", "default_mapping": "storage"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "nova/migration", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "ironic/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [{"alias": "baremetal_vip", "vendor_specific": {"iptables_rules": {"ns_start": ["iptables -A INPUT -i <%INT%> -s <%CIDR%> -d <%IP%> -p tcp -m multiport --dports 6385,8080 -m state --state NEW -j ACCEPT", "iptables -A INPUT -i <%INT%> -s <%CIDR%> -d <%IP%> -m state --state ESTABLISHED,RELATED -j ACCEPT", "iptables -A INPUT -i <%INT%> -j DROP"], "ns_stop": ["iptables -D INPUT -i <%INT%> -s <%CIDR%> -d <%IP%> -p tcp -m multiport --dports 6385,8080 -m state --state NEW -j ACCEPT", "iptables -D INPUT -i <%INT%> -s <%CIDR%> -d <%IP%> -m state --state ESTABLISHED,RELATED -j ACCEPT", "iptables -D INPUT -i <%INT%> -j DROP"]}}, "namespace": "haproxy", "name": "baremetal"}], "gateway": false}, "id": "ironic/baremetal", "default_mapping": "baremetal"}]	{volume_manager}	[{"name": "hypervisor:qemu", "weight": 5, "default": true, "bind": [["settings:common.libvirt_type.value", "qemu"]], "label": "dialog.create_cluster_wizard.compute.qemu", "compatible": [{"name": "hypervisor:vmware"}], "description": "dialog.create_cluster_wizard.compute.qemu_description"}, {"description": "dialog.create_cluster_wizard.compute.vcenter_description", "weight": 15, "bind": ["settings:common.use_vcenter.value"], "label": "dialog.create_cluster_wizard.compute.vcenter", "compatible": [{"name": "hypervisor:qemu"}], "requires": [{"message": "dialog.create_cluster_wizard.compute.vcenter_warning", "name": "hypervisor:qemu"}], "name": "hypervisor:vmware"}, {"description": "dialog.create_cluster_wizard.network.neutron_ml2_description", "weight": 1000, "default": true, "label": "dialog.create_cluster_wizard.network.neutron_ml2", "compatible": [{"name": "hypervisor:*"}, {"name": "network:neutron:ml2:*"}], "name": "network:neutron:core:ml2"}, {"description": "dialog.create_cluster_wizard.network.neutron_vlan_description", "weight": 5, "incompatible": [{"message": "dialog.create_cluster_wizard.network.vlan_tun_alert", "name": "network:neutron:ml2:tun"}], "default": true, "bind": [["cluster:net_provider", "neutron"], ["cluster:net_segment_type", "vlan"]], "label": "common.network.neutron_vlan", "compatible": [{"name": "network:neutron:core:ml2"}, {"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}], "requires": [{"name": "network:neutron:core:ml2"}], "name": "network:neutron:ml2:vlan"}, {"description": "dialog.create_cluster_wizard.network.neutron_tun_description", "weight": 10, "incompatible": [{"message": "dialog.create_cluster_wizard.network.vlan_tun_alert", "name": "network:neutron:ml2:vlan"}, {"message": "dialog.create_cluster_wizard.network.hypervisor_alert", "name": "hypervisor:vmware"}, {"message": "dialog.create_cluster_wizard.additional.ironic_network_mode_alert", "name": "additional_service:ironic"}], "bind": [["cluster:net_provider", "neutron"], ["cluster:net_segment_type", "tun"]], "label": "common.network.neutron_tun", "compatible": [{"name": "network:neutron:core:ml2"}, {"name": "hypervisor:qemu"}], "requires": [{"name": "network:neutron:core:ml2"}], "name": "network:neutron:ml2:tun"}, {"description": "dialog.create_cluster_wizard.storage.default_provider", "weight": 5, "incompatible": [{"message": "LVM not compatible with Ceph", "name": "storage:block:ceph"}], "default": true, "bind": ["settings:storage.volumes_lvm.value"], "label": "dialog.create_cluster_wizard.storage.lvm", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}], "name": "storage:block:lvm"}, {"name": "storage:block:ceph", "weight": 10, "incompatible": [{"message": "Ceph not compatible with LVM", "name": "storage:block:lvm"}], "bind": [["settings:storage.volumes_ceph.value", true], ["settings:storage.volumes_lvm.value", false]], "label": "dialog.create_cluster_wizard.storage.ceph", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}, {"name": "storage:object:ceph"}, {"name": "storage:ephemeral:ceph"}, {"name": "storage:image:ceph"}], "description": "dialog.create_cluster_wizard.storage.ceph_block"}, {"description": "dialog.create_cluster_wizard.storage.ceph_object", "weight": 10, "bind": ["settings:storage.objects_ceph.value"], "label": "dialog.create_cluster_wizard.storage.ceph", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}, {"name": "storage:block:lvm"}, {"name": "storage:block:ceph"}, {"name": "storage:ephemeral:ceph"}, {"name": "storage:image:ceph"}], "name": "storage:object:ceph"}, {"description": "dialog.create_cluster_wizard.storage.ceph_ephemeral", "weight": 10, "bind": ["settings:storage.ephemeral_ceph.value"], "label": "dialog.create_cluster_wizard.storage.ceph", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}, {"name": "storage:block:lvm"}, {"name": "storage:block:ceph"}, {"name": "storage:object:ceph"}, {"name": "storage:image:ceph"}], "name": "storage:ephemeral:ceph"}, {"description": "dialog.create_cluster_wizard.storage.ceph_image", "weight": 10, "bind": ["settings:storage.images_ceph.value"], "label": "dialog.create_cluster_wizard.storage.ceph", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}, {"name": "storage:block:lvm"}, {"name": "storage:block:ceph"}, {"name": "storage:object:ceph"}, {"name": "storage:ephemeral:ceph"}], "name": "storage:image:ceph"}, {"description": "dialog.create_cluster_wizard.additional.install_sahara_description", "weight": 10, "bind": ["settings:additional_components.sahara.value"], "label": "dialog.create_cluster_wizard.additional.install_sahara", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}, {"name": "storage:block:lvm"}, {"name": "storage:block:ceph"}, {"name": "storage:object:ceph"}, {"name": "storage:ephemeral:ceph"}, {"name": "storage:image:ceph"}, {"name": "additional_service:sahara"}, {"name": "additional_service:murano"}, {"name": "additional_service:ceilometer"}, {"name": "additional_service:ironic"}], "name": "additional_service:sahara"}, {"description": "dialog.create_cluster_wizard.additional.install_murano_description", "weight": 20, "bind": ["settings:additional_components.murano.value"], "label": "dialog.create_cluster_wizard.additional.install_murano", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}, {"name": "storage:block:lvm"}, {"name": "storage:block:ceph"}, {"name": "storage:object:ceph"}, {"name": "storage:ephemeral:ceph"}, {"name": "storage:image:ceph"}, {"name": "additional_service:sahara"}, {"name": "additional_service:ceilometer"}, {"name": "additional_service:ironic"}], "name": "additional_service:murano"}, {"description": "dialog.create_cluster_wizard.additional.install_ceilometer_description", "weight": 30, "bind": ["settings:additional_components.ceilometer.value"], "label": "dialog.create_cluster_wizard.additional.install_ceilometer", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}, {"name": "storage:block:lvm"}, {"name": "storage:block:ceph"}, {"name": "storage:object:ceph"}, {"name": "storage:ephemeral:ceph"}, {"name": "storage:image:ceph"}, {"name": "additional_service:sahara"}, {"name": "additional_service:murano"}, {"name": "additional_service:ironic"}], "name": "additional_service:ceilometer"}, {"name": "additional_service:ironic", "weight": 40, "incompatible": [{"message": "dialog.create_cluster_wizard.additional.ironic_network_mode_alert", "name": "network:neutron:ml2:tun"}], "bind": ["settings:additional_components.ironic.value"], "label": "dialog.create_cluster_wizard.additional.install_ironic", "compatible": [{"name": "hypervisor:qemu"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "storage:block:lvm"}, {"name": "storage:block:ceph"}, {"name": "storage:object:ceph"}, {"name": "storage:ephemeral:ceph"}, {"name": "storage:image:ceph"}, {"name": "additional_service:sahara"}, {"name": "additional_service:murano"}, {"name": "additional_service:ceilometer"}], "description": "dialog.create_cluster_wizard.additional.install_ironic_description"}]	{}
2	Mitaka on Ubuntu 14.04	mitaka-9.0	This option will install the OpenStack Mitaka packages using Ubuntu as a base operating system. With high availability features built in, you are getting a robust, enterprise-grade OpenStack deployment.	Ubuntu	available	{"bonding": {"availability": [{"dpdkovs": "'experimental' in version:feature_groups and interface:pxe == false and interface:interface_properties.dpdk.enabled and not interface:interface_properties.sriov.enabled"}, {"linux": "not interface:interface_properties.sriov.enabled"}], "properties": {"dpdkovs": {"lacp": [{"for_modes": ["balance-tcp"], "values": ["active", "passive"]}], "lacp_rate": [{"for_modes": ["balance-tcp"], "values": ["slow", "fast"]}], "mode": [{"values": ["active-backup", "balance-slb", "balance-tcp"]}], "xmit_hash_policy": [{"for_modes": ["balance-tcp"], "values": ["layer2", "layer2+3", "layer3+4", "encap2+3", "encap3+4"]}]}, "linux": {"lacp_rate": [{"for_modes": ["802.3ad"], "values": ["slow", "fast"]}], "mode": [{"values": ["balance-rr", "active-backup"]}, {"values": ["802.3ad"], "condition": "'experimental' in version:feature_groups or interface:pxe == false"}, {"values": ["balance-xor", "broadcast", "balance-tlb", "balance-alb"], "condition": "'experimental' in version:feature_groups"}], "xmit_hash_policy": [{"for_modes": ["802.3ad", "balance-xor", "balance-tlb", "balance-alb"], "values": ["layer2", "layer2+3", "layer3+4", "encap2+3", "encap3+4"]}]}}}, "dpdk_drivers": {"igb_uio": ["8086:100e", "8086:100f", "8086:1011", "8086:1010", "8086:1012", "8086:101d", "8086:105e", "8086:105f", "8086:1060", "8086:10d9", "8086:10da", "8086:10a4", "8086:10d5", "8086:10a5", "8086:10bc", "8086:107d", "8086:107e", "8086:107f", "8086:10b9", "8086:109a", "8086:10d3", "8086:10f6", "8086:150c", "8086:10c9", "8086:10e6", "8086:10e7", "8086:10e8", "8086:1526", "8086:150a", "8086:1518", "8086:150d", "8086:10a7", "8086:10a9", "8086:10d6", "8086:150e", "8086:150f", "8086:1510", "8086:1511", "8086:1516", "8086:1527", "8086:1521", "8086:1522", "8086:1523", "8086:1524", "8086:1546", "8086:1533", "8086:1534", "8086:1535", "8086:1536", "8086:1537", "8086:1538", "8086:1539", "8086:1f40", "8086:1f41", "8086:1f45", "8086:0438", "8086:043a", "8086:043c", "8086:0440", "8086:10b6", "8086:1508", "8086:10c6", "8086:10c8", "8086:150b", "8086:10db", "8086:10dd", "8086:10ec", "8086:10f1", "8086:10f4", "8086:10f7", "8086:1514", "8086:1517", "8086:10f9", "8086:10fb", "8086:11a9", "8086:1f72", "8086:17d0", "8086:0470", "8086:152a", "8086:1529", "8086:1507", "8086:154d", "8086:154a", "8086:1558", "8086:1557", "8086:10fc", "8086:151c", "8086:154f", "8086:1528", "8086:1560", "8086:15ae", "8086:1563", "8086:15aa", "8086:15ab", "8086:155d", "8086:1572", "8086:1574", "8086:157f", "8086:1580", "8086:1581", "8086:1583", "8086:1584", "8086:1585", "8086:1586", "8086:15a4", "8086:10ca", "8086:152d", "8086:1520", "8086:152f", "8086:10ed", "8086:152e", "8086:1515", "8086:1530", "8086:1564", "8086:1565", "8086:15a8", "8086:15a9", "8086:154c", "8086:1571", "1af4:1000", "15ad:07b0", "8086:15a5", "1137:0043", "1137:0071", "14e4:168a", "14e4:16a9", "14e4:164f", "14e4:168e", "14e4:16af", "14e4:163d", "14e4:163f", "14e4:168d", "14e4:16a1", "14e4:16a2", "14e4:16ad", "14e4:16ae", "14e4:163e", "14e4:16a4", "8086:10f8"]}, "nova_network": {"config": {"floating_ranges": [["172.16.0.128", "172.16.0.254"]], "net_manager": "FlatDHCPManager", "fixed_networks_vlan_start": 103, "fixed_networks_amount": 1, "fixed_network_size": 256, "fixed_networks_cidr": "10.0.0.0/16"}, "networks": [{"vips": ["haproxy", "vrouter"], "name": "public", "notation": "ip_ranges", "render_type": null, "map_priority": 1, "configurable": true, "use_gateway": true, "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "gateway": "172.16.0.1", "ip_range": ["172.16.0.2", "172.16.0.127"]}, {"vips": ["haproxy", "vrouter"], "name": "management", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24"}, {"name": "storage", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24"}, {"ext_net_data": ["fixed_networks_vlan_start", "fixed_networks_amount"], "name": "fixed", "notation": null, "render_type": null, "map_priority": 2, "configurable": false, "use_gateway": false, "vlan_start": null, "render_addr_mask": null}]}, "neutron": {"config": {"parameters": {"database": {"username": null, "passwd": "", "provider": "mysql", "port": "3306", "database": null}, "keystone": {"admin_user": null, "admin_password": ""}, "amqp": {"username": null, "passwd": "", "hosts": "hostname1:5672, hostname2:5672", "provider": "rabbitmq"}, "metadata": {"metadata_proxy_shared_secret": ""}}, "baremetal_gateway": "192.168.3.51", "internal_cidr": "192.168.111.0/24", "floating_ranges": [["172.16.0.130", "172.16.0.254"]], "floating_name": "admin_floating_net", "base_mac": "fa:16:3e:00:00:00", "internal_gateway": "192.168.111.1", "internal_name": "admin_internal_net", "baremetal_range": ["192.168.3.52", "192.168.3.254"], "gre_id_range": [2, 65535], "vlan_range": [1000, 1030]}, "networks": [{"vips": ["haproxy", "vrouter"], "name": "public", "notation": "ip_ranges", "render_type": null, "map_priority": 1, "configurable": true, "floating_range_var": "floating_ranges", "use_gateway": true, "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "ip_range": ["172.16.0.2", "172.16.0.126"]}, {"vips": ["haproxy", "vrouter"], "name": "management", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24"}, {"name": "storage", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24"}, {"name": "private", "notation": null, "render_type": null, "map_priority": 2, "neutron_vlan_range": true, "use_gateway": false, "vlan_start": null, "render_addr_mask": null, "configurable": false, "seg_type": "vlan"}, {"name": "private", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 103, "render_addr_mask": null, "cidr": "192.168.2.0/24", "seg_type": "gre"}, {"name": "private", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 103, "render_addr_mask": null, "cidr": "192.168.2.0/24", "seg_type": "tun"}, {"restrictions": [{"condition": "settings:additional_components.ironic.value == false"}], "name": "baremetal", "notation": "ip_ranges", "render_type": null, "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 104, "cidr": "192.168.3.0/24", "ip_range": ["192.168.3.2", "192.168.3.50"]}]}}	{"generated": {"glance_glare": {"user_password": {"generator": "password"}}, "murano-cfapi": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "rabbit_password": {"generator": "password"}}, "puppet": {"modules": "rsync://{settings.MASTER_IP}:/puppet/{cluster.release.version}/modules/", "manifests": "rsync://{settings.MASTER_IP}:/puppet/{cluster.release.version}/manifests/"}, "mysql": {"root_password": {"generator": "password"}, "wsrep_password": {"generator": "password"}}, "ironic": {"swift_tempurl_key": {"generator": "password"}, "db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "cobbler": {"profile": {"generator": "identical", "generator_arg": "ubuntu_1404_x86_64"}}, "glance": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "quantum_settings": {"metadata": {"metadata_proxy_shared_secret": {"generator": "password"}}, "keystone": {"admin_password": {"generator": "password"}}, "database": {"passwd": {"generator": "password"}}}, "provision": {"image_data": {"/boot": {"container": "gzip", "uri": "http://{settings.MASTER_IP}:8080/targetimages/env_{cluster.id}_ubuntu_1404_amd64-boot.img.gz", "format": "ext2"}, "/": {"container": "gzip", "uri": "http://{settings.MASTER_IP}:8080/targetimages/env_{cluster.id}_ubuntu_1404_amd64.img.gz", "format": "ext4"}}, "codename": "trusty"}, "aodh": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "nova": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "state_path": "/var/lib/nova"}, "murano": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "rabbit_password": {"generator": "password"}}, "keystone": {"db_password": {"generator": "password"}, "admin_token": {"generator": "password"}}, "repo_setup": {"installer_kernel": {"local": "/var/www/nailgun/ubuntu/x86_64/images/linux", "remote_relative": "dists/trusty/main/installer-amd64/current/images/netboot/ubuntu-installer/amd64/linux"}, "installer_initrd": {"local": "/var/www/nailgun/ubuntu/x86_64/images/initrd.gz", "remote_relative": "dists/trusty/main/installer-amd64/current/images/netboot/ubuntu-installer/amd64/initrd.gz"}}, "heat": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "auth_encryption_key": {"generator": "hexstring", "generator_arg": "32"}, "rabbit_password": {"generator": "password"}}, "rabbit": {"password": {"generator": "password"}}, "cinder": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "fixed_key": {"generator": "hexstring", "generator_arg": "64"}}, "swift": {"user_password": {"generator": "password"}}, "base_syslog": {"syslog_port": {"generator": "identical", "generator_arg": "514"}, "syslog_server": {"generator": "ip", "generator_arg": "admin"}}, "ceilometer": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "metering_secret": {"generator": "password"}}, "deployed_before": {"value": false}, "horizon": {"secret_key": {"generator": "hexstring", "generator_arg": "64"}}, "sahara": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}}, "editable": {"service_user": {"name": {"type": "hidden", "value": "fuel"}, "sudo": {"type": "hidden", "value": "ALL=(ALL) NOPASSWD: ALL"}, "homedir": {"type": "hidden", "value": "/var/lib/fuel"}, "root_password": {"type": "hidden", "value": "r00tme"}, "password": {"type": "hidden", "value": {"generator": "password"}}, "metadata": {"restrictions": [{"action": "hide", "condition": "true"}], "group": "general", "weight": 10, "label": "Service user account"}}, "additional_components": {"ceilometer": {"weight": 60, "type": "checkbox", "description": "If selected, Ceilometer and Aodh components will be installed", "value": false, "label": "Install Ceilometer and Aodh"}, "mongo": {"restrictions": [{"settings:additional_components.ceilometer.value == false": "External Mongo aims to be an external backend for Ceilometer. Without Ceilometer enabled, External Mongo is useless and should not be installed."}], "description": "If selected, You can use external Mongo DB as ceilometer backend", "weight": 70, "value": false, "label": "Use external Mongo DB", "type": "checkbox"}, "heat": {"weight": 50, "type": "hidden", "description": "", "value": true, "label": ""}, "murano-cfapi": {"restrictions": [{"message": "Murano should be enabled", "condition": "settings:additional_components.murano.value == false"}, {"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "description": "If selected, Murano service broker will be installed", "weight": 30, "value": false, "label": "Install Murano service broker for Cloud Foundry", "type": "checkbox"}, "murano": {"weight": 20, "type": "checkbox", "description": "If selected, Murano component will be installed", "value": false, "label": "Install Murano"}, "sahara": {"weight": 10, "type": "checkbox", "description": "If selected, Sahara component will be installed", "value": false, "label": "Install Sahara"}, "ironic": {"restrictions": [{"cluster:net_provider != 'neutron' or networking_parameters:segmentation_type != 'vlan'": "Ironic requires Neutron with VLAN segmentation."}, {"settings:storage.images_ceph.value == true and settings:storage.objects_ceph.value == false": "Ironic requires Swift or RadosGW for Glance images."}], "description": "If selected, Ironic component will be installed", "weight": 80, "value": false, "label": "Install Ironic", "type": "checkbox"}, "metadata": {"group": "openstack_services", "weight": 10, "label": "Additional Components"}}, "cgroups": {"metadata": {"restrictions": [{"action": "hide", "condition": "true"}], "group": "general", "always_editable": true, "weight": 90, "label": "Cgroups conguration for services"}}, "kernel_params": {"kernel": {"type": "text", "description": "Default kernel parameters", "value": "console=tty0 net.ifnames=0 biosdevname=0 rootdelay=90 nomodeset", "label": "Initial parameters"}, "metadata": {"group": "general", "weight": 60, "label": "Kernel parameters"}}, "repo_setup": {"repos": {"type": "custom_repo_configuration", "description": "Please note: the first repository will be considered the operating system mirror that will be used during node provisioning.\\nTo create a local repository mirror on the Fuel master node, please follow the instructions provided by running \\"fuel-createmirror --help\\" on the Fuel master node.\\nPlease make sure your Fuel master node has Internet access to the repository before attempting to create a mirror.\\n", "value": [{"name": "ubuntu", "section": "main universe multiverse", "uri": "http://archive.ubuntu.com/ubuntu/", "priority": null, "suite": "trusty", "type": "deb"}, {"name": "ubuntu-updates", "section": "main universe multiverse", "uri": "http://archive.ubuntu.com/ubuntu/", "priority": null, "suite": "trusty-updates", "type": "deb"}, {"name": "ubuntu-security", "section": "main universe multiverse", "uri": "http://archive.ubuntu.com/ubuntu/", "priority": null, "suite": "trusty-security", "type": "deb"}, {"name": "mos", "section": "main restricted", "uri": "http://{settings.MASTER_IP}:8080/{cluster.release.version}/ubuntu/x86_64", "priority": 1050, "suite": "mos9.0", "type": "deb"}, {"name": "mos-updates", "section": "main restricted", "uri": "http://mirror.fuel-infra.org/mos-repos/ubuntu/{cluster.release.environment_version}/", "priority": 1050, "suite": "mos9.0-updates", "type": "deb"}, {"name": "mos-security", "section": "main restricted", "uri": "http://mirror.fuel-infra.org/mos-repos/ubuntu/{cluster.release.environment_version}/", "priority": 1050, "suite": "mos9.0-security", "type": "deb"}, {"name": "mos-holdback", "section": "main restricted", "uri": "http://mirror.fuel-infra.org/mos-repos/ubuntu/{cluster.release.environment_version}/", "priority": 1100, "suite": "mos9.0-holdback", "type": "deb"}, {"name": "Auxiliary", "section": "main restricted", "uri": "http://{settings.MASTER_IP}:8080/{cluster.release.version}/ubuntu/auxiliary", "priority": 1150, "suite": "auxiliary", "type": "deb"}], "extra_priority": null}, "metadata": {"group": "general", "always_editable": true, "weight": 50, "label": "Repositories"}}, "operator_user": {"name": {"regex": {"source": "\\\\S", "error": "Empty username"}, "description": "Username for operator user", "weight": 50, "value": "fueladmin", "label": "Username", "type": "text"}, "sudo": {"value": "ALL=(ALL) NOPASSWD: ALL", "type": "textarea", "description": "Sudoers configuration directives for operator user, one per line.", "weight": 90, "label": "Sudoers configuration"}, "homedir": {"regex": {"source": "^/\\\\S", "error": "Invalid path"}, "description": "Home directory for operator user", "weight": 70, "value": "/home/fueladmin", "label": "Home directory", "type": "text"}, "password": {"regex": {"source": "\\\\S", "error": "Empty password"}, "description": "Password for operator user", "weight": 60, "value": {"generator": "password"}, "label": "Password", "type": "password"}, "authkeys": {"value": "", "type": "textarea", "description": "Public SSH keys to include to operator user's authorized keys, one per line.", "weight": 80, "label": "Authorized SSH keys"}, "metadata": {"group": "general", "weight": 15, "label": "Operating System Access"}}, "storage": {"volumes_ceph": {"restrictions": ["settings:storage.volumes_lvm.value == true or settings:storage.volumes_block_device.value == true"], "description": "Configures Cinder to store volumes in Ceph RBD images.", "weight": 20, "value": false, "label": "Ceph RBD for volumes (Cinder)", "type": "checkbox"}, "objects_ceph": {"weight": 80, "type": "checkbox", "description": "Configures RadosGW front end for Ceph RBD. This exposes S3 and Swift API Interfaces. If enabled, this option will prevent Swift from installing.", "value": false, "label": "Ceph RadosGW for objects (Swift API)"}, "bootstrap_osd_key": {"type": "hidden", "value": {"generator": "cephx_key"}}, "volumes_lvm": {"restrictions": ["settings:storage.volumes_ceph.value == true"], "description": "It is recommended to have at least one Cinder node.", "weight": 10, "value": true, "label": "Cinder LVM over iSCSI for volumes", "type": "checkbox"}, "ephemeral_ceph": {"weight": 75, "type": "checkbox", "description": "Configures Nova to store ephemeral volumes in RBD. This works best if Ceph is enabled for volumes and images, too. Enables live migration of all types of Ceph backed VMs (without this option, live migration will only work with VMs launched from Cinder volumes).", "value": false, "label": "Ceph RBD for ephemeral volumes (Nova)"}, "volumes_block_device": {"restrictions": ["settings:storage.volumes_ceph.value == true"], "description": "High performance block device storage. It is recommended to have at least one Cinder Block Device", "weight": 15, "value": false, "label": "Cinder Block device driver", "type": "checkbox"}, "mon_key": {"type": "hidden", "value": {"generator": "cephx_key"}}, "images_vcenter": {"restrictions": [{"action": "hide", "condition": "settings:common.use_vcenter.value != true"}, {"message": "Only one Glance backend could be selected.", "condition": "settings:storage.images_ceph.value == true"}], "description": "Configures Glance to use the vCenter/ESXi backend to store images. If enabled, this option will prevent Swift from installing.", "weight": 35, "value": false, "label": "VMware vCenter/ESXi datastore for images (Glance)", "type": "checkbox"}, "osd_pool_size": {"regex": {"source": "^[1-9]\\\\d*$", "error": "Invalid number"}, "description": "Configures the default number of object replicas in Ceph. This number must be equal to or lower than the number of deployed 'Ceph OSD' nodes.", "weight": 85, "value": "3", "label": "Ceph object replication factor", "type": "text"}, "admin_key": {"type": "hidden", "value": {"generator": "cephx_key"}}, "images_ceph": {"restrictions": [{"settings:storage.images_vcenter.value == true": "Only one Glance backend could be selected."}], "description": "Configures Glance to use the Ceph RBD backend to store images. If enabled, this option will prevent Swift from installing.", "weight": 30, "value": false, "label": "Ceph RBD for images (Glance)", "type": "checkbox"}, "radosgw_key": {"type": "hidden", "value": {"generator": "cephx_key"}}, "fsid": {"type": "hidden", "value": {"generator": "uuid4"}}, "metadata": {"group": "storage", "weight": 60, "label": "Storage Backends"}}, "public_ssl": {"hostname": {"restrictions": [{"action": "hide", "condition": "settings:public_ssl.horizon.value == false and settings:public_ssl.services.value == false"}], "description": "Your DNS entries should point to this name. Self-signed certificates also will use this hostname", "weight": 50, "value": "public.fuel.local", "label": "DNS hostname for public TLS endpoints", "type": "text"}, "horizon": {"restrictions": [{"settings:public_ssl.services.value == false": "TLS for OpenStack public endpoints should be enabled"}], "description": "Secure access to Horizon enabling HTTPS instead of HTTP", "weight": 20, "value": false, "label": "HTTPS for Horizon", "type": "checkbox"}, "services": {"weight": 10, "type": "checkbox", "description": "Enable TLS termination on HAProxy for OpenStack services", "value": false, "label": "TLS for OpenStack public endpoints"}, "cert_data": {"restrictions": [{"action": "hide", "condition": "(settings:public_ssl.cert_source.value != 'user_uploaded') or (settings:public_ssl.horizon.value == false and settings:public_ssl.services.value == false)"}], "description": "Certificate and private key data, concatenated into a single file", "weight": 40, "value": "", "label": "Certificate", "type": "file"}, "cert_source": {"restrictions": [{"action": "hide", "condition": "settings:public_ssl.horizon.value == false and settings:public_ssl.services.value == false"}], "description": "From where we'll get certificate and private key", "weight": 30, "value": "self_signed", "label": "Select source for certificate", "values": [{"data": "self_signed", "description": "Generate private key and certificate that will be signed by this key", "label": "Self-signed"}, {"data": "user_uploaded", "description": "Use pre-generated key and certificate", "label": "I have my own keypair with certificate"}], "type": "radio"}, "metadata": {"group": "security", "weight": 110, "label": "Public TLS"}}, "access": {"user": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?!ironic$)(?![Gg]uest$)(?!.* +.*$).+", "error": "Invalid username"}, "description": "Username for Administrator", "weight": 10, "value": "admin", "label": "Username", "type": "text"}, "password": {"regex": {"source": "\\\\S", "error": "Empty password"}, "description": "Password for Administrator", "weight": 20, "value": "admin", "label": "Password", "type": "password"}, "email": {"regex": {"source": "^\\\\S+@\\\\S+$", "error": "Invalid email"}, "description": "Email address for Administrator", "weight": 40, "value": "admin@localhost", "label": "Email", "type": "text"}, "tenant": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?!ironic$)(?![Gg]uest$)(?!.* +.*$).+", "error": "Invalid tenant name"}, "description": "Tenant (project) name for Administrator", "weight": 30, "value": "admin", "label": "Tenant", "type": "text"}, "metadata": {"group": "general", "weight": 10, "label": "OpenStack Access"}}, "syslog": {"syslog_port": {"regex": {"source": "^([1-9][0-9]{0,3}|[1-5][0-9]{4}|6[0-4][0-9]{3}|65[0-4][0-9]{2}|655[0-2][0-9]|6553[0-5])$", "error": "Invalid syslog port"}, "description": "Remote syslog port", "weight": 20, "value": "514", "label": "Port", "type": "text"}, "syslog_transport": {"type": "radio", "values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "weight": 30, "value": "tcp", "label": "Syslog transport protocol"}, "syslog_server": {"regex": {"source": "^[a-zA-Z\\\\d]+[-\\\\.\\\\da-zA-Z]*$", "error": "Invalid hostname"}, "description": "Remote syslog hostname", "weight": 10, "value": "", "label": "Hostname", "type": "text"}, "metadata": {"enabled": false, "group": "logging", "toggleable": true, "weight": 50, "label": "Syslog"}}, "neutron_advanced_configuration": {"neutron_qos": {"weight": 40, "type": "checkbox", "description": "Enable Neutron QoS advanced service plug-in", "value": false, "label": "Neutron QoS"}, "neutron_l3_ha": {"restrictions": [{"message": "Neutron DVR must be disabled in order to use Neutron L3 HA", "condition": "settings:neutron_advanced_configuration.neutron_dvr.value == true"}], "description": "Enable High Availability features for Virtual Routers in Neutron\\nRequires at least 2 Controller nodes to function properly\\n", "weight": 30, "value": false, "label": "Neutron L3 HA", "type": "checkbox"}, "neutron_dvr": {"restrictions": [{"networking_parameters:segmentation_type != 'vlan' and settings:neutron_advanced_configuration.neutron_l2_pop.value == false": "DVR requires L2 population to be enabled."}], "description": "Enable Distributed Virtual Routers in Neutron", "weight": 20, "value": false, "label": "Neutron DVR", "type": "checkbox"}, "neutron_l2_pop": {"restrictions": [{"action": "hide", "condition": "networking_parameters:segmentation_type == 'vlan'"}], "description": "Enable L2 population mechanism in Neutron", "weight": 10, "value": false, "label": "Neutron L2 population", "type": "checkbox"}, "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron'"}], "group": "network", "weight": 20, "label": "Neutron Advanced Configuration"}}, "murano_settings": {"murano_glance_artifacts_plugin": {"weight": 40, "type": "checkbox", "description": "If selected glance artifact repository will be enabled", "value": true, "label": "Enable glance artifact repository"}, "murano_repo_url": {"weight": 10, "type": "text", "description": "", "value": "http://storage.apps.openstack.org/", "label": "Murano Repository URL"}, "metadata": {"restrictions": [{"action": "hide", "message": "Murano is not enabled on the Additional Components section", "condition": "settings:additional_components.murano.value == false"}], "group": "openstack_services", "weight": 20, "label": "Murano Settings"}}, "common": {"propagate_task_deploy": {"type": "hidden", "weight": 12, "value": false}, "auto_assign_floating_ip": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider == 'neutron'"}], "group": "network", "description": "If selected, OpenStack will automatically assign a floating IP to a new instance", "weight": 40, "value": false, "label": "Auto assign floating IP", "type": "checkbox"}, "use_cow_images": {"group": "storage", "description": "For most cases you will want qcow format. If it's disabled, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "weight": 60, "value": true, "label": "Use qcow format for images", "type": "checkbox"}, "auth_key": {"type": "hidden", "group": "security", "weight": 70, "value": ""}, "puppet_debug": {"group": "logging", "description": "Debug puppet logging mode provides more information, but requires more disk space.", "weight": 20, "value": true, "label": "Puppet debug logging", "type": "checkbox"}, "use_vcenter": {"type": "hidden", "weight": 30, "value": false}, "libvirt_type": {"group": "compute", "weight": 30, "value": "qemu", "label": "Hypervisor type", "values": [{"data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}], "type": "radio"}, "resume_guests_state_on_host_boot": {"group": "compute", "description": "Whether to resume previous guests state when the host reboots. If enabled, this option causes guests assigned to the host to resume their previous state. If the guest was running a restart will be attempted when nova-compute starts. If the guest was not running previously, a restart will not be attempted.", "weight": 50, "value": true, "label": "Resume guests state on host boot", "type": "checkbox"}, "debug": {"group": "logging", "description": "Debug logging mode provides more information, but requires more disk space.", "weight": 20, "value": false, "label": "OpenStack debug logging", "type": "checkbox"}, "task_deploy": {"type": "hidden", "weight": 11, "value": true}, "nova_quota": {"group": "compute", "description": "Quotas are used to limit CPU and memory usage for tenants. Enabling quotas will increase load on the Nova database.", "weight": 30, "value": false, "label": "Nova quotas", "type": "checkbox"}, "metadata": {"weight": 10, "label": "Common"}}, "external_mongo": {"mongo_db_name": {"regex": {"source": "^\\\\w+$", "error": "Invalid database name"}, "description": "Mongo database name", "weight": 30, "value": "ceilometer", "label": "Database name", "type": "text"}, "mongo_replset": {"weight": 30, "type": "text", "description": "Name for Mongo replication set", "value": "", "label": "Replset"}, "mongo_user": {"regex": {"source": "^\\\\w+$", "error": "Empty username"}, "description": "Mongo database username", "weight": 30, "value": "ceilometer", "label": "Username", "type": "text"}, "hosts_ip": {"regex": {"source": "^(((25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\\\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?),)*((25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\\\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)$", "error": "Invalid hosts ip sequence"}, "description": "IP Addresses of MongoDB. Use comma to split IPs", "weight": 30, "value": "", "label": "MongoDB hosts IP", "type": "text"}, "mongo_password": {"regex": {"source": "^\\\\S*$", "error": "Password contains spaces"}, "description": "Mongo database password", "weight": 30, "value": "ceilometer", "label": "Password", "type": "password"}, "metadata": {"restrictions": [{"action": "hide", "message": "Ceilometer and MongoDB are not enabled on the Additional Components section", "condition": "settings:additional_components.mongo.value == false"}], "group": "openstack_services", "weight": 30, "label": "External MongoDB"}}, "external_dns": {"dns_list": {"regex": {"source": "^(([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\\\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])$", "error": "Invalid IP address"}, "description": "List of upstream DNS servers", "weight": 10, "max": 3, "value": {"generator": "from_settings", "generator_arg": "DNS_UPSTREAM"}, "label": "DNS list", "type": "text_list"}, "metadata": {"group": "network", "weight": 30, "label": "Host OS DNS Servers"}}, "public_network_assignment": {"assign_to_all_nodes": {"weight": 10, "type": "checkbox", "description": "When disabled, public network will be assigned to controllers only", "value": false, "label": "Assign public network to all nodes"}, "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron'"}], "group": "network", "weight": 10, "label": "Public network assignment"}}, "external_ntp": {"ntp_list": {"regex": {"source": "^[a-zA-Z\\\\d]+[-\\\\.\\\\da-zA-Z]*$", "error": "Invalid NTP server"}, "description": "List of upstream NTP servers", "weight": 10, "value": {"generator": "from_settings", "generator_arg": "NTP_UPSTREAM"}, "label": "NTP server list", "type": "text_list"}, "metadata": {"group": "network", "weight": 40, "label": "Host OS NTP Servers"}}, "provision": {"packages": {"type": "textarea", "value": "acl\\nanacron\\nbash-completion\\nbridge-utils\\nbsdmainutils\\nbuild-essential\\ncloud-init\\ncurl\\ndaemonize\\ndebconf-utils\\ngdisk\\ngrub-pc\\nhpsa-dkms\\nhwloc\\ni40e-dkms\\nlinux-firmware\\nlinux-firmware-nonfree\\nlinux-headers-generic-lts-trusty\\nlinux-image-generic-lts-trusty\\nlvm2\\nmcollective\\nmdadm\\nmultipath-tools\\nmultipath-tools-boot\\nnailgun-agent\\nnailgun-mcagents\\nnetwork-checker\\nntp\\nopenssh-client\\nopenssh-server\\npuppet\\npython-amqp\\nruby-augeas\\nruby-ipaddress\\nruby-json\\nruby-netaddr\\nruby-openstack\\nruby-shadow\\nruby-stomp\\ntelnet\\nubuntu-minimal\\nubuntu-standard\\nuuid-runtime\\nvim\\nvirt-what\\nvlan\\n", "weight": 10, "label": "Initial packages"}, "method": {"type": "hidden", "value": "image"}, "metadata": {"restrictions": [{"action": "hide", "condition": "false"}], "group": "general", "weight": 80, "label": "Provision"}}, "corosync": {"verified": {"weight": 10, "type": "checkbox", "description": "Set True only if multicast is configured correctly on router.", "value": false, "label": "Need to pass network verification."}, "group": {"weight": 10, "type": "text", "description": "", "value": "226.94.1.1", "label": "Group"}, "port": {"weight": 20, "type": "text", "description": "", "value": "12000", "label": "Port"}, "metadata": {"restrictions": [{"action": "hide", "condition": "true"}], "group": "general", "weight": 50, "label": "Corosync"}}, "workloads_collector": {"password": {"type": "password", "value": {"generator": "password"}}, "enabled": {"type": "hidden", "value": true}, "user": {"type": "text", "value": "fuel_stats_user"}, "tenant": {"type": "text", "value": "services"}, "metadata": {"restrictions": [{"action": "hide", "condition": "true"}], "group": "general", "weight": 10, "label": "Workloads Collector User"}}}}	{"rule_to_pick_boot_disk": [{"regex": "^nvme", "type": "exclude_disks_by_name", "description": "NVMe drives should be skipped as accessing such drives during the boot typically requires using UEFI which is still not supported by fuel-agent (it always installs BIOS variant of  grub). grub bug (http://savannah.gnu.org/bugs/?41883)"}, {"regex": "^md", "root_mount": "/", "type": "pick_root_disk_if_disk_name_match", "description": "If we have /root on fake raid, then /boot partition should land on to it too. We can't proceed with grub-install otherwise."}], "volumes_roles_mapping": {"compute-vmware": [{"id": "os", "allocate_size": "min"}], "compute": [{"id": "os", "allocate_size": "min"}, {"id": "vm", "allocate_size": "all"}], "cinder-vmware": [{"id": "os", "allocate_size": "min"}], "virt": [{"id": "os", "allocate_size": "min"}, {"id": "vm", "allocate_size": "all"}], "base-os": [{"id": "os", "allocate_size": "min"}], "controller": [{"id": "os", "allocate_size": "min"}, {"id": "logs", "allocate_size": "min"}, {"id": "image", "allocate_size": "all"}, {"id": "mysql", "allocate_size": "min"}, {"id": "horizon", "allocate_size": "min"}], "other": [{"id": "os", "allocate_size": "all"}], "ceph-osd": [{"id": "os", "allocate_size": "min"}, {"id": "cephjournal", "allocate_size": "min"}, {"id": "ceph", "allocate_size": "full-disk"}], "ironic": [{"id": "os", "allocate_size": "min"}, {"id": "logs", "allocate_size": "min"}], "cinder-block-device": [{"id": "os", "allocate_size": "min"}, {"id": "cinder-block-device", "allocate_size": "full-disk"}], "cinder": [{"id": "os", "allocate_size": "min"}, {"id": "cinder", "allocate_size": "all"}], "mongo": [{"id": "os", "allocate_size": "min"}, {"id": "mongo", "allocate_size": "all"}]}, "volumes": [{"min_size": {"generator": "calc_min_os_size"}, "type": "vg", "id": "os", "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": {"generator": "calc_total_root_vg"}}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": {"generator": "calc_swap_size"}}], "label": "Base System"}, {"min_size": {"generator_args": [10], "generator": "calc_gb_to_mb"}, "type": "vg", "id": "logs", "volumes": [{"mount": "/var/log", "type": "lv", "name": "log", "file_system": "ext4", "size": {"generator_args": ["logs"], "generator": "calc_total_vg"}}], "label": "Logs"}, {"min_size": {"generator": "calc_min_mongo_size"}, "type": "vg", "id": "mongo", "volumes": [{"mount": "/var/lib/mongo", "type": "lv", "name": "mongodb", "file_system": "ext4", "size": {"generator_args": ["mongo"], "generator": "calc_total_vg"}}], "label": "MongoDB"}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "Ceph", "mount": "none", "label": "Ceph", "min_size": {"generator": "calc_min_ceph_size"}, "type": "partition", "id": "ceph", "file_system": "none"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "Ceph Journal", "mount": "none", "label": "Ceph Journal", "min_size": {"generator": "calc_min_ceph_journal_size"}, "type": "partition", "id": "cephjournal", "file_system": "none"}, {"min_size": {"generator": "calc_min_mysql_size"}, "type": "vg", "id": "mysql", "volumes": [{"mount": "/var/lib/mysql", "type": "lv", "name": "root", "file_system": "ext4", "size": {"generator_args": ["mysql"], "generator": "calc_total_vg"}}], "label": "Mysql Database"}, {"min_size": {"generator": "calc_min_vm_size"}, "type": "vg", "id": "vm", "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": {"generator_args": ["vm"], "generator": "calc_total_vg"}}], "label": "Virtual Storage"}, {"min_size": {"generator": "calc_min_glance_size"}, "type": "vg", "id": "image", "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": {"generator_args": ["image"], "generator": "calc_total_vg"}}], "label": "Image Storage"}, {"min_size": {"generator_args": [11], "generator": "calc_gb_to_mb"}, "type": "vg", "id": "horizon", "volumes": [{"mount": "/var/lib/horizon", "type": "lv", "name": "horizontmp", "file_system": "xfs", "size": {"generator_args": ["horizon"], "generator": "calc_total_vg"}}], "label": "Horizon Temp Storage"}, {"min_size": {"generator": "calc_min_cinder_size"}, "type": "vg", "id": "cinder", "volumes": [], "label": "Cinder"}, {"mount": "none", "label": "Cinder Block Device", "min_size": {"generator": "calc_min_cinder_size"}, "volumes": [], "type": "vg", "id": "cinder-block-device"}]}	{"ha_compact": {"description": "This configuration Deploys OpenStack ready for high availability (HA). Controller services are prepared for HA by setting up a base MySQL/Galera, RabbitMQ and HAProxy so that additional controllers can be deployed NOW, or scaled out LATER. 3 or more controllers are required for a true HA environment."}}	{"compute-vmware": {"restrictions": [{"action": "hide", "condition": "settings:common.use_vcenter.value == false"}], "group": "compute", "name": "Compute VMware", "weight": 90, "conflicts": ["controller", "compute", "cinder", "cinder-block-device", "ceph-osd", "mongo", "base-os", "virt", "ironic"], "description": "A node that runs nova-compute with VCDriver, that manages ESXi computing resources via VMware vCenter."}, "compute": {"limits": {"recommended": 1}, "group": "compute", "name": "Compute", "weight": 20, "fault_tolerance": "2%", "public_for_dvr_required": true, "description": "A Compute node creates, manages, and terminates virtual machine instances."}, "cinder-vmware": {"restrictions": [{"action": "hide", "condition": "settings:common.use_vcenter.value == false"}], "group": "storage", "name": "Cinder Proxy to VMware Datastore", "weight": 40, "limits": {"recommended": 1}, "description": "Cinder-VMware provides scheduling of block storage resources delivered over VMware vCenter. Block storage can be used for database storage, expandable file systems, or providing a server with access to raw block level devices."}, "virt": {"restrictions": [{"action": "hide", "condition": "not ('advanced' in version:feature_groups)"}], "group": "compute", "name": "Virtual", "weight": 80, "public_ip_required": true, "conflicts": ["controller", "base-os"], "description": "ADVANCED: Make available possibilities to spawn vms on this node that can be assign as a normal nodes."}, "base-os": {"group": "other", "name": "Operating System", "weight": 70, "description": "Install base Operating System without additional packages and configuration."}, "controller": {"limits": {"recommended": 3, "overrides": [{"message": "Neutron L3 HA requires at least 2 Controller nodes to function properly.", "condition": "settings:neutron_advanced_configuration.neutron_l3_ha.value == true", "min": 2}], "min": 1}, "group": "base", "name": "Controller", "weight": 10, "update_required": ["compute", "cinder"], "has_primary": true, "public_ip_required": true, "conflicts": ["compute"], "public_for_dvr_required": true, "description": "The Controller initiates orchestration activities and provides an external API.  Other components like Glance (image storage), Keystone (identity management), Horizon (OpenStack dashboard) and Nova-Scheduler are installed on the controller as well."}, "ceph-osd": {"restrictions": [{"message": "Ceph should be enabled in the environment settings.", "condition": "settings:storage.volumes_ceph.value == false and settings:storage.images_ceph.value == false and settings:storage.ephemeral_ceph.value == false and settings:storage.objects_ceph.value == false"}], "group": "storage", "weight": 50, "limits": {"min": "settings:storage.osd_pool_size.value"}, "description": "Ceph storage can be configured to provide storage for block volumes (Cinder), images (Glance) and ephemeral instance storage (Nova). It can also provide object storage through the S3 and Swift API (See settings to enable each).", "update_once": ["controller"], "name": "Ceph OSD"}, "ironic": {"restrictions": [{"message": "Ironic should be enabled in the environment settings.", "condition": "settings:additional_components.ironic.value == false"}], "group": "compute", "name": "Ironic", "weight": 100, "limits": {"recommended": 3, "min": 1}, "conflicts": ["compute"], "description": "Ironic conductor."}, "cinder": {"restrictions": [{"message": "Cinder LVM should be enabled in the environment settings.", "condition": "settings:storage.volumes_lvm.value == false"}, {"message": "Ceph RBD cannot be used with Cinder", "condition": "settings:storage.volumes_ceph.value == true"}], "group": "storage", "name": "Cinder", "weight": 30, "limits": {"recommended": 1}, "description": "Cinder provides scheduling of block storage resources, typically delivered over iSCSI and other compatible backend storage systems. Block storage can be used for database storage, expandable file systems, or to provide a server with access to raw block level devices."}, "cinder-block-device": {"restrictions": [{"message": "Cinder Block Device driver should be enabled in the environment settings.", "condition": "settings:storage.volumes_block_device.value == false"}, {"message": "Ceph RBD cannot be used with Cinder Block Device", "condition": "settings:storage.volumes_ceph.value == true"}], "group": "storage", "name": "Cinder Block Device", "weight": 35, "conflicts": ["controller", "cinder", "cinder-vmware", "ceph-osd"], "public_ip_required": false, "has_primary": false, "description": "Host node for Cinder Block Devices."}, "mongo": {"restrictions": [{"message": "Ceilometer should be enabled in the environment settings.", "condition": "settings:additional_components.ceilometer.value == false"}, {"message": "You are already using external MongoDB.", "condition": "settings:additional_components.mongo.value == true"}], "group": "other", "name": "Telemetry - MongoDB", "weight": 60, "has_primary": true, "limits": {"overrides": [{"max": 1, "message": "At most 1 MongoDB node can be added for non-HA deployment", "condition": "cluster:mode != 'ha_compact'"}, {"recommended": 3, "message": "At least 3 MongoDB nodes are recommended for HA deployment.", "condition": "cluster:mode == 'ha_compact'"}], "min": 1}, "conflicts": ["compute", "ceph-osd"], "description": "A feature-complete and recommended database for storage of metering data from OpenStack Telemetry (Ceilometer)."}}	{"editable": {"value": {"glance": {"vcenter_username": "", "datacenter": "", "vcenter_host": "", "ca_file": "", "datastore": "", "vcenter_password": ""}, "availability_zones": [{"vcenter_username": "", "az_name": "vcenter", "vcenter_password": "", "vcenter_host": "", "nova_computes": [{"datastore_regex": "", "vsphere_cluster": "", "target_node": {"current": {"id": "controllers", "label": "controllers"}, "options": [{"id": "controllers", "label": "controllers"}]}, "service_name": ""}]}]}, "metadata": [{"restrictions": [{"message": "VMware vCenter not enabled for cluster", "condition": "settings:common.use_vcenter.value == false"}], "type": "array", "name": "availability_zones", "fields": [{"regex": {"source": "^(?!nova$)\\\\w+$", "error": "Invalid availability zone name"}, "type": "text", "description": "Availability zone name", "name": "az_name", "label": "Availability zone"}, {"regex": {"source": "^[a-zA-Z\\\\d]+[-\\\\.\\\\da-zA-Z]*$", "error": "Invalid vCenter host"}, "type": "text", "description": "vCenter host or IP", "name": "vcenter_host", "label": "vCenter host"}, {"regex": {"source": "\\\\S", "error": "Empty vCenter username"}, "type": "text", "description": "vCenter username", "name": "vcenter_username", "label": "vCenter username"}, {"regex": {"source": "\\\\S", "error": "Empty vCenter password"}, "type": "password", "description": "vCenter password", "name": "vcenter_password", "label": "vCenter password"}, {"editable_for_deployed": true, "type": "array", "name": "nova_computes", "fields": [{"regex": {"source": "\\\\S", "error": "Invalid vSphere cluster"}, "type": "text", "description": "vSphere cluster", "name": "vsphere_cluster", "label": "vSphere cluster"}, {"regex": {"source": "^\\\\w[\\\\w\\\\-]+$", "error": "Invalid service name"}, "type": "text", "description": "Service name", "name": "service_name", "label": "Service name"}, {"regex": {"source": "\\\\S", "error": "Invalid datastore regex"}, "type": "text", "description": "Datastore regex", "name": "datastore_regex", "label": "Datastore regex"}, {"type": "select", "description": "Target node for nova-compute service", "name": "target_node", "label": "Target node"}]}]}, {"restrictions": [{"message": "VMware vCenter datastore for images is not enabled in Settings tab", "condition": "settings:storage.images_vcenter.value == false or settings:common.use_vcenter.value == false"}], "type": "object", "name": "glance", "fields": [{"regex": {"source": "^[a-zA-Z\\\\d]+[-\\\\.\\\\da-zA-Z]*$", "error": "Invalid vCenter host"}, "type": "text", "description": "vCenter host or IP", "name": "vcenter_host", "label": "vCenter host"}, {"regex": {"source": "\\\\S", "error": "Empty vCenter username"}, "type": "text", "description": "vCenter username", "name": "vcenter_username", "label": "vCenter username"}, {"regex": {"source": "\\\\S", "error": "Empty vCenter password"}, "type": "password", "description": "vCenter password", "name": "vcenter_password", "label": "vCenter password"}, {"regex": {"source": "\\\\S", "error": "Invalid datacenter"}, "type": "text", "description": "Datacenter", "name": "datacenter", "label": "Datacenter"}, {"regex": {"source": "\\\\S", "error": "Invalid datastore"}, "type": "text", "description": "Datastore", "name": "datastore", "label": "Datastore"}, {"type": "file", "description": "File containing the trusted CA bundle that emitted vCenter server certificate. If empty vCenters certificate is not verified.", "name": "ca_file", "label": "CA file"}]}]}}	["ha_compact"]	[{"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "keystone/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": true}, "id": "admin/pxe", "default_mapping": "fuelweb_admin"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "swift/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "neutron/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "sahara/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "aodh/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "ceilometer/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "cinder/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "glance/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "glance/glare", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "heat/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "nova/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "murano/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "murano/cfapi", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "horizon", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "mgmt/memcache", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "mgmt/database", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "mgmt/messaging", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "mgmt/corosync", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [{"alias": "management_vrouter_vip", "namespace": "vrouter", "name": "vrouter"}, {"alias": "management_vip", "namespace": "haproxy", "name": "management"}], "gateway": false}, "id": "mgmt/vip", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [{"alias": "public_vrouter_vip", "vendor_specific": {"iptables_rules": {"ns_start": ["iptables -t nat -A POSTROUTING -o <%INT%> -j MASQUERADE"], "ns_stop": ["iptables -t nat -D POSTROUTING -o <%INT%> -j MASQUERADE"]}}, "namespace": "vrouter", "name": "vrouter_pub"}, {"alias": "public_vip", "namespace": "haproxy", "name": "public"}], "gateway": true}, "id": "public/vip", "default_mapping": "public"}, {"properties": {"subnet": false, "vip": [], "gateway": false}, "id": "neutron/private", "default_mapping": "private"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "neutron/mesh", "default_mapping": "private"}, {"properties": {"subnet": false, "vip": [], "gateway": false}, "id": "neutron/floating", "default_mapping": "public"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "swift/replication", "default_mapping": "storage"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "ceph/public", "default_mapping": "storage"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "ceph/radosgw", "default_mapping": "public"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "ceph/replication", "default_mapping": "storage"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "cinder/iscsi", "default_mapping": "storage"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "mongo/db", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": true}, "id": "fw-admin", "default_mapping": "fuelweb_admin"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "management", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": true}, "id": "ex", "default_mapping": "public"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "storage", "default_mapping": "storage"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "nova/migration", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "ironic/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [{"alias": "baremetal_vip", "vendor_specific": {"iptables_rules": {"ns_start": ["iptables -A INPUT -i <%INT%> -s <%CIDR%> -d <%IP%> -p tcp -m multiport --dports 6385,8080 -m state --state NEW -j ACCEPT", "iptables -A INPUT -i <%INT%> -s <%CIDR%> -d <%IP%> -m state --state ESTABLISHED,RELATED -j ACCEPT", "iptables -A INPUT -i <%INT%> -j DROP"], "ns_stop": ["iptables -D INPUT -i <%INT%> -s <%CIDR%> -d <%IP%> -p tcp -m multiport --dports 6385,8080 -m state --state NEW -j ACCEPT", "iptables -D INPUT -i <%INT%> -s <%CIDR%> -d <%IP%> -m state --state ESTABLISHED,RELATED -j ACCEPT", "iptables -D INPUT -i <%INT%> -j DROP"]}}, "namespace": "haproxy", "name": "baremetal"}], "gateway": false}, "id": "ironic/baremetal", "default_mapping": "baremetal"}]	{volume_manager}	[{"name": "hypervisor:qemu", "weight": 5, "default": true, "bind": [["settings:common.libvirt_type.value", "qemu"]], "label": "dialog.create_cluster_wizard.compute.qemu", "compatible": [{"name": "hypervisor:vmware"}], "description": "dialog.create_cluster_wizard.compute.qemu_description"}, {"description": "dialog.create_cluster_wizard.compute.vcenter_description", "weight": 15, "bind": ["settings:common.use_vcenter.value"], "label": "dialog.create_cluster_wizard.compute.vcenter", "compatible": [{"name": "hypervisor:qemu"}], "requires": [{"message": "dialog.create_cluster_wizard.compute.vcenter_warning", "name": "hypervisor:qemu"}], "name": "hypervisor:vmware"}, {"description": "dialog.create_cluster_wizard.network.neutron_ml2_description", "weight": 1000, "default": true, "label": "dialog.create_cluster_wizard.network.neutron_ml2", "compatible": [{"name": "hypervisor:*"}, {"name": "network:neutron:ml2:*"}], "name": "network:neutron:core:ml2"}, {"description": "dialog.create_cluster_wizard.network.neutron_vlan_description", "weight": 5, "incompatible": [{"message": "dialog.create_cluster_wizard.network.vlan_tun_alert", "name": "network:neutron:ml2:tun"}], "default": true, "bind": [["cluster:net_provider", "neutron"], ["cluster:net_segment_type", "vlan"]], "label": "common.network.neutron_vlan", "compatible": [{"name": "network:neutron:core:ml2"}, {"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}], "requires": [{"name": "network:neutron:core:ml2"}], "name": "network:neutron:ml2:vlan"}, {"description": "dialog.create_cluster_wizard.network.neutron_tun_description", "weight": 10, "incompatible": [{"message": "dialog.create_cluster_wizard.network.vlan_tun_alert", "name": "network:neutron:ml2:vlan"}, {"message": "dialog.create_cluster_wizard.network.hypervisor_alert", "name": "hypervisor:vmware"}, {"message": "dialog.create_cluster_wizard.additional.ironic_network_mode_alert", "name": "additional_service:ironic"}], "bind": [["cluster:net_provider", "neutron"], ["cluster:net_segment_type", "tun"]], "label": "common.network.neutron_tun", "compatible": [{"name": "network:neutron:core:ml2"}, {"name": "hypervisor:qemu"}], "requires": [{"name": "network:neutron:core:ml2"}], "name": "network:neutron:ml2:tun"}, {"description": "dialog.create_cluster_wizard.storage.default_provider", "weight": 5, "incompatible": [{"message": "LVM not compatible with Ceph", "name": "storage:block:ceph"}], "default": true, "bind": ["settings:storage.volumes_lvm.value"], "label": "dialog.create_cluster_wizard.storage.lvm", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}], "name": "storage:block:lvm"}, {"name": "storage:block:ceph", "weight": 10, "incompatible": [{"message": "Ceph not compatible with LVM", "name": "storage:block:lvm"}], "bind": [["settings:storage.volumes_ceph.value", true], ["settings:storage.volumes_lvm.value", false]], "label": "dialog.create_cluster_wizard.storage.ceph", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}, {"name": "storage:object:ceph"}, {"name": "storage:ephemeral:ceph"}, {"name": "storage:image:ceph"}], "description": "dialog.create_cluster_wizard.storage.ceph_block"}, {"description": "dialog.create_cluster_wizard.storage.ceph_object", "weight": 10, "bind": ["settings:storage.objects_ceph.value"], "label": "dialog.create_cluster_wizard.storage.ceph", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}, {"name": "storage:block:lvm"}, {"name": "storage:block:ceph"}, {"name": "storage:ephemeral:ceph"}, {"name": "storage:image:ceph"}], "name": "storage:object:ceph"}, {"description": "dialog.create_cluster_wizard.storage.ceph_ephemeral", "weight": 10, "bind": ["settings:storage.ephemeral_ceph.value"], "label": "dialog.create_cluster_wizard.storage.ceph", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}, {"name": "storage:block:lvm"}, {"name": "storage:block:ceph"}, {"name": "storage:object:ceph"}, {"name": "storage:image:ceph"}], "name": "storage:ephemeral:ceph"}, {"description": "dialog.create_cluster_wizard.storage.ceph_image", "weight": 10, "bind": ["settings:storage.images_ceph.value"], "label": "dialog.create_cluster_wizard.storage.ceph", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}, {"name": "storage:block:lvm"}, {"name": "storage:block:ceph"}, {"name": "storage:object:ceph"}, {"name": "storage:ephemeral:ceph"}], "name": "storage:image:ceph"}, {"description": "dialog.create_cluster_wizard.additional.install_sahara_description", "weight": 10, "bind": ["settings:additional_components.sahara.value"], "label": "dialog.create_cluster_wizard.additional.install_sahara", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}, {"name": "storage:block:lvm"}, {"name": "storage:block:ceph"}, {"name": "storage:object:ceph"}, {"name": "storage:ephemeral:ceph"}, {"name": "storage:image:ceph"}, {"name": "additional_service:sahara"}, {"name": "additional_service:murano"}, {"name": "additional_service:ceilometer"}, {"name": "additional_service:ironic"}], "name": "additional_service:sahara"}, {"description": "dialog.create_cluster_wizard.additional.install_murano_description", "weight": 20, "bind": ["settings:additional_components.murano.value"], "label": "dialog.create_cluster_wizard.additional.install_murano", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}, {"name": "storage:block:lvm"}, {"name": "storage:block:ceph"}, {"name": "storage:object:ceph"}, {"name": "storage:ephemeral:ceph"}, {"name": "storage:image:ceph"}, {"name": "additional_service:sahara"}, {"name": "additional_service:ceilometer"}, {"name": "additional_service:ironic"}], "name": "additional_service:murano"}, {"description": "dialog.create_cluster_wizard.additional.install_ceilometer_description", "weight": 30, "bind": ["settings:additional_components.ceilometer.value"], "label": "dialog.create_cluster_wizard.additional.install_ceilometer", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}, {"name": "storage:block:lvm"}, {"name": "storage:block:ceph"}, {"name": "storage:object:ceph"}, {"name": "storage:ephemeral:ceph"}, {"name": "storage:image:ceph"}, {"name": "additional_service:sahara"}, {"name": "additional_service:murano"}, {"name": "additional_service:ironic"}], "name": "additional_service:ceilometer"}, {"name": "additional_service:ironic", "weight": 40, "incompatible": [{"message": "dialog.create_cluster_wizard.additional.ironic_network_mode_alert", "name": "network:neutron:ml2:tun"}], "bind": ["settings:additional_components.ironic.value"], "label": "dialog.create_cluster_wizard.additional.install_ironic", "compatible": [{"name": "hypervisor:qemu"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "storage:block:lvm"}, {"name": "storage:block:ceph"}, {"name": "storage:object:ceph"}, {"name": "storage:ephemeral:ceph"}, {"name": "storage:image:ceph"}, {"name": "additional_service:sahara"}, {"name": "additional_service:murano"}, {"name": "additional_service:ceilometer"}], "description": "dialog.create_cluster_wizard.additional.install_ironic_description"}]	{"cpu_pinning": {"dpdk": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "description": "Number of CPUs for DPDK usage", "weight": 20, "min": 0, "value": 0, "label": "DPDK CPU pinning", "type": "number"}, "nova": {"description": "Number of CPUs for Nova usage", "weight": 10, "min": 0, "value": 0, "label": "Nova CPU pinning", "type": "number"}, "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'kvm'"}], "group": "nfv", "weight": 10, "label": "CPU pinning"}}, "hugepages": {"dpdk": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "description": "DPDK Huge Pages per NUMA node in MB", "weight": 20, "min": 0, "value": 0, "label": "DPDK Huge Pages", "type": "number"}, "nova": {"value": {}, "type": "custom_hugepages", "description": "Nova Huge Pages configuration", "weight": 10, "label": "Nova Huge Pages"}, "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'kvm'"}], "group": "nfv", "weight": 20, "label": "Huge Pages"}}}
3	Mitaka on Ubuntu+UCA 14.04	mitaka-9.0	This option will install the OpenStack Mitaka packages using Ubuntu as a base operating system, including Ubuntu Cloud Archive OpenStack packages. With high availability features built in, you are getting a robust, enterprise-grade OpenStack deployment.	Ubuntu	available	{"bonding": {"availability": [{"dpdkovs": "'experimental' in version:feature_groups and interface:pxe == false and interface:interface_properties.dpdk.enabled and not interface:interface_properties.sriov.enabled"}, {"linux": "not interface:interface_properties.sriov.enabled"}], "properties": {"dpdkovs": {"lacp": [{"for_modes": ["balance-tcp"], "values": ["active", "passive"]}], "lacp_rate": [{"for_modes": ["balance-tcp"], "values": ["slow", "fast"]}], "mode": [{"values": ["active-backup", "balance-slb", "balance-tcp"]}], "xmit_hash_policy": [{"for_modes": ["balance-tcp"], "values": ["layer2", "layer2+3", "layer3+4", "encap2+3", "encap3+4"]}]}, "linux": {"lacp_rate": [{"for_modes": ["802.3ad"], "values": ["slow", "fast"]}], "mode": [{"values": ["balance-rr", "active-backup"]}, {"values": ["802.3ad"], "condition": "'experimental' in version:feature_groups or interface:pxe == false"}, {"values": ["balance-xor", "broadcast", "balance-tlb", "balance-alb"], "condition": "'experimental' in version:feature_groups"}], "xmit_hash_policy": [{"for_modes": ["802.3ad", "balance-xor", "balance-tlb", "balance-alb"], "values": ["layer2", "layer2+3", "layer3+4", "encap2+3", "encap3+4"]}]}}}, "dpdk_drivers": {"igb_uio": ["8086:100e", "8086:100f", "8086:1011", "8086:1010", "8086:1012", "8086:101d", "8086:105e", "8086:105f", "8086:1060", "8086:10d9", "8086:10da", "8086:10a4", "8086:10d5", "8086:10a5", "8086:10bc", "8086:107d", "8086:107e", "8086:107f", "8086:10b9", "8086:109a", "8086:10d3", "8086:10f6", "8086:150c", "8086:10c9", "8086:10e6", "8086:10e7", "8086:10e8", "8086:1526", "8086:150a", "8086:1518", "8086:150d", "8086:10a7", "8086:10a9", "8086:10d6", "8086:150e", "8086:150f", "8086:1510", "8086:1511", "8086:1516", "8086:1527", "8086:1521", "8086:1522", "8086:1523", "8086:1524", "8086:1546", "8086:1533", "8086:1534", "8086:1535", "8086:1536", "8086:1537", "8086:1538", "8086:1539", "8086:1f40", "8086:1f41", "8086:1f45", "8086:0438", "8086:043a", "8086:043c", "8086:0440", "8086:10b6", "8086:1508", "8086:10c6", "8086:10c8", "8086:150b", "8086:10db", "8086:10dd", "8086:10ec", "8086:10f1", "8086:10f4", "8086:10f7", "8086:1514", "8086:1517", "8086:10f9", "8086:10fb", "8086:11a9", "8086:1f72", "8086:17d0", "8086:0470", "8086:152a", "8086:1529", "8086:1507", "8086:154d", "8086:154a", "8086:1558", "8086:1557", "8086:10fc", "8086:151c", "8086:154f", "8086:1528", "8086:1560", "8086:15ae", "8086:1563", "8086:15aa", "8086:15ab", "8086:155d", "8086:1572", "8086:1574", "8086:157f", "8086:1580", "8086:1581", "8086:1583", "8086:1584", "8086:1585", "8086:1586", "8086:15a4", "8086:10ca", "8086:152d", "8086:1520", "8086:152f", "8086:10ed", "8086:152e", "8086:1515", "8086:1530", "8086:1564", "8086:1565", "8086:15a8", "8086:15a9", "8086:154c", "8086:1571", "1af4:1000", "15ad:07b0", "8086:15a5", "1137:0043", "1137:0071", "14e4:168a", "14e4:16a9", "14e4:164f", "14e4:168e", "14e4:16af", "14e4:163d", "14e4:163f", "14e4:168d", "14e4:16a1", "14e4:16a2", "14e4:16ad", "14e4:16ae", "14e4:163e", "14e4:16a4", "8086:10f8"]}, "nova_network": {"config": {"floating_ranges": [["172.16.0.128", "172.16.0.254"]], "net_manager": "FlatDHCPManager", "fixed_networks_vlan_start": 103, "fixed_networks_amount": 1, "fixed_network_size": 256, "fixed_networks_cidr": "10.0.0.0/16"}, "networks": [{"vips": ["haproxy", "vrouter"], "name": "public", "notation": "ip_ranges", "render_type": null, "map_priority": 1, "configurable": true, "use_gateway": true, "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "gateway": "172.16.0.1", "ip_range": ["172.16.0.2", "172.16.0.127"]}, {"vips": ["haproxy", "vrouter"], "name": "management", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24"}, {"name": "storage", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24"}, {"ext_net_data": ["fixed_networks_vlan_start", "fixed_networks_amount"], "name": "fixed", "notation": null, "render_type": null, "map_priority": 2, "configurable": false, "use_gateway": false, "vlan_start": null, "render_addr_mask": null}]}, "neutron": {"config": {"parameters": {"metadata": {"metadata_proxy_shared_secret": ""}, "keystone": {"admin_user": null, "admin_password": ""}, "amqp": {"username": null, "passwd": "", "hosts": "hostname1:5672, hostname2:5672", "provider": "rabbitmq"}, "database": {"username": null, "passwd": "", "database": null, "port": "3306", "provider": "mysql"}}, "baremetal_gateway": "192.168.3.51", "internal_cidr": "192.168.111.0/24", "floating_ranges": [["172.16.0.130", "172.16.0.254"]], "floating_name": "admin_floating_net", "base_mac": "fa:16:3e:00:00:00", "internal_gateway": "192.168.111.1", "internal_name": "admin_internal_net", "baremetal_range": ["192.168.3.52", "192.168.3.254"], "gre_id_range": [2, 65535], "vlan_range": [1000, 1030]}, "networks": [{"vips": ["haproxy", "vrouter"], "name": "public", "notation": "ip_ranges", "render_type": null, "map_priority": 1, "configurable": true, "floating_range_var": "floating_ranges", "use_gateway": true, "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "ip_range": ["172.16.0.2", "172.16.0.126"]}, {"vips": ["haproxy", "vrouter"], "name": "management", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24"}, {"name": "storage", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24"}, {"name": "private", "notation": null, "render_type": null, "map_priority": 2, "neutron_vlan_range": true, "use_gateway": false, "vlan_start": null, "render_addr_mask": null, "configurable": false, "seg_type": "vlan"}, {"name": "private", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 103, "render_addr_mask": null, "cidr": "192.168.2.0/24", "seg_type": "gre"}, {"name": "private", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 103, "render_addr_mask": null, "cidr": "192.168.2.0/24", "seg_type": "tun"}, {"restrictions": [{"condition": "settings:additional_components.ironic.value == false"}], "name": "baremetal", "notation": "ip_ranges", "render_type": null, "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 104, "cidr": "192.168.3.0/24", "ip_range": ["192.168.3.2", "192.168.3.50"]}]}}	{"generated": {"glance_glare": {"user_password": {"generator": "password"}}, "murano-cfapi": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "rabbit_password": {"generator": "password"}}, "sahara": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "mysql": {"root_password": {"generator": "password"}, "wsrep_password": {"generator": "password"}}, "ironic": {"swift_tempurl_key": {"generator": "password"}, "db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "glance": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "cobbler": {"profile": {"generator": "identical", "generator_arg": "ubuntu_1404_x86_64"}}, "quantum_settings": {"metadata": {"metadata_proxy_shared_secret": {"generator": "password"}}, "keystone": {"admin_password": {"generator": "password"}}, "database": {"passwd": {"generator": "password"}}}, "provision": {"image_data": {"/boot": {"container": "gzip", "uri": "http://{settings.MASTER_IP}:8080/targetimages/env_{cluster.id}_ubuntu_1404_amd64-boot.img.gz", "format": "ext2"}, "/": {"container": "gzip", "uri": "http://{settings.MASTER_IP}:8080/targetimages/env_{cluster.id}_ubuntu_1404_amd64.img.gz", "format": "ext4"}}, "codename": "trusty"}, "aodh": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "nova": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "state_path": "/var/lib/nova"}, "murano": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "rabbit_password": {"generator": "password"}}, "keystone": {"db_password": {"generator": "password"}, "admin_token": {"generator": "password"}}, "repo_setup": {"installer_kernel": {"local": "/var/www/nailgun/ubuntu/x86_64/images/linux", "remote_relative": "dists/trusty/main/installer-amd64/current/images/netboot/ubuntu-installer/amd64/linux"}, "installer_initrd": {"local": "/var/www/nailgun/ubuntu/x86_64/images/initrd.gz", "remote_relative": "dists/trusty/main/installer-amd64/current/images/netboot/ubuntu-installer/amd64/initrd.gz"}}, "heat": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "auth_encryption_key": {"generator": "hexstring", "generator_arg": "32"}, "rabbit_password": {"generator": "password"}}, "rabbit": {"password": {"generator": "password"}}, "cinder": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "fixed_key": {"generator": "hexstring", "generator_arg": "64"}}, "swift": {"user_password": {"generator": "password"}}, "base_syslog": {"syslog_port": {"generator": "identical", "generator_arg": "514"}, "syslog_server": {"generator": "ip", "generator_arg": "admin"}}, "ceilometer": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "metering_secret": {"generator": "password"}}, "deployed_before": {"value": false}, "horizon": {"secret_key": {"generator": "hexstring", "generator_arg": "64"}}, "puppet": {"modules": "rsync://{settings.MASTER_IP}:/puppet/{cluster.release.version}/modules/", "manifests": "rsync://{settings.MASTER_IP}:/puppet/{cluster.release.version}/manifests/"}}, "editable": {"service_user": {"name": {"type": "hidden", "value": "fuel"}, "sudo": {"type": "hidden", "value": "ALL=(ALL) NOPASSWD: ALL"}, "homedir": {"type": "hidden", "value": "/var/lib/fuel"}, "root_password": {"type": "hidden", "value": "r00tme"}, "password": {"type": "hidden", "value": {"generator": "password"}}, "metadata": {"restrictions": [{"action": "hide", "condition": "true"}], "group": "general", "weight": 10, "label": "Service user account"}}, "additional_components": {"ceilometer": {"value": false, "type": "checkbox", "description": "If selected, Ceilometer and Aodh components will be installed", "weight": 60, "label": "Install Ceilometer and Aodh"}, "mongo": {"restrictions": [{"settings:additional_components.ceilometer.value == false": "External Mongo aims to be an external backend for Ceilometer. Without Ceilometer enabled, External Mongo is useless and should not be installed."}], "description": "If selected, You can use external Mongo DB as ceilometer backend", "weight": 70, "value": false, "label": "Use external Mongo DB", "type": "checkbox"}, "murano": {"value": false, "type": "checkbox", "description": "If selected, Murano component will be installed", "weight": 20, "label": "Install Murano"}, "murano-cfapi": {"restrictions": [{"message": "Murano should be enabled", "condition": "settings:additional_components.murano.value == false"}, {"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "description": "If selected, Murano service broker will be installed", "weight": 30, "value": false, "label": "Install Murano service broker for Cloud Foundry", "type": "checkbox"}, "heat": {"value": true, "type": "hidden", "description": "", "weight": 50, "label": ""}, "sahara": {"value": false, "type": "checkbox", "description": "If selected, Sahara component will be installed", "weight": 10, "label": "Install Sahara"}, "ironic": {"restrictions": [{"cluster:net_provider != 'neutron' or networking_parameters:segmentation_type != 'vlan'": "Ironic requires Neutron with VLAN segmentation."}, {"settings:storage.images_ceph.value == true and settings:storage.objects_ceph.value == false": "Ironic requires Swift or RadosGW for Glance images."}], "description": "If selected, Ironic component will be installed", "weight": 80, "value": false, "label": "Install Ironic", "type": "checkbox"}, "metadata": {"group": "openstack_services", "weight": 10, "label": "Additional Components"}}, "cgroups": {"metadata": {"restrictions": [{"action": "hide", "condition": "true"}], "group": "general", "always_editable": true, "weight": 90, "label": "Cgroups conguration for services"}}, "syslog": {"syslog_port": {"regex": {"source": "^([1-9][0-9]{0,3}|[1-5][0-9]{4}|6[0-4][0-9]{3}|65[0-4][0-9]{2}|655[0-2][0-9]|6553[0-5])$", "error": "Invalid syslog port"}, "description": "Remote syslog port", "weight": 20, "value": "514", "label": "Port", "type": "text"}, "syslog_transport": {"values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "type": "radio", "value": "tcp", "weight": 30, "label": "Syslog transport protocol"}, "syslog_server": {"regex": {"source": "^[a-zA-Z\\\\d]+[-\\\\.\\\\da-zA-Z]*$", "error": "Invalid hostname"}, "description": "Remote syslog hostname", "weight": 10, "value": "", "label": "Hostname", "type": "text"}, "metadata": {"group": "logging", "enabled": false, "weight": 50, "toggleable": true, "label": "Syslog"}}, "common": {"propagate_task_deploy": {"type": "hidden", "value": false, "weight": 12}, "auto_assign_floating_ip": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider == 'neutron'"}], "group": "network", "description": "If selected, OpenStack will automatically assign a floating IP to a new instance", "weight": 40, "value": false, "label": "Auto assign floating IP", "type": "checkbox"}, "use_cow_images": {"group": "storage", "description": "For most cases you will want qcow format. If it's disabled, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "weight": 60, "value": true, "label": "Use qcow format for images", "type": "checkbox"}, "auth_key": {"group": "security", "type": "hidden", "value": "", "weight": 70}, "puppet_debug": {"group": "logging", "description": "Debug puppet logging mode provides more information, but requires more disk space.", "weight": 20, "value": true, "label": "Puppet debug logging", "type": "checkbox"}, "use_vcenter": {"type": "hidden", "value": false, "weight": 30}, "libvirt_type": {"group": "compute", "weight": 30, "value": "qemu", "label": "Hypervisor type", "values": [{"data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}], "type": "radio"}, "resume_guests_state_on_host_boot": {"group": "compute", "description": "Whether to resume previous guests state when the host reboots. If enabled, this option causes guests assigned to the host to resume their previous state. If the guest was running a restart will be attempted when nova-compute starts. If the guest was not running previously, a restart will not be attempted.", "weight": 50, "value": true, "label": "Resume guests state on host boot", "type": "checkbox"}, "debug": {"group": "logging", "description": "Debug logging mode provides more information, but requires more disk space.", "weight": 20, "value": false, "label": "OpenStack debug logging", "type": "checkbox"}, "task_deploy": {"type": "hidden", "value": true, "weight": 11}, "nova_quota": {"group": "compute", "description": "Quotas are used to limit CPU and memory usage for tenants. Enabling quotas will increase load on the Nova database.", "weight": 30, "value": false, "label": "Nova quotas", "type": "checkbox"}, "metadata": {"weight": 10, "label": "Common"}}, "storage": {"volumes_ceph": {"restrictions": ["settings:storage.volumes_lvm.value == true or settings:storage.volumes_block_device.value == true"], "description": "Configures Cinder to store volumes in Ceph RBD images.", "weight": 20, "value": false, "label": "Ceph RBD for volumes (Cinder)", "type": "checkbox"}, "objects_ceph": {"value": false, "type": "checkbox", "description": "Configures RadosGW front end for Ceph RBD. This exposes S3 and Swift API Interfaces. If enabled, this option will prevent Swift from installing.", "weight": 80, "label": "Ceph RadosGW for objects (Swift API)"}, "bootstrap_osd_key": {"type": "hidden", "value": {"generator": "cephx_key"}}, "volumes_block_device": {"restrictions": ["settings:storage.volumes_ceph.value == true"], "description": "High performance block device storage. It is recommended to have at least one Cinder Block Device", "weight": 15, "value": false, "label": "Cinder Block device driver", "type": "checkbox"}, "ephemeral_ceph": {"value": false, "type": "checkbox", "description": "Configures Nova to store ephemeral volumes in RBD. This works best if Ceph is enabled for volumes and images, too. Enables live migration of all types of Ceph backed VMs (without this option, live migration will only work with VMs launched from Cinder volumes).", "weight": 75, "label": "Ceph RBD for ephemeral volumes (Nova)"}, "volumes_lvm": {"restrictions": ["settings:storage.volumes_ceph.value == true"], "description": "It is recommended to have at least one Cinder node.", "weight": 10, "value": true, "label": "Cinder LVM over iSCSI for volumes", "type": "checkbox"}, "mon_key": {"type": "hidden", "value": {"generator": "cephx_key"}}, "images_vcenter": {"restrictions": [{"action": "hide", "condition": "settings:common.use_vcenter.value != true"}, {"message": "Only one Glance backend could be selected.", "condition": "settings:storage.images_ceph.value == true"}], "description": "Configures Glance to use the vCenter/ESXi backend to store images. If enabled, this option will prevent Swift from installing.", "weight": 35, "value": false, "label": "VMware vCenter/ESXi datastore for images (Glance)", "type": "checkbox"}, "osd_pool_size": {"regex": {"source": "^[1-9]\\\\d*$", "error": "Invalid number"}, "description": "Configures the default number of object replicas in Ceph. This number must be equal to or lower than the number of deployed 'Ceph OSD' nodes.", "weight": 85, "value": "3", "label": "Ceph object replication factor", "type": "text"}, "admin_key": {"type": "hidden", "value": {"generator": "cephx_key"}}, "images_ceph": {"restrictions": [{"settings:storage.images_vcenter.value == true": "Only one Glance backend could be selected."}], "description": "Configures Glance to use the Ceph RBD backend to store images. If enabled, this option will prevent Swift from installing.", "weight": 30, "value": false, "label": "Ceph RBD for images (Glance)", "type": "checkbox"}, "radosgw_key": {"type": "hidden", "value": {"generator": "cephx_key"}}, "fsid": {"type": "hidden", "value": {"generator": "uuid4"}}, "metadata": {"group": "storage", "weight": 60, "label": "Storage Backends"}}, "public_ssl": {"hostname": {"restrictions": [{"action": "hide", "condition": "settings:public_ssl.horizon.value == false and settings:public_ssl.services.value == false"}], "description": "Your DNS entries should point to this name. Self-signed certificates also will use this hostname", "weight": 50, "value": "public.fuel.local", "label": "DNS hostname for public TLS endpoints", "type": "text"}, "horizon": {"restrictions": [{"settings:public_ssl.services.value == false": "TLS for OpenStack public endpoints should be enabled"}], "description": "Secure access to Horizon enabling HTTPS instead of HTTP", "weight": 20, "value": false, "label": "HTTPS for Horizon", "type": "checkbox"}, "services": {"value": false, "type": "checkbox", "description": "Enable TLS termination on HAProxy for OpenStack services", "weight": 10, "label": "TLS for OpenStack public endpoints"}, "cert_data": {"restrictions": [{"action": "hide", "condition": "(settings:public_ssl.cert_source.value != 'user_uploaded') or (settings:public_ssl.horizon.value == false and settings:public_ssl.services.value == false)"}], "description": "Certificate and private key data, concatenated into a single file", "weight": 40, "value": "", "label": "Certificate", "type": "file"}, "cert_source": {"restrictions": [{"action": "hide", "condition": "settings:public_ssl.horizon.value == false and settings:public_ssl.services.value == false"}], "description": "From where we'll get certificate and private key", "weight": 30, "value": "self_signed", "label": "Select source for certificate", "values": [{"data": "self_signed", "description": "Generate private key and certificate that will be signed by this key", "label": "Self-signed"}, {"data": "user_uploaded", "description": "Use pre-generated key and certificate", "label": "I have my own keypair with certificate"}], "type": "radio"}, "metadata": {"group": "security", "weight": 110, "label": "Public TLS"}}, "corosync": {"group": {"value": "226.94.1.1", "type": "text", "description": "", "weight": 10, "label": "Group"}, "verified": {"value": false, "type": "checkbox", "description": "Set True only if multicast is configured correctly on router.", "weight": 10, "label": "Need to pass network verification."}, "port": {"value": "12000", "type": "text", "description": "", "weight": 20, "label": "Port"}, "metadata": {"restrictions": [{"action": "hide", "condition": "true"}], "group": "general", "weight": 50, "label": "Corosync"}}, "access": {"metadata": {"group": "general", "weight": 10, "label": "OpenStack Access"}, "password": {"regex": {"source": "\\\\S", "error": "Empty password"}, "description": "Password for Administrator", "weight": 20, "value": "admin", "label": "Password", "type": "password"}, "user": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?!ironic$)(?![Gg]uest$)(?!.* +.*$).+", "error": "Invalid username"}, "description": "Username for Administrator", "weight": 10, "value": "admin", "label": "Username", "type": "text"}, "tenant": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?!ironic$)(?![Gg]uest$)(?!.* +.*$).+", "error": "Invalid tenant name"}, "description": "Tenant (project) name for Administrator", "weight": 30, "value": "admin", "label": "Tenant", "type": "text"}, "email": {"regex": {"source": "^\\\\S+@\\\\S+$", "error": "Invalid email"}, "description": "Email address for Administrator", "weight": 40, "value": "admin@localhost", "label": "Email", "type": "text"}}, "kernel_params": {"kernel": {"type": "text", "description": "Default kernel parameters", "value": "console=tty0 net.ifnames=0 biosdevname=0 rootdelay=90 nomodeset", "label": "Initial parameters"}, "metadata": {"group": "general", "weight": 60, "label": "Kernel parameters"}}, "operator_user": {"name": {"regex": {"source": "\\\\S", "error": "Empty username"}, "description": "Username for operator user", "weight": 50, "value": "fueladmin", "label": "Username", "type": "text"}, "sudo": {"weight": 90, "type": "textarea", "description": "Sudoers configuration directives for operator user, one per line.", "value": "ALL=(ALL) NOPASSWD: ALL", "label": "Sudoers configuration"}, "homedir": {"regex": {"source": "^/\\\\S", "error": "Invalid path"}, "description": "Home directory for operator user", "weight": 70, "value": "/home/fueladmin", "label": "Home directory", "type": "text"}, "password": {"regex": {"source": "\\\\S", "error": "Empty password"}, "description": "Password for operator user", "weight": 60, "value": {"generator": "password"}, "label": "Password", "type": "password"}, "authkeys": {"weight": 80, "type": "textarea", "description": "Public SSH keys to include to operator user's authorized keys, one per line.", "value": "", "label": "Authorized SSH keys"}, "metadata": {"group": "general", "weight": 15, "label": "Operating System Access"}}, "repo_setup": {"repo_type": {"type": "hidden", "value": "uca", "weight": 58}, "repos": {"type": "custom_repo_configuration", "description": "Please note: the first repository will be considered the operating system mirror that will be used during node provisioning.\\nTo create a local repository mirror on the Fuel master node, please follow the instructions provided by running \\"fuel-createmirror --help\\" on the Fuel master node.\\nPlease make sure your Fuel master node has Internet access to the repository before attempting to create a mirror.\\n", "value": [{"name": "ubuntu", "section": "main universe multiverse", "uri": "http://archive.ubuntu.com/ubuntu/", "priority": null, "suite": "trusty", "type": "deb"}, {"name": "ubuntu-updates", "section": "main universe multiverse", "uri": "http://archive.ubuntu.com/ubuntu/", "priority": null, "suite": "trusty-updates", "type": "deb"}, {"name": "ubuntu-security", "section": "main universe multiverse", "uri": "http://archive.ubuntu.com/ubuntu/", "priority": null, "suite": "trusty-security", "type": "deb"}, {"name": "uca", "section": "main", "uri": "http://ubuntu-cloud.archive.canonical.com/ubuntu", "priority": 1080, "suite": "trusty-updates/mitaka", "type": "deb"}, {"name": "uca-proposed", "section": "main", "uri": "http://ubuntu-cloud.archive.canonical.com/ubuntu", "priority": 1080, "suite": "trusty-proposed/mitaka", "type": "deb"}, {"name": "mos", "section": "main restricted", "uri": "http://{settings.MASTER_IP}:8080/{cluster.release.version}/ubuntu/x86_64", "priority": 1050, "suite": "mos9.0", "type": "deb"}, {"name": "mos-updates", "section": "main restricted", "uri": "http://mirror.fuel-infra.org/mos-repos/ubuntu/{cluster.release.environment_version}/", "priority": 1050, "suite": "mos9.0-updates", "type": "deb"}, {"name": "mos-security", "section": "main restricted", "uri": "http://mirror.fuel-infra.org/mos-repos/ubuntu/{cluster.release.environment_version}/", "priority": 1050, "suite": "mos9.0-security", "type": "deb"}, {"name": "mos-holdback", "section": "main restricted", "uri": "http://mirror.fuel-infra.org/mos-repos/ubuntu/{cluster.release.environment_version}/", "priority": 1100, "suite": "mos9.0-holdback", "type": "deb"}, {"name": "Auxiliary", "section": "main restricted", "uri": "http://{settings.MASTER_IP}:8080/{cluster.release.version}/ubuntu/auxiliary", "priority": 1150, "suite": "auxiliary", "type": "deb"}], "extra_priority": null}, "pin_ceph": {"value": true, "type": "checkbox", "description": "Use Fuel Ceph packages instead of upstream", "weight": 61, "label": "Ceph APT Pinning"}, "pin_rabbitmq": {"value": true, "type": "checkbox", "description": "Use Fuel RabbitMQ packages instead of upstream", "weight": 60, "label": "RabbitMQ APT Pinning"}, "pin_haproxy": {"value": true, "type": "checkbox", "description": "Use Fuel HAProxy packages instead of upstream", "weight": 59, "label": "HAProxy APT Pinning"}, "metadata": {"group": "general", "always_editable": true, "weight": 50, "label": "Repositories"}}, "murano_settings": {"murano_glance_artifacts_plugin": {"value": true, "type": "checkbox", "description": "If selected glance artifact repository will be enabled", "weight": 40, "label": "Enable glance artifact repository"}, "murano_repo_url": {"value": "http://storage.apps.openstack.org/", "type": "text", "description": "", "weight": 10, "label": "Murano Repository URL"}, "metadata": {"restrictions": [{"action": "hide", "message": "Murano is not enabled on the Additional Components section", "condition": "settings:additional_components.murano.value == false"}], "group": "openstack_services", "weight": 20, "label": "Murano Settings"}}, "external_mongo": {"mongo_db_name": {"regex": {"source": "^\\\\w+$", "error": "Invalid database name"}, "description": "Mongo database name", "weight": 30, "value": "ceilometer", "label": "Database name", "type": "text"}, "mongo_replset": {"value": "", "type": "text", "description": "Name for Mongo replication set", "weight": 30, "label": "Replset"}, "mongo_user": {"regex": {"source": "^\\\\w+$", "error": "Empty username"}, "description": "Mongo database username", "weight": 30, "value": "ceilometer", "label": "Username", "type": "text"}, "hosts_ip": {"regex": {"source": "^(((25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\\\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?),)*((25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\\\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)$", "error": "Invalid hosts ip sequence"}, "description": "IP Addresses of MongoDB. Use comma to split IPs", "weight": 30, "value": "", "label": "MongoDB hosts IP", "type": "text"}, "mongo_password": {"regex": {"source": "^\\\\S*$", "error": "Password contains spaces"}, "description": "Mongo database password", "weight": 30, "value": "ceilometer", "label": "Password", "type": "password"}, "metadata": {"restrictions": [{"action": "hide", "message": "Ceilometer and MongoDB are not enabled on the Additional Components section", "condition": "settings:additional_components.mongo.value == false"}], "group": "openstack_services", "weight": 30, "label": "External MongoDB"}}, "external_dns": {"dns_list": {"regex": {"source": "^(([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\\\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])$", "error": "Invalid IP address"}, "description": "List of upstream DNS servers", "weight": 10, "max": 3, "value": {"generator": "from_settings", "generator_arg": "DNS_UPSTREAM"}, "label": "DNS list", "type": "text_list"}, "metadata": {"group": "network", "weight": 30, "label": "Host OS DNS Servers"}}, "workloads_collector": {"password": {"type": "password", "value": {"generator": "password"}}, "enabled": {"type": "hidden", "value": true}, "user": {"type": "text", "value": "fuel_stats_user"}, "tenant": {"type": "text", "value": "services"}, "metadata": {"restrictions": [{"action": "hide", "condition": "true"}], "group": "general", "weight": 10, "label": "Workloads Collector User"}}, "public_network_assignment": {"assign_to_all_nodes": {"value": false, "type": "checkbox", "description": "When disabled, public network will be assigned to controllers only", "weight": 10, "label": "Assign public network to all nodes"}, "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron'"}], "group": "network", "weight": 10, "label": "Public network assignment"}}, "provision": {"packages": {"type": "textarea", "value": "acl\\nanacron\\nbash-completion\\nbridge-utils\\nbsdmainutils\\nbuild-essential\\ncloud-init\\ncurl\\ndaemonize\\ndebconf-utils\\ngdisk\\ngrub-pc\\nhpsa-dkms\\nhwloc\\ni40e-dkms\\nlinux-firmware\\nlinux-firmware-nonfree\\nlinux-headers-generic-lts-trusty\\nlinux-image-generic-lts-trusty\\nlvm2\\nmcollective\\nmdadm\\nmultipath-tools\\nmultipath-tools-boot\\nnailgun-agent\\nnailgun-mcagents\\nnetwork-checker\\nntp\\nopenssh-client\\nopenssh-server\\npuppet\\npython-amqp\\nruby-augeas\\nruby-ipaddress\\nruby-json\\nruby-netaddr\\nruby-openstack\\nruby-shadow\\nruby-stomp\\ntelnet\\nubuntu-minimal\\nubuntu-standard\\nuuid-runtime\\nvim\\nvirt-what\\nvlan\\n", "weight": 10, "label": "Initial packages"}, "method": {"type": "hidden", "value": "image"}, "metadata": {"restrictions": [{"action": "hide", "condition": "false"}], "group": "general", "weight": 80, "label": "Provision"}}, "external_ntp": {"ntp_list": {"regex": {"source": "^[a-zA-Z\\\\d]+[-\\\\.\\\\da-zA-Z]*$", "error": "Invalid NTP server"}, "description": "List of upstream NTP servers", "weight": 10, "value": {"generator": "from_settings", "generator_arg": "NTP_UPSTREAM"}, "label": "NTP server list", "type": "text_list"}, "metadata": {"group": "network", "weight": 40, "label": "Host OS NTP Servers"}}, "neutron_advanced_configuration": {"neutron_qos": {"value": false, "type": "checkbox", "description": "Enable Neutron QoS advanced service plug-in", "weight": 40, "label": "Neutron QoS"}, "neutron_l3_ha": {"restrictions": [{"message": "Neutron DVR must be disabled in order to use Neutron L3 HA", "condition": "settings:neutron_advanced_configuration.neutron_dvr.value == true"}], "description": "Enable High Availability features for Virtual Routers in Neutron\\nRequires at least 2 Controller nodes to function properly\\n", "weight": 30, "value": false, "label": "Neutron L3 HA", "type": "checkbox"}, "neutron_dvr": {"restrictions": [{"networking_parameters:segmentation_type != 'vlan' and settings:neutron_advanced_configuration.neutron_l2_pop.value == false": "DVR requires L2 population to be enabled."}], "description": "Enable Distributed Virtual Routers in Neutron", "weight": 20, "value": false, "label": "Neutron DVR", "type": "checkbox"}, "neutron_l2_pop": {"restrictions": [{"action": "hide", "condition": "networking_parameters:segmentation_type == 'vlan'"}], "description": "Enable L2 population mechanism in Neutron", "weight": 10, "value": false, "label": "Neutron L2 population", "type": "checkbox"}, "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron'"}], "group": "network", "weight": 20, "label": "Neutron Advanced Configuration"}}}}	{"rule_to_pick_boot_disk": [{"regex": "^nvme", "type": "exclude_disks_by_name", "description": "NVMe drives should be skipped as accessing such drives during the boot typically requires using UEFI which is still not supported by fuel-agent (it always installs BIOS variant of  grub). grub bug (http://savannah.gnu.org/bugs/?41883)"}, {"regex": "^md", "type": "pick_root_disk_if_disk_name_match", "root_mount": "/", "description": "If we have /root on fake raid, then /boot partition should land on to it too. We can't proceed with grub-install otherwise."}], "volumes_roles_mapping": {"compute-vmware": [{"id": "os", "allocate_size": "min"}], "compute": [{"id": "os", "allocate_size": "min"}, {"id": "vm", "allocate_size": "all"}], "cinder-vmware": [{"id": "os", "allocate_size": "min"}], "virt": [{"id": "os", "allocate_size": "min"}, {"id": "vm", "allocate_size": "all"}], "base-os": [{"id": "os", "allocate_size": "min"}], "controller": [{"id": "os", "allocate_size": "min"}, {"id": "logs", "allocate_size": "min"}, {"id": "image", "allocate_size": "all"}, {"id": "mysql", "allocate_size": "min"}, {"id": "horizon", "allocate_size": "min"}], "other": [{"id": "os", "allocate_size": "all"}], "cinder-block-device": [{"id": "os", "allocate_size": "min"}, {"id": "cinder-block-device", "allocate_size": "full-disk"}], "ironic": [{"id": "os", "allocate_size": "min"}, {"id": "logs", "allocate_size": "min"}], "ceph-osd": [{"id": "os", "allocate_size": "min"}, {"id": "cephjournal", "allocate_size": "min"}, {"id": "ceph", "allocate_size": "full-disk"}], "cinder": [{"id": "os", "allocate_size": "min"}, {"id": "cinder", "allocate_size": "all"}], "mongo": [{"id": "os", "allocate_size": "min"}, {"id": "mongo", "allocate_size": "all"}]}, "volumes": [{"min_size": {"generator": "calc_min_os_size"}, "type": "vg", "id": "os", "volumes": [{"mount": "/", "size": {"generator": "calc_total_root_vg"}, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": {"generator": "calc_swap_size"}, "type": "lv", "name": "swap", "file_system": "swap"}], "label": "Base System"}, {"min_size": {"generator_args": [10], "generator": "calc_gb_to_mb"}, "type": "vg", "id": "logs", "volumes": [{"mount": "/var/log", "size": {"generator_args": ["logs"], "generator": "calc_total_vg"}, "type": "lv", "name": "log", "file_system": "ext4"}], "label": "Logs"}, {"min_size": {"generator": "calc_min_mongo_size"}, "type": "vg", "id": "mongo", "volumes": [{"mount": "/var/lib/mongo", "size": {"generator_args": ["mongo"], "generator": "calc_total_vg"}, "type": "lv", "name": "mongodb", "file_system": "ext4"}], "label": "MongoDB"}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "Ceph", "mount": "none", "label": "Ceph", "min_size": {"generator": "calc_min_ceph_size"}, "type": "partition", "id": "ceph", "file_system": "none"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "Ceph Journal", "mount": "none", "label": "Ceph Journal", "min_size": {"generator": "calc_min_ceph_journal_size"}, "type": "partition", "id": "cephjournal", "file_system": "none"}, {"min_size": {"generator": "calc_min_mysql_size"}, "type": "vg", "id": "mysql", "volumes": [{"mount": "/var/lib/mysql", "size": {"generator_args": ["mysql"], "generator": "calc_total_vg"}, "type": "lv", "name": "root", "file_system": "ext4"}], "label": "Mysql Database"}, {"min_size": {"generator": "calc_min_vm_size"}, "type": "vg", "id": "vm", "volumes": [{"mount": "/var/lib/nova", "size": {"generator_args": ["vm"], "generator": "calc_total_vg"}, "type": "lv", "name": "nova", "file_system": "xfs"}], "label": "Virtual Storage"}, {"min_size": {"generator": "calc_min_glance_size"}, "type": "vg", "id": "image", "volumes": [{"mount": "/var/lib/glance", "size": {"generator_args": ["image"], "generator": "calc_total_vg"}, "type": "lv", "name": "glance", "file_system": "xfs"}], "label": "Image Storage"}, {"min_size": {"generator_args": [11], "generator": "calc_gb_to_mb"}, "type": "vg", "id": "horizon", "volumes": [{"mount": "/var/lib/horizon", "size": {"generator_args": ["horizon"], "generator": "calc_total_vg"}, "type": "lv", "name": "horizontmp", "file_system": "xfs"}], "label": "Horizon Temp Storage"}, {"min_size": {"generator": "calc_min_cinder_size"}, "type": "vg", "id": "cinder", "volumes": [], "label": "Cinder"}, {"mount": "none", "label": "Cinder Block Device", "min_size": {"generator": "calc_min_cinder_size"}, "volumes": [], "type": "vg", "id": "cinder-block-device"}]}	{"ha_compact": {"description": "This configuration Deploys OpenStack ready for high availability (HA). Controller services are prepared for HA by setting up a base MySQL/Galera, RabbitMQ and HAProxy so that additional controllers can be deployed NOW, or scaled out LATER. 3 or more controllers are required for a true HA environment."}}	{"compute-vmware": {"restrictions": [{"action": "hide", "condition": "settings:common.use_vcenter.value == false"}], "group": "compute", "name": "Compute VMware", "weight": 90, "conflicts": ["controller", "compute", "cinder", "cinder-block-device", "ceph-osd", "mongo", "base-os", "virt", "ironic"], "description": "A node that runs nova-compute with VCDriver, that manages ESXi computing resources via VMware vCenter."}, "compute": {"limits": {"recommended": 1}, "group": "compute", "name": "Compute", "weight": 20, "fault_tolerance": "2%", "public_for_dvr_required": true, "description": "A Compute node creates, manages, and terminates virtual machine instances."}, "cinder-vmware": {"restrictions": [{"action": "hide", "condition": "settings:common.use_vcenter.value == false"}], "group": "storage", "name": "Cinder Proxy to VMware Datastore", "limits": {"recommended": 1}, "weight": 40, "description": "Cinder-VMware provides scheduling of block storage resources delivered over VMware vCenter. Block storage can be used for database storage, expandable file systems, or providing a server with access to raw block level devices."}, "virt": {"restrictions": [{"action": "hide", "condition": "not ('advanced' in version:feature_groups)"}], "group": "compute", "name": "Virtual", "weight": 80, "public_ip_required": true, "conflicts": ["controller", "base-os"], "description": "ADVANCED: Make available possibilities to spawn vms on this node that can be assign as a normal nodes."}, "base-os": {"group": "other", "name": "Operating System", "weight": 70, "description": "Install base Operating System without additional packages and configuration."}, "controller": {"limits": {"recommended": 3, "overrides": [{"message": "Neutron L3 HA requires at least 2 Controller nodes to function properly.", "condition": "settings:neutron_advanced_configuration.neutron_l3_ha.value == true", "min": 2}], "min": 1}, "group": "base", "name": "Controller", "weight": 10, "update_required": ["compute", "cinder"], "conflicts": ["compute"], "public_ip_required": true, "has_primary": true, "public_for_dvr_required": true, "description": "The Controller initiates orchestration activities and provides an external API.  Other components like Glance (image storage), Keystone (identity management), Horizon (OpenStack dashboard) and Nova-Scheduler are installed on the controller as well."}, "cinder": {"restrictions": [{"message": "Cinder LVM should be enabled in the environment settings.", "condition": "settings:storage.volumes_lvm.value == false"}, {"message": "Ceph RBD cannot be used with Cinder", "condition": "settings:storage.volumes_ceph.value == true"}], "group": "storage", "name": "Cinder", "limits": {"recommended": 1}, "weight": 30, "description": "Cinder provides scheduling of block storage resources, typically delivered over iSCSI and other compatible backend storage systems. Block storage can be used for database storage, expandable file systems, or to provide a server with access to raw block level devices."}, "ironic": {"restrictions": [{"message": "Ironic should be enabled in the environment settings.", "condition": "settings:additional_components.ironic.value == false"}], "group": "compute", "name": "Ironic", "limits": {"recommended": 3, "min": 1}, "weight": 100, "conflicts": ["compute"], "description": "Ironic conductor."}, "ceph-osd": {"restrictions": [{"message": "Ceph should be enabled in the environment settings.", "condition": "settings:storage.volumes_ceph.value == false and settings:storage.images_ceph.value == false and settings:storage.ephemeral_ceph.value == false and settings:storage.objects_ceph.value == false"}], "group": "storage", "weight": 50, "limits": {"min": "settings:storage.osd_pool_size.value"}, "name": "Ceph OSD", "update_once": ["controller"], "description": "Ceph storage can be configured to provide storage for block volumes (Cinder), images (Glance) and ephemeral instance storage (Nova). It can also provide object storage through the S3 and Swift API (See settings to enable each)."}, "cinder-block-device": {"restrictions": [{"message": "Cinder Block Device driver should be enabled in the environment settings.", "condition": "settings:storage.volumes_block_device.value == false"}, {"message": "Ceph RBD cannot be used with Cinder Block Device", "condition": "settings:storage.volumes_ceph.value == true"}], "group": "storage", "name": "Cinder Block Device", "weight": 35, "has_primary": false, "public_ip_required": false, "conflicts": ["controller", "cinder", "cinder-vmware", "ceph-osd"], "description": "Host node for Cinder Block Devices."}, "mongo": {"restrictions": [{"message": "Ceilometer should be enabled in the environment settings.", "condition": "settings:additional_components.ceilometer.value == false"}, {"message": "You are already using external MongoDB.", "condition": "settings:additional_components.mongo.value == true"}], "group": "other", "name": "Telemetry - MongoDB", "limits": {"overrides": [{"max": 1, "message": "At most 1 MongoDB node can be added for non-HA deployment", "condition": "cluster:mode != 'ha_compact'"}, {"recommended": 3, "message": "At least 3 MongoDB nodes are recommended for HA deployment.", "condition": "cluster:mode == 'ha_compact'"}], "min": 1}, "weight": 60, "conflicts": ["compute", "ceph-osd"], "has_primary": true, "description": "A feature-complete and recommended database for storage of metering data from OpenStack Telemetry (Ceilometer)."}}	{"editable": {"value": {"glance": {"vcenter_username": "", "datacenter": "", "vcenter_host": "", "ca_file": "", "datastore": "", "vcenter_password": ""}, "availability_zones": [{"vcenter_username": "", "az_name": "vcenter", "vcenter_password": "", "vcenter_host": "", "nova_computes": [{"datastore_regex": "", "vsphere_cluster": "", "service_name": "", "target_node": {"current": {"id": "controllers", "label": "controllers"}, "options": [{"id": "controllers", "label": "controllers"}]}}]}]}, "metadata": [{"restrictions": [{"message": "VMware vCenter not enabled for cluster", "condition": "settings:common.use_vcenter.value == false"}], "type": "array", "name": "availability_zones", "fields": [{"regex": {"source": "^(?!nova$)\\\\w+$", "error": "Invalid availability zone name"}, "label": "Availability zone", "type": "text", "description": "Availability zone name", "name": "az_name"}, {"regex": {"source": "^[a-zA-Z\\\\d]+[-\\\\.\\\\da-zA-Z]*$", "error": "Invalid vCenter host"}, "label": "vCenter host", "type": "text", "description": "vCenter host or IP", "name": "vcenter_host"}, {"regex": {"source": "\\\\S", "error": "Empty vCenter username"}, "label": "vCenter username", "type": "text", "description": "vCenter username", "name": "vcenter_username"}, {"regex": {"source": "\\\\S", "error": "Empty vCenter password"}, "label": "vCenter password", "type": "password", "description": "vCenter password", "name": "vcenter_password"}, {"type": "array", "editable_for_deployed": true, "name": "nova_computes", "fields": [{"regex": {"source": "\\\\S", "error": "Invalid vSphere cluster"}, "label": "vSphere cluster", "type": "text", "description": "vSphere cluster", "name": "vsphere_cluster"}, {"regex": {"source": "^\\\\w[\\\\w\\\\-]+$", "error": "Invalid service name"}, "label": "Service name", "type": "text", "description": "Service name", "name": "service_name"}, {"regex": {"source": "\\\\S", "error": "Invalid datastore regex"}, "label": "Datastore regex", "type": "text", "description": "Datastore regex", "name": "datastore_regex"}, {"label": "Target node", "type": "select", "description": "Target node for nova-compute service", "name": "target_node"}]}]}, {"restrictions": [{"message": "VMware vCenter datastore for images is not enabled in Settings tab", "condition": "settings:storage.images_vcenter.value == false or settings:common.use_vcenter.value == false"}], "type": "object", "name": "glance", "fields": [{"regex": {"source": "^[a-zA-Z\\\\d]+[-\\\\.\\\\da-zA-Z]*$", "error": "Invalid vCenter host"}, "label": "vCenter host", "type": "text", "description": "vCenter host or IP", "name": "vcenter_host"}, {"regex": {"source": "\\\\S", "error": "Empty vCenter username"}, "label": "vCenter username", "type": "text", "description": "vCenter username", "name": "vcenter_username"}, {"regex": {"source": "\\\\S", "error": "Empty vCenter password"}, "label": "vCenter password", "type": "password", "description": "vCenter password", "name": "vcenter_password"}, {"regex": {"source": "\\\\S", "error": "Invalid datacenter"}, "label": "Datacenter", "type": "text", "description": "Datacenter", "name": "datacenter"}, {"regex": {"source": "\\\\S", "error": "Invalid datastore"}, "label": "Datastore", "type": "text", "description": "Datastore", "name": "datastore"}, {"label": "CA file", "type": "file", "description": "File containing the trusted CA bundle that emitted vCenter server certificate. If empty vCenters certificate is not verified.", "name": "ca_file"}]}]}}	["ha_compact"]	[{"default_mapping": "management", "id": "keystone/api", "properties": {"subnet": true, "vip": [], "gateway": false}}, {"default_mapping": "fuelweb_admin", "id": "admin/pxe", "properties": {"subnet": true, "vip": [], "gateway": true}}, {"default_mapping": "management", "id": "swift/api", "properties": {"subnet": true, "vip": [], "gateway": false}}, {"default_mapping": "management", "id": "neutron/api", "properties": {"subnet": true, "vip": [], "gateway": false}}, {"default_mapping": "management", "id": "sahara/api", "properties": {"subnet": true, "vip": [], "gateway": false}}, {"default_mapping": "management", "id": "aodh/api", "properties": {"subnet": true, "vip": [], "gateway": false}}, {"default_mapping": "management", "id": "ceilometer/api", "properties": {"subnet": true, "vip": [], "gateway": false}}, {"default_mapping": "management", "id": "cinder/api", "properties": {"subnet": true, "vip": [], "gateway": false}}, {"default_mapping": "management", "id": "glance/api", "properties": {"subnet": true, "vip": [], "gateway": false}}, {"default_mapping": "management", "id": "glance/glare", "properties": {"subnet": true, "vip": [], "gateway": false}}, {"default_mapping": "management", "id": "heat/api", "properties": {"subnet": true, "vip": [], "gateway": false}}, {"default_mapping": "management", "id": "nova/api", "properties": {"subnet": true, "vip": [], "gateway": false}}, {"default_mapping": "management", "id": "murano/api", "properties": {"subnet": true, "vip": [], "gateway": false}}, {"default_mapping": "management", "id": "murano/cfapi", "properties": {"subnet": true, "vip": [], "gateway": false}}, {"default_mapping": "management", "id": "horizon", "properties": {"subnet": true, "vip": [], "gateway": false}}, {"default_mapping": "management", "id": "mgmt/memcache", "properties": {"subnet": true, "vip": [], "gateway": false}}, {"default_mapping": "management", "id": "mgmt/database", "properties": {"subnet": true, "vip": [], "gateway": false}}, {"default_mapping": "management", "id": "mgmt/messaging", "properties": {"subnet": true, "vip": [], "gateway": false}}, {"default_mapping": "management", "id": "mgmt/corosync", "properties": {"subnet": true, "vip": [], "gateway": false}}, {"default_mapping": "management", "id": "mgmt/vip", "properties": {"subnet": true, "vip": [{"alias": "management_vrouter_vip", "namespace": "vrouter", "name": "vrouter"}, {"alias": "management_vip", "namespace": "haproxy", "name": "management"}], "gateway": false}}, {"default_mapping": "public", "id": "public/vip", "properties": {"subnet": true, "vip": [{"alias": "public_vrouter_vip", "vendor_specific": {"iptables_rules": {"ns_start": ["iptables -t nat -A POSTROUTING -o <%INT%> -j MASQUERADE"], "ns_stop": ["iptables -t nat -D POSTROUTING -o <%INT%> -j MASQUERADE"]}}, "namespace": "vrouter", "name": "vrouter_pub"}, {"alias": "public_vip", "namespace": "haproxy", "name": "public"}], "gateway": true}}, {"default_mapping": "private", "id": "neutron/private", "properties": {"subnet": false, "vip": [], "gateway": false}}, {"default_mapping": "private", "id": "neutron/mesh", "properties": {"subnet": true, "vip": [], "gateway": false}}, {"default_mapping": "public", "id": "neutron/floating", "properties": {"subnet": false, "vip": [], "gateway": false}}, {"default_mapping": "storage", "id": "swift/replication", "properties": {"subnet": true, "vip": [], "gateway": false}}, {"default_mapping": "storage", "id": "ceph/public", "properties": {"subnet": true, "vip": [], "gateway": false}}, {"default_mapping": "public", "id": "ceph/radosgw", "properties": {"subnet": true, "vip": [], "gateway": false}}, {"default_mapping": "storage", "id": "ceph/replication", "properties": {"subnet": true, "vip": [], "gateway": false}}, {"default_mapping": "storage", "id": "cinder/iscsi", "properties": {"subnet": true, "vip": [], "gateway": false}}, {"default_mapping": "management", "id": "mongo/db", "properties": {"subnet": true, "vip": [], "gateway": false}}, {"default_mapping": "fuelweb_admin", "id": "fw-admin", "properties": {"subnet": true, "vip": [], "gateway": true}}, {"default_mapping": "management", "id": "management", "properties": {"subnet": true, "vip": [], "gateway": false}}, {"default_mapping": "public", "id": "ex", "properties": {"subnet": true, "vip": [], "gateway": true}}, {"default_mapping": "storage", "id": "storage", "properties": {"subnet": true, "vip": [], "gateway": false}}, {"default_mapping": "management", "id": "nova/migration", "properties": {"subnet": true, "vip": [], "gateway": false}}, {"default_mapping": "management", "id": "ironic/api", "properties": {"subnet": true, "vip": [], "gateway": false}}, {"default_mapping": "baremetal", "id": "ironic/baremetal", "properties": {"subnet": true, "vip": [{"alias": "baremetal_vip", "vendor_specific": {"iptables_rules": {"ns_start": ["iptables -A INPUT -i <%INT%> -s <%CIDR%> -d <%IP%> -p tcp -m multiport --dports 6385,8080 -m state --state NEW -j ACCEPT", "iptables -A INPUT -i <%INT%> -s <%CIDR%> -d <%IP%> -m state --state ESTABLISHED,RELATED -j ACCEPT", "iptables -A INPUT -i <%INT%> -j DROP"], "ns_stop": ["iptables -D INPUT -i <%INT%> -s <%CIDR%> -d <%IP%> -p tcp -m multiport --dports 6385,8080 -m state --state NEW -j ACCEPT", "iptables -D INPUT -i <%INT%> -s <%CIDR%> -d <%IP%> -m state --state ESTABLISHED,RELATED -j ACCEPT", "iptables -D INPUT -i <%INT%> -j DROP"]}}, "namespace": "haproxy", "name": "baremetal"}], "gateway": false}}]	{volume_manager}	[{"name": "hypervisor:qemu", "weight": 5, "default": true, "bind": [["settings:common.libvirt_type.value", "qemu"]], "label": "dialog.create_cluster_wizard.compute.qemu", "compatible": [{"name": "hypervisor:vmware"}], "description": "dialog.create_cluster_wizard.compute.qemu_description"}, {"description": "dialog.create_cluster_wizard.compute.vcenter_description", "weight": 15, "bind": ["settings:common.use_vcenter.value"], "label": "dialog.create_cluster_wizard.compute.vcenter", "compatible": [{"name": "hypervisor:qemu"}], "requires": [{"message": "dialog.create_cluster_wizard.compute.vcenter_warning", "name": "hypervisor:qemu"}], "name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2", "weight": 1000, "default": true, "label": "dialog.create_cluster_wizard.network.neutron_ml2", "compatible": [{"name": "hypervisor:*"}, {"name": "network:neutron:ml2:*"}], "description": "dialog.create_cluster_wizard.network.neutron_ml2_description"}, {"description": "dialog.create_cluster_wizard.network.neutron_vlan_description", "weight": 5, "incompatible": [{"message": "dialog.create_cluster_wizard.network.vlan_tun_alert", "name": "network:neutron:ml2:tun"}], "default": true, "bind": [["cluster:net_provider", "neutron"], ["cluster:net_segment_type", "vlan"]], "label": "common.network.neutron_vlan", "compatible": [{"name": "network:neutron:core:ml2"}, {"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}], "requires": [{"name": "network:neutron:core:ml2"}], "name": "network:neutron:ml2:vlan"}, {"description": "dialog.create_cluster_wizard.network.neutron_tun_description", "weight": 10, "incompatible": [{"message": "dialog.create_cluster_wizard.network.vlan_tun_alert", "name": "network:neutron:ml2:vlan"}, {"message": "dialog.create_cluster_wizard.network.hypervisor_alert", "name": "hypervisor:vmware"}, {"message": "dialog.create_cluster_wizard.additional.ironic_network_mode_alert", "name": "additional_service:ironic"}], "bind": [["cluster:net_provider", "neutron"], ["cluster:net_segment_type", "tun"]], "label": "common.network.neutron_tun", "compatible": [{"name": "network:neutron:core:ml2"}, {"name": "hypervisor:qemu"}], "requires": [{"name": "network:neutron:core:ml2"}], "name": "network:neutron:ml2:tun"}, {"description": "dialog.create_cluster_wizard.storage.default_provider", "weight": 5, "incompatible": [{"message": "LVM not compatible with Ceph", "name": "storage:block:ceph"}], "default": true, "bind": ["settings:storage.volumes_lvm.value"], "label": "dialog.create_cluster_wizard.storage.lvm", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}], "name": "storage:block:lvm"}, {"name": "storage:block:ceph", "weight": 10, "incompatible": [{"message": "Ceph not compatible with LVM", "name": "storage:block:lvm"}], "bind": [["settings:storage.volumes_ceph.value", true], ["settings:storage.volumes_lvm.value", false]], "label": "dialog.create_cluster_wizard.storage.ceph", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}, {"name": "storage:object:ceph"}, {"name": "storage:ephemeral:ceph"}, {"name": "storage:image:ceph"}], "description": "dialog.create_cluster_wizard.storage.ceph_block"}, {"name": "storage:object:ceph", "weight": 10, "bind": ["settings:storage.objects_ceph.value"], "label": "dialog.create_cluster_wizard.storage.ceph", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}, {"name": "storage:block:lvm"}, {"name": "storage:block:ceph"}, {"name": "storage:ephemeral:ceph"}, {"name": "storage:image:ceph"}], "description": "dialog.create_cluster_wizard.storage.ceph_object"}, {"name": "storage:ephemeral:ceph", "weight": 10, "bind": ["settings:storage.ephemeral_ceph.value"], "label": "dialog.create_cluster_wizard.storage.ceph", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}, {"name": "storage:block:lvm"}, {"name": "storage:block:ceph"}, {"name": "storage:object:ceph"}, {"name": "storage:image:ceph"}], "description": "dialog.create_cluster_wizard.storage.ceph_ephemeral"}, {"name": "storage:image:ceph", "weight": 10, "bind": ["settings:storage.images_ceph.value"], "label": "dialog.create_cluster_wizard.storage.ceph", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}, {"name": "storage:block:lvm"}, {"name": "storage:block:ceph"}, {"name": "storage:object:ceph"}, {"name": "storage:ephemeral:ceph"}], "description": "dialog.create_cluster_wizard.storage.ceph_image"}, {"name": "additional_service:sahara", "weight": 10, "bind": ["settings:additional_components.sahara.value"], "label": "dialog.create_cluster_wizard.additional.install_sahara", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}, {"name": "storage:block:lvm"}, {"name": "storage:block:ceph"}, {"name": "storage:object:ceph"}, {"name": "storage:ephemeral:ceph"}, {"name": "storage:image:ceph"}, {"name": "additional_service:sahara"}, {"name": "additional_service:murano"}, {"name": "additional_service:ceilometer"}, {"name": "additional_service:ironic"}], "description": "dialog.create_cluster_wizard.additional.install_sahara_description"}, {"name": "additional_service:murano", "weight": 20, "bind": ["settings:additional_components.murano.value"], "label": "dialog.create_cluster_wizard.additional.install_murano", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}, {"name": "storage:block:lvm"}, {"name": "storage:block:ceph"}, {"name": "storage:object:ceph"}, {"name": "storage:ephemeral:ceph"}, {"name": "storage:image:ceph"}, {"name": "additional_service:sahara"}, {"name": "additional_service:ceilometer"}, {"name": "additional_service:ironic"}], "description": "dialog.create_cluster_wizard.additional.install_murano_description"}, {"name": "additional_service:ceilometer", "weight": 30, "bind": ["settings:additional_components.ceilometer.value"], "label": "dialog.create_cluster_wizard.additional.install_ceilometer", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}, {"name": "storage:block:lvm"}, {"name": "storage:block:ceph"}, {"name": "storage:object:ceph"}, {"name": "storage:ephemeral:ceph"}, {"name": "storage:image:ceph"}, {"name": "additional_service:sahara"}, {"name": "additional_service:murano"}, {"name": "additional_service:ironic"}], "description": "dialog.create_cluster_wizard.additional.install_ceilometer_description"}, {"name": "additional_service:ironic", "weight": 40, "incompatible": [{"message": "dialog.create_cluster_wizard.additional.ironic_network_mode_alert", "name": "network:neutron:ml2:tun"}], "bind": ["settings:additional_components.ironic.value"], "label": "dialog.create_cluster_wizard.additional.install_ironic", "compatible": [{"name": "hypervisor:qemu"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "storage:block:lvm"}, {"name": "storage:block:ceph"}, {"name": "storage:object:ceph"}, {"name": "storage:ephemeral:ceph"}, {"name": "storage:image:ceph"}, {"name": "additional_service:sahara"}, {"name": "additional_service:murano"}, {"name": "additional_service:ceilometer"}], "description": "dialog.create_cluster_wizard.additional.install_ironic_description"}]	{"cpu_pinning": {"dpdk": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "description": "Number of CPUs for DPDK usage", "weight": 20, "min": 0, "value": 0, "label": "DPDK CPU pinning", "type": "number"}, "nova": {"description": "Number of CPUs for Nova usage", "weight": 10, "min": 0, "value": 0, "label": "Nova CPU pinning", "type": "number"}, "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'kvm'"}], "group": "nfv", "weight": 10, "label": "CPU pinning"}}, "hugepages": {"dpdk": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "description": "DPDK Huge Pages per NUMA node in MB", "weight": 20, "min": 0, "value": 0, "label": "DPDK Huge Pages", "type": "number"}, "nova": {"value": {}, "type": "custom_hugepages", "description": "Nova Huge Pages configuration", "weight": 10, "label": "Nova Huge Pages"}, "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'kvm'"}], "group": "nfv", "weight": 20, "label": "Huge Pages"}}}
\.


--
-- Name: releases_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('releases_id_seq', 3, true);


--
-- Data for Name: tasks; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY tasks (id, cluster_id, uuid, name, message, status, progress, cache, result, parent_id, weight, deleted_at, deployment_info, cluster_settings, network_settings, tasks_snapshot) FROM stdin;
1	1	a54c2f0f-6f70-499d-8049-8f538011f1bc	check_networks	\N	ready	100	{}	{}	\N	1	\N	\N	\N	\N	\N
2	1	f46ba423-35a9-47d1-b51d-b9725297eb89	deploy	Nodes "Untitled (90:f0) (id=3, mac=ec:b1:d7:9d:90:f0),Untitled (98:40) (id=1, mac=ec:b1:d7:9d:98:40)" are offline. Remove them from environment and try again.	error	100	{}	{}	\N	1	2016-11-17 20:29:42.040709	\N	\N	\N	\N
4	1	a02b49b5-4436-473b-ba43-5479a3c18b52	check_before_deployment	Nodes "Untitled (90:f0) (id=3, mac=ec:b1:d7:9d:90:f0),Untitled (98:40) (id=1, mac=ec:b1:d7:9d:98:40)" are offline. Remove them from environment and try again.	error	100	{}	{}	2	1	2016-11-17 20:29:42.043747	\N	\N	\N	\N
5	1	f285cfd8-eb2f-4b37-9289-59fb2843c2fb	deploy	Nodes "Untitled (9c:00) (id=2, mac=ec:b1:d7:9d:9c:00),Untitled (92:60) (id=4, mac=ec:b1:d7:9d:92:60),Untitled (90:f0) (id=3, mac=ec:b1:d7:9d:90:f0),Untitled (98:40) (id=1, mac=ec:b1:d7:9d:98:40),Untitled (9b:f0) (id=5, mac=ec:b1:d7:9d:9b:f0)" are offline. Remove them from environment and try again.	error	100	{}	{}	\N	1	2016-11-17 20:31:43.847353	\N	\N	\N	\N
7	1	51bc72ba-fc61-4450-9a29-34f036b60cff	check_before_deployment	Nodes "Untitled (9c:00) (id=2, mac=ec:b1:d7:9d:9c:00),Untitled (92:60) (id=4, mac=ec:b1:d7:9d:92:60),Untitled (90:f0) (id=3, mac=ec:b1:d7:9d:90:f0),Untitled (98:40) (id=1, mac=ec:b1:d7:9d:98:40),Untitled (9b:f0) (id=5, mac=ec:b1:d7:9d:9b:f0)" are offline. Remove them from environment and try again.	error	100	{}	{}	5	1	2016-11-17 20:31:43.849312	\N	\N	\N	\N
10	1	18e54745-3be2-4a5a-b3e2-f8fca37cea4d	check_before_deployment	Nodes "Untitled (9c:00) (id=2, mac=ec:b1:d7:9d:9c:00),Untitled (92:60) (id=4, mac=ec:b1:d7:9d:92:60),Untitled (90:f0) (id=3, mac=ec:b1:d7:9d:90:f0),Untitled (98:40) (id=1, mac=ec:b1:d7:9d:98:40),Untitled (9b:f0) (id=5, mac=ec:b1:d7:9d:9b:f0)" are offline. Remove them from environment and try again.	error	100	{}	{}	8	1	\N	\N	\N	\N	\N
8	1	b21cfca7-47b3-48c9-b96a-82cfc59637c5	deploy	Nodes "Untitled (9c:00) (id=2, mac=ec:b1:d7:9d:9c:00),Untitled (92:60) (id=4, mac=ec:b1:d7:9d:92:60),Untitled (90:f0) (id=3, mac=ec:b1:d7:9d:90:f0),Untitled (98:40) (id=1, mac=ec:b1:d7:9d:98:40),Untitled (9b:f0) (id=5, mac=ec:b1:d7:9d:9b:f0)" are offline. Remove them from environment and try again.	error	100	{}	{}	\N	1	\N	\N	\N	\N	\N
11	\N	3c1f7d8b-3837-42b4-bf37-518b12e6028b	dump	\N	running	0	{"respond_to": "dump_environment_resp", "args": {"task_uuid": "3c1f7d8b-3837-42b4-bf37-518b12e6028b", "settings": {"target": "/var/dump/fuel-snapshot", "dump": {"master": {"objects": [{"path": "/etc/nailgun", "type": "dir"}, {"path": "/etc/astute", "type": "dir"}, {"path": "/etc/fuel", "type": "dir"}, {"path": "/etc/fuel_build_id", "type": "file"}, {"path": "/etc/fuel_build_number", "type": "file"}, {"command": "shotgun2 report", "to_file": "shotgun2_report.txt", "type": "command"}, {"command": "df -h", "to_file": "df.txt", "type": "command"}, {"command": "mount", "to_file": "mount.txt", "type": "command"}, {"command": "iptables -t nat -S", "to_file": "iptables_nat.txt", "type": "command"}, {"command": "iptables -t filter -S", "to_file": "iptables_filter.txt", "type": "command"}, {"command": "dmidecode", "to_file": "dmidecode.txt", "type": "command"}, {"command": "uptime", "to_file": "uptime.txt", "type": "command"}, {"command": "ps auxwwf", "to_file": "ps.txt", "type": "command"}, {"command": "pvdisplay", "to_file": "lvm_pvdisplay.txt", "type": "command"}, {"command": "docker images", "to_file": "docker_images.txt", "type": "command"}, {"command": "docker ps", "to_file": "docker_ps.txt", "type": "command"}, {"command": "vgdisplay", "to_file": "lvm_vgdisplay.txt", "type": "command"}, {"command": "lvdisplay", "to_file": "lvm_lvdisplay.txt", "type": "command"}, {"command": "ip a", "to_file": "ip_a.txt", "type": "command"}, {"command": "ip r", "to_file": "ip_r.txt", "type": "command"}, {"command": "netstat -anp", "to_file": "netstat.txt", "type": "command"}, {"command": "brctl show", "to_file": "brctl_show.txt", "type": "command"}, {"command": "rpm -qa", "to_file": "centos_installed_rpms.txt", "type": "command"}, {"command": "yum repolist", "to_file": "centos_repo_list.txt", "type": "command"}, {"command": "fuel-bootstrap list", "to_file": "fuel_bootstrap_list.txt", "type": "command"}, {"path": "/etc/sysconfig/network-scripts", "type": "dir"}, {"path": "/etc/dnsmasq.conf", "type": "file"}, {"path": "/root/*.log", "type": "file"}, {"path": "/etc/cobbler*", "type": "file"}, {"path": "/var/www/nailgun/bootstraps/active_bootstrap/metadata.yaml", "type": "file"}, {"path": "/var/log", "type": "dir", "exclude": ["atop/", "dump/"]}, {"path": "/var/log/atop/atop_current", "type": "file"}, {"command": "uname -a", "to_file": "uname_a.txt", "type": "command"}, {"command": "lsmod", "to_file": "lsmod.txt", "type": "command"}, {"path": "/etc/*-release", "type": "file"}], "hosts": [{"ssh-key": "/root/.ssh/id_rsa", "hostname": "fuel-ericsson-pod4", "address": "10.20.0.2"}]}, "controller": {"objects": [{"command": "pcs status", "to_file": "pcs_status.txt", "type": "command"}, {"path": "/var/log/pacemaker.log", "type": "file"}, {"command": "rabbitmqctl report", "to_file": "rabbitmqctl_report.txt", "type": "command"}, {"path": "/var/log/neutron/neutron-ns-metadata-proxy*.log", "type": "file"}, {"command": "for ns in $(ip netns list); do echo Namespace: ${ns}; ip netns exec ${ns} ip a; done", "to_file": "ip_a_ns.txt", "type": "command"}, {"command": "for ns in $(ip netns list); do echo Namespace: ${ns}; ip netns exec ${ns} ip r; done", "to_file": "ip_r_ns.txt", "type": "command"}, {"command": "for ns in $(ip netns list); do echo Namespace: ${ns}; ip netns exec ${ns} netstat -anp; done", "to_file": "netstat_ns.txt", "type": "command"}, {"path": "/etc/mysql", "type": "dir"}, {"path": "/var/log/mysql", "type": "dir"}, {"command": "ls -la /var/lib/mysql/ /var/run/mysqld/", "to_file": "mysql_resources.txt", "type": "command"}], "hosts": []}, "local": {"objects": [{"username": "nailgun", "dbhost": "10.20.0.2", "password": "uo5h2lJSDY0YdDm6p7c5ZeTL", "type": "postgres", "dbname": "nailgun"}, {"to_file": "cobbler.txt", "type": "xmlrpc", "methods": ["get_distros", "get_profiles", "get_systems"], "server": "http://10.20.0.2:80/cobbler_api"}], "hosts": []}, "slave": {"objects": [{"path": "/etc/astute.yaml", "type": "file"}, {"path": "/etc/hiera", "type": "dir"}, {"path": "/var/log/puppet.log", "type": "file"}, {"path": "/root/ceph*", "type": "file"}, {"path": "/root/anaconda*", "type": "file"}, {"path": "/root/*.log", "type": "file"}, {"path": "/root/*.ks", "type": "file"}, {"path": "/etc/apache2*", "type": "file"}, {"path": "/etc/httpd*", "type": "file"}, {"path": "/etc/ceph*", "type": "file"}, {"path": "/etc/keystone*", "type": "file"}, {"path": "/etc/nova*", "type": "file"}, {"path": "/etc/neutron*", "type": "file"}, {"path": "/etc/horizon*", "type": "file"}, {"path": "/etc/cinder*", "type": "file"}, {"path": "/etc/glance*", "type": "file"}, {"path": "/etc/swift*", "type": "file"}, {"path": "/etc/haproxy*", "type": "file"}, {"path": "/var/log/ceph", "type": "file"}, {"path": "/var/lib/puppet/state/last_run_summary.yaml", "type": "file"}, {"path": "/etc/resolv.conf", "type": "file"}, {"path": "/etc/mcollective/server.cfg", "type": "file"}, {"path": "/var/run/pcap_dir", "type": "dir"}, {"path": "/var/log/atop/atop_current", "type": "file"}, {"path": "/var/log/cron.log", "type": "file"}, {"command": "df -h", "to_file": "df.txt", "type": "command"}, {"command": "mount", "to_file": "mount.txt", "type": "command"}, {"command": "iptables -t nat -S", "to_file": "iptables_nat.txt", "type": "command"}, {"command": "iptables -t filter -S", "to_file": "iptables_filter.txt", "type": "command"}, {"command": "dmidecode", "to_file": "dmidecode.txt", "type": "command"}, {"command": "uptime", "to_file": "uptime.txt", "type": "command"}, {"command": "ps auxwwf", "to_file": "ps.txt", "type": "command"}, {"command": "pvdisplay", "to_file": "lvm_pvdisplay.txt", "type": "command"}, {"command": "vgdisplay", "to_file": "lvm_vgdisplay.txt", "type": "command"}, {"command": "lvdisplay", "to_file": "lvm_lvdisplay.txt", "type": "command"}, {"command": "ip a", "to_file": "ip_a.txt", "type": "command"}, {"command": "ip r", "to_file": "ip_r.txt", "type": "command"}, {"command": "arp -an", "to_file": "arp.txt", "type": "command"}, {"command": "netstat -anp", "to_file": "netstat.txt", "type": "command"}, {"command": "brctl show", "to_file": "brctl_show.txt", "type": "command"}, {"command": "rpm -qa", "to_file": "centos_installed_rpms.txt", "type": "command"}, {"command": "yum repolist", "to_file": "centos_repo_list.txt", "type": "command"}, {"command": "env COLUMNS=500 dpkg -l|cat", "to_file": "ubuntu_installed_debs.txt", "type": "command"}, {"command": "apt-cache policy", "to_file": "ubuntu_repo_list.txt", "type": "command"}, {"command": "sysctl -a", "to_file": "sysctl.txt", "type": "command"}, {"command": "dmsetup info -c --nameprefixes --noheadings -o blkdevname,subsystem,blkdevs_used,name,uuid", "to_file": "dmsetup_info.txt", "type": "command"}, {"path": "/var/lib/cloud", "type": "dir"}, {"path": "/var/log/cloud-init*.log", "type": "file"}, {"path": "/etc/sysconfig/network-scripts", "type": "dir"}, {"path": "/etc/network/interfaces.d", "type": "dir"}, {"path": "/etc/network/interfaces", "type": "file"}, {"path": "/root/post-partition.log", "type": "file"}, {"command": "blkid -o list", "to_file": "blkid_o_list.txt", "type": "command"}, {"command": "ceph health", "to_file": "ceph_health.txt", "type": "command"}, {"command": "ceph -s", "to_file": "ceph_s.txt", "type": "command"}, {"command": "ceph osd tree", "to_file": "ceph_osd_tree.txt", "type": "command"}, {"command": "cat /proc/interrupts", "to_file": "proc_interrupts.txt", "type": "command"}, {"command": "uname -a", "to_file": "uname_a.txt", "type": "command"}, {"command": "lsmod", "to_file": "lsmod.txt", "type": "command"}, {"path": "/etc/*-release", "type": "file"}, {"command": "dmesg", "to_file": "dmesg.txt", "type": "command"}, {"path": "/var/log/libvirt/qemu/instance*.log", "type": "file"}, {"path": "/var/log/libvirt/libvirtd.log", "type": "file"}, {"path": "/var/log/neutron", "type": "dir"}, {"path": "/var/log/nova", "type": "dir"}, {"path": "/var/log/*-all.log", "type": "file"}, {"path": "/var/log/syslog", "type": "file"}, {"exclude": ["/disk*"], "type": "dir", "path": "/var/lib/nova/instances/*-*"}], "hosts": []}}, "timestamp": true, "lastdump": "/var/www/nailgun/dump/last", "compression_level": 3, "timeout": 7200}}, "method": "dump_environment", "api_version": "1"}	{}	\N	1	\N	\N	\N	\N	\N
\.


--
-- Name: tasks_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('tasks_id_seq', 11, true);


--
-- Data for Name: vmware_attributes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY vmware_attributes (id, cluster_id, editable) FROM stdin;
1	1	{"value": {"glance": {"vcenter_username": "", "datacenter": "", "vcenter_host": "", "ca_file": "", "datastore": "", "vcenter_password": ""}, "availability_zones": [{"vcenter_username": "", "az_name": "vcenter", "vcenter_password": "", "vcenter_host": "", "nova_computes": [{"datastore_regex": "", "vsphere_cluster": "", "service_name": "", "target_node": {"current": {"id": "controllers", "label": "controllers"}, "options": [{"id": "controllers", "label": "controllers"}]}}]}]}, "metadata": [{"restrictions": [{"message": "VMware vCenter not enabled for cluster", "condition": "settings:common.use_vcenter.value == false"}], "type": "array", "name": "availability_zones", "fields": [{"regex": {"source": "^(?!nova$)\\\\w+$", "error": "Invalid availability zone name"}, "label": "Availability zone", "type": "text", "description": "Availability zone name", "name": "az_name"}, {"regex": {"source": "^[a-zA-Z\\\\d]+[-\\\\.\\\\da-zA-Z]*$", "error": "Invalid vCenter host"}, "label": "vCenter host", "type": "text", "description": "vCenter host or IP", "name": "vcenter_host"}, {"regex": {"source": "\\\\S", "error": "Empty vCenter username"}, "label": "vCenter username", "type": "text", "description": "vCenter username", "name": "vcenter_username"}, {"regex": {"source": "\\\\S", "error": "Empty vCenter password"}, "label": "vCenter password", "type": "password", "description": "vCenter password", "name": "vcenter_password"}, {"type": "array", "editable_for_deployed": true, "name": "nova_computes", "fields": [{"regex": {"source": "\\\\S", "error": "Invalid vSphere cluster"}, "label": "vSphere cluster", "type": "text", "description": "vSphere cluster", "name": "vsphere_cluster"}, {"regex": {"source": "^\\\\w[\\\\w\\\\-]+$", "error": "Invalid service name"}, "label": "Service name", "type": "text", "description": "Service name", "name": "service_name"}, {"regex": {"source": "\\\\S", "error": "Invalid datastore regex"}, "label": "Datastore regex", "type": "text", "description": "Datastore regex", "name": "datastore_regex"}, {"label": "Target node", "type": "select", "description": "Target node for nova-compute service", "name": "target_node"}]}]}, {"restrictions": [{"message": "VMware vCenter datastore for images is not enabled in Settings tab", "condition": "settings:storage.images_vcenter.value == false or settings:common.use_vcenter.value == false"}], "type": "object", "name": "glance", "fields": [{"regex": {"source": "^[a-zA-Z\\\\d]+[-\\\\.\\\\da-zA-Z]*$", "error": "Invalid vCenter host"}, "label": "vCenter host", "type": "text", "description": "vCenter host or IP", "name": "vcenter_host"}, {"regex": {"source": "\\\\S", "error": "Empty vCenter username"}, "label": "vCenter username", "type": "text", "description": "vCenter username", "name": "vcenter_username"}, {"regex": {"source": "\\\\S", "error": "Empty vCenter password"}, "label": "vCenter password", "type": "password", "description": "vCenter password", "name": "vcenter_password"}, {"regex": {"source": "\\\\S", "error": "Invalid datacenter"}, "label": "Datacenter", "type": "text", "description": "Datacenter", "name": "datacenter"}, {"regex": {"source": "\\\\S", "error": "Invalid datastore"}, "label": "Datastore", "type": "text", "description": "Datastore", "name": "datastore"}, {"label": "CA file", "type": "file", "description": "File containing the trusted CA bundle that emitted vCenter server certificate. If empty vCenters certificate is not verified.", "name": "ca_file"}]}]}
\.


--
-- Name: vmware_attributes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('vmware_attributes_id_seq', 1, true);


--
-- Data for Name: volume_manager_alembic_version; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY volume_manager_alembic_version (version_num) FROM stdin;
086cde3de7cf
\.


--
-- Data for Name: volume_manager_node_volumes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY volume_manager_node_volumes (id, node_id, volumes) FROM stdin;
2	2	[{"name": "sda", "extra": ["disk/by-id/wwn-0x600508b1001c194d20942cbe5851ead0", "disk/by-id/scsi-3600508b1001c194d20942cbe5851ead0"], "bootable": true, "free_space": 1143958, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "partition", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 55360, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 544331}, {"size": 544395, "type": "pv", "lvm_meta_size": 64, "vg": "vm"}], "type": "disk", "id": "disk/by-path/pci-0000:07:00.0-scsi-0:1:0:0", "size": 1144586}, {"_allocate_size": "min", "label": "Base System", "min_size": 55296, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 51200}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 4096}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": 544331}], "type": "vg", "id": "vm"}]
3	3	[{"name": "sda", "extra": ["disk/by-id/wwn-0x600508b1001c7b2e5610f6147bedc166", "disk/by-id/scsi-3600508b1001c7b2e5610f6147bedc166"], "bootable": true, "free_space": 1143766, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "partition", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 55360, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"size": 10304, "type": "pv", "lvm_meta_size": 64, "vg": "logs"}, {"size": 20544, "type": "pv", "lvm_meta_size": 64, "vg": "mysql"}, {"size": 11328, "type": "pv", "lvm_meta_size": 64, "vg": "horizon"}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 523243}, {"size": 523307, "type": "pv", "lvm_meta_size": 64, "vg": "image"}], "type": "disk", "id": "disk/by-path/pci-0000:07:00.0-scsi-0:1:0:0", "size": 1144586}, {"_allocate_size": "min", "label": "Base System", "min_size": 55296, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 51200}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 4096}], "type": "vg", "id": "os"}, {"_allocate_size": "min", "label": "Logs", "min_size": 10240, "volumes": [{"mount": "/var/log", "type": "lv", "name": "log", "file_system": "ext4", "size": 10240}], "type": "vg", "id": "logs"}, {"_allocate_size": "all", "label": "Image Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": 523243}], "type": "vg", "id": "image"}, {"_allocate_size": "min", "label": "Mysql Database", "min_size": 20480, "volumes": [{"mount": "/var/lib/mysql", "type": "lv", "name": "root", "file_system": "ext4", "size": 20480}], "type": "vg", "id": "mysql"}, {"_allocate_size": "min", "label": "Horizon Temp Storage", "min_size": 11264, "volumes": [{"mount": "/var/lib/horizon", "type": "lv", "name": "horizontmp", "file_system": "xfs", "size": 11264}], "type": "vg", "id": "horizon"}]
4	4	[{"name": "sda", "extra": ["disk/by-id/wwn-0x600508b1001c6df93115d69dd5731802", "disk/by-id/scsi-3600508b1001c6df93115d69dd5731802"], "bootable": true, "free_space": 1143958, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "partition", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 55360, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 544331}, {"size": 544395, "type": "pv", "lvm_meta_size": 64, "vg": "vm"}], "type": "disk", "id": "disk/by-path/pci-0000:07:00.0-scsi-0:1:0:0", "size": 1144586}, {"_allocate_size": "min", "label": "Base System", "min_size": 55296, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 51200}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 4096}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": 544331}], "type": "vg", "id": "vm"}]
1	1	[{"name": "sda", "extra": ["disk/by-id/wwn-0x600508b1001c111b8c08337506f840be", "disk/by-id/scsi-3600508b1001c111b8c08337506f840be"], "bootable": true, "free_space": 1143702, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "partition", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 55360, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"size": 10304, "type": "pv", "lvm_meta_size": 64, "vg": "logs"}, {"size": 20544, "type": "pv", "lvm_meta_size": 64, "vg": "mysql"}, {"size": 11328, "type": "pv", "lvm_meta_size": 64, "vg": "horizon"}, {"size": 523275, "type": "pv", "lvm_meta_size": 64, "vg": "image"}, {"size": 523275, "type": "pv", "lvm_meta_size": 64, "vg": "mongo"}], "type": "disk", "id": "disk/by-path/pci-0000:07:00.0-scsi-0:1:0:0", "size": 1144586}, {"_allocate_size": "min", "label": "Base System", "min_size": 55296, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 51200}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 4096}], "type": "vg", "id": "os"}, {"_allocate_size": "min", "label": "Logs", "min_size": 10240, "volumes": [{"mount": "/var/log", "type": "lv", "name": "log", "file_system": "ext4", "size": 10240}], "type": "vg", "id": "logs"}, {"_allocate_size": "all", "label": "Image Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": 523211}], "type": "vg", "id": "image"}, {"_allocate_size": "min", "label": "Mysql Database", "min_size": 20480, "volumes": [{"mount": "/var/lib/mysql", "type": "lv", "name": "root", "file_system": "ext4", "size": 20480}], "type": "vg", "id": "mysql"}, {"_allocate_size": "min", "label": "Horizon Temp Storage", "min_size": 11264, "volumes": [{"mount": "/var/lib/horizon", "type": "lv", "name": "horizontmp", "file_system": "xfs", "size": 11264}], "type": "vg", "id": "horizon"}, {"_allocate_size": "all", "label": "MongoDB", "min_size": 10240, "volumes": [{"mount": "/var/lib/mongo", "type": "lv", "name": "mongodb", "file_system": "ext4", "size": 523211}], "type": "vg", "id": "mongo"}]
5	5	[{"name": "sda", "extra": ["disk/by-id/wwn-0x600508b1001c348050f30817d63c4c11", "disk/by-id/scsi-3600508b1001c348050f30817d63c4c11"], "bootable": true, "free_space": 1143766, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "partition", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 55360, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"size": 10304, "type": "pv", "lvm_meta_size": 64, "vg": "logs"}, {"size": 20544, "type": "pv", "lvm_meta_size": 64, "vg": "mysql"}, {"size": 11328, "type": "pv", "lvm_meta_size": 64, "vg": "horizon"}, {"size": 1046550, "type": "pv", "lvm_meta_size": 64, "vg": "image"}], "type": "disk", "id": "disk/by-path/pci-0000:07:00.0-scsi-0:1:0:0", "size": 1144586}, {"_allocate_size": "min", "label": "Base System", "min_size": 55296, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 51200}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 4096}], "type": "vg", "id": "os"}, {"_allocate_size": "min", "label": "Logs", "min_size": 10240, "volumes": [{"mount": "/var/log", "type": "lv", "name": "log", "file_system": "ext4", "size": 10240}], "type": "vg", "id": "logs"}, {"_allocate_size": "all", "label": "Image Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": 1046486}], "type": "vg", "id": "image"}, {"_allocate_size": "min", "label": "Mysql Database", "min_size": 20480, "volumes": [{"mount": "/var/lib/mysql", "type": "lv", "name": "root", "file_system": "ext4", "size": 20480}], "type": "vg", "id": "mysql"}, {"_allocate_size": "min", "label": "Horizon Temp Storage", "min_size": 11264, "volumes": [{"mount": "/var/lib/horizon", "type": "lv", "name": "horizontmp", "file_system": "xfs", "size": 11264}], "type": "vg", "id": "horizon"}]
\.


--
-- Name: volume_manager_node_volumes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('volume_manager_node_volumes_id_seq', 5, true);


--
-- Name: _hostname_cluster_uc; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT _hostname_cluster_uc UNIQUE (cluster_id, hostname);


--
-- Name: _name_cluster_uc; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nodegroups
    ADD CONSTRAINT _name_cluster_uc UNIQUE (cluster_id, name);


--
-- Name: _name_version_unique; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY plugins
    ADD CONSTRAINT _name_version_unique UNIQUE (name, version);


--
-- Name: _task_id_node_id_deployment_graph_task_name_uc; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY deployment_history
    ADD CONSTRAINT _task_id_node_id_deployment_graph_task_name_uc UNIQUE (task_id, node_id, deployment_graph_task_name);


--
-- Name: _task_name_deployment_graph_id_uc; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY deployment_graph_tasks
    ADD CONSTRAINT _task_name_deployment_graph_id_uc UNIQUE (deployment_graph_id, task_name);


--
-- Name: action_logs_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY action_logs
    ADD CONSTRAINT action_logs_pkey PRIMARY KEY (id);


--
-- Name: attributes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY attributes
    ADD CONSTRAINT attributes_pkey PRIMARY KEY (id);


--
-- Name: capacity_log_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY capacity_log
    ADD CONSTRAINT capacity_log_pkey PRIMARY KEY (id);


--
-- Name: cluster_changes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY cluster_changes
    ADD CONSTRAINT cluster_changes_pkey PRIMARY KEY (id);


--
-- Name: cluster_deployment_graphs_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY cluster_deployment_graphs
    ADD CONSTRAINT cluster_deployment_graphs_pkey PRIMARY KEY (id);


--
-- Name: cluster_plugin_links_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY cluster_plugin_links
    ADD CONSTRAINT cluster_plugin_links_pkey PRIMARY KEY (id);


--
-- Name: cluster_plugins_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY cluster_plugins
    ADD CONSTRAINT cluster_plugins_pkey PRIMARY KEY (id);


--
-- Name: cluster_upgrade_relations_orig_cluster_id_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY cluster_upgrade_relations
    ADD CONSTRAINT cluster_upgrade_relations_orig_cluster_id_key UNIQUE (orig_cluster_id);


--
-- Name: cluster_upgrade_relations_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY cluster_upgrade_relations
    ADD CONSTRAINT cluster_upgrade_relations_pkey PRIMARY KEY (id);


--
-- Name: cluster_upgrade_relations_seed_cluster_id_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY cluster_upgrade_relations
    ADD CONSTRAINT cluster_upgrade_relations_seed_cluster_id_key UNIQUE (seed_cluster_id);


--
-- Name: clusters_name_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY clusters
    ADD CONSTRAINT clusters_name_key UNIQUE (name);


--
-- Name: clusters_name_key1; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY clusters
    ADD CONSTRAINT clusters_name_key1 UNIQUE (name);


--
-- Name: clusters_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY clusters
    ADD CONSTRAINT clusters_pkey PRIMARY KEY (id);


--
-- Name: deployment_graph_tasks_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY deployment_graph_tasks
    ADD CONSTRAINT deployment_graph_tasks_pkey PRIMARY KEY (id);


--
-- Name: deployment_graphs_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY deployment_graphs
    ADD CONSTRAINT deployment_graphs_pkey PRIMARY KEY (id);


--
-- Name: deployment_history_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY deployment_history
    ADD CONSTRAINT deployment_history_pkey PRIMARY KEY (id);


--
-- Name: extensions_migration_buffer_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY extensions_migration_buffer
    ADD CONSTRAINT extensions_migration_buffer_pkey PRIMARY KEY (id);


--
-- Name: ip_addr_ranges_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY ip_addr_ranges
    ADD CONSTRAINT ip_addr_ranges_pkey PRIMARY KEY (id);


--
-- Name: ip_addrs_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY ip_addrs
    ADD CONSTRAINT ip_addrs_pkey PRIMARY KEY (id);


--
-- Name: master_node_settings_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY master_node_settings
    ADD CONSTRAINT master_node_settings_pkey PRIMARY KEY (id);


--
-- Name: net_bond_assignments_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY net_bond_assignments
    ADD CONSTRAINT net_bond_assignments_pkey PRIMARY KEY (id);


--
-- Name: net_nic_assignments_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY net_nic_assignments
    ADD CONSTRAINT net_nic_assignments_pkey PRIMARY KEY (id);


--
-- Name: network_groups_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY network_groups
    ADD CONSTRAINT network_groups_pkey PRIMARY KEY (id);


--
-- Name: networking_configs_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY networking_configs
    ADD CONSTRAINT networking_configs_pkey PRIMARY KEY (id);


--
-- Name: neutron_config_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY neutron_config
    ADD CONSTRAINT neutron_config_pkey PRIMARY KEY (id);


--
-- Name: node_bond_interfaces_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY node_bond_interfaces
    ADD CONSTRAINT node_bond_interfaces_pkey PRIMARY KEY (id);


--
-- Name: node_nic_interfaces_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY node_nic_interfaces
    ADD CONSTRAINT node_nic_interfaces_pkey PRIMARY KEY (id);


--
-- Name: nodegroups_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nodegroups
    ADD CONSTRAINT nodegroups_pkey PRIMARY KEY (id);


--
-- Name: nodes_mac_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_mac_key UNIQUE (mac);


--
-- Name: nodes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_pkey PRIMARY KEY (id);


--
-- Name: nodes_uuid_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_uuid_key UNIQUE (uuid);


--
-- Name: notifications_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_pkey PRIMARY KEY (id);


--
-- Name: nova_network_config_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nova_network_config
    ADD CONSTRAINT nova_network_config_pkey PRIMARY KEY (id);


--
-- Name: openstack_configs_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY openstack_configs
    ADD CONSTRAINT openstack_configs_pkey PRIMARY KEY (id);


--
-- Name: oswl_stats_cluster_id_created_date_resource_type_unique_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY oswl_stats
    ADD CONSTRAINT oswl_stats_cluster_id_created_date_resource_type_unique_key UNIQUE (cluster_id, created_date, resource_type);


--
-- Name: oswl_stats_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY oswl_stats
    ADD CONSTRAINT oswl_stats_pkey PRIMARY KEY (id);


--
-- Name: plugin_deployment_graphs_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY plugin_deployment_graphs
    ADD CONSTRAINT plugin_deployment_graphs_pkey PRIMARY KEY (id);


--
-- Name: plugin_links_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY plugin_links
    ADD CONSTRAINT plugin_links_pkey PRIMARY KEY (id);


--
-- Name: plugins_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY plugins
    ADD CONSTRAINT plugins_pkey PRIMARY KEY (id);


--
-- Name: release_deployment_graphs_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY release_deployment_graphs
    ADD CONSTRAINT release_deployment_graphs_pkey PRIMARY KEY (id);


--
-- Name: releases_name_version_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY releases
    ADD CONSTRAINT releases_name_version_key UNIQUE (name, version);


--
-- Name: releases_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY releases
    ADD CONSTRAINT releases_pkey PRIMARY KEY (id);


--
-- Name: tasks_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY tasks
    ADD CONSTRAINT tasks_pkey PRIMARY KEY (id);


--
-- Name: type_cluster_id_uc; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY cluster_deployment_graphs
    ADD CONSTRAINT type_cluster_id_uc UNIQUE (type, cluster_id);


--
-- Name: type_plugin_id_uc; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY plugin_deployment_graphs
    ADD CONSTRAINT type_plugin_id_uc UNIQUE (type, plugin_id);


--
-- Name: type_release_id_uc; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY release_deployment_graphs
    ADD CONSTRAINT type_release_id_uc UNIQUE (type, release_id);


--
-- Name: vmware_attributes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY vmware_attributes
    ADD CONSTRAINT vmware_attributes_pkey PRIMARY KEY (id);


--
-- Name: volume_manager_node_volumes_node_id_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY volume_manager_node_volumes
    ADD CONSTRAINT volume_manager_node_volumes_node_id_key UNIQUE (node_id);


--
-- Name: volume_manager_node_volumes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY volume_manager_node_volumes
    ADD CONSTRAINT volume_manager_node_volumes_pkey PRIMARY KEY (id);


--
-- Name: cluster_name_idx; Type: INDEX; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE INDEX cluster_name_idx ON tasks USING btree (cluster_id, name);


--
-- Name: cluster_plugin_links_cluster_id_key; Type: INDEX; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE INDEX cluster_plugin_links_cluster_id_key ON cluster_plugin_links USING btree (cluster_id);


--
-- Name: deployment_history_task_id_and_status; Type: INDEX; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE INDEX deployment_history_task_id_and_status ON deployment_history USING btree (task_id, status);


--
-- Name: deployment_history_task_name_status_idx; Type: INDEX; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE INDEX deployment_history_task_name_status_idx ON deployment_history USING btree (deployment_graph_task_name, status);


--
-- Name: ix_cluster_deployment_graphs_cluster_id; Type: INDEX; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE INDEX ix_cluster_deployment_graphs_cluster_id ON cluster_deployment_graphs USING btree (cluster_id);


--
-- Name: ix_cluster_deployment_graphs_deployment_graph_id; Type: INDEX; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE INDEX ix_cluster_deployment_graphs_deployment_graph_id ON cluster_deployment_graphs USING btree (deployment_graph_id);


--
-- Name: ix_nodegroups_is_default; Type: INDEX; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE INDEX ix_nodegroups_is_default ON nodegroups USING btree (is_default);


--
-- Name: ix_oswl_stats_cluster_id; Type: INDEX; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE INDEX ix_oswl_stats_cluster_id ON oswl_stats USING btree (cluster_id);


--
-- Name: ix_oswl_stats_created_date; Type: INDEX; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE INDEX ix_oswl_stats_created_date ON oswl_stats USING btree (created_date);


--
-- Name: ix_oswl_stats_is_sent; Type: INDEX; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE INDEX ix_oswl_stats_is_sent ON oswl_stats USING btree (is_sent);


--
-- Name: ix_oswl_stats_resource_type; Type: INDEX; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE INDEX ix_oswl_stats_resource_type ON oswl_stats USING btree (resource_type);


--
-- Name: ix_plugin_deployment_graphs_deployment_graph_id; Type: INDEX; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE INDEX ix_plugin_deployment_graphs_deployment_graph_id ON plugin_deployment_graphs USING btree (deployment_graph_id);


--
-- Name: ix_plugin_deployment_graphs_plugin_id; Type: INDEX; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE INDEX ix_plugin_deployment_graphs_plugin_id ON plugin_deployment_graphs USING btree (plugin_id);


--
-- Name: ix_release_deployment_graphs_deployment_graph_id; Type: INDEX; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE INDEX ix_release_deployment_graphs_deployment_graph_id ON release_deployment_graphs USING btree (deployment_graph_id);


--
-- Name: ix_release_deployment_graphs_release_id; Type: INDEX; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE INDEX ix_release_deployment_graphs_release_id ON release_deployment_graphs USING btree (release_id);


--
-- Name: plugin_links_plugin_id_key; Type: INDEX; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE INDEX plugin_links_plugin_id_key ON plugin_links USING btree (plugin_id);


--
-- Name: attributes_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY attributes
    ADD CONSTRAINT attributes_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id) ON DELETE CASCADE;


--
-- Name: cluster_changes_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_changes
    ADD CONSTRAINT cluster_changes_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id) ON DELETE CASCADE;


--
-- Name: cluster_changes_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_changes
    ADD CONSTRAINT cluster_changes_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: cluster_deployment_graphs_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_deployment_graphs
    ADD CONSTRAINT cluster_deployment_graphs_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id) ON DELETE CASCADE;


--
-- Name: cluster_deployment_graphs_deployment_graph_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_deployment_graphs
    ADD CONSTRAINT cluster_deployment_graphs_deployment_graph_id_fkey FOREIGN KEY (deployment_graph_id) REFERENCES deployment_graphs(id) ON DELETE CASCADE;


--
-- Name: cluster_plugin_links_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_plugin_links
    ADD CONSTRAINT cluster_plugin_links_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id) ON DELETE CASCADE;


--
-- Name: cluster_plugins_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_plugins
    ADD CONSTRAINT cluster_plugins_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id) ON DELETE CASCADE;


--
-- Name: cluster_plugins_plugin_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_plugins
    ADD CONSTRAINT cluster_plugins_plugin_id_fkey FOREIGN KEY (plugin_id) REFERENCES plugins(id) ON DELETE CASCADE;


--
-- Name: clusters_release_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY clusters
    ADD CONSTRAINT clusters_release_id_fkey FOREIGN KEY (release_id) REFERENCES releases(id);


--
-- Name: deployment_graph_tasks_deployment_graph_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY deployment_graph_tasks
    ADD CONSTRAINT deployment_graph_tasks_deployment_graph_id_fkey FOREIGN KEY (deployment_graph_id) REFERENCES deployment_graphs(id) ON DELETE CASCADE;


--
-- Name: deployment_history_task_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY deployment_history
    ADD CONSTRAINT deployment_history_task_id_fkey FOREIGN KEY (task_id) REFERENCES tasks(id);


--
-- Name: ip_addr_ranges_network_group_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addr_ranges
    ADD CONSTRAINT ip_addr_ranges_network_group_id_fkey FOREIGN KEY (network_group_id) REFERENCES network_groups(id) ON DELETE CASCADE;


--
-- Name: ip_addrs_network_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addrs
    ADD CONSTRAINT ip_addrs_network_fkey FOREIGN KEY (network) REFERENCES network_groups(id) ON DELETE CASCADE;


--
-- Name: ip_addrs_node_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addrs
    ADD CONSTRAINT ip_addrs_node_fkey FOREIGN KEY (node) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: net_bond_assignments_bond_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_bond_assignments
    ADD CONSTRAINT net_bond_assignments_bond_id_fkey FOREIGN KEY (bond_id) REFERENCES node_bond_interfaces(id) ON DELETE CASCADE;


--
-- Name: net_bond_assignments_network_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_bond_assignments
    ADD CONSTRAINT net_bond_assignments_network_id_fkey FOREIGN KEY (network_id) REFERENCES network_groups(id) ON DELETE CASCADE;


--
-- Name: net_nic_assignments_interface_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_nic_assignments
    ADD CONSTRAINT net_nic_assignments_interface_id_fkey FOREIGN KEY (interface_id) REFERENCES node_nic_interfaces(id) ON DELETE CASCADE;


--
-- Name: net_nic_assignments_network_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_nic_assignments
    ADD CONSTRAINT net_nic_assignments_network_id_fkey FOREIGN KEY (network_id) REFERENCES network_groups(id) ON DELETE CASCADE;


--
-- Name: network_groups_nodegroups_fk; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY network_groups
    ADD CONSTRAINT network_groups_nodegroups_fk FOREIGN KEY (group_id) REFERENCES nodegroups(id) ON DELETE CASCADE;


--
-- Name: network_groups_release_fk; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY network_groups
    ADD CONSTRAINT network_groups_release_fk FOREIGN KEY (release) REFERENCES releases(id) ON DELETE CASCADE;


--
-- Name: networking_configs_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY networking_configs
    ADD CONSTRAINT networking_configs_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id) ON DELETE CASCADE;


--
-- Name: neutron_config_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY neutron_config
    ADD CONSTRAINT neutron_config_id_fkey FOREIGN KEY (id) REFERENCES networking_configs(id) ON DELETE CASCADE;


--
-- Name: node_bond_interfaces_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_bond_interfaces
    ADD CONSTRAINT node_bond_interfaces_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: node_nic_interfaces_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_nic_interfaces
    ADD CONSTRAINT node_nic_interfaces_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: node_nic_interfaces_parent_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_nic_interfaces
    ADD CONSTRAINT node_nic_interfaces_parent_id_fkey FOREIGN KEY (parent_id) REFERENCES node_bond_interfaces(id) ON DELETE SET NULL;


--
-- Name: nodegroups_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY nodegroups
    ADD CONSTRAINT nodegroups_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id) ON DELETE CASCADE;


--
-- Name: nodes_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id) ON DELETE CASCADE;


--
-- Name: nodes_nodegroups_fk; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_nodegroups_fk FOREIGN KEY (group_id) REFERENCES nodegroups(id) ON DELETE SET NULL;


--
-- Name: notifications_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id) ON DELETE SET NULL;


--
-- Name: notifications_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE SET NULL;


--
-- Name: notifications_task_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_task_id_fkey FOREIGN KEY (task_id) REFERENCES tasks(id) ON DELETE SET NULL;


--
-- Name: nova_network_config_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY nova_network_config
    ADD CONSTRAINT nova_network_config_id_fkey FOREIGN KEY (id) REFERENCES networking_configs(id);


--
-- Name: openstack_configs_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY openstack_configs
    ADD CONSTRAINT openstack_configs_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id) ON DELETE CASCADE;


--
-- Name: openstack_configs_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY openstack_configs
    ADD CONSTRAINT openstack_configs_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE SET NULL;


--
-- Name: plugin_deployment_graphs_deployment_graph_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY plugin_deployment_graphs
    ADD CONSTRAINT plugin_deployment_graphs_deployment_graph_id_fkey FOREIGN KEY (deployment_graph_id) REFERENCES deployment_graphs(id) ON DELETE CASCADE;


--
-- Name: plugin_deployment_graphs_plugin_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY plugin_deployment_graphs
    ADD CONSTRAINT plugin_deployment_graphs_plugin_id_fkey FOREIGN KEY (plugin_id) REFERENCES plugins(id) ON DELETE CASCADE;


--
-- Name: plugin_links_plugin_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY plugin_links
    ADD CONSTRAINT plugin_links_plugin_id_fkey FOREIGN KEY (plugin_id) REFERENCES plugins(id) ON DELETE CASCADE;


--
-- Name: release_deployment_graphs_deployment_graph_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY release_deployment_graphs
    ADD CONSTRAINT release_deployment_graphs_deployment_graph_id_fkey FOREIGN KEY (deployment_graph_id) REFERENCES deployment_graphs(id) ON DELETE CASCADE;


--
-- Name: release_deployment_graphs_release_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY release_deployment_graphs
    ADD CONSTRAINT release_deployment_graphs_release_id_fkey FOREIGN KEY (release_id) REFERENCES releases(id) ON DELETE CASCADE;


--
-- Name: tasks_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY tasks
    ADD CONSTRAINT tasks_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id) ON DELETE CASCADE;


--
-- Name: tasks_parent_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY tasks
    ADD CONSTRAINT tasks_parent_id_fkey FOREIGN KEY (parent_id) REFERENCES tasks(id) ON DELETE CASCADE;


--
-- Name: vmware_attributes_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY vmware_attributes
    ADD CONSTRAINT vmware_attributes_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id) ON DELETE CASCADE;


--
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- PostgreSQL database dump complete
--

